
/* JavaScript content from js/category/M_G1130000M.js in folder common */

/* 
 *	페이지 ID : M_G1130000M
 *  1. 메인 - 최근 본 상품.

 *  
 *  
*/

CurrentView = {
		totalCount : 0,

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			
		},
		
		onLoad : function(params) {
			var recentlyViewedProducts = mainCtrl.getRecentlyViewedProducts();
			this.ui.setProductList( recentlyViewedProducts );
		},
		
		data : {
			
		},
		
		//이벤트 관련 함수 정의
		event : {
			onclick_goDetailProduct : function( partNumber, busChnId , selectLocation, multiCd) {
				
				//최근본상품 선택시 재생성을 위해 localstorage에서 삭제
				var product = JSON.parse(Ns.LocalStorage.get("RecentlyViewedProducts"));
				delete product[CurrentView.totalCount-selectLocation];
				Ns.LocalStorage.set("RecentlyViewedProducts", JSON.stringify(product));

				var invoke = {
					busChnId : busChnId,
					partNumber : partNumber
				};
				
				if(!Ns.Util.isNull(multiCd)) invoke.multiCd = multiCd;

				mainCtrl.gotoProductDetail( invoke );
			},
			
			onclick_collection : function( catentryId, productName ) {
				var isLogon = mainCtrl.checkLogonStatus();
				if( !isLogon ) {
					mainCtrl.gotoLogin();
					return;
				}
				
				var params ={};
				params.catentryId = catentryId;
				params.productName = productName;
				Ns.Popup.showPopup('M_G261C000L', params);
			}
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			//상품 출력
			setProductList : function( productList ) {				
				var htmlTxt = "";
				if ( productList== null || productList == "" ) {
					htmlTxt = mainCtrl.getNoResultDataHtml( "최근 본 상품이 없습니다." ); 
					$("#ulItemDisplayArea").html( htmlTxt );
					return false;
				}
				
				//htmlTxtl = Ns.UI.productList( productList );
				CurrentView.totalCount = productList.length-1;
				for ( var k=0; k<productList.length; k++ ) {
					var info = productList[k];
					
					var imageUrl = Ns.Util.getImageUrl( info.partNumber, "H" , info.adultItemFlag);
					
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_H.jpg';
					var productName = Ns.UI.getProductName( info.brandCd, info.brandName, info.productName, info.headCopy );
					
					var saleTag = ''; 
					var saleRateTag = "";
					if ( info.orginSalePrice!=0 && info.offerPrice!=info.orginSalePrice ) {
						if( info.orginSaleRate != 0 ) saleRateTag = '<span class="tag item-event discount"><strong>'+info.orginSaleRate+'</strong><span class="unit">%</span></span>';
						saleTag = '<span class="price-selling"><strong class="head">알뜰할인가</strong> <ins class="text"><strong>'+Ns.Util.insertCommas( info.orginSalePrice )+'</strong><span class="unit">원</span></ins></span>';
					}
					
					//판매가.. 
					var offerPrice = "";
					if ( info.dispTypeCd=='57' || info.dispTypeCd =='45' ) {
						offerPrice = Ns.Util.insertCommas( info.mmRntalPrc );
					} else {
						offerPrice = Ns.Util.insertCommas( info.offerPrice );
					}
					
					var offerTag = "";
					if( saleTag == "" ) {
						offerTag = '<span class="price-selling"><strong class="head">판매가</strong> <del class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					} else {
						offerTag = '<span class="price-default"><strong class="head">판매가</strong> <del class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					}
					
					var bestTag = "";
					if( info.defsort == "Y") {
						bestTag = '<span class="tag item-feature best-item"><span class="head">베스트</span></span> ';
					}
					
					var nsDelieveryTag = "";
					if( info.priodDlvrYn == "Y" ) {
						nsDelieveryTag = '<span class="tag item-feature delivery-ns"><span class="head">NS정기배달</span></span> ';
					}
					
					var dlvrPriceTag = '';
					if( info.dlvrPrice=="" || info.dlvrPrice==0 ) {
						dlvrPriceTag = '<span class="tag item-feature delivery-free"><span class="head">무료배송</span></span> ';
					}
					
					var couponTag = '';
					if( info.couponList != null && info.couponList.length > 0 ) {
						for(var j=0; j<info.couponList.length; j++){
							couponTag += Ns.UI.getCouponBenefit(info.couponList, j);
						}
					}
					
					var cardTag = '';
					if(info.cardBnftList != null && info.cardBnftList.length > 0) {
						cardTag = '<span class="tag item-feature discount-card"><span class="head">카드할인</span> <span class="text">'+Ns.UI.getCardBenefit(info.cardBnftList, info.offerPrice)+'</span></span>';
					}
					
					var ifiValueTag = '';
					if(Number( info.ifiValueTag ) > 0) {
						ifiValueTag = '<span class="tag item-feature interest-free"><span class="head">무이자할부</span> <span class="text">'+info.ifiValueTag+'</span></span>';
					}
					
					var property = bestTag + nsDelieveryTag + dlvrPriceTag + couponTag + cardTag + ifiValueTag;
					if( property == "" ) property = "&nbsp;";
					property ='<div class="more-info">' + property + '</div>';
					
					htmlTxt += Ns.Util.stringFormat('\
						<li class="items">\
							<div class="wrap">\
								<div class="thumbnail">\
									<a href="javascript:CurrentView.event.onclick_goDetailProduct(\'{0}\',\'{1}\',\'{13}\',\'{14}\');"><img src="{2}" onerror="this.onerror=null;this.src=\'{3}\'"  alt="상품 이미지"></a>\
									{4}\
								</div>\
								<div class="field">\
									<p class="title"><a href="javascript:CurrentView.event.onclick_goDetailProduct(\'{7}\',\'{8}\',\'{13}\',\'{14}\');"><strong>{9}</strong></a></p>\
									<div class="data-info">\
										<p class="price">\
											{10}\
											{11}\
										</p>\
									</div>\
								</div>\
							</div>\
							{12}\
						</li>', 
						info.partNumber, info.busChnId,
						imageUrl, noImageUrl,
						saleRateTag,
						info.catentryId, info.productName,
						info.partNumber, info.busChnId,
						productName,
						offerTag, saleTag,
						property,
						k, info.multiCd );
				}
				
				$("#ulItemDisplayArea").html( htmlTxt );
			},
			
		}
		//end ui function...
};