
/* JavaScript content from js/category/M_G2111000M.js in folder common */

/* 
 *	페이지 ID : M_G2111000M
 *  1. 메인 - Fashion & Beauty 
 *  2. 

 *  
 *  
*/

CurrentView = {
		catalogId : null,
		selectedCategoryId : null,
		
		isRecommended : false,
		isBest : false,
		RECOMMENDED_DATA : null,
		BEST_DATA : null,
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ) {
			this.data.setDefaultCategoryId( params.categoryId );
			if( !Ns.Util.isNull(params.catalogId) ) CurrentView.catalogId = params.catalogId;
			
			$("#divCategoryTabArea p").unbind().bind( "click", this.event.onclick_divCategoryTabArea );
			$("#ulListTabArea li a").unbind().bind( "click", this.event.onclick_ulListTabArea );
			$("#btnTheMore").unbind().bind( "click", this.event.onclick_btnTheMore );
		},
		
		onLoad : function(params) {
			this.data.getTopCategoriesAll();
		},
		
		data : {
			//1. 메인 배너 + HOT 기획전	 - NSEspotCommon
			//2. 추천상품	     - RecommendWrapper
			//3. BEST	         - Best100CatSelect (NSTimes)			
			//5. 인기검색어	 - NSSearchMobile?searchType=top	
			
			getTopCategoriesAll : function() {
				CurrentView.data.getMainBanner(); 		 		//메인 배너 + HOT 기획전
				CurrentView.data.getBestProducts();
				CurrentView.data.getRecommendProducts(); 	//추천상품. - 개인화추천영역 - logging(click url에 로그 데이터 담겨 있음) 해야함. 
				CurrentView.data.getPopularityKeyword(); 		//인기검색어.
			},
			
			//메인 배너 영역.. 
			getMainBanner : function() {
				var params = {};
				params.categoryId = CurrentView.selectedCategoryId;
				params.command = "mainbanner";
				if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.FnB ) {
					params.espotInfo = "MOB_MAIN_CATEGORY_FB|Content";
				} else if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.HnL ) {
					params.espotInfo = "MOB_MAIN_CATEGORY_HL|Content";
				} else if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.FnH ) {
					params.espotInfo = "MOB_MAIN_CATEGORY_FH|Content";
				}
				
				tran.callWCSJsonTran( 'NSEspotCommon', params, CurrentView.ui.setMainBanner,  null, function() {}, true  );
			},
			
			//대대카 영역의 Espot 정보를 조회한다. 
			/**
			 * type :
			 * 			- FB: 대대카 Fashion&Beauty
						- HL: 대대카 Home&Lifestyle
						- FH: 대대카 Food&Health
			 */
			getRecommendProducts : function( filter ) {
				var invokeParams = {};
				CurrentView.RECOMMENDED_DATA = null;
				
				if ( filter == null || filter == "" ) {
					if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.FnB ) {
						filter = "FB";
					} else if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.HnL ) {
						filter = "HL";
					} else if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.FnH ) {
						filter = "FH";
					}
				}
				
				invokeParams.cust = USERINFO.custNum();
				invokeParams.pc = WL_UUID;
				invokeParams.p_co_cd = Const.getCocd();
				invokeParams.max_items = 3;
				invokeParams.filter = filter;
				invokeParams.p_catgroup_id = Const.LOG_CATALOG_IDs[filter];
				invokeParams.dp = '003_APP_1ST_CATE_ITEM_1'; 
				
				//상품상세 정보를 조회한 partNumber - 최대 4개.
				var h_catentry_id = RECOMMEND_ENTRY.getRecommendEntry(); //main.js
				if ( h_catentry_id != "" ) invokeParams.h_catentry_id = h_catentry_id;
				
				tran.callWCSJsonTran( 'RecommendWrapper', invokeParams, CurrentView.ui.setRecommendedProducts,  null, function() { CurrentView.isRecommended = true; }, true  );
			},
			
			/**
			 * 추천상품이 없을 경우 베스트 상품을 조회하여 대체한다. 
			 */
			getBestProducts : function() {
				CurrentView.BEST_DATA = null;
				
				var invokeParams = {
					searchType : "search",
					sortCriteria : "best",
					pageSize : 3,
					currentPage : 1
					//channelCode : Const.getBusChannelId()
				};
				
				invokeParams.categoryId = CurrentView.selectedCategoryId;
				tran.callWCSJsonTran( 'NSSearchCategoryWrapper', invokeParams, CurrentView.ui.setBestProducts,  null, function() { CurrentView.isBest = true; }, true  );
			}, 
			
			//BEST
			getBest100CatSelect : function() {
				var invoke = {};
				invoke.categoryId = CurrentView.selectedCategoryId;
				invoke.pageSize = 3;
				invoke.dataKind	= "productList";
				tran.callWCSJsonTran( 'Best100CatSelectReal', invoke, CurrentView.ui.setBest100CatSelect,  null, function() {}, true  );
			},
			
			//HOT 기획전
			getHotDeal : function() {
				var params = {};
				params.categoryId = CurrentView.selectedCategoryId;
				params.command = "hotdeal";
				if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.FnB ) {
					params.espotInfo = "1583594_MIDB_CONTENTS|Content";
				} else if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.HnL ) {
					params.espotInfo = "1583596_MIDB_CONTENTS|Content";
				} else if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.FnH ) {
					params.espotInfo = "1583595_MIDB_CONTENTS|Content";
				}
				
				tran.callWCSJsonTran( 'NSEspotCommon', params, CurrentView.ui.setMainBanner,  null, function() {}, true  );
			},
			
			//인기검색어 검색. 
			getPopularityKeyword : function() {
				var params = {};
				params.categoryId = CurrentView.selectedCategoryId;
				params.searchType='top';
				tran.callWCSJsonTran( 'NSSearchMobile', params, CurrentView.ui.setPopularityKeyword, null, function() {}, true  );
			},
			

			/**
			 *  이전 페이지에서 넘어온 카테고리ID를 저장하고, 탭 영역의 UI를 재설정한다. 
			 *  
			 *  cetegoryId : 카테고리ID
			 */
			setDefaultCategoryId : function( categoryId ) {
				if( categoryId==undefined || categoryId == null || categoryId == "" ) 
					CurrentView.selectedCategoryId = TOP_CAT_IDs.FnB;
				else 
					CurrentView.selectedCategoryId = categoryId;
				
				CurrentView.ui.setCategoryTab( CurrentView.selectedCategoryId ); //메인 탭 설정. 
			},

			
		},
		
		//이벤트 관련 함수 정의
		event : {
			onclick_divCategoryTabArea : function() {
				var categoryId = $(this).attr("categoryId"); 
				var idx = $(this).index();
				if( idx == 1) return; //좌, 우 탭이 아닌 경우 패스
				
				CurrentView.selectedCategoryId = categoryId;
				mainCtrl.setCurrentPageParams( { 'categoryId' : categoryId } ); //
				CurrentView.ui.setCategoryTab( categoryId ); //탭 변경, 가운데 메인 탭에 선택된 카테고리를 설정한다.
				
				//탭 이동시 로그 보내기
				var invoke = {};
				invoke.categoryId = categoryId;
				invoke.catalogId = CurrentView.catalogId;
				tran.callPageLogging( navi.getPageId(), invoke);
				
				CurrentView.data.getTopCategoriesAll(); //선택한 카테고리에 따른 데이터 조회
			},
			
			//추천상품 또는 베스트 상품 탭 클릭 ...
			onclick_ulListTabArea : function() {
				var id = $(this).attr('id');
				
				var liListTabArea = $("#ulListTabArea li");
				liListTabArea.removeClass("active");
				$("#" + id).parent().addClass("active");
				
				if( id == "tabRecommend" ) {
					$("#ulBestProdctListArea").hide();
					$("#ulProdctListArea").show();
					$(".section.product_list h1").html("고객님의 구매 패턴에 따른 추천상품");
				} else if( id == "tabBest" ) {
					$("#ulProdctListArea").hide();
					$("#ulBestProdctListArea").show();
					$(".section.product_list h1").html("카테고리별 최다 판매상품");
					
					CurrentView.data.getBest100CatSelect(); 			//BEST 100 ( NS Times )
				}
			},
			
			//Hot! 기획전 더보기 버튼 
			onclick_btnTheMore : function() {
				
			},
			
			/**
			 * Hot기획전 아이템을 클릭을 했을 때 Action...
			 * 
			 * espotId : 이스팟 ID
			 * partNumber : 상품코드 
			 * contentsId : 모름. 
			 */
			onclick_hotEventItem : function( espotId, partNumber, contentsId ) {
				var param = {};
				param.p_espotid = espotId;
				param.partNumber = partNumber;
				
				mainCtrl.gotoProductDetail( param ); //상품 상세 페이지로 이동. 
			},
			
			//인기검색어를 클릭했을 때..
			onclick_popularityKeyword : function( keyword ) {
				mainCtrl.navigate( "M_S1110000M", { searchTerm : keyword } );
			}
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			
			/**
			 * 메인 탭 영역을 설정한다.(Fashion & Beauty, Home & Life, Food & Health
			 * 
			 * categoryId : 카테고리 ID
			 */
			setCategoryTab : function( categoryId ) {
				
				var TITLEs = {
					FnB : "패션&뷰티",
					FnH : "푸드&헬스",
					HnL : "홈&라이프"
				};
				
				$( "#ulProdctListArea" ).html( "" );
				$( "#ulBestProdctListArea" ).html( "" );
				
				var liObj = $("#divCategoryTabArea p");
				var title = "";
				
				liObj.eq(0).removeClass("hl fb fh");
				liObj.eq(1).removeClass("hl fb fh");
				liObj.eq(2).removeClass("hl fb fh");
				
				var hotExhibition = $("#titleHotExhibition"); //HOT! 기획전 타이틀 영역
				var favoriteSearch = $("#titleFavoriteSearch"); //인기검색어 타이틀 영역
				
				if( categoryId == TOP_CAT_IDs.FnB ) {
					liObj.eq(0).attr("categoryId", TOP_CAT_IDs.HnL ); //왼쪽 탭 설정
					liObj.eq(2).attr("categoryId", TOP_CAT_IDs.FnH ); //오른쪽 탭 설정
					
					liObj.eq(0).html( TITLEs.HnL );
					liObj.eq(2).html( TITLEs.FnH );
					
					title = TITLEs.FnB;
					
					liObj.eq(0).addClass("hl");
					liObj.eq(1).addClass("fb");
					liObj.eq(2).addClass("fh");
					
					hotExhibition.removeClass().addClass( "fb" );
					favoriteSearch.removeClass().addClass( "fb" );
				} else if( categoryId == TOP_CAT_IDs.FnH ) {
					liObj.eq(0).attr("categoryId", TOP_CAT_IDs.FnB );
					liObj.eq(2).attr("categoryId", TOP_CAT_IDs.HnL );
					
					liObj.eq(0).html( TITLEs.FnB );
					liObj.eq(2).html( TITLEs.HnL );
					
					title = TITLEs.FnH;
					
					liObj.eq(0).addClass("fb");
					liObj.eq(1).addClass("fh");
					liObj.eq(2).addClass("hl");
					
					hotExhibition.removeClass().addClass( "fh" );
					favoriteSearch.removeClass().addClass( "fh" );
				} else if( categoryId == TOP_CAT_IDs.HnL ) {
					liObj.eq(0).attr("categoryId", TOP_CAT_IDs.FnH );
					liObj.eq(2).attr("categoryId", TOP_CAT_IDs.FnB );
					
					liObj.eq(0).html( TITLEs.FnH );
					liObj.eq(2).html( TITLEs.FnB );
					
					title = TITLEs.HnL;
					
					liObj.eq(0).addClass("fh");
					liObj.eq(1).addClass("hl");
					liObj.eq(2).addClass("fb");
					
					hotExhibition.removeClass().addClass( "hl" );
					favoriteSearch.removeClass().addClass( "hl" );
				} else {
					return false;
				}
				
				//메인 탭 영역 설정. 
				liObj.eq(1).attr("categoryId", categoryId ); //중심이 되는 탭(가운데 탭) 설정.
				liObj.eq(1).html( title );
				$("#tabRecommend").click();
				//HEADER.setSubHeaderTtile( title );
			},
			

			//대대카 영역 최상단의 banner 영역 셋팅. 
			setMainBanner : function( data ) {
				$("#divMainEventArea").html( "" ); //메인 기획전 이벤트 영역(swipe 영역)
				$("#divMainEventDotArea").html( "" );
				
				var espotInfo = [];
				var setEspotList = function( espot, espotId ) {
					if ( espot == null || espot == "" ) return;
					for( var k=0; k<espot.length; k++) {
						espotInfo.push( espot[k] );
					}
				};
				
				Ns.Util.viewConsoleLog("++++CurrentView.selectedCategoryId:" + CurrentView.selectedCategoryId);
				if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.FnB ) { //1583594
					setEspotList( data.msg.root._MOB_MAIN_CATEGORY_FB );
					CurrentView.ui.setHotDealList( data.msg.root._1583594_MIDB_CONTENTS );
				} else if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.HnL ) { //1583596
					setEspotList(  data.msg.root._MOB_MAIN_CATEGORY_HL );
					CurrentView.ui.setHotDealList( data.msg.root._1583596_MIDB_CONTENTS );
				} else if ( CurrentView.selectedCategoryId  == TOP_CAT_IDs.FnH ) { //1583595
					setEspotList( data.msg.root._MOB_MAIN_CATEGORY_FH );
					CurrentView.ui.setHotDealList( data.msg.root._1583595_MIDB_CONTENTS );
				}
				
				if( espotInfo == null || espotInfo == "" ) {
					$("#divMainEventArea").html( "" ); //메인 기획전 이벤트 영역(swipe 영역)
					return false;
				}
				
				var htmlTxt = "";
				var swipeDotTxt = "";

				for( var k=0; k<espotInfo.length; k++) {
					var items = espotInfo[k];

					if ( Ns.Util.isNull( items.clickTarget ) ) continue;
					if ( ( items.clickTarget != "Internal" && items.clickTarget != "External" ) && items.clickCode == "" ) continue;
					
					var protocol = "http:";
					var imgUrl = protocol + items.imgUrl;
					
					htmlTxt += Ns.Util.stringFormat('<div><div class="bnn-img"><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');"><img src="{5}" alt="" /></a></div></div>', 
								items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl, imgUrl );
					
					if ( k==0 )
						swipeDotTxt += '<li><a href="javascript:;" class="active">'+(k+1)+'</a></li>';
					else
						swipeDotTxt += '<li><a href="javascript:;">'+(k+1)+'</a></li>';
				}
				
				$("#divMainEventArea").html( htmlTxt );
				$("#divMainEventDotArea").html( swipeDotTxt );
				$('.swipe-mainimg').SwipeSet(); 
			},
			
			//추천 상품을 출력한다. 
			setRecommendedProducts : function( data ) {
				CurrentView.isRecommended = true;
				
				if ( data.msg.root && data.msg.root.ProductList != undefined &&  data.msg.root.ProductList.length!=0 ) {
					CurrentView.RECOMMANDED_DATA = data.msg.root.ProductList;
					CurrentView.ui.setRecommendedData();
				}
			},
			
			//searchCategoryWrapper
			setBestProducts : function( data ) {
				CurrentView.isBest = true;
				
				if ( data.msg.root.ProductList != undefined &&  data.msg.root.ProductList.length!=0 ) {
					CurrentView.BEST_DATA = data.msg.root.ProductList;
					CurrentView.ui.setRecommendedData();
				}
			},
			
			setRecommendedData : function() {
//				setTimeout(function(){
					if( !CurrentView.isRecommended  && !CurrentView.isBest ) return;
					
					CurrentView.isRecommended = false;
					CurrentView.isBest = false;
					
					if( CurrentView.BEST_DATA == undefined ) return;
					var recommendedData = null;
					
					if ( CurrentView.RECOMMANDED_DATA != null ) {
						$(".section.product_list h1").html("고객님의 구매 패턴에 따른 추천상품");
						recommendedData = CurrentView.RECOMMANDED_DATA;
					} else {
						$(".section.product_list h1").html("추천상품 - 베스트 카테고리 상품");
						recommendedData = CurrentView.BEST_DATA;
					}
					
					if ( recommendedData == null ) {
						$( "#ulProdctListArea" ).html( "" );
						return false;
					}
					
					var htmlTxt = Ns.UI.productList( recommendedData, CurrentView.catalogId ,CurrentView.selectedCategoryId );
					$( "#ulProdctListArea" ).html( htmlTxt );
					Ns.UI.productListAreaEventInit( "#ulProdctListArea" );
//				}, 99 );
			},
			
			//베스트 상품을 출력한다. 
			setBest100CatSelect : function( data ) {
				$("#ulBestProdctListArea").html( "" ); //Best 영역
				
				var productList = data.msg.root.productList;
				if ( productList == null || productList == "" ) {
					return false;
				}
				
				var prodList = [];
				for ( var k=0; k<productList.length; k++) {
					var commonData = productList[k].commonData;
					prodList.push( commonData );
				}
				
				var htmlTxt = Ns.UI.productList( prodList, CurrentView.catalogId ,CurrentView.selectedCategoryId  );
				$( "#ulBestProdctListArea" ).html( htmlTxt );
				Ns.UI.productListAreaEventInit( "#ulBestProdctListArea" );
			},
			
			//핫기획전 상품을 출력한다. 
			setHotDealList : function( contents ) {
				$("#ulHotExhibitionArea").html( "" ); //HOT! 기획전
				$("#sectionHotExhibitionArea").hide();
				
				var htmlTxt = "";
				if ( Ns.Util.isNull( contents ) ) {
					return false;
				}
				
				for ( var k=0; k<contents.length; k++ ) {
					var items = contents[k];
					
					if ( items.marketingText == "" ) continue;
					if ( Ns.Util.isNull( items.clickTarget ) ) continue;
					if ( ( items.clickTarget != "Internal" && items.clickTarget != "External" ) && items.clickCode == "" ) continue;
					
					htmlTxt += Ns.Util.stringFormat('<li><a class="wrap" href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');">{5}</a></li>',
								  items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl, items.marketingText );
				} 
				
				if ( htmlTxt != '') {
					$("#ulHotExhibitionArea").html( htmlTxt );
					$("#sectionHotExhibitionArea").show();
				}
			},
			
			//인기검색어 검색.  callback,
			setPopularityKeyword : function( data ) {
				$("#ulFavoriteSearchesArea").html( "" ); //인기검색어
				
				if ( data.topResultList == null || data.topResultList  == "" ) {
					$("section.section.pop_search").hide();
					return false;
				}
			
				var htmlTxt = '';
				for( var kk=0; kk<data.topResultList.length; kk++) {
					var items = data.topResultList[kk];
					htmlTxt +=  '<li><strong>'+(kk+1)+'</strong><a class="wrap" href="javascript:CurrentView.event.onclick_popularityKeyword(\'' + items.keyword + '\')">'+items.keyword+'</a></li>';
				}
				
				$("#ulFavoriteSearchesArea").html( htmlTxt );
			},
			

		}
		//end ui function...
};

	
