
/* JavaScript content from js/category/M_G2131200M.js in folder common */

/* 
 *	페이지 ID : M_G2131200M
 *  1. 메인 - 브랜드샵.
 *  
 *  
*/

CurrentView = {
		pageIdx : 1,
		pageSize : 10,
		currentPage : 1,
		sortCriteria : '', //정렬방법
		pushFullEvent : false,
		totalCount : 0,
		categoryIndex : 0, //카테고리 더보기 
		categoryList : null,
		
		catalogId : null,
		categoryId : null,
		
		THIS_PARAMs : null,
		
		init : function( params ) {
			CurrentView.THIS_PARAMs = params;

			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			this.ui.setHeaderTitle( this.THIS_PARAMs.brandName );
			Ns.UI.startPushFullEvent( this.data.getBrandProductList ); //push full event 설정. 
			
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").unbind().bind( "click", this.event.onclick_btnChangeView );
			//$("#btnTheMoreCategory").unbind().bind( "click", this.event.onclick_btnTheMoreCategory );
		},
		
		onLoad : function(params) {
			if( !Ns.Util.isNull(params.currentPage) ) CurrentView.currentPage = params.currentPage;
			if( !Ns.Util.isNull(params.catalogId) ) CurrentView.catalogId = params.catalogId;
			if( !Ns.Util.isNull(params.categoryId) ) CurrentView.categoryId = params.categoryId;
			
			for(var i=0; i < CurrentView.currentPage; i++)
				this.data.getBrandProductList();
		},
		
		data : {
			//해당 브랜드의 상품을 조회한다.
			getBrandProductList : function() {

				var params = {};
				params.searchType = "search";
				params.catalogId = ( CurrentView.THIS_PARAMs.catalogId == undefined ) ? Const.getDefaultCatalogId() : CurrentView.THIS_PARAMs.catalogId;
				params.brandCode = CurrentView.THIS_PARAMs.brandCode;

				params.currentPage = CurrentView.pageIdx;
				params.pageSize = CurrentView.pageSize;
				params.sortCriteria = CurrentView.sortCriteria; // //사용자가 지정하지 않을 경우 기본은 검색엔진에서 정의.
				params.brandName = CurrentView.THIS_PARAMs.brandName;
				CurrentView.THIS_PARAMs = params;

				tran.callWCSJsonTran( "NSSearchBrandWrapper", params, CurrentView.data.responseBrandProductList );
			},
			
			//상품검색 callback.
			responseBrandProductList : function( data ) {
				CurrentView.pushFullEvent = false;

				var sortType = data.msg.root.SortType;
				var totalCount = data.msg.root.TotalCount;
				var categoryList = data.msg.root.CategoryList;
				var brandName = data.msg.root.BrandName;
				if ( brandName == "" ) brandName = CurrentView.THIS_PARAMs.brandName;
				
				CurrentView.ui.setBrandSummary( brandName, totalCount );
				//CurrentView.event.onclick_btnTheMoreCategory();
				
				$(".item-panel").show();
				if ( sortType != undefined && sortType != null  ) {
					$('#txtSortName').text( Ns.Util.getSortCriteriaName(sortType) );
				}
				
				if ( data.msg.resultMsg != undefined && data.msg.isSuccess==0 ) {
					Ns.Popup.alert( data.msg.resultMsg );
					return false;
				}

				var productList = data.msg.root.ProductList; 
				if( productList == null || productList == "" ) {
					$(".category-title").hide();
					var html = mainCtrl.getNoResultDataHtml( brandName + '에 속한 상품이 없습니다.');
					$("#ulBrandProductListArea").html( html );
					return false;
				}
				
				//CurrentView.categoryList = categoryList;
				//CurrentView.event.onclick_btnTheMoreCategory();
				mainCtrl.setPageHistoryUpdate( CurrentView.THIS_PARAMs );
				
				$(".category-title").show();
				//$("#divCategoryList").show();
				$("#ulBrandProductListArea").append( Ns.UI.productList(productList, CurrentView.catalogId, CurrentView.categoryId));
				Ns.UI.productListAreaEventInit("#ulBrandProductListArea");
				
				CurrentView.totalCount = totalCount;

				if( CurrentView.pageIdx != CurrentView.currentPage )
					CurrentView.pageIdx ++;
			}
			
		},
		
		//이벤트 관련 함수 정의
		event : {
			//상품 목록 디스플레이 형태(리스트형, 이미지형) 선택
			onclick_btnChangeView : function(){
				if ( $("#btnChangeView").hasClass("simple")) {
					$("#btnChangeView").removeClass("simple").addClass("detail");
					$("#ulBrandProductListArea").removeClass("detail").addClass("simple");
				} else {
					$("#btnChangeView").removeClass("detail").addClass("simple");
					$("#ulBrandProductListArea").removeClass("simple").addClass("detail");
				}
			},
			
			//조회 방법 선택. 
			onclick_itemClass : function() {
				var type = $(this).attr("sort-code");
				$("#itemClass").removeClass( "active" );
				if( CurrentView.sortCriteria == type ) return;
				
				CurrentView.sortCriteria = type;
				var name = Ns.Util.getSortCriteriaName(type);
				$("#txtSortName").html( name );
				
				//$("#divCategoryList").hide();
				$("#ulCategoryListArea").html( "" );
				$("#ulBrandProductListArea").html( "" );
				
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				CurrentView.categoryIndex = 0;
				CurrentView.categoryList = null;
				
				CurrentView.data.getBrandProductList(); //상품목록 조회..
			},
			
			//카테고리 목록을 클릭했을 때 해당 카테고리에 속한 브랜드 상품을 조회한다. 
			onclick_category : function( categoryId ) {
				
			},
			
			onclick_btnTheMoreCategory : function() {
				
				CurrentView.categoryIndex++;
				CurrentView.ui.setBrandCategoryList();
			}
			
			
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setHeaderTitle : function( brandName ) {
				$("#txtBrandName").html( brandName );
			},
			
			setBrandSummary : function( brandName, totalCount ) {
				var count = Ns.Util.insertCommas( totalCount );
				$("#txtBrandName").html( brandName + '<span>전체<span class="count">'+ count + '</span>개 상품</span>' );
				
			/*	var catCount = Ns.Util.insertCommas( 1000 );
				var categoryName = "스킨케어";
				$("#txtSelectedCategory").html( categoryName + ' <span class="count">('+catCount+')</span>' ); //선택영역에 뿌려질 카테고리명
				$("#txtSelectedCategory").show();*/
			},
			
			setBrandCategoryList : function() {
				if ( CurrentView.categoryList == undefined || CurrentView.categoryList.length == 0 ) return false;
				
				var htmlTxt = "";
				var pageSize = 6;
				var startNo = (CurrentView.categoryIndex-1) * pageSize;
				var endNo = startNo + pageSize;
				if ( endNo > CurrentView.categoryList.length ) endNo = CurrentView.categoryList.length;
				if ( startNo >= endNo ) return;
				
				for ( var k=startNo; k<endNo; k++) {
					if ( k > endNo ) break;
					
					var items = CurrentView.categoryList[k];
					var categoryId = '';
					htmlTxt += Ns.Util.stringFormat('<li><a class="wrap" href="javascript:CurrentView.event.onclick_category({0});">{1}<span class="count">({2})</span></a></li>', categoryId, items.name, items.count );
				}
				
				$("#ulCategoryListArea").append( htmlTxt );
			},

			
		}
		//end ui function...
};

	
