
/* JavaScript content from js/category/M_G2131300M.js in folder common */

/* 
 * 브랜드 샵 - 메인
 * ID : M_G2131300M
*/

//page 컨트롤 클래스
CurrentView = {
		catalogId : Const.getDefaultCatalogId(),
		categoryId : "",
		cateCode : "", //전문관 브랜드 카테고리 코드. 
				
		tranId : 'NSSearchBrand',
		searchType : "brand",
		searchTerm : "",
		resultPageId : 'M_G2131200M',
		
		init : function( params ) {
			this.initializeComponent(params);
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function(params) {
			if ( !Ns.Util.isNull( params.categoryId ) ) this.categoryId = params.categoryId;
			if ( !Ns.Util.isNull( params.categoryId ) ) this.cateCode = params.categoryId;
						
			if( !Ns.Util.isNull( params.catalogId )  && ( params.catalogId != Const.getDefaultCatalogId() ) ) { //전문관일 경우. 
				CurrentView.tranId 	= 'NSSearchSpecial';
				CurrentView.catalogId = params.catalogId;
				CurrentView.cateCode = params.catGroupId;
				CurrentView.categoryId = params.catGroupId;
				
				CurrentView.resultPageId 	= 'M_G2130000M'; 
				$("#sectionWordSearch").hide();
			}
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			CurrentView.data.getBrandShopInfo();			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getBrandShopInfo : function(){
				var invoke = {
					searchType : CurrentView.searchType,
					searchTerm : CurrentView.searchTerm
				};
				
				if ( !Ns.Util.isNull( CurrentView.catalogId ) ) invoke.catalogId = CurrentView.catalogId;
				if ( CurrentView.tranId == 'NSSearchSpecial' ) 
					invoke.cateCode = CurrentView.cateCode;
				else 
					invoke.categoryId = CurrentView.categoryId;
					
				tran.callWCSJsonTran(CurrentView.tranId, invoke, CurrentView.data.resultBrandShopInfo );
			},
			
			resultBrandShopInfo : function(data){
				var brandList = data.brandResultList;
				CurrentView.ui.makeBrandListArea( brandList );
				CurrentView.event.initEventBrandListArea();
				
				$("#sectionWordSearch ul li a").unbind().bind("click", function(){
					CurrentView.searchTerm = $(this).text();
					CurrentView.data.getBrandShopInfo();
				});
				
				$("#btnOpenFirstWordArea").unbind().bind("click", function(){
					$("#itemClass").toggleClass("active");
				});
				
				$('#itemClass li a').unbind().bind('click', CurrentView.event.onclick_firstWordArea);
			}
			
		}, //end data functions
		
		//ui 관련 함수를 정의한다.
		ui : {
			makeBrandListArea : function( data ){
				var resHtml = [];
				var i = 0; 

				for(var k=0; k<data.length; k++){
					var brandName = data[k].brandName; 
					var brandCode = data[k].brandCode; 
					
					if ( brandCode == "200000" || brandCode=="250000"  ) continue;
					
					resHtml[i++] = '<li><a href="javascript:;" brand-code="' + brandCode + '">' + brandName + '</a></li>';
				}
				$("#brandListArea ul").html(resHtml.join(''));
			}
		}, //end ui functions
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			initEventBrandListArea : function(){
				$("#brandListArea ul li a").unbind().bind("click", function(){					
					
					var params = {						
						catalogId 	: CurrentView.catalogId,
						categoryId	: CurrentView.categoryId,
						brandCode 	: $(this).attr("brand-code"),
						categoryName 	: $(this).text()
					};
					
					mainCtrl.navigate(CurrentView.resultPageId, params);
				});
			},	
			
			onclick_firstWordArea : function(){
				var clickWord = $(this).text();
				CurrentView.searchTerm = clickWord;
				CurrentView.data.getBrandShopInfo();
			}
		} //end event functions
}; 

