
/* JavaScript content from js/category/M_G2140000M.js in folder common */

/* 
 *	페이지 ID : M_G2140000M
 *  1. 메인 - 배송비절약매장상품.

 *  
*/

CurrentView = {
		pageSize : 10,
		pageIdx : 1,
		currentPage : 1,
		sortCriteria : 'new',
		pushFullEvent : true,
		totalCount : 0,
		searchTerm : '',
		
		invokeParams : null,
		freeDeliverYn : null,
		catentryId : null,
		vendorId : null,
		partNumber : null,
		outgoLocCode : null,
		brandName : null, //브랜드명 
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ) {
			
			//통합검색에서 인입된 헤더 내용 제거.
			$( "#searchHeader" ).empty();
			
			Ns.UI.startPushFullEvent( this.data.getDCDeliveryProducts );
			
			this.brandName = params.brandName;
			this.partNumber = params.partNumber;
			this.vendorId = params.vendorId;
			this.outgoLocCode = params.outgoLocCd;
			this.catentryId = params.catentryId;
			this.freeDeliverYn = params.freeDeliverYn;

			if ( !Ns.Util.isNull(params.searchTerm) ) {
				this.searchTerm = params.searchTerm;
				$("#inputSearchText").val( params.searchTerm );
			}
			
			$('#txtSortName').text( Ns.Util.getSortCriteriaName(CurrentView.sortCriteria) );
			
			if ( !Ns.Util.isNull(params.pageIdx) ) this.pageIdx = params.pageIdx;
			if ( !Ns.Util.isNull(params.pageSize) ) this.pageSize = params.pageSize;
			if ( !Ns.Util.isNull(params.sortCriteria) ) this.sortCriteria = params.sortCriteria;
			if ( !Ns.Util.isNull(params.currentPage) ) CurrentView.currentPage = params.currentPage;
			
			$("#btnSearchProductInThisStore").unbind().bind("click", this.event.onclick_btnSearchProductInThisStore ); //매장내 상품검색
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").unbind().bind( "click", this.event.onclick_btnChangeView );
		},
		
		onLoad : function() {
			for(var i=0; i < CurrentView.currentPage; i++)
				this.data.getDCDeliveryProducts();
		},
		
		data : {
			getDCDeliveryProducts : function() {
				var invoke = {
					searchType : "search", //검색 타입
					currentPage : CurrentView.pageIdx, //현재 페이지
					pageSize : CurrentView.pageSize, //한 페이지 목록 수
					sortCriteria : CurrentView.sortCriteria, //정렬기준
					catentryId : CurrentView.catentryId,
					brandName : CurrentView.brandName,
					freeDeliverYn : CurrentView.freeDeliverYn
					//partNumber : CurrentView.partNumber,
					//vendorId : CurrentView.vendorId,
					//outgoLocCode : CurrentView.outgoLocCode
				};
				if ( !Ns.Util.isNull(CurrentView.searchTerm) ) invoke.searchTerm = CurrentView.searchTerm; //매장내 상품검색 시
				
				CurrentView.invokeParams = invoke; 
				tran.callWCSJsonTran( "NSSearchDCDeliveryWrapper", invoke, CurrentView.ui.setDCDeliveryProducts );
				if( CurrentView.pageIdx != CurrentView.currentPage )
					CurrentView.pageIdx ++;
			}
		},
		
		//이벤트 관련 함수 정의
		event : {
			//매장내 상품 검색 버튼 클릭. 
			onclick_btnSearchProductInThisStore : function() {
				$("#ulItemDisplayArea").html("");
				
				var search = $.trim($("#inputSearchText").val());
				/*if( search.length < 1) {
					CurrentView.searchTerm = '';
					Ns.Popup.alert( "검색할 상품명을 입력하세요." );
					return false;
				}*/				
				CurrentView.searchTerm = search;
				CurrentView.pushFullEvent = true;
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				
				CurrentView.data.getDCDeliveryProducts();
			},
			
			//상품 목록 디스플레이 형태(리스트형, 이미지형) 선택
			onclick_btnChangeView : function(){
				if ( $("#btnChangeView").hasClass("simple")) {
					$("#btnChangeView").removeClass("simple").addClass("detail");
					$("#ulItemDisplayArea").removeClass("detail").addClass("simple");
				} else {
					$("#btnChangeView").removeClass("detail").addClass("simple");
					$("#ulItemDisplayArea").removeClass("simple").addClass("detail");
				}
			},
			
			//조회 방법 선택. 
			onclick_itemClass : function() {
				var type = $(this).attr("sort-code");
				$("#itemClass").removeClass( "active" );
				$(".item-sort a").removeClass( "active" );
				
				if( CurrentView.sortCriteria == type ) return;
				
				$("#ulItemDisplayArea").html("");
				
				var search = $.trim($("#inputSearchText").val());
				if( search.length < 1) {
					CurrentView.searchTerm = '';
				} else {
					CurrentView.searchTerm = search;
				}
				
				CurrentView.pushFullEvent = true;
				CurrentView.pageIdx = 1;
				CurrentView.sortCriteria = type;
				CurrentView.totalCount = 0;
				
				$("#txtSortName").html( $(this).text() );
				
				CurrentView.data.getDCDeliveryProducts(); 
			}
			
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setDCDeliveryProducts : function( data ) {
				if ( !data.isSuccessful || data.msg == undefined ) {
					return false;
				}
				
				var totalCount = data.msg.root.TotalCount;
				var productList = data.msg.root.ProductList;
				var freeDlvrPossAmt = data.msg.root.FreeDlvrPossAmt;
				//var sortType = data.msg.root.SortType;
				
				var titleTxt = "";
				if ( !Ns.Util.isNull(freeDlvrPossAmt) && freeDlvrPossAmt != "999,999,999,999" ){
					titleTxt = "(" + freeDlvrPossAmt + "원 이상 상품 주문 시 배송비 무료)";
				}
				
				CurrentView.ui.setSearchTitle( titleTxt, totalCount );
				if( productList == null || productList == "" ) {
					$("#option-panel").hide();
					$("#ulItemDisplayArea").hide();
					$("#divInfoBoardArea").show();
					
//					var searchTxt = CurrentView.brandName + ' 매장';
//					if ( !Ns.Util.isNull( CurrentView.searchTerm) ) searchTxt = searchTxt + ' 내 "' + CurrentView.searchTerm + '" 검색결과';
					var searchTxt = "";
					$("#txtNoneSearch").html( searchTxt );
					$("#divNoticeArea").show();
					
					return false;
				}
				
				CurrentView.pushFullEvent = false;
				CurrentView.ui.setProductList( productList );
				mainCtrl.setPageHistoryUpdate( CurrentView.invokeParams );
				
				$("#divInfoBoardArea").hide();
				$("#divNoticeArea").hide();
				$("#ulItemDisplayArea").show();
				$("#option-panel").show();
				
				CurrentView.totalCount = totalCount;
			},
		
			//상품 출력
			setProductList : function( productList ) {
				var html = Ns.UI.productList( productList );
				$("#ulItemDisplayArea").append( html );
				
				Ns.UI.productListAreaEventInit("#ulItemDisplayArea");
			},
			
			setSearchTitle : function( title, totalCount ) {
				var spanTitle = Ns.Util.stringFormat('매장내 다른 상품<br>{0} <span>전체 <span class="count">{1}</span>개 상품</span>', title, Ns.Util.insertCommas( totalCount ) );
				$("#txtSearchTitle").html( spanTitle );
			}
		}
		//end ui function...
};

	
