
/* JavaScript content from js/category/M_G2160000M.js in folder common */

/* 
 *	중분류매장
 *  ID : M_G2160000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		catalogId : null,
		categoryId : null,
		categoryNm : null,
		pageId : null,
		chainId : null,
		type : null,
		sortCriteria : "best",		
		p_espotid : null,
		p_bannerid : null,
		categoryName1 : null,
		categoryName2 : null,
		categoryName3 : null,
		categoryName4 : null,
		categoryName5 : null,
				
		pushFullEvent : true,
		totalCount : 0,
		pageSize 	: 10,
		pageIdx : 1,
		currentPage : 1,
		
		todayBestMaxLen : 5,
		brandListMaxLen : 10,		
		
		sbCode : null,
		
		tranId : 'NSMobileCategory',

		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ) { 
			
			// 스크롤 페이지 이벤트
			Ns.UI.startPushFullEvent( CurrentView.data.getProductList ); // push full event 설정.
			
			this.data.initInvokeReqPrams(params); //parameters 설정.			
			
			// Layer 공통 이벤트 처리
			CurrentView.event.layerEvent();
			
			// 상품목록 검색 조건 설정
			CurrentView.event.sortingEvent();
		},
		
		onLoad : function() {
				$("#txtSubHeaderTitle1").hide();
				$("#txtSubHeaderTitle2").hide();
				$("#contents").addClass("detailON");
				$("#subCategory").addClass("detailON");
				mainCtrl.hideGNB();
				
				// 새로고침할 경우 categoryId를 LocalStorage에서 꺼내서 처리한다				
				var localStorageCategoryId = Ns.LocalStorage.get(STORAGE_KEY.CATEGORY_ID);				
				if(localStorageCategoryId != ""){
					CurrentView.categoryId = localStorageCategoryId;
				}
				
				this.data.getHeaderName();
				
				// Category 정보 조회
				this.data.getCategoryInfo();
				
				$('#prodBtnChangeView').on('click', CurrentView.event.btnChangeViewEvent);
				
				// AIQUA				
				mainCtrl.userEventToAIQUA('category_viewed', {category_name : Ns.Util.htmlDecode(CurrentView.categoryNm)});
		},
		
		data : {
			//헤더 설정. - 카테고리 명이 없으면 조회하여 헤더 설정
			getHeaderName : function(){				
				var invoke = {};
				if( !Ns.Util.isNull( CurrentView.categoryNm ) ){					
					mainCtrl.setHeaderTitle( false, CurrentView.categoryNm );
					
					invoke = {};
					invoke.category = "add_category";
					invoke.action = CurrentView.categoryNm;
					if(typeof targeting == 'undefined'){
						mainCtrl.callTargetingScript();
					}
					setTimeout(function(){
						targeting.sendLogging(invoke);			
					}, 5500);
					
				} else {					
					invoke = {
						catalogId : CurrentView.catalogId,
						categoryId : CurrentView.categoryId,
						gubun : 30
					};
					
					tran.callWCSJsonTran( 'RetrieveCat2ListReal', invoke, function(data){					
						if ( data.isSuccessful ) {
							var name = data.msg.root.categoryNm;
							if ( !Ns.Util.isNull(name) ) {
								CurrentView.categoryNm = name;
								mainCtrl.setHeaderTitle( false, name );
							}
						}					
					});
				}
			},
			
			// 파라미터 설정
			initInvokeReqPrams : function(params){				
				if ( !Ns.Util.isNull(params.catalogId) ){
					CurrentView.catalogId = params.catalogId;
				}
				CurrentView.categoryId = params.categoryId || null;
				CurrentView.categoryNm = params.categoryNm || null;
				CurrentView.pageId = params.pageId || null;
				CurrentView.chainId = params.chainId || null;
				CurrentView.type = params.type || null;
				
				// 새로고침 처리 시 categoryId가 없을 경우 LocalStorage값에서 꺼낸다.				
				if(CurrentView.categoryId != null){					
					Ns.LocalStorage.set(STORAGE_KEY.CATEGORY_ID, CurrentView.categoryId);
				}
				
				if ( !Ns.Util.isNull(params.currentPage) ){
					CurrentView.currentPage = params.currentPage;
				}
				
				if( CurrentView.currentPage != 1 ){
					CurrentView.pageSize = CurrentView.currentPage * CurrentView.pageSize;
				}
			},
			
			//  중분류 카테고리 정보 조회
			getCategoryInfo : function(){				
				var invoke = {						
						categoryId : CurrentView.categoryId,						
				};
				
				tran.callWCSJsonTran( CurrentView.tranId, invoke, CurrentView.ui.setMidCategoryInfo);
			},
			
			// 상품정보 조회(페이징)
			getProductList : function(){			
	    		var invoke = {						
						categoryId : CurrentView.categoryId,
						currentPage : CurrentView.pageIdx,
						pageSize : CurrentView.pageSize,
						sortCriteria : CurrentView.sortCriteria
				};	    		
	    		tran.callWCSJsonTran( CurrentView.tranId, invoke, CurrentView.ui.setProductListPage);	
			},
			
			/**
			 * kimjh : hsmoa
			 * */
			hsmoaList : function(array) {
				var invoke = {}
				invoke.from_hsmoa = false;
				invoke.action = array;
				invoke.category = 'list';
				
				if(typeof targeting == 'undefined'){
					mainCtrl.callTargetingScript();
				}
				setTimeout(function(){
					targeting.sendHsmoa(invoke);
				}, 5500);
			}
		}, // end data functions.
				
		ui : {			
			setMidCategoryInfo : function(data){
				var msg = data.msg;				
				
				var categoryInfo = msg.categoryInfo;				// 카테고리 정보
				var subCategoryList = msg.subCategoryList;		// 중분류 매장 리스트
				var toDayBestList = msg.toDayBestList;			// 오늘 베스트
				var brandList = msg.brandList;						// 인기브랜드				
				
				//  카테고리 정보			
				CurrentView.ui.setShoppingHistory(categoryInfo);
				
				// 중분류매장 처리
				CurrentView.ui.setSubCategoryList(subCategoryList);							
				
				// 오늘 베스트
				CurrentView.ui.setTodayBestList(toDayBestList);
								
				// 인기 브랜드
				CurrentView.ui.setBrandList(brandList);							
				
				// 상품목록				
				CurrentView.ui.setProductListPage(data);				
			},
			//  쇼핑 히스토리에 노출되는 카테고리 정보 setting
			setShoppingHistory : function(categoryInfo){
				CurrentView.categoryName1 = categoryInfo.categoryName1;
				CurrentView.categoryName2 = categoryInfo.categoryName2;
				CurrentView.categoryName3 = categoryInfo.categoryName3;
				CurrentView.categoryName4 = categoryInfo.categoryName4;
				CurrentView.categoryName5 = categoryInfo.categoryName5;
				
				
				//2019-07-15 sjseo 카테고리매장 정보 -> history 변경 데이터 경량 화
				var hisParamObj = {};
				hisParamObj.categoryId = CurrentView.categoryId;
				hisParamObj.categoryName1 = categoryInfo.categoryName1;
				hisParamObj.categoryName2 = categoryInfo.categoryName2;
				hisParamObj.categoryName3 = categoryInfo.categoryName3;
				hisParamObj.categoryName4 = categoryInfo.categoryName4;
				hisParamObj.categoryName5 = categoryInfo.categoryName5;
				hisParamObj.pageId = mainCtrl.getCurrentPageId();
				hisParamObj.hisGubun = "C";
				mainCtrl.setRecentlyViewedProducts(hisParamObj); //카테고리 매장  저장..
			},
			
			// 서브 카테고리 리스트 처리
			setSubCategoryList : function(subCategoryList){
				
				var ulSubCategory = "";
				var pageId = "M_G2161000M";			// 소분류 매장으로 이동
				var errorImg = "./images/common/icons_mediumCateBase.png";				
				
				if(subCategoryList != null && subCategoryList.length > 0){
					for(var i=0; i < subCategoryList.length; i++){
						var subCategory = subCategoryList[i];
						
						var catalogId = subCategory.catalogId;
						var categoryId = subCategory.categoryId;
						var categoryNm = subCategory.categoryNm;
						
						//  categoryImg CDN 정보 기준으로 변경						
						var categoryImg = Ns.Util.getCateImageUrl(categoryId, "jpg");
												
						ulSubCategory += "  	<li class=''><a href='javascript:;' name='gotoPage' catalog-id='"+catalogId+"' cate-id='"+categoryId+"' cate-nm='"+categoryNm+"' page-id='"+pageId+"' chain-id='' type='' catedepth='2' role='button'>";
						ulSubCategory += "		<span class='img_category_middle'>";						
						ulSubCategory += "			<img src='"+categoryImg+"' onerror=\"this.src='"+errorImg+"';\" alt='썸네일 이미지'></span>";
						ulSubCategory += "		<span class='txt_category_middle'>"+categoryNm+"</span>";
						ulSubCategory += "		</a></li>";						
					}
				}
				$("#ulSubCategory").html(ulSubCategory);
				$('#ulSubCategory a[name=gotoPage]').unbind().bind('click', Ns.UI.gotoPage);
			},
			
			// 오늘 베스트
			setTodayBestList : function(todayBestList){
				var todayBestSlide = "";				
				
				if(todayBestList != null && todayBestList.length > 0){
					$("#divTodayBest").show();
					
					// 최대 5개 노출
					CurrentView.todayBestMaxLen = (todayBestList.length > 5)? 5 : todayBestList.length;
					
					for(var i=0; i < CurrentView.todayBestMaxLen ; i++){
						var todayBest = todayBestList[i];
						
						var itncatentrynm = todayBest.itncatentrynm;
						var rank = todayBest.seq;		// 순번
						var dcPrice = Ns.Util.insertCommas(todayBest.dcPrice);						 
						var partnumber = todayBest.partnumber;
						var buschnId = todayBest.buschnId;
						var multiCd = todayBest.multiCd;						
						var tmpImageUrl = Ns.Util.getImageUrl( todayBest.partnumber, "O" );						
						
						//상품이미지 - LazyLoad 사용 시
						/*var productImg = "<img data-original=\""  + tmpImageUrl + "\" src=\"./images/marketing/list_no_img.png\" "
						+ "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_O.jpg';\"  alt=\"상품 이미지\"   data-partnumber='"+partnumber+"' data-buschnId='"+buschnId+"' data-multiCd='"+multiCd+"'/>";
						*/
						
						//상품 이미지 - LazyLoad 미사용 시
						var productImg = "<img src=\"" + tmpImageUrl 
						+ "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_O.jpg';\"  alt=\"상품 이미지\" data-partnumber='"+partnumber+"' data-buschnId='"+buschnId+"' data-multiCd='"+multiCd+"'/>";
																		
						
						
						todayBestSlide += "  <div class='swiper-slide'   >                                              ";
						todayBestSlide += "  	<a href='javascript:;'' > <span class='spot'></span>       ";
						todayBestSlide += "  		<div class='thumb_img'>                                              ";
						todayBestSlide += "  			<span class='rank'>"+rank+"</span> "+productImg;						
						todayBestSlide += "  		</div>                                                               ";
						todayBestSlide += "  		<div class='info_wrap'>                                              ";
						todayBestSlide += "  			<p class='name' data-partnumber='"+partnumber+"' data-buschnId='"+buschnId+"' data-multiCd='"+multiCd+"'>"+itncatentrynm+"</p>    ";
						todayBestSlide += "  			<div class='price_wrap'>                                           ";
						todayBestSlide += "  				<span class='price'><strong>"+dcPrice+"</strong>원</span>             ";
						todayBestSlide += "  			</div>                                                             ";
						todayBestSlide += "  		</div>                                                               ";
						todayBestSlide += "  	</a>                                                                   ";
						todayBestSlide += "  </div>                                                                  ";
					}
					//mainCtrl.setLazyLoading();
					
				}else{
					$("#divTodayBest").hide();
				}
				
				$("#todayBestSlide").html(todayBestSlide);
				
				 var todaySwiper = new Swiper('.opt_tileprice_rank', {
				        slidesPerView: 'auto',
				        pagination : {
				        	clickable : true
				        },
				        scrollbar: {
				          el: '.swiper-scrollbar'
				        },
				        on : {
				        	click : function(e){				        		
				        		var partNumber = $(e.target).data("partnumber");
				        		var busChnId = $(e.target).data("buschnid");
				        		var multiCd = $(e.target).data("multicd");
				        						        		
				        		CurrentView.event.onclick_goDetailProduct(partNumber, busChnId, multiCd);
				        	}
				        }
				      });
				
				
			},
			// 인기브랜드
			setBrandList : function(brandList){
				var ulBrandList = "";
				
				if(brandList != null && brandList.length > 0){
					$("#divBrandList").show();
					
					// 최대 10개 노출					
					CurrentView.brandListMaxLen = (brandList.length > 10)? 10 : brandList.length;
					
					for(var i=0; i < CurrentView.brandListMaxLen; i++){
						var brand = brandList[i];
						var brandName = brand.brandName;
						var catentryId = brand.catentryId;
						var tmpImageUrl = Ns.Util.getImageUrl( catentryId, "O" );
						
						//상품 이미지 - LazyLoad 미사용 시
						var productImg = "<img src=\"" + tmpImageUrl 
						+ "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\"  alt=\"상품 이미지\" data-brandname='"+brandName+"'/>";
																		
						ulBrandList += "<li class='swiper-slide brand_item'>";
						ulBrandList += "	<a href='javascript:;'> ";
						ulBrandList += "		<span class='brand_img'>";
						ulBrandList += productImg
						ulBrandList += "		</span> ";
						ulBrandList += "		<span class='brand_name' data-brandname='"+brandName+"'>"+brandName+"</span>";
						ulBrandList += "	</a>";
						ulBrandList += "</li>";
						
					}
					$("#ulBrandList").html(ulBrandList);
					
					var todaySwiper = new Swiper('.popular_brand_wrap', {
				        slidesPerView: 'auto',
				        scrollbar: {
				          el: '.swiper-scrollbar'
				        },
				        on : {
				        	click : function(e){
				        		
				        		var brandName = $(e.target).data("brandname");
				        		
				        		var type = "brandList";
				        		
				        		// 브랜드 리스트 페이지로 이동
				        		var invoke = {
				        				categoryId : CurrentView.categoryId,				        				
				    					brandName : brandName,
				    					type : "brandList"
				    				};
				        		
				        		mainCtrl.gotoProductList(invoke, type);				        		

				        	}
				        }
				      });
				}else{
					$("#divBrandList").hide();
				}				
			},
			setProductListPage : function(data) {
				var msg = data.msg;			
				var categoryInfo = msg.categoryInfo;				// 카테고리 정보				
				var productList = msg.productList;					// 상품목록				
				
				var prodTotalCount = categoryInfo.prodTotalCount;	// 18
				var sortCriteria = categoryInfo.sortCriteria;				// best				
				
				// 상품건수
				CurrentView.totalCount = prodTotalCount;				
				$("#prodTotalCount").text(Ns.Util.insertCommas(CurrentView.totalCount));
								
				// 상품 정렬 type
				if ( !Ns.Util.isNull(sortCriteria) ) {
					CurrentView.sortCriteria = sortCriteria;				
				}
				$('#prodTxtSortName').text( Ns.Util.getSortCriteriaName(CurrentView.sortCriteria) );				
				
				var $targetWap = $('.target_sorting');			    
			    var $targetList = $targetWap.find('.target_layer');
			    var $select = $targetList.find('input[name="sortingSelect"]');
			    
			    // 정렬조건 초기 데이터 설정
			    $select.each(function() {			    	
			    	if($(this).val() == CurrentView.sortCriteria){
			    		$(this).attr("checked", true);
			    	}
			    });
			    			    
			    // 상품리스트
			    $(".category_none_wrap").hide();
				if(productList != null && productList.length > 0){
					CurrentView.pushFullEvent = false;
					
					var resHtml = Ns.UI.productList(productList, CurrentView.catalogId, CurrentView.categoryId, CurrentView.p_espotid, CurrentView.p_bannerid) ; 
					$("#productList").append(resHtml);					
				}else{
					if ( CurrentView.pageIdx == 1 ) {
						
						// 상품이 없을 경우 처리
						$(".category_panel_wrap").hide();
						$("#productList").hide();
						$(".category_none_wrap").show();						
											
					}
					return false;
				}				
				
				Ns.UI.productListAreaEventInit("#productList", CurrentView.sbCode);
								
				//kimjh : 홈쇼핑모아 
				if (!mainCtrl.isOsApp()) {
					var array = new Array();
					for ( var i = 0 ; productList.length > i && 3 > i ; i++) {
						var id = productList[i].partNumber + "";
						array.push(id);
					}
					
					CurrentView.data.hsmoaList(array);
				}
			},
		}, //end ui functions.
		
		event : {
			// layer 도움말 클릭 시 이벤트
			layerEvent : function(){
				var $cateInfo = $('.info_btn');
		        var $layerClose = $('.layer_close_btn');

		        $cateInfo.on('click', function() {
		          var dataName = $(this).data('name');

		          $('#' + dataName).addClass('current');
		        });

		        $layerClose.on('click', function() {
		          //$(this)
		          $(this)
		            .closest('.info_layer_wrapper')
		            .removeClass('current');
		        });
			},
			// 상품목록 정렬조건 변경 시 이벤트
			sortingEvent : function(){
				var $targetWap = $('.target_sorting');
			    var $btnTarget = $targetWap.find('.target_btn');
			    var $targetList = $targetWap.find('.target_layer');
			    var $select = $targetList.find('input[name="sortingSelect"]');

			    $btnTarget.on('click', function() {
			    	$targetList.toggleClass('visible');
			    });

			    $select.on('click', function() {
			    	var checkedText = $(this).next('span').text();

			    	if ($(this).is(':checked')) {
			    		$targetList.removeClass('visible');
			    		$("#prodTxtSortName").text(checkedText);	
			    					    		
			    		// 데이터 조회 이벤트 발생
			    		CurrentView.sortCriteria = $(this).val();
			    		
			    		CurrentView.pushFullEvent = true;
			    		CurrentView.pageIdx = 1;
						CurrentView.totalCount = 0;
			    		
			    		$("#productList").html("");			    					    		
			    		CurrentView.data.getProductList();
			    	}
			    });
			    
			},
			// 상품목록 목록형과 이미지형 처리
			btnChangeViewEvent : function(){				
				if ($(this).hasClass('simple')) {
					$(this)
					.removeClass('simple')
					.addClass('detail');
					
					$('#productList')
					.removeClass('detail')
					.addClass('simple');
				} else {
					$(this)
					.removeClass('detail')
					.addClass('simple');
					
					$('#productList')
					.removeClass('simple')
					.addClass('detail');
				}
				
			},					
			
			// 상품 상세 페이지로 이동
			onclick_goDetailProduct : function( partNumber, busChnId , multiCd) {
				
				var invoke = {
					busChnId : busChnId,
					partNumber : partNumber
				};
				
				if(!Ns.Util.isNull(multiCd)){
					invoke.multiCd = multiCd;
				}

				mainCtrl.gotoProductDetail( invoke );
			},
		} // end event functions. 
};