
/* JavaScript content from js/common/Googleanalytics.js in folder common */
/**
 *  Googleanalytics.js
 */

var affiliation = "NS홈쇼핑";

/**
 * Debug Mode
 */
window.ga_debug = {trace: false};

var analyticsJs = 'https://www.google-analytics.com/analytics.js';	
if(window.ga_debug && window.ga_debug.trace){
	analyticsJs = analyticsJs.replace("analytics.js", "analytics_debug.js");
}

/**
 * Async Load Google Analytics JS
 */
if(typeof ga == 'undefined'){
	(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
	(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
	m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
	})(window,document,'script', analyticsJs,'ga');
}

/**
 * GA Init
 */
var GA_LOCAL_STORAGE_KEY = 'ga:clientId';

ga('create', 'UA-92946860-2', {
	'sampleRate': 100
	, 'siteSpeedSampleRate': 20
	, 'storage': 'none'
	, 'clientId': localStorage.getItem(GA_LOCAL_STORAGE_KEY)
});

ga('require', 'displayfeatures');

ga(function(tracker) {
    localStorage.setItem(GA_LOCAL_STORAGE_KEY, tracker.get('clientId'));
});
  
ga('set', 'checkProtocolTask', null);

/**
 * GA Plugins
 */
ga('require', 'ec');

/**
 * Document Location(dl), pageNewUrlNum은 제거
 */
ga('set', 'location', window.location.href.replace(/(pageNewUrlNum\=)\d+/g, "$1"));

/**
 * GA Logging을 위한 navigate 이벤트 리스너
 * hashchange 와 popstate events를 래핑한 이벤트이다.
 * 
 * nsmall.page.js의 PAGE_CONFIG로 부터 페이지 title을 추출 한다.
 */
var prevPageTitle = "";

$(window).on("navigate", function(event, data) {
	var pageId = navi.getPageId();

	/**
	 * 상세페이지에서 사용할 이젠 페이지 목록
	 * 레이어 팝업은 pageview 제외
	 */
	if(['alert', 'option_popup'].indexOf(pageId) >= 0){
		return;
	} else {
		ga(function(tracker) {
			prevPageTitle = tracker.get('title');
		});		
	}
	
	var pageTitle = (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined";
	var pageAlias = (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].alias : "undefined";

	/**
	 * Document Path(dp)
	 */
	ga('set', 'page', pageId + ".html");

	/**
	 * Document Title(dt)
	 */
	ga('set', 'title', pageTitle);

	/**
	 * 상품상세를 제외한 모든 페이지
	 */
	if("M_G2600000M" == pageId){
		//상품 이름은 실제 상품정보를 가져오는 ajax호출 후에 알수 있다.
		//상품정보 ajax호출 후 productDtailDataReady이벤트 핸들러로 ga 로그 수집한다.
	} else {
		/**
		 * default send pageview
		 */
		ga('send', 'pageview');
	}
});


/**
 * GA 초기 설정
 * 
 * GA를위한 이벤트 핸들러
 * 
 * WCS API hooking으로 알수 없을경우
 * 가져올 데이터를 알수 있는 시점에 이벤트를 정의하고 발생 시킨다.
 */
$( document ).ready(function() {
	
	/**
	 * GA 이벤트 리스너를 위한 Element
	 */
	if(document.getElementById('GA') == null){
		$(document.body).append('<span id="GA" color="red" style="display: none;"></span>');
	}
	
	/**
	 * init
	 * 최초1회 호출
	 */
	var pageId = navi.getPageId();
	var pageTitle = (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined";
	ga('set', 'page', pageId + ".html");
	ga('set', 'title', pageTitle);
	ga('require', 'displayfeatures');
	ga('send', 'pageview');
	
	/**
	 * 결제완료 이벤트 핸들러
	 */
	$("#GA").on("completePurchase", function(event){
		ga('require', 'ecommerce', 'ecommerce.js');
		var productList = CurrentView.PaymentData.productList;
		var paymentList = CurrentView.PaymentData.paymentList;
		
		ga('ecommerce:addTransaction', { 
		  'id': CurrentView.m_inputParams.orderId, // 시스템에서 생성된 주문번호. 필수. 
		  'revenue': paymentList[0].payAmt, // 구매총액. 필수. 
		});
		
		for(var i = 0; i < productList.length; i++){
			var productInfo = {}
			productInfo.id = productList[i].CATENTRY_ID;
			productInfo.name = productList[i].PRODUCT_NAME;
			productInfo.price = productList[i].PRICE;
			productInfo.quantity = productList[i].QUANTITY;
			
			ga('ecommerce:addItem', { 
			  'id': CurrentView.m_inputParams.orderId, //시스템에서 생성된 주문번호. 필수. 
			  'name': productInfo.name, // 제품명. 필수. 
			  'sku': productInfo.id, // SKU 또는 제품고유번호. 선택사항. 
			  'price': productInfo.price, // 제품 단가. 
			  'quantity': productInfo.quantity // 제품 수량.
			});
		}

		ga('ecommerce:send');
	});
	
	/**
	 * 상품상세보기-pageview
	 */
	$("#GA").on("productDtailDataReady", function(event){
		var pageId = navi.getPageId();
		var productInfo = {};
		var pageTitle = (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined";
		productInfo.name = M_G2600000M.productInfo.productName;
		productInfo.id = M_G2600000M.productInfo.partNumber;
		productInfo.brandName = M_G2600000M.productInfo.brandName;
		productInfo.price = M_G2600000M.productInfo.salePrice;

		if(M_G2600000M.THIS_PARAMs.p_espotid == "ETV_MAIN_TOPBANNER"){
			ga('send', 'event', '오늘의 TV HOT', productInfo.name, productInfo.id);
		}
		
		ga('set', 'page', pageId + ".html");
		ga('set', 'title', pageTitle);
		ga('send', 'event', pageTitle, productInfo.name, productInfo.id);
		ga('require', 'displayfeatures');
		ga('send', 'pageview');
	});

	/**
	 * WCS Rest API 호출 후처리 핸들러
	 */
	$("#GA").on("restApiSuccessCallbackEnd", function(event, tranId, params, data){
		
	});
	
}); //document ready


/**
 * 로그인아이디 가져오기
 * 
 * sessionStorage에 logongid가 있으면
 * localStorage의 passChk_{userId}에서 사용자 아이디 추출
 * 디코딩하지않음
 * 
 * @returns
 */
function getUserId(){
	if(sessionStorage.getItem("logonid") != null){
		try {
			var userId = GibberishAES.aesDecrypt(sessionStorage.getItem("logonid"), $.md5( WL.Client.getUserInfo('myserver','userId').substr(1,32)));
			console.debug("GA userId: ", userId);
			return userId;			
		} catch(err) {
			return "";
		}
	}
	return "";
}

/**
 * 결제유형
 * 
 * @param payType
 * @returns {String}
 */
function getPayType(payType){
	if(payType == "100") return "신용카드";
	else if(payType == "1400") return "페이코";
	else if(payType == "400") return "휴대폰";
	else if(payType == "200") return "무통장입금";
	else if(payType == "300") return "실시간계좌이체";
	else return "알수없음";
}



