
/* JavaScript content from js/common/M_M1237000P.js in folder common */
/* 
 *	공통 - 안심 배송지 찾기 조회
 *  ID : M_M1237000P

 *  1. 안심 배송지 찾기
*/

//page 컨트롤 클래스
PostView = {
		rowPerPage : 10,
		pageIdx : 1,
		callbackFuc : null, //callback function.. 
		
		postList : null,
		
		init : function( params ) {
			this.callbackFuc = params.callback;
			
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			
			$("#selAddrAlias").unbind().bind( "change", this.event.onchange_sltList ); 
			$("#btnDetailAddr").unbind().bind( "click",  this.event.onclick_DetailAddr );

		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {;
			this.data.getSafeCity();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			//처음 시/도 정보를 가지고 오는 곳
			getSafeCity : function() {
				var ADDR_CITY = null;
				
				var invoke = {
						"tasknm" : "alejandrolist",
						"var" : JSON.stringify({
							"cnm":"com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
							"mnm" : "getSigugun",
							"args":	{ 
								"ADDR_CITY":ADDR_CITY
							}
						})				
				};
			
				tran.callWCSJsonTran( "NSMypageCommCmd", invoke, PostView.ui.setSafeCity );
			},
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			//API를 통해 가지고 온 시/동 정보를 뿌려주는 곳.
			setSafeCity : function( data ) {
				var html = "";
				for ( var i = 0; i < data.list.length; i++) {
					html += '<option value="' + data.list[i].SelData + '">' + data.list[i].SelData + '</option>';
				}
				
				$("#selAddrAlias").append( html );
				
				
			},
			
			setSafeState : function( data ) {
				var html = "";
				for ( var i = 0; i < data.list.length; i++) {
					html += '<option value="' + data.list[i].SelData + '">' + data.list[i].SelData + '</option>';
				}
				
				$("#selAddrAlias2").append( html );
				
				
			},
			//검색 버튼 눌렀을 때 실행되는 함수
			setSafeDetail : function( data ) {
				
				var ADDR_CITY = $.trim( $("#selAddrAlias option:selected").val() );
				var ADDR_DSTR = $.trim( $("#selAddrAlias2 option:selected").val() );
				
				if(ADDR_CITY == "" || ADDR_CITY == null){
					Ns.Popup.alert("시/도를 선택해 주세요.");
					return
				}
				
				if(ADDR_DSTR == "" || ADDR_DSTR == null){
					Ns.Popup.alert("시/군/구를 선택해 주세요.");
					return
				}
				
				
				$("#tbodyPostListArea").html( "" );
				
				var htmlTxt = "";
				var postList = data.list;
				
				for( var i=0; i<postList.length; i++ ) {
					var items = postList[i];
					
					var zipCode = items.zipCode;
					var newZipCode = items.newZipCode;
					var postno01 = items.zipCode.substring(0,3);
					var postno02 = items.zipCode.substring(3,6);
					
					var strFullAddr = "";
					strFullAddr += $.trim(items.addr1);
					strFullAddr += $.trim(items.addr2);
					
					htmlTxt += Ns.Util.stringFormat('\
						<tr>\
							<td>{0}</td>\
							<td class="align-left"><a href=\'javascript:PostView.event.onclick_postItem("{2}","{3}","{4}","{5}","{6}","{7}");\'>{1}</a></td>\
						</tr>', newZipCode,  strFullAddr,newZipCode,items.addr1,items.addr2,items.road1,items.road2,items.addrNm);
				}
				
				$("#tbodyPostListArea").html( htmlTxt );
			},
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//시/도 검색
			onchange_sltList : function() {
				$("#selAddrAlias2 option").not("[value='']").remove();
				
				var ADDR_CITY = $.trim(this.value);
				
				var invoke = {
						"tasknm" : "alejandrolist",
						"var" : JSON.stringify({
							"cnm":"com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
							"mnm" : "getSigugun",
							"args":	{ 
								"ADDR_CITY":ADDR_CITY
							}
						})				
				};
			
				tran.callWCSJsonTran( "NSMypageCommCmd", invoke, PostView.ui.setSafeState );
			},
			
			//상세 주소 검색 
			onclick_DetailAddr : function() {
				var ADDR_CITY = $.trim( $("#selAddrAlias option:selected").val() );
				var ADDR_DSTR = $.trim( $("#selAddrAlias2 option:selected").val() );
				
				var invoke = {
						"tasknm" : "alejandrolist",
						"var" : JSON.stringify({
							"cnm":"com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
							"mnm" : "getRelaxAddrList",
							"args":	{ 
								"ADDR_CITY":ADDR_CITY,
								"ADDR_DSTR":ADDR_DSTR
							}
						})				
				};
			
				tran.callWCSJsonTran( "NSMypageCommCmd", invoke, PostView.ui.setSafeDetail );
			},
			
			
			//주소 선택. 
			onclick_postItem : function(postno, address1 , address2 , newaddress1 , newaddress2 ,addrNm) {
				
				var params = {
						postno : postno,
						address1 : address1,
						address2 : address2,
						addrFlag : "100",
						newaddress1 : newaddress1,
						newaddress2 : newaddress2,
						addrNm		: addrNm
				};
				PostView.callbackFuc( params );
			},
			
		}
}; 


