
/* JavaScript content from js/common/cert.js in folder common */

/**
 *  추가 iframe 창 세팅
 */

var CERTVIEW = {

		init : function( params ) {
			this.initializeComponent();
			this.onLoad( params );
		},
		
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCertPreview").unbind().bind('click', CERTVIEW.event.onclick_btnCertPreview );
			$("#txtHeaderTitle").text( 'NS홈쇼핑' );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function( params ) {
			params.target = "certView";

			//진입 페이지가 주문서 페이지인지 확인
			switch( params.targetType ){
			case "payment":	Ns.Native.showPaymentWindows(params); break;//주문서작성 페이지 일때
//			case "payment":	CERTVIEW.ui.getPaymentIframe(params); break;//주문서작성 페이지 일때
			case "cert":	Ns.Native.showCertificationWindow( params ); break;	//본인인증 페이지 일때
			}
			CERTVIEW.ui.resize(params);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
		
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			//iframe 사이즈 설정
			resize : function(params){
				var iframe = $("#certView");
				var width = $(document).width();
				var height = $(document).height();

				iframe.width( width );
				iframe.height( height );
//				iframe.css("margin-top","40px");
				iframe.css("border","0px");
								
				 if(params.targetType == "payment" && params.payType =="1400"){
					 iframe.css("width","100%");
				 } 
			},
			
			/**
			 * androidweb과 iosweb을 구분하여 로직 호출
			 */
			getPaymentFlag : function (params){
				if (mainCtrl.VIEW_TYPE == "iosweb"){	// iosweb
					CERTVIEW.ui.getPaymentIframe(params);
				} else {	// androidweb
					Ns.Native.showPaymentWindows(params);
				}
			},
			
			/**
			 * iframe을 직접 컨트롤 하여 결제진행
			 */
			getPaymentIframe : function (params){
				var url = "";
				params['MOB_RET_URL'] = Ns.Util.getCurrentPathName('/html/common/return_payment.html');
				params['MOB_ERR_URL'] = Ns.Util.getCurrentPathName('/html/common/return_error.html');
//				params['MOB_RET_URL'] = 'http://' + Const.MOBILE_NSMALL_PATH + '/apps/services/preview/nsmobilehub/common/1.0/default/html/common/return_payment.html';
				var parameters = CERTVIEW.ui.objectToQueryString(params);
				if (params.payType == "100") { // 신용카드
					//url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/kicc/easypay_mob_request.jsp?" + parameters;
					if (params.payType == "100" && params.VAN_CO == "20"){	// 20:롯데카드 직승인
						url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/rocomo/smpi_mob_agent01.jsp?" + parameters;
					} else {
						url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/kicc/easypay_mob_request.jsp?" + parameters;
					}
				} else if (params.payType == "300") { // 실시간 계좌이체
					url = "http://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/lguplus/lguplus_mob_request.jsp?" + parameters;
				} else if (params.payType == "400") { // 휴대폰 소액결제
					url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/kg/kg_mob_request.jsp?" + parameters;
				} else if (params.payType == "1400"){ // 페이코		2016-05-12 Ssong 추가
					url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/payco/payco_mob_request.jsp?" + parameters;
				} else if (params.payType == "1500"){ // 네이버페이		2018-06-07 유상욱 추가
					url = 'https://' + Const.WCS_NSMALL_PATH + '/nsmall/mobile/naverpay/naverpay_mob_request.jsp?' + parameters;
				} else if (params.payType == '1600' || params.payType == '1700'){
					url = 'https://' + Const.WCS_NSMALL_PATH + '/nsmall/mobile/wpay/wpay_mob_request.jsp?' + parameters;
				} 

				if( Ns.Util.isNull(params.target) ) params.target = "payment";

				window['paymentSuccessWeb'] = function(data) {
					Ns.Util.viewConsoleLog('showPaymentWindows.paymentSuccessWeb ==> ' + JSON.stringify(data));
					var succFunc = eval(params.successFunc);
					succFunc(data);
				};
				window['paymentStop'] = function(data) {
					Ns.Util.viewConsoleLog('showPaymentWindows.paymentStop ==> ' + JSON.stringify(data));
					var failFunc = eval(params.failFunc);
					failFunc(data);
				};
				
				document.getElementById("certView").src = url + "&MOB_PASS=WEB&MOB_VIEW_TYPE=" + mainCtrl.VIEW_TYPE;
			},
			
			/**
			 * 파라메타 파싱
			 */
			objectToQueryString : function(params) {
				var data = [];
				if (typeof (params) == "object") {
					for (var att in params) {
						data.push( att + "=" + encodeURIComponent(params[att]) );
					}
				}
				return data.join('&');
			},
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			//back버튼 설정
			onclick_btnCertPreview : function(){
				//mainCtrl.hideCertView();
				mainCtrl.onBackButtonPressed();
//				navi.naviBack();
			}
		}
};