
/* JavaScript content from js/common/communication.js in folder common */
////////////////////////////////////////////////
var WCSJsonTranCtrl = {
	mAdapterID			: "WCSJsonAdapt",
	mCertProcedure		: "certTran",
	mCommonProcedure	: "commonTran",
	liveAdapterId		: "TVLiveQuestionAdapter",
	liveProcedure		: "TVLiveSendTran",
};

//timeout 변경이 필요한 api명 - http post
var WCSJsonChangeTimeout = {
	PaymentApprovalRequestCmd	:	"PaymentApprovalRequestCmd",
	NSChangeOrderCmd : "NSChangeOrderCmd",
	NSMypageCommCmd : "NSMypageCommCmd",
	NSLogonMoblieCmdReal : "NSLogonMoblieCmdReal",
	NSShippingAddressAccessCmdReal : "NSShippingAddressAccessCmdReal",
	NSPasswordIdentifyAjaxCmd : "NSPasswordIdentifyAjaxCmd",
	MobilePersonalInfoManageCmdReal : "MobilePersonalInfoManageCmdReal",
	NSPWChangeMoblieCmdReal     : "NSPWChangeMoblieCmdReal",
	NSIDCheckMoblieCmdReal : "NSIDCheckMoblieCmdReal",
	NSPWCheckMoblieCmdReal : "NSPWCheckMoblieCmdReal",
	NsMobileMemberSignupCmd : "NsMobileMemberSignupCmd",
	FooterInquiryMobileReal : "FooterInquiryMobileReal",
	ModifyAlarmReal : "ModifyAlarmReal",
	NSNonMemberOrderChk : "NSNonMemberOrderChk",
	RegistrationCompleteViewMobile : "RegistrationCompleteViewMobile",
	NSOrderPaymentMobile : "NSOrderPaymentMobile",
	TVHomeShoppingAjax : "TVHomeShoppingAjax",
	NSShopPlusAlarmReal : "NSShopPlusAlarmReal",
	NSMypageCmd : "NSMypageCmd",
	AjaxNSWPay : "AjaxNSWPay",
	GoodsQnAReal : "GoodsQnAReal",
};


//UserId(비회원 등) 존재 여부에 따라 http 호출이 필요한 경우 기록할 경우 usrid가 없을 경우 http로 호출 
var WCSJsonChangeHTTP = {
	PaymentApprovalRequestCmd :	"PaymentApprovalRequestCmd",
	NSOrderPaymentMobile : "NSOrderPaymentMobile",
	NSChangeOrderCmd : "NSChangeOrderCmd",
	NSMypageCommCmd : "NSMypageCommCmd",
	AjaxNSWPay : "AjaxNSWPay",
};

//SSL 호출이 필요한 api명 - khkim82 https post
var WCSJsonChangeSSL = {
	PaymentApprovalRequestCmd	:	"PaymentApprovalRequestCmd",
	NSChangeOrderCmd : "NSChangeOrderCmd",
	NSMypageCommCmd : "NSMypageCommCmd",
	NSLogonMoblieCmdReal : "NSLogonMoblieCmdReal",
	NSShippingAddressAccessCmdReal : "NSShippingAddressAccessCmdReal",
	NSPasswordIdentifyAjaxCmd : "NSPasswordIdentifyAjaxCmd",
	MobilePersonalInfoManageCmdReal : "MobilePersonalInfoManageCmdReal",
	NSPWChangeMoblieCmdReal     : "NSPWChangeMoblieCmdReal",
	NSIDCheckMoblieCmdReal : "NSIDCheckMoblieCmdReal",
	NSPWCheckMoblieCmdReal : "NSPWCheckMoblieCmdReal",
	NsMobileMemberSignupCmd : "NsMobileMemberSignupCmd",
	FooterInquiryMobileReal : "FooterInquiryMobileReal",
	ModifyAlarmReal : "ModifyAlarmReal",
	RegistrationCompleteViewMobile : "RegistrationCompleteViewMobile",
	NSOrderPaymentMobile : "NSOrderPaymentMobile",
	TVHomeShoppingAjax : "TVHomeShoppingAjax",
	NSShopPlusAlarmReal : "NSShopPlusAlarmReal",
	//NSMypageCmd : "NSMypageCmd",
	ValidatePassword : "ValidatePassword",
	AjaxNSWPay : "AjaxNSWPay",
	GoodsQnAReal : "GoodsQnAReal",		
};

//sslquery.jsp iframe EventListener
(function(){
    //allowed domains (that can use RegExp)
    var whitelist = ["^.*\.nsmall\.com", "localhost:10080"];

    function verifyOrigin(origin){
    	//event.origin === "https://m.nsmall.com"
    	var domain = origin.replace(/^https?:\/\/|:\d{1,4}$/g, "").toLowerCase(),
         i = 0,
         len = whitelist.length;
    	 
         while(i < len) {
             if (domain.match(new RegExp(whitelist[i]))) {
                 return true;
             }
             i++;
         }
        return false;
    }

    function handleRequest(event){
    	if (verifyOrigin(event.origin)) {
    		//약속된 파라미터가 존재 할 시에만 호출한다.
    		if(event.data.tranId != undefined){
        		document.getElementById('iframe_link').contentWindow.postMessage(sessionStorage.getItem(event.data.tranId), '*');
    		}else{
    			if(event.data.status != undefined){
    				tran.nextResponseSsl(event.data); 
    			}
    		}     
        }
    }

    if(window.addEventListener) {
        window.addEventListener("message", handleRequest, false);
    } else if (window.attachEvent) {
        window.attachEvent("onmessage", handleRequest);
    }
})();


TranCtrl = WLJSX.Class.create( {
	initialize : function() {
	},
	defaultOptions : {
		'progress' : true
	},
	
	scrollTop : 0,
	_progressCount : 0,	// show된 TranCtrl 갯수.
	callBack : [],
	
	//Request Timeout
	WLServerCommon : 60000,
	WLServerCert : 60000,
	
	//Queue
	transData : [],
	startFlag : 0,
	endFlag : 0,

	initQueue : function(){
		this.transData = [];
		this.startFlag = 0;
		this.endFlag = 0;
	},

	showBusy : function(showBusy) {
		if (tran._progressCount == 0) {
			Ns.Util.viewConsoleLog('TranCtrl.showBusy.');
			// 특정 API 호출 후 로딩 이미지 미노출 시킴
			if(showBusy != "ValidatePassword"){
				mainCtrl.showLoadingImg();
			}
		}
		tran._progressCount++;
	},
	
	hideBusy : function() {
		tran._progressCount--;
		if (tran._progressCount <= 0) {
			Ns.Util.viewConsoleLog('TranCtrl.hideBusy.');
			if(navi.getPageId()!="M_S1110000M"){
				mainCtrl.hideLoadingImg();
			}
			//api 통신이 끝난 후 스크롤 이동
			if(tran.scrollTop > 0){
				setTimeout(function(){
					$(document).scrollTop(tran.scrollTop);
					tran.scrollTop = 0;
				},500);
			}
		}
	},
	
	callWCSJsonTran : function(tranId, params, callbackFunc, catalogId, failureCallbackFunc, options, isSSL, connectionFailureCallbackFunc) {
		
		Ns.Util.viewConsoleLog("inputData(" + tranId + ")>", params);
		var currentPageId = mainCtrl.getCurrentPageId(); 
		
		options = $.extend(true, {}, this.defaultOptions, options);
		if (options['progress']) {
			this.showBusy(tranId);
		}
		
		Ns.Util.viewConsoleLog('tranId:' + tranId);
		
		this.callBack.push({'tranId':tranId, 'callback':callbackFunc, 'options':options});
		
		if ( params == null ){
			params = {};
		}else{
			params = JSON.parse(JSON.stringify(params));
		}
		
		params.mobAPI = tranId;
		params.accessTm = Ns.Date.getTimeStamp();
		
		params.storeId =DEFAULT_PARAMs.storeId;
		params.langId = DEFAULT_PARAMs.langId;
		params.uuid = WL_UUID;
		params.accptPath = Const.getAcceptPath();		//공통 accptPath
		params.accptPathCd = Const.getAcceptPath();		//상품쪽에서 사용하는 accptPath
		params.req_co_cd = Const.getCocd();
		if (undefined == params.userId || null == params.userId || "" == params.userId){
			params.userId = USERINFO.userId();
		}
		if ( isSSL == true ){
			if( !Ns.Util.isNull(params.userId) ){
				params.userId = $.encodeBase64(sjcl.encrypt( tranId , String(params.userId) ));
			}
		}
		
		if( Ns.Util.isNull(params.catalogId) && Ns.Util.isNull(catalogId) )
			params.catalogId = Const.getDefaultCatalogId();
		else if ( Ns.Util.isNull(params.catalogId) && !Ns.Util.isNull(catalogId) )
			params.catalogId = catalogId;
		
		var serviceparams = {
			pageId : currentPageId,
			tranId	: "webapp/wcs/stores/servlet/" + tranId,
			content : params
		};
		
		Ns.Util.viewConsoleLog('input params: ' + JSON.stringify(params));
		
		/**
		 *  통신 timeout 구분을 위해 produce 구분
		 *  1   파라미터에 produce 구분 필드가 있을경우 최우선
		 *  1-1 파라미터가 Y일 경우 produce 변경, N일경우 미변경
		 *  2   파라미터가 없을경우 tranId로 체크
		 *  3   worklight Server timeout은 Millisecond 기준 반드시 INT형
		 */
		var procedure = "";
		var timeoutForWLServer = 0;
		if ( undefined != params.changeAdapters ){
			if( params.changeAdapters == "Y" ){
				procedure = WCSJsonTranCtrl.mCertProcedure;
				timeoutForWLServer = tran.WLServerCert;
			}else{
				procedure = WCSJsonTranCtrl.mCommonProcedure;
				timeoutForWLServer = tran.WLServerCommon;
			}
		} else if ( WCSJsonChangeTimeout[tranId] ){
			procedure = WCSJsonTranCtrl.mCertProcedure;
			timeoutForWLServer = tran.WLServerCert;
		} else {
			procedure = WCSJsonTranCtrl.mCommonProcedure;
			timeoutForWLServer = tran.WLServerCommon;
		}
		
		var invocationData = {
			adapter 	: WCSJsonTranCtrl.mAdapterID,
			procedure 	: procedure,
			parameters 	: [serviceparams],
			compressResponse: true
		};
		
		var invocationOptions = {
			onSuccess : this.onTranSuccess.bind(this),
			onFailure : this.onTranFail.bind(this),
			onConnectionFailure : this.onTranConnectionFail.bind(this),
			invocationContext : options,
			timeout : timeoutForWLServer
		};
		if (failureCallbackFunc != null && failureCallbackFunc != undefined && typeof(failureCallbackFunc) == 'function') {
			var _this = this;
			invocationOptions.onFailure = function(response) {
				if (response.invocationContext['progress']) {
					_this.hideBusy();
				}
				failureCallbackFunc(response);
			};
		}
		
		if (connectionFailureCallbackFunc != null && connectionFailureCallbackFunc != undefined && typeof(connectionFailureCallbackFunc) == 'function') {
			var _this = this;
			invocationOptions.onConnectionFailure = function(response) {
				if (response.invocationContext['progress']) {
					_this.hideBusy();
				}
				connectionFailureCallbackFunc(response);
			};
		}
		
		var invoke = {
			data : invocationData,
			option : invocationOptions,
			tranId : tranId,
			callback : callbackFunc
		};

		if(Const.IS_DEV_SEQ_ACCESS){
			this.setTransData(invoke);
		}else{
			if ( mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android" ) {
				if(  Const.IS_SSL_REQ == true && WCSJsonChangeSSL[tranId] && !(Ns.Util.isNull(invoke.data.parameters[0].content.userId) && WCSJsonChangeHTTP[tranId])){
					this.sslAjaxProcedure(invoke, 0);			
				}else{
					WL.Client.invokeProcedure(invocationData, invocationOptions);
				}					
			} else{
				if(  document.location.protocol == 'http:' && Const.IS_SSL_REQ == true && WCSJsonChangeSSL[tranId] && !(Ns.Util.isNull(invoke.data.parameters[0].content.userId) && WCSJsonChangeHTTP[tranId])){
					this.sslAjaxProcedure(invoke, 0);
				}else{
					WL.Client.invokeProcedure(invocationData, invocationOptions);
				}				
			}	
		}
	},
	
	//20180322 khkim82 sslquery.js  call - 	//callWCSJsonTran() 사용 
	sslProcedure : function( invokeData, idx ){
		/*
		 * HTTP 도메인의 사이트 <-> HTTP 도메인 사이트 내의 HTTPS도메인 iframe <-> HTTPS 도메인
		*/
		var _this = this;

		$("#iframe_link").remove();	// iframe 삭제
		$("#sslForm").remove();
		/*
		mjsp/site/sslquery.jsp 호출 시 APP일 경우 file:// 과 https://nsmall.com 의 세션 문제로 비회원으로 장바구니 담았다가 로그인했을 경우 장바구니 목록이 나타나지 않는 문제가 발생함.
		앱내로 옮겨 sslquery.js 로 호출하게 하여도 동일하게 발생 
		var src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/sslquery.jsp";	
		*/
		var src= 'https://' + Const.MOBILE_NSMALL_PATH + '#sslquery';
		
		if(location.hostname.indexOf(".nsmall.com") < 0 && !(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android")){
			//local
			src = 'http://localhost:10080/NSMobileHubApp/apps/services/preview/nsmobilehub/common/0/default/nsmobilehub.html#sslquery';
		}else{
			src = 'https://' + Const.MOBILE_NSMALL_PATH + '#sslquery';
		}
		
		src += "?tranId=" + invokeData.data.parameters[0].tranId;
		src += "&clientEnv=" + WL.StaticAppProps.ENVIRONMENT;
		src += "&wlInstanceId=" + WL.Client.__getGlobalHeaders()['WL-Instance-Id']
		
		/*
		//GET 파라미터에 넣어서 보내도 정상작동하나 WAS의 access log에 남을 수 있고 한글의 경우 깨질수 있어 해당 방법은 지양하고 postMessage를 사용함.
		*/
 
		var sslForm = {	sslForm_invoke : invokeData };
 
		sessionStorage.setItem(invokeData.data.parameters[0].tranId, JSON.stringify(sslForm));
		
		$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\"></iframe>");
  		
		document.getElementById("iframe_link").src = src; //iframe호출.

	},
 
 
	//20180322 khkim82 sslquery.jsp call - 	//ajax 사용 
	//서버에서 세션에서 userid등을 꺼내다 쓰는 API등이 많음. 
	//https와 세션클러스터링이 안되므로 https가 필요한 api일 경우 userid등을 넘겨주고 세션이 아닌 파라미터에서 검색되도록 하거나 같은 https에서 처리한다. 
	sslAjaxProcedure : function( invokeData, idx ){
		/*
		 HTTP 도메인의 사이트 <-> HTTP 도메인 사이트 내의 HTTPS도메인 iframe <-> HTTPS 도메인
		//호출하는 url 정보들 : Const.MOBILE_NSMALL_SSL_PATH + WL.StaticAppProps.WORKLIGHT_ROOT_URL + 'query',
		//DEV 	- url : 'http://devm.nsmall.com/worklight/apps/services/api/nsmobilehub/mobilewebapp/query',
		//REAL 	- url : 'http://m.nsmall.com/worklight/apps/services/api/nsmobilehub/mobilewebapp/query',
		//LOCAL	- url : 'http://localhost:10080/NSMobileHubApp/apps/services/api/nsmobilehub/common/query',
		//http://localhost:10080/mjsp/site/sslquery.jsp
		*/
		var _this = this;

		$("#iframe_link").remove();	// iframe 삭제
		$("#sslForm").remove();
		
		var src = '';	
		if(Const.IS_SERVER_STATE == "STAGE"){
			src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/sslquery.jsp";	
		}else{
			src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/sslquery.jsp";	
		}
 		
		//request 
		$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\" ></iframe>");
		$("body").append('<form id="sslForm" target="iframe_link" action="' + src + '" method="post"></form>');		
		//request form
		$("#sslForm").append('<input type="hidden" id="sslForm_adapter" name="sslForm_adapter" value="" />');
		$("#sslForm").append('<input type="hidden" id="sslForm_procedure" name="sslForm_procedure" value="" />');
		$("#sslForm").append('<input type="hidden" id="sslForm_compressResponse" name="sslForm_compressResponse" value="" />');
		$("#sslForm").append('<input type="hidden" id="sslForm_parameters_content" name="sslForm_parameters_content" value="" />');
		$("#sslForm").append('<input type="hidden" id="sslForm_parameters_pageId" name="sslForm_parameters_pageId" value="" />');
		$("#sslForm").append('<input type="hidden" id="sslForm_parameters_tranId" name="sslForm_parameters_tranId" value="" />');
		$("#sslForm").append('<input type="hidden" id="sslForm_timeout" name="sslForm_timeout" value="" />');
		//request header
		$("#sslForm").append('<input type="hidden" id="sslForm_WL-Instance-Id" name="sslForm_WL-Instance-Id" value="" />');
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-analytics-tracking-id" name="sslForm_x-wl-analytics-tracking-id" value="" />'); 		    
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-app-details" name="sslForm_x-wl-app-details" value="" />'); 
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-app-version" name="sslForm_x-wl-app-version" value="" />'); 
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-clientlog-appname" name="sslForm_x-wl-clientlog-appname" value="" />'); 
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-clientlog-appversion" name="sslForm_x-wl-clientlog-appversion" value="" />'); 
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-clientlog-deviceId" name="sslForm_x-wl-clientlog-deviceId" value="" />'); 
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-clientlog-env" name="sslForm_x-wl-clientlog-env" value="" />'); 
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-clientlog-model" name="sslForm_x-wl-clientlog-model" value="" />'); 
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-clientlog-osversion" name="sslForm_x-wl-clientlog-osversion" value="" />'); 
		$("#sslForm").append('<input type="hidden" id="sslForm_x-wl-device-id" name="sslForm_x-wl-device-id" value="" />'); 
		//request url
		$("#sslForm").append('<input type="hidden" id="sslForm_url" name="sslForm_url" value="" />');
		//request origin_mod
		$("#sslForm").append('<input type="hidden" id="sslForm_originMod" name="sslForm_originMod" value="" />');	
		//request ENVIRONMENT
		$("#sslForm").append('<input type="hidden" id="sslForm_clientEnv" name="sslForm_clientEnv" value="" />');	
 
		$("#sslForm_adapter").val(invokeData.data.adapter);
		$("#sslForm_procedure").val(invokeData.data.procedure);
		$("#sslForm_compressResponse").val(invokeData.data.compressResponse);
 
		//khkim82 20180531 특수문자 들어간 상품 주문불가로 QueryString으로 escape 변환하여 전송 
		//khkim82 20181102 easypay isp가 encode 되어 내려주는데 + 특문이 변환은 안되나 unescape를 해버려서 인코딩 데이터 차이가 발생함.
		$("#sslForm_parameters_pageId").val(invokeData.data.parameters[0].pageId);
		$("#sslForm_parameters_tranId").val(invokeData.data.parameters[0].tranId);
		$("#sslForm_parameters_content").val(objectToQueryStringFixEncodeURIComponent(invokeData.data.parameters[0].content , true));
		$("#sslForm_timeout").val(invokeData.option.timeout);		
		
		if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android"){		
			if(sessionStorage.getItem('WL-Instance-Id')){
				$("#sslForm_WL-Instance-Id").val(sessionStorage.getItem('WL-Instance-Id'));	
			}else{
				$("#sslForm_WL-Instance-Id").val(WL.Client.__getGlobalHeaders()['WL-Instance-Id']);	
			}
		}else{
			$("#sslForm_WL-Instance-Id").val(WL.Client.__getGlobalHeaders()['WL-Instance-Id']);	
		}		
		
		function s4() {
			return Math.floor((1 + Math.random()) * 0x10000)
			.toString(16)
			.substring(1);
		}
		
		var AnalyticsTrackingId = s4() + s4() + '-' + s4() + '-' + s4() + '-' + s4() + '-' + s4() + s4() + s4();
		$("#sslForm_x-wl-analytics-tracking-id").val(AnalyticsTrackingId);
		var NativeVersion = WL.StaticAppProps.WORKLIGHT_NATIVE_VERSION?WL.StaticAppProps.WORKLIGHT_NATIVE_VERSION:"";
		var appDetails = '{"applicationDetails":{"platformVersion":"' + WL.StaticAppProps.WORKLIGHT_PLATFORM_VERSION +'","nativeVersion":"'+NativeVersion +'"}}';
		$("#sslForm_x-wl-app-details").val(appDetails);
		$("#sslForm_x-wl-app-version").val(WL.StaticAppProps.APP_VERSION);
		$("#sslForm_x-wl-clientlog-appname").val(WL.WebLogger._getHeaders()["x-wl-clientlog-appname"]);
		$("#sslForm_x-wl-clientlog-appversion").val(WL.WebLogger._getHeaders()["x-wl-clientlog-appversion"]);
		$("#sslForm_x-wl-clientlog-deviceId").val(WL.WebLogger._getHeaders()["x-wl-clientlog-deviceId"]); 
		$("#sslForm_x-wl-clientlog-env").val(WL.WebLogger._getHeaders()["x-wl-clientlog-env"]); //WL.StaticAppProps.ENVIRONMENT 
		$("#sslForm_x-wl-clientlog-model").val(WL.WebLogger._getHeaders()["x-wl-clientlog-model"]);
		$("#sslForm_x-wl-clientlog-osversion").val(WL.WebLogger._getHeaders()["x-wl-clientlog-osversion"]);	
		$("#sslForm_x-wl-device-id").val(WL.Client.__getGlobalHeaders()['x-wl-device-id']); //WL.WebLogger._getHeaders()["x-wl-device-id"]
	
		//Local
		if(location.hostname.indexOf(".nsmall.com") < 0 && !(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android")){
			$("#sslForm_originMod").val("LOCAL");
			$("#sslForm_url").val('https://devm.nsmall.com/worklight/apps/services/api/nsmobilehub/mobilewebapp/query');
		}else if(Const.IS_SERVER_STATE == "STAGE"){
		//STAGE	
			$("#sslForm_originMod").val(Const.IS_SERVER_STATE); 
			if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android"){
				$("#sslForm_url").val('https://' + Const.MOBILE_NSMALL_PATH + '/worklight' +WL.StaticAppProps.POSTFIX_WORKLIGHT_ROOT_URL + 'query');
			}else{
				$("#sslForm_url").val('https://' + Const.MOBILE_NSMALL_PATH + WL.StaticAppProps.WORKLIGHT_ROOT_URL + 'query');
			}	
		} else {
		//REAL	
			$("#sslForm_originMod").val(Const.IS_SERVER_STATE); 
			if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android"){
				$("#sslForm_url").val('https://' + Const.MOBILE_NSMALL_PATH + '/worklight' +WL.StaticAppProps.POSTFIX_WORKLIGHT_ROOT_URL + 'query');
			}else{
				$("#sslForm_url").val('https://' + Const.MOBILE_NSMALL_PATH + WL.StaticAppProps.WORKLIGHT_ROOT_URL + 'query');
			}	
		}
		
		$("#sslForm_clientEnv").val(mainCtrl.VIEW_TYPE);  

		$("#sslForm").submit();			 
	},
	
	nextResponseSsl : function( data ) {
		$("#iframe_link").remove();	// iframe 삭제
		$("#sslForm").remove();
		
		if(data.status == 200){
			/*
			reload시 GlobalHeaders의 WL-Instance-Id가 초기화되어 sslquery.jsp에서 받은 값으로 셋팅
			app일 경우 sslquery.jsp와 도메인이(file://) 달라 JSESSIONID가 공유가 안되어 WL-Instance-Id를 새로 받게됨. 
			호출시마다  WL-Instance-Id를 새로 등록하지 않도록 sslquery.jsp에서 받은 ID를 저장해 놓고 사용한다. 
			앱 종료 후 새로 호출 시(세션이 끊겼을 경우) WL-Instance-Id는 다시 발급 받는다. 
			*/
			if(data.WLInstanceId != undefined || data.WLInstanceId != ''){
				sessionStorage.setItem('WL-Instance-Id', data.WLInstanceId);	
			}
	
			this.onTranSuccess(data);
		} else{
			this.onTranFail(data);
		}		
	},	
	//EC서버 API 바로 호출
	sslAjaxRequest : function( invokeData, idx ){
		//REAL - "https://" + Const.WCS_NSMALL_PATH + '/' + params[0].tranId; 
		//LOCAL	- url : 'http://localhost/webapp/wcs/stores/servlet',
		var _this = this;
 
		//Target URL 생성 
		var isInspectResult = false;	//요청 data 파싱 후 target server에 호출 할 형식으로 재조립 성공 여부
		var targetUrl = "";				//요청 sever url (www.nsmall.com)
		var params = {};	
		var contents = {};
		
		params = invokeData.data.parameters;
   

		if(params[0].tranId != null && params[0].content != null){
			targetUrl = "https://" + Const.WCS_NSMALL_PATH + '/' + params[0].tranId; 

	 		contents = objectToQueryString(params[0].content, true);	
			contents.tranId = params[0].tranId;
			contents.pageId = params[0].pageId;	
				
			isInspectResult = true; 
		} 
		

		
		if(isInspectResult){   
			try{
				$.ajax({
					url : targetUrl,
					type:"POST",
					timeout: invokeData.option.timeout,
					crossDomain: true ,
					data: contents,
					dataType: "json",
					success: function (data, textStatus, request) {
			           var tranData = data;	
			           tranData.isSuccessful = true;
			 
					   var response = {
							status: 200,
							invocationContext : {progress: true},
							invocationResult :  tranData
						};
						_this.onTranSuccess(response);
					},
					error: function (request, status, error) {
						request.isSuccessful = false;
						
						if(request.status === 0){
							//Not connect. Verify Network. 
							//브라우저 버전이 낮을경우 error 날 수 있음. 테스트 후 보완이 필요할 경우 추후 수정.  
							var response = {
								invocationContext : {progress: true},
								invocationResult :  request,
								errorCode: request.status,
								errorMsg : 'ERR_CONNECTION_REFUSED'
							 };
							_this.onTranConnectionFail(response);
						}else if(request.status == 404){
							//Requested page not found 
							var response = {
								invocationContext : {progress: true},
								invocationResult :  request,
								errorCode: request.status,
								errorMsg : request.responseText
							 };
							_this.onTranConnectionFail(response);
						}else if(request.status == 401){
							//CROS 요청시 세션이 달라 worklight 인증을 다시 받는다. 
							var response = {
									invocationContext : {progress: true},
									invocationResult :  request,
									errorCode: request.status,
									errorMsg : request.responseText
								 };
							_this.onTranConnectionFail(response);
							
						}else{
							 var response = {
								invocationContext : {progress: true},
								invocationResult :  request,
								errorCode: request.status,
								errorMsg : request.responseText
							 };
							_this.onTranFail(response);
						}
						
					}
				});//then(invokeData.callback)   ;
			}catch(e){
				 var response = {
		 				 	invocationContext : {progress: true},
							invocationResult :  invokeData.data.parameters,
							errorCode: '',
							errorMsg : 'ERR_CONNECTION_REFUSED'
						 };
				 _this.onTranFail(response);//...
			}
		
		}else{
			 var response = {
	 				 	invocationContext : {progress: true},
						invocationResult :  invokeData.data.parameters,
						errorCode: '',
						errorMsg : 'ERR_REQUEST_PARAMETERS'
					 };
			 _this.onTranFail(response);//...
		}
		
		
	},
	
	callWCSJsonTranComplex : function( procedureId, tranId, params, callbackFunc, catalogId, options) {
		Ns.Util.viewConsoleLog("inputData(" + tranId + ")>", params);
		var currentPageId = mainCtrl.getCurrentPageId(); 

		options = $.extend(true, {}, this.defaultOptions, options);
		if (options['progress']) {
			this.showBusy();
		}
		
		Ns.Util.viewConsoleLog('input tranId:' + tranId);
		this.callBack.push({'tranId':tranId, 'callback':callbackFunc, 'options':options});
		
		if ( params == null ){
			params = {};
		}else{
			params = JSON.parse(JSON.stringify(params));
		}
		
		params.mobAPI = tranId;
		params.accessTm = Ns.Date.getTimeStamp();
		
		params.storeId =DEFAULT_PARAMs.storeId;
		params.langId = DEFAULT_PARAMs.langId;
		params.uuid = WL_UUID;
		params.accptPath = Const.getAcceptPath();
		
		if( Ns.Util.isNull(params.catalogId) && Ns.Util.isNull(catalogId) )
			params.catalogId = Const.getDefaultCatalogId();
		else if ( Ns.Util.isNull(params.catalogId) && !Ns.Util.isNull(catalogId) )
			params.catalogId = catalogId;
		
		var serviceparams = {
			userId : USERINFO.userId(),
			pageId : currentPageId,
			tranId	: tranId,
			content : params
		};
		
		var invocationData = {
			adapter 	: WCSJsonTranCtrl.mAdapterID,
			procedure 	: procedureId,
			parameters 	: [serviceparams]
		}; 
		var invocationOptions = {
			onSuccess : this.onTranSuccess.bind(this),
			onFailure : this.onTranFail.bind(this),
			onConnectionFailure : this.onTranConnectionFail.bind(this),
			invocationContext : options
		};

		var invoke = {
			data : invocationData,
			option : invocationOptions,
			tranId : tranId,
			callback : callbackFunc
		};

		// INVOKE PROCEDURE
		if(Const.IS_DEV_SEQ_ACCESS){
			this.setTransData(invoke);
		}else{
			WL.Client.invokeProcedure(invocationData, invocationOptions);
		}
	},

	
	callPushNewMsgList : function(params, callbackFunc, options){
		var tranId = 'PushNewMsgList';

		options = $.extend(true, {}, this.defaultOptions, options);
		if (options['progress']) {
			this.showBusy();
		}
		
		this.callBack.push({'tranId': tranId, 'callback':callbackFunc, 'options':options});
		
		var reqParams = {
				"appKey" : Const.DEVICE_APP_KEY[ mainCtrl.VIEW_TYPE ], // 앱key
				"uuid" : DEFAULT_PARAMs.deviceId, // device uuid(초기 push 동의 여부 체크시 저장.)
				"data" : {
					"type": params.type, //P(prev), N(next)
					"reqUserMsgId": DEFAULT_PARAMs.maxUserMsgId, //userMsgId이전 또는 이후의 userMsgId를 갖는 메시지들을 가져옴(-1)일경우 새로운 메시지만 가져옴
					"msgGrpCd": params.msgGrpCd, //-1일경우 모든 msgGrpCd를 가져옴
					"pageInfo": {
						"page": params.page, //page
						"row" : params.row //page row
					}
				}
		};
		
		Ns.Util.viewConsoleLog("[pushMsgReqParams] >> " + JSON.stringify(reqParams));
		
		var serviceparams = {
			tranId : tranId,
			content : reqParams
		};
		
		var invocationData = {
			adapter 	: "PUSHMsgAdapt",
			procedure 	: "getPushNewMsgList",
			parameters 	: [serviceparams]
		};
		
		var invocationOptions = {
			onSuccess : this.onTranSuccess.bind(this),
			onFailure : this.onTranFail.bind(this),
			onConnectionFailure : this.onTranConnectionFail.bind(this),
			invocationContext : options
		};

		var invoke = {
			data : invocationData,
			option : invocationOptions,
			tranId : tranId,
			callback : callbackFunc
		};

		// INVOKE PROCEDURE
		if(Const.IS_DEV_SEQ_ACCESS){
			this.setTransData(invoke);
		}else{
			WL.Client.invokeProcedure(invocationData, invocationOptions);
		}
	},
	
	//wiselog에 페이지 이동시마다 params 남기기
	callPageLogging : function( pageId, params ){
		var url = "";
		
		if(params && Const.IS_SERVER_STATE == 'REAL'){
			/* <NSSR-4487> 2017.10.11 대카테고리 URL 삽입 */
			var inCategoryId = params.categoryId;
			var traceId = CATEGORY_TRACE_INFO[inCategoryId];
			if(!Ns.Util.isNull(traceId)){
				try{
					if(document.location.protocol == 'https:'){
						url = "https://" + Const.MOBILE_NSMALL_PATH +"/trace=" + traceId;						
					}else{
						url = "http://" + Const.MOBILE_NSMALL_PATH +"/trace=" + traceId;
					}				
					
					if($("#container_" + inCategoryId).css("display") != "block"){
						Ns.Util.viewConsoleLog("wiselog url ==> " + url);
						n_click_logging(url);
					}
				}
				catch(e){
					Ns.Util.viewConsoleLog("callPageLogging error ==> " + e);
				}
				finally{
					return false;
				}
			}
			/* </NSSR-4487> */
		}
		
		var rfr = Const.getReferrer();
		
		//2017-11-16 ssong layout 로그 적재를 위해 분리
		url = tran.makeLoggingUrl(pageId, params);
		if(Const.IS_SERVER_STATE == 'REAL'){
			if( Ns.Util.isNull(rfr) ){
				n_click_logging(url);
			}else{
				n_click_logging(url,rfr);
			}
		}
	},
	
	//2017-11-16 ssong layout 로그 적재를 위해 분리
	makeLoggingUrl : function (pageId, params) {
		if( pageId == "linkimsi" || pageId == "sslquery"){
			return false;
		}

		if ( undefined == params || null == params || PAGE_CONFIG[pageId].isSSL == true){
			params = {};
		} else {
			// 주문완료 페이지의 경우 특정 필드 삭제
			if (pageId == "M_B13G0000M"){
				var tempOrderId = params.orderId;
				params = {};
				params = {orderId:tempOrderId}; 
			}
			
			params = JSON.parse(JSON.stringify(params));
		}

		//웹,앱 체크
		if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android"){
			_n_sid = "mappns";
		}else{
			_n_sid = "mwebns";
			params.PCID = Ns.Cookie.getCookie('PCID');
		}
		
		//로그에 담을 파라미터 적재
		params.UID = $.encodeBase64(sjcl.encrypt( pageId , String(USERINFO.logonId()) ));
		params.userId = USERINFO.custNum();
		params.pageId = pageId;
		params.storeId = DEFAULT_PARAMs.storeId;
		params.uuid = WL_UUID;
		params.co_cd = Const.getCocd();
		params.accptPath = Const.getAcceptPath();
		
		if ( Ns.Util.isNull( params.catgroupId ) ){
			params.catgroupId = "";
		}
		
		if ( Ns.Util.isNull( params.categoryId ) ){
			params.categoryId = "";
		}
		
		if ( Ns.Util.isNull( params.catentryId ) ){
			params.catentryId = "";
		}
		
		if ( Ns.Util.isNull( params.p_espotid ) ){
			params.p_espotid = "";
		}
		
		if ( Ns.Util.isNull( params.p_bannerid ) ){
			params.p_bannerid = "";
		}
		
		if( Ns.Util.isNull(params.catalogId) ) {
			params.catalogId = Const.getDefaultCatalogId();
		}

		var alias = '';
		if(PAGE_CONFIG[pageId]) {
			alias = PAGE_CONFIG[pageId].alias;
		}else{
			if(pageId){
				alias = pageId;
			}else{
				alias = 'traceLogging';
			}	
		}		
		
		if("LoggingPage" == pageId){
			params.pageId = navi.getPageId();
		}
		
		//object를 파라미터 형식으로 변환
		params = Ns.Util.objectToQueryString(params);
		

		if(document.location.protocol == 'https:'){
			return "https://"+ Const.MOBILE_NSMALL_PATH +"/"+ alias +"?"+ params;
		}else{
			return "http://"+ Const.MOBILE_NSMALL_PATH +"/"+ alias +"?"+ params;
		} 
	},
	

	//실시간 방송참여
	sendLiveTVMsg : function( data, callbackFunc, options ){
		if( Ns.Util.isNull(options)){
			options = {};
		}
		options = $.extend(true, {}, this.defaultOptions, options);
		if (options['progress']) {
			this.showBusy();
		}
		
		this.callBack.push({'tranId': 'TVLive', 'callback':callbackFunc, 'options':null});

		var serviceparams = {
			content : data
		};
		
		var invocationData = {
			adapter 	: WCSJsonTranCtrl.liveAdapterId,
			procedure 	: WCSJsonTranCtrl.liveProcedure,
			parameters 	: [serviceparams]
		};
		
		var invocationOptions = {
			onSuccess : this.onTranSuccess.bind(this),
			onFailure : this.onTranFail.bind(this),
			onConnectionFailure : this.onTranConnectionFail.bind(this),
			invocationContext : options
		};

		var invoke = {
			data : invocationData,
			option : invocationOptions,
			callback : callbackFunc
		};
		// INVOKE PROCEDURE
		if(Const.IS_DEV_SEQ_ACCESS){
			this.setTransData(invoke);
		}else{
			WL.Client.invokeProcedure(invocationData, invocationOptions);
		}
	},
	
	setTransData : function( data ){
		if(this.transData[0] == null){
			this.transData[this.endFlag] = data;
			this.endFlag++;
			this.getTransData();
		}else{
			this.transData[this.endFlag] = data;
			this.endFlag++;
		}
	},

	getTransData : function(){
		if(this.startFlag >= this.endFlag){
			this.initQueue();
			if (undefined != $("#footer").attr("disp")  && $("#footer").attr("disp") == "true"){
				$("#footer").hide();
			}else if( navi.getPageId() == "M_H1114000M"){
				$("#footer").hide();
			}else {
				$("#footer").show();
			}
		}else{
			var data = this.transData[this.startFlag].data;
			var option = this.transData[this.startFlag].option;
			var invoke = this.transData[this.startFlag];
			var transIndex = this.startFlag;
			this.startFlag++;
			
			if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android" ) {
				if(Const.IS_SSL_REQ == true && WCSJsonChangeSSL[invoke.tranId.replace("webapp/wcs/stores/servlet/", "")] && !(Ns.Util.isNull(invoke.data.parameters[0].content.userId) && WCSJsonChangeHTTP[invoke.tranId.replace("webapp/wcs/stores/servlet/", "")])){
						this.sslAjaxProcedure(invoke, transIndex);	
					}else{
						WL.Client.invokeProcedure(data, option);
				}
			}else{
				if(document.location.protocol == 'http:' && Const.IS_SSL_REQ == true && WCSJsonChangeSSL[invoke.tranId.replace("webapp/wcs/stores/servlet/", "")] && !(Ns.Util.isNull(invoke.data.parameters[0].content.userId) && WCSJsonChangeHTTP[invoke.tranId.replace("webapp/wcs/stores/servlet/", "")])){
						this.sslAjaxProcedure(invoke, transIndex);
					}else{
						WL.Client.invokeProcedure(data, option);
				}				
			}
		}
	},
	
	onTranSuccess : function(response) {
		if (response.invocationContext['progress']) {
			this.hideBusy();
		}
		
		try {
			var result = response.invocationResult;
			
			// response JSON 콜백
			if( result.isSuccessful == true ){
				this.inspectResult( result );
			} else {
				var errorCode = "<br>Error : " + result.statusCode;
				WL.SimpleDialog.show(Messages.appName, Messages.transaction_fail + errorCode,[{text:"확인",handler:function(){}}]);
				var param = new Object;
				param.p_espotid = response.tranId;
				param.ErrorCode = "TF";
				tran.callPageLogging("LoggingPage", param);
			}
			
			// 레이어 팝업의 위치 조정
			try {
				if ($('section').is('.layer-popup.active')) {
					$('section.layer-popup.active').css('top', function(){
						var con_height = parseInt($(window).height()/2);
						var obj_height = parseInt($('.layer-popup').height()/2 + 18);
						var center_position = con_height - obj_height;
						return (obj_height > con_height ? ($(window).scrollTop() + 10) : ($(window).scrollTop() + center_position)) + 'px';
					});
				}
			} catch (e) {}
		} catch (e) {
			alert(e.message);
		}
	},
  
	onTranFail : function(response) {
		if (response.invocationContext['progress']) {
			this.hideBusy();
		}
		var param = new Object;
		param.p_espotid = response.tranId;
		var errorCode = "<br>Error : " + response.invocationResult.statusCode;
		Ns.Util.viewConsoleLog("+++++++ onTranFail : " + response.errorCode +  ", " + response.errorMsg);
		
		if(response.errorCode == WL.ErrorCode.REQUEST_TIMEOUT) {
			WL.SimpleDialog.show(Messages.appName,Messages.transaction_error + (Const.IS_DEV_MODE == true ? "onTranFail(1)" : ""),[{text:"확인",handler:function(){ tran.onReloadApp(false); }}]);
			param.ErrorCode = "TE";
			tran.callPageLogging("LoggingPage", param);
		} else if(response.errorCode == WL.ErrorCode.UNRESPONSIVE_HOST) {
			// empty
		} else if(response.errorCode == WL.ErrorCode.PROCEDURE_ERROR ) {
			WL.SimpleDialog.show(Messages.appName,Messages.procedure_error + (Const.IS_DEV_MODE == true ? "onTranFail(3)" : ""),[{text:"확인",handler:function(){ tran.onReloadApp(false); }}]);
			param.ErrorCode = "PE";
			tran.callPageLogging("LoggingPage", param);
			// empty
		} else {
			WL.SimpleDialog.show(Messages.appName,Messages.transaction_error + (Const.IS_DEV_MODE == true ? "onTranFail(4)" : ""),[{text:"확인",handler:function(){ tran.onReloadApp(false); }}]);
			param.ErrorCode = "TE";
			tran.callPageLogging("LoggingPage", param);
		}
		
		//시스템 에러 발생시 로딩이미지 강제 삭제후 정지
		mainCtrl.hideLoadingImg();
	},
	
	onTranConnectionFail : function(response) {
		if (response.invocationContext['progress']) {
			this.hideBusy();
		}
		
		Ns.Util.viewConsoleLog("+++++++ onTranConnectionFail : " + response.errorCode +  ", " + response.errorMsg);
		var param = new Object;
		param.p_espotid = response.tranId;
		if(response.errorCode == 0) {
			//ERR_CONNECTION_REFUSED
			WL.SimpleDialog.show(Messages.appName, Messages.transaction_error + (Const.IS_DEV_MODE == true ? "onTranConnectionFail(-1)" : ""),[{text:"확인",handler:function(){ tran.onReloadApp(); }}]);
			param.ErrorCode = "CR";
			tran.callPageLogging("LoggingPage", param);
		} else if(response.errorCode == 404) {
			WL.SimpleDialog.show(Messages.appName, Messages.transaction_error + (Const.IS_DEV_MODE == true ? "onTranConnectionFail(-2)" : ""),[{text:"확인",handler:function(){ tran.onReloadApp(); }}]);
			param.ErrorCode = "NF";
			tran.callPageLogging("LoggingPage", param);
		} else if(response.errorCode == WL.ErrorCode.REQUEST_TIMEOUT) {
			WL.SimpleDialog.show(Messages.appName, Messages.transaction_error + (Const.IS_DEV_MODE == true ? "onTranConnectionFail(1)" : ""),[{text:"확인",handler:function(){ tran.onReloadApp(); }}]);
			param.ErrorCode = "TE";
			tran.callPageLogging("LoggingPage", param);
		} else if(response.errorCode == WL.ErrorCode.UNRESPONSIVE_HOST) {
			WL.SimpleDialog.show(Messages.appName, Messages.unresponse_host + (Const.IS_DEV_MODE == true ? "onTranConnectionFail(2)" : ""),[{text:"확인",handler:function(){ tran.onReloadApp(); }}]);
			param.ErrorCode = "UH";
			tran.callPageLogging("LoggingPage", param);
		} else if(response.errorCode == WL.ErrorCode.PROCEDURE_ERROR ) {
			WL.SimpleDialog.show(Messages.appName, Messages.procedure_error + (Const.IS_DEV_MODE == true ? "onTranConnectionFail(3)" : ""),[{text:"확인",handler:function(){ tran.onReloadApp(); }}]);
			param.ErrorCode = "PE";
			tran.callPageLogging("LoggingPage", param);
		} else {
			WL.SimpleDialog.show(Messages.appName, Messages.unexpected_error + (Const.IS_DEV_MODE == true ? "onTranConnectionFail(4)" : ""),[{text:"확인",handler:function(){ tran.onReloadApp(); }}]);
			param.ErrorCode = "UE";
			tran.callPageLogging("LoggingPage", param);
		}
		
		//시스템 에러 발생시 로딩이미지 강제 삭제후 정지
		mainCtrl.hideLoadingImg();
	},
	
	inspectResult: function(response) {
		var callFuncName = null;
		if(Const.IS_DEV_SEQ_ACCESS){
	
			//"undefined in not objet" 에러 문구 방지    2015/11/16 by seo4872 
			if( this.transData[this.startFlag-1] == undefined || this.transData[this.startFlag-1] == null ){
				// empty
			}else{
				callFuncName = this.transData[this.startFlag-1].callback;
			}
		}else{
			for(var i=0;i<this.callBack.length;i++) {
				if (this.callBack[i].tranId==response.tranId) {
					callFuncName = this.callBack[i].callback;
					this.callBack.splice(i, 1);
					break;
				}
			}
		}

		try {
			if ( response.errorMessageKey ) {
				
				var id = mainCtrl.getCurrentPageId();
				//"CMN3101E \"{0}\"(으)로 인해 시스템을 사용할 수 없습니다. 의 문구의 경
				if ( response.errorMessageKey=="_ERR_DIDNT_LOGON" ) { //이 에러가 나면 WCS 시스템 담당자에게 문의해야 함..
					document.cookie="JSESSIONID=;path=/;expires=Thu, 01 Jan 1970 00:00:00 GMT";
					tran.onReloadApp(true);
					return false;
				} else if ( response.errorMessageKey=="_ERR_INVALID_COOKIE" ) {
					tran.onReloadApp(true);
					return false;
				} else {
					Ns.Popup.alert( Messages.unexpected_error );
					var param = new Object;
					param.p_espotid = response.tranId;
					param.ErrorCode = "UE";
					tran.callPageLogging("LoggingPage", param);
				}
				
				response.isSuccessful = false;
				
			// 2018-05-24 ssong 임직원몰 접근 불가 처리
			} else if (response.authMsg){
				Ns.Popup.alert( response.authMsg.message , mainCtrl.gotoMain);
				callFuncName = undefined;
			} else {
				//TODO resultMsg 에러 alert 출력 (임시)
				if ( response.msg != undefined && response.msg.resultMsg != undefined ) {
					response.isSuccessful = false;
				} 
			}
			
			Ns.Util.viewConsoleLog("outputData(" + response.tranId + ")>",response);
			
			var callFunc = eval(callFuncName);
			if( callFunc != undefined ){
				try{
					callFunc(response);
				}catch(e){
					var param = new Object;
					param.p_espotid = response.tranId;
					param.Errorfunction = (e.message).replace( /(\s*)/g, "");
					param.ErrorCode = e.name;
					tran.callPageLogging("LoggingPage", param);
					tran.onTranExecuteError(e);
				}
			}
		} catch(e) {
			alert(e);
		}
		if(Const.IS_DEV_SEQ_ACCESS){;
			this.getTransData();
		}
	},
	
	//cocd 시간체크후 20분이 지났으면 default cocd로 변경
	cocdTimeCheck : function(){
		var strInGate = Ns.Cookie.getCookie("co_cd_gate");	// co_cd_gate 쿠키값 추출
		var cocd = Const.getCocd();
		Ns.Cookie.deleteCookie('co_cd_gate',null,".nsmall.com");	// co_cd_gate 쿠키값 삭제
		
		// 110이면 체크할 필요없음
		if ( cocd == "110"  || cocd == "50000"){
			return;
		}
		
		// 110이 아니고, gate를 통해서 처음 들어면 시간 세팅
		if ( strInGate == "true" ){	
			Ns.LocalStorage.set('cocdTimeCheck',Ns.Date.getNowTime());
			return;
		}
		
		var cocdLastTime = Ns.LocalStorage.get('cocdTimeCheck');
		
		// 110 아니고, cocdTimeCheck 없으면 시간 세팅
		if( Ns.Util.isNull(cocdLastTime) ){	
			Ns.LocalStorage.set('cocdTimeCheck',Ns.Date.getNowTime());
			return;
		}
		
		// cocdLastTime값이 세팅되어 있고, 시간이 지났다면 초기화
		// 2016.02.16 정헌태 수정 - 김병철팀장 요청으로 외부 유입 cocd  초기화 시간 기존 20분에서 3시간으로 변경
		if( !Ns.Date.calcTime(cocdLastTime, 3 , 0, 0, 'after') ){
			Ns.LocalStorage.del('cocdTimeCheck');	// 체키 시간 지움
			Ns.Cookie.deleteCookie('co_cd',null,".nsmall.com");	// 쿠키 cocd 지움
			cocd = Const.getWebAppDefaultCocd( mainCtrl.isOsApp() ); // 기본 co_cd 으로 세팅
			Const.setCocd( cocd );
			return;
		}
		
		// 110이 아니면 시간 다시 세팅
		if ( cocd == "110"  || cocd == "50000"){
			Ns.LocalStorage.set('cocdTimeCheck',Ns.Date.getNowTime());
		} 
		
	},

	/**
	 *	앱 재시작 함수
	 *	@param isConnectionFail : true/false(세션이 끊어져서 세션을 다시 받아야 할 경우 true, 세션 다시 받을 필요가 없을경우 false)
	 *  @param isMain : true/false (메인페이지로 이동하면서 생기는 앱 초기화시 cocd값을 체크)
	 */
	onReloadApp : function( isConnectionFail, isMain ){
		/**
		 * 2016-12-09 정승진 : 인트로 이미지 노출여부 변경
		 * */
		mainCtrl.setSplash("splashState", true);
		
		if( isConnectionFail ){
			mainCtrl.setSessingTimeOut();	// 세션초기화, 장바구니 카운트 세팅 초기화, 로그인/로그아웃 버튼 세팅, ... 등등등
		}
		tran.initQueue();
		
		var invoke = {};
		if ( isMain ){
			var default_Cocd = Const.getWebAppDefaultCocd( mainCtrl.VIEW_TYPE ); //기본 cocd값 가져오기
			var current_Cocd = Const.getCocd();	//현재 cocd값 가져오기
			
			invoke.pageId = PAGE.main;
			if ( default_Cocd != current_Cocd ){
				invoke.params = {};
				invoke.params.co_cd = current_Cocd;
			}
		} else {
			//화면 재시작시 바로 뒷 페이지 체크
			for(var i=0; i<=navi.getData().index; i++){
				var pageData = navi.getData(-(i+1));
				if( undefined == pageData || pageData.index <= 0 ){
					//뒷 페이지가 최초 페이지 일때
					invoke.pageId = PAGE.main;
					invoke.params = null;
					break;
				}else if( pageData.pageIds == 'alert' || pageData.pageIds == PAGE.login || pageData.pageIds == PAGE.login_non){
					//뒷 페이지가 alert or 로그인페이지 일때
					continue;
				}else{
					//뒷 페이지가 일반 페이지 일 경우
					invoke.pageId = pageData.pageIds;
					invoke.params = pageData.pageParams;
					break;
				}
			}
		}
		if(!isMain){
			Ns.LocalStorage.set(STORAGE_KEY.CURRENT_PAGE_HISTORY,JSON.stringify(invoke));
		}
		WL.Client.reloadApp();
	},
	
	//transaction후 success function실행중 에러 발생시 실행
	onTranExecuteError : function( e ){
		Ns.Util.viewConsoleLog("======== error ========>"+e);
	}
});

var tran = new TranCtrl();

 
function objectToQueryString(params, isEnc) {
	var results = [];
	if (params && typeof params == typeof {}) {
		for (var prop in params) {
			var item = params[prop];
			if (item != null && item != undefined) {
				if (typeof item == typeof []) {
					for (var i = 0; i < item.length; i++) {
						var queryPair = (prop + "=" + (isEnc ? encodeURIComponent(item[i]) : item[i]));
						results.push(queryPair);
					}
				} else {
					var queryPair = (prop + "=" + (isEnc ? encodeURIComponent(item) : item));
					results.push(queryPair);
				}
			}
		}
	}
	return results.join("&");
};

function objectToQueryStringFixEncodeURIComponent(params, isEnc) {
	var results = [];
	if (params && typeof params == typeof {}) {
		for (var prop in params) {
			var item = params[prop];
			if (item != null && item != undefined) {
				if (typeof item == typeof []) {
					for (var i = 0; i < item.length; i++) {
						var queryPair = (prop + "=" + (isEnc ? encodeURIComponent(item[i]).replace(/\-/g, "%2D").replace(/\_/g, "%5F").replace(/\./g, "%2E").replace(/\!/g, "%21").replace(/\~/g, "%7E").replace(/\*/g, "%2A").replace(/\'/g, "%27").replace(/\(/g, "%28").replace(/\)/g, "%29") : item[i]));
						
						
						results.push(queryPair);
					}
				} else {
					var queryPair = (prop + "=" + (isEnc ? encodeURIComponent(item).replace(/\-/g, "%2D").replace(/\_/g, "%5F").replace(/\./g, "%2E").replace(/\!/g, "%21").replace(/\~/g, "%7E").replace(/\*/g, "%2A").replace(/\'/g, "%27").replace(/\(/g, "%28").replace(/\)/g, "%29") : item));
					results.push(queryPair);
				}
			}
		}
	}
	return results.join("&");
};
