
/* JavaScript content from js/common/constant.lib.js in folder common */

var Const = {		
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	IS_SERVER_STATE : "REAL",		//현재 바라보고 있는 서버
									//개발 : DEV
									//스테이징 : STAGE
									//운영Test : REALTEST
									//운영 : REAL
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	URL 변경이 필요 할 경우 -> 현재 파일 내에 있는 setDefaultServerURL 함수 내부 값을 변경해야 합니다.
//						하단에 있는 Property는 변경하여도 적용되지 않으니 주의가 필요합니다.
//						WiseLog와 MOBILE_NSMALL_PATH, WCS_NSMALL_PATH는 프로토콜 없이 작성해야 합니다. 
//
//	URL 추가가 필요 할 경우 -> 1. 하단 변경이 필요하지 않은 Property에 사용할 변수명을 추가합니다.
//						2.  setDefaultServerURL 함수 내부에 각 서버별로 URL을 추가합니다.
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


	IS_DEV_MODE : false, // (운영상태 : false, 개발상태 : true)
	IS_DEV_REDIRECT : true, // (운영상태 : false, 개발상태 : true,  들어오는 기종이 PC 인지  phone 인지에 따라 www를 호출할지 m을 호출 하지 구분
	IS_DEV_LOG : false, // (로그를 출력 : true, 출력하지 않음 : false) 
	IS_DEV_SEQ_ACCESS : true,  // sync : true   async : false
	IS_SSL_REQ : true,  //( true : https , false : http)  
	
	IS_MKT_PUSH_MSG_AGREE : true,   // (마케팅 동의 사용 여부 테스트용)
	
	/*	
	 * 기본값 세팅
	 * 운영환경값으로 기본 세팅이 되어 있으며, 변경은 setDefaultServerURL function에서 처리
	 */
	MOBILE_NSMALL_PATH : 'm.nsmall.com',
	WCS_NSMALL_PATH : 'www.nsmall.com',

	WCS_IMAGE_SRV : 'http://image.nsmall.com/ec_comimages/',
	WCS_IMAGE_CUST_SRV : 'http://image.nsmall.com/ec_custimages/',
	WCS_IMAGE_EXHI_SRV : "http://image.nsmall.com/ec_comimages/nsupload/xplat/",
	WCS_IMAGE_PRODUCT : "http://product-image.prod-nsmall.com/itemimg",
	NO_IMAGE_URL : 'http://image.nsmall.com/ec_comimages/itemimg/',
	WCS_IMAGE_CATE : 'http://image.nsmall.com/ec_comimages/nsupload/espot/images/mobile/icons/cate/',
	
	LIVE : { 
		url : {
			etc : 'http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8',
			ios : 'http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8',
			android : 'http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8',
			shopPlus : "http://shoppstream.nsmall.com:1935/IPHONE/mobile.m3u8",
			shopPlay : 'http://shopplaylive.nsmall.com:1935/IPHONE/live.m3u8'
//			etc : 'http://livestream.nsmall.com/IPHONE/nsmallMobile.m3u8',
//			ios : 'http://livestream.nsmall.com/IPHONE/nsmallMobile.m3u8',
//			android : 'http://livestream.nsmall.com/IPHONE/nsmallMobile.m3u8'
		}
	},	
	
	WISELOG_LOG : "weblog.nsmall.com:9090/wlo/Logging",
	WISELOG_USERLOG : "weblog.nsmall.com:9090/wlo/UserLogging",
	
	//NsTalk 인포뱅크 url
	NSTALK_NSMALL_PATH : "nstalk.mand.co.kr:2189",
	SHOPPLAY_TALK_PATH : "nstalk.mand.co.kr:2199",
	
	//recobell 추천 cuid
	RECOBELL_CUID : "513476ef-b9f9-45ab-af3b-52f3ee091cb0",
	
	/**
	 * 클라이언트에서 접근할 서버 URL및 ip를 설정한다.
	 * IS_SERVER_STATE 의 값으로 서버 URL을 구분한다.
	 * @param state		- String -	dev, stage로 개발서버와 스테이징 서버로 구분
	 * 								그외 기본 데이터로 운영서버를 기준으로 데이터를 설정한다.
	 * 
	 */
	setDefaultServerURL : function( state ){
		state = $.trim(state.toUpperCase());
		
		switch( state ){
			case "REAL" :	// 운영
				//Wiselog url
				if(document.location.protocol == 'https:'){
					Const.WISELOG_LOG = "weblog.nsmall.com:9091/wlo/Logging";
					Const.WISELOG_USERLOG = "weblog.nsmall.com:9091/wlo/UserLogging";						
				}else{
					Const.WISELOG_LOG = "weblog.nsmall.com:9090/wlo/Logging";
					Const.WISELOG_USERLOG = "weblog.nsmall.com:9090/wlo/UserLogging";
				}
			break;
			case "DEV" :	// 개발
				Const.IS_DEV_MODE = true;
				Const.IS_DEV_REDIRECT = true;
				Const.IS_DEV_LOG = true;
				
				Const.MOBILE_NSMALL_PATH = 'devm.nsmall.com';		//모바일 도메인
				Const.WCS_NSMALL_PATH = 'devwww.nsmall.com';		//쇼핑몰 api 사용할 서버
				
				//이미지 서버
				Const.WCS_IMAGE_SRV = 'http://image.nsmall.com/ec_comimages/';
				Const.WCS_IMAGE_CUST_SRV = 'http://image.nsmall.com/ec_custimages/';
				Const.WCS_IMAGE_EXHI_SRV = "http://image.nsmall.com/ec_comimages/nsupload/xplat/";
				Const.WCS_IMAGE_PRODUCT = "http://product-image.dev-nsmall.com/itemimg";
				Const.NO_IMAGE_URL = 'http://image.nsmall.com/ec_comimages/itemimg/';
				
				//tv홈쇼핑 url
				//Const.LIVE.url.etc = 'http://221.140.53.37/IPHONE/nsmallMobile.m3u8';
				//Const.LIVE.url.ios = 'http://221.140.53.37/IPHONE/nsmallMobile.m3u8';
				//Const.LIVE.url.android = 'http://221.140.53.37/IPHONE/nsmallMobile.m3u8';
				
				//Wiselog url
				Const.WISELOG_LOG = "172.17.3.140:9090/wlo/Logging";
				Const.WISELOG_USERLOG = "172.17.3.140:9090/wlo/UserLogging";
				
				//NsTalk 인포뱅크 url
				Const.NSTALK_NSMALL_PATH = "211.233.34.11:2199";
				Const.SHOPPLAY_TALK_PATH = "211.233.34.11:2199";
			break;
			case "STAGE" :
				Const.IS_DEV_MODE = true;
				Const.IS_DEV_REDIRECT = true;
				Const.IS_DEV_LOG = true;
				
				Const.MOBILE_NSMALL_PATH = 'bkm.nsmall.com';		//모바일 도메인
				Const.WCS_NSMALL_PATH = 'bkwww.nsmall.com';		//쇼핑몰 api 사용할 서버
				
				//이미지 서버
				Const.WCS_IMAGE_SRV = 'http://image.nsmall.com/ec_comimages/';
				Const.WCS_IMAGE_CUST_SRV = 'http://image.nsmall.com/ec_custimages/';
				Const.WCS_IMAGE_EXHI_SRV = "http://image.nsmall.com/ec_comimages/nsupload/xplat/";
				Const.WCS_IMAGE_PRODUCT = "http://product-image.test-nsmall.com/itemimg";
				Const.NO_IMAGE_URL = 'http://image.nsmall.com/ec_comimages/itemimg/';
				
				//tv홈쇼핑 url
				//Const.LIVE.url.etc = 'http://221.140.53.37/IPHONE/nsmallMobile.m3u8';
				//Const.LIVE.url.ios = 'http://221.140.53.37/IPHONE/nsmallMobile.m3u8';
				//Const.LIVE.url.android = 'http://221.140.53.37/IPHONE/nsmallMobile.m3u8';
				
				//Wiselog url
				Const.WISELOG_LOG = "172.17.3.140:9090/wlo/Logging";
				Const.WISELOG_USERLOG = "172.17.3.140:9090/wlo/UserLogging";
				
				//NsTalk 인포뱅크 url
				Const.NSTALK_NSMALL_PATH = "stnstalk.mand.co.kr:2199";
				Const.SHOPPLAY_TALK_PATH = "stnstalk.mand.co.kr:2199";
			break;	
			/*case "STAGE" :	// 스테이징
				Const.IS_DEV_MODE = true;
				Const.IS_DEV_REDIRECT = true;
				Const.IS_DEV_LOG = true;
				
				Const.MOBILE_NSMALL_PATH = 'stm.nsmall.com';		//모바일 도메인
				Const.WCS_NSMALL_PATH = 'stwww.nsmall.com';		//쇼핑몰 api 사용할 서버
				
				//이미지 서버
				Const.WCS_IMAGE_SRV = 'http://imagebaq.nsmall.com/ec_comimages/';
				Const.WCS_IMAGE_CUST_SRV = 'http://imagebaq.nsmall.com/ec_custimages/';
				Const.WCS_IMAGE_EXHI_SRV = "http://imagebaq.nsmall.com/ec_comimages/nsupload/xplat/";
				Const.WCS_IMAGE_PRODUCT = "http://imagebaq.nsmall.com/itemimg";
				Const.NO_IMAGE_URL = 'http://imagebaq.nsmall.com/ec_comimages/itemimg/';
				
				//tv홈쇼핑 url
				Const.LIVE.url.etc = 'http://livestream.nsmall.com/IPHONE/nsmallMobile.m3u8';
				Const.LIVE.url.ios = 'http://livestream.nsmall.com/IPHONE/nsmallMobile.m3u8';
				Const.LIVE.url.android = 'http://livestream.nsmall.com/IPHONE/nsmallMobile.m3u8';
				
				//Wiselog url
				Const.WISELOG_LOG = "192.168.13.224:9090/wlo/Logging";
				Const.WISELOG_USERLOG = "192.168.13.224:9090/wlo/UserLogging";
			break;
			case "REALTEST" :
				Const.IS_DEV_LOG = true;
				
				Const.MOBILE_NSMALL_PATH = 'baqm.nsmall.com';		//모바일 도메인
				Const.WCS_NSMALL_PATH = 'baqwww.nsmall.com';		//쇼핑몰 api 사용할 서버
				
				//이미지 서버
				Const.WCS_IMAGE_SRV = 'http://imagebaq.nsmall.com/ec_comimages/';
				Const.WCS_IMAGE_CUST_SRV = 'http://imagebaq.nsmall.com/ec_custimages/';
				Const.WCS_IMAGE_EXHI_SRV = "http://imagebaq.nsmall.com/ec_comimages/nsupload/xplat/";
				Const.WCS_IMAGE_PRODUCT = "http://imagebaq.nsmall.com/itemimg";
				Const.NO_IMAGE_URL = 'http://imagebaq.nsmall.com/ec_comimages/itemimg/';
				
				//tv홈쇼핑 url
				Const.LIVE.url.etc = 'http://livestream.nsmall.com/IPHONE/nsmallMobile.m3u8';
				Const.LIVE.url.ios = 'http://livestream.nsmall.com/IPHONE/nsmallMobile.m3u8';
				Const.LIVE.url.android = 'http://livestream.nsmall.com/IPHONE/nsmallMobile.m3u8';
				
				//Wiselog url
				Const.WISELOG_LOG = "weblog.nsmall.com:9090/wlo/Logging";
				Const.WISELOG_USERLOG = "weblog.nsmall.com:9090/wlo/UserLogging";
			break;*/
			default :	// 운영
				// 기본값 세팅으로 별도 처리 하지 않음
		};
	},

	DEVICE_APP_KEY : { // PUSH 앱내메시지
		ios : '7b77fb0a69c9474fa213', // Dev :: d4a152935f3044a58216 /  Real :: 7b77fb0a69c9474fa213
		android : '63b6d1db24a146a0b113' // Dev :: f06fbcb0ba1644eda116 /  Real :: 63b6d1db24a146a0b113
	},

	FACEBOOK_APP_KEY : {
		localhost : '552442965188578',
		dev : '1093618077459688',
		bk : '290011941800299',
		real : '195551627491825'
	},
	
	KAKAO_APP_KEY : {
		web : 'fa6cce8104664426547c2edf77f5b55e',
		app : '5341939efe459989e8a9c087b405477c',
	},
	
	RECAPTCHA_SITE_KEY : {
		DEV : '6LfjoCITAAAAAIcezw3PhQEWV4I1NfSAtFqcpf2G',
		REAL : '6LfjoCITAAAAAIcezw3PhQEWV4I1NfSAtFqcpf2G',
	},

	//모바일 상품권 발송방식..
	CARD_SEND_TYPE : {
		EMAIL : "300", //이메일
		MMS : "200"   //휴대폰 문자메시지(MMS)
	},


	LOG_CATALOG_IDs : {
		"TV" : 18151,
		"AK" : 23651,
		"FOOD" : 1583595,
		"FASHION" : 1583594,
		"LIVING" : 1583596,
		"FB" : 1583594,
		"HL" : 1583596,
		"FH" : 1583595,
		"IPARK"	: 23651
	},

	//Push에서 들어왔을 때 캠페인 ID 셋팅
	setCampaignId : function( campaignId ) {
		DEFAULT_PARAMs.campaignId = campaignId;
	},
	getCampaignId : function() {
		return DEFAULT_PARAMs.campaignId;
	},
	
	//제휴사 싸이트로 부터 유입되었을 경우, 외부유입경로 설정..
	setCocd : function( coCd ) {
		DEFAULT_PARAMs.coCd = coCd;
	},
	
	getCocd : function() {
		if (DEFAULT_PARAMs.coCd == "110" || DEFAULT_PARAMs.coCd == "50000"){
			var default_cocd = Const.getWebAppDefaultCocd( mainCtrl.isOsApp() );
			if( DEFAULT_PARAMs.coCd != default_cocd ){
				Const.setCocd( default_cocd );
			}
		}
		
		return DEFAULT_PARAMs.coCd;
	},
	
	getBusChannelId : function() {
		return DEFAULT_PARAMs.busChnId;
	},
	
	getDefaultCatalogId : function() {
		return DEFAULT_PARAMs.catalogId.base;
	},
	
	getMobileCatalogId : function() {
		return DEFAULT_PARAMs.catalogId.mobile;
	},
	
	getHotdealCategoryId : function( type ) {
		type = type || null;
		
		if ( type == "TODAY" )
			return DEFAULT_PARAMs.categoryId.hot_today;
		else 
			return DEFAULT_PARAMs.categoryId.hot_other;
	},
		
	getLiveUrl : function( type ) {
		if( type == "ios" || type == "iosweb" ) 
			return this.LIVE.url.ios;
		else if( type == "android" || type == "androidweb"  ) 
			return this.LIVE.url.android;
		else 
			return this.LIVE.url.etc;
	},
	
	setAcceptPath :function( accptPath ) {
		DEFAULT_PARAMs.accptPath = accptPath;
	},
	
	getAcceptPath :function() {
		return DEFAULT_PARAMs.accptPath;
	}, 
	
	getSpecialMallId : function( mallname ) {
		var mallId = '';
		
		if ( mallname == "designers") 
			mallId = DEFAULT_PARAMs.catalogId.designers;
		else if ( mallname == "baby") 
			mallId = DEFAULT_PARAMs.catalogId.baby;
		else if ( mallname == "luxury") 
			mallId = DEFAULT_PARAMs.catalogId.luxury;
		else if ( mallname == "kitchen") 
			mallId = DEFAULT_PARAMs.catalogId.kitchen;
		else if ( mallname == "madam") 
			mallId = DEFAULT_PARAMs.catalogId.madam;
		else if ( mallname == "premium") 
			mallId = DEFAULT_PARAMs.catalogIds.premium;
		else if ( mallname == "sbook") 
			mallId = DEFAULT_PARAMs.catalogId.sbook;
		else if ( mallname == "mobile") 
			mallId = DEFAULT_PARAMs.catalogId.mobile;
		else mallId = DEFAULT_PARAMs.catalogId.base;
		
		return mallId;
	},
	
	getMarketingCatalogId : function( name ){
		return DEFAULT_PARAMs.catalogId[name];
	},
	
	getMarketingCategoryId : function( name ){
		return DEFAULT_PARAMs.marketing[name].categoryId;
	},
	
	getMarketingEspotId : function( name ){
		return DEFAULT_PARAMs.marketing[name].espotId;
	},
	
	getFacebookAppKey : function() {
		// REAL
		if (Const.IS_SERVER_STATE == "REAL") {
			return Const.FACEBOOK_APP_KEY.real;
		// STAGE
		} else if (Const.IS_SERVER_STATE == "STAGE") {
			return Const.FACEBOOK_APP_KEY.bk;
		// DEV
		} else if (Const.IS_SERVER_STATE == "DEV") {
			return Const.FACEBOOK_APP_KEY.dev;
		// REAL
		} else {
			return Const.FACEBOOK_APP_KEY.real;
		}
	},
	
	setReferrer : function( referrer ){
		DEFAULT_PARAMs.referrer = referrer;
	},

	getReferrer : function(){
		return DEFAULT_PARAMs.referrer;
	},
	
	getWebAppDefaultCocd : function( isApp ){
		if( undefined == isApp || null == isApp ){
			return "";
		} else if (typeof(isApp) == "boolean") {
			if (isApp){
				return DEFAULT_PARAMs.appCocd;
			} else {
				return DEFAULT_PARAMs.webCocd;
			}
			
		} else if (typeof(isApp) == "string") {
			if (isApp == ""){
				return "";
			} else {
				if( isApp || isApp == "android" || isApp == "ios" ){
					return DEFAULT_PARAMs.appCocd;
				} else {
					return DEFAULT_PARAMs.webCocd;
				}
			}
		}
		
		return "";
	},
	
	getNetworkInfo : function(){
		return DEFAULT_PARAMs.networkInfo;
	},
	
	setNetworkInfo : function(){
		WL.Device.getNetworkInfo(function(data){
			DEFAULT_PARAMs.networkInfo = data;
		});
	},
	
	setIP : function(){
		DEFAULT_PARAMs.userIP = "127.0.0.1";//ip();
	},
	
	getIP : function(){
		return DEFAULT_PARAMs.userIP;
	}
};

//NSMALL에서 사용하는 기본 store id 및 language id, catalog Id.. 
var DEFAULT_PARAMs = {
	storeId : 13001,
	langId : -9,
	catalogId : {
		base : 97001,
		mobile : 11111,
		designers : 19151,
		baby : 19154,
		luxury : 19156,
		kitchen : 19155,
		madam : 19157,
		premium : 18658,
		sbook	: 18651,
		departmentstore : 23651,
		tv : 18151,
		ak : 23651,
		healthtable : 60501,
		gift : 59001,
		happydeal : 78501, //2016-08-01 Ssong 추가
		lukeybuy : 60501, 			// dhlee 2017.06.23 service 관련 추가 
		editStore : 72001, 			// 2017-09-20 서석준 편집매장 카달로그 ID 추가
		
	},
	categoryId : {
		hot_today : 20025, //shocking hot-deal today
		hot_other : 20026, //shocking hot-deal - 오픈딜, 마감임박, 베스트
		exhibition : 21151 //main 쇼핑 기획전.
	},
	
	busChnId : "INT",
	coCd : "110",  //default value. 외부유입경로.
	webCocd : "110",
	appCocd : "50000",
	campaignId : null,
	autoLoginYn:"N",
	deviceId :"",
	accptPath : 500,
	referrer : "",

	userIP : "",
	networkInfo : {},
	
	marketing : {
		baby :		{ espotId : "MOB_GIFTSHOP_INTRO" , categoryId : 20234 },
		young :		{ espotId : "MOB_GIFTSHOP_INTRO" , categoryId : 20238 },
		pregnant :	{ espotId : "MOB_GIFTSHOP_INTRO" , categoryId : 20237 },
		man :		{ espotId : "MOB_GIFTSHOP_INTRO" , categoryId : 20233 },
		woman :		{ espotId : "MOB_GIFTSHOP_INTRO" , categoryId : 20236 },
		senior :	{ espotId : "MOB_GIFTSHOP_INTRO" , categoryId : 20235 },
		houseguest :{ espotId : "MOB_SIKEGK_INTRO" , categoryId : 20240 },
		happytable :{ espotId : "MOB_SIKEGK_INTRO" , categoryId : 20241 },
	},

};

//top category id를 정의한다.
var TOP_CAT_IDs = {
	FnB : "1583594",
	FnH : "1583595",
	HnL : "1583596",
	AK : "1386554",
	GALLERIA : "301501",
	SHOPPING : "245501",
	IPARK : "497554"
};

//로컬 스토리지 키
var STORAGE_KEY = {
	SEARCH_WORD_LIST 		: "latelySearchWord",		//최근검색어	 
	SAVE_LOGONID			: "saveLogonId",			//로그인 아이디
	AUTO_LOGIN_INFO			: "autoLoginInfo",			//자동로그인 정보
	LOGIN_INFO 				: "LoginInfo",				//로그인 정보(아이디, 패스워드)
	CURRENT_PAGE_HISTORY 	: "currentPageHistory",		//현재 페이지 히스토리여부
	PUSH_AGREE_YN			: "pushAgreeYn",			//푸시동의 여부(로그인)
	PUSH_AGREE_LOGOUT_YN	: "pushAgreeLogoutYn",		//푸시동의 여부(로그아웃)
	PUSH_DIRECT_UPDATE 		: "pushDirectUpdate",		//푸시 선택시 다이렉트 업데이트 발생
	PUSH_URL_BACKUP			: "pushUrlBackup",			//다이렉트 업데이트 후 푸시 랜딩 경로 백업
	PUSH_POPUP_YN			: "pushPopupYn",			//푸시동의 팝업 노출여부
	EVENT_POPUP_LOGIN 		: "eventPopupLogin",		//이벤트 팝업(로그인시)
	EVENT_POPUP_REGIST 		: "eventPopupRegist",		//이벤트 팝업(회원가입시)
	EVENT_POPUP_MAIN 		: "eventPopupMain",			//이벤트 팝업(메인화면시)
	EVENT_POPUP_DETAIL 		: "eventPopupProductDetail",//이벤트 팝업(상품상세시)
	EVENT_POPUP_EXHABIT 	: "eventPopupExhabition",	//이벤트 팝업(기획전)
	NOTICE_POPUP_APPAUTH	: "noticePopupAppAuth",		//공지 팝업(앱권한)
	JOIN_TIME				: "jointime",				//jihee : 회원가입한 시간(adbrix)
	ATTRACT_APP_DOWN_BANNER	: "attractAppDownBanner",	//최상단 배너
	LNB_LCATEID 						: "lnbLcateId",				// LNB 쇼핑카테고리
	CATEGORY_ID						: "SavecategoryId",		// 중분류 매장 카테고리ID
	USER_VISIT_HIS			: "userVistHistory"		// 유저 히스토리 데이터
		
};

var PREMIUM_CAT_IDs = {
	PREMIUM_FOOD : '90801',
	DAILY_PRODUCT : '91301',
	PERIODICAL_DELIVERY : '119823'
};

// GNB 메뉴 설정
// - isTest 필드값이 Y로 존재 하면 운영환경에서는 나타나지 않음(nsmall.ui.js파일의 initGNBMenu function에서 처리)
var GNB_MENU_INFO = {
	// 좌측GNB - 카테고리
	"nsMallCategories": [
	 	{categoryId:"TVSHOPPING", 				categoryName:"TV쇼핑", 					catalogId:DEFAULT_PARAMs.catalogId.tv, 			isLeaf:"Y" ,isLeafetc:"N"},
		{categoryId:TOP_CAT_IDs.FnB,			categoryName:"패션&amp;뷰티", 			catalogId:DEFAULT_PARAMs.catalogId.base,		isLeaf:"N" ,isLeafetc:"N"},
		{categoryId:TOP_CAT_IDs.HnL,			categoryName:"홈&amp;라이프", 			catalogId:DEFAULT_PARAMs.catalogId.base,		isLeaf:"N" ,isLeafetc:"N"},
		{categoryId:TOP_CAT_IDs.FnH,			categoryName:"푸드&amp;헬스", 			catalogId:DEFAULT_PARAMs.catalogId.base,		isLeaf:"N" ,isLeafetc:"N"},
		{categoryId:"Sbook", 					categoryName:"쇼핑북",		 			catalogId:DEFAULT_PARAMs.catalogId.sbook,		isLeaf:"N" ,isLeafetc:"N"},
		{categoryId:"GoodsTest", 				categoryName:"[TEST] 상품조회", 		catalogId:DEFAULT_PARAMs.catalogId.base,		isLeaf:"Y", isTest:"Y",	isLeafetc:"N"},
		{categoryId:"Event", 					categoryName:"[TEST] 룰렛이벤트", 		catalogId:DEFAULT_PARAMs.catalogId.base,		isLeaf:"Y", isTest:"Y",	isLeafetc:"N"}
	],
	
	// 좌측GNB - 카테고리 - 패션&뷰티- 백화점
	"departmentStoreCategories": [
	 	{categoryId:TOP_CAT_IDs.AK, 			categoryName:"AK 백화점", 				catalogId:DEFAULT_PARAMs.catalogId.departmentstore, isLeaf:"N" ,isLeafetc:"Y"},
		{categoryId:TOP_CAT_IDs.GALLERIA, 		categoryName:"갤러리아 백화점", 		catalogId:DEFAULT_PARAMs.catalogId.departmentstore,	isLeaf:"N" ,isLeafetc:"Y"}
	],

 	// 좌측GNB - 공지사항/내가 받은 쇼핑알림
	"bottomCategories": [
		{categoryId:"Notice", 					categoryName:"공지사항", 				catalogId:DEFAULT_PARAMs.catalogId.base, 	isLeaf:"Y"},
		{categoryId:"PushNoti", 				categoryName:"내가 받은 쇼핑알림", 		catalogId:DEFAULT_PARAMs.catalogId.base, 	isLeaf:"Y"},		 
  	]
};

//gnb categoryId와 페이지 아이디 매칭
var RESULT_PAGE_INFO = {
	//메인대대카
	"18151":"M_G2111000M",	//TV쇼핑
	"1583594":"M_G2111000M",	//패션앤 뷰티		
	"1583595":"M_G2111000M",	//푸드앤 헬스
	"1583596":"M_G2111000M",	//홈앤 라이프스타일
	
	"PeriodicalDelivery":"M_G2150000M",	//ns정기배달
	"GroupPurchase"		:"M_G5610000M",	//공동구매
	"Notice"			:"M_H1113000M",	//공지사항
	"PushNoti"			:"M_H1111000M",	//쇼핑알림
	"BrandShop"			:"M_G2131300M",	//브랜드 숍
//	"20025"				:"M_G5710000M", //해피딜_old
	"HappyDeal"			:"M_G5710001M", //해피딜_new 2016-08-01 Ssong 추가 
//	"devwww"			:"DEVWWW",
	"GoodsTest"			:"GOODS_TEST",		
	"Event"				:"M_G1100102M",
	"FrEvent"           :"M_G1100103M",  //카카오 친구 추천 이벤트 by seo4872
	"HealthyLotteryEvent"       :"M_G1100104M",  //NSLotteryEvent 이벤트 by seo4872
//	"EtvLiveAct" 		: "M_G2231000M",//생방송 보기  이벤트 by seo4872
//	"TVLiveList" 		: "M_G2250000M",//
//	"TVLiveProduct" 	: "M_G2260000M",//
	"MainView" 			: "M_G1100000M",
	"MainView_old" 			: "M_G1100000M_old",
		
	//전문관
	"designers"			:"M_G4111000M",	//디자이너스
	"143801"			:"M_G4111001M", //All 디자이너스
	
	"baby"				:"M_G4131000M",	//베이비
	"kitchen"			:"M_G4121000M",	//키친
	"luxury"			:"M_G4211000M",	//명품아울렛
	"madam"				:"M_G4221000M",	//마담샵
	
	"premium"			:"M_G4141000M",	//프리미엄장보기 메인
	"90801"				:"M_G4141100M",	//프리미엄 푸드		
	"91301"				:"M_G4141100M",	//데일리 프로덕트
	
	//전문관 브랜드 샵		
	"173302"			:"M_G2131300M",
	"170371"			:"M_G2131300M",
	"170370"			:"M_G2131300M",
	"133802"			:"M_G2131300M",			//데일리 브랜드
	"133803"			:"M_G2131300M",			//푸드 브랜드
	
	//홈쇼핑/쇼핑북
	"TVHome"			:"M_G2210000M",	//tv홈쇼핑
	"Sbook"				:"M_G2310000M",	//쇼핑북
	"sbCatalog"			:"M_G2310001M", 
	
	// 2017.07.01 dhlee 주요서비스 항목 추가 
	"TVSHOPPING" 		:"M_G2210000M",		// TV쇼핑
	"HEALTHTABLE" 		:"storeComm671054",	// N푸드
	"LuckyBuy" 			:"storeComm671055",	// 헬씨리빙
	"FashionRoom" 		:"storeComm670554",	// 패션쇼룸
	"EXHIBITION" 		:"M_G1100030M",	// 기획전
	"EVENT" 			:"M_G1100020M",	// 이벤트
	"TOUR"				:"Hanatour",	// NS여행
};

/* <NSSR-4487> 2017.10.11 대카테고리 URL 삽입 */
var CATEGORY_TRACE_INFO = {
		// 대카테고리 로그 추적용 
		// 2019-03-06 ssong 매장 카테고리 개편 적용 후 매장코드 적용
		//FASHION & BEAUTY		
		"1583570"	: "1583570" //뷰티	
		,"1583574"	: "1583574" //잡화/슈즈/쥬얼리	
		,"1583576"	: "1583576" //패션의류	
		//FOOD & HEALTH		
		,"1583566"	: "1583566" //가공식품	
		,"1583578"	: "1583578" //건강/다이어트식품	
		,"1583577"	: "1583577" //농수축/신선식품	
		//HOME & LIFESTYLE		
		,"1583567"	: "1583567" //가구/침구/인테리어	
		,"1583565"	: "1583565" //가전/디지털	
		,"1583569"	: "1583569" //반려동물	
		,"1583571"	: "1583571" //스포츠/레저	
		,"1583572"	: "1583572" //여행/하나투어/렌탈	
		,"1583573"	: "1583573" //유아동	
		,"1583575"	: "1583575", //주방/생활/건강
		//푸터탭
		"ft_tabHome" :"ft_tabHome",					// 홈
		"ft_eTvBest" :"ft_eTvBest",					// TV베스트
		"ft_tabGoodsHistory" :"ft_tabGoodsHistory",	// 최근본상품
		"ft_tabMypage" :"ft_tabMypage",				// 마이페이지
		"ft_tabCustomer" :"ft_tabCustomer",			// 고객센터
		"ft_tabTheMore" :"ft_tabTheMore",			// 더보기
		//더보기
		"ftMore_tabLogin" :"ftMore_tabLogin",		// 로그인
		"ftMore_tabLogOut" :"ftMore_tabLogOut",		// 로그아웃
		"ftMore_tabWish" :"ftMore_tabWish",			// 찜
		"ftMore_tabAllService" :"ftMore_tabAllService",	// 전체서비스
		"ftMore_tabSetup" :"ftMore_tabSetup",		// 설정	
		
		
		// 하단 리스트 추후 삭제 요망
		// 푸드앤 헬스
//		"20049"		:"fh_fresh",			// 신선식품
//		"20048"		:"fh_hmr",				// HMR(가정간편식)
//		"20045"		:"fh_processed",		// 가공식품
//		"928587"	:"fh_livestock",		// NS축산명가
//		"20047"		:"fh_function",			// 건강식품
//		"1120554"	:"fh_greentown",		// 초록마을
		// 홈앤 라이프
//		"59905"		:"hl_smallapp",			// 생활/주방/계절가전
//		"67364"		:"hl_largeapp",			// 대형/이미용가전
//		"1250054"	:"hl_automobile",		// 자동차용품
//		"20053"		:"hl_healthdoc",		// 건강/의료기기
//		"59902"		:"hl_kitchen",			// 주방용품
//		"20051"		:"hl_furniture",		// 가구/DIY
//		"20069"		:"hl_interior",			// 침구/커튼/인테리어
//		"548055"	:"hl_living",			// 생활용품
//		"59907"		:"hl_digital",			// 디지털/PC/카메라
//		"67363"		:"hl_sports",			// 스포츠/헬스/아웃도어
//		"59900"		:"hl_pets",				// 애완/반려용품
//		"59903"		:"hl_babygoods",		// 유아동용품/출산
//		"59904"		:"hl_babyplay",			// 유아동도서/완구/의류
//		"579055"	:"hl_travel",			// 여행/서비스
		// 패션앤 뷰티
//		"20037"		:"fb_female",			// 여성/트렌드의류
//		"20030"		:"fb_male",				// 남성/캐쥬얼의류
//		"20036"		:"fb_underwear",		// 언더웨어
//		"20032"		:"fb_luxury",			// 수입명품
//		"20029"		:"fb_accessory",		// 가방/패션잡화
//		"20040"		:"fb_shoes",			// 패션슈즈/스니커즈
//		"20035"		:"fb_jewerly",			// 보석/시계/액세서리
//		"20044"		:"fb_cosmetic",			// 화장품/향수
//		"20042"		:"fb_hairbody",			// 헤어/바디/미용가전
};
/* </NSSR-4487> */