
/* JavaScript content from js/common/fasUtil.js in folder common */
/**
 * 
 */




/**
 * javascript 확장 함수
 * (replaceAll) 문자열의 특정 문자 혹은 문자열 치환
 * @param regex {String} - 변경할 대상 문자열
 * @param replacement {String} - 변경될 문자열
 * @returns {String} - 치환된 문자열
 * @author 20141205 정헌태 - 신규생성
 * @examples 
	"ab12de12".replaceAll("12", "c");
	
	return "abcdec"
 */
String.prototype.replaceAll = function(regex, replacement){
	if (null == replacement || undefined == replacement){	// null 체크
		replacement = "";
	}
	
	var pattern_cst = eval("/" + regex + "/g");	// 정규식 패턴
	return this.replace(pattern_cst, replacement);
};



/**
 * javascript 확장 함수
 * (trim) 문자열 좌우 공백 제거
 * @returns {String}	문자열의 앞뒤 공백이 재거된 문자열 
 * @author 20141205 정헌태 - 신규생성
 * @examples
	"  a b c d  ".trim();
	
	return "a b c d"
 */
String.prototype.trim = function() {
    return this.replace(/^\s+|\s+$/g, '');
};


util = {
		
		/**
		 * null, undefined일 경우 true 리턴
		 * @param ment
		 * @returns {Boolean}
		 */
		isNU : function (ment){
			if (null == ment) { return true; }
			if (undefined == ment){ return true; }
			
			return false;
		},
		
		/**
		 * null, undefined이거나 String 타입이 아닐 경우 및 빈스트링일 경우 true 리턴
		 * @param ment
		 * @returns {Boolean}
		 */
		isNUS : function (ment){
			if (null == ment) { return true; }
			if (undefined == ment){ return true; }
			if (typeof(ment) == "string"){
				if (ment == ""){
					return true;
				}
			} else {
				return true;
			}
			
			return false;
		},
		
		/**
		 * null, undefined이거나 Number 타입이 아닐 경우 및 0인 경우 true 리턴
		 * @param ment
		 * @returns {Boolean}
		 */
		isNUN : function (ment){
			if (null == ment) { return true; }
			if (undefined == ment){ return true; }
			
			if (typeof(ment) == "number"){
				if (ment == 0){
					return true;
				}
			} else {
				return true;
			}
			
			return false;
		},
		
		/**
		 * null, undefined이거나 String 혹은 Number 타입이 아닐 경우 및 
		 * String 타입의 경우 빈스트링이거나, Number 타입인 겨우 0이면 true 리턴
		 * @param ment
		 * @returns {Boolean}
		 */
		isNUSN :function (ment){
			if (null == ment) { return true; }
			if (undefined == ment){ return true; }
			
			if (typeof(ment) == "string"){
				if (ment == ""){
					return true;
				}
			} else if (typeof(ment) == "number"){
				if (ment == 0){
					return true;
				}
			} else {
				return true;
			}
			
			return false;
		},
		
		/**
		 * 숫자로된 문자열 형식인지 여부 리턴
		 * -주의:빈스트링("") 및 '-'포함시 false 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isStrNum : function (strMent){
			var pattern = /^([0-9]{1,})$/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 한글로된 문자열 형식인지 여부 리턴
		 * @param strMent
		 * @returns {String}
		 */
		isStrKor : function (strMent){
			var pattern = /^[ㄱ-ㅎㅏ-ㅣ가-힣]/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 영문(대소문자)으로된 형식인지 여부 리턴 
		 * @param strMent
		 * @returns {String}
		 */
		isStrEng : function (strMent){
			var pattern = /^[a-zA-Z]/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 영문(소문자)으로된 형식인지 여부 리턴
		 * @param strMent
		 * @returns {String}
		 */
		isStrEngS : function (strMent){
			var pattern = /^[a-z]/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 영문(대문자)으로된 형식인지 여부 리턴
		 * @param strMent
		 * @returns {String}
		 */
		isStrEngC : function (strMent){
			var pattern = /^[A-Z]/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * yyyyMMdd혹은 yyyyMM, MMdd 형식의 date형 문자열인지 여부 리턴
		 * * 주의:MMdd 형식은 정확하지 않을 수 있으므로 yyyyMMdd혹은 yyyyMM형식만 사용 바람 
		 * @param strMent {String} date타입의 숫자형 문자열
		 * @param strInType {String} 입력값 타입
		 * 							미입력, ymd = yyyyMMdd 형식의 문자열
		 * 							ym = yyyyMM 형식의 문자열
		 * 							md = MMdd 형식의 문자열
		 * @returns {Boolean}
		 */
		isStrDate : function (strMent, strInType){
			if (!this.isStrNum(strMent)){ return false; }
			if (this.isNU(strInType)){ strInType = "ymd"; }
			if (typeof(strInType) != "string"){ return false; }
			
			var y = 0;
			var m = 0;
			var d = 0;
			
			if (strInType == "ymd" && strMent.length == 8){
				y = Number(strMent.substring(0, 4), 10);
				m = Number(strMent.substring(4, 6), 10);
				d = Number(strMent.substring(6, 8), 10);
			} else if (strInType == "ym" && strMent.length == 6){
				y = Number(strMent.substring(0, 4), 10);
				m = Number(strMent.substring(4, 6), 10);
			} else if (strInType == "md" && strMent.length == 4){
				m = Number(strMent.substring(0, 2), 10);
				d = Number(strMent.substring(2, 4), 10);
			} else {
				return false;
			}
			
			if (strInType == "ymd" || strInType == "ym"){
				if (1 > y){ return false; }	// 년 체크 1~9999
			}
			
			if ( 1 > m || m > 12){ return false; }	// 월 체크 1~12
			
			if (strInType == "ymd"){
				if (1 > d || d > this.getYMlastDay(y + "" + m)){	// 일 체크 1 ~ 년월의 마지막 날짜
					return false;
				}
			} else if (strInType == "md") {
				if (m == 2 && (1 > d || d > 29)){ return false; }	// 일 체크 2월은 1~29
				if (m != 2 && (1 > d || d > 31)){ return false; }	// 일 체크 2월이 아닌 달은 1~31
			}
			
			return true;
		},
		
		/**
		 * HHmmss(시분초) 혹은 HHmm(시분) 형식의 문자열 여부
		 * @param strTime {String} 시분초 혹은 시분 형식의 숫자형 문자열
		 * @returns {Boolean}
		 */
		isStrTime : function (strTime){
			if (!this.isStrNum(strTime)){ return false; }
			if (strTime.length != 4 && strTime.length != 6){ return false; }
			
			var h = Number(strTime.substring(0, 2), 10);
			var m = Number(strTime.substring(2, 4), 10);
			var s = 0;
			
			if (0 > h || h > 24){ return false; }
			if (0 > m || m > 59){ return false; }
			
			if (strTime.length == 6){
				s = Number(strTime.substring(4, 6), 10);
				if (0 > s || s > 59){ return false; }
			}
			
			return true;
		},
		
		/**
		 * 휴대폰번호 형식 여부 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isPhone : function (strMent){
			if (this.isNU(strMent)){ return false; }
			if (typeof(strMent) != "string" && typeof(strMent) != "number"){ return false; }
			
			strMent = String(strMent).replace(/-/g, "");
			
			var pattern = /^([0]{1,1})+([1]{1,1})+([0-9]{1,1})+([0-9]{3,4})+([0-9]{4,4})$/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 휴대폰번호 앞자리(국번) 형식 여부 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isPhoneF : function (strMent){
			if (this.isNU(strMent)){ return false; }
			if (typeof(strMent) != "string" && typeof(strMent) != "number"){ return false; }
			
			var pattern = /^([0]{1,1})+([1]{1,1})+([0-9]{1,1})$/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 휴대폰번호 중간자리 형식 여부 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isPhoneM : function (strMent){
			if (this.isNU(strMent)){ return false; }
			if (typeof(strMent) != "string" && typeof(strMent) != "number"){ return false; }
			
			var pattern = /^([0-9]{3,4})$/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 휴대폰번호 마지막자리 형식 여부 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isPhoneL : function (strMent){
			if (this.isNU(strMent)){ return false; }
			if (typeof(strMent) != "string" && typeof(strMent) != "number"){ return false; }
			
			var pattern = /^([0-9]{4,4})$/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 전화번호(지역번호 포함) 형식 여부 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isTel : function (strMent){
			if (this.isNU(strMent)){ return false; }
			if (typeof(strMent) != "string" && typeof(strMent) != "number"){ return false; }
			
			strMent = String(strMent).replace(/-/g, "");
			
			var pattern = /^([0]{1,1})+([2-9]{1,1})+([0-9]{0,1})+([0-9]{3,4})+([0-9]{4,4})$/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 전화번호(지역번호 포함) 앞자리(국번) 형식 여부 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isTelF : function (strMent){
			if (this.isNU(strMent)){ return false; }
			if (typeof(strMent) != "string" && typeof(strMent) != "number"){ return false; }
			
			var pattern = /^([0]{1,1})+([2-9]{1,1})+([0-9]{0,1})$/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 전화번호(지역번호 포함) 중간자리 형식 여부 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isTelM : function (strMent){
			if (this.isNU(strMent)){ return false; }
			if (typeof(strMent) != "string" && typeof(strMent) != "number"){ return false; }
			
			var pattern = /^([0-9]{3,4})$/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 전화번호(지역번호 포함) 마지막자리 형식 여부 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isTelL : function (strMent){
			if (this.isNU(strMent)){ return false; }
			if (typeof(strMent) != "string" && typeof(strMent) != "number"){ return false; }
			
			var pattern = /^([0-9]{4,4})$/;	// 정규식 패턴
			return pattern.test(strMent);
		},
		
		/**
		 * 이메일 형식 여부 리턴
		 * @ 포함
		 * 앞자리는 영문자, 숫자, 특수기호 일부('.', '_', '-') 허용 ; 맨 앞과 뒤는 영문자 혹은 숫자
		 * 뒷자리는 영문자, 숫자, 특수기호 일부('.', '-') 허용 ; 맨 앞은 '-' 포함 영문자 혹은 숫자 2자리 이상 후 '.'필수, 이후 영문자 2자리 이상후 '.'허용, 맨 뒤는 영문자만 허용
		 * @param strEmail {String}	문자열
		 * @returns	{Boolean}	정상적인 이메일 형식일 경우 true
		 */
		isEmail : function (strEmail){
			var pattern = /^([\w]{1,})+[\w\.\-\_]+([\w]{1,})+@(?:[\w\-]{2,}\.)+[a-zA-Z]{2,}$/; 
			var bChecked = pattern.test(strEmail);
			return bChecked;
		},
		
		/**
		 * 이메일 앞자리 형식 여부 리턴
		 * 영문자, 숫자, 특수기호 일부('.', '_', '-') 허용 ; 맨 앞과 뒤는 영문자 혹은 숫자
		 * @param strEmailFirst {String}	
		 * @returns {Boolean}	정상적인 이메일 앞자리 형식일 경우 true
		 */
		isEmailF : function (strEmailFirst){
			var pattern=/^(?:[\w]{1,})+[\w\.\-\_]+[\w]{1,}$/; 
			var checked = pattern.test(strEmail);
			return checked; 
		},
		
		/**
		 * 이메일 뒷자리 형식 여부 리턴
		 * 영문자, 숫자, 특수기호 일부('.', '-') 허용 ; 맨 앞은 '-' 포함 영문자 혹은 숫자 2자리 이상 후 '.'필수, 이후 영문자 2자리 이상후 '.'허용, 맨 뒤는 영문자만 허용
		 * @param strEmailLast {String}	
		 * @returns {Boolean}	정상적인 이메일 뒷자리 형식일 경우 true
		 */
		isEmailL : function (strEmailLast){
			var pattern = /^(?:[\w\-]{2,}\.)+[a-zA-Z]{2,}$/; 
			var checked = pattern.test(strEmail);
			return checked;
		},
		
		/**
		 * 주민등록번호가 정상적인지 여부 리턴
		 * @param strMent
		 * @returns {Boolean}
		 */
		isJumin : function (strMent){
			if (this.isNU(strMent)){ return false; }
			if (typeof(strMent) != "string" && typeof(strMent) != "number"){ return false; }
			
			if (typeof(strMent) == "number"){
				strMent = String(strMent);
			} else {
				strMent = strMent.replace(/\-/g, "");
			}
			
			if (strMent.replace(/[0-9]/g, "").length != 0 || strMent.length != 13){
				return false;
			}
			
			var arr = [2, 3, 4, 5, 6, 7, 8, 9, 2, 3, 4, 5];
			var nChkNum = 0;
			
			for (var i = 0; i < arr.length; i++){
				nChkNum += Number(strMent.charAt(i), 10) * arr[i];
			}
			
			if (Number(strMent.charAt(12), 10) != 11 - (nChkNum % 11)){
				return false;
			}
			
			return true;
			
		},
		
		/**
		 * 문자열의 특정 문자 혹은 문자열 치환
		 * @param ment
		 * @param regex
		 * @param replacement
		 * @returns
		 */
		replaceAll : function (ment, regex, replacement){
			if (this.isNU(ment)){ return ment; }
			if (this.isNU(regex)){ regex = ""; }
			if (this.isNU(ment)){ replacement = ""; }
			
			return ment.replace(eval("/" + regex + "/g"), replacement);
		},
		
		/**
		 * 입력된 값이 null, undefined가 아닌경우 입력된 값 리턴
		 * 입력된 값이 null, undefined인 경우 대체값 리턴
		 * @param ment
		 * @param replacement
		 * @returns
		 */
		replaceNU : function (ment, replacement){
			if (this.isNU(ment)){
				return replacement;
			}
			
			return ment;
		},
		
		/**
		 * 입력된 값이 null, undefined, 빈스트링이 아닌경우 입력된 값 리턴
		 * 입력된 값이 null, undefined, 빈스트링인 경우 대체값 리턴
		 * @param ment
		 * @param replacement
		 * @returns
		 */
		replaceNUE : function (ment, replacement){
			if (this.isNUS(ment)){
				return replacement;
			}
			
			return ment;
		},
		
		/**
		 * 문자열 좌우 공백 제거
		 * @param strMent
		 * @returns
		 */
		trim : function (strMent){
			return strMent.replace(/^\s+|\s+$/g, '');
		},
		
		/**
		 * 문자열 좌측 공백 제거
		 * @param strMent
		 * @returns
		 */
		trimL : function (strMent){
			return strMent.replace(/^\s+|$/g, '');
		},
		
		/**
		 * 문자열 우측 공백 제거
		 * @param strMent
		 * @returns
		 */
		trimR : function (strMent){
			return strMent.replace(/^|\s+$/g, '');
		},
		
		/**
		 * Number형 문자열에 금액 자릿수 콤마를 추가한다.
		 * @param strMent
		 * @returns {String}
		 */
		setComma : function (strMent){
			strMent = String(strMent);
			var pattern = /(\-?\d+)(\d{3})($|\.\d+)/;
			if(reg.test(strMent)){
			    return strMent.replace(pattern, function(str, p1, p2, p3){
			            return util.setComma(p1) + "," + p2 + "" + p3;
			        }    
			    );
			}else{
			    return strMent;
			}
		},
		
		/**
		 * 문자열에 금액 자릿수 콤마를 삭제한다.
		 * @param strMent
		 * @returns {String}
		 */
		getComma : function (strMent){
			if (this.isNU(strMent)){ return strMent; }
			if (typeof(strMent) != "string"){ return strMent; }
			
			return strMent.replace("/,/g", "");
		},
		
		/**
		 * yyyyMMddHHmmss(년월일시분초) 혹은 yyyyMMddHHmmss(년월일시분)형식의 날일 data를 원하는 포멧으로 변경한다.
		 * @param strDateTime {String} yyyyMMddHHmmss 혹은 yyyyMMddHHmmss형식의 문자열
		 * @param strFM {String} 'yyyy년MM월dd일 HH:mm'형식등의 포멧팅 문자열
		 * 							상세한 포메팅 설명은 setFMdate, setFMtime 참고
		 * @returns {String} 원하는 형식으로 포멧팅 된 문자열
		 * @author 20141205 정헌태 - 신규생성
		 * @examples 
			util.setFMdate("21020903140309", "yyyy년MM월dd일 APMK HH:mm");
			
			=> "2102년09월03일 오후 02:03"
		 */
		setFMdt : function (strDateTime, strFM){
			if (this.isNU(strDateTime) || this.isNU(strFM)){ return strDateTime; }
			if (typeof(strDateTime) != "string" || typeof(strDateTime) != "number" || typeof(strFM) != "string"){ return strDateTime; }
			strDateTime = String(strDateTime);
			if (!this.isStrNum(strDateTime) || (strDateTime.length != 14 && strDateTime.length != 12)){ return strDateTime; }
			
			var strFMDateTime = strFM;
			strFMDateTime = this.setFMdate(strDateTime.substring(0, 8), strFMDateTime);
			strFMDateTime = this.setFMtime(strDateTime.substring(8, strDateTime.length), strFMDateTime);
			
			return strFMDateTime;
		},
		
		/**
		 * yyyyMMdd(년월일) 혹은 yyyyMM(년월), MMdd(월일) 형식의 날짜 data를 원하는 포멧으로 변경한다.
		 * * 주의:포메팅 문자열에 y, H, d 문자가 있을 경우 잘못된 값이 출력될 수 있음
		 * @param strDate {String} yyyyMMdd형식의 문자열
		 * @param strFM {string} 'yyyy년 MM월 dd일'등의 포멧팅 문자열
		 * 							yyyy = 2102 : 년도 4자리 표시
		 * 							yy   = 02   : 년도 2자리 표시
		 * 							y    = 2    : 년도 1자리 표시
		 * 							MM = 09 : 월 2자리 표시
		 * 							M  = 9  : 월 1자리 표시
		 * 							dd = 03 : 일 2자리 표시
		 * 							d  = 3  : 일 1자리 표시
		 * @param strInType {string} 입력타입 지정 문자열
		 * 							미입력, ymd = yyyyMMdd로 간주
		 * 							ym = yyyyMM으로 간주
		 * 							md = MMdd로 간주
		 * @returns {String} 원하는 형식으로 포멧팅 된 문자열
		 * @author 20141205 정헌태 - 신규생성
		 * @examples 
			util.setFMdate("21020903", "yyyy년 M월 dd일");
			=> "2102년 9월 03일"
			util.setFMdate("21020903", "yyyy/MM/dd");
			=> "2102/09/03"
			util.setFMdate("21020903", "yyyy/M");
			=> "2102/9"
			util.setFMdate("210209", "yyyy.MM", "ym");
			=> "2102.09"
			util.setFMdate("0903", "MM/dd", "md");
			=> "09/03"
		 */
		setFMdate : function (strDate, strFM, strInType){
			if (!this.isStrDate(strDate, strInType)) { return strDate; }
			if (this.isNU(strFM)){ return strDate; }
			if (this.isNU(strInType)){ strInType = "ymd"; }
			if (typeof(strFM) != "string"){ return strDate; }
			
			var str_yyyy = "";
			var str_yy = "";
			var str_y = "";
			
			var str_MM = "";
			var str_M = "";
			
			var str_dd = "";
			var str_d = "";
			
			if (strInType == "ym" && strDate.length == 6){
				str_yyyy = strDate.substring(0, 4);
				str_yy = strDate.substring(2, 4);
				str_y = String(Number(str_yy));
				str_MM = strDate.substring(4, 6);
				str_M = String(Number(str_MM));
			} else if (strInType == "md" && strDate.length == 4){
				str_MM = strDate.substring(0, 2);
				str_M = String(Number(str_MM));
				str_dd = strDate.substring(2, 4);
				str_d = String(Number(str_dd));
			} else if (strInType == "ymd" && strDate.length == 8){
				str_yyyy = strDate.substring(0, 4);
				str_yy = strDate.substring(2, 4);
				str_y = String(Number(str_yy));
				str_MM = strDate.substring(4, 6);
				str_M = String(Number(str_MM));
				str_dd = strDate.substring(6, 8);
				str_d = String(Number(str_dd));
			} else {
				return strDate;
			}
				
			var strFMDate = strFM;
			strFMDate = strFMDate.replace(/yyyy/g , str_yyyy).replace(/yy/g , str_yy).replace(/y/g , str_y);
			strFMDate = strFMDate.replace(/MM/g , str_MM).replace(/M/g , str_M);
			strFMDate = strFMDate.replace(/dd/g , str_dd).replace(/d/g , str_d);
			
			return strFMDate;
		},
		
		/**
		 * HHmmss(시분초) 혹은 HHmm(시분) 형식의 시간 data를 원하는 포멧으로 변경한다. 
		 * * 주의:포메팅 문자열에 H, m, s 문자가 있을 경우 잘못된 값이 출력될 수 있음
		 * @param strTime {String} HHmmss 혹은 HHmm형식의 문자열
		 * @param strFM {String} 'HH:mm:ss'등의 포멧팅 문자열
		 * 							HH - 08	; 시간 2자리 표시
		 * 							H  - 8  : 시간 1자리 표시
		 * 							mm - 03 : 분 2자리 표시
		 * 							m  - 3  : 분 1자리 표시
		 * 							ss - 09 : 초 2자리 표시
		 * 							s  - 9  : 초 1자리 표시
		 * 							APMK - 오전 : 시간에 따른 오전,오후 표시
		 * 							APM  - AM   : 시간에 따른 AM,PM 표시
		 * 							apm  - am   : 시간에 따른 am,pm 표시
		 * @returns {String} 원하는 형식으로 포멧팅 된 문자열
		 * @author 20141205 정헌태 - 신규생성
		 * @examples 
			util.setFMtime("080309", "HH:mm:ss");
			util.setFMtime("130309", "APMK H시 m분");
			
			=> "08:03:09"
			=> "오후 1시 3분"
		 */
		setFMtime : function (strTime, strFM){
			if (!this.isStrTime(strTime)){ return strTime; }
			if (this.isNU(strFM)){ return strTime; }
			if (typeof(strFM) != "string"){ return strTime; }
			if (strTime.length != 6 && strTime.length != 4){ return strTime; }
			
			var strAPMK = "";
			var strAPM = "";
			var strApm = "";
			var str_HH = "";
			if (strFM.indexOf("APM") > -1 || strFM.indexOf("apm") > -1){
				var nHH = strTime.substring(0, 2) == "24" ? 0 : Number(strTime.substring(0, 2));
				
				strAPMK = nHH > 11 ? "오후" : "오전";
				strAPM = nHH > 11 ? "PM" : "AM";
				strApm = nHH > 11 ? "pm" : "am";
				
				str_HH = nHH > 12 ? nHH -12 : nHH;
				str_HH = str_HH < 10 ? "0" + str_HH : str_HH;
				
			} else {
				str_HH = strTime.substring(0, 2);
			}
			
			var str_H = String(Number(str_HH));
			var str_mm = strTime.substring(2, 4);
			var str_m = String(Number(str_mm));
			
			var str_ss = "";
			var str_s = "";
			
			if (strTime.length == 6){
				str_ss = strTime.substring(4, 6);
				str_s = String(Number(str_ss));
			}
			
			var strFMTime = strFM;
			strFMTime = strFMTime.replace(/APMK/g , strAPMK).replace(/APM/g , strAPM).replace(/apm/g , strApm);
			strFMTime = strFMTime.replace(/HH/g , str_HH).replace(/H/g , str_H);
			strFMTime = strFMTime.replace(/mm/g , str_mm).replace(/m/g , str_m);
			strFMTime = strFMTime.replace(/ss/g , str_ss).replace(/s/g , str_s);
			
			return strFMTime;
			
		},
		
		/**
		 * yyyyMMdd(년월일) 형식 문자열을 구분자를 넣어 포메팅한다.
		 * @param strDate {String} yyyyMMdd형식의 문자열
		 * @param strDelimiter {String} 'ymd' 혹은 '/', ' / ' 같은 세글자 내의 문자
		 * @returns {String} 포메팅된 문자열
		 * @author 20141205 정헌태 - 신규생성
		 * @examples
			util.setFMSdate("20141205", "ymd");
			util.setFMSdate("20141205", "/");
			util.setFMSdate("20141205", "-");
			
			=>"2014년 12월 05일"
			=>"2014/12/05"
			=>"2014-12-05"
		 */
		setFMSdate : function (strDate, strDelimiter){
			if (!this.isStrDate(strDate)){ return strDate; }
			if (this.isNU(strDelimiter)){ return strDate; }
			if (typeof(strDelimiter) != "string"){ return strDate; }
			if (strDelimiter.length > 3){ return strDate; }
			
			if (strDelimiter == "ymd"){	// 년월일 경우
				return this.setFMdate(strDate, "yyyy년 MM월 dd일");
			}
			
			return this.setFMdate(strDate, "yyyy" + strDelimiter + "MM" + strDelimiter + "dd");
		},
		
		/**
		 * HHmmss(시분초) 혹은 HHmm(시분) 형식 문자열을 구분자를 넣어 포메팅한다.
		 * @param strDate {String} HHmmss 혹은 HHmm 형식의 숫자형 문자열
		 * @param strDelimiter {String} 'hms','apk' 혹은 ':' 같은 세글자 이하 문자
		 * 								hms = HH시 mm분 ss초
		 * 								apk = 오전/오후 HH시 mm분 ss초
		 * @returns {String} 포메팅된 문자열
		 * @author 20141205 정헌태 - 신규생성
		 * @examples
			util.setFMStime("090812", "hms");
			=>"09시 08분 12초"
			util.setFMStime("0908", "hms");
			=>"09시 08분"
			util.setFMStime("130812", "apk");
			=>"오후 01시 08분 12초"
			util.setFMStime("090812", ":");
			=>"09:08:12"
			util.setFMStime("0908", " : ");
			=>"09 : 08"
		 */
		setFMStime : function (strTime, strDelimiter){
			if (!this.isStrTime(strTime)){ return strTime; }
			if (this.isNU(strDelimiter)){ return strTime; }
			if (typeof(strDelimiter) != "string"){ return strTime; }
			if (strDelimiter.length > 3){ return strTime; }
			
			if (strDelimiter == "hms"){
				if (strTime.length == 4){
					return this.setFMtime(strTime, "HH시 mm분");
				}
				
				return this.setFMtime(strTime, "HH시 mm분 ss초");
			} else if (strDelimiter == "apk"){
				if (strTime.length == 4){
					return this.setFMtime(strTime, "APMK HH시 mm분");
				}
				
				return this.setFMtime(strTime, "APMK HH시 mm분 ss초");
			}
			
			if (strTime.length == 4){
				return this.setFMtime(strTime, "HH" + strDelimiter + "mm");
			}
			
			return this.setFMtime(strTime, "HH" + strDelimiter + "mm" + strDelimiter + "ss");
		},
		
		
		/**
		 * 전화번호 포메팅 처리
		 * @param strMent
		 * @returns {String}
		 */
		setFMtel : function (strMent){
			return "";
		},
		
		/**
		 * 휴대폰 번호 포메팅 처리
		 * @param strMent
		 * @returns {String}
		 */
		setFMphone : function (strMent){
			return "";
		},
		
		/**
		 * 전화번호 마스크 처리
		 * @param strMent
		 * @returns {String}
		 */
		setMStel : function (strMent){
			return "";
		},
		
		/**
		 * 핸드폰 번호 마스크 처리
		 * @param strMent
		 * @returns {String}
		 */
		setMSphone : function (strMent){
			return "";
		},
		
		/**
		 * 성명 마스크 처리
		 * @param strMent
		 * @returns {String}
		 */
		setMSname : function (strMent){
			return "";
		},
		
		/**
		 * 주소 마스크 처리
		 * @param strMent
		 * @returns {String}
		 */
		setMSaddr : function (strMent){
			return "";
		},
		
		/**
		 * 계좌번호 마스크 처리
		 * @param strMent
		 * @returns {String}
		 */
		setMSacct : function (strMent){
			
			return "";
		},
		
		/**
		 * 이메일 마스크 처리
		 * @param strMent
		 * @returns {String}
		 */
		setMSemail : function (strMent){
			
			return "";
		},
		
		
		/**
		 * 문자열의 길이(byte) 리턴
		 * @param strMent
		 * @returns {Number}
		 */
		getStrBytes : function (strMent){
			var nCount = 0;
			var tmpStr = new String(strMent);
			var nTmpStr = tmpStr.length;
			 
			for (var i = 0; i < nTmpStr; i++){
				var onechar = tmpStr.charAt(i);
				
				// 한글 2, 영문 1
				nCount += escape(onechar).length > 4 ? 2 : 1;
			}
			 
			return nCount;
		},
		
		/**
		 * yyyyMM 형식의 년월을 받아 해당 년월의 마지막 일자를 리턴한다.
		 * @param nYear {Integer} 1 ~ 9999 사이의 숫자
		 * @param nMonth {Integer} 1 ~ 12 사이의 숫자
		 * @returns {Integer} 정상적인경우 해당 년월의 마지막 일자 
		 * 						비정상의 경우 0
		 * 						년도가 9999인경우 99
		 */
		getYMlastDay : function (strYM){
			if (!this.isStrDate(strYM, "ym")){ return 0; }
			
			var nYear = strYM.substring(0, 4);
			var nMonth = strYM.substring(4, 6);
			
			var nDay = new Date(new Date(nYear, nMonth, 1)- 86400000).getDate();
			if(nYear == 9999){ nDay = 99; }
			
			return nDay;
		},
		
		/**
		 * 입력된 두 날짜의 차이를 계산한다.
		 * @param strFirstDate {String} 기준 날일
		 * @param strSecodDate {String} 비교 날일
		 * @returns {Number}
		 */
		getDdayCalc : function (strFirstDate, strSecodDate){
			
			
			if (this.isNUSN(strFirstDate)){ return null; }
			if (this.isNUSN(strSecodDate)){ return null; }
			if (this.isStrNum(String(strFirstDate))){ return null; }
			if (this.isStrNum(String(strSecodDate))){ return null; }
			
			strFirstDate = String(strFirstDate);
			strSecodDate = String(strSecodDate);
			
			
			if (strFirstDate.length == 8 && strSecodDate.length == 8){
				
			} else if (strFirstDate.length == 8 && strSecodDate.length == 8){
				
			}
//			yyyyhhmm
			
//			hhmm
			
			
			return (second-first)/(1000*60*60*24) 
			
			
			
			return -1;
		},
		
		drowMap : function (){
			
		},
		
		drowList : function (){
			
		},
		
		drowSltOption : function (){
			
		},
		
		
};




