
/* JavaScript content from js/common/nsmall.native.js in folder common */



/* JavaScript content from js/common/nsmall.native.js in folder common */

/**
 * @Author SGM Native 요소
 */
var NativeConst = {

		ANDROID_NS_PLUGINS 			: "NSPlugins",				// 네이티브 플러그인
		ANDROID_FB_PLUGINS 			: "FBPlugins",				// 페이스북 플러그인
		ANDROID_NAVER_PLUGINS 		: "NaverPlugins",			// 네이버 플러그인
		ANDROID_PAYCO_PLUGINS 		: "PaycoPlugins",			// 페이코 플러그인
		ANDROID_CLOVA_PLUGINS 		: "ClovaPlugins",			// 클로바 플러그인
		ANDROID_KAKAO_PLUGINS		: "KakaoPlugins",			// 카카오 플러그인
		
		ACTION_PUSH_DEVICE_CERT 	: "pushDeviceCert",			// PMS(단말기 인증)
		ACTION_PUSH_LOGIN			: "pushLogin",				// PMS(로그인)
		ACTION_PUSH_LOGOUT	 		: "pushLogout",				// PMS(로그아웃)
		ACTION_PUSH_GET_FLAG 		: "getPushMktFlag",			// PMS(푸시 수신여부 확인)
		ACTION_PUSH_SET_CONFIG 		: "setPushConfig",			// PMS(푸시 수신설정)
		ACTION_GET_PUSH_LIST		: "getPushMsgList",			// PMS(푸시메시지 목록)
		ACTION_SET_PUSH_READ		: "setPushRead",			// PMS(푸시메시지 읽음처리)
		
		ACTION_QRCODE 				: "openQrCodeReader",		// QR코드
		ACTION_PHOTO 				: "openAlbum",				// 갤러리 앨범
		ACTION_TV_SHOPPING 			: "openVideoView",			// TV쇼핑(E-TV)
		ACTION_TV_SHOPPLUS 			: "openShopplusVOD",		// NS Shop+ VOD
		ACTION_ANDROID_CALLPHONE	: "callPhone",				// 전화
		ACTION_SEND_ADBRIX			: "sendAdbrix",				// ADBrix
		ACTION_SEND_AIQUA			: "sendToAIQUA",			// AIQUA
		ACTION_SEND_AIQUANOTILIST	: "sendToAIQUANotiList",	// AIQUANotiList
		ACTION_SEND_GA360			: "sendToGA360",			// GA360
		ACTION_ETVITEM_CONTEXT		: "etvItemContext",			// 생방송 아이템명
		ACTION_WEBVIEW				: "webview",				// 커스텀 웹뷰
		ACTION_LINKVIEW 			: "linkview",				// 링크 바로가기 
		ACTION_PHOTOVIEW			: "photoview",				// 상품이미지 확대보기 팝업뷰
		ACTION_LAUNCHER				: "launcher",				// 딥링크 연동
		ACTION_LOG					: "log",					// 개발용 로그
		
		ACTION_CHECK_PERMISSION		: "checkPermission",		// kimjh 권한 동의 획득 창 오픈
		ACTION_CHECK_PERMISSION_STATE	: "checkPermissionState",	//kimjh 권한 동의 여부 상태 체크
		
		ACTION_IOS_ITUNE_CHECK   	: "iosItuneRegi",			// IOS 아이튠즈 접속
		
		ACTION_SEND_KAKAOLINK		: "sendKakaoLink",			// 카카오톡
		ACTION_SEND_KAKAOLINK_EVENT	: "sendKakaoLinkEvent",
    
        ACTION_SNS_URLCOPY          : "snsUrlCopy",             // native url copy
        ACTION_SNS_OTHER            : "snsOther",               // native 기타 공유 목록 보기
        ACTION_SNS_SMS          	: "snsSMS",               // native 문자 보내기 
        
		IOS_SERVICE_NAME 			: "NSPlugins"
};

var Ns = Ns || {};
var Native = function() { };

Native.prototype = {
		
		/**
		 * 네이티브 플러그인 실행
		 * 
		 * succCb : 성공콜백함수
		 * fainCb : 실패콜백함수
		 * action : 실행할 NativeAction명
		 * params : 파라미터
		 */
		executePlugin : function(opt) {
			var success = opt.succCb || null;
			var fail = opt.failCb || null;
			var action = opt.action;
			var params = opt.params || [];
			var service = "";
			if (mainCtrl.isOsApp()) {
				service = opt.service;
			} else {
				return false;
			}
			cordova.exec(success, fail, service, action, params); 
		},
		
		/**
		 * WebView 오픈 (공통)
		 */
		showWindows : function(url) {
			var paramInfo = {};
			paramInfo.openUrl = url;
			paramInfo.succFunc = null;
			paramInfo.failFunc = null;
			if (mainCtrl.VIEW_TYPE == "ios") {
				WL.NativePage.show('CommonWebViewController', function() {}, paramInfo);
			} else if (mainCtrl.VIEW_TYPE == "android") {
				NSCustom.openCert(url, paramInfo.successFunc, paramInfo.failFunc);
			} else {
				WL.App.openURL(url, "webview");
			}
		},
		
		/**
		 * 모바일 결제
		 * 
		 * payType
		 * -신용카드		: 100
		 * -실시간계좌이체	: 300
		 * -휴대폰소액결제	: 400
		 * -페이코		: 1400
		 * -네이버페이		: 1500
		 */
		showPaymentWindows : function(params) {
			// 리턴 Url 경로설정
			params['MOB_RET_URL'] = Ns.Util.getCurrentPathName('/html/common/return_payment.html');
			params['MOB_ERR_URL'] = Ns.Util.getCurrentPathName('/html/common/return_error.html');
//			params['MOB_RET_URL'] = 'http://' + Const.MOBILE_NSMALL_PATH + '/apps/services/preview/nsmobilehub/common/1.0/default/html/common/return_payment.html';
			
			// 요청 Url
			var url = "";
			
			// 요청 파라미터
			var parameters = this.objectToQueryString(params);
			
			// 결제 타입에 따라 요청 Url 분기처리
			// 01. 신용카드
			if (params.payType == "100") {
				//2016 - 12 Ssong  신한 직승인 추가 및 직승인 구분 변경
	
				//직승인
				if(params.VAN_CO == "20"){
					if (params.moduleGubun == "L"){		 // L : 롯데 직승인
						url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/rocomo/smpi_mob_agent01.jsp?" + parameters;
					} else if(params.moduleGubun == "I"){// I : ISP 직승인 (KB)
						url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/isp/isp_mob_request.jsp?" + parameters;
					} else if(params.moduleGubun == "P"){// P : payline 직승인 (신한)
						url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/payline/payline_mob_request.jsp?" + parameters;
					}

				//EasyPay
				} else {
					url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/kicc/easypay_mob_request.jsp?" + parameters;
				}
			}
			// 02.실시간 계좌이체
			else if (params.payType == "300") {
				//khkim82 20161212 - 실시간계좌이체 공인인증방식 에러 수정(안드로이드 APP에서만 오류) - web일때는 작동하고 android/iOS 구분이 중요해서 ios로 넘김 
				//기존 http로 호출하던것을 https로 수정
				if (mainCtrl.VIEW_TYPE == "ios") {
					url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/lguplus/lguplus_mob_request.jsp?MOB_VIEW_TYPE=ios&" + parameters;
				} else {
					url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/lguplus/lguplus_mob_request.jsp?" + parameters;
				}	
			}
			// 03.휴대폰 소액결제
			else if (params.payType == "400") {
				url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/kg/kg_mob_request.jsp?" + parameters;
			}
			// 05.페이코		2016-05-12 Ssong 추가
			else if (params.payType == "1400") {
				url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/payco/payco_mob_request.jsp?" + parameters;
			}
			// 네이버페이 추가 2018-06-07 유상욱
			else if(params.payType == '1500') {
					url = 'https://' + Const.WCS_NSMALL_PATH + '/nsmall/mobile/naverpay/naverpay_mob_request.jsp?' + parameters;
					if(mainCtrl.VIEW_TYPE != "ios" && mainCtrl.VIEW_TYPE != "android") {
						params['MOB_PASS'] = 'WEB';
						params['MOB_VIEW_TYPE'] = mainCtrl.VIEW_TYPE;
						params['NAVERPAY_REQ_URL'] = 'https://' + Const.WCS_NSMALL_PATH + '/nsmall/mobile/naverpay/naverpay_mob_request.jsp?';
						
						var newParameters = this.objectToQueryString(params);
						console.log(url + newParameters);
						
						var naverpayPopup = window.open('https://' + Const.MOBILE_NSMALL_PATH + '/html/common/gate_naverpay.html?' + newParameters);
						
						url = 'https://' + Const.MOBILE_NSMALL_PATH + '/html/common/gate_naverpay.html?type=tmp';
					}
			} else if (params.payType == '1600' || params.payType == '1700'){
				url = 'https://' + Const.WCS_NSMALL_PATH + '/nsmall/mobile/wpay/wpay_mob_request.jsp?' + parameters;
			} 

			var paramInfo = {};
			paramInfo.openUrl  = url;
			paramInfo.succFunc = params.successFunc;
			paramInfo.failFunc = params.failFunc;
			
			if (Ns.Util.isNull(params.target))
				params.target = "payment";

			if (mainCtrl.VIEW_TYPE == "ios") {
				//easypay 중복 호출로 삭제 - khkim82 20181109
				//WL.NativePage.show('CommonWebViewController', function() {}, paramInfo);
				//WL.NativePage.onNativePageClose(paramInfo);
				setTimeout(function() {
					WL.NativePage.show('CommonWebViewController', function() {}, paramInfo);
					WL.NativePage.onNativePageClose(paramInfo);
				}, 1000 * 0.5);
			} else if (mainCtrl.VIEW_TYPE == "android") {
				NSCustom.openCert(url, params.successFunc, params.failFunc);
			} else {
				window['paymentSuccessWeb'] = function(data) {
					Ns.Util.viewConsoleLog('showPaymentWindows.paymentSuccessWeb ==> ' + JSON.stringify(data));
					var succFunc = eval(params.successFunc);
					succFunc(data);
				};
				window['paymentStop'] = function(data) {
					Ns.Util.viewConsoleLog('showPaymentWindows.paymentStop ==> ' + JSON.stringify(data));
					var failFunc = eval(params.failFunc);
					failFunc(data);
				};
				try {
					if(params.payType == '1500' && mainCtrl.VIEW_TYPE == 'other') {
						/**
						 * 2018-08-19 유상욱
						 * 네이버페이 결제창은 새창으로 진행되는데 맥OS 사파리일 경우만 
						 * WL.App.openURL이 정상동작하지 않아서 팝업이 두개 뜨는 현상이 발생해서
						 * 주문서 페이지 상단 iframe컨트롤을 제외한다
						 */
					} else {
						var popup = WL.App.openURL(url + "&MOB_PASS=WEB&MOB_VIEW_TYPE=" + mainCtrl.VIEW_TYPE, params.target );
							if (popup == null || popup == undefined) {
								if (!mainCtrl.isOsApp() && mainCtrl.VIEW_TYPE == "iosweb") {
									if (params.payType == "1400") {
										// safari 팝업차단 안내 팝업을 띄운다.
										Ns.Popup.showLayer('M_G1141000M', params);
									}
								}
							}
					}
				} catch(e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(native_34)" + e, function () {
						navi.naviBack();
					});
				}
			}
		},
		
		showTermsWindows : function(params) {
			// 리턴 Url 경로설정
			params['MOB_RET_URL'] = Ns.Util.getCurrentPathName('/html/common/return_payment.html');
			params['MOB_ERR_URL'] = Ns.Util.getCurrentPathName('/html/common/return_error.html');
//			params['MOB_RET_URL'] = 'http://' + Const.MOBILE_NSMALL_PATH + '/apps/services/preview/nsmobilehub/common/1.0/default/html/common/return_terms.html';			
			
			// 요청 파라미터
			var parameters = this.objectToQueryString(params);
			
			var url = 'https://' + Const.WCS_NSMALL_PATH + '/servlet/nsmall/NSOrder/NSOrderWPayTerms.jsp?' + parameters;
//			url = 'https://192.168.220.95/webapp/wcs/stores/servlet/nsmall/NSOrder/NSOrderWPayTerms.jsp?' + parameters;
			
			var paramInfo = {};
			paramInfo.openUrl  = url + '&MOB_PASS=ios';
			paramInfo.succFunc = params.successFunc;
			paramInfo.failFunc = params.failFunc;

			if (Ns.Util.isNull(params.target))
				params.target = "payment";

			if (mainCtrl.VIEW_TYPE == "ios") {
				WL.NativePage.show('CommonWebViewController', function() {}, paramInfo);
				WL.NativePage.onNativePageClose(paramInfo);
				setTimeout(function() {
					WL.NativePage.show('CommonWebViewController', function() {}, paramInfo);
					WL.NativePage.onNativePageClose(paramInfo);
				}, 1000 * 0.5);
			} else if (mainCtrl.VIEW_TYPE == "android") {
				NSCustom.openCert(url + '&MOB_PASS=android', params.successFunc, params.failFunc);
			} else {
				window['paymentSuccessWeb'] = function() {
					Ns.Util.viewConsoleLog('termsSuccessWeb');
					var succFunc = eval(params.successFunc);
					succFunc();
				};
				window['paymentStop'] = function() {
					Ns.Util.viewConsoleLog('termsStop');
					var failFunc = eval(params.failFunc);
					failFunc();
				};
				try {
					var popup = WL.App.openURL(url + "&MOB_PASS=WEB&MOB_VIEW_TYPE=" + mainCtrl.VIEW_TYPE, params.target );
					if (popup == null || popup == undefined) {
						if (!mainCtrl.isOsApp() && mainCtrl.VIEW_TYPE == "iosweb") {
							if (params.payType == "1400") {
								// safari 팝업차단 안내 팝업을 띄운다.
								Ns.Popup.showLayer('M_G1141000M', params);
							}
						}
					}
				} catch(e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(native_34)" + e, function () {
						navi.naviBack();
					});
				}
			}
		},
		
		/**
		 * 본인인증
		 * 
		 * certType
		 * -휴대폰인증 : 1
		 * -IPIN인증 : 2
		 */
		showCertificationWindow : function(params) {
			
			// 리턴 Url 경로설정
			params['MOB_RET_URL'] = Ns.Util.getCurrentPathName('/html/common/return_auth.html');
			
			// 요청 Url
			var url = "";
			
			// 요청 파라미터
			var parameters = this.objectToQueryString(params);
			
			// 인증타입에 따라 요청 Url 분기처리
			// 휴대폰 인증
			if (params.certType == 1) {
				url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/kmc/kmcis_mob_pop.jsp?" + parameters;
			}
			// 아이핀 인증
			else if (params.certType == 2) {
				url = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/nice/ipincert_mob_pop.jsp?" + parameters;
			}

			var paramInfo = {};
			paramInfo.openUrl = url;
			paramInfo.succFunc = params.successFunc;
			paramInfo.failFunc = params.failFunc;
			
			if (Ns.Util.isNull(params.target))
				params.target = "certification";

			if (mainCtrl.VIEW_TYPE == "ios") {
				WL.NativePage.show('CommonWebViewController', function() {}, paramInfo);
				WL.NativePage.onNativePageClose(paramInfo);
			} else if (mainCtrl.VIEW_TYPE == "android") {
				NSCustom.openCert(url, params.successFunc, params.failFunc);
			} else {
				window['certificationSuccessWeb'] = function(data) {
					Ns.Util.viewConsoleLog('showPaymentWindows.certificationSuccessWeb ==> ' + JSON.stringify(data));
					var succFunc = eval(params.successFunc);
					succFunc(data);
				};
				window['certificationStop'] = function(data) {
					Ns.Util.viewConsoleLog('showPaymentWindows.certificationStop ==> ' + JSON.stringify(data));
					var failFunc = eval(params.failFunc);
					failFunc(data);
				};
				WL.App.openURL(url + "&MOB_PASS=WEB&MOB_VIEW_TYPE=" + mainCtrl.VIEW_TYPE, params.target);
			}
		},
		
		/**
		 * 요청 파라미터를 생성
		 */
		objectToQueryString : function(params) {
			var data = [];
			if (typeof (params) == "object") {
				for (var att in params) {
					data.push( att + "=" + encodeURIComponent(params[att]) );
				}
			}
			return data.join('&');
		},
		
		/**
		 * PMS (단말기 인증)
		 * */
		pushDeviceCert : function(succCb, failCb) {
			var opt = {
					succCb  : succCb,
					failCb  : failCb,
					action  : NativeConst.ACTION_PUSH_DEVICE_CERT,
					service : NativeConst.ANDROID_NS_PLUGINS
			};
			this.executePlugin(opt);
		},
		
		/**
		 * PMS (로그인)
		 * */
		pushLogin : function(succCb, failCb, custNum) {
			var param = null; 
			if (mainCtrl.VIEW_TYPE == "ios")
				param = [custNum];
			else if(mainCtrl.VIEW_TYPE == "android")
				param = [{custId : custNum}];
			var opt = {
					succCb 	: succCb,
					failCb 	: failCb,
					action	: NativeConst.ACTION_PUSH_LOGIN,
					service : NativeConst.ANDROID_NS_PLUGINS,	
					params  : param
			};
			this.executePlugin(opt);
		},
		
		/**
		 * PMS (로그아웃)
		 * */
		pushLogout : function() {
			var opt = {
					action  : NativeConst.ACTION_PUSH_LOGOUT,
					service : NativeConst.ANDROID_NS_PLUGINS				
			};
			this.executePlugin(opt);
		},
		
		/**
		 * PMS (푸시 수신여부 확인)
		 * */
		getPushMktFlag : function(succCb, failCb) {
			var opt = {
					succCb  : succCb,
					failCb  : failCb,
					action  : NativeConst.ACTION_PUSH_GET_FLAG,
					service : NativeConst.ANDROID_NS_PLUGINS
			};
			this.executePlugin(opt);
		},
		
		/**
		 * PMS (푸시 수신설정)
		 * */
		setPushMsgConfig : function(succCb, failCb, flag) {
			var opt = {
					succCb  : succCb,
					failCb  : failCb,
					action  : NativeConst.ACTION_PUSH_SET_CONFIG,
					service : NativeConst.ANDROID_NS_PLUGINS,
					params  : [{flag : flag}]
			};
			this.executePlugin(opt);
		},
		
		/**
		 * PMS (푸시메시지 목록)
		 * */
		getPushMsgList : function(succCb, failCb, pageNum) {
			var opt = {
					succCb 	: succCb,
					failCb 	: failCb,
					action	: NativeConst.ACTION_GET_PUSH_LIST,
					service : NativeConst.ANDROID_NS_PLUGINS,	
					params 	: [{pageNum : pageNum}]
			};
			this.executePlugin(opt);
		},
		
		/**
		 * PMS (푸시 읽음처리)
		 * */
		setPushRead : function(paramsObj) {
			var opt = {
					succCb 	: null,
					failCb 	: null,
					action	: NativeConst.ACTION_SET_PUSH_READ,
					service : NativeConst.ANDROID_NS_PLUGINS,	
					params 	: [paramsObj] 
			};
			this.executePlugin(opt);
		},
		
		/**
		 * QR코드
		 * */
		qrcodeReaderView : function() {
			var opt = {
					succCb : function(data) { alert(JSON.stringify(data)); },
					failCb : function(data) { },
					action : NativeConst.ACTION_QRCODE,
					service : NativeConst.ANDROID_NS_PLUGINS
			};
			this.executePlugin(opt);
		},
		
		/**
		 * TV쇼핑(E-TV) 방송보기
		 */
		tvHomeShoppingView : function(type, liveUrl, partNumber, topOffset) {
			var play= function() {
				navi.setMovePointer(-1);
				// 모바일 앱
				if (mainCtrl.isOsApp()) {
					// 요청 파라미터 생성
					var param = null;
                    if (mainCtrl.VIEW_TYPE == "ios" && parseInt(version) < 2911) {
                        WL.App.openURL( liveUrl, "");
                    }else {
                        
                        param = [ {
                                 videoUrl 	: liveUrl,
                                 LogonStatus : mainCtrl.checkLogonStatus(),
                                 logonType 	: USERINFO.logonType(),
                                 userId 		: USERINFO.userId(),
                                 Cocd 		: Const.getCocd(),
                                 isPlay 		: true
                                 }];
                    }
					var opt = {
							succCb : function(data) {
								if (Const.IS_SERVER_STATE == "DEV") {
									if (type == "LIVE")
										mainCtrl.callEvalFn(data.func, JSON.parse(data.option));	// eval로 function을 실행
									else
										mainCtrl.gotoProductDetail({partNumber : partNumber});
								} else {
									if (type == "LIVE") {
										tran.callWCSJsonTran('TVHomeShoppingAjax', {processFlag : "curBrodcastingMobile"}, function(data) {
											var productList = data.msg.TotalOrgan; 
											if (productList.length <= 0 || Ns.Util.isNull(productList)) {
												Ns.Popup.alert("방송중인 상품이 존재하지 않습니다.");
												return; 
											} else if(productList.length == 1) {
												var reqPartNumber = productList[0].partNumber;
												mainCtrl.gotoProductDetail( {partNumber : reqPartNumber} );
											} else {
												var invoke = {};
												invoke.catalogId = Const.getMarketingCatalogId('tv');
												mainCtrl.navigate("M_G2222120M",invoke);
											}
										});
									} else {
										mainCtrl.gotoProductDetail( {partNumber : partNumber} );
									}
								}
							},
							failCb : function(data) {
								Ns.Popup.alert(JSON.stringify(data));
							},
							action : NativeConst.ACTION_TV_SHOPPING,
							service : NativeConst.ANDROID_NS_PLUGINS,
							params : param
					};
					Ns.Native.executePlugin(opt);
				} else {
					WL.App.openURL(liveUrl, "");
				}
			};

			if (type == "LIVE" && liveUrl == null) {
				liveUrl = Const.getLiveUrl(mainCtrl.VIEW_TYPE);
				if (mainCtrl.VIEW_TYPE == "other") {
					Ns.Popup.alert("지원하지 않는 환경입니다.");
					return false;
				}
			}
			var msg = "3G/LTE 환경에서 이용시 요금제에 따라 데이터 요금이 부가될 수 있습니다.<br/>시청하시겠습니까?";
			Ns.Popup.confirm(msg, play, null, "예", "아니오", null, null, topOffset);
		},
		
		/**
		 * TV쇼핑(E-TV) 방송바로보기
		 */
		nsShopTvHomeShoppingViewDirect : function(type, liveUrl, partNumber, isPlay) {
			var play= function() {
				navi.setMovePointer(-1);
				if (mainCtrl.isOsApp()) {
					var param = null; 
					var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
					if (mainCtrl.VIEW_TYPE == "ios" && parseInt(version) < 2911) {
						WL.App.openURL( liveUrl, "");
					} else {
						param = [ {
							videoUrl 	: liveUrl,
							LogonStatus : mainCtrl.checkLogonStatus(),
							logonType 	: USERINFO.logonType(),
							userId 		: USERINFO.userId(),
							Cocd 		: Const.getCocd() ,
							isPlay 		: isPlay
						}];
						
						var opt = {
								succCb : function(data) {
									var etvUrl = data.option;
									var etvFunc = data.func;
									if (type == "LIVE") {
										tran.callWCSJsonTran( 'TVHomeShoppingAjax', {processFlag : "curBrodcastingMobile"}, function(data) {
											var productList = data.msg.TotalOrgan;
											if (productList.length <= 0 || productList == null) {
												Ns.Popup.alert("방송중인 상품이 존재하지 않습니다.");
												return; 
											} else if (productList.length == 1) {

												try {
													if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
														var optionText = "";
														
														try {
															optionText = JSON.parse(decodeURIComponent(etvUrl));
														} catch(exception){
															optionText = JSON.parse(etvUrl)
														}
														mainCtrl.callEvalFn(etvFunc, optionText);
													}
													else {
														mainCtrl.callEvalFn(etvFunc, JSON.parse(etvUrl));
													}
												}
												catch(exception){
													// empty
												}
											} else {
												var invoke = {};
												invoke.catalogId = Const.getMarketingCatalogId('tv');
												mainCtrl.navigate("M_G2222120M", invoke);
											}
										});
									} else {
										mainCtrl.gotoProductDetail( {partNumber : partNumber} );
									}
								},
								failCb : function(data) {
									Ns.Popup.alert(JSON.stringify(data));
								},
								action : NativeConst.ACTION_TV_SHOPPING,
								service : NativeConst.ANDROID_NS_PLUGINS,
								params : param
						};
						Ns.Native.executePlugin(opt);
					}
					
				} else {
					WL.App.openURL( liveUrl, "");
				}
			};
			
			if (type == "LIVE" && liveUrl == null) {
				liveUrl = Const.getLiveUrl( mainCtrl.VIEW_TYPE );
				if (mainCtrl.VIEW_TYPE == "other") {
					Ns.Popup.alert( "지원하지 않는 환경입니다." );
					return false;
				}
			}
			play();
		},
		
		/**
		 * NS Shop+ VOD 전체화면보기
		 */
		openShopplusFullVOD : function( type, liveUrl, partNumber , topOffset ) {
			
			
			var play= function() {
				
				if ( mainCtrl.VIEW_TYPE == "ios"  || mainCtrl.VIEW_TYPE == "android" ) {
					
					var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
					if ((mainCtrl.VIEW_TYPE == "ios" && parseInt(version) <= 2914) 
							|| (mainCtrl.VIEW_TYPE == "android" && parseInt(version) <= 2916)) {
						WL.App.openURL( liveUrl, "");
					} else {					
						var param = null; 
						if(mainCtrl.VIEW_TYPE == "ios" )
							param = [liveUrl];
						else if(mainCtrl.VIEW_TYPE == "android" )
							param = [ {videoUrl : liveUrl} ];
						var opt = {
								action : NativeConst.ACTION_TV_SHOPPLUS,
								service : NativeConst.ANDROID_NS_PLUGINS,
								params : param
						};
						
						Ns.Native.executePlugin(opt);
					}
				} else {
					WL.App.openURL( liveUrl, "");
				}
			};
			
			if ( type == "LIVE" && liveUrl == null ) {
				liveUrl = Const.getLiveUrl( mainCtrl.VIEW_TYPE );
				if ( mainCtrl.VIEW_TYPE == "other" ) {
					Ns.Popup.alert( "지원하지 않는 환경입니다." );
					return false;
				}
			} else if(type == "shopPlay" && liveUrl){
				
			} else {
				liveUrl = "http://shoppstream.nsmall.com:1935/IPHONE/mobile.m3u8";
			}
			
			play();
		},
		
		/**
		 * 전화
		 */
		callPhone : function(callNumber) {
			var opt = {
					action  : NativeConst.ACTION_ANDROID_CALLPHONE,
					service : NativeConst.ANDROID_NS_PLUGINS,
					params  : callNumber
			};
			this.executePlugin(opt);
		},
		
		/**
		 * AdBrix
		 * */
		sendAdbrix : function(paramsObj) {
			var opt = {
					action	: NativeConst.ACTION_SEND_ADBRIX,
					service : NativeConst.ANDROID_NS_PLUGINS,	
					params  : [paramsObj]
			};
			this.executePlugin(opt);
		},
		
		/**
		 * AIQUA
		 * */
		sendToAIQUA : function(paramsObj) {
			var opt = {
					action	: NativeConst.ACTION_SEND_AIQUA,
					service : NativeConst.ANDROID_NS_PLUGINS,	
					params  : [paramsObj]
			};
			this.executePlugin(opt);
		},
		
		/**
		 * AIQUA NotiList
		 * */
		sendToAIQUANotiList : function(succCb, failCb) {
			var opt = {
					succCb : succCb,
					failCb : failCb,
					action	: NativeConst.ACTION_SEND_AIQUANOTILIST,
					service : NativeConst.ANDROID_NS_PLUGINS
			};
			this.executePlugin(opt);
		},
		
		
		/**
		 * GA360
		 * */
		sendToGA360 : function(paramsObj) {
			if(paramsObj == undefined){
				if(Ns.LocalStorage.get("GA.utm_ca") != "" || Ns.LocalStorage.get("GA.ga_re") != ""){
					Ns.LocalStorage.del("GA.ga_re");
					Ns.LocalStorage.del("GA.utm_s");
					Ns.LocalStorage.del("GA.utm_m");
					Ns.LocalStorage.del("GA.utm_ca");
					Ns.LocalStorage.del("GA.utm_co");
					Ns.LocalStorage.del("GA.utm_t");
					Ns.LocalStorage.del("GA.ga_url");
				}
			}
			
			var opt = {
					action	: NativeConst.ACTION_SEND_GA360,
					service : NativeConst.ANDROID_NS_PLUGINS,	
					params  : [paramsObj]
			};
			this.executePlugin(opt);
		},
		/**
		 * 생방송 아이템명
		 * */
		transText : function(text) {
			var temptext = [{etvContext:text}];
			var opt = {
					action  : NativeConst.ACTION_ETVITEM_CONTEXT,
					service : NativeConst.ANDROID_NS_PLUGINS,
					params  : temptext
			};
			this.executePlugin(opt);
		},
		
		/**
		 * 2016-08-05 정승진 : 커스텀 웹뷰
		 * */
		webView : function(type, linkUrl) {
			if (mainCtrl.VIEW_TYPE == "ios") {
				var paramInfo = {};
				paramInfo.type = type;
				paramInfo.openUrl = linkUrl;
				paramInfo.succFunc = null;
				paramInfo.failFunc = null;
				WL.NativePage.show('CommonWebViewController', function() {}, paramInfo);
			} else if (mainCtrl.VIEW_TYPE == "android") {
				var paramInfos = [{type:type, url:linkUrl}];
				var opt = {
						action  : NativeConst.ACTION_WEBVIEW,
						service : NativeConst.ANDROID_NS_PLUGINS,
						params  : paramInfos
				};
				this.executePlugin(opt);
			} else {
				WL.App.openURL(linkUrl, "webview");
			}
		},
		
		/**
		 * 201707024 dhlee 링크뷰 추가 
		 * */
		linkView : function(type, linkUrl) {
			var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
			if ((mainCtrl.VIEW_TYPE == "ios" && parseInt(version) >= 2912)
					|| (mainCtrl.VIEW_TYPE == "android" && parseInt(version) >= 2912)
					) {
				var paramInfo = [{type:type, url:linkUrl}];
				var opt = {
						action  : NativeConst.ACTION_LINKVIEW,
						service : NativeConst.ANDROID_NS_PLUGINS,
						params  : paramInfo
				};
				this.executePlugin(opt);
			}else{
				WL.App.openURL(linkUrl, "linkview");
			}			
			
			/*if (mainCtrl.VIEW_TYPE == "ios" && parseInt(version) >= 2912) {
				var paramInfo = [{type:type, url:linkUrl}];
				var opt = {
						action  : NativeConst.ACTION_LINKVIEW,
						service : NativeConst.ANDROID_NS_PLUGINS,
						params  : paramInfo
				};
				this.executePlugin(opt);
			} else if (mainCtrl.VIEW_TYPE == "android" && parseInt(version) >= 2912) {
				var paramInfo = [{type:type, url:linkUrl}];
				var opt = {
						action  : NativeConst.ACTION_LINKVIEW,
						service : NativeConst.ANDROID_NS_PLUGINS,
						params  : paramInfo
				};
				this.executePlugin(opt);
			} else {
				WL.App.openURL(linkUrl, "linkview");
			}*/
		},
		
		/**
		 * 2016-09-29 정승진 : 상품이미지 확대보기 팝업뷰
		 * */
		photoView : function(photolist) {
			var data = [{data:photolist}];
			var opt ={
					action : NativeConst.ACTION_PHOTOVIEW,
					service : NativeConst.ANDROID_NS_PLUGINS,
					params : data
			};
			this.executePlugin(opt);
		},
		
		/**
		 * 2016-10-14 정승진 : 앱 실행 런쳐 (딥링크)
		 * */
		launcherView : function(schme, params, link) {
			var paramInfo = [{ }];
			if (mainCtrl.isOsApp()) {
				if (mainCtrl.VIEW_TYPE == "ios") {
					paramInfo = [{scheme:schme, params:params, link:link}];
				} else {
					paramInfo = [{scheme:schme, params:params}];
				}
				var opt = {
						action  : NativeConst.ACTION_LAUNCHER,
						service : NativeConst.ANDROID_NS_PLUGINS,
						params  : paramInfo
				};
				this.executePlugin(opt);
			} else {
				WL.App.openURL(url, "webview");
			}
		},
		
		/**
		 * 2016-10-21 정승진 : 개발용 앱 로그 추가
		 * */
		applog : function() {
			var data = [{ }];
			var opt = {
					action  : NativeConst.ACTION_LOG,
					service : NativeConst.ANDROID_NS_PLUGINS,
					params  : data
			};
			this.executePlugin(opt);
		},
		
		/**
		 * IOS 아이튠즈 접속
		 * */
		iosItune: function(type, error) {
			if (mainCtrl.VIEW_TYPE == "ios") {
				var invoke = { title : "UNRESPONSIVE_HOST" };
				var opt = {
						action  : NativeConst.ACTION_IOS_ITUNE_CHECK,
						service : NativeConst.ANDROID_NS_PLUGINS,
						params  : [invoke]
				};
				this.executePlugin(opt);
			}
		},
		
		/**
		 * 카카오톡 공유 (20180702)
		 * */
		kakaoLink : function(type, title, imageUrl, url, price) {
			//debugger;
			if(!price.btnName){
				price.btnName = "자세히 보기";
			}
			
			var invoke = {
					type		: type,
					title 		: title,
					imageUrl 	: imageUrl,
					url 		: url,
					price		: price
			};
			
			var opt = {
					action : NativeConst.ACTION_SEND_KAKAOLINK,
					service : NativeConst.ANDROID_NS_PLUGINS,
					params : [invoke]
			};
			this.executePlugin(opt);
		},
		
		/**
		 * 카카오 링크
		 * */
		kakaoLinkEvent : function(sharedUrl, sharedParams, title, imageUrl, isAppButton, isWebLink, weblinkTitle, imgW, imgH, isAddTitle) {
			//var url = sharedUrl + sharedParams;
			if (isAddTitle == true)
				title = "[NS홈쇼핑]" + title;
			var invoke = {
					title 		 : title,
					imageUrl 	 : imageUrl,
					host 		 : sharedUrl,
					params 		 : sharedParams,
					isAppButton  : isAppButton,
					isWebLink 	 : isWebLink,
					weblinkTitle : weblinkTitle,
					imgW 		 : imgW,
					imgH 		 : imgH
			};
			var opt = {
					action  : NativeConst.ACTION_SEND_KAKAOLINK_EVENT,
					service : NativeConst.ANDROID_NS_PLUGINS,
					params  : [invoke]
			};
			this.executePlugin(opt);
		},
		
		/**
		 * 2016-09-30 정승진 : 페이스북
		 * */
		facebookLogin : function(succCb, failCb, actionName, paramsObj) {
			var opt = {
					succCb  : succCb,
					failCb  : failCb,
					action	: actionName,
					service : NativeConst.ANDROID_FB_PLUGINS,
					params  : paramsObj
			};
			this.executePlugin(opt);
		},
		
		/**
		 * 2016-10-28 정승진 : 네이버
		 * */
		naver : function(succCb, failCb, actionName, paramsObj) {
			var opt = {
					succCb  : succCb,
					failCb  : failCb,
					action	: actionName,
					service : NativeConst.ANDROID_NAVER_PLUGINS,
					params  : paramsObj
			};
			this.executePlugin(opt);
		},
		
		/**
		 * 2017.3.6 이동희 : 페이코
		 * */
		payco : function(succCb, failCb, actionName, paramsObj) {
			var opt = {
					succCb  : succCb,
					failCb  : failCb,
					action	: actionName,
					service : NativeConst.ANDROID_PAYCO_PLUGINS,
					params  : paramsObj
			};
			this.executePlugin(opt);
		},
		
		/**
		 * kimjh
		 * */
		kakao : function(succCb, failCb, actionName, paramsObj) {
			var opt = {
					succCb  : succCb,
					failCb  : failCb,
					action	: actionName,
					service : NativeConst.ANDROID_KAKAO_PLUGINS,
					params  : paramsObj
			};
			this.executePlugin(opt);
		},
		
		/**
		 * 2016-12-01 정승진 : 인트로 이미지
		 * */
		splash : function(succCb, failCb, actionName, paramsObj) {
			var opt = {
					succCb  : succCb,
					failCb  : failCb,
					action	: actionName,
					service : NativeConst.ANDROID_NS_PLUGINS,
					params  : paramsObj
			};
			this.executePlugin(opt);
		},
    
        /**
         * 2017-12-14 고정진 : native url copy
         * */
        snsUrlCopy : function(_url) {
			var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
			if ((mainCtrl.VIEW_TYPE == "android" && parseInt(version) < 2918) || 
					(mainCtrl.VIEW_TYPE == "ios" && parseInt(version) < 2917)){
				Ns.Popup.alert("해당 기능은 현재 버전에서 지원하지 않습니다.<br>어플리케이션 업데이트 후 이용해 주십시오.");
			}
			else {
				var opt = {
						action : NativeConst.ACTION_SNS_URLCOPY,
						service : NativeConst.ANDROID_NS_PLUGINS,
						params  : [{url      : _url}]
				};
				this.executePlugin(opt);
			}
			 
        },
    
        /**
         * 2017-12-14 고정진 : native url copy
         * */
        snsOther : function(_url, _productName) {
        	var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
        	if ((mainCtrl.VIEW_TYPE == "android" && parseInt(version) < 2918) || 
					(mainCtrl.VIEW_TYPE == "ios" && parseInt(version) < 2917)){
				Ns.Popup.alert("해당 기능은 현재 버전에서 지원하지 않습니다.<br>어플리케이션 업데이트 후 이용해 주십시오.");
			}
			else {
				var opt = {
						action : NativeConst.ACTION_SNS_OTHER,
						service : NativeConst.ANDROID_NS_PLUGINS,
						params  : [{
							productName : _productName,
							url      : _url
						}]
				};
				this.executePlugin(opt);
			}
        },
        
        /**
         * 2017-12-14 고정진 : native url copy
         * */
        snsSMS : function(_url, _productName) {
        	var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
        	if ((mainCtrl.VIEW_TYPE == "android" && parseInt(version) < 2918) || 
					(mainCtrl.VIEW_TYPE == "ios" && parseInt(version) < 2917)){
				Ns.Popup.alert("해당 기능은 현재 버전에서 지원하지 않습니다.<br>어플리케이션 업데이트 후 이용해 주십시오.");
			}
			else {
				var opt = {
						action : NativeConst.ACTION_SNS_SMS,
						service : NativeConst.ANDROID_NS_PLUGINS,
						params  : [{
							productName : _productName,
							url      : _url
						}]
				};
				this.executePlugin(opt);
			}
        },
		
		/**
		 * 2017-03-27 xenixstudio : enomix 채팅 연동
		 * */
		enomixChatOpen : function(loadUrl, userId) {
			if (mainCtrl.VIEW_TYPE == "ios") {
				window.location.href = "enomix-web://interface.link/open?userId=" + encodeURIComponent(userId) + "&loadUrl=" + encodeURIComponent(loadUrl) 
			} else if (mainCtrl.VIEW_TYPE == "android") {
				NSCustom.openEnomixTalk(loadUrl, userId);
			} else {
				WL.App.openURL(url, "webview");
			}
		},
		
		/**
		 * 2018-04-13 네이버 클로바 : J.S.KIM
		 * 2018-06-25 ssong ios 음성검색 추가
		 * */
		clova : function(actionName) {
			if(mainCtrl.VIEW_TYPE == "android") { 
				NSCustom.clova(actionName);
			} else if (mainCtrl.VIEW_TYPE == "ios") {
				var param = {
			            action: actionName.toLowerCase(),
			            service: "STTPlugin"
		        };

		        this.executePlugin(param);
			}
				
			
		},
		
		/**
		 * 2018.08.10 kimjh checkpermission 권한 동의 획득 창 오픈
		 * */
		checkPermission : function(succCb, failCb,type) {
			var opt = {
				succCb  : succCb,
				failCb  : failCb,
				action : NativeConst.ACTION_CHECK_PERMISSION,
				service : NativeConst.ANDROID_NS_PLUGINS,
				params  : [{
					type : type
				}]
			};
			this.executePlugin(opt);
		},
		
		/**
		 * 2018.08.10 kimjh checkpermissionstate 권한 동의 여부 상태 체크
		 * */
		checkPermissionState : function(succCb, failCb, type) {
			var opt = {
				succCb  : succCb,
				failCb  : failCb,
				action : NativeConst.ACTION_CHECK_PERMISSION_STATE,
				service : NativeConst.ANDROID_NS_PLUGINS,
				params  : [{
					type : type
				}]
			};
			this.executePlugin(opt);
		},

		/**
		 * Facebook
		 * */
		sendFacebook : function(paramsObj) {
			var opt = {
				action	: paramsObj.action,
				service : NativeConst.ANDROID_NS_PLUGINS,
				params  : [paramsObj]
			};
			this.executePlugin(opt);
		}
};

Ns.Native = new Native();
