
/* JavaScript content from js/common/nsmall.page.js in folder common */


/**
 * @author SGM
 * 
 * @UsedSample
 *  - var pageId = "M_G1100000M";.
 *    var pageUrl = "html/" + PAGE_CONFIG[pageId].path + "/" + pageId + ".html";
 *    
 *    PAGE_PATH : 어플리케이션에서 사용하는 HTML 폴더
 *    CSS_FILE     : 동적으로 import하는 CSS File...
 *    
 *    PAGE_CONFIG = {
 *    		PAGE ID : {
 *    			path : HTML Path를 나타냅니다.
 *    			cssfile : CSS 파일명을 나타냅니다.
 *    			title : 페이지 TITLE입니다.
 *    			robots : 검색 시 인덱싱 여부입니다.
 *    		}
 *    }
 *    
 *    PAGE : 어플리케이션에서 자주 사용되는 중요 화면 ID..
 *    
 */

//어플리케이션에서 사용하는 HTML 폴더...
var PAGE_PATH = {
	baby : "baby",
	category : "category",
	common : "common",
	customer : "customer",
	deliveryCharge : "deliveryCharge",
	etc : "etc",
	etv : "etv",
	event : "event",
	talk : "talk",
	goods : "goods",
	guide : "guide",
	groupPuchase : "groupPuchase",
	lookBook : "lookBook",
	main : "main",
	marketing : "marketing",
	member : "member",
	mypage : "mypage",
	nslounge : "nslounge",
	nstimes : "nstimes",
	order : "order",
	periodDelivery : "periodDelivery",
	popup : "popup",
	push : "push",
	sbook : "sbook",
	search : "search",
	shoppingBook : "shoppingBook",
	theme : "theme",
	tvHomeShopping : "tvHomeShopping",
	vod : "vod", //vod 상세페이지 추가 kimjh
	// 2017-09-19 서석준 레이아웃 path 추가
	pageLayout : 'layout'
};
 
//동적으로 import하는 CSS File...
var CSS_FILE = {
	empty : "empty.css",
	category : "category.css",
	customer : "customer.css",
	etv : "etv.css",
	goods : "goods.css",
	guide : "guide.css",
	main : "main.css",
	marketing : "marketing.css",
	happydeal : "happydeal.css",	// 해피딜 전용
	member : "member.css",
	mypage : "mypage.css",
	order : "order.css",
	nspay : "nspay.css",
	popup : "popup.css",
	sbook : "sbook.css",
	search : "search.css",
	signup : "signup.css",
	theme : "theme.css",
	talk : "nstalk.css", //NStalk 전용
	event : "event.css", 
	vod : "vods.css"
};

//wrap 영역의 clsss를 정의한다.
var WRAP_CLASS = {
	empty : "",
	home : "home",
	benefit : "benefit-coupon",
	cart : "content-my-cart",
	categorydetail : "category-detail",
	customer : "customer-detail",
	etv : "etv-detail",
	etv_live : "etv-wrap",
	find : "find-id",
	goods : "goods-detail",
	guide : "guide_detail",
	exhibit : "exhibition",
	exhibitdetail : "exhibit_detail",
	timesevent : "times_event",
	searchlst : "searchlst",
	marketing : "marketing_detail",
	mypage : "my-page-intro",
	mypageMain : "mypage_main",
	myInfoList : "myinfo_list",
	membership : "ns-membership",
	order : "content-my-cart", //"content-order-sheet",
	nspay : "ly-fixed-payment",
	ordership : "order-history",
	orderHistoryList : "order_history_list",
	orderCancelReturn : "order_cancel_return",
	sbook : "sbook-detail",
	signup : "sign-up",
	shippingManagement : "shipping-management",
	themedetail : "theme-detail"
}; 

//모바일 어플리케이션에서 사용하는 모든 HTML 페이지에 대한 경로, 타이틀, CSS File, wrap 영역 style class에 대한 정의 ...
var PAGE_CONFIG = {
	"M_G1100000M"		: { path : PAGE_PATH.main,   	title : "NS홈쇼핑", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.home, 			alias : "MainView" },
	"M_G1100000M_old" 	: { path : PAGE_PATH.main,   	title : "NS홈쇼핑", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "MainView_old" },
	"M_G1100010M" 		: { path : PAGE_PATH.main,   	title : "추천 상품", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "Recommend"  },
	"M_G1100030M" 		: { path : PAGE_PATH.main,   	title : "기획전", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.exhibit, 		alias : "NSExhibitAll"  },
	"M_G1100031M" 		: { path : PAGE_PATH.main,   	title : "기획전", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.exhibitdetail, 	alias : "NSExhibit"  }, //쇼핑기획전 상세
	"M_G1100032M" 		: { path : PAGE_PATH.main,   	title : "기획전", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSChoiceExhit"  },
	
	// 이벤트 관련(사용중인 이벤트)
	"M_G1100100M" 		: { path : PAGE_PATH.main,   	title : "타임쿠폰", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSTime"  }, //타임쿠폰
	"M_G1100500M" 		: { path : PAGE_PATH.main,   	title : "출석 혜택", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSPresent"  }, //출석 혜택
	"M_G1100900M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSTimesEvent"  }, //응모형 이벤트
	"M_G1100901M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSTimesEventSub"  }, //응모형 이벤트 SUB
	"M_G1100101M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSLuckyboxEvent"  }, //럭키박스 이벤트
	"M_G1100102M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSRouletteEvent"  }, //룰렛 이벤트
	"M_G1100104M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.event, classname : WRAP_CLASS.empty, 			alias : "NSLuckCouponEvent"  }, //  NS운세쿠폰 이벤트 2019-11-27
	"M_G1100105M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSPushAgreementEvent" }, // 푸시수신동의 이벤트 
	"M_G1100112M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.event, classname : WRAP_CLASS.empty, 			alias : "NSRegisterCouponEvent" }, // 쿠폰등록 이벤트 2019-08-28
	"M_G1100113M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.event, classname : WRAP_CLASS.empty, 			alias : "NSMonthCouponEvent" }, // 등급별쿠폰 이벤트 2019-10-02

	// 이벤트 관련(종료된 이벤트)
	"M_G1100020M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.timesevent, 		alias : "NSTimesEventAll" },
	"M_G1100021M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSTimesEventList" }, //상세
	"M_G1100200M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSBuy"  }, //첫구매 혜택
	"M_G1100300M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "Benebit"  }, //모바일혜택
	"M_G1100400M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSTVEvent"  }, //TV 쇼핑 혜택
	"M_G1100600M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSFirst"  }, //신규가입 이벤트
	"M_G1100800M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSReviewEvent"  }, //새단장 이벤트
	"M_G1100103M"	 	: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSFREvent"  }, // 친구추천 이벤트
	"M_G1100106M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSFirstBuyEvent" }, // 첫구매 혜택 이벤트 
	"M_G1100107M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSRelayStamp" }, // 릴레이 스탬프 2017-11-06
	"M_G1100108M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSRelayStampDetail" }, // 릴레이 스탬프 디테일 2017-11-06
	"M_G1100109M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.event, classname : WRAP_CLASS.empty, 			alias : "NFoodRelayStamp" }, // N푸드 릴레이 스탬프
	"M_G1100110M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.event, classname : WRAP_CLASS.empty, 			alias : "NFoodRelayStampDetail" }, // N푸드 릴레이 스탬프 상세
	"M_G1100111M" 		: { path : PAGE_PATH.main,   	title : "이벤트", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.event, classname : WRAP_CLASS.empty, 			alias : "VodPromotion" },
	
	"M_E1000000M" 		: { path : PAGE_PATH.event,   	title : "이벤트", 					robots:false,	isLogin: false,	cssfile: CSS_FILE.event, classname : WRAP_CLASS.empty, 			alias : "NSTimesEventAllTest" }, // 이벤트 기본 페이지
	
	"M_G1100000L" 		: { path : PAGE_PATH.main,   	title : "하단 네비게이션",           	robots:false,	isLogin: true,	cssfile: CSS_FILE.empty, classname : WRAP_CLASS.empty, 			alias : "footerNavi" },
	
	"M_G1120000M" 		: { path : PAGE_PATH.main,   	title : "전체 서비스", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "AllIcon"  },
	"M_G1131000M" 		: { path : PAGE_PATH.main,   	title : "푸시 수신동의", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSPushAgreePopup"  },	// 푸시 수신동의 팝업
	"M_G1141000M" 		: { path : PAGE_PATH.main,   	title : "ios사파리 간편결제 팝업",	robots:false,	isLogin: false,	cssfile: CSS_FILE.main, classname : WRAP_CLASS.empty, 			alias : "NSIosEasyPadPopup"  },	// ios 사파리 간편결제 안내 팝업

	//guide
	"M_F1130000M" : { path : PAGE_PATH.guide,   title : "APP 다운로드", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.guide, classname : WRAP_CLASS.guide, alias : "AppDown"  },
	"M_F1150000M" : { path : PAGE_PATH.guide,   title : "이용약관", 			robots:true,	isLogin: false,	cssfile: CSS_FILE.guide, classname : WRAP_CLASS.guide, alias : "StandardTerm"  },
	"M_F1170000M" : { path : PAGE_PATH.guide,   title : "개인정보처리방침", 	robots:true,	isLogin: false,	cssfile: CSS_FILE.guide, classname : WRAP_CLASS.guide, alias : "PersonalInfo"  },
	"M_F1190000M" : { path : PAGE_PATH.guide,   title : "설정", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.guide, classname : WRAP_CLASS.guide, alias : "Setting"  },
	
	//고객센터
	"M_C1123000M" 		: { path : PAGE_PATH.customer,   	title : "고객센터", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "CustomerCenterView"  },
	"M_C1131000M" 		: { path : PAGE_PATH.customer,   	title : "FAQ", 					robots:false,	isLogin: false,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "NSCustomerCenterFaqList"  },
	"M_C1142400L" 		: { path : PAGE_PATH.customer,   	title : "게시판문의/답변", 		robots:false,	isLogin: true,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "NSCustomerCenterQna"  },
	"M_C1142401P" 		: { path : PAGE_PATH.customer,   	title : "게시판문의취소", 		robots:false,	isLogin: true,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "NSCustomerCenterQna"  },
	"M_C1142402P" 		: { path : PAGE_PATH.customer,   	title : "게시판문의하기", 		robots:false,	isLogin: true,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "NSCustomerCenterQna"  },
	"M_C1142403P" 		: { path : PAGE_PATH.customer,   	title : "문의상품선택", 		robots:false,	isLogin: true,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "NSCustomerCenterSelected"  },
	"M_C1142500L" 		: { path : PAGE_PATH.customer,   	title : "시스템 오류 신고", 	robots:false,	isLogin: true,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "NSCustomerCenterSystemError"  },

	//알림
	"M_H1113000M":  { path : PAGE_PATH.push,   	title : "공지사항", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "NotaBene"  }, //알림-공지사항
	"M_H1113100M":  { path : PAGE_PATH.push,   	title : "공지사항", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "NoticeDetail"  }, //알림-공지사항-상세
	"M_H1112000M":  { path : PAGE_PATH.push,   	title : "이벤트 당첨확인", 		robots:false,	isLogin: false,	cssfile: CSS_FILE.customer, classname : "customer-detail", alias : "Winner"  }, //알림-당첨자 발표
	"M_H1112100M":  { path : PAGE_PATH.push,   	title : "이벤트 당첨확인", 		robots:false,	isLogin: false,	cssfile: CSS_FILE.customer, classname : "customer-detail", alias : "WinnerDetail"  }, //알림-당첨자 발표-상세
	"M_H1111000M":  { path : PAGE_PATH.push,   	title : "쇼핑 알림", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "PushNoti"  }, //알림-푸시알림
	"M_H1111100M":  { path : PAGE_PATH.push,   	title : "쇼핑 알림", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "PushNotiDetail"  }, //알림-푸시알림-상세
	"M_H1114000M":  { path : PAGE_PATH.push,   	title : "출고완료 알림", 		robots:false,	isLogin: false,	cssfile: CSS_FILE.customer, classname : WRAP_CLASS.customer, alias : "ShipmentNoti"  }, //출고완료 알림톡
	"M_H1115000M":  { path : PAGE_PATH.push,   	title : "참여내역", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.customer, classname : "customer-detail", alias : "Participation"  }, //알림-참여내역
	"M_H1115100M":  { path : PAGE_PATH.push,   	title : "참여내역", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.customer, classname : "customer-detail", alias : "ParticipationDetail"  }, //알림-참여내역-상세

	//마케팅
	"M_G2150000M" : { path : PAGE_PATH.marketing,   title : "NS 정기배달", 	robots:false,	isLogin: false,	cssfile: CSS_FILE.marketing, classname : WRAP_CLASS.marketing, alias : "NSSubscribe"  },
	"M_G2150001M" : { path : PAGE_PATH.marketing,   title : "NS 정기배달", 	robots:false,	isLogin: false,	cssfile: CSS_FILE.marketing, classname : WRAP_CLASS.marketing, alias : "NSSubsGuide"  },
	"M_G5610000M" : { path : PAGE_PATH.marketing,   title : "공동구매", 		robots:false,	isLogin: true,	cssfile: CSS_FILE.marketing, classname : WRAP_CLASS.marketing, alias : "GroupPurchaseView"  },
	"M_G5612000M" : { path : PAGE_PATH.marketing,   title : "공동구매", 		robots:false,	isLogin: true,	cssfile: CSS_FILE.marketing, classname : WRAP_CLASS.marketing, alias : "GroupPurchaseDetail"  },

	"M_G5710001M" : { path : PAGE_PATH.marketing,   title : "해피딜", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.happydeal, classname : WRAP_CLASS.marketing, alias : "SuperHotMain"  },
	"M_G5710002M" : { path : PAGE_PATH.marketing,   title : "NS홈쇼핑", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.happydeal, classname : WRAP_CLASS.marketing, alias : "SuperHotSub"  },
	"M_G5710003M" : { path : PAGE_PATH.marketing,   title : "NS홈쇼핑", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.happydeal, classname : WRAP_CLASS.marketing, alias : "healthThemaLayer"  },
	"M_G5710004M" : { path : PAGE_PATH.marketing,   title : "해피딜 전체보기", 	robots:true,	isLogin: false,	cssfile: CSS_FILE.happydeal, classname : WRAP_CLASS.marketing, alias : "SuperHotMainCategoryAllView"  },

	"M_G5720000M" : { path : PAGE_PATH.marketing,   title : "NS홈쇼핑", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.marketing, classname : WRAP_CLASS.marketing, alias : "SuperHotFood"  },
	"M_G2711000M" : { path : PAGE_PATH.marketing,  	title : "건강밥상", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.marketing, classname : WRAP_CLASS.marketing, alias : "HouseGuestDetail"  },
	"M_G2720000M" : { path : PAGE_PATH.marketing,  	title : "건강밥상", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.marketing, classname : WRAP_CLASS.marketing, alias : "HappyTable"  },
	"M_G2800000M" : { path : PAGE_PATH.marketing,  	title : "N스타일", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.marketing, classname : WRAP_CLASS.marketing, alias : "GiftShow"  },
	"M_G5800000M" : { path : PAGE_PATH.marketing,	title : "히트다히트", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.happydeal, classname : WRAP_CLASS.marketing, alias : "NsHoliday"},	// 건강한설, 추석선물, 신년특집 등
	
	"M_S1100000M" : { path : PAGE_PATH.search,   	title : "통합검색", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.search, classname : WRAP_CLASS.empty, alias : "NSSearchMain"  }, //검색메인
	"M_S1110000M" : { path : PAGE_PATH.search,   	title : "통합검색", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.search, classname : WRAP_CLASS.searchlst, alias : "NSSearchList"  }, //검색결과.
	
	"M_G1130000M" : { path : PAGE_PATH.category, 	title : "최근 본 상품", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.category, classname : WRAP_CLASS.categorydetail, alias : "CurrentSee"  }, //최근 본 상품
	"M_G2111000M" : { path : PAGE_PATH.category, 	title : "NS홈쇼핑", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.category, classname : WRAP_CLASS.categorydetail, alias : "CategoryDisplay"  }, //Fashion and Beauty, Home & Lifestyle, Food & Health
	"M_G2131200M" : { path : PAGE_PATH.category, 	title : "브랜드 샵", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.category, classname : WRAP_CLASS.categorydetail, alias : "BrandShop"  }, //브랜드샵.
	"M_G2131300M" : { path : PAGE_PATH.category,  	title : "브랜드 샵", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.category, classname : WRAP_CLASS.categorydetail, alias : "BarandShopMain"  }, //브랜드샵 매인
	"M_G2140000M" : { path : PAGE_PATH.category,   	title : "배송비 절약매장 상품", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.category, classname : WRAP_CLASS.categorydetail, alias : "SaveDeliver"  }, //배송비절약매장상품.
	
	// hckim 모바일 개편-중분류 매장
	"M_G2160000M" : { path : PAGE_PATH.category, 		title : "중분류매장", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.category, classname : WRAP_CLASS.categorydetail, alias : "McateDetail" },	// 중분류매장
	"M_G2161000M" : { path : PAGE_PATH.category, 		title : "소분류매장", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.category, classname : WRAP_CLASS.categorydetail, alias : "ScateDetail" },	// 소분류매장
	"M_G2161010M" : { path : PAGE_PATH.category, 		title : "세분류매장", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.category, classname : WRAP_CLASS.categorydetail, alias : "DcateDetail" },	// 세분류매장
	
	//member
	"M_M1111100M" : { path : PAGE_PATH.member, 		title : "로그인", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : "login", alias : "MemberLogin"  }, //회원 로그인. 
	"M_M1111200M" : { path : PAGE_PATH.member, 		title : "로그인", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : "login", alias : "NonMemberLogin"  }, //비회원 로그인.
	
	"M_M1220001M" : { path : PAGE_PATH.member, 		title : "전문보기", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : "terms-agree", alias : "FullText"  },  //약관동의 - 전문보기
	"M_M1231000M" : { path : PAGE_PATH.member, 		title : "회원가입", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : "personal-info", alias : "UserInfoInput"  },  //정보입력 
	"M_M1241000M" : { path : PAGE_PATH.member, 		title : "회원가입", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : "signup-success", alias : "ConfirmJoin"  },  //가입완료 
	"M_M1250000M" : { path : PAGE_PATH.member, 		title : "네이버 계정연결", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.empty, alias : "NaverConnectionPopup" },  //네이버 계정연결
	"M_M1261000M" : { path : PAGE_PATH.member, 		title : "회원가입", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : "quick-signup", alias : "SlimMember"  },  //간편회원가입 - 가입유무확인 및 약관동의.  
	"M_M1262000M" : { path : PAGE_PATH.member, 		title : "회원가입", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : "signup-success", alias : "SlimComplete"  },  //간편회원가입-가입완료 
	"M_M1271000M" : { path : PAGE_PATH.member, 		title : "회원가입", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : "quick-signup", alias : "NaverMember"  },  //간편회원가입 - 기존아이디와연결/신규회원가입

	"M_M1270000P" : { path : PAGE_PATH.member, 		title : "카카오 계정연결", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.empty, alias : "KakaoConnectionPopup" },  //카카오 계정연결
	"M_M1280000P" : { path : PAGE_PATH.member, 		title : "페이코 계정연결", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.empty, alias : "PaycoConnectionPopup" },  //페이코 계정연결
	"M_M1290000P" : { path : PAGE_PATH.member, 		title : "회원가입 팝업", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.empty, alias : "MemberLoginPopup" },  //페이코 계정연결
	"M_M1300000F" : { path : PAGE_PATH.member, 		title : "페이스북 로그인", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.empty, alias : "FacebookIframe" },	// 페이스북 로그인 iframe
	
	"M_M1121100P" : { path : PAGE_PATH.member, 		title : "아이디 찾기", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindId"  },  //아이디찾기
	"M_M1121101P" : { path : PAGE_PATH.member, 		title : "아이디 찾기", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindIdPhone"  },  //아이디찾기 - 휴대폰 인증
	"M_M1121102P" : { path : PAGE_PATH.member, 		title : "아이디 찾기", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindIdEmail"  },  //아이디찾기 - 이메일 인증
	"M_M1122100P" : { path : PAGE_PATH.member, 		title : "아이디 찾기", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindResult"  },  //아이디찾기 - 결과. 
	"M_M1122101P" : { path : PAGE_PATH.member, 		title : "아이디 찾기", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindResultPopup"  },  //아이디찾기 - 결과
	
	"M_M1131100P" : { path : PAGE_PATH.member, 		title : "비밀번호 찾기", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindPw"  },  //비밀번호 찾기
	
	"M_M1131110L" : { path : PAGE_PATH.member, 		title : "비밀번호 찾기", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindPwPopup"  },  //비밀번호 찾기 팝업
	"M_M1131110P" : { path : PAGE_PATH.member, 		title : "비밀번호 찾기", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindPwSelect"  },  //비밀번호 찾기
	"M_M1131101P" : { path : PAGE_PATH.member, 		title : "비밀번호 찾기", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindPwPhone"  },  //비밀번호 - 휴대폰 인증
	"M_M1131102P" : { path : PAGE_PATH.member, 		title : "비밀번호 찾기", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "FindPwEmail"  },  //비밀번호 - 이메일 인증
	"M_M1133400P" : { path : PAGE_PATH.member, 		title : "비밀번호 변경", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "ChangePw"  },  //비밀번호 변경
	"M_M1133401P" : { path : PAGE_PATH.member, 		title : "비밀번호 변경", 	robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "RegularChPw"  },  //정기 비밀번호 변경
	"M_M1133500P" : { path : PAGE_PATH.member, 		title : "비밀번호 변경", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.find, alias : "CompletePwCh"  },  //비밀번호 변경 - 결과 
	
	//mypage
	"M_U1111000M" : { path : PAGE_PATH.mypage, 		title : "마이페이지", 		robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.mypageMain , alias : "MypageMain"  },
	"M_U1111001M" : { path : PAGE_PATH.mypage, 		title : "마이페이지", 		robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.mypageMain , alias : "MypageMain" }, // 간편회원. 
	
	"M_U1111100M" : { path : PAGE_PATH.mypage, 		title : "내 정보 관리", 	robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.myInfoList , alias : "MyInfoManagement" }, // 내정보
	
	"M_U1141100M" : { path : PAGE_PATH.mypage, 		title : "쿠폰/상품권", 		robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.benefit, alias : "NSCouponList"  }, //쿠폰
	"M_U1141200M" : { path : PAGE_PATH.mypage, 		title : "쿠폰/상품권", 		robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.benefit, alias : "NSGiftCardList"  }, //상품권
	"M_U1141200L" : { path : PAGE_PATH.mypage, 		title : "상품권번호 입력", 	robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.benefit, alias : "NSGiftCardRegister"  }, //상품권 등록
	"M_U1141300M" : { path : PAGE_PATH.mypage, 		title : "쿠폰/상품권", 		robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.benefit, alias : "NSAnnualDiscount"  }, //연간할인권.

	"M_U1142100M" : { path : PAGE_PATH.mypage, 		title : "톨포인트/적립금/예치금", 		robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.benefit, alias : "NSMemberMileageCmd"  },	
	"M_U1139998L" : { path : PAGE_PATH.mypage, 		title : "쿠폰 다운로드", 			robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.benefit, alias : "NSCouponDownload"  },
	"M_U1181000M" : { path : PAGE_PATH.mypage, 		title : "NS멤버쉽", 				robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.membership, alias : "NSMembership"  },
	
	"M_U1121100M" : { path : PAGE_PATH.mypage,		title : "주문/배송조회",			robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.orderHistoryList , alias : "NSMypageBaseAccessCmd" },
	"M_U1121200M" : { path : PAGE_PATH.mypage,		title : "취소/교환/반품내역",			robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.orderCancelReturn , alias : "NSMypageOrderCancelHistory" },
	
	"M_U1121600M" : { path : PAGE_PATH.mypage,		title : "주문상세내역", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.mypage, classname : "order-detail", alias : "NSMypageBaseAccessCmdDetail" },  //주문/배송 상세..
	"M_U1122600L" : { path : PAGE_PATH.mypage,		title : "주문취소", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.mypage, classname : "order-claim", alias : "" },   //주문 취소, 반품 신청, 교환 신청
	"M_U1122700P" : { path : PAGE_PATH.mypage,		title : "배송 조회", 				robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.ordership, alias : "NSMypageBaseAccessCmd" },
	"M_U1121001M" : { path : PAGE_PATH.mypage,		title : "배송지 변경", 				robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.ordership, alias : "NSAddressChange" },
	"M_U1121002P" : { path : PAGE_PATH.mypage,		title : "카드 결제", 				robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order,  classname : WRAP_CLASS.order, alias : "NSPaymentChangeCard" },
	
	//반품추가
	"M_U1122100M" : { path : PAGE_PATH.mypage,		title : "교환/반품",				robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.ordership, alias : "NSRefundableOrderList" }, //반품신청가능 상품리스트 조회
	"M_U1122101M" : { path : PAGE_PATH.mypage,		title : "반품신청",				robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.ordership, alias : "NSRefundOrder" }, //반품신청
	"M_U1122102M" : { path : PAGE_PATH.mypage,		title : "반품신청내역",				robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : "refund-detail", alias : "NSRefundOrderDetail" }, //반품신청내역
	
	"M_U1171100M" : { path : PAGE_PATH.mypage,		title : "배송주소록 관리", 			robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.shippingManagement, alias : "NSShippingAddressAccessCmd" }, //배송지 목록.
	"M_U1171200L" : { path : PAGE_PATH.mypage,		title : "배송주소록 관리", 			robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.shippingManagement, alias : "NSShippingAddressAccessCmd" }, //배송지 추가.
	
	"M_U1174000M" : { path : PAGE_PATH.mypage,		title : "홈쇼핑 방송 알리미", 		robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : "shipping-management", alias : "NSShowAlarm" },
	"M_U1174000L" : { path : PAGE_PATH.mypage,		title : "방송 알리미 설정", 			robots:false,	isLogin: true,	isSSL:true,		cssfile: CSS_FILE.mypage, classname : "shipping-management", alias : "NSShowAlarmSetting" },
	
	"M_U1175000M" : { path : PAGE_PATH.mypage,		title : "쇼핑 알림 목록", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "shipping-management", alias : "InfoShoppingContent" },
	"M_U1191000M" : { path : PAGE_PATH.mypage,		title : "나의 컬렉션 보드", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "shipping-management", alias : "NSMyCollectionCmd" },
	"M_U1192000M" : { path : PAGE_PATH.mypage,		title : "나의 컬렉션 보드", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "shipping-management", alias : "NSMyCollectionCmdDetail" }, //나의 컬렉션 보드 상세
	"M_U1191000L" : { path : PAGE_PATH.mypage,		title : "컬렉션 보드 등록", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "shipping-management", alias : "NSMyRegisterCollectionCmd" }, //나의 컬렉션 보드 상세
	"M_U1191910L" : { path : PAGE_PATH.mypage,		title : "나의 공동구매 판매관리", 		robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "shipping-management", alias : "NSMyGroupPurchaseSales" },
	
	"M_U1161100M" : { path : PAGE_PATH.mypage,		title : "상품평 관리", 				robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "comment-about-items", alias : "NSNotYetReviewedList" },	 //미작성 상품평 관리
	"M_U1161200M" : { path : PAGE_PATH.mypage,		title : "상품평 관리", 				robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "comment-about-items", alias : "NSReviewList" },	 //작성 상품평 관리
	"M_U1161210L" : { path : PAGE_PATH.mypage,		title : "상품평 관리", 				robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "comment-about-items", alias : "NSReviewDetail" },	 //작성 상품평 관리
	
	"M_U1162210M" : { path : PAGE_PATH.mypage,		title : "상품문의 내역", 			robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : "ask-question", alias : "NSItemQuestionList" },
	"M_U1162220M" : { path : PAGE_PATH.mypage,		title : "상품문의상세", 			robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : "ask-question", alias : "NSItemQuestionDetail" },
	
	"M_U1163100M" : { path : PAGE_PATH.mypage,		title : "이벤트 당첨확인", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "check-event", alias : "EventWinnerList" },	 //이벤트 당첨확인
	"M_U1163200M" : { path : PAGE_PATH.mypage,		title : "이벤트 당첨확인", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "check-event", alias : "" },	 //이벤트 당첨확인 // 확인필
    "M_U1173000M" : { path : PAGE_PATH.mypage,		title : "채팅상담/내역",            robots:false,	isLogin: true,	isSSL:true,	 cssfile: CSS_FILE.mypage, classname : "chtting", alias : "chtting" },     //채팅상담/내역
    "M_U1173003M" : { path : PAGE_PATH.mypage,		title : "채팅상담/내역",            robots:false,	isLogin: true, 	isSSL:true,	 cssfile: CSS_FILE.mypage, classname : "chttinglist", alias : "chttinglist" },     //채팅상담/내역
    "M_U1173004M" : { path : PAGE_PATH.mypage,		title : "채팅상담/내역",            robots:false,	isLogin: true,	isSSL:true,  cssfile: CSS_FILE.mypage, classname : "ask-question", alias : "chttingH" },     //채팅상담/내역

    "M_U1173100M" : { path : PAGE_PATH.mypage,		title : "게시판문의/답변", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "ask-question", alias : "NSQnaList" },	 //게시판문의/답변
	"M_U1173200M" : { path : PAGE_PATH.mypage,		title : "게시판문의/답변", 			robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : "ask-question", alias : "NSQnaDetail" },	 //1:1 문의/답변 상세...
	
	"M_U1171500M" : { path : PAGE_PATH.mypage,		title : "회원정보관리", 			robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.mypage, alias : "MobilePersonalInfoManageCmdReal" },	 //회원정보 변경
	"M_U1171501M" : { path : PAGE_PATH.mypage,		title : "회원정보관리", 			robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.mypage, alias : "NSPasswordIdentifyAjaxCmd" },	 //회원정보 변경 - 비밀번호 확인
	
	"M_U1171600M" : { path : PAGE_PATH.mypage,		title : "이메일/SMS/TM 수신", 		robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.mypage, alias : "NSAlarmsSetting" },	 // 이메일/SMS/전화 수신

	"M_U1211000M" : { path : PAGE_PATH.mypage,		title : "그룹사 임직원 인증", 		robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.mypage, alias : "" },	 // 그룹사 임직원 인증
	"M_U1211001M" : { path : PAGE_PATH.mypage,		title : "그룹사 임직원 연동", 		robots:false,	isLogin: true,	isSSL:true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.mypage, alias : "" },	 // 그룹사 임직원 연동
	"M_U1193000M" : { path : PAGE_PATH.mypage,		title : "찜", 					robots:false,	isLogin: true,	cssfile: CSS_FILE.mypage, classname : WRAP_CLASS.mypage, alias : "M_U1193000M" },	 //찜
	
	//orders
	"M_B1111000M" : { path : PAGE_PATH.order, 		title : "장바구니", 				robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.cart, alias : "AjaxOrderItemDisplayView"},
	"M_G261C000L" : { path : PAGE_PATH.order, 		title : "컬렉션 담기", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.cart, alias : "CollectionCmd"},
	"M_B1140000L" : { path : PAGE_PATH.order, 		title : "옵션/수량", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.cart, alias : ""},
	"M_B1150000L" : { path : PAGE_PATH.order, 		title : "옵션/수량", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.cart, alias : ""},
	"M_B1160000L" : { path : PAGE_PATH.order, 		title : "배송주기변경", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.cart, alias : ""},
	"M_B1170000L" : { path : PAGE_PATH.order, 		title : "배송주기변경", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.cart, alias : ""},
	
	"M_B1310000M" : { path : PAGE_PATH.order, 		title : "주문서작성/결제", 			robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "NSOrderSheet" },
	"M_B1320000M" : { path : PAGE_PATH.order, 		title : "NSPAY결제", 				robots:false,	isLogin: false,	isSSL:true, cssfile: CSS_FILE.nspay, classname : WRAP_CLASS.nspay, alias : "NSPayOrderSheet" },
	"M_B1310001P" : { path : PAGE_PATH.order, 		title : "복수 배송 상품 선택",			robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "MultiDeliverSelect" },
	"M_B1310002P" : { path : PAGE_PATH.order, 		title : "배송지선택",				robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "CurrentDeliver" },
	"M_B1214000P" : { path : PAGE_PATH.order, 		title : "본인인증", 				robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.member, classname : "user-authentication", alias : "OrderPersonCerti"  }, // 주문서작성-주문하시는분-본인인증하기
	"M_B1339700L" : { path : PAGE_PATH.order, 		title : "주문하시는 분 수정", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "CorrectOrderPerson" },
	"M_B1339800L" : { path : PAGE_PATH.order, 		title : "메세지 카드", 				robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "MessageCard" },
	"M_B1339900L" : { path : PAGE_PATH.order, 		title : "신용카드 이용안내", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "CreditUsageInfo" },
	"M_B1341000L" : { path : PAGE_PATH.order, 		title : "OKCashbag 포인트 조회", 	robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "OkCashCheck" },
	"M_B1342000L" : { path : PAGE_PATH.order, 		title : "네티웰 조회", 				robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "netiwellCheck" },
	"M_B1343000L" : { path : PAGE_PATH.order, 		title : "해피머니 조회", 			robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "HmoneyCheck" },
	"M_B1344000L" : { path : PAGE_PATH.order, 		title : "NS상품권 등록 하기", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.order, classname : WRAP_CLASS.order, alias : "RegistNSgiftCard" },
	"M_B13G0000M" : { path : PAGE_PATH.order, 		title : "주문완료", 				robots:false,	isLogin: false,	isSSL:false,	cssfile: CSS_FILE.order, classname : "content-order-success", alias : "Ordercomplete" },
	
	
	//goods
	"M_G2130000M" : { path : PAGE_PATH.goods, 		title : "상품목록", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "ProductDpList" },
	"M_G2600000M" : { path : PAGE_PATH.goods, 		title : "상품상세", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "ProductDisplay" },
	"M_G2612000M" : { path : PAGE_PATH.goods, 		title : "고객상품평", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "ProductReview" },
	"M_G2613100M" : { path : PAGE_PATH.goods, 		title : "상품문의", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "ProductQA" },
	"M_G2631000L" : { path : PAGE_PATH.goods, 		title : "상담신청", 				robots:false,	isLogin: false,	isSSL:true,		cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "RequestConsult" },
	"M_G2641000M" : { path : PAGE_PATH.goods, 		title : "Owner 선택하기", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "OwnderSelect" },
	"M_G2614200M" : { path : PAGE_PATH.goods, 		title : "상품문의", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "ProductQA_other" },

	"M_G2615100L" : { path : PAGE_PATH.goods, 		title : "상세보기", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.goods, classname : "zoom_image", alias : "ProductZooms"  },  //사진 확대보기
	"M_G2615200L" : { path : PAGE_PATH.goods, 		title : "NSTalk", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "NsTalk" }, //실시간 방송참여
	"M_G2615400L" : { path : PAGE_PATH.goods, 		title : "NS홈쇼핑", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "ReCalcu" }, //미리계산하기
	"M_G2611001M" : { path : PAGE_PATH.goods, 		title : "원본보기", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "OriginSize" },
	"M_G261G000L" : { path : PAGE_PATH.goods, 		title : "상품평쓰기", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "WriteReview" },
	"M_G261L000P" : { path : PAGE_PATH.goods, 		title : "상품 문의하기", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "InquireProduct" },
	"M_G2614000M" : { path : PAGE_PATH.goods, 		title : "배송/교환/반품 안내", 		robots:false,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "DeliverInfo" },
	
	//common
	"M_M1236100P" 		: { path : PAGE_PATH.common, 	title : "주소찾기", 			robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "SearchPost"  },
	"storeComm671054" 	: { path : PAGE_PATH.common, 	title : "건강밥상", 			robots:true,	isLogin: false,	cssfile: CSS_FILE.happydeal, classname : WRAP_CLASS.marketing, alias : "HouseGuest"  },	// 건강밥상
	"storeComm670554" 	: { path : PAGE_PATH.common, 	title : "패션쇼룸", 			robots:true,	isLogin: false,	cssfile: CSS_FILE.happydeal, classname : WRAP_CLASS.marketing, alias : "FashionRoom"  },	// 패션쇼룸 
	"storeComm671055" 	: { path : PAGE_PATH.common, 	title : "헬씨리빙", 			robots:true,	isLogin: false,	cssfile: CSS_FILE.happydeal, classname : WRAP_CLASS.marketing, alias : "LuckyBuy"  },	//리빙꿀템
	"M_M1237000P" 		: { path : PAGE_PATH.common, 	title : "안심 배송지 찾기", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "SearchSafePost"  },
	"naver" 			: { path : PAGE_PATH.common, 	title : "네이버로그인", 		robots:false,	isLogin: false,	isSSL:true,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "" },
	"recaptcha" 		: { path : PAGE_PATH.common, 	title : "recaptcha", 		robots:false,	isLogin: false,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "gocaptcha" },
	
	//email SMS 에서 앱전용 혜택 받기 클릭 alias 추가
	""					: { path : PAGE_PATH.common, 	title : "PC SMS APPLINK", 		robots:false,	isLogin: false,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "sendSMSView" },
	//결제팝업 테스트
	"cert" 				: { path : PAGE_PATH.common, 	title : "결제 테스트", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "" },
	"linkimsi" 			: { path : PAGE_PATH.common, 	title : "SSL LINK", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "goiframe" },
	"sslquery" 			: { path : PAGE_PATH.common, 	title : "SSL LINK", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "sslquery" },
	//Link 페이지 
	"linkView" 			: { path : PAGE_PATH.common, 	title : "바로가기", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.search, classname : WRAP_CLASS.searchlst, alias : "linkView" },
		
	
	//shopping-book
	"M_G2310000M" : { path : PAGE_PATH.sbook, 		title : "쇼핑북", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.sbook, classname : WRAP_CLASS.sbook, alias : "ShoppingBook"  }, //쇼핑북 메인
	"M_G2310001M" : { path : PAGE_PATH.sbook, 		title : "기획화보", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.sbook, classname : WRAP_CLASS.sbook, alias : "PlanningPic"  }, //
	"M_G2311000P" : { path : PAGE_PATH.sbook, 		title : "월호 패션관", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.sbook, classname : WRAP_CLASS.sbook, alias : "MonthFashion"  }, //
	
	//theme
	"M_G4111000M" : { path : PAGE_PATH.theme, 		title : "트렌드 샵", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "DesignersView" }, //디자이너스 메인
	"M_G4111001M" : { path : PAGE_PATH.theme, 		title : "트렌드 샵", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "TrandContent" }, //디자이너스 목록
	"M_G4111011M" : { path : PAGE_PATH.theme, 		title : "트렌드 샵", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "TrandDetail" }, //디자이너스 상세
	"M_G4121000M" : { path : PAGE_PATH.theme, 		title : "THE KITCHEN", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "TheKitchenView" },
	"M_G4131000M" : { path : PAGE_PATH.theme, 		title : "THE BABY", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "BabyView" }, //THE BABY 메인
	"M_G4141000M" : { path : PAGE_PATH.theme, 		title : "프리미엄장보기", 			robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "PremiumShoppingView" }, //프리미엄장보기 메인
	"M_G4141100M" : { path : PAGE_PATH.theme, 		title : "프리미엄장보기", 			robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "PremiumAllView" }, //프리미엄장보기 전체상품보기
	"M_G4141001M" : { path : PAGE_PATH.theme, 		title : "프리미엄 스토리", 			robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "PremiumStory" },
	
	"M_G4211000M" : { path : PAGE_PATH.theme, 		title : "명품 해외직구", 			robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "TheLuxuryView" }, //THE LUXURY 메인
	"M_G4221000M" : { path : PAGE_PATH.theme, 		title : "마담샵", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.theme, classname : WRAP_CLASS.themedetail, alias : "MadameShopView" }, //마담샵 메인
	
	//TV홈쇼핑
	"M_G2210000M" : { path : PAGE_PATH.etv, 		title : "TV쇼핑", 					robots:true,	isLogin: false,	cssfile: CSS_FILE.etv, classname : WRAP_CLASS.etv, alias : "TVHome"  }, //eTV
	"M_G2210001M" : { path : PAGE_PATH.etv, 		title : "모바일 적립금 신청", 		robots:true,	isLogin: false,	cssfile: CSS_FILE.etv, classname : WRAP_CLASS.etv, alias : "SavingRqn"  },
	"M_G2222120M" : { path : PAGE_PATH.etv, 		title : "TV편성표", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.etv, classname : WRAP_CLASS.etv, alias : "TVHomeShoppingView"  }, //편성표
	"M_G261N000L" : { path : PAGE_PATH.etv, 		title : "방송 알리미", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.etv, classname : WRAP_CLASS.etv, alias : "OnAirAlram"  },
	"M_G2250000M" : { path : PAGE_PATH.etv, 		title : "주문하실 상품", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.etv, cssfileSc: CSS_FILE.goods, classname : WRAP_CLASS.etv_live, alias : "TVLiveList"  },	// 생방송 플레이화면 우측 주문하실 상품
	"M_G2260000M" : { path : PAGE_PATH.etv, 		title : "옵션/수량 선택", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.etv, cssfileSc: CSS_FILE.goods, classname : WRAP_CLASS.etv_live, alias : "TVLiveProduct"  },	// 생방송 플레이화면 우측 옵션/수량 선택
	"M_G2220000M" : { path : PAGE_PATH.etv, 		title : "eTV 스페셜", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.etv, classname : WRAP_CLASS.etv, alias : "eTVspecial"  }, //eTV special
	"M_G2230000M" : { path : PAGE_PATH.etv, 		title : "NS Shop+", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.etv, classname : WRAP_CLASS.etv, alias : "NSShop"  }, //NSShop
	"M_G2232120M" : { path : PAGE_PATH.etv, 		title : "NS Shop+ 편성표", 				robots:true,	isLogin: false,	cssfile: CSS_FILE.etv, classname : WRAP_CLASS.etv, alias : "NSShopShoppingView"  }, //NSShop 편성표 2017-11-14 ssong
	"M_G262N000L" : { path : PAGE_PATH.etv, 		title : "NS Shop+ 방송 알리미", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.etv, classname : WRAP_CLASS.etv, alias : "NSShopAlram"  }, //NSShop 방송 알림 2017-11-14 ssong
	"M_G2240000M" : { path : PAGE_PATH.etv, 		title : "방송중 상품상세", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.etv, classname : WRAP_CLASS.etv, alias : "NSCurrBrdctProductView"  }, //방송중 상품상세 바로가기
	
	//POPUP
	"event_kakaotalk_popup" 		: { path : PAGE_PATH.popup, 		title : "나를 추천한 친구 ID 등록하기", robots:true,	isLogin: true,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : ""  },
	"event_healthylottery_popup"	: { path : PAGE_PATH.popup, 		title : "건강복권", 					robots:true,	isLogin: true,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : ""  },
	"select_popup" 					: { path : PAGE_PATH.popup, 		title : "셀렉트 레이어", 				robots:false,	isLogin: false,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "" },
	"notice_app_auth_popup" 		: { path : PAGE_PATH.popup, 		title : "앱 권한 고지 팝업", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.member, classname : WRAP_CLASS.empty, alias : "NoticeAppAuthPopup" }, //앱 권한 고지 팝업
	"event_popup" 					: { path : PAGE_PATH.popup, 		title : "메인 이벤트 팝업", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.popup, classname : WRAP_CLASS.empty, alias : "EventPopup" }, //메인 이벤트 팝업

	//2017-09-19 서석준 신규 레이아웃 페이지 추가
	"TopPageLayoutSevenSlotView" 	: { path : PAGE_PATH.pageLayout,	title : "편집매장 레이아웃",			robots:true,	isLogin: false,	cssfile: CSS_FILE.empty, classname : WRAP_CLASS.empty, alias : "TopPageLayoutSevenSlotView", pageSize : 20},
	"PageLayoutSevenSlotView" 		: { path : PAGE_PATH.pageLayout,	title : "편집매장 레이아웃",			robots:true,	isLogin: false,	cssfile: CSS_FILE.empty, classname : WRAP_CLASS.empty, alias : "PageLayoutSevenSlotView", pageSize : 20 },

	//NSTalk-ymma
	"M_G3000000M" 					: { path : PAGE_PATH.talk, 			title : "NSTALK",	 			robots:false,	isLogin: true,	cssfile: CSS_FILE.talk, alias : "NSTALK"  },//NS 톡
	"M_G3100000M" 					: { path : PAGE_PATH.talk, 			title : "띵라이브",				robots:false,	isLogin: true,	cssfile: CSS_FILE.vod, alias : "shopPlayTalk"  },//NS 톡
	
	// vod상세 페이지 kimjh vod  
	"M_G6100001M" 		: { path : PAGE_PATH.vod,		title : "띵라이브 영상",		robots:true,    isLogin: false, cssfile: CSS_FILE.vod, classname : WRAP_CLASS.empty, alias : "VodDetail" },
	
	"LoggingPage" 		: { path : PAGE_PATH.logging,	title : "로그페이지", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.empty, classname : WRAP_CLASS.empty, alias : "LoggingPage" },
	
	//상품테스트페이지
	"GOODS_TEST" 		: { path : PAGE_PATH.goods,		title : "상품테스트", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "" },
	"GOODS_LIST_TEST" 	: { path : PAGE_PATH.goods, 	title : "상품목록", 			robots:false,	isLogin: false,	cssfile: CSS_FILE.goods, classname : WRAP_CLASS.goods, alias : "" }

};

//어플리케이션에서 자주 사용하는 중요 페이지 ID - 메인페이지, 로그인 페이지 등.. 
var PAGE = {
	main  : 'M_G1100000M',
	login : 'M_M1111100M',
	login_non : 'M_M1111200M',
	product_detail : "M_G2600000M",
	search : "M_S1110000M",
	event : {
		"M_G1100020M" : "이벤트",
		"M_G1100021M" : "이벤트",
		"M_G1100100M" : "이벤트",
		"M_G1100200M" : "이벤트",
		"M_G1100300M" : "이벤트",
		"M_G1100400M" : "이벤트",
		"M_G1100500M" : "이벤트",
		"M_G1100600M" : "이벤트",
		"M_G1100800M" : "이벤트",
		"M_G1100900M" : "이벤트",
		"M_G1100901M" : "이벤트",
		"M_G1100101M" : "이벤트",
		"M_G1100102M" : "이벤트",
		"M_G1100103M" : "이벤트",
		"M_G1100104M" : "이벤트",
		"M_G1100105M" : "이벤트",
		"M_G1100106M" : "이벤트",
		"M_G1100107M" : "이벤트",
		"M_G1100108M" : "이벤트",
		"M_G1100109M" : "이벤트",
		"M_G1100110M" : "이벤트",
		"M_G1100112M" : "이벤트",
		"M_G1100113M" : "이벤트",
	},
	/* 이벤트 탭 메뉴에 포함되는 페이지(페이지명 : 탭 노출순서) */
	eventTabPage : {
		"M_G1100020M" : 1
	},
	noTransPage : {
		"M_G1100300M" : "모바일 이벤트",
		"M_G1100101M" : "럭키박스 이벤트",
		"M_G1100102M" : "룰렛 이벤트",
		"M_G1100112M" : "쿠폰등록 이벤트",
		"M_G1100113M" : "등급별 쿠폰 이벤트",
		"M_M1236100P" : "우편번호",
		"M_M1237000P" : "안심 배송지 찾기",
		"M_G1130000M" : "최근 본 상품",
		"M_G1120000M" : "전체서비스",
		"M_F1190000M" : "이용설정",
		"M_M1111200M" : "비회원",
		"M_M1111100M" : "로그인",
		"M_M1121100P" : "아이디 찾기",
		"M_M1121101P" : "아이디 찾기_휴대폰인증",
		"M_M1121102P" : "아이디 찾기_이메일인증",
		"M_M1122100P" : "아이디 찾기결과",
		"M_M1122101P" : "아이디 찾기결과_팝업",
		"M_M1131100P" : "비밀번호 찾기",
		"M_M1131110L" : "비밀번호 찾기 팝업",
		"M_M1131110P" : "비밀번호 찾기 선택",
		"M_M1131101P" : "비밀번호 찾기_휴대폰인증",
		"M_M1131102P" : "비밀번호 찾기_이메일인증",
		"M_M1133400P" : "비밀번호 변경",
		"M_M1133401P" : "정규 비밀번호 변경",
		"M_M1133500P" : "비밀번호 변경 완료",
		"M_M1261000M" : "간편회원가입",
		"M_M1262000M" : "간편회원가입 완료",
		"M_M1220001M" : "약관보기",
		"M_U1122700P" : "배송조회",
		"M_U1162220M" : "상품문의 상세",
		"M_U1171200L" : "배송지 추가",
		"M_U1171501M" : "회원정보변경_비밀번호 확인",
		"M_U1171600M" : "이메일/SMS/전화 수신",
		"M_B13G0000M" : "주문완료",
		"M_H1111100M" : "푸시알림 상세",
		"M_G1100103M" : "친구추천",
		"M_G1100104M" : "운세쿠폰 이벤트",
		"M_G1100105M" : "스탬프",
		"M_G1100106M" : "첫구매 혜택 이벤트",
		"M_G1100107M" : "릴레이 스템프 이벤트",
		"M_G1100108M" : "릴레이 스템프 이벤트",
		"M_G2231000M" : "생방송보기",
		"M_U1111100M" : "내 정보 관리"
	},
	
	/* GNB 메뉴에 포함되는 페이지 */
	subCategoryPage : {
		"M_G1100000M" : "HOME",			// 홈
		"M_G1100020M" : "EVENT", 		// 이벤트
		"M_G1100030M" : "EXHIBITION", 	// 기획전
		"M_G2210000M" : "TV",			// TV
		"M_G5710001M" : "HOTDEAL",		// 해피딜
		"M_G2230000M" : "NSShop", 		//NSShop+
		"M_G2220000M" : "eTVspecial",	//eTV스페셜
		"storeComm671054" : "HEALTHTABLE",	// 건강밥상
		"storeComm670554" : "FashionRoom",	// 패션쇼룸
		"storeComm671055" : "LuckyBuy",		// 잘산DAY
		"M_G2232120M" : "shopBroadList"
	},
	
	layerNoFowardPage : [
     	"M_G2615400L",
     	"M_M1220001M",
     	"M_U1122700P",
     	"M_B1214000P",
     	"M_B1310001P",
     	"M_B1310002P"
     ],
	
     /* 임직원몰 */
     groupMall : {
		"DEV" 	 : "1359562"
		,"STAGE" : "1457054"
		,"REAL"  : "1457054"
	}
};
