
/* JavaScript content from js/common/nsmall.popup.js in folder common */

/**
*
*	@Author SGM
*	Description
*	-팝업관련함수 정의
*	기본적으로 팝업을 띄우고 닫기버튼의 동작까지만 구현되어있음.
*	
*	사용조건
*	- layerPopup html명과 section태그 아이디명을 매칭시켜주어야함.
*	- 닫기버튼의 아이디는 btnClose로 명명해주어야함.
*	- alert 과 confirm 타입의 함수를 제외하고는 각각 팝업에대한 자바스크립트작업을 해야함.
*
*	Use Sample
*	- Ns.Popup.alert( params );
*	- Ns.Popup.addCollection( params );
**/


var Ns = Ns || {};

/********************* Popup **************************/
//section태그 아이디와 매칭 Object
var PopupConst = {	
	
	ACTIVE					: 	"active",							//팝업 활성화 class
	OPENED					:	"section.layer-popup.active , section.event_Pop.active, section.ns_talk_wrap",		//활성화된 팝업 class

	/** 팝업section tag id & HTML파일명 **/
	ALERT 					: 	"alert_popup",
	CALERT					:	"custom_popup",
	CONFIRM					: 	"confirm_popup",
	CONFIRM_LAYER			: 	"confirm_layer",	// 2018-02-14 ssong 특정영역 dimm 형태의 confirm
	EVENT					:	"event_popup",
	ADD_COLLECTION 			: 	"add_collection_popup",
	SNS_POPUP 				: 	"sns_popup" ,
	PROGRESSBAR          	: 	"progressbar_popup",
	ALERTD 					: 	"alert_popupD",
	/** 팝업section tag id & HTML파일명 **/
};

var PopupMsg = {
};


var Popup = function(){};
var CurrentCommonPopup = {};
var CurrentPopup = {};
var PreviousPopup = null;
Popup.prototype = {
	
	// 공통 팝업 HTML로드
	show : function( popupId, params) {
		if( $("#"+popupId).length > 0) return; 
		
		PreviousPopup = null;
		
		$.ajax({
			url : "./html/popup/" + popupId + ".html",			
			dataType : "html",
			type : "get",
			success : function(resHtml){
				$("#wrap").append( resHtml );
				Ns.Popup.init( $("#"+popupId) , params);	
				CurrentCommonPopup.init( $("#"+popupId), params );
			}
		});
	},
	/**
	 * 2016-07-14 서석준 바닥화면 전체 dim 처리 layer 팝업 추가
	 * body 밖으로 화면을 그린다
	 * */
	showDimmLayer : function(popupId,params){
		if( $("#"+popupId).length > 0) return; 
		
		var pageConf = PAGE_CONFIG[popupId];
		if(Ns.Util.isNull(pageConf)){
			Ns.Popup.alert("잘못된 경로입니다. "+popupId);
			return false;
		}
		navi.setDataPop(popupId, params, null, "");
		
		// 기존 페이지 변수 초기화
		delete CurrentPopup;
		CurrentPopup = {};
		// 페이지 호출
		$.ajax({
			url : "html/" + pageConf.path + "/" + popupId + ".html",			
			dataType : "html",
			type : "get",
			success : function(resHtml){
				$("html").append(resHtml);
				Ns.Popup.init( $("#"+popupId), params );	
				CurrentPopup.init( $("#"+popupId), params );
			}
		});
	},
	cshow : function( popupId, params) {
		if( $("#"+popupId).length > 0) return; 
		
		PreviousPopup = null;
		
		$.ajax({
			url : "./html/popup/" + popupId + ".html",			
			dataType : "html",
			type : "get",
			success : function(resHtml){
				$("#wrap").append( resHtml );
				CurrentCommonPopup.init( $("#"+popupId), params );
			}
		});
	},
	
	// 레이어 팝업 HTML 로드
	showLayer : function(pageId, params) {
		if( $("#"+pageId).length > 0) return; 
		
		var pageConf = PAGE_CONFIG[pageId];
		if(Ns.Util.isNull(pageConf)){
			Ns.Popup.alert("잘못된 경로입니다. "+pageId);
			return false;
		}
		
		// 이전 팝업 저장
		if (typeof(CurrentPopup.init) == 'function') {
			PreviousPopup = CurrentPopup;
		}
		// 기존 페이지 변수 초기화
		delete CurrentPopup;
		CurrentPopup = {};
		
		/**
		 * 2016-08-11 정승진 : 푸시(마케팅) 수신동의 팝업 CSS 적용
		 * */
		if (pageId == "M_G1131000M") {
			// CSS 적용
			if (pageConf.cssfile != null && CSS_PROPs.current_file != pageConf.cssfile) {
				$('head').append('<link href="css/' + pageConf.cssfile + '" rel="stylesheet" id="CSS_' + pageId + '"/>');
				CSS_PROPs.current_file = pageConf.cssfile;
			}
		} else {
			// 상단 우측 닫기 버튼 디폴트 처리 - 보이도록
			if(params == undefined){
				params = {};
				params.close = false;
			}
		}
		
		navi.setDataPop(pageId, params, null, "Ns.Popup.close($('#" + pageId + "'))");
		
		// 페이지 호출
		$.ajax({
			url : "html/" + pageConf.path + "/" + pageId + ".html",			
			dataType : "html",
			type : "get",
			success : function(resHtml){
				$("#wrap").append( resHtml );
				Ns.Popup.init( $("#"+pageId), params );	
				CurrentPopup.init( $("#"+pageId), params );
			}
		});
	},
	
	// 전체 팝업 HTML 로드
	showPopup : function(pageId, params) {
		$("#contents .content-primary").hide();
		
		var wrap = $("#wrap");
		var pageConf = PAGE_CONFIG[pageId];
		if(Ns.Util.isNull(pageConf)){
			Ns.Popup.alert("잘못된 경로입니다. "+pageId);
			return false;
		}
		
		// CSS 적용
		if (pageConf.cssfile != null && CSS_PROPs.current_file != pageConf.cssfile) {
			$('head').append('<link href="css/' + pageConf.cssfile + '" rel="stylesheet" id="POPUPCSS"/>');
			CSS_PROPs.current_file = pageConf.cssfile;
		}
		if (CSS_PROPs.wrap_style != pageConf.classname) {
			wrap.removeClass();
			wrap.addClass(pageConf.classname);
			CSS_PROPs.wrap_style = pageConf.classname;
		}
		
		// 기존 페이지 변수 초기화
		delete CurrentPopup;
		CurrentPopup = {};
		
		navi.setDataPop(pageId, params);
		
		// 페이지 호출
		$.ajax({
			url : "html/" + pageConf.path + "/" + pageId + ".html",			
			dataType : "html",
			type : "get",
			success : function(data){
				$("body").scrollTop( 0 );
				
				$('#contents').append(data);
				$('#contents').trigger('refresh');
				
				mainCtrl.setHeaderTitle( false, pageConf.title );
				CurrentPopup.init( params );
			}
		});
		
		//Ns.UI.locateHeaderToTop();
	},
	
	//Layer
	showLayerPage : function(pageId, params) {
		navi.setDataPop(pageId, params, mainCtrl.getNowScroll() , "Ns.Popup.hideLayerPage(layerPageInfo)");
		
		if(CurrentView.pushFullEvent != undefined && CurrentView.pushFullEvent == false){
			CurrentView.pushFullEvent =  true;
		}
		
		//videojs 비디오 재생 중이면 해당 영상 멈춤
		if(CurrentView.playingVideo && CurrentView.playingVideo.player){
			CurrentView.playingVideo.player.pause();
		}
		
//		$("#contents .content-primary").hide();
		
//		if(pageId != "M_G2600000M"){
		if(pageId != "M_G2600000M" && pageId != "M_G6100001M"){ //kimjh vod 상세 페이지.
			$("#contents").addClass("detailON");
			$("#subCategory").addClass("detailON");
			$("#util").addClass("active");
		} else {
			$("#util").removeClass("active");
		}
		
		
		var wrap = $("#wrap");
		var pageConf = PAGE_CONFIG[pageId];
		if(Ns.Util.isNull(pageConf)){
			Ns.Popup.alert("잘못된 경로입니다. "+pageId);
			return false;
		}
		
		//kimjh digi
//		_gt.push(['event','PageExited']);
//		console.log("jihee digital >>>>>>> 페이지 나감");
//		_gt.push(['event','PageEntered',{data:{title:pageConf.title}}]); 
//		console.log("jihee digital >>>>>>> 페이지 이동 : ", pageConf.title);
		//_gt.push(['event','PageEntered',{data:{title:pageId}}]); 
		//console.log("jihee digital >>>>>>> 페이지 이동 : ", pageId);
		
		// CSS 적용
		if (pageConf.cssfile != null && CSS_PROPs.current_file != pageConf.cssfile) {
//			mainCtrl.loadCSSFile(pageConf.cssfile, "SUBSTYLE");
			$('head').append('<link href="css/' + pageConf.cssfile + '" rel="stylesheet" id="CSS_' + pageId + '"/>');
			CSS_PROPs.current_file = pageConf.cssfile;
		}
		if (CSS_PROPs.wrap_style != pageConf.classname) {
//			wrap.removeClass();
			wrap.addClass(pageConf.classname);
			CSS_PROPs.wrap_style = pageConf.classname;
		}
		
		// 기존 페이지 변수 초기화
		
		// 페이지 호출
		$.ajax({
			url : "html/" + pageConf.path + "/" + pageId + ".html",			
			dataType : "html",
			type : "get",
			success : function(data){
				$("body").scrollTop( 0 );
				
				$('#contents').append(data);
				$('#contents').trigger('refresh');
				
				mainCtrl.setHeaderTitle( false, pageConf.title );
				
				$("#contents .content-primary").not("#" + pageId ).css('display', 'none');
				
				var layerInitMethod = pageId + ".init( params )";	
				eval(layerInitMethod);

			}
		});
	},
	
	/*
	 * 2018-02-14 ssong
	 * 해당 타겟영역 dimm confirm
	 * 네비게이션 히스토리를 생성하지 않음.
	 */
	
	showLayerConfirm : function (popupId, params){
		var target = "#";
		var popup = $("#"+ popupId);

		if(!params || !params.targetId){
			return false;
		} else if(params.targetId.lenth <= 0){
			return false;
		}
		
		if(popup.length > 0){
			popup.remove();
		}
		
		target += params.targetId;
		
		if( $("#"+popupId).length > 0) return;
		
		PreviousPopup = null;
		
		$.ajax({
			url : "./html/popup/" + popupId + ".html",			
			dataType : "html",
			type : "get",
			success : function(resHtml){
				$(target).prepend( resHtml );
				//Ns.Popup.init( $("#"+popupId) , params);	
				CurrentCommonPopup.init( $("#"+popupId), params );
			}
		});
		
	},
	
	//하단 네비게이션 layer팝업
	showFooterNavigateLayerPage : function(pageId) {
		navi.setDataPop(pageId, null, mainCtrl.getNowScroll() , "Ns.Popup.hideFooterNavigateLayerPage(layerPageInfo)");
		
		if(CurrentView.pushFullEvent != undefined && CurrentView.pushFullEvent == false){
			CurrentView.pushFullEvent =  true;
		}
		
		//videojs 비디오 재생 중이면 해당 영상 멈춤
		if(CurrentView.playingVideo && CurrentView.playingVideo.player){
			CurrentView.playingVideo.player.pause();
		}
		
		var pageConf = PAGE_CONFIG[pageId];		
		if(Ns.Util.isNull(pageConf)){
			Ns.Popup.alert("잘못된 경로입니다. "+pageId);
			return false;
		}
		mainCtrl.setPageHeaderClass(pageId);
		// 페이지 호출
		$.ajax({
			url : "html/" + pageConf.path + "/" + pageId + ".html",			
			dataType : "html",
			type : "get",
			success : function(data){
				$('#container').append(data);
				var layerInitMethod = pageId + ".init()";	
				eval(layerInitMethod);
			}
		});
	},
	
	//하단 네비게이션 레이어 팝업 닫기
	hideFooterNavigateLayerPage : function(layerPageInfo){
		
		var currentLayerPage = layerPageInfo || {};
		var layerPageId = currentLayerPage.pageIds || '' ;
		var scrollTop = currentLayerPage.pageScrollPosYs || 0 ;
		var id = mainCtrl.getCurrentPageId();
		
		if(CurrentView.pushFullEvent != undefined && CurrentView.pushFullEvent == true){
			CurrentView.pushFullEvent = false;
		}
		
		$('.history_quick_wrapper').css({transform: 'translate(0,' + window.innerHeight +'px)'})
        		.removeClass('visible')
    			.attr({'aria-hidden': true})

    	$('.history_quick_wrapper').find('.quick_wrapper').removeClass('visible');

		$("#historyScrollWarp").removeAttr('style');

		if(wrapScroll) {
			wrapScroll.destroy();
			wrapScroll = null;
		}

		$("#historyLayerMask").removeClass('visible').off('touchmove.layer');
		$('body').removeAttr('style');
		
		if ($('.bottom_items_wrapper').hasClass('hidden')) {
			$('.bottom_items_wrapper').removeClass('hidden');
        }
		
		$('.bottom_items_wrapper').removeClass('quick_visible');
		
		if(scrollTop != 0){
			$(document).scrollTop(scrollTop);
			// 2017-11-24 ssong iOSApp 테마매장 ui 틀어짐 수정
		} else if (scrollTop == 0 ){
			$(document).scrollTop(1);
		}
		mainCtrl.setPageHeaderClass(id);
		
		var footerNaviCloseTimer;
		clearTimeout(footerNaviCloseTimer)
		footerNaviCloseTimer = setTimeout(function(){
			if(M_G1100000L.btnGubun === "T"){ //투데이 픽 클릭
				M_G1100000L.event.moveTodayPickPrd();
			}else if(M_G1100000L.btnGubun === "H"){ //히스토리 내역 클릭
				M_G1100000L.event.moveHistoryClick();
			}else if(M_G1100000L.btnGubun === "F"){
				HUB_INIT.navigateTabMenuEvent(M_G1100000L.navigateTabId, M_G1100000L.buttonEvent);
			}else{
				M_G1100000L.event.moveClickQuickMenu();
			}
			
			$("#"+ layerPageId).css('display', 'none').remove();
			$('script[id="JS_' + layerPageId + '"]').remove();
		}, 300);
		
	},
	
	
	// 전체 팝업 닫기
	hideLayerPage : function(layerPageInfo) {
		var currentLayerPage = layerPageInfo || {};
		var layerPageId = currentLayerPage.pageIds || '' ;
		var scrollTop = currentLayerPage.pageScrollPosYs || 0 ;
		var id = mainCtrl.getCurrentPageId();
		var wrap = $("#wrap");
		var pageConf = PAGE_CONFIG[ id ];
		
		
		if(CurrentView.pushFullEvent != undefined && CurrentView.pushFullEvent == true){
			CurrentView.pushFullEvent = false;
		}
		
		/*  2016-08-01 Ssong 리뉴얼 해피딜 스크롤 이벤트 트리거 */
		if(id == "M_G5710001M"){
			$(document).trigger("onNumbering");
		}
		
		mainCtrl.setPageHeaderClass(id);
		 
		if(layerPageId == "M_G2600000M"){
			// 해피딜 서브페이지로 돌아갈 경우 subCategory 탭 영역 미노출 
			if(id == "M_G5710002M"){

			} else if(id == "M_G6100001M"){ //vod상세페이지로 돌아갈 경우 subCategory 탭 영역 미노출
				$("#util").removeClass("active");
			} else {
				$("#contents").removeClass("detailON");
				$("#subCategory").removeClass("detailON");
				$("#util").addClass("active");
				/* GNB영역 노출 */
				mainCtrl.showGNB();
			}
			
		}

		//kimjh vod
		if(layerPageId == "M_G6100001M"){
			M_G6100001M.player.dispose();
			$("#contents").removeClass("detailON");
			$("#subCategory").removeClass("detailON");
			$("#util").addClass("active");
			$("#btnBack").hide();
			/* GNB영역 노출 */
			mainCtrl.showGNB();
		}
		
		// CSS 적용
		if (pageConf.cssfile != null && CSS_PROPs.current_file != pageConf.cssfile) {
			$('link[id="CSS_' + layerPageId + '"]').attr('disabled', 'disabled').remove();
			CSS_PROPs.current_file = pageConf.cssfile;
		}
		if (CSS_PROPs.wrap_style != pageConf.classname) {
			wrap.attr('class', pageConf.classname);
			//편성표 샵플러스 편성표 헤더고정을 위한 class추가
			if(id === "M_G2222120M"
				|| id === "M_G2232120M"){
				wrap.addClass("tv_table_contents");
				HUB_INIT.scrollHeader();
			}
			CSS_PROPs.wrap_style = pageConf.classname;
		}
		
		$("#"+ layerPageId).css('display', 'none').remove();
		/* 해피딜 서브페이지에 따라 헤더타이틀 변경 */ 
		if(id === "M_G2161000M" || id === "M_G2161010M" || id === "M_G2160000M"){ //카테고리매장 타이틀을 위한 추가
			var cateHeaderTitle = (navi.getData().pageParams.categoryNm) ? navi.getData().pageParams.categoryNm : pageConf.title;
			mainCtrl.setHeaderTitle( false, cateHeaderTitle );
		}else if(id != "M_G5710002M"){
			mainCtrl.setHeaderTitle( false, pageConf.title );
		}else{
			if(currentLayerPage.pageParams.categoryId == "919055")
				mainCtrl.setHeaderTitle( false, "해피딜 베스트" );
			else if(currentLayerPage.pageParams.categoryId == "919056")
				mainCtrl.setHeaderTitle( false, "해피딜 신규오픈" );
			else
				mainCtrl.setHeaderTitle( false, "해피딜 카테고리" );
		}
		
		
		$("#contents .content-primary").not("#" + layerPageId ).last().css('display', 'block');
		if(scrollTop != 0){
			$(document).scrollTop(scrollTop);
		// 2017-11-24 ssong iOSApp 테마매장 ui 틀어짐 수정
		} else if (scrollTop == 0 ){
			$(document).scrollTop(1);
		}
		
		var intervalIdList = window[layerPageId].intervalIdList || [];
		for(var i = 0; i < intervalIdList.length ; i++)	{
			if ( intervalIdList[i] != 0 ){
				window.clearInterval(intervalIdList[i]);
			}
		}

		if(layerPageId != ''){
			for (var variableKey in window[layerPageId]){
			    if (window[layerPageId].hasOwnProperty(variableKey)){
			        delete window[layerPageId][variableKey];
			    }
			}
			window[layerPageId] = {};
		}
		
		$('script[id="JS_' + layerPageId + '"]').remove();
		//hawoong gnb renewal 180123
		if(id == "M_G5710001M"){
			HUB_INIT.scrollHeader();
		}
		
		mainCtrl.isSubCategoryPage(id);
		
	},
	
	// 전체 팝업 닫기
	hidePopup : function() {
		var id = mainCtrl.getCurrentPageId();
		var wrap = $("#wrap");
		var pageConf = PAGE_CONFIG[ id ];

		// CSS 적용
		if (pageConf.cssfile != null && CSS_PROPs.current_file != pageConf.cssfile) {
			$('link[id="POPUPCSS"]').attr('disabled', 'disabled').remove();
			CSS_PROPs.current_file = pageConf.cssfile;
		}
		if (CSS_PROPs.wrap_style != pageConf.classname) {
			wrap.removeClass();
			wrap.addClass(pageConf.classname);
			CSS_PROPs.wrap_style = pageConf.classname;
		}
		
		$("#POPUPVIEW").remove();
		
		//Layer
		$("#contents .content-primary").not("#POPUPVIEW").last().show();
		mainCtrl.setHeaderTitle( false, pageConf.title );

		// 기존 페이지 변수 초기화
		delete CurrentPopup;
		CurrentPopup = {};
	},
	
	// 팝업 위치세팅 및 닫기버튼 세팅
	init : function( target , param ){
		this.dim = $("#dimmedAll");
		if (!this.dim.hasClass(PopupConst.ACTIVE)) {
			this.dim.addClass(PopupConst.ACTIVE);
			this.dim.addClass('bg3');
			this.dim.unbind();
		}
		
		if (undefined != param.height){
			if (param.height == "auto"){
				$(target).css("height", (window.innerHeight / 100 * 80) + "px")
			}
		}
		
		// 팝업의 위치 조정
		this.resize(target , param.topScroll);

		// 하단 Util 영역 숨김
		//mainCtrl.hideTabBasicUtil();
				
		//닫기버튼
		target.find("a#btnClose").on("click", function() {
			navi.setMovePointer(-1);
			Ns.Popup.close(target);
				
			if ( param.defaultClose == true ){
				return false;
			}else if(!Ns.Util.isNull(param.defaultClose) && typeof(param.defaultClose) == 'function'){
				param.defaultClose();
			}else if(!Ns.Util.isNull(param.canCb) && typeof(param.canCb) == 'function'){
				param.canCb();
			
			//alert 팝업일 경우만 okCb 함수 실행
			}else if(param.type != "alertC" && param.type != "confirm" && param.type != "event" && !Ns.Util.isNull(param.okCb) && typeof(param.okCb) == 'function' ){
				param.okCb();
			}

			//alert or confirm
		});
		
		//close Param이 true 일 경우 팝업의 x표시 없앰 
		if(param.close){
			target.find("a#btnClose").hide();
		}
			
	},	
	
	// 팝업종료
	close : function( target ){
		var popupLength = $( PopupConst.OPENED ).length;	
		if(popupLength == 1){
			if(this.dim.hasClass( PopupConst.ACTIVE )){
				if($("#aside").hasClass( PopupConst.ACTIVE ) == false ){
					this.dim.removeClass( PopupConst.ACTIVE );
				}
				this.dim.removeClass('bg3');
			}
		}
		
		$("#" + target.attr("id")).remove();
		target.remove();

		// 하단 Util 영역 표시
		//mainCtrl.showTabBasicUtil();
		
		// 이전 저장된 팝업 복구
		if (PreviousPopup != null) {
			if(PreviousPopup.NumBasic == undefined){
				CurrentPopup = PreviousPopup;
				PreviousPopup = null;
				delete PreviousPopup;
			}
		}
		if (CurrentCommonPopup != null) {
			CurrentCommonPopup = null;
			delete CurrentCommonPopup;
		}
		//Layer
		//navi.arrChkNext.pop();
		//navi.arrChkPage.pop();
		Layout._skipAside();
	},
	
	/**
	 * 레이어팝업 위치 조정
	 */
	resize : function( target , top ) {
		try {
			if (typeof(target) == "string"){
				target = "#" + target;
			}
			
			$(target).css('top', function(){
				var con_height = Number($(window).height() / 2);
				if(!Ns.Util.isNull(top) && $(window).scrollTop() == 0) con_height = top + $(window).height() / 2 - 35; 
				var obj_height = Number(($(target).height() + 35 + 20) / 2); // 닫기(X) 버튼 : 35px, 박스의 여백 : 20px
				var center_position = con_height - obj_height;

				if( !$(target).hasClass('event_Pop') ){
					return (obj_height > con_height ? ($(window).scrollTop()) : ($(window).scrollTop() + center_position)) + 'px';
				}else{
					//height+200 : ios ( topTitle:40, subcategory:40, topUrl:40, bottomUI:40, margin:20
					//return ( $(target).height()+160 >= con_height*2 ? obj_height : con_height );
					//return $(window).scrollTop() + con_height - 60;
					return $(target).height()/2 + ( $(window).height() - $(target).height() )/2 - 20;
				}
			});
		} catch (e) {}
	},
	
	
	/**
	 * 리소스 update 팝업
	 * Description
	 *  status : 다운로드 진행률 
	 **/
	progressbar : function(status, close, top){
	
		var params = {};
			//params.msg = msg.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/\/n/g, "<br>"); 
			//params.okCb = okCb || null; 
			params.status = status;
			params.close = close || false;
			params.topScroll = top || null;
		this.show( PopupConst.PROGRESSBAR, params );		
	},
	
	/**
	 * Alert팝업
	 * Description
	 *  msg : 입력할 메시지(필수)
	 *  okCb : 확인버튼 콜백(선택), 기본동작은 팝업닫힘
	 *  defaultClose : x버튼 콜백(선택), 기본동작은 okCb와 동일, true일 경우 팝업 닫힘
	 **/
	alert : function(msg, okCb, title, close, top, defaultClose){
		var msgRp = msg.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/\/n/g, "<br>");
		new _ns_log().a(title).a(msgRp).l('a');
		var params = {};
			params.msg = msgRp;
			params.okCb = okCb || null; 
			params.title = title;
			params.close = close || false;
			params.topScroll = top || null;
			params.type = "alert";
			params.defaultClose = defaultClose || false;
		this.show( PopupConst.ALERT, params );		
	},
	
	alertC : function(msg, okCb, okTxt, title, close, top){
		var params = {};
			params.msg = msg.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/\/n/g, "<br>"); 
			params.okCb = okCb || null; 
			params.okTxt = okTxt || null;
			params.title = title;
			params.close = close || false;
			params.topScroll = top || null;
			params.type = "alertC";
		this.show( PopupConst.ALERT, params );		
	},
	
	alertD : function(msg, okCb, title, close, top){
		
		var params = {};
			params.msg = msg.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/\/n/g, "<br>"); 
			params.okCb = okCb || null; 
			params.title = title;
			params.close = close || false;
			params.topScroll = top || null;
			params.type = "alert";
		this.show( PopupConst.ALERTD, params );		
	},

	/**
	 * Confirm팝업
	 * Description
	 *  msg    : 입력할 메시지(필수)
	 *  okCb   : 확인버튼 콜백(필수)
	 *  canCb  : 취소버튼 콜백(선택), 기본동작 팝업닫힘
	 *  okTxt  : 확인버튼 텍스트(선택), 기본 '확인'	  
	 *  canTxt : 취소버튼 텍스트(선택), 기본 '취소'
	 *  title : title 이 없으면 영역 없음.
	 *  close : x버튼(선택), 기본 '출력'
	 *  topScroll : 팝업창 강제 top위치 지정, 기본 null
	 *  defaultClose : 팝업창만 닫기기능, 기본 canCb, okCb를 사용함
	 *  iscrollTarget : 스크롤이 필요한 부분이 있다면 id를 문자열로 넘겨준다.
	 **/
	confirm : function(msg, okCb, canCb, okTxt, canTxt, title, close, topScroll, defaultClose, iscrollTarget){
		var params = {};
			params.msg   = msg.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/\/n/g, "<br>");
			params.okCb  = okCb;
			params.canCb = canCb || null;
			params.okTxt = okTxt || null;
			params.canTxt = canTxt || null; 
			params.title = title || null;
			params.close = close || false;
			params.topScroll = topScroll || null;
			params.defaultClose = defaultClose || false;
			params.iscrollTarget = iscrollTarget || "";
			params.type = "confirm";
		this.show( PopupConst.CONFIRM, params);
	},
	
	/**
	 * 2018-02-08 ssong
	 * Confirm Layer
	 * Description
	 *  msg    : 입력할 메시지(필수)
	 *  okCb   : 확인버튼 콜백(필수)
	 *  canCb  : 취소버튼 콜백(선택), 기본동작 팝업닫힘
	 *  okTxt  : 확인버튼 텍스트(선택), 기본 '확인'	  
	 *  canTxt : 취소버튼 텍스트(선택), 기본 '취소'
	 *  dimmTarget : dimm 처리 할 영역 id
	 **/
	confirmLayer : function(msg, okCb, canCb, okTxt, canTxt, dimmTarget){
		
		var params = {};
		params.msg   = msg.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/\/n/g, "<br>");
		params.okCb  = okCb;
		params.canCb = canCb || null;
		params.okTxt = okTxt || null;
		params.canTxt = canTxt || null; 
		params.targetId = dimmTarget || false;
		params.type = "confirm";
		this.showLayerConfirm( PopupConst.CONFIRM_LAYER, params);
	},
	
	/**
	 * custom Alert팝업
	 * 기본 alert이 아닌 추가적으로 만든 커스텀 팝업
	 * 기본적으로 해당 custom alert이 이미 띄워져 있다면 닫아 버리고 새로 열개됨.
	var objAlertParam = new Object();
	objAlertParam.msg = "일이삼사오";	// 보여줄 문구
	objAlertParam.aletType = "bAlert";	// alert 타입 - bAlert:버튼형 alert, nAlert:기본 alert, 미입력 or undefined시 디폴트 nAlert 세팅됨
	objAlertParam.position = "top";	// alert의 위치 - top:상단, center:가운데, bottom:하단, 미입력 or undefined시 디폴트 cneter 세팅됨
	objAlertParam.btn1Nm = "버튼1명";	// aletType을 bAlert으로 선택하면 기본 "확인"으로 버튼 기본 생성됨. 원하는 버튼명 세팅
	objAlertParam.btn1fn = function(){};	// 버튼1의 클릭시 수행 펑션
	objAlertParam.btn2Nm = "버튼2명";	// aletType을 bAlert으로 선택하고 btn2Nm가 있으면 추가 버튼이 생성됨. 해당 추가버튼의 버튼명 세팅 
	objAlertParam.btn2fn = function(){}; 	// 버튼2의 클릭시 수행 펑션
	objAlertParam.bArrow = false;	// 버튼형 alert의 상단 화살표 표시(상품상세 한정) - true: 표시, false: 미표시, undefind시 디폴트 미표시 세팅
	objAlertParam.bShowAni = true;	// alert이 나타나는 에니메이션 효과 여부 - true:효과 부여, false:효과 미부여, undefind시 디폴트 효과 부여	
	objAlertParam.bBackBlock = false;	// alert이 생성된 동안 뒤 배경 클릭방지 여부 - true:클릭방지, false:클릭가능, undefined시 디폴트 클릭가능 세팅
	objAlertParam.bAutoHide = true;	// alert이 자동으로 사라질지 여부 - true:3초후 자동 사라짐, false:자동사라짐 없음, undefined시 자동 사라짐 세팅
	
	Ns.Popup.cAlert(objAlertParam);	// 커스텀 팝업 호출
	**/
	cAlert : function(objAlertParam){
		
		if (undefined == objAlertParam || typeof(objAlertParam) != "object"){
			alert("Ns.Popup.cAlert() 변수 오류");
			return ;
		}
		
		if (undefined != CurrentCommonPopup){
			if (null != CurrentCommonPopup.customPopClose){
				clearTimeout(CurrentCommonPopup.customPopClose);
			}
		}
		
		Ns.Popup.close($("#custom_popup"));
		
		if (Ns.Util.isNull(objAlertParam.msg)){
			objAlertParam.msg = "";
		} else {
			objAlertParam.msg = objAlertParam.msg.replace(/&lt;/g, "<").replace(/&gt;/g, ">").replace(/\/n/g, "<br>");
		}
		
		if (Ns.Util.isNull(objAlertParam.bBackBlock) || "" != String(objAlertParam.bBackBlock)){
			if (objAlertParam.bBackBlock == true){
				//
			} else {
				objAlertParam.bBackBlock = false;
			}
		}
		
		PreviousPopup = null;
		
		$.ajax({
			url : "./html/popup/" + PopupConst.CALERT + ".html",			
			dataType : "html",
			type : "get",
			success : function(resHtml){
				$("#wrap").append( resHtml );
				
				if (!Ns.Util.isNull(objAlertParam.bBackBlock) && objAlertParam.bBackBlock == true){
					this.dim = $("#dimmedAll");
					if (!this.dim.hasClass(PopupConst.ACTIVE)) {
						this.dim.addClass(PopupConst.ACTIVE);
						this.dim.addClass('bg3');
						this.dim.unbind();
					}
				}
				
				CurrentCommonPopup.init( $("#"+PopupConst.CALERT), objAlertParam );
			}
		});
		
		
		
		
	},
	
	event : function(msg, okCb, canCb, okTxt, canTxt, top){
		var params = {};
		params.msg = msg;
		params.okCb = okCb;
		params.canCb = canCb || null;
		params.okTxt = okTxt || null;
		params.canTxt = canTxt || null;
		params.close = true;
		params.topScroll = top || null;
		params.type = "event";
		this.show( PopupConst.EVENT, params);
	},
	//컬렉션담기
	/**
	 * params : 필수....
	 * 		productName : 제품명
	 * 		catentryId : 카테고리엔드리ID
	 */
	addCollection : function( params ){
		this.show( PopupConst.ADD_COLLECTION,  params ); 
	},
	
	//SNS 공유하기
	showSNSPop : function( params ){
		this.show(  PopupConst.SNS_POPUP , params ); 
	}
};

Ns.Popup = new Popup();
/********************* Popup **************************/
