
/* JavaScript content from js/common/nsmall.util.js in folder common */

/**
 *	@Author SGM
 *	공통 유틸함수 
 **/

var Ns = Ns || {};
var doubleSubmitFlag = false;

/*
 * Util 관련 함수
 */
var Util = function(){};
Util.prototype = {


	/**
	 * 영문 소문자, 특수문자 지정(.)
	 * @param objThis
	 * @param bAlert
	 */	
	onKeyUpOnlyChES_period : function(objThis, bAlert){
		var strText = objThis.value;
		var pattern = /([a-z\.]{1,})$/;	// 정규식 패턴
		var bCheck = false;
		
		if (strText != ""){
			bCheck = pattern.test(strText);
		}
		
		if (!bCheck){
			if(!Ns.Util.isNull(bAlert) && bAlert != false){
				Ns.Popup.alert( "영문 소문자와 '.'만 입력하실 수 있습니다." );
			}
			
			strText = strText.replace(/[^a-z\.]/g,"");	// 치환
			objThis.value = strText;	// 치환된 값 적재
		}	
	},
	
	/**
	 * 한글, 영문 대소문자
	 * onblue 이벤트 발생시 사용
	 */
	onBlurChKE : function(objThis, bAlert){
		var strText = objThis.value;
		
		var strReText = strText.replace(/[ㄱ-ㅎㅏ-ㅣ가-힣A-Za-z]/g,"");
		
		if (strReText.length > 0){
			if(!Ns.Util.isNull(bAlert) && bAlert != false){
				Ns.Popup.alert( "한글과 영문자만 입력하실 수 있습니다." );
			}
			
			strText = strText.replace(/[^ㄱ-ㅎㅏ-ㅣ가-힣A-Za-z]/g,"");	// 치환
			objThis.value = strText;	// 치환된 값 적재
		}
	},
	
	/**
	 * 한글, 영문 대소문자
	 */
	onKeyUpOnlyChKE : function(objThis, bAlert){
		var strText = objThis.value;
		var pattern = /([ㄱ-ㅎㅏ-ㅣ가-힣A-Za-z]{1,})$/;	// 정규식 패턴
		var bCheck = false;
		
		if (strText != ""){
			bCheck = pattern.test(strText);
		}
		
		if (!bCheck){
			if(!Ns.Util.isNull(bAlert) && bAlert != false){
				Ns.Popup.alert( "한글과 영문자만 입력하실 수 있습니다." );
			}
			
			strText = strText.replace(/[^ㄱ-ㅎㅏ-ㅣ가-힣A-Za-z]/g,"");	// 치환
			objThis.value = strText;	// 치환된 값 적재
		}
	},
	
	/**
	 * 영문 대소문자, 숫자
	 */
	onKeyUpOnlyChNE : function(objThis, bAlert){
		var strText = objThis.value;
		var pattern = /^([0-9A-Za-z]{1,})$/;	// 정규식 패턴
		var bCheck = false;
		
		if (strText != ""){
			bCheck = pattern.test(strText);
		}
		
		if (!bCheck){
			if(!Ns.Util.isNull(bAlert) && bAlert != false){
				Ns.Popup.alert( "영문자와 숫자만 입력하실 수 있습니다." );
			}
			
			strText = strText.replace(/[^0-9A-Za-z]/g,"");	// 치환
			objThis.value = strText;	// 치환된 값 적재
		}
	},
	
	/**
	 * 영문 소문자, 숫자
	 */
	onKeyUpOnlyChNe : function(objThis, bAlert){
		var strText = objThis.value;
		var pattern = /^([0-9a-z]{1,})$/;	// 정규식 패턴
		var bCheck = false;
		
		if (strText != ""){
			bCheck = pattern.test(strText);
		}
		
		if (!bCheck){
			if(!Ns.Util.isNull(bAlert) && bAlert != false){
				Ns.Popup.alert( "영문 소문자와 숫자만 입력하실 수 있습니다." );
			}
			
			strText = strText.replace(/[^0-9a-z]/g,"");	// 숫자, 영문소문자만 나오도록 치환
			objThis.value = strText;	// 치환된 값 적재
		}
	},
		
	/**
	 * 영문 소문자, 숫자, 특수문자지정('_', '.')
	 */
	onKeyUpOnlyChNeS : function(objThis, bAlert){
		var strText = objThis.value;
		var pattern = /^([0-9a-z\.\_]{1,})$/;	// 정규식 패턴
		var bCheck = false;
		
		if (strText != ""){
			bCheck = pattern.test(strText);
		}
		
		if (!bCheck){
			if(!Ns.Util.isNull(bAlert) && bAlert != false){
				Ns.Popup.alert( "영문 소문자와 숫자만 입력하실 수 있습니다." );
			}
			
			strText = strText.replace(/[^0-9a-z\.\_]/g,"");	// 숫자, 영문소문자만 나오도록 치환
			objThis.value = strText;	// 치환된 값 적재
		}
	},
	
	doubleSubmitCheck : function(){
        if(doubleSubmitFlag){
            return doubleSubmitFlag;
        }else{
            doubleSubmitFlag = true;
            setTimeout(function(){ doubleSubmitFlag = false;  },3000); // 3초 이후에는 다시 버튼 클릭 활성화를 한다. 
            return false;
        }
	},
	
	/**
	 * 영문 대, 소문자, 한글, 숫자, 특수문자지정('_') , Wapers 2017.09.22 배송지/받으시는 분 특수기호 제거
	 */
	onKeyUpOnlyChNEHS : function(objThis, bAlert){	//this,true
		var strText = objThis.value;
		var pattern = /^([ㄱ-ㅎㅏ-ㅣ가-힣0-9A-Za-z\_\u318D\u119E\u11A2\u2022\u2025a\u00B7\uFE55]{1,})$/;	// 정규식 패턴 - 한글, 영문 대소문자, 숫자, _ 만 허용
		var bCheck = false;
		
		if (strText != ""){
			bCheck = pattern.test(strText);
		}
		
		if (!bCheck){
			strText = strText.replace(/[^ㄱ-ㅎㅏ-ㅣ가-힣0-9A-Za-z\_]/g,"");	// 치환
			objThis.value = strText;	// 치환된 값 적재
		}
	},
	
	/**
	 * input 등을 object로 받아 숫자로만 이루어 졌는지 판단한다.
	 * 기본적으로 숫자 이외의 값을 삭제하고 숫자만 다시 입력한다.
	 * balert의 값이 true일 경우 "숫자만 입력하실 수 있습니다." alert 돌출
	 * nMaxLeng 값이 있을 경우 alert을 돌출하며, 입력된 수만큼 잘라서 다시 입력한다.
	 * 단, balert의 값에 의해 이미 alert이 돌출하였다면 해당 길이alert을 돌출하지 않는다.
	 * 
	 * 20150422 정헌태 수정 - 최대 입력값도 체크 할 수 있도록 수정
	 * 						nMaxVal을 입력하면, 입력된 값의 최대 값을 체크한다.
	 * 						strMaxValAlertMsg 값에 alert을 표시하거나 미표시 하며, 빈스트링일경우 기본 문구를 출력한다.
	 * 						
	 * @param objThis	- Object - input tag등
	 * @param nMaxLeng	- Number - 최고 입력 길이 ; 미입력시 미체크
	 * @param balert	- Boolean - 숫자만 입력 alert 표시 여부	; 미입력시 alert 미노출
	 * @param nMaxVal	- Nubmer - 최대 입력 가능 숫자 ; 미입력시 미체크
	 * @param strMaxValAlertMsg	- String - 최대 입력 가능 숫자 초과시 alert 내용 ; 미입력시 미노출 ; 빈스트링일 경우 기본 문구
	 * 
	 */
	onKeyUpOnlyNumber : function(objThis, nMaxLeng, balert, nMaxVal, strMaxValAlertMsg){
		var strText = objThis.value;
		var pattern = /^([0-9]{1,})$/;	// 정규식 패턴
		var bOnlyNumber = true;
		
		if (strText != ""){
			bOnlyNumber = pattern.test(strText);
		}
		
		// 숫자여부 판단 및 처리
		if (!bOnlyNumber){
			if(!Ns.Util.isNull(balert) && balert != false){
				Ns.Popup.alert( "숫자만 입력하실 수 있습니다." );
			}
			
			strText = strText.replace(/[^0-9]/gi,"");	// 숫자만 나오도록 치환
			objThis.value = strText;	// 치환된 값 적재
		}
		
		// 길이 체크 및 처리	
		if(!Ns.Util.isNull(nMaxLeng)){
			nMaxLeng = Number(nMaxLeng, 10);
			
			if (strText.length > nMaxLeng){
				if(!Ns.Util.isNull(balert) && balert != false){
					// 이미 숫자만 입력 alert이 있을 경우
				} else {
					Ns.Popup.alert( "최대 " + nMaxLeng + "자 까지 입력 가능합니다." );
				}
				
				objThis.value = strText.substring(0, nMaxLeng);	// 잘라서 적재
			}
		}
		
		// 최대 입력 숫자 체크
		if(!Ns.Util.isNull(nMaxVal)){
			nMaxVal = Number(nMaxVal, 10);
			
			if (strText > nMaxVal){
				if(!Ns.Util.isNull(strMaxValAlertMsg)){	// 값이 없으면 alert 미표시
					if (strMaxValAlertMsg == ""){	// 빈스트링이면 기본 문구
						Ns.Popup.alert( "최대값을 초과하였습니다." );
					} else {
						Ns.Popup.alert( strMaxValAlertMsg );
					}
				}
				
				objThis.value = nMaxVal;	// 최대값 세팅
			}
		}
	},
	
	/**
	 * onkeyup에 삽입하여 사용 - 숫자 체크(전화번호, 휴대폰
	 * @param ele
	 */
	onkeyup_isPhoneTelNumAlert : function(ele){
		if ($(ele).val() != ""){
			var str = $(ele).val().replace(/-/gi,"");

			if (Ns.Util.isNumeric(str) == false){
				Ns.Popup.alert( "숫자만 입력해 주세요." );
				$(ele).val("");
			}
		}
	},
	
	/**
	 * onblur에 삽입하여 사용 ( 전화번호, 휴대폰)
	 * @param ele
	 */
	onblur_isPhoneTelNumAlert : function (ele){
		if ($(ele).val() != ""){
			if (Ns.Util.isPhoneNumberCheck($(ele).val()) == false){
				Ns.Popup.alert( "번호를 정확히 입력해 주세요." );
				$(ele).val("");
			} else {
				$(ele).val(Ns.Util.insertSeparatorPhoneNumber($(ele).val(),"-"));
			}
		}
		
	},
	
	
	/**
	 * 입력된 값이 undefined, null, 빈스트링일 경우 true를 리턴
	 * 20150617 정헌태 수정 - changeStr값이 있을 경우(undefined, null이 아닌경우) 
	 * 							value의 값이 undefined, null, 빈스트링일 경우 changeStr의 값을 리턴한다.
	 * 							value의 값이 undefined, null, 빈스트링이 아니면 value의 값을 그대로 리턴한다.
	 * @param value
	 * @param changeStr
	 * @returns
	 */
	isNull : function ( value, changeStr ) {
		var bReturn = false;
		
		if( value == undefined || value == null ||  value == "" || value == "null" || value == "undefined" ){
			bReturn = true;
		}
		
		if (undefined != changeStr && null != changeStr){
			if (bReturn){
				return changeStr;
			}
			
			return value;
		}
		
		return bReturn;
	},

	//특수 문자가 있는지 체크.
	checkStringFormat : function(string) {
		var stringRegx = /[~!@\#$%<>^&*\()\-=+_\’]/gi;
		var isValid = true;
		try {
			if (stringRegx.test(string)) {
				isValid = false;
			}
		}catch (e) {
			// empty
		}
		

		return isValid;
	},

	isEqual : function( value1, value2 ) {
		if (!value1 || !value2) {
			return false;
		}
		return (value1 == value2);
	},
	
	//숫자를 제외한 문자 제거
	onlyNumFormat : function(value) {
		var temp = "";
		var afterStr = value + '';
		var len = afterStr.length;
		var pos = 0;
		var ch = '';
		while (pos < len) {
			ch = afterStr.charAt(pos);
			if (((ch >= '0') && (ch <= '9'))) {
				temp = temp + ch;
			}
			pos = pos + 1;
		}
		return temp;
	},
	
	// 금액 형식으로 포멧팅(콤마 삽입, 0보다 크면 앞의 부호 삽입)
	getMoneyFormat : function(prefix, value) {
		value = this.insertCommas(value);
		if (value != '0') {
			value = prefix + value;
		}
		return value;
	},
	
	//금액에서 콤마 등 특수문자 제거(소숫점, 마이너스기호 제외)
	moneyUnformat : function(value) {
		var temp = "";
		var afterStr = value + '';
		var len = afterStr.length;
		var pos = 0;
		var ch = '';
		while (pos < len) {
			ch = afterStr.charAt(pos);
			if (((ch >= '0') && (ch <= '9')) || (ch == '-') || (ch == '.')) {
				temp = temp + ch;
			}
			pos = pos + 1;
		}
		return temp;
	},
	
	// 컴마삽입
	insertCommas : function(value) {
		var num = String(value).replace(/,/g, "");
		var prefix = "";
		if (num && num.charAt(0) == "-") {
			prefix = "-";
			num = num.substring(1);
		}

		if ( num != "") {
			num = parseInt(num, 10);
			if (isNaN(num)) { num = 0; }
		}else {
			num = 0;
		}
		
		var result = '';
		var numStr = num.toString();
		for(var i = 0; i < numStr.length; i++){
			var tmp = numStr.length-(i+1);
			if(i%3==0 && i!=0){
				result = ',' + result;
			}
			result = numStr.charAt(tmp) + result;
		}
		return prefix + result;
	},	
	
	//특수문자 체크
	isSpecialChar : function(value) {
		if(value.search(/[\",\',<,>,!,@,#,$,%,&,^,*]/g) >= 0) {
			return true;
		} else {
			return false;
		}
	},
	
	//문자열을 숫자로 변환하여 반환
	toNumeric : function(value) {
		if(Ns.Util.isNull(value)){
			return 0;
		}
		value = this.moneyUnformat(value);
		if (value == '') {
			return 0;
		}
		return parseInt(value, 10);
	},
	
	//숫자를 문자열로 변환
	getStepNumberString : function(index) {
		var arrNumberStr = ["첫", "두", "세", "네", "다섯", "여섯", "일곱", "여덟", "아홉", "열", "열한", "열두", "열세", "열네", "열다섯", "열여섯"];
		return arrNumberStr[index];
	},
	
	/**
	 * 문자열 총 바이트 수 구하기(한글, 영문 모두 가능)
	 * @param value	: 문자열
	 */
	getBytes : function(value) {
		var str = value;
		var l = 0;
		for (var i=0; i<str.length; i++)
			l += (str.charCodeAt(i) > 128) ? 3 : 1;
		return l;
	},
	
	/**
	 * 문자열을 특정 바이트 숫자 만큼만 리턴한다.
	 * @param value	: 문자열
	 * @param maxVal : byte
	 * @returns
	 */
	getCutBytes : function(value, maxVal) {
		var str = value;
		var l = 0;
		var maxLength = 0;
		
		for (var i=0; i<str.length; i++){
			l += (str.charCodeAt(i) > 128) ? 3 : 1;
			
			if (l > maxVal){
				break;
			} else {
				maxLength = i
			}
		}
		
		return value.substring(0, maxLength+1);
	},
	
	checkByteLength : function (target, limit) { 
 		var ari_max = limit; 			// limit 제한 글자수(여기서는 1000)
 		var ls_str = target.value; 		// 이벤트가 일어난 컨트롤의 value 값 
 		var li_str_len = ls_str.length; 	// 전체길이 
 
 		// 변수초기화 
 		var li_max = ari_max; // 제한할 글자수 크기 
 		var li_byte = 0;  // 한글일경우는 2 그밗에는 1을 더함 
 		var li_len = 0;  // substring하기 위해서 사용 
 		var ls_one_char = ""; // 한글자씩 검사한다 
		var ls_str2 = ""; // 글자수를 초과하면 제한할수 글자전까지만 보여준다. 
		
 		for(var i=0; i< li_str_len; i++){ 
  			// 한글자추출 
  			ls_one_char = ls_str.charAt(i); 
  
  			// 한글이면 3를 더한다. 
   			if (escape(ls_one_char).length > 4) { 
     			li_byte += 3; 
   			}else{   // 그밗의 경우는 1을 더한다. 
     			li_byte++; 
   			} 
   			// 전체 크기가 li_max를 넘지않으면 
   			if(li_byte <= li_max){ 
     			li_len = i + 1; 
   			} 
 		} 
 		
 		ari_max = parseInt(ari_max / 3, 10) ;
 		
 		// 전체길이를 초과하면 
 		if(li_byte > li_max){ 
   			Ns.Popup.alert( "한글" + ari_max + "글자를 초과 입력할 수 없습니다. 초과된 내용은 자동으로 삭제됩니다." ); 
   			ls_str2 = ls_str.substr(0, li_len); 
   			target.value = ls_str2; 
   			return false;
 		}
 		return true;
	},
	
	// maxlength 체크
	maxLengthCheck : function(object) {
		if (object.value.length > object.maxLength) {
			object.value = object.value.slice(0, object.maxLength);
		}
	},
	
	//문자열의 공백 지우기
	trimString : function(value) {
		return value.replace(/(^\s*)|(\s*$)/g, "");
	},
	
	
	//한글체크
	isHangul : function(value, isAlpha) {
		var strarr = new Array(value.length);
		var schar = /[~!@\#$%<>^&*\()\-=+_\'"{};:<>?,./\[\]]/gi;
		var flag = true;
		var i, j;
		isAlpha = isAlpha || false;
		
		for (i=0; i<value.length; i++) {
			
			if ( schar.test(value) ){
				flag = false;
				break;
			}
			
			strarr[i] = value.charAt(i);
			if ((strarr[i] >=0) && (strarr[i] <=9)) { 
				flag = false;
				break;
			} else if ((escape(strarr[i]) > '%60') && (escape(strarr[i]) <'%80') ) { 
				flag = false;
				break;
			} else if ( isAlpha == false ){
				if ((strarr[i] >='a') && (strarr[i] <='z')) { 
					flag = false;
					break;
				} else if ((strarr[i] >='A') && (strarr[i] <='Z')) { 
					flag = false;
					break;
				}
			} 
		} 
		if (flag) { 
			return true; 
		} else { 
			return false; 
		} 
	},
	
	//이메일체크
	isEmail : function(value) {
		/** 체크사항 
		- @가 2개이상일 경우 
		- .이 붙어서 나오는 경우 
		-  @.나  .@이 존재하는 경우 
		- 맨처음이.인 경우 
		- @이전에 하나이상의 문자가 있어야 함 
		- @가 하나있어야 함 
		- Domain명에 .이 하나 이상 있어야 함 
		- Domain명의 마지막 문자는 영문자 2~4개이어야 함 
		*/ 

		var check1 = /(@.*@)|(\.\.)|(@\.)|(\.@)|(^\.)/; 
		
		var check2 = /^[a-z0-9\-\.\_]+\@[a-z0-9\-\.]+\.([a-z]{2,4})$/; 
		 
		if ( !check1.test(value) && check2.test(value) ) { 
			return true; 
		} else { 
			return false; 
		} 
	},
	
	isHPNo : function( strValue ) {
		var rgEx = /[0504]|[0505]|[01](0|1|6|7|8|9)[-](\d{4}|\d{3})[-]\d{4}$/g; 
		var chkFlg = rgEx.test(strValue);
		if(!chkFlg)  return false; 

		if ( strValue.length < 12 ) return false; 
	   
		return true;
	},
	
	// 숫자만 체크
	isNumeric : function(value) {
		var pattern = /^[0-9]+$/;
		return (pattern.test(value)) ? true : false;
	},
	
	// 영문만 체크
	isAlphabat : function(value) {
		var pattern = /^[a-zA-Z]+$/;
		return (pattern.test(value)) ? true : false;
	},
	// 영문소문자체크
	isSmallAlphabat : function(value) {
		var strarr = new Array(value.length); 
		var flag = true; 
		for (var i=0; i<value.length; i++) { 
			strarr[i] = value.charAt(i) ;
			if (!((strarr[i]>='a')&&(strarr[i]<='z'))) { 
				flag = false; 
			} 
		} 
		if (flag) { 
			return true; 
		} else { 
			return false; 
		} 
	},
	
	//영문소문자 + 숫자체크
	isInputPwdCheck : function(str, minLength, maxLength){
		var reg1 = eval("/^[a-z0-9]{" + (minLength) + "," + (maxLength) + "}$/g");
		var reg2 = /[a-z]/g;
		var reg3 = /[0-9]/g;
		
		return (reg1.test(str) && reg2.test(str) && reg3.test(str));	
	},
	
	//영문소문자 or 영문소문자 + 숫자체크
	isInputIdCheck : function(str, minLength, maxLength){
		var reg = eval("/^[a-z0-9]{" + (minLength) + ","+ ( maxLength ) +"}$/g");		
		return reg.test(str);	
	},
	
	//영문소문자 or 영문소문자 + 숫자체크 or . @
	isInputIdOtherCheck : function(str, minLength, maxLength){
		var reg = eval("/^[a-z0-9@.\.\_\-]{" + (minLength) + ","+ ( maxLength ) +"}$/g");		
		return reg.test(str);	
	},
	
	//모든 전화번호 형식 체크
	isPhoneNumberCheck : function(pNumber){
		var reg = /^(0303|0130|050[2-7]{1}|01[016789]{1}|02|0[3-9]{1}[0-9]{1})-?[0-9]{3,4}-?[0-9]{4}$/;
		
		return reg.test(pNumber);
	},
	
	isDate : function( dateStr ) {
		if(Ns.Util.isNull(dateStr) || dateStr.length < 8){
			return false;
		}
		dateStr = dateStr.replace(/-/gi,"");

		var year = Number(dateStr.substr(0,4));  
		var month = Number(dateStr.substr(4,2));
		var day = Number(dateStr.substr(6,2));
	 
		if (month < 1 || month > 12) { // check month range
		return false;
		}

		if (day < 1 || day > 31) {
			return false;
		}

		if ((month==4 || month==6 || month==9 || month==11) && day==31) {
		   return false;
		}
	
		if (month == 2) { // check for february 29th
			var isleap = (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0));
			if (day>29 || (day==29 && !isleap)) {
				return false;
			}
		}
	
		return true;
	},
	
	isDateFormat : function( dateStr, separator ) {
		if(Ns.Util.isNull(dateStr) || dateStr.length < 8){
			return false;
		}	
		dateStr = dateStr.replace(/[\.-]/g, "");

		var year = dateStr.substr(0,4);  
		var month = dateStr.substr(4,2);
		var day = dateStr.substr(6,2);
		var date = year+ separator +month+ separator +day;
		return date;
	},
	
	//전화번호에 구분자 추가	
	insertSeparatorPhoneNumber : function( pNumber ,separator, isRequired ){
		if (undefined == separator){
			separator = "-";
		}
		
		if (isRequired) {
			return this.getPhoneNumber(pNumber,'1') + separator + this.getPhoneNumber(pNumber,'2') + separator + this.getPhoneNumber(pNumber,'3');
		}
		
		if(Ns.Util.isNull(pNumber)) {
			return "";
		}
		
		pNumber = pNumber.replace(/-/gi,"");	//하이픈이 추가된 경우 제거
		
		if(pNumber.substring(0,4) == "0130" || pNumber.substring(0,4) == "0507" || pNumber.substring(0,4) == "0506"
			|| pNumber.substring(0,4) == "0505" || pNumber.substring(0,4) == "0504" || pNumber.substring(0,4) == "0503"
			|| pNumber.substring(0,4) == "0502" || pNumber.substring(0,4) == "0303"){
			if(pNumber.length > 11){
				pNumber = pNumber.substring(0,4)+ separator +pNumber.substring(4,8)+ separator +pNumber.substring(8,12);
			} else if (pNumber.length > 7){
				pNumber = pNumber.substring(0,4)+ separator +pNumber.substring(4,7)+ separator +pNumber.substring(7,11);
			} else {
				pNumber = pNumber.substring(0,4)+ separator +pNumber.substring(4);
			}
		} else if(pNumber.substring(0,2)=="02"){
            if(pNumber.length > 9){
                pNumber = pNumber.substring(0,2)+ separator +pNumber.substring(2,6)+ separator +pNumber.substring(6,10);
            }else if(pNumber.length > 5){
                pNumber = pNumber.substring(0,2)+ separator +pNumber.substring(2,5)+ separator +pNumber.substring(5,9);
            }else{
                pNumber = pNumber.substring(0,2)+ separator +pNumber.substring(2);
            }
        }else{
            if(pNumber.length > 10){
                pNumber = pNumber.substring(0,3)+ separator +pNumber.substring(3,7)+ separator +pNumber.substring(7,11);
            }else if(pNumber.length > 6){
                pNumber = pNumber.substring(0,3)+ separator +pNumber.substring(3,6)+ separator +pNumber.substring(6,10);
            }else if(pNumber.length > 3){
                pNumber = pNumber.substring(0,3)+ separator +pNumber.substring(3);
            }
        }
        return pNumber;
	},

	/*전화번호 앞자리, 가운데, 끝자리 구하기
	 * 11-111-1111,02-111-1111 : 9자리
	 * 02-1688-7700,031-111-1111 : 10자리
	 * 010-1111-1111 : 11자리
	 */
	getPhoneNumber : function( pNumber ,gubunType ){
		var phone1 = "";
		var phone2 = "";
		var phone3 = "";
		var phone = "";
		if(Ns.Util.isNull(pNumber)) {
			pNumber = '';
		} else {
			pNumber = pNumber.replace(/-/gi,"");	//하이픈이 추가된 경우 제거
		}
		
		if(pNumber.substring(0,4) == "0130" || pNumber.substring(0,4) == "0507" || pNumber.substring(0,4) == "0506"
				|| pNumber.substring(0,4) == "0505" || pNumber.substring(0,4) == "0504" || pNumber.substring(0,4) == "0503"
				|| pNumber.substring(0,4) == "0502" || pNumber.substring(0,4) == "0303"){
			if(pNumber.length > 11){
				phone1 = pNumber.substring(0,4);
            	phone2 = pNumber.substring(4,8);
            	phone3 = pNumber.substring(8,12);
			} else if (pNumber.length > 7){
				phone1 = pNumber.substring(0,4);
            	phone2 = pNumber.substring(4,7);
            	phone3 = pNumber.substring(7,11);
			}
		} else if(pNumber.substring(0,2)=="02"){
            if(pNumber.length > 9){
            	phone1 = pNumber.substring(0,2);
            	phone2 = pNumber.substring(2,6);
            	phone3 = pNumber.substring(6,10);
            }else if(pNumber.length > 5){
            	phone1 = pNumber.substring(0,2);
            	phone2 = pNumber.substring(2,5);
            	phone3 = pNumber.substring(5,9);            	
            }
        }else{
            if(pNumber.length > 10){
            	phone1 = pNumber.substring(0,3);
            	phone2 = pNumber.substring(3,7);
            	phone3 = pNumber.substring(7,11);            	
            }else if(pNumber.length > 6){
            	phone1 = pNumber.substring(0,3);
            	phone2 = pNumber.substring(3,6);
            	phone3 = pNumber.substring(6,10);            	
            }
        }

		switch (gubunType) {
			case '1' : phone = phone1; break;
			case '2' : phone = phone2; break;
			case '3' : phone = phone3; break;
			case '4' : phone = phone3; break;
			default: break;
		}
        return phone;
	},
	
	/**
	 * <pre>
	 * 주민등록번호/사업자번호 유효성체크 
	 * </pre>
	 * @param field : 주민등록번호/사업자번호 Field
	 * @return true/false
	 */
	checkRegNo : function(value) {
		var len = value.length;
		var Digit = 0;
		var Sum = 0;
		var Resident = ['2', '3', '4', '5', '6', '7', '8', '9', '2', '3', '4', '5'];
		if (len == 10) {
			if (this.isNumeric(value, len) == false) {
				return false;
			} else {
				return true;
			}
		} else if (len == 13) {
			if (this.isNumeric(value, len) == false) {
				return false;
			}
			for (var i = 0; i < 12; i++) {
				Sum += value.charAt(i) * Resident[i];
			}
			Digit = 11 - (Sum % 11) % 10;
			if ((Sum % 11) % 10 == 0)
				Digit = 1;
			if ((Sum % 11) % 10 == 1)
				Digit = 0;
			if (value.charAt(12) != Digit) {
				return false;
			} else {
				return true;
			}
		} else {
			return false;
		}
		//return true;
	},

	// 19990101 => 1999년 1월 1일
	insertHangulFormDate : function(strDate){
		if(Ns.Util.isNull(strDate) || strDate.length < 8) {
			return "";
		}
		var year = strDate.substr(0, 4);
		var month = strDate.substr(4, 2);
		var day = strDate.substr(6, 2);
		
		if(Number(month) < 10){
			month = month.replace("0","");
		}
		
		if(Number(day) < 10){
			day = day.replace("0","");
		}
		
		return year + "년 " + month + "월 " + day + "일";
	},
	
	insertSeparatorDate : function(strDate){
		if(Ns.Util.isNull(strDate) || strDate.length < 8) {
			return "";
		}
		var year = strDate.substr(0, 4);
		var month = strDate.substr(4, 2);
		var day = strDate.substr(6, 2);		
		return year + "-" + month + "-" + day;
	},
	
	//텍스트를 html로 인식되게 변환
	textToHtml : function( str ){		
		return $("<div⁄>").html( str ).text();
	},	
	
	// HTML Encode
	htmlEncode : function( str ) {
		
		return String(str)
			.replace(/&/g, '&amp;')
			.replace(/"/g, '&quot;')
			.replace(/'/g, '&#39;')
			.replace(/</g, '&lt;')
			.replace(/>/g, '&gt;');
		
	},
	
	htmlDecode : function(str){
		if(typeof str !== "string"){
			return;
		}
		
		var strReturn = String(str)
			.replace(/&gt;/g, ">")
			.replace(/&lt;/g, "<")
			.replace(/&#39;/g,"'")
			.replace(/&quot;/g,'"')
			.replace(/&amp;/g,'&');
		
		if (strReturn.indexOf("&gt;") != -1 
				|| strReturn.indexOf("&lt;") != -1
				|| strReturn.indexOf("&#39;") != -1
				|| strReturn.indexOf("&quot;") != -1
				|| strReturn.indexOf("&amp;") != -1){
			strReturn = Ns.Util.replaceAll(strReturn, "&gt;", ">");
			strReturn = Ns.Util.replaceAll(strReturn, "&lt;", "<");
			strReturn = Ns.Util.replaceAll(strReturn, "&#39;", "'");
			strReturn = Ns.Util.replaceAll(strReturn, "&quot;", '"');
			strReturn = Ns.Util.replaceAll(strReturn, "&amp;", "&");
		}
		
		return strReturn;
	},
	
	removeHTML : function(str){
		if(typeof str !== "string"){
			return;
		}
		var strReturn = str.replace(/<(\/)?([a-zA-Z]*)(\s[a-zA-Z]*=[^>]*)?(\s)*(\/)?>/ig, "");
		return strReturn;
	},
	
	stringFormat : function(str){
		for(var i = 1; i < arguments.length; i++) {
			var re = new RegExp("\\{" + (i - 1) + "\\}", "g");
			str = str.replace(re, arguments[i]);
		}
		return str;
	},
	
	/**
	 * parameter string을 JSON Object로 변환
	 */
	serializeToObject : function(data) {
		if (typeof(data) == 'string') {
			var paramsArray = data.split('&');
			var paramsObj = {};
			for ( var i = 0; i < paramsArray.length; i++) {
				var pair = paramsArray[i].split('=');
				if (pair[0]) {
					var key = decodeURIComponent(pair.shift());
					var value = pair.length > 1 ? pair.join('=') : pair[0];
					if (value != undefined) {
						value = decodeURIComponent(value);
					}
					paramsObj[key] = value;
				}
			}
			return paramsObj;
		}
		return data;
	},
	
	/**
	 *type 
	 * - E : TV홈쇼핑 메인
	 * - I : 리스트 썸네일
	 * - Q : 이미지형 상품리스트 & 상품상세 스와이프 영역
	 * - P : 리스트형 상품리스트
	 * - O : 메인 쇼킹핫딜
	 * - R : 명품아울렛 상품 썸네일
	 * - S : 디자이너스 메인 컨텐츠 스와이프이미지 
	 * - V : 상품확대보기 	
	 **/
	getImageUrl : function(partNum, type, isAdult){
		partNum = "" + partNum;
		
		var isAdultProduct = isAdult || "N";
		var imgType = type || null; 
		var path = Const.WCS_IMAGE_PRODUCT;
		var none_19path = Const.NO_IMAGE_URL;
		var len = partNum.length; 
		
		var depth1 = partNum.substring(len-1, len);
		var depth2 = partNum.substring(0, 2);
		var depth3 = partNum.substring(len-3, len);
		var fileName = ""; 
		if(imgType != null){
			//default 파일 경로 설정
			fileName = partNum + "_" + imgType + ".jpg";

			//성인상품 체크
			if(isAdultProduct == "Y"){
				// 성인 인증 여부 체크 -  Ssong
				if(USERINFO.adultAuthYN() != "Y"){
					fileName = "19icon_" + imgType + ".jpg";
					return none_19path + fileName;
				}
			}
		}else{
			fileName = partNum; 
		}
		
		return path + "/" + depth1 + "/" + depth2 + "/" + depth3 + "/" + fileName; 
	},
	
	getNoneImageUrl : function( type ){
		var imgType = type || null; 
		var fileName = ""; 
		
		if(imgType != null){
			fileName = "noimage" + "_" + imgType + ".jpg";
		}else{
			fileName = "noimage_O.jpg";
		}
		
		return Const.NO_IMAGE_URL + fileName; 
	},
		
	getObjectFromUrl : function(strUrl){
		var resObj = {
				pageId 	 : "",
				coCd 	 : "",
				campaind : "",
				params 	 : {}
		};
		var array = strUrl.split('?');		
		if(array.length != 2) return resObj;
		if( array[1] == "#") return resObj;
		
		var hashes = array[1].split('&');		
		Ns.Util.viewConsoleLog("++++++++ hashes: " + JSON.stringify(hashes) + " ++++++++");
		
		for(var i = 0; i < hashes.length; i++) {
			Ns.Util.viewConsoleLog("++++++++ getUrlVars: " + hashes[i] + " ++++++++");
			var hash = hashes[i].split('=');			
			if(hash[0] == "pageId" || hash[0] == "coCd" || hash[0] == "campainId") {
				resObj[String(hash[0])] = hash[1];
			} else {
				resObj.params[String(hash[0])] = hash[1];
			}
		}
		return resObj; 
	},
	
	/**
	 * 사이트의 절대 URL 반환
	 * @param path : /로 시작하는 상대 URL
	 * @returns : 상대URL이 반영된 location.href 반환
	 * ( "/nsmobilehub.html"입력하면, "http://www.nsmall.com/.../nsmobilehub.html" 반환 )
	 */
	getCurrentPathName : function( path ) {
		var pathname = location.origin + location.pathname;
		pathname = pathname.substring(0, pathname.lastIndexOf('/'));
		return pathname + path;
	},
	
	/**
	 * 외부 link Page에서 서비스 호출 시 중계페이지에서 외부 link Page에서 보낸 Parameters를 parsing
	 * @returns (JSON) 외부 link Page의 parameters
	 */
	getBroadCastParam : function(nowAddress) {
		var param = {};
		var varName = '';
		var value = '';
		var parameters = '';
		if (nowAddress.indexOf('?') != -1) {
			parameters = (nowAddress.slice(nowAddress.indexOf('?') + 1, nowAddress.length)).split('&');
			for (var i = 0; i < parameters.length; i++) {
				if (parameters[i] && parameters[i].indexOf('=') > -1) {
					varName = decodeURIComponent(parameters[i].split('=')[0]);
					value = decodeURIComponent(parameters[i].split('=')[1]);
					if (varName == 'referrer' 
							&& parameters[i].split('=').length > 2
							&& !Ns.Util.isNull(parameters[i].split('=')[2])) {
						value += '=' + decodeURIComponent(parameters[i].split('=')[2]);
					}
					param[varName] = value;
				}
			}
		}
		return param;
	},
	
	/**
	 * 공통코드 조회
	 * @param comCd : 코드 그룹명(BANK_CD, DDD_CD, MOBILE_CD, EMAIL_MALL_CD, EMAIL_CD,  ...)
	 * @param obj : 출력할 select box object
	 * @param selectValue : selected value
	 */
	getComCode : function( codeCd, obj, selectValue ) {
		tran.callWCSJsonTran('NSComCodeCmd', {
			commCdNm : codeCd
		}, function(data) {
			var html = '';
			$.each(data.list, function(key, value) {
				html += Ns.Util.stringFormat('<option value="{0}" {2} >{1}</option>',
						value.comm_cd_val,
						value.comm_cd_instc,
						(selectValue && selectValue == value.comm_cd_val ? 'selected="selected"' : '')
				);
			});
			$(obj).append(html);
		});
	},

	/**
	 * 환불계좌 정보 조회 및 select option 생성
	 * @param dataList : select box 생성 데이터
	 * @param obj : select box 생성 영역 객체
	 * */
    getBankComCode : function( dataList, obj ) {

    	var html = "";
		$.each(dataList, function(key, value) {
            html += Ns.Util.stringFormat('<option value="{0}" {2} data-accntNo="{3}" data-accntOwner="{4}">{1}</option>',
                value.bankCd,
				value.bankNm,
                value.selected,
				value.accntNo || "",
                value.accntOwner || "")
        });

		$(obj).append(html);

    },
	
	/**
	 * 신용카드사 코드의 이름 조회
	 */
	getCreditCardCodeName : function( cardCode ) {
		if (cardCode != null && cardCode.length < 3) {
			cardCode = '000' + cardCode;
			cardCode = cardCode.substring(cardCode.length - 3, cardCode.length);
		}
		var paymentCardCode = {
			'029' : '신한',
			'027' : '현대',
			'031' : '삼성',
			'008' : '외환',
			'026' : '비씨',
			'016' : '국민',
			'047' : '롯데',
			'045' : '(신)롯데',
			'018' : 'NH농협',
			'006' : '하나SK',
			'022' : '씨티',
			'021' : '우리',
			'002' : '광주',
			'017' : '수협',
			'010' : '전북',
			'011' : '제주',
			'001' : '조흥',
			'058' : '산업',
			'050' : '해외 VISA',
			'028' : '해외 JCB',
			'048' : '동양 다이너스',
			'046' : '동양 해외',
			'049' : '해외 MASTER',
			'081' : '은련'
		};
		return (cardCode != null && paymentCardCode.hasOwnProperty(cardCode) ? paymentCardCode[cardCode] : '');
	},
	
	/**
	 * 은행 코드의 이름 조회
	 */
	getBankCodeName : function( bankCode ) {
		if (bankCode != null && bankCode.length < 3) {
			bankCode = '000' + bankCode;
			bankCode = bankCode.substring(bankCode.length - 3, bankCode.length);
		}
		var paymentBankCode = {
			'003' : '기업은행',
			'004' : '국민은행',
			'011' : '농협중앙회',
			'012' : '단위농협',
			'020' : '우리은행',
			'031' : '대구은행',
			'005' : '외환은행',
			'023' : 'SC제일은행',
			'032' : '부산은행',
			'045' : '새마을금고',
			'027' : '한국씨티은행',
			'034' : '광주은행',
			'039' : '경남은행',
			'007' : '수협',
			'048' : '신협',
			'037' : '전북은행',
			'035' : '제주은행',
			'064' : '산림조합',
			'071' : '우체국',
			'081' : '하나은행',
			'088' : '신한은행',
			'209' : '동양종금증권',
			'243' : '한국투자증권',
			'240' : '삼성증권',
			'230' : '미래에셋',
			'247' : '우리투자증권',
			'218' : '현대증권',
			'266' : 'SK증권',
			'278' : '신한금융투자',
			'262' : '하이증권',
			'263' : 'HMC증권',
			'267' : '대신증권',
			'270' : '하나대투증권',
			'279' : '동부증권',
			'280' : '유진증권',
			'287' : '메리츠증권',
			'291' : '신영증권'
		};
		return (bankCode != null && paymentBankCode.hasOwnProperty(bankCode) ? paymentBankCode[bankCode] : '');
	},
	
	/**
	 * 카드번호 중간 4자리 *표 표시
	 * <pre>
	 * "1234-5678-****-1234" = formatCardNoWithAsterisk("1234567856781234");
	 * "1234-5678-****-1234" = formatCardNoWithAsterisk("1234-5678-5678-1234");
	 * </pre>
	 */
	formatCardNoWithAsterisk : function( cardNo ) {
		if (cardNo != null && cardNo.length == 16) {
			cardNo = cardNo.substring(0, 4) + "-" + cardNo.substring(4, 8) + "-****-" + cardNo.substring(12, 16);
		}
		return cardNo;
	},
	
	/**
	 * 전화번호의 마지막 번호를 마스킹.
     * <p>
     * 뒷 4자리 마스킹 처리<br>
     * 입력값이 형식에 안 맞으면 "" 값을 리턴한다.
     * <pre>
     * ex) 010-1111-2222 -> 010-1111-****
     * </pre>
	 */
	formatPhoneNumberWithAsterisk : function( phoneNumber ) {
		if (phoneNumber == null || phoneNumber.length <= 4) {
			return '';
		}
		return phoneNumber.substring(0, phoneNumber.length - 4);
	},
	
	/**
	 * 2018-01-26 ssong
	 * 아이디 , eamil 마스킹 처리
	 * @param id
	 * @returns id
	 */
	formatIDWithAsterisk : function (id){

		var toId = "";
		var at = "";
		var toDomain = ""; 
		
		if (id == null || id == "") {
				return "";
		}
			
		if (id.indexOf("@") > -1) {
			var arrId = id.split("@");
			toId =  arrId[0];
			toDomain = arrId[1];
			at = "@";
		} else {
			toId = id;
		}
		
		if ( toId != "" && toId.length > 3) {
			var remainSize = toId.length - 3;
			toId = toId.substring(0, 3);
			
			for(var i=0; i < remainSize; i++) {
				toId += "*";
			}
		}
		
		if (at == "@") {
			toId += at + toDomain;
		}
			
		return toId;
		
	},
	
	getSortCriteriaName : function( sortCriteria ){
		var sortObj = {
			'best' : '인기순',
			'new' : '최신순',
			'lowPrice'	: '낮은가격순',
			'topPrice'	: '높은가격순',
			'comment' : '상품평순',
			'hits'  : '최다조회',
			'eval' : '고객만족',
			'weight' : 'NS추천'
		};
		
		return sortObj[sortCriteria]; 
	},
	
	/**
	 * JSON 데이터를 QueryString 파라미터 형식으로 변환
	 * @param params JSON 데이터
	 * @param isEnc URI 인코딩 여부
	 */
	objectToQueryString : function(params, isEnc) {
		var results = [];
		if (params && typeof params == typeof {}) {
			for (var prop in params) {
				var item = params[prop];
				
				if(!Ns.Util.isNull(item)) {
					if (typeof item == typeof []) {
						for (var i = 0; i < item.length; i++) {
							var queryPair = (prop + "=" + (isEnc ? encodeURIComponent(item[i]) : item[i]));
							results.push(queryPair);
						}
					} else {
						var queryPair = (prop + "=" + (isEnc ? encodeURIComponent(item) : item));
						results.push(queryPair);
					}
				}
			}
		}
		return results.join("&");
	},
 
	objectToQueryStringEscape : function(params) {
		var results = [];
		if (params && typeof params == typeof {}) {
			for (var prop in params) {
				var item = params[prop];
				if(!Ns.Util.isNull(item)) {
					if (typeof item == typeof []) {
						for (var i = 0; i < item.length; i++) {
							var queryPair = (prop + "=" + escape(item[i]));
							results.push(queryPair);
						}
					} else {
						var queryPair = (prop + "=" +  escape(item));
						results.push(queryPair);
					}
				}
			}
		}
		return results.join("&");
	},
	
	
	/**
	 * console.log 공통..
	 * Const.IS_DEV_LOG의 값으로 화면에 표시 미표시 선택
	 * @param val1
	 * @param val2
	 */
	viewConsoleLog : function(val1, val2){
		if(Const.IS_DEV_LOG == true){
			if (undefined == val1){
				console.log("viewConsoleLog error : val1 undefined");
				return;
			}
			
			if (undefined == val2){
				console.log(val1);
			} else {
				console.log(val1, val2);
			}
	    }
	},
	
	/**
	 * 디바이스의 네트워크 상태 확인 ( 앱전용 )
	 * */
	getCheckNetwork : function( type ){
		var obj = {};
		//웹인 경우에는 빈 오브젝트를 return 
		if( !mainCtrl.isOsApp() ){
			return obj;
		}
		
		WL.Device.getNetworkInfo(function(data){
			//return 받고 싶은것이 없는 경우 response 데이터 통째로 return
			if( Ns.Util.isNull(object) ){
				return data;
			}
			
			var isNetConnected = data.isNetworkConnected;
			if( isNetConnected ){
				
			}else{
				obj.isAirplaneMode = data.isAirplaneMode;
			}
		});
	},
	
	getMyIP : function(){
		return ip();
	},
	
	getANRList : function( dataStr ){
		var nameStr = "Package Name,Crash Report Date And Time,Crash Report Millis Since Epoch,Device,Android OS Version,App Version Name,App Version Code,Exception Class Name,Exception Message,Throwing File Name,Throwing Class Name,Throwing Method Name,Throwing Line Number,Native Crash Library,Native Crash Location,Crash Link";
		var name = nameStr.split(",");
		var data = dataStr.split(",");
		
		var Obj = {};
		for ( var i=0; i<name.length; i++){
			if ( Ns.Util.isNull(data[i]) ){
				data[i] = "";
			}
			Obj[name[i]] = data[i];
		}
		return Obj;
	},
	
	/**
	 * 문자열의 특정 문자 혹은 문자열 치환
	 * @param ment	- String - 치환 대상 문자열
	 * @param regex	- String - 치환할 문자열
	 * @param replacement	 - String - 치환될 문자열
	 * @returns
	 */
	replaceAll : function (ment, regex, replacement){
		if(Ns.Util.isNull(ment)){
			return ment;
		}		
		if(Ns.Util.isNull(regex)){
			return ment;
		}		
		if(Ns.Util.isNull(replacement)){
			return ment;
		}	
		
		var tmpStr = ment;  
		while(tmpStr.indexOf(regex) != -1) {
			tmpStr = tmpStr.replace(regex, replacement);
		}
		return tmpStr;
	},
	
	/**
	 * 2016-11-30 정승진 : 소수점 기준으로 문자열 치환
	 * */
	replaceAllDot : function (str) {
		return str.replace(/\./gi,"");
	},
	
	/**
	 * 매장 icons CDN 기준 이미지 조회
	 * @param categoryId {String}		카테고리코드
	 * @param ext {String}					확장자 
	 * @returns {String} CDN 기준 이미지 URL full 경로
	 * @author 20190725 hckim - 신규생성
	 * 
	 * @examples
	 *  Ns.Util.getCateImageUrl("1583567", "jpg")
		=> http://image.nsmall.com/ec_comimages/nsupload/mobile/icons/cate/1583567.jpg		
	 */
	getCateImageUrl : function(categoryId, ext){				
		// 확장자가 없을 경우 default jpg
		if(Ns.Util.isNull(ext) ){
			ext = "jpg";
		}
		
		var cateImageUrl = Const.WCS_IMAGE_CATE + categoryId + "." + ext;		
		
		return cateImageUrl;
	}	
};

Ns.Util = new Util();


/*
 * Cookie 관련 함수
 */
var Cookie = function(){};
Cookie.prototype = {
    /**
     * 쿠키에 저장된 값을 반환한다.
     * @param name 쿠키 이름
     * @return 쿠키 이름에 대한 값을 반환. 없는 경우에는 ""를 반환.
     */
	getCookie : function(/*String*/name) {
        var arg = name + "=";
        var alen = arg.length;
        var clen = document.cookie.length;
        var i = 0;
        while (i < clen) {
            var j = i + alen;
            if (document.cookie.substring(i, j) == arg) {
                return this.getCookieVal(j);
            }
            i = document.cookie.indexOf(" ", i) + 1;
            if (i == 0) break;
        }
        return "";
	},

    /**
     * 쿠키를 저장한다.
     * @param name 쿠키 이름
     * @param value 쿠키 값
     * @param expires 쿠키의 유효 일
     * @param path
     * @param domain
     * @param secure
     */
	setCookie : function(/*String*/name, /*String*/value, expires, path, domain, secure) {
        if (!path) {
            path = "/";
        }
        document.cookie = name + "=" + escape (value) +
                        ((expires) ? "; expires=" + expires : "") +
                        ((path) ? "; path=" + path : "") +
                        ((domain) ? "; domain=" + domain : "") +
                        ((secure) ? "; secure" : "");
	},

    /**
     * 쿠키를 삭제한다.
     * @param name 삭제할 쿠키 이름
     * @param path
     * @param domain
     */
	deleteCookie : function(/*String*/name, path, domain) {
        if (!path) {
            path = "/";
        }
        if (this.getCookie(name)) {
            document.cookie = name + "=" +
                ((path) ? "; path=" + path : "") +
                ((domain) ? "; domain=" + domain : "") +
                "; expires=Thu, 01-Jan-70 00:00:01 GMT";
        }
	},

    /**
     * 쿠키를 저장할 때 필요한 적합한 형식의 유효기간을 반환한다.
     * @param days 쿠키가 유효할 일 (예를 들어 3 일 동안 유효해야 하면 3을 입력)
     * @param hours 쿠키가 유효할 시간 (예를 들어 2 시간 동안 유효해야 하면 2를 입력)
     * @param minutes 쿠키가 유효할 분 (예를 들어 30 분 동안 유효해야 하면 30을 입력)
     */
    getExpDate : function(days, hours, minutes) {
        var expDate = new Date( );
        if (typeof days == "number" && typeof hours == "number" && typeof hours == "number") {
            expDate.setDate(expDate.getDate( ) + parseInt(days));
            expDate.setHours(expDate.getHours( ) + parseInt(hours));
            expDate.setMinutes(expDate.getMinutes( ) +
            parseInt(minutes));
            return expDate.toGMTString( );
        }
    },

    /**
     * 쿠키 값을 읽을 때 사용하는 보조 함수
     * @param {Object} offset
     */
    getCookieVal :  function(offset) {
        var endstr = document.cookie.indexOf (";", offset);
        if (endstr == -1) {
            endstr = document.cookie.length;
        }
        return unescape(document.cookie.substring(offset, endstr));
    }
};

Ns.Cookie = new Cookie();


/*
 * LocalStorage 관련 함수
 */
var LocalStorage = function(){};
LocalStorage.prototype = {
	get : function(name) {
		var data = '';
		try {
			if(localStorage.getItem(name) != null){
				data = GibberishAES.aesDecrypt(localStorage.getItem(name),
							$.md5( WL.Client.getUserInfo('myserver','userId').substr(1,32) )
						);
			}
		} catch(e) {}
		
		if (name == STORAGE_KEY.SEARCH_WORD_LIST) {
			try {
				data = JSON.parse( data );
			} catch(e) {
				data = [];
			}
		}
		return data;
	},
	
	/**
	* @param	
	*  - name 	: 저장소 이름 (constant.js 내 STORAGE_KEY에 정의)
	*  - val  	: 저장하려는 값
	*  - maxCnt : 최근검색어를 위해 추가
	*/
	set : function(name, val, maxCnt) {
		if (name == STORAGE_KEY.SEARCH_WORD_LIST) {
			var array = this.get(name);
			var isDuplicate = false;
			if (array instanceof Array) {
				// 중복체크
				for ( var i = 0; i < array.length; i++) {
					Ns.Util.viewConsoleLog("[checkDuplicate] >> " + val.keyword + "/" + array[i].keyword);
					if (val.keyword == array[i].keyword) {
						isDuplicate = true;
						break;
					}
				}
				Ns.Util.viewConsoleLog("[isDuplicate] >> " + isDuplicate);
				if (isDuplicate) return;
				if (array.length >= maxCnt) array.shift();
			} else {
				array = new Array();
			}
			array.push(val);
			
			localStorage.setItem(name,
				GibberishAES.aesEncrypt(JSON.stringify(array),
					$.md5( WL.Client.getUserInfo('myserver','userId').substr(1,32) )
				)
			);
		} else {
			localStorage.setItem(name,
				GibberishAES.aesEncrypt(val,
					$.md5(WL.Client.getUserInfo('myserver','userId').substr(1,32)) 
				) 
			);
		}
	},
	
	del : function(name) {
		Ns.Util.viewConsoleLog('[localStorage > del] delete!! ');

		localStorage.setItem(name, ""); // NSSR-9277 모바일 크롬버젼에 따른 자동로그인 오류
		
		if(localStorage.getItem(name) != ""){
			localStorage.removeItem(name);
		}
			
	}
};

Ns.LocalStorage = new LocalStorage();


/*
 * 날짜 관련 함수
 */
var DateCtrl = function(){};
DateCtrl.prototype = {
		/**
		 * 현재날짜와 시간을 기준으로 입력된 일시가 남아있으면 true리턴, 일시가 지나면 false
		 * 입력된 data가 yyyyMMdd 형식의 8자리일 경우 시분초는 모두 0으로 세팅된다
		 * 숫자형 문자열이 아니거나 잘릿수가 8혹은 14가 아니면 false를 리턴한다.
		 * 
		 * @param strEnd	- String - yyyyMMdd혹은 yyyyMMddHHmmss 형식의 숫자형 문자열('-', ':' 형시은 허용)
		 * 		  isToday	- Boolean - 오늘날자를 포함 여부 체크 (true인 경우 오늘 포함)
		 * @return Boolean	- 현일시기준으로 입력한 일시까지 남아 있을경우 true
		 * 						현일시기준으로 입력한 일시가 지났을 경우 false
		 */
		getBdDay : function(strEnd, isToday){
			// string 타입이 아니면 false 리턴
			if (typeof(strEnd) != "string"){
				return false;
			}
			
			var strTarget = strEnd;
			strTarget = strTarget.replace(/ /gi, "");
			strTarget = strTarget.replace(/-/gi, "");
			strTarget = strTarget.replace(/:/gi, "");
			
			// 자릿수가 8 ~ 14 가 아니면 false 리턴
			if (strTarget.length != 8 && strTarget.length != 14){
				return false;
			}
			
			if (!Number(strTarget)){
				return false;
			}
			
			var strNowDate = Ns.Date.getNowDate() + Ns.Date.getNowTime();
			
			var strN_y = strNowDate.substring(0, 4);
			var strN_M = strNowDate.substring(4, 6);
			var strN_d = strNowDate.substring(6, 8);
			var strN_H = strNowDate.substring(8, 10);
			var strN_m = strNowDate.substring(10, 12);
			var strN_s = strNowDate.substring(12, 14);
			
			var strT_y = strTarget.substring(0, 4);
			var strT_M = strTarget.substring(4, 6);
			var strT_d = strTarget.substring(6, 8);
			var strT_H = strTarget.substring(8, 10) == "" ? "00" : strTarget.substring(8, 10);
			var strT_m = strTarget.substring(10, 12) == "" ? "00" : strTarget.substring(10, 12);
			var strT_s = strTarget.substring(12, 14) == "" ? "00" : strTarget.substring(12, 14);

			if( isToday == true ){
				strT_H = "23";
				strT_m = "59";
				strT_s = "59";
			}
			
			var dtNow = new Date(strN_y, Number(strN_M)-1, strN_d, strN_H, strN_m, strN_s);
			var dtTarget = new Date(strT_y, Number(strT_M)-1, strT_d, strT_H, strT_m, strT_s);
			
			if (dtNow < dtTarget){
				return true;
			} else {
				return false;
			}
			
			//return false;
		},
	
	/*
	//uesed sample
	calcDate('', 0, 0, 0, 0,'yyyy.MM.dd');  //오늘
	calcDate('', 0, 0,-1, 0,'yyyy.MM.dd');  // Week-1
	calcDate('', 0, 0, 0,-15,'yyyy.MM.dd');   // day-15
	calcDate('', 0,-1, 0, 0,'yyyy.MM.dd');    // month-1
	*/
	calcDate : function(startDate, year, month, week, day, dateFormat){
		if( dateFormat.length < 1 )
		dateFormat = 'yyyy-MM-dd';

		var dtReturn;

		if( startDate.length < 1 )
			dtReturn = new Date();
		else
			dtReturn = new Date( startDate );
			
		if( year != 0 )
			dtReturn.setYear( dtReturn.getFullYear() + year );

		if( month != 0 )
			dtReturn.setMonth( dtReturn.getMonth() + month );

		if( week != 0 )
			day += (week * 7);

		if( day != 0 )
			dtReturn.setDate(dtReturn.getDate() + day);

		return dtReturn.format( dateFormat );
	},
	
	/**
	 * 시간 계산 함수
	 * - calcTime	: 계산할 시간 (HHMMSS 만 사용)
	 * - hour		: 시
	 * - min		: 분
	 * - sec		: 초
	 * - gubun		: 구분 ( before 와 after로 구분 ) 
	 * - return > 계산된 시간이 현재 시간보다 지나지 않았으면 true 현재 시간을 지났으면 false
	 * */
	calcTime : function(calcTime, hour, min, sec, gubun){
		//계산시간이 숫자가 아니면 false
				if( !Number(calcTime) ){
			return false;
		}
		
		//길이는 무조건 6자리
		if( calcTime.length > 7 ){
			return false;
		}
		var calcDate =  Ns.Date.getNowDate() + calcTime;

		var strC_y = calcDate.substring(0, 4);
		var strC_M = calcDate.substring(4, 6);
		var strC_d = calcDate.substring(6, 8);
		var strC_H = calcDate.substring(8, 10);
		var strC_m = calcDate.substring(10, 12);
		var strC_s = calcDate.substring(12, 14);

		var calc = new Date(strC_y, Number(strC_M)-1, strC_d, strC_H, strC_m, strC_s);
		var now = new Date(); 

		switch(gubun){
			case "before" :
				calc.setHours( calc.getHours()-hour );
				calc.setMinutes( calc.getMinutes()-min );
				calc.setSeconds( calc.getSeconds()-sec );
			break;
			case "after" :
				calc.setHours( calc.getHours()+hour );
				calc.setMinutes( calc.getMinutes()+min );
				calc.setSeconds( calc.getSeconds()+sec );			
			break;
		}

		if(calc > now){
			return true;
		}else{
			return false;
		}
	},

	getNowDate : function(separator) {
		
		if(Ns.Util.isNull(separator)){
			separator = '';
		}
		var now = new Date();
		var months = new Array('01','02','03','04','05','06','07','08','09','10','11','12');
		var date = ((now.getDate() < 10) ? "0" : "") + now.getDate();
		return now.getFullYear() + separator + months[now.getMonth()] + separator + date; 
	},
	
	getNowTime : function(separator) {
		if(Ns.Util.isNull(separator)){
			separator = '';
		}
		var date = new Date();
		var hour = date.getHours();
		var min = date.getMinutes();
		var sec = date.getSeconds();
		var milisec = date.getMilliseconds();
		if (milisec.length == 1) {
			milisec = "00" + milisec;
		} else if (milisec.length == 2) {
			milisec = "0" + milisec;
		}
		return (hour < 10 ? "0" + hour : hour)
			+ separator
			+ (min < 10 ? "0" + min : min)
			+ separator
			+ (sec < 10 ? "0" + sec : sec);
		return retVal;
	},
	
	/**
	 * 현재 월 영문으로 가져오기
	 * - fluctuation - 증감수치
	 *   +1일 경우 현재 월에서 +1된 수치를 적용된 월을 가져옴
	 */
	getNowMonth : function( fluctuation ){
		if ( Ns.Util.isNull(fluctuation) || fluctuation == 0 ){
			fluctuation = 0;
		} else {
			if ( fluctuation > 12 ){
				fluctuation = Math.floor( Number(fluctuation) / 12 );
			}
			fluctuation = Number(fluctuation);	
		}
		
		var date = new Date();
		
		var months = new Array('January','February','March','April','May','June','July','August','September','October','November','December');
		var now_month = date.getMonth() + fluctuation;
		
		return months[now_month];
	},
	/**
	 * yyyyMMddHHmmssSSSS 반환
	 */
	getTimeStamp : function( noMilisec ) {
		var date = new Date();
		var year = date.getFullYear();
		var month = date.getMonth() + 1;
		var day = date.getDate();
		var hour = date.getHours();
		var min = date.getMinutes();
		var sec = date.getSeconds();
		var milisec = date.getMilliseconds();
		
		var m =0 , d= 0, h= 0, mi = 0, s = 0;
		
		if(month < 10)
			m = "0" + month;
		else if( month >= 10)
			m = month + "";
		
		if(day < 10)
			d = "0" + day;
		else if (day >= 10)
			d = day + "";
		
		if(hour < 10)
			h = "0" + hour;
		else if(hour >= 10)
			h = hour + "";
		
		if(min < 10)
			mi = "0" + min;
		else if(min >= 10)
			mi = min + "";
		
		if (sec < 10)
			s = "0" + sec;
		else if(sec >= 10)
			s = sec + "";

		if (Math.floor(milisec/10) == 0) {
			milisec = "00" + milisec;
		} else if (Math.floor(milisec/100) == 0) {
			milisec = "0" + milisec;
		}
		
		var retVal;
		if( noMilisec ){
			retVal = year + m + d + h + mi + s;
		}else{
			retVal = year + m + d + h + mi + s + milisec;
		}
		Ns.Util.viewConsoleLog('getTimeStamp retVal >>' + retVal);
		
		return retVal;
	},
	
	getAddDate : function(flag, num) {
		var now = new Date();
		switch (flag) {
			case 'year': now.setFullYear(now.getFullYear() + num); break;
			case 'month' : now.setMonth(now.getMonth() + num); break;
			case 'day' : now.setDate(now.getDate()+num); break;
			default: break;
		}
		var months = new Array('01','02','03','04','05','06','07','08','09','10','11','12');
		var date = ((now.getDate() < 10) ? "0" : "") + now.getDate();
		return now.getFullYear() + months[now.getMonth()] + date; 
	},
	
	//iOS의 경우, date.parse 구문은 NaN을 뱉어냄.. 
	//2017.09.05 Wapers date 값이 null 일 경우에는 split 오류 발생함. null이 아닐 경우에만 처리하도록 수정   
	// 개발의 21135543 상품 편성표 정보값 중 date가 null인 부분이 존재함.          
	getDateParse : function( date ) {
		if (date != null){
			var arr = date.split(/[- :]/);
			date = new Date(arr[0], arr[1]-1, arr[2], arr[3], arr[4], arr[5]);
		
			return date;
		}	
	},
	
	getDateParse02 : function( date ) {
		if( date.length == 10 ) date = date + '0000';
		else if( date.length == 12 ) date = date + '00';
		
		//한달 범위 오류로 인해 수정
		var month = Number(date.substring(4,6)) - 1;
		
		date = new Date(date.substring(0,4), month, date.substring(6,8), date.substring(8,10), date.substring(10,12), date.substring(12,14));
		return date;
	},
	
	/**
	 * 오늘날짜와 입력한 날짜 기간 : days, hours, minutes, seconds 반환
	 */	
	getPeriodDate : function( date , gunbunValue, sale_rate) {
		date = date.replace(/[\.-]/g, "");
		date = date.replace(/:/g, "");
		date = date.replace( /(\s*)/g, "" );
		sale_rate = isNaN(sale_rate) == true ? 0 : sale_rate;

		var msecPerMinute = 1000 * 60;
		var msecPerHour = msecPerMinute * 60;
		var msecPerDay = msecPerHour * 24;
		
		var now = new Date(); 
		var dday = Ns.Date.getDateParse02( date ); // 원하는 날짜, 시간 정확하게 초단위까지 기입.
		var interval = dday.getTime() - now.getTime();
		
		var days = interval / msecPerDay; 
		var daysRound = Math.floor(days); 
		var hours = interval / msecPerHour - (24 * daysRound); 
		var hoursRound = Math.floor(hours); 
		var minutes = interval / msecPerMinute - (24 * 60 * daysRound) - (60 * hoursRound); 
		var minutesRound = Math.floor(minutes); 
		var seconds = interval / 1000 - (24 * 60 * 60 * daysRound) - (60 * 60 * hoursRound) - (60 * minutesRound); 
		var secondsRound = Math.round(seconds);

		daysRound = parseInt(daysRound, 10) < 10 ? (Math.sign(parseInt(daysRound, 10) == 1) ? "0" + daysRound : daysRound) : daysRound;
		hoursRound = parseInt(hoursRound, 10) < 10 ? "0" + hoursRound : hoursRound;
		minutesRound = parseInt(minutesRound, 10) < 10 ? "0" + minutesRound : minutesRound;
		secondsRound = parseInt(secondsRound, 10) < 10 ? "0" + secondsRound : secondsRound;
		
		var htmlTxt =  '<p class="d_date">D- <span>'+daysRound+'</span>일 <span>'+hoursRound+'</span>:<span>'+minutesRound+'</span></p>';
		if( sale_rate >= 90)
			htmlTxt += '<span class="tag item-feature soldout"><span class="head">매진임박</span></span>';
		if(daysRound == "00")
			htmlTxt += '<span class="tag item-feature deadline"><span class="head">마감임박</span></span>';

		// gunbunValue 값에 따라 htmlFormat 구조 추가 하여 수정
		switch (gunbunValue) {
			case "days" 		: return daysRound; break;
			case "hours" 		: return hoursRound; break;
			case "minutes" 		: return minutesRound; break;
			case "seconds" 		: return secondsRound; break;
			case "htmlFormat" 	: return htmlTxt; break;
			case "json" 		: return { day : daysRound, hour:hoursRound, minute:minutesRound, second:secondsRound, html: htmlTxt}; break;
			default: break;	
		}
	},
	
	/**
	 * 만나이 계산한다.
	 * 년월일 형식의 생일을 입력 받아 만나이를 계산해 리턴한다.
	 * bAgeChk의 값이 true로 입력될경우 만 14세 이상인지 리턴한다.
	 * @param birthday	- String - 년월일 생일(yyyymmdd or yyyy-mm-dd 형식) 
	 * @param bAgeChk	- Boolean - true가 들어올경우 만 14세이상인지 판당하여 이상일 경우 true리턴,
	 * 								만 14세 미만일 경우 false 리턴한다.
	 * @param pAge		- String  - 기준 나이 값 미 입력이 만14세를 기준으로 한다. - Ssong 추가
	 * 								미입력시 혹은 true가 아닐경우 만14세 여부 판단 안함. 
	 * @param pAgeInFull - Boolean - 만 나이 체크시 생년 만 가지고 체크 할것인지 생년원일 까지 체크 할것인지..
	 * 								fasle || 미입력 : 생년원일까지 체크 / true : 생년만 체크
	 * @return Boolean - bAgeChk값이 true로 입력된 경우 만 14세 이상일 경우 true 리턴, 미만은 false 리턴
	 * 			Number - bAgeChk값이 미입력 혹은 true가 아닌경우 만나이 계산하여 리턴
	 */
	getAgeInFull : function( birthday, bAgeChk , pAge , pAgeInFull){
		if (undefined == birthday){
			alert("getAgeInFull function error");
			return;
		}
		//Ssong
		var age = pAge || 13;
		var ageInFull = pAgeInFull || false;
		
		birthday = birthday.replace(/-/g, "");
		var year = birthday.substr(0,4);
		var month = birthday.substr(4,2);
		var day = birthday.substr(6,2);
		
		var now = new Date();
		var birth = new Date( year, month, day);
		
		if(ageInFull){
			birth = new Date( year );
		}
		
		var result = Math.floor((now - birth) /1000 /60 /60 /24 /365);
		
		// 만 14세 이상인가 판다 (기준나이 변경시 비교 숫자 변경 필요)
		if (undefined != bAgeChk){
			if (bAgeChk == true){
				if (result > age){
					return true;
				}
				
				return false;
			}
		}
		
		return result;
	},

	/**
	 * 입력한 두 날짜 사이의 개월 수 가 넘는지 계산하여 true/false 값을 리턴
	 * @param startDate : 계산하고싶은 날짜1
	 * @param endDate :  계산하고싶은 날짜2
	 * @param month :  입력된 개월 수가 넘는지 계산
	 */	
	checkPeriodMonth : function( startDate, endDate, month ) {
		
		startDate = startDate.replace(/[\.-]/g, "");
		endDate = endDate.replace(/[\.-]/g, "");
		
		var startDate_year = startDate.substring(0, 4);
		var startDate_month = startDate.substring(4, 6);
		var startDate_day = startDate.substring(6, 8);
		
		var endDate_year = endDate.substring(0, 4);
		var endDate_month = endDate.substring(4, 6);
		var endDate_day = endDate.substring(6, 8);
		
		var yearGap = endDate_year - startDate_year;
		var monthGap = endDate_month - startDate_month;
		var dayGap = endDate_day - startDate_day;
		
		if((yearGap * 12) + monthGap < month){
			return true;
		} else if((yearGap * 12) + monthGap > month){
			return false;
		} else {
			if(dayGap <= 0) {
				return true;
			} else {
				return false;
			}
		}
	},
	
	
	/**
	 * 현재 시간이 입력한 시간 사이에 있는지 체크
	 * @param startDate - 시작 날짜
	 * @param endDate - 끝 날짜
	 * @param isTime - 시간계산까지 포함 할 것인지
	 * @returns 사이에 있으면 true, 아니라면 false
	 */
	checkDateValidate : function(startDate, endDate){
		if(Ns.Util.isNull(startDate) || Ns.Util.isNull(endDate)){
			return false;
		}
		
		var today = this.getTimeStamp(true);
		//var start = "";
		//var end = "";
		
		startDate = startDate.replace(/ /gi, "");
		startDate = startDate.replace(/-/gi, "");
		startDate = startDate.replace(/:/gi, "");
		startDate = startDate.replace(/[.]/gi, "");
		
		endDate = endDate.replace(/ /gi, "");
		endDate = endDate.replace(/-/gi, "");
		endDate = endDate.replace(/:/gi, "");
		endDate = endDate.replace(/[.]/gi, "");
		
		var strT_y = today.substring(0, 4);
		var strT_M = today.substring(4, 6);
		var strT_d = today.substring(6, 8);
		var strT_H = today.substring(8, 10) == "" ? "00" : today.substring(8, 10);
		var strT_m = today.substring(10, 12) == "" ? "00" : today.substring(10, 12);
		var strT_s = today.substring(12, 14) == "" ? "00" : today.substring(12, 14);
		
		var strS_y = startDate.substring(0, 4);
		var strS_M = startDate.substring(4, 6);
		var strS_d = startDate.substring(6, 8);
		var strS_H = startDate.substring(8, 10) == "" ? "00" : startDate.substring(8, 10);
		var strS_m = startDate.substring(10, 12) == "" ? "00" : startDate.substring(10, 12);
		var strS_s = startDate.substring(12, 14) == "" ? "00" : startDate.substring(12, 14);
		
		var strE_y = endDate.substring(0, 4);
		var strE_M = endDate.substring(4, 6);
		var strE_d = endDate.substring(6, 8);
		var strE_H = endDate.substring(8, 10) == "" ? "00" : endDate.substring(8, 10);
		var strE_m = endDate.substring(10, 12) == "" ? "00" : endDate.substring(10, 12);
		var strE_s = endDate.substring(12, 14) == "" ? "00" : endDate.substring(12, 14);
		
		tDate = new Date(strT_y, Number(strT_M)-1, strT_d, strT_H, strT_m, strT_s);
		sDate = new Date(strS_y, Number(strS_M)-1, strS_d, strS_H, strS_m, strS_s);
		eDate = new Date(strE_y, Number(strE_M)-1, strE_d, strE_H, strE_m, strE_s);
		
		if(tDate >= sDate && tDate < eDate)
			return true;
		else
			return false;
	},
	
	/**
	 * 
	 * @param string
	 * @param isAcronym - 약자 사용 여부
	 * @returns {String}
	 */
	convertingMonth : function( month ){
		var rtnTxt = "";
		var full_months = new Array('January','February','March','April','May','June','July','August','September','October','November','December');
		var short_months = new Array('jan','feb','mar','apr','may','jun','jul','aug','sep','oct','nov','dec');
		
		for( var i=0; i<short_months.length; i++ ){
			if ( short_months[i] == month ){
				rtnTxt = full_months[i];
				break;
			}
		}
		
		return rtnTxt;
	},
	
	/**
	 * 숫자로된 문자열 형식인지 여부 리턴
	 * -주의:빈스트링("") 및 '-'포함시 false 리턴
	 * @param strMent
	 * @returns {Boolean}
	 */
	isStrNum : function (strMent){
		var pattern = /^([0-9]{1,})$/;	// 정규식 패턴
		return pattern.test(strMent);
	},
	
	/**
	 * HHmmss(시분초) 혹은 HHmm(시분) 형식의 문자열 여부
	 * @param strTime {String} 시분초 혹은 시분 형식의 숫자형 문자열
	 * @returns {Boolean}
	 */
	isStrTime : function (strTime){
		if (!this.isStrNum(strTime)){ return false; }
		if (strTime.length != 4 && strTime.length != 6){ return false; }
		
		var h = Number(strTime.substring(0, 2), 10);
		var m = Number(strTime.substring(2, 4), 10);
		var s = 0;
		
		if (0 > h || h > 24){ return false; }
		if (0 > m || m > 59){ return false; }
		
		if (strTime.length == 6){
			s = Number(strTime.substring(4, 6), 10);
			if (0 > s || s > 59){ return false; }
		}
		
		return true;
	},
	
	/**
	 * null, undefined일 경우 true 리턴
	 * @param ment
	 * @returns {Boolean}
	 */
	isNU : function (ment){		
		if(Ns.Util.isNull(ment)){
			return true;
		}
		
		return false;
	},
	

	/**
	 * HHmmss(시분초) 혹은 HHmm(시분) 형식의 시간 data를 원하는 포멧으로 변경한다. 
	 * * 주의:포메팅 문자열에 H, m, s 문자가 있을 경우 잘못된 값이 출력될 수 있음
	 * @param strTime {String} HHmmss 혹은 HHmm형식의 문자열
	 * @param strFM {String} 'HH:mm:ss'등의 포멧팅 문자열
	 * 							HH - 08	; 시간 2자리 표시
	 * 							H  - 8  : 시간 1자리 표시
	 * 							mm - 03 : 분 2자리 표시
	 * 							m  - 3  : 분 1자리 표시
	 * 							ss - 09 : 초 2자리 표시
	 * 							s  - 9  : 초 1자리 표시
	 * 							APMK - 오전 : 시간에 따른 오전,오후 표시
	 * 							APM  - AM   : 시간에 따른 AM,PM 표시
	 * 							apm  - am   : 시간에 따른 am,pm 표시
	 * @returns {String} 원하는 형식으로 포멧팅 된 문자열
	 * @author 20141205 정헌태 - 신규생성
	 * @examples 
		util.setFMtime("080309", "HH:mm:ss");
		util.setFMtime("130309", "APMK H시 m분");
		
		=> "08:03:09"
		=> "오후 1시 3분"
	 */
	setFMtime : function (strTime, strFM){
		if (!this.isStrTime(strTime)){ 
			return strTime;
		}
		if (this.isNU(strFM)){
			return strTime;
		}
		if (typeof(strFM) != "string"){
			return strTime;
		}
		if (strTime.length != 6 && strTime.length != 4){
			return strTime;
		}
		
		var strAPMK = "";
		var strAPM = "";
		var strApm = "";
		var str_HH;
		if (strFM.indexOf("APM") > -1 || strFM.indexOf("apm") > -1){
			var nHH = strTime.substring(0, 2) == "24" ? 0 : Number(strTime.substring(0, 2));
			
			strAPMK = nHH > 11 ? "오후" : "오전";
			strAPM = nHH > 11 ? "PM" : "AM";
			strApm = nHH > 11 ? "pm" : "am";
			
			str_HH = nHH > 12 ? nHH -12 : nHH;
			str_HH = str_HH < 10 ? "0" + str_HH : str_HH;
			
		} else {
			str_HH = strTime.substring(0, 2);
		}
		
		var str_H = String(Number(str_HH));
		var str_mm = strTime.substring(2, 4);
		var str_m = String(Number(str_mm));
		
		var str_ss = "";
		var str_s = "";
		
		if (strTime.length == 6){
			str_ss = strTime.substring(4, 6);
			str_s = String(Number(str_ss));
		}
		
		var strFMTime = strFM;
		strFMTime = strFMTime.replace(/APMK/g , strAPMK).replace(/APM/g , strAPM).replace(/apm/g , strApm);
		strFMTime = strFMTime.replace(/HH/g , str_HH).replace(/H/g , str_H);
		strFMTime = strFMTime.replace(/mm/g , str_mm).replace(/m/g , str_m);
		strFMTime = strFMTime.replace(/ss/g , str_ss).replace(/s/g , str_s);
		
		return strFMTime;
		
	},
	
	/*
	 * 현재 날짜와 입력 날짜의 기간차 년/월/일/시간 중 가장 최근 값 반환
	 */
	vodDateDiff : function(date){
		var HOUR = 1 * 60 * 60 * 1000;
		var DAY = 1 * 24 * 60 * 60 * 1000;
		var WEEK = 7 * 24 * 60 * 60 * 1000;
		var MONTH = 30 * 24 * 60 * 60 * 1000;
		var YEAR = 365 * 24 * 60 * 60 * 1000;
		var nowDate = new Date();

		var vodYear = date.substring(0,4) * 1;
		var vodMonth = date.substring(4,6) * 1;
		var vodDay = date.substring(6,8) * 1;
		var vodHour = date.substring(8,10) * 1;
		var vodMin = date.substring(10,12) * 1;

		var vodDate = new Date(vodYear,vodMonth - 1,vodDay,vodHour,vodMin);

		var diff = nowDate - vodDate;
		var dateString;

		if(diff < DAY){
			diff = parseInt(diff/HOUR) == 0 ? 1 : parseInt(diff/HOUR);
			dateString = diff + "시간 전";
			return dateString;
		}
		else if(diff < WEEK){
			diff = parseInt(diff/DAY);
			dateString = diff + "일 전";
			return dateString;
		}
		else if(diff < MONTH){
			diff = parseInt(diff/WEEK);
			dateString = diff + "주 전";
			return dateString;
		}
		else if(diff < YEAR){
			diff = parseInt(diff/MONTH);
			dateString = diff + "달 전";
			return dateString;
		}
		else{
			diff = parseInt(diff/YEAR);
			dateString = diff + "년 전";
			return dateString;
		}
	},
		
};
Ns.Date = new DateCtrl();


/*********************** 내장객체 확장 ***************************/
//날짜 계산. 
Date.prototype.format = function(f) {
    if (!this.valueOf()) return " ";
 
    var weekName = ["일", "월", "화", "수", "목", "금", "토"];
    var d = this;
     
    return f.replace(/(yyyy|yy|MM|dd|E|hh|mm|ss|a\/p)/gi, function($1) {
        switch ($1) {
            case "yyyy": return d.getFullYear();
            case "yy": return (d.getFullYear() % 1000).zf(2);
            case "MM": return (d.getMonth() + 1).zf(2);
            case "dd": return d.getDate().zf(2);
            case "E": return weekName[d.getDay()];
            case "HH": return d.getHours().zf(2);
            case "hh": return ((h = d.getHours() % 12) ? h : 12).zf(2);
            case "mm": return d.getMinutes().zf(2);
            case "ss": return d.getSeconds().zf(2);
            case "a/p": return d.getHours() < 12 ? "오전" : "오후";
            default: return $1;
        }
    });
};
 
String.prototype.string = function(len){var s = '', i = 0; while (i++ < len) { s += this; } return s;};
String.prototype.zf = function(len){return "0".string(len - this.length) + this;};
Number.prototype.zf = function(len){return this.toString().zf(len);};

/*********************** 내장객체 확장  ***************************/


/**
 * Array에서 중복값 제거
 */
Array.prototype.valueIndex = function(pval, type) {
	var idx = -1;

	if (this == null || this == undefined || pval == null || pval == undefined) {
	} else {
		for ( var i = 0; i < this.length; i++) {
			if (type == undefined) {
				if (this[i] == pval) {
					idx = i;
					break;
				}
			} else {
				if (JSON.stringify(this[i]) == JSON.stringify(pval)) {
					idx = i;
					break;
				}
			}
		}
	}
	return idx;
};

Array.prototype.removeDup = function(type) {
	var resultArray = [];

	if (this == null || this == undefined) {
	} else {
		for ( var i = 0; i < this.length; i++) {
			var el = this[i];
			if (resultArray.valueIndex(el, type) === -1)
				resultArray.push(el);
		}
	}

	return resultArray;
};

/**
 * Array에서 특정 element 제거.
 */
Array.prototype.remove = function( index ) {
	this.splice(index, 1);
	return this;
};

/**
 * Array에 값이 존재하는지 여부
 */
Array.prototype.contains = function(obj) {
    var i = this.length;
    while (i--) {
        if (this[i] === obj) {
            return true;
        }
    }
    return false;
};
