
/* JavaScript content from js/common/pageNavigate.js in folder common */
/**
 * 화면 네비게이션 관리
 * 현 사이트는 ajax load 방식으로 htmml을 불러와 화면을 계속 그려주는 방식임.
 * 브라우저의 앞뒤 버튼 어느 정도 적용 되도록 처리함.
 * 
 * 20150130	정헌태 최초작성 - 프로젝트 막판인데 이제 와서 현업이 웹일경우 브라우저 앞뒤버튼 먹개 해달라고 해서 기존 소스 거의 갈아 엎어 버림... 소스는 또 개판됨
 * 20150202 정헌태 수정 - ibm 윤하리 선생님 요청으로 웹일경우 메인 페이지에 들어 가더라도 브라우저 빽버튼으로 이전 페이지 가도록 수정
 */

var arrPageNumNewURL = "";
var strNewUrl = "";

// 이벤트 캐취
var supports_onhashchange = ('onhashchange' in window && (document.documentMode == undefined || document.documentMode > 7));
if (supports_onhashchange) {
	window.onhashchange = function(e) {
		arrPageNumNewURL = e.newURL.split("&");
		strNewUrl = e.newURL;
	};
}

$(window).on("navigate", function(event, data) {
	var direction = data.state.direction;

	if (undefined != direction) {
		var pageNum = "";

		for ( var i = 0; arrPageNumNewURL.length > i; i++) {
			if (arrPageNumNewURL[i].indexOf("pageNewUrlNum") != -1) {
				pageNum = arrPageNumNewURL[i].replace("pageNewUrlNum=", "");
				break;
			}
		}

		var beforPageId = "";
		var afterPageId = "";

		var beforPageIndex = "";
		var afterPageIndex = "";

		if (undefined != navi.getData(-1)) {
			beforPageId = navi.getData(-1).pageIds;
			beforPageIndex = navi.getData(-1).index;
		}

		if (undefined != navi.getData(1)) {
			afterPageId = navi.getData(1).pageIds;
			afterPageIndex = navi.getData(1).index;
		}

		if (pageNum == "" && navi.getPointerIndex() == 1) {
			if(!(mainCtrl.VIEW_TYPE == "iosweb" && direction == "forward")){
				navi.moveBack();
			}
		} else {
			if (pageNum == String(beforPageId)) {
				if(!(mainCtrl.VIEW_TYPE == "iosweb" && direction == "forward")){
					navi.moveBack();
				}
			} else if (pageNum == String(afterPageIndex)) {
				navi.moveForward();
			} else {
				if(!(mainCtrl.VIEW_TYPE == "iosweb" && direction == "forward")){
					navi.moveBack();
				}
			}
		}

	} else {
		if (arrPageNumNewURL.length == 1 && strNewUrl == location.protocol + "//" + location.hostname){
			mainCtrl.gotoMain();
		}
	}

});

navi = {
	objNaviData : {
		pageIds : [ PAGE.main ],
		pageParams : [ "" ],
		pageScrollPosYs : [ 0 ],
		pagePointer : [ "*" ],

	},

	naviFlag : new Object(),

	arrChkPage : [],
	arrChkNext : [],
	//Layer
	arrInteval : [],
	
	/**
	 * 
	 * @param id
	 * @param param
	 * @param scroll
	 * @param index
	 */
	setData : function(id, param, scroll, index) {
		if (null == id || undefined == id || "" == id) {
			alert("navi.setData의 id 값을 확인해 주세요.");
			return;
		}

		if (null == param || undefined == param) {
			param = "";
		}

		if (null == scroll || undefined == scroll) {
			scroll = mainCtrl.getNowScroll();
		}
		
		if (id == PAGE.main && (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android")) { // 메인 페이지는 무조건 처음으로 세팅 후 이후 초기화
			navi.objNaviData.pageIds[0] = id;
			navi.objNaviData.pageParams[0] = param;
			navi.objNaviData.pageScrollPosYs[0] = scroll;
			navi.objNaviData.pagePointer[0] = "*";
			navi.delNextAll(); // 현 포인트 위치 뒤 모두 삭제
		} else {
			var nCount = navi.objNaviData.pageIds.length;

			if (null == index || undefined == index) {
				index = navi.getPointerIndex() + 1; // 현 포인트 위치에 한칸 추가

				navi.objNaviData.pageIds[index] = id;
				navi.objNaviData.pageParams[index] = param;
				navi.objNaviData.pageScrollPosYs[index] = scroll;
				navi.clearPointer(); // 포인터 위치 클리어
				navi.objNaviData.pagePointer[index] = "*";
				navi.delNextAll(); // 현 포인트 위치 뒤 모두 삭제
				
				var hash = "#" + id + "&pageNewUrlNum=" + index;

				/* beshow 스크립트 추적을 위해 파라미터 추가*/
				if(typeof param === "object") {				
					if("_stracksoln" in param){
						hash	+= "&_stracksoln=" + param['_stracksoln'];
					}
					if("_strack" in param){
						hash	+= "&_strack=" + param['_strack'];
					}
					if("_strackcode" in param){
						hash	+= "&_strackcode=" + param['_strackcode']; 
					}
					if("beshow" in param){
						$("#searchHeader").data('beshow', param['beshow']);
					}
				}

				location.hash = (hash);
				
			} else {
				if ((nCount - 1 + index) > 0 && nCount > (nCount - 1 + index)) {
					navi.objNaviData.pageIds[nCount - 1 + index] = id;
					navi.objNaviData.pageParams[nCount - 1 + index] = param;
					navi.objNaviData.pageScrollPosYs[nCount - 1 + index] = scroll;
				}
			}
		}
	},

	/**
	 * 포인터의 data를 추출 한다.
	 * 
	 * @param index
	 * @param index1
	 * @returns
	 */
	getData : function(index, index1) {
		if (null == index || undefined == index) {
			index = navi.getPointerIndex();

			var obj = {
				"index" : index,
				"pageIds" : navi.objNaviData.pageIds[index],
				"pageParams" : navi.objNaviData.pageParams[index],
				"pageScrollPosYs" : navi.objNaviData.pageScrollPosYs[index]
			};

			return obj;
		} else {
			if (index == 0 && undefined != index1) {
				if (undefined == navi.objNaviData.pageIds[index1]) {
					return undefined;
				}

				var obj = {
					"index" : index1,
					"pageIds" : navi.objNaviData.pageIds[index1],
					"pageParams" : navi.objNaviData.pageParams[index1],
					"pageScrollPosYs" : navi.objNaviData.pageScrollPosYs[index1]
				};

				return obj;
			} else {
				index = navi.getPointerIndex() + index;

				if (index < 0 || navi.objNaviData.pageIds.length <= index) {
					return undefined;
				}

				var obj = {
					"index" : index,
					"pageIds" : navi.objNaviData.pageIds[index],
					"pageParams" : navi.objNaviData.pageParams[index],
					"pageScrollPosYs" : navi.objNaviData.pageScrollPosYs[index]
				};

				return obj;
			}
		}
	},

	/**
	 * 이전 페이지 이동
	 */
	moveBack : function() {
		// 메뉴 닫기
		$('#dimmedAll').trigger('click');
		
		// 현재 화면이 홈인 경우.
		if (("M_G1100000M" == navi.getPageId() || PAGE.main == navi.getPageId()) && (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android")) {
			mainCtrl.exitAlert(Messages.isEnd);
			return false;
		}  
		
		// 이전으로 이동 막기
		if ("M_B13G0000M" == navi.getPageId()) { // 주문 완료
			mainCtrl.gotoMain();
			return;
		}
		
		//Ns Talk 뒤로가기 처리 문제 -- sypark
		if ("M_G3000000M" == navi.getPageId() || "M_G3100000M" == navi.getPageId()) {
			$("#util").show();
			$("#util").addClass("active");
			CurrentView.util.endConnectTalkSocket();
			
			if("M_G3100000M" == navi.getPageId()){
				Ns.UI.setTopBottomShow();
			}
		}
			
		// eTV 바로주문 옵션선택화면일 경우 뒤로가기 막기
		if ("M_G2260000M" == navi.getPageId() && mainCtrl.VIEW_TYPE == "androidweb") {
			return false;
		}
		
		if (navi.chkEtc(2) == false) {
			return;
		}
		
		if (0 == navi.getPointerIndex() - 1 && (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android")) {
			mainCtrl.gotoMain();
		} else if (0 <= navi.getPointerIndex() - 1) {
			var bFlag = false;

			var pointerIndex = "";
			var pageId = "";
			var pageParams = "";
			var scrollPos = 0;

			for ( var i = navi.getPointerIndex() - 1; i >= 0; i--) {
				var objData = navi.getData(0, i);

				// 로그인 된 상태에서 로그인 페이지도 이동하려 할경우 건너뜀
				if ((objData.pageIds == PAGE.login || objData.pageIds == PAGE.login_non)
						&& mainCtrl.checkLogonStatus()) {
					navi.setMovePointer(-1);
					navi.naviBack();
					return;
				}
				
				bFlag = true;
				pointerIndex = objData.index;
				pageId = objData.pageIds;
				pageParams = objData.pageParams;
				scrollPos = objData.pageScrollPosYs;
				break;
			}

			if (bFlag) {
				
				navi.clearPointer(); // 포인터 위치 클리어
				navi.objNaviData.pagePointer[pointerIndex] = "*";
				if(PAGE_CONFIG[pageId].isLogin && !mainCtrl.checkLogonStatus()){
					mainCtrl.gotoMain();
				}else{
					mainCtrl.pageLoad(pageId, pageParams, scrollPos);
				}
			}
		} else if (0 == navi.getPointerIndex() - 1) {
			mainCtrl.gotoMain();
		}
	},

	/**
	 * 
	 */
	naviBack : function() {
		if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android") { // 앱
			navi.moveBack();
			return;
		}
		window.history.back();
		return false;
	},

	/**
	 * 다음 페이지 이동
	 */
	moveForward : function() {
		// 메뉴 닫기
		$('#dimmedAll').trigger('click');

		if (navi.chkEtc(3) == false){
			return ;
		}
		
		var bFlag = false;

		var pointerIndex = "";
		var pageId = "";
		var pageParams = "";
		var scrollPos = 0;

		for ( var i = navi.getPointerIndex() + 1; i < navi.objNaviData.pageIds.length; i++) {
			var objData = navi.getData(0, i);
			if (undefined == objData) {
				return;
			}
			
			// 로그인 된 상태에서 로그인 페이지도 이동하려 할경우 건너뜀
			if ((objData.pageIds == PAGE.login || objData.pageIds == PAGE.login_non)
					&& mainCtrl.checkLogonStatus()) {
				if (undefined != navi.getData(0, 1)) {
					navi.setMovePointer(1);
					window.history.forward();
				}

				return;
			}

			bFlag = true;
			pointerIndex = objData.index;
			pageId = objData.pageIds;
			pageParams = objData.pageParams;
			scrollPos = objData.pageScrollPosYs;

			break;
		}
		if(PAGE.layerNoFowardPage.indexOf(pageId) != -1){
			return false;
		}

		if (bFlag) {
			navi.clearPointer(); // 포인터 위치 클리어
			navi.objNaviData.pagePointer[pointerIndex] = "*";
			mainCtrl.pageLoad(pageId, pageParams, scrollPos);
		}
	},

	/**
	 * 포인트 array의 값을 빈스트링으로 모두 바꾼다.
	 */
	clearPointer : function() {
		var nCount = navi.objNaviData.pagePointer.length;

		for ( var i = 0; i < nCount; i++) {
			if (null != navi.objNaviData.pagePointer[i]
					&& undefined != navi.objNaviData.pagePointer[i]) {
				navi.objNaviData.pagePointer[i] = "";
			}
		}
	},

	/**
	 * 현 포인트 위치뒤의 data는 모두 삭제
	 */
	delNextAll : function() {
		var nCount = navi.objNaviData.pageIds.length;
		var bFlag = false;

		for ( var i = 0; i < nCount; i++) {
			if (bFlag == true) {
				navi.objNaviData.pageIds.splice(i, nCount);
				navi.objNaviData.pageParams.splice(i, nCount);
				navi.objNaviData.pageScrollPosYs.splice(i, nCount);
				navi.objNaviData.pagePointer.splice(i, nCount);
				break;
			} else if (bFlag == false && navi.objNaviData.pagePointer[i] == "*") {
				bFlag = true;
			}
		}
	},

	/**
	 * 현 포인트의 위치(index)를 리턴한다.
	 * 
	 * @returns {Number}
	 */
	getPointerIndex : function() {
		var nCount = navi.objNaviData.pagePointer.length;

		for ( var i = 0; i < nCount; i++) {
			if (navi.objNaviData.pagePointer[i] == "*") {
				return i;
			}
		}
	},

	/**
	 * 포인터를 이동한다. 현 포인터을 기준으로 앞, 뒤로 이동한다.
	 * 
	 * @param nIndex
	 */
	setMovePointer : function(nIndex) {
		if (null == nIndex || undefined == nIndex) {
			nIndex = 0;
		}

		var nCount = navi.objNaviData.pagePointer.length;

		for ( var i = 0; i < nCount; i++) {

			if (navi.objNaviData.pagePointer[i] == "*") {

				if (i == 0) { // 첫번째일 경우 별도 동작 하지 않음
					if (undefined != navi.objNaviData.pagePointer[i + nIndex]) {
						navi.objNaviData.pagePointer[i] = "";
						navi.objNaviData.pagePointer[i + nIndex] = "*";
						break;
					}
				} else {
					if (i + nIndex < 0) { // 0보다 작을경우 첫번째 선택
						navi.objNaviData.pagePointer[i] = "";
						navi.objNaviData.pagePointer[0] = "*";
						break;
					} else if (i + nIndex >= nCount) { // max보다 클경우 마지막 선택
						navi.objNaviData.pagePointer[i] = "";
						navi.objNaviData.pagePointer[nCount - 1] = "*";
						break;
					} else { // 원하는 위치로 포인터 이동
						navi.objNaviData.pagePointer[i] = "";
						navi.objNaviData.pagePointer[i + nIndex] = "*";
						break;
					}
				}
			}
		}
	},

	/**
	 * 포인터를 이전화면으로 이동하여 data를 추출하고, 이동된 포인터 뒤쪽 data는 삭제한다.
	 * 
	 * @returns
	 */
	getBeforDelNext : function() {
		navi.setMovePointer(-1); // 포인터 앞으로 이동
		navi.delNextAll(); // 현 포인터 기준 뒤 모두 삭제
		return navi.getData(); // 현 포인터 위치 data 리턴
	},

	/**
	 * 현 포인터 위치에 속하는 페이지 id를 리턴한다.
	 * 
	 * @returns
	 */
	getPageId : function(n) {
		if (null == n || undefined == n) {
			n = 0;
		}

		if (n == 0) {
			return navi.getData().pageIds;
		} else if (undefined != navi.getData(n)) {
			return navi.getData(n).pageIds;
		}

		return undefined;
	},

	/**
	 * 현 포인터 위치에 속하는 페이지 param data를 리턴한다.
	 * 
	 * @returns
	 */
	getPageParam : function() {
		return navi.getData().pageParams;
	},

	/**
	 * 현 포인터 위치에 속하는 페이지 스크롤 세로 위치를 리턴한다.
	 * 
	 * @returns
	 */
	getPageScrollPosY : function() {
		return navi.getData().pageScrollPosYs;
	},

	/**
	 * 현 포인터 위치에 속하는 페이지 id를 수정한다.
	 * 
	 * @param str
	 */
	setPageId : function(str) {
		if (null == str || undefined == str) {
			str = "";
		}

		navi.objNaviData.pageIds[navi.getPointerIndex()] = str;
	},

	/**
	 * 현 포인터 위치에 속하는 페이지 param data를 수정한다.
	 * 
	 * @param str
	 */
	setPageParam : function(obj) {
		if (null == obj || undefined == obj) {
			obj = "";
		}

		navi.objNaviData.pageParams[navi.getPointerIndex()] = obj;
	},

	/**
	 * 현 포인터 위치에 속하는 페이지 스크롤 세로 위치를 수정한다.
	 * 
	 * @param str
	 */
	setPageScrollPosY : function(n) {
		if (null == n || undefined == n) {
			n = 0;
		}

		navi.objNaviData.pageScrollPosYs[navi.getPointerIndex()] = n;
	},
	
	/**
	 * 
	 */
	//Layer FIXME
	chkEtc : function(nType) {
		var strNowPageId = navi.getPageId();
		var layerPageInfo = '';
		
		for ( var j = navi.getPointerIndex() ; j >= 0; j--) {
			var objData = navi.getData(0, j);

			// 로그인 된 상태에서 로그인 페이지도 이동하려 할경우 건너뜀
			if ((objData.pageIds == PAGE.login || objData.pageIds == PAGE.login_non)
					&& mainCtrl.checkLogonStatus()) {
				navi.setMovePointer(-1);
				navi.naviBack();
				return;
			}
			layerPageInfo = objData;
			break;
		}
		

		if (nType == 1) {
			// empty for purpose
		} else if (nType == 2) {
			for ( var i = navi.arrChkPage.length - 1; i >= 0; i-- ) {	
				if (navi.getPageId() == navi.arrChkPage[i] ) {
					var strFlagValue = eval("navi.naviFlag.naviFlag" + i);

					if (undefined == strFlagValue || strFlagValue == false) { //
						if (navi.arrChkPage[i] != "alert"){
							navi.setMovePointer(-1);
						}
						if (typeof(navi.arrChkNext[i]) == "string"){
								eval(navi.arrChkNext[i]);
						} else if (typeof(navi.arrChkNext[i]) == "function"){
							$(navi.arrChkNext[i]);
						} else {
							$(navi.arrChkNext[i].fn);
						}
						
						if (navi.arrChkPage[i] == "alert"){
							if (navi.getPageId() == "alert"){
								navi.setMovePointer(-1);
							}
						}
						
						if(typeof(navi.arrChkNext[i]) != "undefined"){
							navi.arrChkNext.pop();
							navi.arrChkPage.pop();
						}
						return false;
					}

					eval("navi.naviFlag.naviFlag" + i + "=false");
					return true;
				}

				if (undefined != navi.getPageId(-1)
						&& navi.getPageId(-1) == navi.arrChkPage[i]) {
					eval("navi.naviFlag.naviFlag" + i + "=true");

					navi.setMovePointer(-1);
					navi.naviBack();
					return false;
				}
			}
		} else if (nType == 3){
			for ( var i = 0; i < navi.arrChkPage.length; i++) {
				if (undefined != navi.getPageId(1) && navi.getPageId(1) == navi.arrChkPage[i]) {
					if (undefined != navi.getPageId(2)) {
						navi.setMovePointer(1);
						window.history.forward();
						return false;
					} else {
						navi.setMovePointer(1);
						return false;
					}

				}
			}
		}
		
		return true;
	},
	
	/**
	 * 
	 * @param id
	 * @param param
	 * @param scroll
	 * @param strFn
	 */
	setDataPop : function(id, param, scroll, strFn) {
		if (null == param || undefined == param){
			param = "";
		}
		
		if (null == scroll || undefined == scroll){
			scroll = 0;
		}
		
		if (null == strFn || undefined == strFn){
			strFn = "Ns.Popup.hidePopup()";
		}
		
		var bFlag = false;
		
		for (var i = 0; navi.arrChkPage.length > i; i++){
			if (navi.arrChkPage[i] == id){
				navi.arrChkNext[i] = strFn;
				bFlag = true;
				break;
			}
		}
		
		if (bFlag == false){
			navi.arrChkPage.push(id);
			navi.arrChkNext.push(strFn);
		}
		
		navi.setData(id, param, scroll);
	},
	
	//Layer
	clearCSSFiles : function(){
		
		for(var i = 0; i < this.arrChkPage.length ; i++)	{
			var layerPageId = this.arrChkPage[i];
			$('link[id="CSS_' + layerPageId + '"]').attr('disabled', 'disabled').remove();
		}
	},
	
	
	clearChkArray : function(){
		this.arrChkPage = [];
		this.arrChkNext = [];
		this.arrChkPage.length = 0;
		this.arrChkNext.length = 0;
		
	},
	
	
	clearAllIntervalList : function(){
		var intervalIdList = this.arrInteval || [];

		for(var i = 0; i < intervalIdList.length ; i++)	{
			var intervalId = intervalIdList[i]; 
			if (intervalId != 0) {
				window.clearInterval(intervalId);
			}
		}
		this.arrInteval = [];
		
	}

};



