
/* JavaScript content from js/common/sslquery.js in folder common */
/**
 *  추가 iframe 창 세팅
 */
//sslquery.jsp iframe EventListener
(function(){
    //allowed domains (that can use RegExp)
    var whitelist = ["^.*\.nsmall\.com", "file://" ,"localhost:10080"];

    function verifyOrigin(origin){
    	//event.origin === "https://m.nsmall.com"
    	var domain = origin.replace(/^https?:\/\/|:\d{1,4}$/g, "").toLowerCase(),
         i = 0,
         len = whitelist.length;
    	 
         while(i < len) {
             if (domain.match(new RegExp(whitelist[i]))) {
                 return true;
             }
             i++;
         }
        return false;
    }

    function handleRequest(event){
    	if (verifyOrigin(event.origin)) {
    		var sslForm =  JSON.parse(event.data);
			if( sslForm.sslForm_invoke != undefined){
		  		CurrentView.data.callTran(sslForm);    
			}
        }
    }

    if(window.addEventListener) {
        window.addEventListener("message", handleRequest, false);
    } else if (window.attachEvent) {
        window.attachEvent("onmessage", handleRequest);
    }
})();



var CurrentView = {
		tranId : '',
		Authorization : '',
		mClientEnv : '', 
		mwlInstanceId : '',
		
		init : function( params ) {
			this.tranId = params.tranId;
			this.mClientEnv = params.clientEnv;
			this.mWlInstanceId = params.wlInstanceId;
			this.initializeComponent();
			this.onLoad( params );
		},
		
		//이벤트 binding 등...
		initializeComponent : function() {
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function( params ) {
			WL.Client.addGlobalHeader("WL-Instance-Id", CurrentView.mWlInstanceId);
			CurrentView.data.getRequestParam();			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {

 
			callTran : function(params){
				var objParamData = params.sslForm_invoke;
		
				
				tran.callWCSJsonTran(objParamData.tranId, objParamData.data.parameters[0].content, function(data){
//					if (undefined == data.msg){
//						alert("정상적인 output data가 아닙니다.");
//						return;
//					}
	 			
					var response = {
						status: data.statusCode,
						invocationContext : {progress: true},
						invocationResult :  data, // data.msg
						WLInstanceId : objParamData.tranId
					};
	
					CurrentView.data.callbackPostMessage(response);
					 
				}, null, CurrentView.data.failFunc , null, null, CurrentView.data.connectionFailFunc);
				
		 
			},
	 
			failFunc : function( response ){
				var data = {
						status: response.statusCode,
						invocationContext : {progress: true},
						invocationResult :  response,
						errorCode: response.statusCode, 
						errorMsg : response.statusReason
				};
		 
				if (CurrentView.mClientEnv == "ios" ||CurrentView.mClientEnv == "android"){
					window.parent.postMessage(data,"file://");
		    	}else {
			  		if(Const.IS_SERVER_STATE == "LOCAL" || location.hostname.indexOf(".nsmall.com") < 0 ){
			  			window.parent.postMessage(data, "http://localhost:10080");
			  		}else if(Const.IS_SERVER_STATE == "DEV" || Const.IS_SERVER_STATE == "TEST"){
			  			window.parent.postMessage(data, "http://devm.nsmall.com");
			  		}else if(Const.IS_SERVER_STATE == "STAGE"){
			  			window.parent.postMessage(data, "http://bkm.nsmall.com");
			  		}else{
			  			window.parent.postMessage(data, "http://m.nsmall.com");
			  		}		    		
		    	}		
				
			},
			
			connectionFailFunc : function( response ){
				var data = {
						status: response.statusCode,
						invocationContext : {progress: true},
						invocationResult :  response,
						errorCode: response.statusCode, 
						errorMsg : response.statusReason
				};
		 
				if (CurrentView.mClientEnv == "ios" || CurrentView.mClientEnv == "android"){
					window.parent.postMessage(data,"file://");
		    	}else {
			  		if(Const.IS_SERVER_STATE == "LOCAL" || location.hostname.indexOf(".nsmall.com") < 0 ){
			  			window.parent.postMessage(data, "http://localhost:10080");
			  		}else if(Const.IS_SERVER_STATE == "DEV" || Const.IS_SERVER_STATE == "TEST"){
			  			window.parent.postMessage(data, "http://devm.nsmall.com");
			  		}else if(Const.IS_SERVER_STATE == "STAGE"){
			  			window.parent.postMessage(data, "http://bkm.nsmall.com");
			  		}else{
			  			window.parent.postMessage(data, "http://m.nsmall.com");
			  		}		    		
		    	}	
				
			},
			
			callbackPostMessage : function( data ){ 
				if (CurrentView.mClientEnv == "ios" || CurrentView.mClientEnv == "android"){
					window.parent.postMessage(data,"file://");
		    	}else {
			  		if(Const.IS_SERVER_STATE == "LOCAL" || location.hostname.indexOf(".nsmall.com") < 0 ){
			  			window.parent.postMessage(data, "http://localhost:10080");
			  		}else if(Const.IS_SERVER_STATE == "DEV" || Const.IS_SERVER_STATE == "TEST"){
			  			window.parent.postMessage(data, "http://devm.nsmall.com");
			  		}else if(Const.IS_SERVER_STATE == "STAGE"){
			  			window.parent.postMessage(data, "http://bkm.nsmall.com");
			  		}else{
			  			window.parent.postMessage(data, "http://m.nsmall.com");
			  		}		    		
		    	}	
		    },
		    
			getRequestParam : function(){
				var data = {tranId : CurrentView.tranId};
				
				if (CurrentView.mClientEnv == "ios" || CurrentView.mClientEnv == "android"){
					window.parent.postMessage(data,"file://");
		    	}else {
			  		if(Const.IS_SERVER_STATE == "LOCAL" || location.hostname.indexOf(".nsmall.com") < 0 ){
			  			window.parent.postMessage(data, "http://localhost:10080");
			  		}else if(Const.IS_SERVER_STATE == "DEV" || Const.IS_SERVER_STATE == "TEST"){
			  			window.parent.postMessage(data, "http://devm.nsmall.com");
			  		}else if(Const.IS_SERVER_STATE == "STAGE"){
			  			window.parent.postMessage(data, "http://bkm.nsmall.com");
			  		}else{
			  			window.parent.postMessage(data, "http://m.nsmall.com");
			  		}		    		
		    	}
		    }
		
		},

		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
		}
};