
/* JavaScript content from js/common/storeComm.js in folder common */
/**
 * 		페이지 ID : storeComm
 * 		공통매장 메인 - 건강밥상(671054), N스타일(670554), 잘산데이(671055)
 */

CurrentView = {
		inCatalogIdparent : "",	// 매장코드
		inCatgroupId : "",	// 서브메뉴 코드
		inList : "",	// 중간메뉴 선택 index
		bSubMenuShow : false,	// 서브메뉴 출력 여부
		bBarMenuShow : false,	// 중간메뉴 출력 여부
		topBannerSwiper : null,	// 베너 swiper 변수
		arrNoDataPrint : [false, false, false, false],	// data 없은 html 출력 체크 변수	
		
		init : function( params ) {
			this.initializeComponent( params );
			CurrentView.onLoad();
		},
		
		initializeComponent : function( params ){
			CurrentView.inCatalogIdparent = params.catalogIdparent;
			
			// 서브메뉴 세팅
			if (undefined != params.catgroupId){
				CurrentView.inCatgroupId = params.catgroupId;
			}
			
			// 중간메뉴 세팅
			if (undefined != params.list){
				CurrentView.inList = params.list;
			}
			
			// 매장에 따른 class 세팅
			if (CurrentView.inCatalogIdparent == "671054"){	// 건강밥상
				$("#pagenate").addClass("healthytable");
				$("#healthy_barMenu").addClass("healthy_table");
			} else if (CurrentView.inCatalogIdparent == "670554"){	// 패션쇼룸
				$("#pagenate").addClass("showroom");
				$("#healthy_barMenu").addClass("show_room");
			} else if (CurrentView.inCatalogIdparent == "671055"){	// 잘산데이
				$("#pagenate").addClass("goodlife");
				$("#healthy_barMenu").addClass("good_life");
			} else if (CurrentView.inCatalogIdparent == "726554"){	// 건강한설
				$("#pagenate").addClass("holiday");
				$("#healthy_barMenu").addClass("holiday");
			} else {
				$("#pagenate").addClass("holiday");
				$("#healthy_barMenu").addClass("holiday");
			}
		},
		
		onLoad : function(){
			if (CurrentView.inCatgroupId == ""){
				CurrentView.data.getNSThemeTempViewMobileReal("menu");
			} else {
				CurrentView.data.getNSThemeTempViewMobileReal("updata");
			}
			
		},
		
		//데이터 관련 함수 정의
		data : {
			/**
			 * 서브메뉴 및 베너, 베너에 속한 상품을 조회한다.
			 */
			getNSThemeTempViewMobileReal : function(strType){
				var objParam = new Object();
				//objParam.flag = "init";
				objParam.catalogIdparent = CurrentView.inCatalogIdparent;	// 매장 id
				objParam.catgroupId = CurrentView.inCatgroupId;	// 서브메뉴 id (입력값이 없을 경우 메뉴만 조회됨)
				
				objParam.in_flag = strType;	// 콜백 참고용
				
				tran.callWCSJsonTran( 'NSThemeTempViewMobileReal', objParam, CurrentView.ui.setUi_NSThemeTempViewMobileReal, null, function() {}, true  );
			},	
			
			/**
			 * 중간메뉴 및 중간메뉴에 속한 상품을 조회한다.
			 */
			getNSThemeTemplistReal : function(){
				var objParam = new Object();
				objParam.catgroupId = CurrentView.inCatgroupId;	//서브메뉴 id
				
				if (CurrentView.inList == ""){
					objParam.list = "1"
				} else {
					objParam.list = CurrentView.inList;
				}
				
				tran.callWCSJsonTran( 'NSThemeTemplistReal', objParam, CurrentView.ui.setUi_NSThemeTemplistReal, null, function() {}, true  );
			}
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			/**
			 * NSThemeTemplistReal API 통신 후 callback function
			 * 통신을 통해 받아온 data로 화면 출력등 처리
			 */
			setUi_NSThemeTempViewMobileReal : function (objCBdata){
				if (undefined == objCBdata.in_flag){
					$("#healthyCategory").hide();
					CurrentView.arrNoDataPrint[0] = true;
					CurrentView.ui.setNoDataPrint();
					return;
				}
				
				var strInflag = objCBdata.in_flag[0];
					
				if (CurrentView.bSubMenuShow == false){	// 메뉴 출력 여부
					CurrentView.ui.setMenu(objCBdata.msg.root.themeTempCateList);	// 메뉴 출력 펑션 호출
				}
				
				if (strInflag == "menu"){	// 메뉴 조회시
					if ( undefined == objCBdata.msg.root.themeTempCateList[0]){
						$("#healthyCategory").hide();
						CurrentView.arrNoDataPrint[0] = true;
						CurrentView.ui.setNoDataPrint();
						return;
					}
					
					CurrentView.inCatgroupId = objCBdata.msg.root.themeTempCateList[0].catgroupId;	// 메뉴 첫번째것을 세팅
					CurrentView.data.getNSThemeTempViewMobileReal("updata");	// 베너및 베너하위 상품 조회를 위해 통신 펑션 호출
					return;
				} else if (strInflag == "updata"){
					CurrentView.ui.setUi_NSThemeTempViewMobileReal_banner(objCBdata);
				}
			},
			
			/**
			 * 상단 베너 및 베너에 속한 상품 출력 처리
			 */
			setUi_NSThemeTempViewMobileReal_banner : function (objCBdata){
				var arrTOP_BANNER = eval("JSON.parse(JSON.stringify(objCBdata.msg.root._" + CurrentView.inCatgroupId + "_TOP_BANNER))");
				var strBannerHtml = "";
				
				/* 상당 베너 연관 상품 출력 관련 처리 */
				for (var i = 0; i < arrTOP_BANNER.length; i++){
					var index = i + 1;
					var arrProduct = null;
					
					try{
						arrProduct = eval("JSON.parse(JSON.stringify(objCBdata.msg.root._" + CurrentView.inCatgroupId + "_TOP_PRODUCT" + index + "))");
					} catch (e){
						arrProduct = undefined;
					}
					
					// 동적으로 해당 베너 상품 html화면에 출력
					var strTOP_PRODUCThtml = ""
						strTOP_PRODUCThtml += "<div id=\"TOP_PRODUCT" + index + "\" name=\"TOP_PRODUCT\" class=\"healthy_contents\" style=\"display:none;\">";
						strTOP_PRODUCThtml += "	<ul id=\"TOP_PRODUCT" + index + "ul\"></ul>                                                                 ";
						strTOP_PRODUCThtml += "</div>                                                                                           ";
//						strTOP_PRODUCThtml += "<div id=\"TOP_PRODUCT" + index + "_temp\" class=\"healthy_contents\" style=\"display:none;\">                ";
						strTOP_PRODUCThtml += "	<ul id=\"TOP_PRODUCT" + index + "ul_temp\">                                                                 ";
						strTOP_PRODUCThtml += "		<li>                                                                                        ";
						strTOP_PRODUCThtml += "			<a href=\"javascript:;\" name=\"btn_TOP_PRODUCT\">                                      ";
						strTOP_PRODUCThtml += "				<div name=\"c_imgTag\"></div>                                                       ";
						strTOP_PRODUCThtml += "				<dl>                                                                                ";
						strTOP_PRODUCThtml += "					<dt name=\"c_productNm\"></dt>                                                  ";
						strTOP_PRODUCThtml += "					<dd name=\"c_price\" class=\"price\"></dd>                                      ";
						strTOP_PRODUCThtml += "					<dd name=\"c_orderQty\" class=\"buyInfo\"></dd>	";
						strTOP_PRODUCThtml += "				</dl>                                                                               ";
						strTOP_PRODUCThtml += "			</a>                                                                                    ";
						strTOP_PRODUCThtml += "		</li>                                                                                       ";
						strTOP_PRODUCThtml += "	</ul>                                                                                           ";
//						strTOP_PRODUCThtml += "</div>                                                                                           ";
					$("#top_banner_product_area").append(strTOP_PRODUCThtml);
					
					if (null == arrProduct || undefined == arrProduct){
						continue;
					}
					
					var arrDrawData = new Array();
					
					for (var j = 0; j < arrProduct.length; j++){
						var obj = arrProduct[j];
						var objDetail = obj.productDetail;

						if (undefined == objDetail){
							continue;
						}
						
						//Wapers 2017.09.25 옵션대표가 flag
						var optRepYn = "";
						
						if(undefined != objDetail ){
							optRepYn = objDetail.prcWaveDisp;
						} else {
							// empty for purpose
						}		
						
						if (objDetail.brandKorNm == "" || objDetail.brandKorNm == "미정의"){
							obj.c_productNm =  objDetail.itncatentrynm;
						} else {
							obj.c_productNm =  "[" + objDetail.brandKorNm + "] " + objDetail.itncatentrynm;
						}
						
						obj.c_imgTag = "<img src=\"" + Ns.Util.getImageUrl( obj.productId, "I" ) + "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_I.jpg';\" alt=\"상품이미지\">";
						
						//Wapers 2017.09.25 옵션대표가 적용 - 타일형
							obj.c_price = Ns.Util.insertCommas(objDetail.pricedcprice) + "<span>원"+optRepYn+"</span>";

							if (null != objDetail.orderQty && undefined != objDetail.orderQty && objDetail.orderQty > 0){
							obj.c_orderQty = "<span class=\"quantity\">" + Ns.Util.insertCommas(objDetail.orderQty) + "</span>개 구매중"
						}
						
						arrDrawData[arrDrawData.length] = obj;
						
						if (arrDrawData.length == 4){
							break;
						}
					}
					
					Ns.UI.drawList(arrDrawData, "TOP_PRODUCT" + index+ "ul", "");	// 화면 그리기
				}
				
				// 상단 베너 연관 상품 클릭 이벤트 처리
				$("#top_banner_product_area").find("a[name=btn_TOP_PRODUCT]").off().on("click", function (){
					CurrentView.event.setNaviParam();	// navi param 적재 펑션
					
					mainCtrl.gotoProductDisplay($(this).parent().data("data").productDetail.partnumber, '', 'MOBIL');
					return false;
				});
				
								
				/* 상단 베너 출력 관련 처리 */
				if (arrTOP_BANNER.length == 0){
					$("#topBanner").hide();
					
					CurrentView.arrNoDataPrint[1] = true;
					CurrentView.ui.setNoDataPrint();
				} else {
					for (var k = 0; k < arrTOP_BANNER.length; k++){
						var objBanner = arrTOP_BANNER[k];
						
						var strOnClickHtml = "";
						//와이드 배너 링크 안걸려있을 때 알럿창 뜨지 않게 20160622 hawoong
						if("" != objBanner.clickCode){
							strOnClickHtml += "Ns.UI.espotClickEvent(";
							strOnClickHtml += "'" + objBanner.clickTarget + "', ";
							strOnClickHtml += "'" + objBanner.contentsId + "', ";
							strOnClickHtml += "'" + objBanner.clickCode + "', ";
							strOnClickHtml += "'" + objBanner.espotId + "', ";
							strOnClickHtml += "'" + objBanner.mdUrl + "', ";
							strOnClickHtml += null + ", ";
							strOnClickHtml += null + ", ";
							strOnClickHtml += "'" + Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objBanner.mdUrl).split("?")[1]).catalogId + "'";
							strOnClickHtml += ");";
						}
//						if (null != CurrentView.topBannerSwiper){
//							CurrentView.topBannerSwiper.appendSlide("<img src=\"http:" + obj.imgUrl + "\" alt=\"" + obj.marketingText + "\" class=\"swiper-slide\" style=\"\" onclick=\"CurrentView.event.setNaviParam();" + strOnClickHtml + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" />");
//						} else {
							strBannerHtml += "<img src=\"http:" + objBanner.imgUrl + "\" alt=\"" + objBanner.marketingText + "\" class=\"swiper-slide\" style=\"\" onclick=\"CurrentView.event.setNaviParam();" + strOnClickHtml + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" />";
//						}
					}
					
					if (null == CurrentView.topBannerSwiper){
						$("#topBannerWrapper").html(strBannerHtml);
					}
					
					$("#topBanner").show();
					
					CurrentView.ui.setSwiper("banner", arrTOP_BANNER);	// 베너 swiper 처리 펑셩 호출
				}
				
				CurrentView.data.getNSThemeTemplistReal();
			},
			
			/**
			 * NSThemeTemplistReal API 통신 callback function
			 * 중간메뉴 및 메뉴에 속한 data 출력
			 */
			setUi_NSThemeTemplistReal : function (objCBdata){
				$("#wide_prod").hide();	// 하단 중간 메뉴 상품 숨김(와이드)
				$("#thumbnail_prod").hide();	// 하단 중간 메뉴 상품 숨김(썸네일)
				
				if (CurrentView.bBarMenuShow == false){	// 중간 메뉴가 출력되지 않은 경우
					var arrMenuList = objCBdata.msg.LIST_TITLE;	// 중간 메뉴 data
					var strSelectIndex = objCBdata.list[0];	// 출력 상품 리스트 인덱스
					var strMenuLengType = "";	// 화면에 표시될 메뉴 갯수
					
					// 갯수가 4개 혹은 4~8개 이면 메뉴는 4개만 보여줌
					if (arrMenuList.length == 4 || (arrMenuList.length > 4 && arrMenuList.length < 8)){
						strMenuLengType = "4";
					} else if (arrMenuList.length >= 8){	// 갯수가 8개거나 많으면 메뉴는 8개만 보여줌
						strMenuLengType = "8";
					} else {
						strMenuLengType = "0";
						
						CurrentView.arrNoDataPrint[2] = true;
						CurrentView.ui.setNoDataPrint();
					}
					
					var bText = false;	// 중간 메뉴 출력 타입 - true:텍스트형, false:이미지형
					
					if (strMenuLengType != "0"){
						for (var i = 0; i < arrMenuList.length; i++){
							if (arrMenuList[i].contentType == "Text"){	// 1개라도 텍스트 형식이면 텍스트 타입으로 본다
								bText = true;
							}
							
							var $barMenu_img = $("#barMenu_img" + (i+1));
							var $barMenu_txt = $("#barMenu_txt" + (i+1));
							
							var strMarketingText = arrMenuList[i].marketingText;
								strMarketingText = Ns.Util.replaceAll(strMarketingText, "&lt;", "<");
								strMarketingText = Ns.Util.replaceAll(strMarketingText, "&gt;", ">");
							
							// 이미지 출력
							$barMenu_img.find("img").attr("src", "http:" + arrMenuList[i].imgUrl);
							// 이미지 alt 출력
							$barMenu_img.find("img").attr("alt", strMarketingText);
							// 텍스트 출력
							$barMenu_txt.find("span").html(strMarketingText);
							
							// 각 중간메뉴 data 세팅 
							$barMenu_img.data("data", arrMenuList[i]);
							$barMenu_txt.data("data", arrMenuList[i]);
							
							if (i+1 == strMenuLengType){	// 보여줄 갯수만큼만 돈다
								break;
							}
						}
					}
					
					$("#healthy_barMenu").hide();	// 중간메뉴 영역 숨김
					$("#barMenu_img").hide();	// 중간메뉴 이미지 영역 숨김
					$("#barMenu_txt").hide();	// 중간메뉴 텍스트 영역 순김
					
					if (strMenuLengType == "4"){	// 메뉴 출력 수량 타입이 4
						$("#barMenu_img_row2").hide();	// 이미지 중간메뉴 2row 숨김
						$("#barMenu_txt_row2").hide();	// 텍스트 중간메뉴 2row 숨김
						$("#healthy_barMenu").show();
					} else if (strMenuLengType == "8"){	// 메뉴 출력 수량 타입이 8
						$("#barMenu_img_row2").show();
						$("#barMenu_txt_row2").show();
						$("#healthy_barMenu").show();
					}
					
					if (bText == true){
						$("#barMenu_txt" + strSelectIndex).parent().addClass("on");
						$("#barMenu_txt").show();
					} else {
						var $barMenu_img_child = $("#barMenu_img" + strSelectIndex).children();
						
						$barMenu_img_child.attr("src", Ns.Util.replaceAll($barMenu_img_child.attr("src"), "_off.", "_on."));
						
						$("#barMenu_img").show();
					}
					
					// 중간메뉴 클릭시 이벤트 처리
					$("#barMenu_img, #barMenu_txt").find("a").off().on("click", function (){
						var strBtnType = "";
						var strClickIndex = "";
						
						$("#wide_prod").hide();	// 중간메뉴 하위 상품(와이드) 숨김
						$("#thumbnail_prod").hide();	// 중간메뉴 하위 상품(썸네일) 숨김
						
						$("#barMenu_txt").find("li").removeClass("on");	// 중간메뉴 선택 class 삭제
						
						$("#barMenu_img").find("img").each(function(i){	// 중간메뉴 선택 이미지 미선택 이미지로 변경
							this.src = Ns.Util.replaceAll(this.src, "_on.", "_off.");
						});
						
						$(this).parent().addClass("on");
						$(this).find("img").attr("src", Ns.Util.replaceAll($(this).find("img").attr("src"), "_off.", "_on."));
						
						if ($(this).attr("id").indexOf("barMenu_img") != -1){
							strBtnType = "img";
							strClickIndex = Ns.Util.replaceAll($(this).attr("id"), "barMenu_img", "");
						} else {
							strBtnType = "txt";
							strClickIndex = Ns.Util.replaceAll($(this).attr("id"), "barMenu_txt", "");
						}
											
						CurrentView.inList = strClickIndex;
						
						// 로그 전송
						tran.callPageLogging( "storeComm" + CurrentView.inCatalogIdparent, {catalogIdparent : CurrentView.inCatalogIdparent, catgroupId : CurrentView.inCatgroupId, list : strClickIndex} ); //로그 url&파라미터 남기기
						
						CurrentView.data.getNSThemeTemplistReal();
					});
					
					CurrentView.bBarMenuShow = true;
				}
				
				
				var arrListData = objCBdata.msg.LIST;
				var arrClistData = new Array();
				var strViewType = objCBdata.msg.bannerType;
				
				for (var j = 0; j < arrListData.length; j++){
					var objList = arrListData[j];
					if (undefined != objList.productDetail){
						// 해당 상품 data 복사
						arrClistData[arrClistData.length] = JSON.parse(JSON.stringify(objList.productDetail));
						
						var nLengIndex = arrClistData.length -1;	// 적재된 datad의 마지막 index
						
						// 이미지 경로
						if (strViewType == "catalogEntryIdList"){	// 썸네일형
							arrClistData[nLengIndex].c_imgUrl_thumbnail = "<img src=\"" + Ns.Util.getImageUrl( arrClistData[nLengIndex].partnumber, "H" ) + "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\" alt=\"상품 이미지\" />";	// 이미지 url
							arrClistData[nLengIndex].c_moreIcon_thumbnail = "";
						} else if (strViewType == "collateralIdList"){	// 와이드형
							if(mainCtrl.VIEW_TYPE == "ios"){
								arrClistData[nLengIndex].c_imgUrl_wide = "<img src=\"" + "http:" + objList.imgUrl + "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\" alt=\"상품 이미지\" />";	// 이미지 url
							} else {
								arrClistData[nLengIndex].c_imgUrl_wide = "<img class=\"lazy\" data-original=\"" + "http:" + objList.imgUrl + "\" src=\"./images/marketing/list_no_img.png\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\" alt=\"상품 이미지\" />";	// 이미지 url
							}
						}
						
						// 상품명
						if (arrClistData[nLengIndex].brandKorNm == "" || arrClistData[nLengIndex].brandKorNm == "미정의"){
							arrClistData[nLengIndex].c_prodNm =  arrClistData[nLengIndex].itncatentrynm;	// 상품명
						} else {
							arrClistData[nLengIndex].c_prodNm = "[" + arrClistData[nLengIndex].brandKorNm + "] " + arrClistData[nLengIndex].itncatentrynm;	// 상품명
						}
						
						//Wapers 2017.09.25 옵션대표가 flag
						var optRepYn = "";
						if(undefined != arrClistData[nLengIndex].prcWaveDisp){
							optRepYn = arrClistData[nLengIndex].prcWaveDisp;
						} else {
							// empty for purpose
						}
						
						//Wapers 2017.09.25 옵션대표가 적용 - List형
						
						// 판매가
						arrClistData[nLengIndex].c_pricedcprice = Ns.Util.insertCommas(arrClistData[nLengIndex].pricedcprice) + "<span class=\"info_price_won\">원"+optRepYn+"</span>";	// 할인 판매가
						arrClistData[nLengIndex].c_pricedcprice_wide = Ns.Util.insertCommas(arrClistData[nLengIndex].pricedcprice) + "<span class=\"info_price_won\">원"+optRepYn+"</span>";	// 할인 판매가
						
						// 만족도 및 총구매수량 및 최근30일 구매수량
						if (arrClistData[nLengIndex].orderQty != undefined && arrClistData[nLengIndex].orderQty != 0){
							if (arrClistData[nLengIndex].score != 0 || arrClistData[nLengIndex].orderQty != 0){
								arrClistData[nLengIndex].c_satisfaction_wide = "<ul style=\"padding-top:6px;\">";
								arrClistData[nLengIndex].c_moreIcon_thumbnail += "<p class=\"sellTxt\">";
								var bScore = false;
								
								// 만족도 적재
								if (arrClistData[nLengIndex].score != 0){
									bScore = true;
									arrClistData[nLengIndex].c_satisfaction_wide += "<li>만족도 <span class=\"satis\">" + arrClistData[nLengIndex].score + "</span>%</li>";
									arrClistData[nLengIndex].c_moreIcon_thumbnail += "만족도 <span class=\"satis\">" + arrClistData[nLengIndex].score + "</span>%";
								}
								
								// 총구매수량 및 최근 30일 구매수량 적재
								if (arrClistData[nLengIndex].orderQty != 0){
									if (bScore == true){
										arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"linebar\"></span>";
									}
									
									//priceFlag : A -  누적이 기간내 판매수량보다 많을 경우, D - 누적과 기간내 판매수량이 같을 경우
									/*if (arrClistData[nLengIndex].priceFlag == "A"){
										// 총 구매수량
										arrClistData[nLengIndex].c_satisfaction_wide += "<li>누적&nbsp;<span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매중&nbsp;";
										arrClistData[nLengIndex].c_moreIcon_thumbnail += "누적&nbsp;<span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매중&nbsp;";
										
										// 최근 30일 구매수량
										if (arrClistData[nLengIndex].latestOrderQty > 0){
											arrClistData[nLengIndex].c_satisfaction_wide += "(최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개)";
											arrClistData[nLengIndex].c_moreIcon_thumbnail += "(최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개)";
										}
									} else if (arrClistData[nLengIndex].priceFlag == "D"){
										arrClistData[nLengIndex].c_satisfaction_wide += "<li>";
										// 최근 30일 구매수량
										if (arrClistData[nLengIndex].latestOrderQty > 0){
											arrClistData[nLengIndex].c_satisfaction_wide += "최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개 구매중";
											arrClistData[nLengIndex].c_moreIcon_thumbnail += "최근 30일 " + Ns.Util.insertCommas(arrClistData[nLengIndex].latestOrderQty) + "개 구매중";
										}
									}*/
									arrClistData[nLengIndex].c_satisfaction_wide += "<li><span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매&nbsp;";
									arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"quantity\">" + Ns.Util.insertCommas(arrClistData[nLengIndex].orderQty) + "</span>개 구매&nbsp;";

									arrClistData[nLengIndex].c_satisfaction_wide += "</li>";
								}
								
								arrClistData[nLengIndex].c_satisfaction_wide += "</ul>";
								arrClistData[nLengIndex].c_moreIcon_thumbnail += "</p>";
							}
						}
						
						// 무료배송
						if (Number(arrClistData[nLengIndex].dlvrPrice, 10) == 0){
							arrClistData[nLengIndex].c_dlvrPrice_wide = "<p class=\"benefit\"><dfn class=\"label\">혜택</dfn><em class=\"free\">무료배송</em></p>";
							arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"tag item-feature delivery-free\"><span class=\"head\">무료배송</span></span>&nbsp;";
						}
						
						// 할인율
						if (Number(arrClistData[nLengIndex].saleRate, 10) == 0){
							arrClistData[nLengIndex].c_saleRate = "";
						} else {
							arrClistData[nLengIndex].c_saleRate = arrClistData[nLengIndex].saleRate + "&#37;&darr;";
							arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"tag item-feature discount-sale\"><span class=\"head\">할인</span></span>&nbsp;";
						}
						
						//Wapers 2017.09.25 옵션대표가 flag
						optRepYn = "";
						
						if(undefined != arrClistData[nLengIndex].prcWaveDisp){
							optRepYn = arrClistData[nLengIndex].prcWaveDisp;							
						} else {
							// empty for purpose
						}
						
						// 할인전 금액
						if (arrClistData[nLengIndex].c_saleRate == ""){
							arrClistData[nLengIndex].c_priceofferprice = "";
							arrClistData[nLengIndex].c_priceofferprice_wide = "";
						} else {
							arrClistData[nLengIndex].c_priceofferprice = "<strong>" + Ns.Util.insertCommas(arrClistData[nLengIndex].priceofferprice) + "</strong>원" + optRepYn;
							arrClistData[nLengIndex].c_priceofferprice_wide = Ns.Util.insertCommas(arrClistData[nLengIndex].priceofferprice) + "원" + optRepYn;
						}
						
						// 무이자 할부
						if (Number(arrClistData[nLengIndex].ifiValue, 10) > 0){
							arrClistData[nLengIndex].c_moreIcon_thumbnail += "<span class=\"tag item-feature interest-free\"><span class=\"head\">무이자</span> " + arrClistData[nLengIndex].ifiValue + "</span>";
						}
					}
				}
				
				if (arrClistData.length == 0){
					$("#wide_prod").hide();	// 하단 중간 메뉴 상품 숨김(와이드)
					$("#thumbnail_prod").hide();	// 하단 중간 메뉴 상품 숨김(썸네일)
					
					CurrentView.arrNoDataPrint[3] = true;
					CurrentView.ui.setNoDataPrint();
				} else {
					if (strViewType == "catalogEntryIdList"){	// 썸네일형
						Ns.UI.drawList(arrClistData, "thumbnail_prod_ul", "");	// 화면 그리기
						$("#thumbnail_prod").show();	// 썸네일 형식 상품 영역 보여주기
						
						// 썸네일형 상품 클릭 이벤트 처리
						$("a[name=c_imgUrl_thumbnail], a[name=btnWidePrdNm_thumbnail]").off().on("click", function(){
							CurrentView.event.setNaviParam();	// navi param 적재 펑셩
							mainCtrl.gotoProductDisplay($(this).parents("li").data("data").partnumber, '', 'MOBIL');
						});
					} else if (strViewType == "collateralIdList"){	// 와이드형
						Ns.UI.drawList(arrClistData, "wide_prod", "");	// 화면 그리기
						$("#wide_prod").show();	// 와이드 형식 상품 영역 보여주기
						mainCtrl.setLazyLoading();
						// 와이드형 상품 클릭 이벤트 처리
						$("a[name=c_imgUrl_wide], a[name=btnWidePrdNm_wide]").off().on("click", function(){
							CurrentView.event.setNaviParam();	// navi param 적재 펑셩
							mainCtrl.gotoProductDisplay($(this).parents("section").data("data").partnumber, '', 'MOBIL');
						});
					}
				}
				
				/*criteo intsert
				var criteo = new Array(3);
				var numcri = 0;
				for(var a= 0; a<arrListData.length; a++){
					if(undefined != arrListData[a].productDetail){
						criteo[numcri] = arrListData[a].productDetail.partnumber;
						numcri++;
						if(numcri==3)break;
					}
				}
				
				fn_criteo("listpage", criteo);
				criteo end*/
				
				if(typeof wcs == 'undefined'){
					setTimeout(function(){
						Fn_WcsNaver(1);
					}, 5000);
				}else{
					Fn_WcsNaver(1);
				}
			},
			
			/**
			 * 서브메뉴를 화면에 출력한다.
			 */
			setMenu : function (arrMenu){
				Ns.UI.drawList(arrMenu, "subMenuList", "");	// 화면 그리기
				
				if (arrMenu.length <= 1){	// 메뉴 갯수가 1개 이하인 경우
					$("#healthyCategory").hide();	// 메뉴 숨김
				} else {
					CurrentView.ui.setSwiper("menu", arrMenu);	// swiper 세팅
				}
				
				CurrentView.bSubMenuShow = true;	// 메뉴 출력 여부 세팅
			},
			
			/**
			 * swiper 설정 및 세팅
			 */
			setSwiper : function (strFlag, Menu){
				
				var nMenuLeng = Menu.length;
				if (strFlag == "menu"){	// 서브메뉴 세팅
					if (nMenuLeng > 1){	// 메뉴수가 1개 이상일 경우
						var nSlidesPerView = 4;
						//메뉴수가 4보다 클 경우 4.5개 노출 hawoong12
						if (nMenuLeng > 4){
							nSlidesPerView = 4.5;
						}
						
						// swiper 세팅
						var menuSwiper =  new Swiper('#healthyCategory', {
							initialSlide: 0, 
							speed: 100,
							slidesPerView: 'auto',
							slideActiveClass: '',
							loop : false,
							slidesPerView  : nSlidesPerView
						});
						
						var $btnCatgroupNm = $("li[name=btnCatgroupNm]");	// 서브메뉴 각 버튼 영역
						
						if (CurrentView.inCatgroupId == ""){	// 기 선택된 서브메뉴가 없을 경우
							$btnCatgroupNm.removeClass("on");	// 선택 클래스 초기화
							$btnCatgroupNm.eq(0).addClass("on");	// 첫번째 서브메뉴 선택
						} else {	// 기 선택되 서브메뉴가 있을 경우 
							$("li[name=btnCatgroupNm]").each(function(){
								if ($(this).data("data").catgroupId == CurrentView.inCatgroupId){	// 같은 메뉴가 있을경우
									$btnCatgroupNm.removeClass("on");	// 선택 클래스 초기화
									$(this).addClass("on");	// 해당 서브메뉴 선택
								}
							});
						}
						
						// 서브메뉴 클릭시 이벤트 처리
						$btnCatgroupNm.off().on("click", function(){
							CurrentView.arrNoDataPrint = [false, false, false, false];
							$("#noDataPrint").remove();	// 상품없음 html 삭제
							
							$("#wide_prod").hide();	// 하단 중간 메뉴 상품 숨김(와이드)
							$("#thumbnail_prod").hide();	// 하단 중간 메뉴 상품 숨김(썸네일)
							
							$("#barMenu_img").hide();	// 중간 메뉴영역의 이미지메뉴 영역 숨김
							$("#barMenu_txt").hide();	// 중간 메뉴영역의 텍스트메뉴 영역 숨김
							$("#healthy_barMenu").hide();	// 중간 메뉴영역 숨김
							
							$("#barMenu_txt").find("li").removeClass("on");	// 중간메뉴 선택 class 삭제
							$("#barMenu_img").find("img").each(function(i){	// 중간메뉴 선택 이미지 미선택 이미지로 변경
								this.src = Ns.Util.replaceAll(this.src, "_on.", "_off.");
							});
							
							$("div[name=TOP_PRODUCT]").hide();	// 상단 베너영역 숨김
							$("div[name=TOP_PRODUCT]").remove();	// 상단 베너영역 숨김
							
							$("li[name=btnCatgroupNm]").removeClass("on");	// 선택표시 class 삭제
							$(this).addClass("on");	// 해당 서브메뉴 선택표시 class 삽입
							
							CurrentView.inList = "";	// 하단 중간 메뉴 
							CurrentView.bBarMenuShow = false;	// 중간메뉴 출력여부 초기화
							CurrentView.inCatgroupId = $(this).data("data").catgroupId;	// 서브메뉴 선택 값 적재
							
							// swiper 초기화
							if (CurrentView.topBannerSwiper != null){
								CurrentView.topBannerSwiper.destroy(true, true);
								CurrentView.topBannerSwiper = null;
							}
							//5번째 이상 선택하면 서브메뉴 이동
							var index = $("li[name=btnCatgroupNm]").index(this);
							if(3 < index){
								var strtemp = document.getElementById('subMenuList').style.width;
								var splittemep = strtemp.split('p');
								var numtemp = Number(splittemep[0]);
								var numsubmenuCount = $("li[name=btnCatgroupNm]").length;
								var width = numtemp/numsubmenuCount;
								var NumCurrentwidthsize = $("#healthyCategory").width();
								$("#subMenuList").css("transform","translate3d("+ -1*(NumCurrentwidthsize-(width*index))+"px,0px,0px)");
							}
							// 로그 전송
							tran.callPageLogging( "storeComm" + CurrentView.inCatalogIdparent, {catalogIdparent : CurrentView.inCatalogIdparent , catgroupId : CurrentView.inCatgroupId , list : 1} ); //로그 url&파라미터 남기기
							
							CurrentView.data.getNSThemeTempViewMobileReal("updata");	// 통신 펑션 콜
							
							return false;
						});
						
						$("#subMenuList").show();	// 서브메뉴 영역 보이기
					} else {	// 메뉴가 1개일경우 숨김
						$("#subMenuList").hide();
					}
					
				} else if (strFlag == "banner"){	// 상단 베너
					var bLoop = true;	// 반복여부
					var bAuto = 3000;	// 반복시간
					
					if (1 >= nMenuLeng){	// 수량이 1개 이하일 경우 세팅
						bLoop = false;
						bAuto = 0;
					}
					
//					if ( null == CurrentView.topBannerSwiper){
						// swiper 세팅
						/*
						CurrentView.topBannerSwiper = new Swiper('#topBanner', {
							slidesPerView: 1,
							paginationClickable: true,
							spaceBetween: 30,
							loop: bLoop,
							centeredSlides: true, 
							autoplay: bAuto, 
							autoplayDisableOnInteraction: false,
							pagination: '.pagenate', 
							paginationClickable: true,
							calculateHeight: true,
							onInit : function(swiper){	// swiper 최초 시작시
								$("#pagenate").css({"position" : "absolute", "left" : "0px"});	// 간헐적으로 아이폰에서 페이징도트가 위치를 못잡는 경우가 생겨서 강제로 세팅
								CurrentView.topBannerSwiper.swipeTo(0);	// 첫번째 선택
								var $TOP_PRODUCT = $("#TOP_PRODUCT" + (swiper.activeLoopIndex+1));
								$("#top_banner_product_area").find("div[name=TOP_PRODUCT]").hide();	//	모든 베너상품 숨김
								if ($TOP_PRODUCT.find("li").length != 0){
									$TOP_PRODUCT.show();	// 해당 베너상품 노출
								}
							},
							onSlideChangeStart: function(swiper){	// 베너 변경시
								var $TOP_PRODUCT = $("#TOP_PRODUCT" + (swiper.activeLoopIndex+1));
								$("#top_banner_product_area").find("div[name=TOP_PRODUCT]").hide();	//	모든 베너상품 숨김
								if ($TOP_PRODUCT.find("li").length != 0){
									$TOP_PRODUCT.show();	// 해당 베너상품 노출
								}
								
								alert("top>"+document.getElementById("pagenate").offsetTop);
								alert("left>"+document.getElementById("pagenate").offsetLeft);
								alert("width>"+$("#pagenate").width());
								alert("height>"+$("#pagenate").height());
								
							},
						});
						*/
						
						CurrentView.topBannerSwiper = new Swiper('#topBanner', {
							slidesPerView: 1,
							pagination : {
								el : '.pagenate',
								clickable : true,
							},							
							spaceBetween: 30,
							loop: bLoop,
							centeredSlides: true,
							autoplay : {
								disableOnInteraction : false,
								dealy : bAuto,
							},						
							calculateHeight: true,
							on : {
								init : function(swiper){
									$("#pagenate").css({"position" : "absolute", "left" : "0px"});	// 간헐적으로 아이폰에서 페이징도트가 위치를 못잡는 경우가 생겨서 강제로 세팅
									CurrentView.topBannerSwiper.swipeTo(0);	// 첫번째 선택
									var $TOP_PRODUCT = $("#TOP_PRODUCT" + (swiper.activeLoopIndex+1));
									$("#top_banner_product_area").find("div[name=TOP_PRODUCT]").hide();	//	모든 베너상품 숨김
									if ($TOP_PRODUCT.find("li").length != 0){
										$TOP_PRODUCT.show();	// 해당 베너상품 노출
									}
								},
								slideChangeTransitionStart : function(swiper){
									var $TOP_PRODUCT = $("#TOP_PRODUCT" + (swiper.activeLoopIndex+1));
									$("#top_banner_product_area").find("div[name=TOP_PRODUCT]").hide();	//	모든 베너상품 숨김
									if ($TOP_PRODUCT.find("li").length != 0){
										$TOP_PRODUCT.show();	// 해당 베너상품 노출
									}	
								}
							},					
						});
						
						/*
						var $TOP_PRODUCT = $("#TOP_PRODUCT1");
						$("#top_banner_product_area").find("div[name=TOP_PRODUCT]").hide();	//	모든 베너상품 숨김
						if ($TOP_PRODUCT.find("li").length != 0){
							$TOP_PRODUCT.show();	// 해당 베너상품 노출
						}
						*/
//					} else {
//						CurrentView.topBannerSwiper.reInit();	// 초기화
//						CurrentView.topBannerSwiper.swipeTo(0);	// 첫번째로 이동
//					}
				}
				
			},
			
			/**
			 * data가 없을경우 화면 출력
			 */
			setNoDataPrint : function (){
				if (CurrentView.arrNoDataPrint[0] == true || (CurrentView.arrNoDataPrint[1] == true && CurrentView.arrNoDataPrint[2] == true && CurrentView.arrNoDataPrint[3] == true)){
					if ( $("#noDataPrint").length == 0){
						$("#storeCommContent").append("<div id=\"noDataPrint\">" + mainCtrl.getNoResultDataHtml( "조회된 상품이 없습니다." ) + "</div>");
					}
				}
			}
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			/**
			 * navi에 param 적재 - 뒤로가기등 처리를 위해
			 */
			setNaviParam : function(){
				var objNaviParam = new Object();
				objNaviParam.catalogIdparent = CurrentView.inCatalogIdparent;
				objNaviParam.catgroupId = CurrentView.inCatgroupId;
				objNaviParam.list = CurrentView.inList;
				navi.setPageParam( objNaviParam );	// navi param 적재
			},
		}
		//end event function
};