
/* JavaScript content from js/common/targeting.js in folder common */

/* JavaScript content from js/common/targeting.js in folder common */
/**
 * 유입 추적, 리타게팅 등 외부 연동 스크립트
 */

/********** NHN 유입추적 스크립트 기본변수 및 function 선언 시작 **********/
//컨버전 ID
var CN = "";
//var CN = "07ZebNHiXLo=";	// 장바구니
//var CN = "wjVwcZP1Bzs=";	// 구매완료
//var CN = "k1yAemu7V8w=";	// 회원가입	
/* 
- CK
- 컨버전 전환 번호(주문번호, 예약번호 등등)
- 컨버전 전환의 중복을 허용하지 않을 경우 입력
- 선택사항(입력하지 않으셔도 됩니다) 이지만 정확한 컨버전 전환 측정을 위해 입력하시길 권장합니다.
*/	
var CK = "";
/*********************************** Section # 1 *********************************************************
	1.  컨버전 전환(상품구매, 회원가입, 예약완료 등등)의 횟수만 측정 할 경우 여기까지 입력 하시기 바랍니다.
	   : 컨버전의 상세정보(매출액, 판매된 상품, 단가, 수량 등등)는 필요없고 단지 전환 횟수만을 측정하길 원할 경우 
*********************************** Section # 1 *********************************************************/		


var CA = "";	/* 전체 매출액 */
/******************************** Section # 2 (Section # 1 포함) ***************************************************
	2.  컨버전 전환 (상품구매, 회원가입, 예약완료 등등)의 횟수 및 전체 매출액 을 측정 할 경우 여기까지 입력 하시기 바랍니다.
	   : 컨버전의 부가정보(판매된 상품, 단가, 수량 등등)는 필요없고 전환 횟수와 전체 매출액만을 측정하길 원할 경우
******************************** Section # 2 (Section # 1 포함) ***************************************************/		


var CDN = "";	/* 판매된 상품이름 (복수일 경우 ; 로 구분) */
var CDE = "";	/* 각 판매된 상품의 수량 (복수일 경우 ; 로 구분) */
var CDC = "";	/* 각 판매된 상품의 단가 (복수일 경우 ; 로 구분) */

var CDT = "";	/* - 각 판매된 상품의 그룹 (복수일 경우 ; 로 구분) - 선택사항(입력하지 않으셔도 됩니다) */
/******************************** Section # 3 (Section # 1, 2 포함) ***************************************************
	3.  컨버전 전환(상품구매, 회원가입, 예약완료 등등)의 부가정보(판매된 제품명, 수량, 단가 등등) 을 측정 할 경우 여기까지 입력 하시기 바랍니다.
	   : 컨버전의 기타정보(원하는 값 : 성별, 연령, 기타 등등)는 필요없고 전환 횟수와 전체 매출액, 부가정보 만을 측정하길 원할 경우
******************************** Section # 3 (Section # 1, 2 포함) ***************************************************/
		
/* 	 
- 기타 부가 정보(복수일 경우 ; 로 구분)
- (이름=값)형태로 원하는 값을 입력
- ex) var ETC1 = "성별=M;나이=30;지역=서울"
- 선택사항(입력하지 않으셔도 됩니다)
*/
var ETC1 = "";

/**
* NHN 유입추적 스크립트 기본변수 초기화
*/
function NHNClear(){
	CN = "";
	CK = "";
	CA = "";
	CDN = "";
	CDE = "";
	CDC = "";
	CDT = "";
	ETC1 = "";
}

/**
* NHN 유입추적 스크립트 호출을 위한 data 세팅 및 호출
* @param objData
*  
* exercise

	var objNHN = new Object();
	objNHN.CN = "";	// 컨버전 ID
	objNHN.CK = "";	// 컨버전 전환 번호(주문번호, 예약번호 등등 유일 번호)
	objNHN.CA = "";	// 전체 매출액
	objNHN.CDN = "";	// 판매된 상품이름 (복수일 경우 ; 로 구분)
	objNHN.CDE = "";	// 각 판매된 상품의 수량 (복수일 경우 ; 로 구분)
	objNHN.CDC = "";	// 각 판매된 상품의 단가 (복수일 경우 ; 로 구분)
	objNHN.CDT = "";	// 각 판매된 상품의 그룹
	objNHN.ETC1 = "";	// 기타 부가 정보
	
	NHNSend(objNHN);	// NHN 펑션 호출
*/
function NHNSend(objData){
	NHNClear();	// 변수 초기화
	
	if (undefined == objData || null == objData){
		return;
	}
	
	// 변수 세팅
	CN = undefined == objData.CN ? "" : String(objData.CN);
	CK = undefined == objData.CK ? "" : String(objData.CK);
	CA = undefined == objData.CA ? "" : String(objData.CA);
	CDN = undefined == objData.CDN ? "" : String(objData.CDN);
	CDE = undefined == objData.CDE ? "" : String(objData.CDE);
	CDC = undefined == objData.CDC ? "" : String(objData.CDC);
	CDT = undefined == objData.CDT ? "" : String(objData.CDT);
	ETC1 = undefined == objData.ETC1 ? "" : String(objData.ETC1);
	
	// mac_mobile_sv110.js의 펑션 호출
	mac30_sendInfo();	// 호출
	
	NHNClear();	// 변수 초기화
}
/********** NHN 유입추적 스크립트 기본변수 및 function 선언 종료 **********/


/******네이버 프리미엄 로그 분석 시작*******/
/*
 * 전환 추적 함수 값 설정
 * StrTranValue 값 설정
 * 1 : 구매완료
 * 2 : 회원가입
 * 3 : 장바구니 담기
 * 4 : 신청/예약(결제)
 * 5 : 기타 
 * 
 * NumDate 값 설정
 * 1 : 일반 공통 추적 함수
 * 4 : 전환 추적 함수 추가
 */
if(!wcs_add)var wcs_add = {}; 

wcs_add["wa"] = "s_2115fbeeef";		//Account ID 적용


function Fn_WcsNaver(NumDate, ObjDate){
	//if(!wcs_add)
	var StrTranValue = "";
	var StrTranSoft = "";
	
	if(NumDate == 1){
		if(!_nasa) var _nasa = {};				//유입추적함수
		
		wcs.inflow();
			
		wcs_do(_nasa);
		
	}
	if(NumDate == 4){
		StrTranValue = ObjDate.StrTranValue;	//전환 추적 함수 설정
		StrTranSoft = ObjDate.StrTranSoft;
		var _nasa2 = {};						
		_nasa2["cnv"] = wcs.cnv(StrTranSoft, StrTranValue);
		
		wcs.inflow();
		
		wcs_do(_nasa2);
	}
		
}

/******네이버 프리미엄 로그 분석 종료*******/

var targetingconst = {
		ACTION_SEND_ADBRIX			: "sendAdbrix",				// ADBrix
		ANDROID_NS_PLUGINS 			: "NSPlugins"				// 네이티브 플러그인
};

var hsmoa = false; 
/*         */
/**
 *  #targeting 공통 함수 
 *	- 상품상세, 로그인, 주문서, 주문완료, 장바구니등의 ecommerce data
 *	- TO-DO :GA태그 호출하는 부분에 해당함수를 호출하게 하여 data를 가져왔으면 좋겠슴. 
 *			 각 제휴 스크립트 별 sendLogging 구글태그매니저로 통합 
 * @param
 * targeting.params 를 통해서 확인...
 * @return
 */
 
targeting = {
		
		params : [],
		
		sendLogging : function(paramsObj) {
	 
			this.params = paramsObj;
			
			// adbrix send
			try {
					adbrixLogger.sendAdbrix(paramsObj);
			} catch(e) {
				Ns.Util.viewConsoleLog("adbrix logging fail : " + paramsObj);				 
			}
		
			//recobell send
			try {
				recobellLogger.sendLogging(paramsObj);
			} catch(e) {
				Ns.Util.viewConsoleLog("recobell logging fail : " + paramsObj);		
			}
			
			//dtsi send
			try {
				dtsiLogger.sendLogging(paramsObj);
			} catch(e) {
				Ns.Util.viewConsoleLog("dtsi logging fail : " + paramsObj);		
			}
			
			try{
				GA.inIt(paramsObj);
			} catch(e){
				Ns.Util.viewConsoleLog("ga360 error : " + paramsObj);
			}			

		},
		

		//  adbrix end  
		//  홈쇼핑모아 start   
		sendHsmoa : function(invoke) {
			if(!hsmoa) {
				var s = document.createElement('script');
				s.src="//hsmoa.com/media/buzzni_rt_direct.min.js";
				document.body.appendChild(s);
				
				hsmoa = true;
			}
			
			var account_id = "9";
			var site = "mweb";
			var user_id = "";
			var email = "";
			var from_hsmoa = invoke.co_cd == 580 ? true : false;
			var action = invoke.action;
			var category = invoke.category;
			
			setTimeout(function(){
//				window.buzzni_rt.setDevelop();
				try {
					if (category == 'list')
						window.buzzni_rt.sendList(account_id,site,user_id,email,action,from_hsmoa);
					else if(category == 'product')
						window.buzzni_rt.sendProduct(account_id,site,user_id,email,action,from_hsmoa);
					else if(category == 'basket')
						window.buzzni_rt.sendBasket(account_id,site,user_id,email,action,from_hsmoa);
					else if(category == 'purchase')
						window.buzzni_rt.sendPurchase(account_id,site,user_id,email,action,from_hsmoa);
					else if(category == 'query')
						window.buzzni_rt.sendQuery(account_id,site,user_id,email,action,from_hsmoa);
					else if(category == 'basketview')
						window.buzzni_rt.sendBasketView(account_id,site,user_id,email,action,from_hsmoa);
				} catch(e) {
					Ns.Util.viewConsoleLog("buzzni_rt:",account_id,site,user_id,email,action,from_hsmoa,category);	
				}	
	 
			}, 5500);
		},
		//  홈쇼핑모아 end  
}

/**********  애드브릭스 script start  **********/
var adbrixLogger = {
  
		//  adbrix start   
		executePlugin : function(opt) {
			var success = opt.succCb || null;
			var fail = opt.failCb || null;
			var action = opt.action;
			var params = opt.params || [];
			var service = opt.service;
			if (!mainCtrl.isOsApp()) {
				return false;
			}
			cordova.exec(success, fail, service, action, params); 
		},
 
		sendAdbrix : function(paramsObj) {
			
			// 모바일(안드로이드) 버전이 2.9.20 이상일 경우
			// 모바일(IOS) 버전이 2.9.36 에서 적용
			var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
			if (version >= 2920 ) {
				var opt = {
						action	: targetingconst.ACTION_SEND_ADBRIX,
						service : targetingconst.ANDROID_NS_PLUGINS,
						params  : [paramsObj]
				};
				this.executePlugin(opt);
			}
		},
}
/**********  애드브릭스 script script end  **********/
 
/**********  recobell 추천 script start  **********/
var recobellLogger = {
 
		params : [],
		cuid : Const.RECOBELL_CUID,
		device : '',
 
		sendLogging : function(paramsObj) {
			
			if(mainCtrl.VIEW_TYPE == "android"){ 
				recobellLogger.device = "MA";
			}else if( mainCtrl.VIEW_TYPE == "ios"){
				recobellLogger.device = "MI"; 
			} else{
				recobellLogger.device = "MW";
			}
		
			$("meta[name='recobell']").remove();
			
			if(paramsObj.initFlag){
				//공통스크립트 - 중복호출가능
				this.recobCommon();
			}else if(paramsObj.category == "add_productview"){
				//상품상세
				this.recobProductview(paramsObj);
			} else if(paramsObj.category == "add_purchase"){
				//결제완료 
				this.recobPurchase(paramsObj);
			} else if(paramsObj.category == "add_search"){
				//검색페이지
				this.recobSearch(paramsObj);
			} else if(paramsObj.category == "add_login"){
				//로그인완료 
				this.recobLogin(paramsObj);
			}			 
		},
		recobCommon : function() {
			rblc.op('setVar','cuid',recobellLogger.cuid);
			rblc.op('setVar','device',recobellLogger.device);
			if(USERINFO.custNum()){
				rblc.op('setVar','userId',USERINFO.custNum()); 
			}			
			rblc.op('track','visit');
		},
		recobProductview : function(paramsObj) {
			var itemsInfo = JSON.parse(paramsObj.action);
			
			var params = {
				rcmdGbn : "PRODUCT",
				rcmdValue : itemsInfo.id
			};
							
			 tran.callWCSJsonTran( 'NSRcmdCmd', params,  function(data) {
				
				targeting.params.msg = data.msg;
				
				rblc.op('setVar','cuid',recobellLogger.cuid);
				rblc.op('setVar','device',recobellLogger.device);
				if(USERINFO.custNum()){
					rblc.op('setVar','userId',USERINFO.custNum()); 
				}
				rblc.op('setVar','itemId', itemsInfo.id);
				if(paramsObj.searchTerm){
					rblc.op('setVar','searchTerm',paramsObj.searchTerm);
				}	
				if(paramsObj.clickUrl){
					rblc.op('setVar','rcCode',paramsObj.clickUrl);
				}				
				//-- meta data 추가 start --
				//필수 
				$('head').append("<meta name='recobell' property='rb:type' content='product' />");
				$('head').append("<meta name='recobell' property='rb:cuid' content="+ recobellLogger.cuid +" />");
				$('head').append("<meta name='recobell' property='rb:itemId' content="+ data.msg.itemId +" />");
				$('head').append("<meta name='recobell' property='rb:itemName' content='"+ data.msg.itemName +"' />");
				$('head').append("<meta name='recobell' property='rb:originalPrice' content="+ data.msg.originalPrice +" />");
				$('head').append("<meta name='recobell' property='rb:salePrice' content="+ data.msg.salePrice +" />");
				$('head').append("<meta name='recobell' property='rb:category1' content="+ data.msg.category1 +" />");
				$('head').append("<meta name='recobell' property='rb:category2' content="+ data.msg.category2 +" />");
				
				//옵션
				//itemImage, itemUrl, extraImage 는 api에서 추천데이터 받을때 상품코드만 받아와서 다시 그리므로 불필요
				if(data.msg.category3){
					$('head').append("<meta name='recobell' property='rb:category3' content="+ data.msg.category3 +" />");
				}
				if(data.msg.category4){
					$('head').append("<meta name='recobell' property='rb:category4' content="+ data.msg.category4 +" />");
				}
				if(data.msg.category5){
					$('head').append("<meta name='recobell' property='rb:category5' content="+ data.msg.category5 +" />");
				}
				//newcategory1-추천분류 , newcategory2~6(상품분류(대,중,소,세,세세))
				if(data.msg.newcategory1){
					$('head').append("<meta name='recobell' property='rb:newcategory1' content="+ data.msg.newcategory1 +" />");
				}
				if(data.msg.newcategory2){
					$('head').append("<meta name='recobell' property='rb:newcategory2' content="+ data.msg.newcategory2 +" />");
				}
				if(data.msg.newcategory3){
					$('head').append("<meta name='recobell' property='rb:newcategory3' content="+ data.msg.newcategory3 +" />");
				}
				if(data.msg.newcategory4){
					$('head').append("<meta name='recobell' property='rb:newcategory4' content="+ data.msg.newcategory4 +" />");
				}
				if(data.msg.newcategory5){
					$('head').append("<meta name='recobell' property='rb:newcategory5' content="+ data.msg.newcategory5 +" />");
				}
				if(data.msg.newcategory6){
					$('head').append("<meta name='recobell' property='rb:newcategory6' content="+ data.msg.newcategory6 +" />");
				}
				if(data.msg.catalogue){
					$('head').append("<meta name='recobell' property='rb:catalogue' content="+ data.msg.catalogue +" />");
				}
				if(data.msg.brandId){
					$('head').append("<meta name='recobell' property='rb:brandId' content="+ data.msg.brandId +" />");
				}
				if(data.msg.brandName){
					$('head').append("<meta name='recobell' property='rb:brandName' content='"+ data.msg.brandName +"' />");
				}
				if(data.msg.regDate){
					$('head').append("<meta name='recobell' property='rb:regDate' content='"+ data.msg.regDate +"' />");
				}
				if(data.msg.updateDate){
					$('head').append("<meta name='recobell' property='rb:updateDate' content='"+ data.msg.updateDate +"' />");
				}
				if(data.msg.expireDate){
					$('head').append("<meta name='recobell' property='rb:expireDate' content='"+ data.msg.expireDate +"' />");
				}
				if(data.msg.tcomYn){
					$('head').append("<meta name='recobell' property='rb:tcom' content="+ data.msg.tcomYn +" />");
				}
				if(data.msg.tvYn){
					$('head').append("<meta name='recobell' property='rb:tv' content="+ data.msg.tvYn +" />");
				}
				//stock, state, description, locale - 재고, 품절여부, 화폐단위 등의 경우 추천 api에서 받은 상품id에 따라 노출여부를 다시 결정하므로 불필요  
				//-- meta data 추가 end --
				
				//meta tag가 append 된 이후 send 이벤트 발생해야됨. 타이밍 문제가 발생할 수도 있으니 지연호출하자
				setTimeout(function(){			
					rblc.op('track','view');
					rblc.op('track','product');					
				}, 200);
			});
		},
		recobPurchase : function(paramsObj) {
			var orderItems = JSON.parse(paramsObj.action);
	
			orderItems.forEach(function (item, index, array) {
				rblc.op('addVar', 'orderItems', {itemId:item.productId, price:item.price, quantity:item.quantity}); 
			});

			rblc.op('setVar','cuid',recobellLogger.cuid);
			rblc.op('setVar','device',recobellLogger.device);
			if(USERINFO.custNum()){
				rblc.op('setVar','userId',USERINFO.custNum()); 
			}
			rblc.op('setVar','orderId',paramsObj.orderId);
			rblc.op('setVar','orderPrice',paramsObj.lastPrice);
			rblc.op('track','order');
		},
		recobSearch : function(paramsObj) {
			rblc.op('setVar','cuid',recobellLogger.cuid);
			rblc.op('setVar','device',recobellLogger.device);
			if(USERINFO.custNum()){
				rblc.op('setVar','userId',USERINFO.custNum()); 
			}
			rblc.op('setVar','searchTerm',paramsObj.searchTerm);
			rblc.op('track','search');
		},
		recobLogin : function(paramsObj) {
			/* recobell에서 visit는 참고용으로 사용 - 로그인후에도 visit를 호출하므로 중복 호출을 없애고 성능 향상 
			 * if(paramsObj.autoLoginCheck){
				//자동로그인의 경우 page load보다 로그인이 먼저 일어나므로 init call을 먼저 해준다.
				rblc.op('setVar','cuid',recobellLogger.cuid);
				rblc.op('setVar','device',recobellLogger.device);
				if(USERINFO.custNum()){
					rblc.op('setVar','userId',USERINFO.custNum()); 
				}			
				rblc.op('track','visit');	
			}*/
			
			rblc.op('setVar','cuid',recobellLogger.cuid);
			rblc.op('setVar','device',recobellLogger.device);
			if(USERINFO.custNum()){
				rblc.op('setVar','userId',USERINFO.custNum()); 
			}
			rblc.op('track','user');
		},	
}
/**********  recobell 추천 script end  **********/

/**********  DTSI script start  **********/
var brand_id = 3;
var dtsiLogger = {
		
		params : [],
		
		sendLogging : function(paramsObj) {
			
			if(paramsObj.initFlag){
				//공통스크립트 - 중복호출가능
				this.dtsiCommon();
			} else if(paramsObj.category == "add_purchase"){
				//결제완료 
				this.dtsiPurchase(paramsObj);
			}else if(mainCtrl.getCurrentPageId() == "M_M1241000M") {
				//회원가입완료 
				this.dtsiRegCom(paramsObj);
			}
		},
		
		dtsiCommon : function() {
		
			var dlight = dlight|| {};
			// dtsi Advertiser Brand ID setup
			brand_id = 3;
			(function() {
			        if(!dlight.l){ 
			        	dlight.l=true; 
			        }
			  })();

		},
		
		dtsiPurchase : function(paramsObj) {
			var productList = JSON.parse(CurrentView.m_inputParams.msg.productList).productList;
			var orderItems = JSON.parse(paramsObj.action);
			
			orderItems.forEach(function (item, index, array) {
				price:item.price;
				quantity:item.quantity
			});
			
			brand_id = 3;

			var dl_conv_id = 11;
			var dl_rev_net = paramsObj.lastPrice;
			var dl_rev_gross = "";
			var dl_tran_id = paramsObj.orderId;
			var dl_product_name = "";
			var dl_etc1 = "";
			var dl_etc2 = "";
			var dl_etc3 = "";
			var dl_etc4 = "";
			var dl_etc5 = "";

		 	for(var i = 0; i < productList.length; i++){
		    	if(i == 0){
		    		dl_product_name = productList[i].PRODUCT_NAME; 
		    	}else{
		    		dl_product_name = dl_product_name+ ";" + productList[i].PRODUCT_NAME; 
		    	}
			}
		 	
		 	for(i = 0; i < orderItems.length; i++){
	    		dl_rev_gross = orderItems[i].price * orderItems[i].quantity; 
			}
		 	
			dlight.sendConversion(dl_conv_id, dl_rev_net, dl_rev_gross, dl_tran_id, dl_product_name, dl_etc1, dl_etc2, dl_etc3, dl_etc4, dl_etc5);
		},
		
		dtsiRegCom : function(paramsObj) {

			brand_id = 3;
			var dl_conv_id = 12;
			var dl_rev_net = 0;
			var dl_rev_gross = 0;
			var dl_tran_id = "";
			var dl_product_name = "";
			var dl_etc1 = "";
			var dl_etc2 = "";
			var dl_etc3 = "";
			var dl_etc4 = "";
			var dl_etc5 = "";
			
			dlight.sendConversion(dl_conv_id, dl_rev_net, dl_rev_gross, dl_tran_id, dl_product_name, dl_etc1, dl_etc2, dl_etc3, dl_etc4, dl_etc5);
		},
}
/**********  DTSI script end  **********/

/**********  AIQUA WEB SDK script start  **********/
var aiquaLogger = {
		getScript : function(){
			// AIQUA
			if(typeof AIQUA == 'undefined'){
			    $.getScript('https://cdn.qgraph.io/dist/aiqua-wp.js', aiquaLogger.init);
			}
		},
		
		init : function(){
			AIQUA.init({
				appId: "966ef26ddcc00f25775f",
				timeout: 5000
			});
		},
		
		setWebPush : function(){
			/** !function(q,g,r,a,p,h,js) {
				    if(q.qg)return;
				    js = q.qg = function() {
				      js.callmethod ? js.callmethod.call(js, arguments) : js.queue.push(arguments);
				    };
				    js.queue = [];
				    p=g.createElement(r);p.async=!0;p.src=a;h=g.getElementsByTagName(r)[0];
				    h.parentNode.insertBefore(p,h);
				  } (window,document,'script','//cdn.qgr.ph/qgraph.966ef26ddcc00f25775f.js');*/
		}
}
/**********  AIQUA WEB SDK script end  **********/


/**********  GA WEB SDK script start  **********/
var GA = {
		UserAge : "",
		InitChannal : "",
		IsLogin : "",
		UserEmployeeType : "",
		LoginType : "",
		Title : "",
		Dimension2 : "",
		TVYn : "",
		liveDataSave : [],
		purchaseCheck : "",
		utm_s : "",
		utm_m : "",
		utm_ca : "",
		utm_co : "",
		utm_t : "",
		ga_re : "",
		ga_url : "",
		
		makeDimension : function(param){
			param.PageDepth1 = "GNB";
			if(param.params == undefined){
				param.params = {
						pageId : ''
				};
			}
			if(mainCtrl.checkLogonStatus()){
				IsLogin = 'Y';
				if(mainCtrl.getUserInfo('staffInfo')=='Y'){
					if(mainCtrl.getUserInfo('staffBnft')=='Y'){
						UserEmployeeType = "NS";
					}else{
						UserEmployeeType = "하림";
					}
				}else{
					UserEmployeeType = "일반회원";
				}
				if(GA.LoginType != "AUTO"){
					if(mainCtrl.getUserInfo('entFlag') === ""){
						LoginType = "NS";
					}else{
						LoginType = mainCtrl.getUserInfo('entFlag');
					}
				}
			}else {
				IsLogin = 'N';
				UserEmployeeType = "비로그인";
				LoginType = "";
				UserAge = "";
			}
			
			if(mainCtrl.getUserInfo("birthday") != ""){
				var bithday = Number(mainCtrl.getUserInfo("birthday").substring (0,4));
				var date = new Date();
				var todayYear = date.getFullYear();
				UserAge = (String(todayYear - bithday + 1)).substring(0,1);
			}else{
				UserAge = "";
			}
			
			if(mainCtrl.isOsApp()){
				InitChannal = "APP";
			}else{
				InitChannal = "MOBILE_WEB";
			}
			
			
			if(param.category == "add_login"){
				
			}else if(param.category == "add_vieworder"){
				param.PageDepth1 = "주문/결제";
				param.PageDepth2 = "주문서작성/결제";
				
			}else if(param.category == "add_purchase"){
				param.PageDepth1 = "주문/결제";
				param.PageDepth2 = "주문완료";
			}else if(param.category == "add_suborder"){
				param.PageDepth1 = "주문/결제";
				param.PageDepth2 = "주문서작성";
				if(param.params.pageId == "M_B1214000P"){
					param.PageDepth3 = "본인인증";
				}else if(param.params.pageId == "M_B1339800L"){
					param.PageDepth3 = "메세지카드";
				}else if(param.params.pageId == "M_B1339900L"){
					param.PageDepth3 = "신용카드이용안내";
				}else if(param.params.pageId == "M_B1341000L"){
					param.PageDepth3 = "OKCashbag포인트조회";
				}else if(param.params.pageId == "M_B1343000L"){
					param.PageDepth3 = "해피머니조회";
				}else if(param.params.pageId == "M_B1344000L"){
					param.PageDepth3 = "NS상품권등록하기";
				}
			}else if(param.category != undefined && param.category == "add_productview"){
				var itemInfo = JSON.parse(param.action);
				param.PageDepth1 = "상품상세";
				if(GA.Dimension2 == "해피딜"){
					param.PageDepth2 = Dimension2;
					param.PageDepth3 = itemInfo.name;
				}else if(param.CTCOMitemYn != undefined){
					param.PageDepth2 = "TV쇼핑";
					param.PageDepth3 = "NSShop+";
					param.PageDepth4 = itemInfo.name;
				}else if(param.TVitemYn != undefined){
					param.PageDepth2 = "TV쇼핑";
					param.PageDepth3 = "TVLIVE";
					param.PageDepth4 = itemInfo.name;
				}else if(param.itemType == "45"){
					param.PageDepth2 = "렌탈상품";
					param.PageDepth3 = itemInfo.name;
				}else{
					param.PageDepth2 = "일반상품";
					param.PageDepth3 = itemInfo.name;
				}
			}else if(param.category != undefined && param.category == "add_category"){
				param.PageDepth1 = "상품목록";
				param.PageDepth2 = param.action;
			}else if((param.category != undefined && param.category == "add_search") || (param.category != undefined && param.category == "query") ){
				param.PageDepth1 = "GNB";
				param.PageDepth2 = "검색";
			}else if(PAGE_CONFIG[param.params.pageId].path == "mypage"){
				param.PageDepth1 = "마이페이지";
				param.PageDepth2 = (PAGE_CONFIG[param.params.pageId].title).replace(" ","");
				if(param.params.pageId == "M_U1111000M"){
					param.PageDepth2 = "메인페이지";
					param.PageDepth3 = "일반회원";
				}else if(param.params.pageId == "M_U1111001M"){
					param.PageDepth2 = "메인페이지";
					param.PageDepth3 = "간편회원";
				}else if(param.params.pageId == "M_U1121100M"){
					param.PageDepth2 = "쇼핑정보";
					param.PageDepth3 = "주문내역/배송조회";
				}else if(param.params.pageId == "M_U1121600M"){
					param.PageDepth2 = "쇼핑정보";
					param.PageDepth3 = "주문내역/배송조회";
					param.PageDepth4 = "주문상세내역";
				}else if(param.params.pageId == "M_U1121001M"){
					param.PageDepth2 = "쇼핑정보";
					param.PageDepth3 = "주문내역/배송조회";
					param.PageDepth4 = "배송지변경";
				}else if(param.params.pageId == "M_U1122600L"){
					param.PageDepth2 = "쇼핑정보";
					param.PageDepth3 = "주문내역/배송조회";
					param.PageDepth4 = "주문취소";
				}else if(param.params.pageId == "M_U1141100M"){
					param.PageDepth2 = "혜택정보";
					param.PageDepth3 = "쿠폰/상품권";
					param.PageDepth4 = "쿠폰";
				}else if(param.params.pageId == "M_U1141200M"){
					param.PageDepth2 = "혜택정보";
					param.PageDepth3 = "쿠폰/상품권";
					param.PageDepth4 = "상품권";
				}else if(param.params.pageId == "M_U1141200L"){
					param.PageDepth2 = "혜택정보";
					param.PageDepth3 = "쿠폰/상품권";
					param.PageDepth4 = "상품권번호입력";
				}else if(param.params.pageId == "M_U1142100M"){
					param.PageDepth2 = "혜택정보";
					param.PageDepth3 = "톨포인트/적립금/예치금";
				}else if(param.params.pageId == "M_U1197000M"){
					param.PageDepth2 = "혜택정보";
					param.PageDepth3 = "찜";
				}else if(param.params.pageId == "M_U1181000M"){
					param.PageDepth2 = "혜택정보";
					param.PageDepth3 = "NS맴버쉽";
				}else if(param.params.pageId == "M_U1161100M"){
					param.PageDepth2 = "서비스정보";
					param.PageDepth3 = "상품평관리";
					param.PageDepth4 = "미등록상품평";
				}else if(param.params.pageId == "M_U1161200M"){
					param.PageDepth2 = "서비스정보";
					param.PageDepth3 = "상품평관리";
					param.PageDepth4 = "작성한상품평";
				}else if(param.params.pageId == "M_U1162210M"){
					param.PageDepth2 = "서비스정보";
					param.PageDepth3 = "상품문의/내역";
				}else if(param.params.pageId == "M_U1174000M"){
					param.PageDepth2 = "서비스정보";
					param.PageDepth3 = "홈쇼핑방송알리미";
				}else if(param.params.pageId == "M_U1174000L"){
					param.PageDepth2 = "서비스정보";
					param.PageDepth3 = "방송알리미설정";
				}else if(param.params.pageId == "M_U1171200L"){
					param.PageDepth2 = "개인정보";
					param.PageDepth3 = "배송지관리";
					param.PageDepth4 = "배송지추가";
				}else if(param.params.pageId == "M_U1171100M"){
					param.PageDepth2 = "개인정보";
					param.PageDepth3 = "배송지관리";
					param.PageDepth4 = "배송지목록";
				}else if(param.params.pageId == "M_U1171500M"){
					param.PageDepth2 = "개인정보";
					param.PageDepth3 = "배송지관리";
					param.PageDepth4 = "회원정보변경";
				}else if(param.params.pageId == "M_U1171501M"){
					param.PageDepth2 = "개인정보";
					param.PageDepth3 = "변경및탈퇴";
					param.PageDepth4 = "회원정보변경_비번확인";
				}else if(param.params.pageId == "M_U1173000M"){
					param.PageDepth2 = "개인정보";
					param.PageDepth3 = "채팅상담/내역";
					param.PageDepth4 = "채팅상담";
				}else if(param.params.pageId == "M_U1173003M"){
					param.PageDepth2 = "개인정보";
					param.PageDepth3 = "채팅상담/내역";
					param.PageDepth4 = "상담내역";
				}else if(param.params.pageId == "M_U1122100M"){
					param.PageDepth2 = "쇼핑정보";
					param.PageDepth3 = "주문내역/배송조회";
					param.PageDepth4 = "교환/반품";
				}else if(param.params.pageId == "M_H1112000M"){
					param.PageDepth2 = "서비스정보";
					param.PageDepth3 = "이벤트당첨확인";
				}else if(param.params.pageId == "M_H1115000M"){
					param.PageDepth2 = "서비스정보";
					param.PageDepth3 = "이벤트참여내역";
				}else if(param.params.pageId == "M_U1211000M"){
					param.PageDepth2 = "서비스정보";
					param.PageDepth3 = "그룹사임직원신청";
				}else if(param.params.pageId == "M_U1211001M"){
					param.PageDepth2 = "서비스정보";
					param.PageDepth3 = "그룹사임직원신청완료";
				}
			}else if(PAGE_CONFIG[param.params.pageId].path == "customer"){
				param.PageDepth1 = "고객센터";
				if(param.params.pageId == "M_C1131000M"){
					param.PageDepth2 = "FAQ";
				}else if(param.params.pageId == "M_C1142400L"){
					param.PageDepth2 = "게시판문의/답변";
					param.PageDepth3 = "문의작성";
				}else if(param.params.pageId == "M_C1142402P"){
					param.PageDepth2 = "게시판문의/답변";
					param.PageDepth3 = "문의하기완료";
				}else if(param.params.pageId == "M_U1173100M"){
					param.PageDepth2 = "게시판문의/답변";
					param.PageDepth3 = "나의문의내역확인하기";
				}else if(param.params.pageId == "M_C1142500L"){
					param.PageDepth2 = "시스템오류신고";
				}
			}else if(PAGE_CONFIG[param.params.pageId].path == "member"){
				param.PageDepth1 = "로그인";
				if(param.params.pageId == "M_M1111100M"){
					param.PageDepth2 = "로그인(회원)";
				}else if(param.params.pageId == "M_M1111200M"){
					param.PageDepth2 = "로그인(비회원)";
				}else if(param.params.pageId == "M_M1220001M"){
					param.PageDepth2 = "회원가입";
					param.PageDepth3 = "일반회원가입";
					param.PageDepth4 = "약관동의_전문보기";
				}else if(param.params.pageId == "M_M1231000M"){
					param.PageDepth2 = "회원가입";
					param.PageDepth3 = "일반회원가입";
					param.PageDepth4 = "정보입력";
				}else if(param.params.pageId == "M_M1241000M"){
					param.PageDepth2 = "회원가입";
					param.PageDepth3 = "일반회원가입";
					param.PageDepth4 = "가입완료";
				}else if(param.params.pageId == "M_M1121100P"){
					param.PageDepth2 = "아이디찾기";
				}else if(param.params.pageId == "M_M1121101P"){
					param.PageDepth2 = "아이디찾기";
					param.PageDepth3 = "휴대폰인증";
				}else if(param.params.pageId == "M_M1121102P"){
					param.PageDepth2 = "아이디찾기";
					param.PageDepth3 = "이메일인증";
				}else if(param.params.pageId == "M_M1122100P"){
					param.PageDepth2 = "아이디찾기";
					param.PageDepth3 = "아이디찾기결과";
				}else if(param.params.pageId == "M_M1131100P"){
					param.PageDepth2 = "비밀번호찾기";
					param.PageDepth3 = "비밀번호찾기";
				}else if(param.params.pageId == "M_M1131101P"){
					param.PageDepth2 = "비밀번호찾기";
					param.PageDepth3 = "휴대폰인증";
				}else if(param.params.pageId == "M_M1131102P"){
					param.PageDepth2 = "비밀번호찾기";
					param.PageDepth3 = "이메일인증";
				}else if(param.params.pageId == "M_M1133400P"){
					param.PageDepth2 = "비밀번호찾기";
					param.PageDepth3 = "비밀번호변경";
				}else if(param.params.pageId == "M_M1133401P"){
					param.PageDepth2 = "비밀번호찾기";
					param.PageDepth3 = "비밀번호변경_주기";
				}else if(param.params.pageId == "M_M1133500P"){
					param.PageDepth2 = "비밀번호찾기";
					param.PageDepth3 = "비밀번호변경완료";
				}else if(param.params.pageId == "M_M1290000P"){
					param.PageDepth2 = "계정연결";
					param.PageDepth3 = "회원가입팝업";
				}else if(param.params.pageId == "M_M1250000M"){
					param.PageDepth2 = "계정연결";
					param.PageDepth3 = "네이버연결계정";
				}else if(param.params.pageId == "M_M1270000P"){
					param.PageDepth2 = "계정연결";
					param.PageDepth3 = "카카오연결계정";
				}else if(param.params.pageId == "M_M1261000M"){
					param.PageDepth2 = "계정연결";
					param.PageDepth3 = "페이스북연결계정";
				}else if(param.params.pageId == "M_M1280000P"){
					param.PageDepth2 = "계정연결";
					param.PageDepth3 = "페이코연결계정";
				}else if(param.params.pageId == "M_M1271000M"){
					param.PageDepth2 = "계정연결";
					param.PageDepth3 = "기존아이디와연결";
				}
			}else if(PAGE_CONFIG[param.params.pageId].path == "guide"){
				param.PageDepth1 = "공통";
				param.PageDepth2 = (PAGE_CONFIG[param.params.pageId].title).replace(" ","");
			}else if(param.params.pageId == "M_H1113000M"){
				param.PageDepth1 = "고객센터";
				param.PageDepth2 = "공지사항";
			}else if(param.params.pageId == "M_B1111000M"){
				param.PageDepth1 = "주문/결제";
				param.PageDepth2 = "장바구니";
			}else if(param.params.pageId == "M_G1100031M"){
				param.PageDepth1 = "기획전";
				param.PageDepth2 = "기획전상세";
				param.PageDepth3 = CurrentView.CATGRP_NAME;
			}else if(param.params.pageId == "M_G1100900M"){
				param.PageDepth1 = "이벤트";
				param.PageDepth2 = "이벤트상세";
				param.PageDepth3 = param.params.offerName;
			}else if(PAGE_CONFIG[param.params.pageId].title == "타임쿠폰" ||
					PAGE_CONFIG[param.params.pageId].title == "출석 혜택"){
				param.PageDepth1 = "이벤트";
				param.PageDepth2 = "이벤트상세";
				param.PageDepth3 = (PAGE_CONFIG[param.params.pageId].title).replace(" ","");
			}else if(PAGE_CONFIG[param.params.pageId].title == "이벤트"){
				param.PageDepth1 = "이벤트";
				param.PageDepth2 = "이벤트상세";
				switch(PAGE_CONFIG[param.params.pageId].alias){
					case "NSLuckyboxEvent":
						param.PageDepth3 = "럭키박스이벤트";
						break;
					case "NSRouletteEvent":
						param.PageDepth3 = "룰렛이벤트";
						break;
					case "NSPushAgreementEvent":
						param.PageDepth3 = "푸시수신동의이벤트";
						break;
					case "NSMonthCouponEvent":
						param.PageDepth3 = "등급별쿠폰이벤트";
						break;
					case "NSRegisterCouponEvent":
						param.PageDepth3 = "쿠폰등록이벤트";
						break;
					case "NSTimesEvent":
					case "NSTimesEventSub":
						param.PageDepth3 = "응모형이벤트";
						break;
					default :
						param.PageDepth2 = $("#"+param.params.pageId).find('span').text();
						Dimension2 = param.PageDepth2;
						param.PageDepth1 = "GNB";
						break;
				}
			}else if(param.params.pageId == "M_G2222120M"){
				param.PageDepth1 = "GNB";
				param.PageDepth2 = "편성표";
			}else if(param.params.pageId == "M_G2232120M"){
				param.PageDepth1 = "편성표";
				param.PageDepth2 = "nsshop+편성표";
			}else if(param.params.pageId == "1573554"){ // 추가
				param.PageDepth2 = "마트장보기";
			}else if(param.params.pageId == "1583830"
					|| param.params.pageId == "1418554"){
				param.PageDepth2 = "해피딜";
				param.PageDepth3 = "원데이매장";
			}else if(param.params.pageId == "1291057"
					|| param.params.pageId == "1338554"
					|| param.params.pageId == "1399054"
					|| param.params.pageId == "1565554"){
				param.PageDepth2 = "브랜드데이";
			}else if(param.params.pageId == "1360561"){
				param.PageDepth2 = "N푸드";
			}else if(param.params.pageId == "1357054"){
				param.PageDepth2 = "TV혜택";
			}else if(param.params.pageId == "1636058"){
				param.PageDepth2 = "혜택_쿠폰";
			}else if(param.params.pageId == "1346554"){
				param.PageDepth2 = "명절";
			}else if(param.category == "view_category"){
				param.PageDepth1 = "LNB";
				param.PageDepth2 = "카테고리";
			}
			else{
				//if(param.params.pageId ==)
				/*else if(null != PAGE_CONFIG[param.params.pageId].title || 
						"" != PAGE_CONFIG[param.params.pageId].title ||
						undefined != PAGE_CONFIG[param.params.pageId].title){
					param.PageDepth2 = PAGE_CONFIG[param.params.pageId].title;
					Dimension2 = param.PageDepth2;
				}else{*/
					param.PageDepth2 = $("#"+param.params.pageId).find('span').text();
					if(param.PageDepth2 == ""){
						param.PageDepth2 = PAGE_CONFIG[param.params.pageId].title;
					}
					Dimension2 = param.PageDepth2;
				//}
			}
			
			if(param.PageDepth4 != undefined){
				Title = param.PageDepth1+">"+param.PageDepth2+">"+param.PageDepth3+">"+param.PageDepth4;
			}
			else if(param.PageDepth3 != undefined){
				Title = param.PageDepth1+">"+param.PageDepth2+">"+param.PageDepth3;
			}
			else if(param.PageDepth2 != undefined){
				Title = param.PageDepth1+">"+param.PageDepth2
			}
		},
		
		//GA시작시 script를 호출하는 함수
		inIt : function(param){
			var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
			var lastOrder = mainCtrl.getUserInfo('lastOrder').substring(0,4) + mainCtrl.getUserInfo('lastOrder').substring(5,7) + mainCtrl.getUserInfo('lastOrder').substring(8,10);
			var regiMember = mainCtrl.getUserInfo('registration').substring(0,4) + mainCtrl.getUserInfo('registration').substring(5,7) + mainCtrl.getUserInfo('registration').substring(8,10);
			
			GA.makeDimension(param);
			
			var paramObj = {};
			if(undefined == UserAge || null == UserAge) {
				UserAge = "";
			}
			if(undefined == IsLogin || null == IsLogin) {
				IsLogin = "";
			}
			if(undefined == LoginType || null == LoginType) {
				LoginType = "";
			}
			if(undefined == InitChannal || null == InitChannal) {
				InitChannal = "";
			}
			if(undefined == UserEmployeeType || null == UserEmployeeType){
				UserEmployeeType = "";
			}
			if(undefined == param.PageDepth3 || null == param.PageDepth3){
				param.PageDepth3 = "";
			}
			if(undefined == param.PageDepth4 || null == param.PageDepth4){
				param.PageDepth4 = "";
			}
			
			if(InitChannal == "MOBILE_WEB"){
				paramObj[GACustomKey.Dimension1] = GA.getCid();
			}
			else{
				paramObj[GACustomKey.Dimension1] = "";
			}
			
			paramObj[GACustomKey.Dimension2] = mainCtrl.getUserInfo("userId");
			paramObj[GACustomKey.Dimension3] = ""; //?
			paramObj[GACustomKey.Dimension4] = UserAge;
			paramObj[GACustomKey.Dimension5] = IsLogin;
			paramObj[GACustomKey.Dimension6] = LoginType;
			paramObj[GACustomKey.Dimension7] = InitChannal;
			//paramObj[GACustomKey.Dimension8] = param.UserMembershipType;
			paramObj[GACustomKey.Dimension9] = regiMember;
			paramObj[GACustomKey.Dimension10] = lastOrder;
			paramObj[GACustomKey.Dimension21] = mainCtrl.getUserInfo('gender');
			paramObj[GACustomKey.Dimension22] = UserEmployeeType;
			//paramObj[GACustomKey.Dimension23] = param.UserPushInfoChange;
			paramObj[GACustomKey.Dimension24] = Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN);
			paramObj[GACustomKey.Dimension25] = mainCtrl.getUserInfo('userMarketingSMS');
			paramObj[GACustomKey.Dimension26] = mainCtrl.getUserInfo('userMargetingEmail');
			paramObj[GACustomKey.Dimension27] = mainCtrl.getUserInfo('userMargetingTM');
			paramObj[GACustomKey.Dimension28] = param.PageDepth1;
			if(param.PageDepth2 != ""){
				paramObj[GACustomKey.Dimension29] = param.PageDepth1 + ">" +param.PageDepth2;
			}
			else{
				paramObj[GACustomKey.Dimension29] = "";
			}
			
			if(param.PageDepth3 != ""){
				paramObj[GACustomKey.Dimension30] = param.PageDepth1 + ">" +param.PageDepth2 + ">" +param.PageDepth3;
			}
			else{
				paramObj[GACustomKey.Dimension30] = paramObj[GACustomKey.Dimension29];
			}
			
			if(param.PageDepth4 != ""){
				paramObj[GACustomKey.Dimension31] = param.PageDepth1 + ">" +param.PageDepth2 + ">" +param.PageDepth3 + ">" +param.PageDepth4;
			}
			else{
				paramObj[GACustomKey.Dimension31] = paramObj[GACustomKey.Dimension30];
			}
			
			//제휴인입 
			GA.ga_re = Ns.LocalStorage.get("GA.ga_re");
			GA.utm_s = Ns.LocalStorage.get("GA.utm_s");
			GA.utm_m = Ns.LocalStorage.get("GA.utm_m");
			GA.utm_ca = Ns.LocalStorage.get("GA.utm_ca");
			GA.utm_co = Ns.LocalStorage.get("GA.utm_co");
			GA.utm_t = Ns.LocalStorage.get("GA.utm_t");
			var tempgaurl = Ns.LocalStorage.get("GA.ga_url");
			if(tempgaurl.indexOf("#")>-1 || tempgaurl.indexOf("?")>-1 
					|| tempgaurl.substring(0,1) == "#"){
				tempgaurl = tempgaurl.substring(1);
			}
			if(tempgaurl != ""){
				GA.ga_url = "gadata://sendurl?page=" + tempgaurl;
			}
			
			if(GA.ga_re != ""){
				paramObj[GAHitKey.referrer] = GA.ga_re;
			}
			if(GA.utm_s != ""){
				paramObj[GAHitKey.campaignSource] = GA.utm_s;
			}
			if(GA.utm_m != ""){
				paramObj[GAHitKey.campaignMedium] = GA.utm_m;
			}
			if(GA.utm_ca != ""){
				paramObj[GAHitKey.campaignName] = GA.utm_ca;
			}
			if(GA.utm_co != ""){
				paramObj[GAHitKey.campaignContent] = GA.utm_co;
			}
			if(GA.utm_t != ""){
				paramObj[GAHitKey.campaignKeyword] = GA.utm_t;
			}
			if(GA.ga_url != ""){
				paramObj.native_url = GA.ga_url;
			}
			
			if(param.category != undefined && param.category == "add_login"){
				
			}else if(param.category != undefined && param.category == "add_vieworder"){
//				var orderInfo = param.orderInfo; 
				var nowDate = new Date();
				var dateArray = new Array();
				var obj = {};
				var year = nowDate.getFullYear();
				var month = nowDate.getMonth();
				var totalCnt = 0;
				var ordertlrl = "";
				var temppayType = ["카드결제","무통장입금","실시간계좌이체","휴대폰결제","예치금사용","적립금사용","NS상품권","OK캐시백","네티웰포인트사용","해피머니사용","연간할인권사용","","페이코","네이버페이","NS페이카드","NS페이실시간계좌이체"];
				var payType = new Array();
				var payTypeName = "";
				
				for(var i = 0; i < temppayType.length; i++){
					obj = new Object();
					
					obj.code = String(i+1)+"00";
					obj.name = temppayType[i];
					payType[i] = obj;
				}				
				
				for(var i = 0; i<payType.length; i++){
					if(payType[i].code == param.payMethod.payMthdCd){
						payTypeName = payType[i].name;
					}
				}
				
				for(var i = 5; i >= 0; i-- ){
					obj = new Object();
					if((month+1) > 9){
						obj.orderMonth = String(year) + String(month+1);
                    }else{
						obj.orderMonth = String(year) + "0" + String(month+1);
                    }

					if(month+1==12){
						year -= 1;
						month = 0;
                    }else{
						month -=1;
                    }
					dateArray[i] = obj;
				}
				
//				for(var i = 0; i<orderInfo.length; i++){
//					if(orderInfo[i] != undefined){
//						for(var j = 0; j < dateArray.length; j++){
//				            if(dateArray[j].orderMonth == orderInfo[i].orderMonth){
//				                dateArray[j].cnt = orderInfo[i].cnt;
//				            }
//				        }
//				    }
//				}
				
				var orderSix = "";
				var threetotalcnt = 0;
				var lastcnt = 0;
				
				for(var k = 0; k<dateArray.length; k++){
//					if(dateArray[k].cnt != undefined){
//						orderSix += "O";
//						totalCnt += Number(dateArray[k].cnt);
//						if(k>2) {
//							threetotalcnt += Number(dateArray[k].cnt);
//						}
//						if(k==5) {
//							lastcnt = Number(dateArray[k].cnt);
//						}
//				    }else{
				    	orderSix += "X";
//				    }
					
					
				}
				
				if(mainCtrl.getUserInfo('lastOrder').substring(8,10) < 11){
					ordertlrl = "월초";
				}
				else if(mainCtrl.getUserInfo('lastOrder').substring(8,10) >10 && mainCtrl.getUserInfo('lastOrder').substring(8,10) < 21){
					ordertlrl = "월중";
				}
				else{
					ordertlrl = "월말";
				}
				
				paramObj[GACustomKey.Dimension32] = String(totalCnt);
				paramObj[GACustomKey.Dimension33] = orderSix.substring(5);
				paramObj[GACustomKey.Dimension34] = orderSix.substring(4);
				paramObj[GACustomKey.Dimension35] = orderSix.substring(3);
				paramObj[GACustomKey.Dimension36] = orderSix;
				paramObj[GACustomKey.Dimension38] = mainCtrl.getUserInfo('lastOrder').substring(11,13);
				paramObj[GACustomKey.Dimension39] = payTypeName;
				//paramObj[GACustomKey.Dimension40] = 
				//paramObj[GACustomKey.Dimension41] = 
				//paramObj[GACustomKey.Dimension42] = 
				paramObj[GACustomKey.Dimension43] = ordertlrl;
				paramObj[GACustomKey.Dimension44] = lastOrder;
				paramObj[GACustomKey.Dimension45] = String(threetotalcnt);
				paramObj[GACustomKey.Dimension46] = String(lastcnt);
				//paramObj[GACustomKey.Dimension47] = 
				
				paramObj[GAHitKey.Title] = Title;
				paramObj[GAHitKey.UserId] = mainCtrl.getUserInfo("userid");
				
				if(mainCtrl.isOsApp()){
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version >= 2930){
						Ns.Native.sendToGA360(paramObj);
					}
					
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "android" && version >= 2936){
						Ns.Native.sendToGA360(paramObj);
					}
				} else {
					GA_Init(paramObj);
				}
			}else if((param.category != undefined && param.category == "add_search") || (param.category != undefined && param.category == "query")){
				var searchWord = param.searchTerm;
				var searchResult = "X";
				if(param.action != undefined)searchResult="O";
				//paramObj[GACustomKey.Dimension11] = totalCnt;
				paramObj[GACustomKey.Dimension12] = searchWord;
				paramObj[GACustomKey.Dimension13] = searchResult;
				paramObj[GAHitKey.Title] = Title;
				paramObj[GAHitKey.UserId] = mainCtrl.getUserInfo("userid");
				if(mainCtrl.isOsApp()){
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version >= 2930){
						Ns.Native.sendToGA360(paramObj);
					}
					
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "android" && version >= 2936){
						Ns.Native.sendToGA360(paramObj);
					}
				} else {
					GA_Init(paramObj);
				}
			}else if(param.category == "add_category" || param.category == "view_category"){
				paramObj[GAHitKey.Title] = Title;
				paramObj[GAHitKey.UserId] = mainCtrl.getUserInfo("userid");
				if(mainCtrl.isOsApp()){
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version >= 2930){
						Ns.Native.sendToGA360(paramObj);
					}
					
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "android" && version >= 2936){
						Ns.Native.sendToGA360(paramObj);
					}
				} else {
					GA_Init(paramObj);
				}
			}
			
			if(PAGE_CONFIG[param.params.pageId].path == "mypage" || PAGE_CONFIG[param.params.pageId].path == "member"){
				paramObj[GAHitKey.Title] = Title;
				paramObj[GAHitKey.UserId] = mainCtrl.getUserInfo("userid");
				
				if(mainCtrl.isOsApp()){
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version >= 2930){
						Ns.Native.sendToGA360(paramObj);
					}
					
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "android" && version >= 2936){
						Ns.Native.sendToGA360(paramObj);
					}
				} else {
					GA_Init(paramObj);
				}
			}
			
			if(param.category == undefined && param.category != "add_productview"){
				//메인 보내기
				if(param.category == undefined && param.category == "add_login"){
					if(param.autoLoginCheck){
						LoginType = "AUTO"
						paramObj[GACustomKey.Dimension6] = LoginType;
					}
				}else if(PAGE_CONFIG[param.params.pageId].title == "홈매장" || PAGE_CONFIG[param.params.pageId].title == "NS홈쇼핑" || PAGE_CONFIG[param.params.pageId].title == "홈"){
					param.PageDepth2 = "홈";
					paramObj[GAHitKey.Title] = "GNB>홈";
					paramObj[GACustomKey.Dimension29] = "GNB>홈";
					paramObj[GACustomKey.Dimension30] = "GNB>홈";
					paramObj[GACustomKey.Dimension31] = "GNB>홈";
					Dimension2 = "홈";
				}else if(param.CTCOMitemYn > 0 || param.TVitemYn > 0){
					paramObj[GAHitKey.Title] = Title;
					GA.TVYn = "TV쇼핑";
				}else{
					paramObj[GAHitKey.Title] = Title;
				}
			}else if(param.category == "add_productview"){
				//상품상세 보내기
				paramObj[GAHitKey.Title] = Title;
				Dimension2 = "";
				GA.TVYn = "";
				paramObj[GAHitKey.UserId] = mainCtrl.getUserInfo("userid");
				
				if(mainCtrl.isOsApp()){
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version >= 2930){
						Ns.Native.sendToGA360(paramObj);
					}
					
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "android" && version >= 2936){
						Ns.Native.sendToGA360(paramObj);
					}
				} else {
					GA_Init(paramObj);
				}
			}else if(param.category == "add_purchase"){
				paramObj[GAHitKey.Title] = Title;
				paramObj[GAHitKey.UserId] = mainCtrl.getUserInfo("userid");
				
				if(mainCtrl.isOsApp()){
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version >= 2930){
						Ns.Native.sendToGA360(paramObj);
					}
					
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "android" && version >= 2936){
						Ns.Native.sendToGA360(paramObj);
					}
				} else {
					GA_Init(paramObj);
				}
			}
			
			if(param.category == undefined || param.category != "add_login"){
				if(param.params.pageId != ""
					&& param.params.pageId != "M_G2130000M" && param.params.pageId != "M_B1310000M" 
					&& param.params.pageId != "M_S1110000M"  && param.params.pageId != "M_B13G0000M"
						&& param.params.pageId != "M_G2600000M"){
					if(param.params.pageId == "M_G1100900M" && param.params.offerName == undefined){
						
					}else{
						var Flag = "N";
						for(var n = 0; n < $("#subCategoryList").find('li').length; n++){
							if(param.PageDepth2 == $("#subCategoryList").find('li')[n].textContent || param.PageDepth2 == "홈" || param.PageDepth2 == "장바구니"){
								paramObj[GAHitKey.UserId] = mainCtrl.getUserInfo("userid");
								Flag = "Y";
							}
						}
						if(param.params.pageId != undefined){
							if(PAGE_CONFIG[param.params.pageId].title == "타임쿠폰" ||
								PAGE_CONFIG[param.params.pageId].title == "출석 혜택" ||
								PAGE_CONFIG[param.params.pageId].title == "이벤트"||
								PAGE_CONFIG[param.params.pageId].title == "기획전"||
								param.params.pageId == "M_G2222120M" ||
								param.params.pageId == "M_G2232120M" ||
								param.params.pageId == "1573554" ||
								param.params.pageId == "1583830" ||
								param.params.pageId == "1418554" ||
								param.params.pageId == "1291057" ||
								param.params.pageId == "1338554" ||
								param.params.pageId == "1399054" ||
								param.params.pageId == "1565554" ||
								param.params.pageId == "1360561" ||
								param.params.pageId == "1357054" ||
								param.params.pageId == "1636058" ||
								param.params.pageId == "1346554"
							){
									paramObj[GAHitKey.UserID] = mainCtrl.getUserInfo("userid");
									Flag = "Y";
							}
							
						}
						if(Flag == "Y"){
							if(mainCtrl.isOsApp()){
								if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version >= 2930){
									Ns.Native.sendToGA360(paramObj);
								}
								
								if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "android" && version >= 2936){
									Ns.Native.sendToGA360(paramObj);
								}
							} else {
								GA_Init(paramObj);
							}
						}
					}
				}
			}
			
		},
		
		//이벤트에 대한 정보를 GA로 보내는 함수
		sendEventData : function(paramObj, subparam){
			try {
				var event_Obj = {};
				var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
				
				subparam.d2 = mainCtrl.getUserInfo("userId");
				subparam.d3 = "";
				if(mainCtrl.getUserInfo("birthday") != ""){
					var bithday = Number(mainCtrl.getUserInfo("birthday").substring (0,4));
					var date = new Date();
					var todayYear = date.getFullYear();
					subparam.d4 = (String(todayYear - bithday + 1)).substring(0,1);
				}else{
					subparam.d4 = "";
				}
				
				if(mainCtrl.checkLogonStatus()){
					subparam.d5 = 'Y';
					if(mainCtrl.getUserInfo('staffInfo')=='Y'){
						if(mainCtrl.getUserInfo('staffBnft')=='Y'){
							subparam.d22 = "NS";
						}else{
							subparam.d22 = "하림";
						}
					}else{
						subparam.d22 = "일반회원";
					}
					if(GA.LoginType != "AUTO"){
						if(mainCtrl.getUserInfo('entFlag') === ""){
							subparam.d6 = "NS";
						}else{
							subparam.d6 = mainCtrl.getUserInfo('entFlag');
						}
					}
				}else {
					subparam.d5 = 'N';
					subparam.d22 = "비로그인";
					subparam.d6 = "";
				}
				if(mainCtrl.isOsApp()){
					subparam.d7 = "APP";
				}else{
					subparam.d7 = "MOBILE_WEB";
				}
				subparam.d9 = mainCtrl.getUserInfo('registration').substring(0,4) + mainCtrl.getUserInfo('registration').substring(5,7) + mainCtrl.getUserInfo('registration').substring(8,10);
				subparam.d10 = mainCtrl.getUserInfo('lastOrder').substring(0,4) + mainCtrl.getUserInfo('lastOrder').substring(5,7) + mainCtrl.getUserInfo('lastOrder').substring(8,10);
				subparam.d21 = mainCtrl.getUserInfo('gender');
				subparam.d24 = Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN);
				subparam.d25 = mainCtrl.getUserInfo('userMarketingSMS');
				subparam.d26 = mainCtrl.getUserInfo('userMargetingEmail');
				subparam.d27 = mainCtrl.getUserInfo('userMargetingTM');
				
				if(mainCtrl.isOsApp()){
					InitChannal = "APP";
				}else{
					InitChannal = "MOBILE_WEB";
				}
				
				
				if(InitChannal == "MOBILE_WEB"){
					event_Obj[GACustomKey.Dimension1] = GA.getCid();
				}
				else{
					event_Obj[GACustomKey.Dimension1] = "";
				}
				event_Obj[GACustomKey.Dimension2] = subparam.d2;
				event_Obj[GACustomKey.Dimension3] = subparam.d3;
				event_Obj[GACustomKey.Dimension4] = subparam.d4;
				event_Obj[GACustomKey.Dimension5] = subparam.d5;
				event_Obj[GACustomKey.Dimension6] = subparam.d6;
				event_Obj[GACustomKey.Dimension7] = subparam.d7;
				event_Obj[GACustomKey.Dimension9] = subparam.d9;
				event_Obj[GACustomKey.Dimension10] = subparam.d10;
				event_Obj[GACustomKey.Dimension21] = subparam.d21;
				event_Obj[GACustomKey.Dimension22] = subparam.d22;
				event_Obj[GACustomKey.Dimension24] = subparam.d24;
				event_Obj[GACustomKey.Dimension25] = subparam.d25;
				event_Obj[GACustomKey.Dimension26] = subparam.d26;
				event_Obj[GACustomKey.Dimension27] = subparam.d27;
				event_Obj[GACustomKey.Dimension28] = subparam.t1;
				subparam.d28 = subparam.t1;
				
				if(subparam.t2 != undefined && subparam.t2 != ""){
					event_Obj[GACustomKey.Dimension29] = subparam.t1 + ">" + subparam.t2;
					subparam.d29 = event_Obj[GACustomKey.Dimension29];
				}
				else{
					event_Obj[GACustomKey.Dimension29] = "";
					subparam.d29 = "";
				}
				
				if(subparam.t3 != undefined && subparam.t3 != ""){
					event_Obj[GACustomKey.Dimension30] = subparam.t1 + ">" +subparam.t2 + ">" +subparam.t3;
					subparam.d30 = event_Obj[GACustomKey.Dimension30];
				}
				else{
					event_Obj[GACustomKey.Dimension30] = event_Obj[GACustomKey.Dimension29];
					subparam.d30 = event_Obj[GACustomKey.Dimension29];
				}
				
				if(subparam.t4 != undefined && subparam.t4 != ""){
					event_Obj[GACustomKey.Dimension31] = subparam.t1 + ">" +subparam.t2 + ">" +subparam.t3 + ">" +subparam.t4;
					subparam.d31 = event_Obj[GACustomKey.Dimension31];
				}
				else{
					event_Obj[GACustomKey.Dimension31] = event_Obj[GACustomKey.Dimension30];
					subparam.d31 = event_Obj[GACustomKey.Dimension30];
				}
				
				event_Obj[GAHitKey.UserId] = mainCtrl.getUserInfo("userid");
				event_Obj[GAHitKey.Title] = event_Obj[GACustomKey.Dimension31];
				
				
				var jsonproduct = JSON.stringify(paramObj);
				var jsonsubparam = JSON.stringify(subparam);
				var nativeparam = {};
				nativeparam.jsonproduct = jsonproduct;
				nativeparam.jsonsubparam = jsonsubparam;
				nativeparam.step = "12";
				
				if(mainCtrl.isOsApp()){
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version >= 2933){
						Ns.Native.sendToGA360(nativeparam);
					}
					
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "android" && version >= 2941){
						Ns.Native.sendToGA360(nativeparam);
					}
				}else{
					event_Obj[GAHitKey.EventCategory] = paramObj.eventCate;
					event_Obj[GAHitKey.EventAction] = paramObj.eventAction;
					event_Obj[GAHitKey.EventLabel] = paramObj.eventLabel;
					GADatasend_Event(event_Obj);
				}
			} catch(e) {
				Ns.Util.viewConsoleLog('[이벤트에 대한 정보를 GA로 보내는 함수][GA.sendEventData] ==> ' + e.message);
			}
			
		},
		
		//항샹된 전자상거래에 대한 정보를 GA로 보내는 함수
		sendEcommerceData : function(paramObj, step, subparam){
			try {
				var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
				var temppayType = ["카드결제","무통장입금","실시간계좌이체","휴대폰결제","예치금사용","적립금사용","NS상품권","OK캐시백","네티웰포인트사용","해피머니사용","연간할인권사용","","페이코","네이버페이","NS페이카드","NS페이실시간계좌이체"];
				var payType = [];
				var payTypeName = "";
				
				if(step == "9"){
					if(GA.purchaseCheck == subparam.ordersid){
						return false;
					}else{
						GA.purchaseCheck = subparam.ordersid;
					}
				}
				subparam.d2 = mainCtrl.getUserInfo("userId");
				subparam.d3 = "";
				if(mainCtrl.getUserInfo("birthday") != ""){
					var bithday = Number(mainCtrl.getUserInfo("birthday").substring (0,4));
					var date = new Date();
					var todayYear = date.getFullYear();
					subparam.d4 = (String(todayYear - bithday + 1)).substring(0,1);
				}else{
					subparam.d4 = "";
				}
				
				if(mainCtrl.checkLogonStatus()){
					subparam.d5 = 'Y';
					if(mainCtrl.getUserInfo('staffInfo')=='Y'){
						if(mainCtrl.getUserInfo('staffBnft')=='Y'){
							subparam.d22 = "NS";
						}else{
							subparam.d22 = "하림";
						}
					}
					subparam.d22 = "일반회원";
					if(GA.LoginType != "AUTO"){
						if(mainCtrl.getUserInfo('entFlag') === ""){
							subparam.d6 = "NS";
						}else{
							subparam.d6 = mainCtrl.getUserInfo('entFlag');
						}
					}
				}else {
					subparam.d5 = 'N';
					subparam.d22 = "비로그인";
					subparam.d6 = "";
				}
				if(mainCtrl.isOsApp()){
					subparam.d7 = "APP";
				}else{
					subparam.d7 = "MOBILE_WEB";
				}
				subparam.d9 = mainCtrl.getUserInfo('registration').substring(0,4) + mainCtrl.getUserInfo('registration').substring(5,7) + mainCtrl.getUserInfo('registration').substring(8,10);
				subparam.d10 = mainCtrl.getUserInfo('lastOrder').substring(0,4) + mainCtrl.getUserInfo('lastOrder').substring(5,7) + mainCtrl.getUserInfo('lastOrder').substring(8,10);
				subparam.d21 = mainCtrl.getUserInfo('gender');
				subparam.d24 = Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN);
				subparam.d25 = mainCtrl.getUserInfo('userMarketingSMS');
				subparam.d26 = mainCtrl.getUserInfo('userMargetingEmail');
				subparam.d27 = mainCtrl.getUserInfo('userMargetingTM');
				
				if(step == "2"){
					if(subparam != undefined || "" != subparam){
						var obj = {};
						obj.partNumber = subparam.partNumber;
						obj.brdctDate = subparam.list.brdctDate;
						obj.formStartDttm = subparam.list.formStartDttm;
						obj.formEndDttm = subparam.list.formEndDttm;
						GA.liveDataSave[GA.liveDataSave.length] = obj;
					}
				}
				
				if(step == "7" || step == "8"){
//					var orderInfo = CurrentView.m_outputDatas.msg.OrderInfo;
					var nowDate = new Date();
					var dateArray = [];
					var obj2 = new Object();
					var year = nowDate.getFullYear();
					var month = nowDate.getMonth();
					var totalCnt = 0;
					var ordertlrl = "";
					var payType = new Array();
					var payTypeName = "";
					
					for(var i = 0; i < temppayType.length; i++){
						obj2 = new Object();
						
						obj2.code = String(i+1)+"00";
						obj2.name = temppayType[i];
						payType[i] = obj2;
					}				
					
					for(var b = 0; b<payType.length; b++){
						if(payType[b].code == subparam.payMthdCd){
							payTypeName = payType[b].name;
						}
					}
					
					for(var c = 5; c >= 0; c-- ){
						obj2 = new Object();
						if((month+1) > 9){
							obj2.orderMonth = String(year) + String(month+1);
	                    }else{
							obj2.orderMonth = String(year) + "0" + String(month+1);
	                    }

						if(month+1==12){
							year -= 1;
							month = 0;
	                    }else{
							month -=1;
	                    }
						dateArray[c] = obj2;
					}
					
//					for(var d = 0; d<orderInfo.length; d++){
//						if(orderInfo[d] != undefined){
//							for(var j = 0; j < dateArray.length; j++){
//					            if(dateArray[j].orderMonth == orderInfo[d].orderMonth){
//					                dateArray[j].cnt = orderInfo[d].cnt;
//					            }
//					        }
//					    }
//					}
					
					var orderSix = "";
					var threetotalcnt = 0;
					var lastcnt = 0;
					
					for(var k = 0; k<dateArray.length; k++){
//						if(dateArray[k].cnt != undefined){
//							orderSix += "O";
//							totalCnt += Number(dateArray[k].cnt);
//							if(k>2) {
//								threetotalcnt += Number(dateArray[k].cnt);
//							}
//							if(k==5) {
//								lastcnt = Number(dateArray[k].cnt);
//							}
//					    }else{
					    	orderSix += "X";
//					    }
						
						
					}
					
					if(mainCtrl.getUserInfo('lastOrder').substring(8,10) < 11){
						ordertlrl = "월초";
					}
					else if(mainCtrl.getUserInfo('lastOrder').substring(8,10) >10 && mainCtrl.getUserInfo('lastOrder').substring(8,10) < 21){
						ordertlrl = "월중";
					}
					else{
						ordertlrl = "월말";
					}
					
					subparam.d32 = String(totalCnt);
					subparam.d33 = orderSix.substring(5);
					subparam.d34 = orderSix.substring(4);
					subparam.d35 = orderSix.substring(3);
					subparam.d36 = orderSix;
					subparam.d38 = mainCtrl.getUserInfo('lastOrder').substring(11,13);
					subparam.d39 = payTypeName;
					subparam.d43 = ordertlrl;
					subparam.d44 = mainCtrl.getUserInfo('lastOrder').substring(0,4) + mainCtrl.getUserInfo('lastOrder').substring(5,7) + mainCtrl.getUserInfo('lastOrder').substring(8,10);
					subparam.d45 = String(threetotalcnt);
					subparam.d46 = String(lastcnt);
				}
				
				for(var e = 0; e < temppayType.length; e++){
					obj = new Object();
					obj.code = String(e+1)+"00";
					obj.name = temppayType[e];
					payType[e] = obj;
				}
				if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version < 2933){
					if(step == "6" && subparam.t2 == "장바구니"){
						subparam.t3 = "주문";
					}
				}
				
				var jsonproduct = JSON.stringify(paramObj);
				var jsonsubparam = JSON.stringify(subparam);
				var nativeparam = {};
				nativeparam.jsonproduct = jsonproduct;
				nativeparam.jsonsubparam = jsonsubparam;
				nativeparam.step = step;
				
				if(mainCtrl.isOsApp()){
					InitChannal = "APP";
				}else{
					InitChannal = "MOBILE_WEB";
				}
				
				if(mainCtrl.isOsApp()){
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "ios" && version >= 2931){
						Ns.Native.sendToGA360(nativeparam);
					}
					
					if(mainCtrl.VIEW_TYPE != undefined && mainCtrl.VIEW_TYPE === "android" && version >= 2939){
						Ns.Native.sendToGA360(nativeparam);
					}
				} else {
					var ecommerce_hit = {};
					ecommerce_hit[GAHitKey.UserId] = mainCtrl.getUserInfo("userid");
					if(InitChannal == "MOBILE_WEB"){
						ecommerce_hit[GACustomKey.Dimension1] = GA.getCid();
					}
					else{
						ecommerce_hit[GACustomKey.Dimension1] = "";
					}
					ecommerce_hit[GACustomKey.Dimension2] = subparam.d2;
					ecommerce_hit[GACustomKey.Dimension3] = subparam.d3;
					ecommerce_hit[GACustomKey.Dimension4] = subparam.d4;
					ecommerce_hit[GACustomKey.Dimension5] = subparam.d5;
					ecommerce_hit[GACustomKey.Dimension6] = subparam.d6;
					ecommerce_hit[GACustomKey.Dimension7] = subparam.d7;
					ecommerce_hit[GACustomKey.Dimension9] = subparam.d9;
					ecommerce_hit[GACustomKey.Dimension10] = subparam.d10;
					ecommerce_hit[GACustomKey.Dimension21] = subparam.d21;
					ecommerce_hit[GACustomKey.Dimension22] = subparam.d22;
					ecommerce_hit[GACustomKey.Dimension24] = subparam.d24;
					ecommerce_hit[GACustomKey.Dimension25] = subparam.d25;
					ecommerce_hit[GACustomKey.Dimension26] = subparam.d26;
					ecommerce_hit[GACustomKey.Dimension27] = subparam.d27;
					ecommerce_hit[GACustomKey.Dimension28] = subparam.t1;				
					if(step == "7" || step == "8"){
						ecommerce_hit[GACustomKey.Dimension32] = subparam.d32;
						ecommerce_hit[GACustomKey.Dimension33] = subparam.d33;
						ecommerce_hit[GACustomKey.Dimension34] = subparam.d34;
						ecommerce_hit[GACustomKey.Dimension35] = subparam.d35;
						ecommerce_hit[GACustomKey.Dimension36] = subparam.d36;
						ecommerce_hit[GACustomKey.Dimension38] = subparam.d38;
						ecommerce_hit[GACustomKey.Dimension39] = subparam.d39;
						ecommerce_hit[GACustomKey.Dimension43] = subparam.d43;
						ecommerce_hit[GACustomKey.Dimension44] = subparam.d44;
						ecommerce_hit[GACustomKey.Dimension45] = subparam.d45;
						ecommerce_hit[GACustomKey.Dimension46] = subparam.d46;
					}
					
					switch(step){
					//e-상품
					case "1":
						ecommerce_hit[GAHitKey.NonInteraction] = "1";
						ecommerce_hit[GAHitKey.Title] = subparam.t1+">"+subparam.t2+">"+subparam.t3;
						ecommerce_hit[GACustomKey.Dimension29] = subparam.t1+">"+subparam.t2;
						ecommerce_hit[GACustomKey.Dimension30] = subparam.t1+">"+subparam.t2+">"+subparam.t3;
						ecommerce_hit[GACustomKey.Dimension31] = subparam.t1+">"+subparam.t2+">"+subparam.t3;
						GADataSend_Ecommerce(GAEcommerceStepKey.Detail, null, paramObj, ecommerce_hit);
						break;
					//tv or shop+ 상품
					case "2":
						ecommerce_hit[GAHitKey.NonInteraction] = "1";
						ecommerce_hit[GAHitKey.Title] = subparam.t1+">"+subparam.t2+">"+subparam.t3+">"+subparam.t4;
						ecommerce_hit[GACustomKey.Dimension29] = subparam.t1+">"+subparam.t2;
						ecommerce_hit[GACustomKey.Dimension30] = subparam.t1+">"+subparam.t2+">"+subparam.t3;
						ecommerce_hit[GACustomKey.Dimension31] = subparam.t1+">"+subparam.t2+">"+subparam.t3+">"+subparam.t4;
						GADataSend_Ecommerce(GAEcommerceStepKey.Detail, null, paramObj, ecommerce_hit);
						break;
					//장바구니 담기
					case "3":
						ecommerce_hit[GAHitKey.Title] = subparam.t1+">"+subparam.t2+">"+subparam.t3;
						ecommerce_hit[GACustomKey.Dimension29] = subparam.t1+">"+subparam.t2;
						ecommerce_hit[GACustomKey.Dimension30] = subparam.t1+">"+subparam.t2+">"+subparam.t3;
						ecommerce_hit[GACustomKey.Dimension31] = subparam.t1+">"+subparam.t2+">"+subparam.t3;
						GADataSend_Ecommerce(GAEcommerceStepKey.Add, null, paramObj, ecommerce_hit);
						break;
					//장바구니 삭제
					case "4":
						ecommerce_hit[GAHitKey.Title] = subparam.t1+">"+subparam.t2;
						ecommerce_hit[GACustomKey.Dimension29] = subparam.t1+">"+subparam.t2;
						ecommerce_hit[GACustomKey.Dimension30] = subparam.t1+">"+subparam.t2;
						ecommerce_hit[GACustomKey.Dimension31] = subparam.t1+">"+subparam.t2;
						GADataSend_Ecommerce(GAEcommerceStepKey.Remove, null, paramObj, ecommerce_hit);
						break;
					//TV,CTCOM 상품옵션 있는 경우 주문서페이지 들어가기전
					case "5":
						var action_obj = {};
						action_obj[GAActionFieldKey.CheckoutStep] = "1";
						ecommerce_hit[GAHitKey.Title] = subparam.t1+">"+subparam.t2+">"+subparam.t3+">"+subparam.t4;
						ecommerce_hit[GACustomKey.Dimension29] = subparam.t1+">"+subparam.t2;
						ecommerce_hit[GACustomKey.Dimension30] = subparam.t1+">"+subparam.t2+">"+subparam.t3;
						ecommerce_hit[GACustomKey.Dimension31] = subparam.t1+">"+subparam.t2+">"+subparam.t3+">"+subparam.t4;
						GADataSend_Ecommerce(GAEcommerceStepKey.Checkout, action_obj, paramObj, ecommerce_hit);
						break;
					//e-상품 주문서 페이지 들어가기 전
					case "6":
						var action_obj = {};
						action_obj[GAActionFieldKey.CheckoutStep] = "1";
						var title = "";
						if(subparam.t3 == undefined){
							title = subparam.t1 + ">" + subparam.t2;
						}else{
							title = subparam.t1 + ">" + subparam.t2 + ">" + subparam.t3;
						}
						ecommerce_hit[GAHitKey.Title] = title;
						ecommerce_hit[GACustomKey.Dimension29] = subparam.t1+">"+subparam.t2;
						ecommerce_hit[GACustomKey.Dimension30] = title;
						ecommerce_hit[GACustomKey.Dimension31] = title;
						GADataSend_Ecommerce(GAEcommerceStepKey.Checkout, action_obj, paramObj, ecommerce_hit);
						break;
					//tv,ctcom 상품 주문결제 
					case "7":
						for(var i = 0; i<payType.length; i++){
							if(payType[i].code == subparam.paymentMethod){
								payTypeName = payType[i].name;
							}
						}
						var action_obj = {};
						var templiveinfo = {};
						action_obj[GAActionFieldKey.CheckoutStep] = "2";
						action_obj[GAActionFieldKey.CheckoutOptions] = payTypeName;
						
						for(var f = 0; f < GA.liveDataSave.length; f++){
							if(subparam.partNumber == GA.liveDataSave[f].partNumber){
								templiveinfo = GA.liveDataSave[f];
							}
						}
						if(templiveinfo != undefined || templiveinfo != null){
							ecommerce_hit[GACustomKey.Dimension17] = templiveinfo.brdctDate;
							ecommerce_hit[GACustomKey.Dimension18] = templiveinfo.formStartDttm;
							ecommerce_hit[GACustomKey.Dimension19] = templiveinfo.formEndDttm;
						}
						var title = subparam.t1 + ">" + subparam.t2;
						ecommerce_hit[GAHitKey.Title] = title;
						ecommerce_hit[GACustomKey.Dimension29] = title;
						ecommerce_hit[GACustomKey.Dimension30] = title;
						ecommerce_hit[GACustomKey.Dimension31] = title;
						GADataSend_Ecommerce(GAEcommerceStepKey.Checkout, action_obj, paramObj, ecommerce_hit);
						break;
					//e-상품 주문결제
					case "8":
						for(var h = 0; h<payType.length; h++){
							if(payType[h].code == subparam.paymentMethod){
								payTypeName = payType[h].name;
							}
						}
						var action_obj = {};
						action_obj[GAActionFieldKey.CheckoutStep] = "2";
						action_obj[GAActionFieldKey.CheckoutOptions] = payTypeName;
						var title = subparam.t1 + ">" + subparam.t2;
						ecommerce_hit[GAHitKey.Title] = title;
						ecommerce_hit[GACustomKey.Dimension29] = title;
						ecommerce_hit[GACustomKey.Dimension30] = title;
						ecommerce_hit[GACustomKey.Dimension31] = title;
						GADataSend_Ecommerce(GAEcommerceStepKey.Checkout, action_obj, paramObj, ecommerce_hit);
						break;
					// 결제 완료
					case "9":
						for(var g = 0; g<payType.length; g++){
							if(payType[g].code == subparam.typedetail){
								payTypeName = payType[g].name;
							}
						}
						
						if(subparam.typedetail == "100"){
							payTypeName = payTypeName + "_" + subparam.detailName;
						}else if(subparam.typedetail == "200"){
							payTypeName = payTypeName + "_" + (subparam.detailName).replace(" ", "");
						}
						ecommerce_hit[GAHitKey.NonInteraction] ="1";
						ecommerce_hit[GACustomKey.Dimension14] = payTypeName;
						ecommerce_hit[GACustomKey.Metric1] = String(subparam.totaldiscount);
						ecommerce_hit[GACustomKey.Metric2] = String(subparam.OKcashbag);
						ecommerce_hit[GACustomKey.Metric3] = String(subparam.nsgift);
						ecommerce_hit[GACustomKey.Metric4] = String(subparam.cash1);
						ecommerce_hit[GACustomKey.Metric5] = String(subparam.cash2);
						ecommerce_hit[GACustomKey.Metric6] = String(subparam.savecash);
						ecommerce_hit[GACustomKey.Metric7] = String(subparam.discountdelivery);
						ecommerce_hit[GACustomKey.Metric8] = String(subparam.discountprice);
						ecommerce_hit[GACustomKey.Metric9] = String(subparam.discountcoupon);
						ecommerce_hit[GACustomKey.Metric10] = String(subparam.discount1);
						ecommerce_hit[GACustomKey.Metric11] = String(subparam.discountcard);
						var action_obj = {};
						action_obj[GAActionFieldKey.TransactionID] = String(subparam.ordersid);
						action_obj[GAActionFieldKey.TransactionRevenue] = String(subparam.totalprice);
						action_obj[GAActionFieldKey.TransactionCouponCode] = String(subparam.coupon);
						action_obj[GAActionFieldKey.TransactionShipping] = String(subparam.deliveryprice);
						var title = subparam.t1 + ">" + subparam.t2;
						ecommerce_hit[GAHitKey.Title] = title;
						ecommerce_hit[GACustomKey.Dimension29] = title;
						ecommerce_hit[GACustomKey.Dimension30] = title;
						ecommerce_hit[GACustomKey.Dimension31] = title;
						GADataSend_Ecommerce(GAEcommerceStepKey.Purchase, action_obj, paramObj, ecommerce_hit);
						
						break;
					//결제취소
					case "10":
						var action_obj = {};
						action_obj[GAActionFieldKey.TransactionID] = subparam.ordersid;
						ecommerce_hit[GAHitKey.Title] = subparam.t1+">"+subparam.t2+">"+subparam.t3+">"+subparam.t4;
						ecommerce_hit[GACustomKey.Dimension29] = subparam.t1+">"+subparam.t2;
						ecommerce_hit[GACustomKey.Dimension30] = subparam.t1+">"+subparam.t2+">"+subparam.t3;
						ecommerce_hit[GACustomKey.Dimension31] = subparam.t1+">"+subparam.t2+">"+subparam.t3+">"+subparam.t4;
						GADataSend_Ecommerce(GAEcommerceStepKey.Refund, action_obj, null, ecommerce_hit);
						break;
					//상품리스트 클릭
					case "11":
						var action_obj = {};
						action_obj[GAActionFieldKey.ProductActionList] = subparam.list;
						var title = subparam.t1 + ">" + subparam.t2;
						ecommerce_hit[GAHitKey.Title] = title;
						ecommerce_hit[GACustomKey.Dimension29] = title;
						ecommerce_hit[GACustomKey.Dimension30] = title;
						ecommerce_hit[GACustomKey.Dimension31] = title;
						GADataSend_Ecommerce(GAEcommerceStepKey.Click, action_obj, paramObj, ecommerce_hit);
						break;
					default :
						break;
					}
				}
			} catch(e) {
				Ns.Util.viewConsoleLog('[항샹된 전자상거래에 대한 정보를 GA로 보내는 함수 오류][GA.sendEcommerceData] ==> ' + e.message);
			}
		},
		
		getCid : function(){
			var cookieData = document.cookie;
			var Cookies = cookieData.split(';');
			var clientId = "";
			for(var i = 0; i<Cookies.length;i++){
				if(Cookies[i].split('=')[0] == '_ga' || Cookies[i].split('=')[0] == ' _ga'){
					clientId =Cookies[i].split('=')[1];
				}
			}
			if(clientId != ""){
				clientId = clientId.substring(6);
			}
			
			if(clientId == ""){
				ga(function(tracker){
					clientId = tracker.get('clientId');
				});
			}
			return clientId;
		}
}

/**********  GA WEB SDK script end  **********/

//<!-- Facebook Pixel Code -->
var facebookLogger = {
		
		params : [],
		
		sendLogging : function(paramsObj) {
			
			if(paramsObj.initFlag) {
				//공통스크립트 - 중복호출가능
				this.facebookCommon();
			}
		},
		
		facebookCommon : function() {
			!function(f,b,e,v,n,t,s)
			{
				if(f.fbq)
					return;
				n=f.fbq=function(){n.callMethod?
						n.callMethod.apply(n,arguments):n.queue.push(arguments)};
				if(!f._fbq)
					f._fbq=n;
				n.push=n;
				n.loaded=!0;
				n.version='2.0';
				n.queue=[];
				t=b.createElement(e);
				t.async=!0;
				t.src=v;
				s=b.getElementsByTagName(e)[0];
				s.parentNode.insertBefore(t,s)
			}(window, document,'script', 'https://connect.facebook.net/en_US/fbevents.js');
			fbq('init', '1164815017046073');
			fbq('track', 'PageView');
		}
}
//<!-- End Facebook Pixel Code -->