
/* JavaScript content from js/customer/M_C1142400L.js in folder common */

/** 
 *	페이지 ID : M_C1142400L
 *  게시판문의/답변
 *
 */

CurrentView = {
		prevPage : null,

		FILE_IDX : 0,
		storedFiles : [],
		
		fileName : "", /** 하나의 이미지 파일만 사용 */
		
		orderId : "",
		itemCd 	: "",	    		
		orderSeq: "",				
		itemNm: "",	
		partNumber: "",
		bDouble : false,	/** 중복클릭 체크 변수 */
		
		MAX_MESSAGE_CARD_LENGTH : 400,	// 메세지카드 입력 최대값
		
		init : function( params ) {
			this.prevPage = params.prevPage;
			this.initializeComponent(params);
			this.onLoad(params);
		},
		
		initializeComponent : function(params) {
			$("#btnMyQNA").unbind().bind( "click", this.event.onclick_btnMyQNA );
			$("#selCate01").unbind().bind( "change", this.event.onchange_selCate01 );
			$("#selCate02").unbind().bind( "change", this.event.onchange_selCate02 );
			$("#btnQuestion").unbind().bind( "click", this.event.onclick_btnQuestion );

			$("#btnUploadPhoto").unbind().bind( "click", this.event.onclick_btnUploadPhoto );
			$("#inputUpload").unbind().bind( "change", this.event.handleFileSelect );
			$('form#sendFileForm').on( "submit", this.data.execUploadFiles );
			/** 고객센터개편 */
			$("#selBusChnId").unbind().bind( "click", this.data.product_display );
			$("#selBusChnId_v").unbind().bind( "click", this.data.product_display );

			var tel = USERINFO.hpNo().replace(/-/gi,"");
			if(tel == "nulnulnul") tel = "";
			$("#hpno").val( tel );
			$("#email").val( USERINFO.email() );
			
			/** 앱이 아닌곳에서는 사진등록 숨기기 */
			if(!(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android")){
				$("#divPhoto").hide();
			}
			
			if( params.orderId != undefined){
				navi.setMovePointer(-1);
				CurrentView.orderId = params.orderId;
				CurrentView.itemCd = params.itemCd;
				CurrentView.orderSeq = params.orderSeq;
				CurrentView.itemNm = params.itemNm;
				CurrentView.partNumber = params.partNumber;
				$("#selBusChnId").val( CurrentView.itemNm );
			}
		},
		
		onLoad : function() {
			this.data.getFooterInquirySelectMobile();
		},
		
		data : {
			getFooterInquirySelectMobile : function() {
				var invoke = {
					cmd_gubun : "QC1"
				};
				tran.callWCSJsonTran( "FooterInquirySelectMobileReal", invoke, CurrentView.ui.setFooterInquirySelectMobile );
			},
			
			resultQnaStatus : function( ) {
				var param = {};
				mainCtrl.navigate( CurrentView.prevPage, param );
			},
			
			product_display : function( ){
				var param = {};
				mainCtrl.navigate("M_C1142403P", param);
			}
			
		},
		
		/** ui interaction 관련 함수 정의 */ 
		ui : {
			
			/**
			 * 문의 유형에 노출할 옵션 값을 셋팅한다(대분류, 중분류, 소분류)
			 */
			setFooterInquirySelectMobile : function( data ) {
				
				/** 대분류, 중분류, 소분류 값 */
				var bigGroup = data.msg.root[0].bigGroup;
				var mediumGroup  = data.msg.root[0].mediumGroup;
				var smallGroup  = data.msg.root[0].smallGroup;
				
				/** 문의유형에 노출할 HTML */
				var optTxt;
				
				/** 대분류 */
				if (bigGroup != null && bigGroup != "") {
					optTxt = '<option value="">선택해주세요.</option>';
					
					for (var d = 0; d < bigGroup.length; d++) {
						var items_d = bigGroup[d];
						optTxt += '<option value="' + items_d.id + '">' + items_d.name + '</option>';
					}
					$("#selCate01").html(optTxt);
				}
				
				/** 중분류 */
				if (mediumGroup != null && mediumGroup != "") {
					optTxt = '<option value="">선택해주세요.</option>';
					
					for (var j = 0; j < mediumGroup.length; j++) {
						var items_j = mediumGroup[j];
						optTxt += '<option value="' + items_j.id + '">' + items_j.name + '</option>';
					}
					$("#selCate02").html(optTxt);
				}
			
				
				/** 소분류 */
				if (smallGroup != null && smallGroup != "") {
					optTxt = '<option value="">선택해주세요.</option>';
	
					for (var s = 0; s < smallGroup.length; s++) {
						var items_s = smallGroup[s];
						optTxt += '<option value="' + items_s.id + '">' + items_s.name + '</option>';
					}
					$("#selCate03").html(optTxt);
				}
			}
		},
		/** end ui function... */
		
		/** 이벤트 관련 함수 정의 */
		event : {
			
			/** 메세지 입력시 */
			keyup_inputMemo : function(_this) {
				Ns.Util.checkByteLength(_this, CurrentView.MAX_MESSAGE_CARD_LENGTH);
				var len = Ns.Util.getBytes(_this.value);
				$("#inputMemo_Count").html( '문의내용' + '<br>' + Ns.Util.stringFormat("({0}/{1} bytes)", len, CurrentView.MAX_MESSAGE_CARD_LENGTH) );
			},
			
			onclick_radioPhoneMail : function( type ) {
				if (type == '10') { /** email */
					$("#divPhone").hide();
				} else if (type == '11') { /** email + SMS */
					$("#divPhone").show();
				}
			},
			
			/**
			 * 대분류 옵션 변경 이벤트
			 */
			onchange_selCate01 : function() {
				$("#selCate02").val("");
				$("#selCate03").val("");
				$("#selCate02").show();
				
				var invoke = {
					cmd_gubun : "QC1",
					largeCate_id : $("#selCate01").val()
				};
				tran.callWCSJsonTran( "FooterInquirySelectMobileReal", invoke, CurrentView.ui.setFooterInquirySelectMobile );
			},
			
			/**
			 * 중분류 옵션 변경 이벤트
			 */
			onchange_selCate02 : function() {
				$("#selCate03").val("");
				$("#selCate03").show();
				
				var invoke = {
					cmd_gubun : "QC1",
					mediumCate_id : $("#selCate02").val()
				};
				tran.callWCSJsonTran( "FooterInquirySelectMobileReal", invoke, CurrentView.ui.setFooterInquirySelectMobile );
				
			},
			
			onclick_btnMyQNA : function() {
				mainCtrl.navigate( "M_U1173100M", null );
			},
			
			onclick_btnQuestion : function() {
				if(Ns.Util.doubleSubmitCheck()) return;

				var receiveType = $('input:radio[name="chkReceiveType"]:checked').val();
				var selCate = $("#selCate01").val();
				var selCate1 = $("#selCate02").val();
				var selCate2 = $("#selCate03").val();
				var optionData = $("#selBusChnId").val();
				var inputTitle = $("#inputTitle").val();
				var inputMemo = $("#inputMemo").val();
				var hpno = $("#hpno").val();
				var email = $("#email").val();
				var isEmail = Ns.Util.isEmail( email );
				var goodsNm = CurrentView.itemNm;
				var isHpNo = Ns.Util.isHPNo( Ns.Util.insertSeparatorPhoneNumber(hpno,"-"));
				var selBusChnId = $("#selBusChnId").val();

				/** 대분류 */
				var csClssfNumL = $("#selCate01").val();
				var csClssfNumM = $("#selCate02").val();
				var csClssfNumS = $("#selCate03").val();
				
				/** 고객센터 개편 flag */
				var csflag = false;
				
				if( csClssfNumL == "2" || csClssfNumL == "4" || csClssfNumL == "5" || csClssfNumL == "6"){
					csflag = true;
				}
				
				var mobile1 = "";
				var mobile2 = "";
				var mobile3 = "";

				if( selBusChnId == ""){
					Ns.Popup.alert("상품문의 매체선택을 선택하세요.");
					return false;
				}
				
				if( selCate == "" ) {
					Ns.Popup.alert("상품문의 유형구분(대)을 선택하세요.");
					return false;
				}
				
				if( selCate1 == "" ) {
					Ns.Popup.alert("상품문의 유형구분(중)을 선택하세요.");
					return false;
				}
				
				if( selCate2 == "" ) {
					Ns.Popup.alert("상품문의 유형구분(소)을 선택하세요.");
					return false;
				}
				if( selBusChnId == "문의하실 상품을 선택해주세요." && csflag == true) {
					Ns.Popup.alert("해당 문의유형은 주문상품을 선택하신 후 문의해주시기 바랍니다.");
					return false;
				}
				if( inputTitle == "" ) {
					Ns.Popup.alert("문의 제목을 입력하세요.");
					return false;
				}
				if( inputMemo == "" ) {
					Ns.Popup.alert("문의 내용을 입력하세요.");
					return false;
				}
				if (Ns.Util.getBytes(Ns.Util.trimString(inputMemo)) > CurrentView.MAX_MESSAGE_CARD_LENGTH) {
					Ns.Popup.alert("문의 내용의 글자수는 " + CurrentView.MAX_MESSAGE_CARD_LENGTH + " bytes를 초과할 수 없습니다.");
					return false;
				}				
				if( receiveType == "10") {
					if( !isEmail ) {
						Ns.Popup.alert("E-Mail정보를 정확히 입력하세요.");
						return false;
					}
				} else if( receiveType == "11") {
					if( !isEmail ) {
						Ns.Popup.alert("E-Mail 정보를 정확히 입력하세요.");
						return false;
					}
					if( !isHpNo ) {
						Ns.Popup.alert("휴대폰 정보를 정확히 입력하세요.");
						return false;
					}
					
					mobile1 = hpno.substring( 0, 3);
					mobile2 = hpno.substring( 3 , hpno.length-4 );
					mobile3 = hpno.substring( hpno.length-4, hpno.length );
				}
				
				if ( goodsNm == "주문상품 선택" ){
					goodsNm = "";
				}
				
				var partNumber;
				var orderId;
				var itemCd;
				var itemNm;
				var orderSeq;
				if ( CurrentView.partNumber != "" ) {
					var tmp = optionData.split("_");
					partNumber = tmp[0];
					orderId = tmp[1];
					itemCd = tmp[2] == "-1" ? "" : tmp[2];
					orderSeq = tmp[3] == "-1" ? "" : tmp[3];
					itemNm = tmp[4] == "-1" ? "" : tmp[4];
					
					orderId = CurrentView.orderId;
					itemCd = CurrentView.itemCd;
					orderSeq = CurrentView.orderSeq;
					itemNm = CurrentView.itemNm;
					partNumber = CurrentView.partNumber;
				}
				
				var frm = document.getElementById('sendFileForm');
				frm.accptPath.value = Const.getAcceptPath();
				frm.storeId.value = DEFAULT_PARAMs.storeId;
				frm.langId.value = DEFAULT_PARAMs.langId;

				frm.userId.value = USERINFO.userId();
				frm.title.value = inputTitle;
				frm.ctnt.value = Ns.Util.htmlEncode(inputMemo);
				frm.emailAddr.value = email;
				frm.mediaType.value = "";
				frm.mobile1.value = mobile1;
				frm.mobile2.value = mobile2;
				frm.mobile3.value = mobile3;
				frm.boardClssfCd.value = 'Q';					
				frm.conf_gb.value = receiveType;
				frm.csClssfNumL.value = csClssfNumL;
				frm.csClssfNumM.value = csClssfNumM;
				frm.csClssfNumS.value = csClssfNumS;
				frm.orderNum.value = orderId;
				frm.orderSeq.value = orderSeq;
				frm.goodsCd.value = partNumber;
				frm.goodsNm.value = goodsNm;
				frm.itemCd.value = itemCd;
				frm.itemNm.value = itemNm;
				frm.txtfile.value = CurrentView.fileName;

				
				var formdata = false;
				if (window.FormData) {
					formdata = new FormData(frm);
				}
				
				/** 중복 클릭 방지 처리 */ 
				if (CurrentView.bDouble == true){
					return false;
				}
				CurrentView.bDouble = true;
				
				if (mainCtrl.VIEW_TYPE != "android" && mainCtrl.VIEW_TYPE != "ios"){	// web
					var param = {};
					param.accptPath = $('#accptPath').val();
					param.storeId = $('#storeId').val();
					param.langId = $('#langId').val();
					param.userId = $('#userId').val();
					param.title = $('#title').val();
					param.ctnt = $('#ctnt').val();
					param.emailAddr = $('#emailAddr').val();
					param.mobile1 = $('#mobile1').val();
					param.mobile2 = $('#mobile2').val();
					param.mobile3 = $('#mobile3').val();
					param.boardClssfCd = $('#boardClssfCd').val();
					param.conf_gb = $('#conf_gb').val();
					param.csClssfNumL = $('#csClssfNumL').val();
					param.csClssfNumM = $('#csClssfNumM').val();
					param.csClssfNumS = $('#csClssfNumS').val();
					param.orderNum = $('#orderNum').val();
					param.orderSeq = $('#orderSeq').val();
					param.goodsCd = $('#goodsCd').val();
					param.goodsNm = $("#goodsNm").val();
					param.itemCd = $('#itemCd').val();
					param.itemNm = $('#itemNm').val();
					param.mediaType = "";
					
					tran.callWCSJsonTran( 'FooterInquiryMobileReal', param, function( data ) {
						var success = data.msg.root.Result;
						if ( success == '0' ) {
							var param = {
								callback : CurrentView.data.resultQnaStatus
							};
							Ns.Popup.showLayer('M_C1142402P', param);
							return false;
						} else {
							Ns.Popup.alert( "1:1문의신청에 실패 하였습니다." );
							return false;
						}
					});
				} else { /** mobile */
					if(mainCtrl.VIEW_TYPE == "android" && CurrentView.storedFiles.length == 1){
						var fileList = CurrentView.storedFiles[0];
						var uploadSuccess = function (result) {
							var response = JSON.parse(result.response);
							var msg = response.msg;
							var success = msg.root.Result;
							if ( success == '0' ) {
								var param = {
									callback : CurrentView.data.resultQnaStatus
								};
								Ns.Popup.showLayer('M_C1142402P', param);
								return false;
							} else {
								Ns.Popup.alert( "1:1문의신청에 실패 하였습니다." );
								return false;
							}
							
						};

						var uploadFail = function (error) {
							Ns.Popup.alert("사진을 등록하지 못했습니다.");
							CurrentView.event.onclick_btnCanelReg(); /** 상품평 목록으로 이동. */ 
						};

						var options = new FileUploadOptions();
						options.fileKey = "inputUpload";
						options.fileName = fileList.name;
						options.mimeType = "false";
						options.headers = {
		                    Connection: "close",
		                    crossDomain : true,
					        cache       : false,
					        contentType : false,
					        processData : false,
					        type        : 'POST',
					        dataType    : 'json',
					        Cookie		: ''
		                 };
						var param = {};
						param.mediaType = "";
						param.accptPath = $('#accptPath').val();
						param.storeId = $('#storeId').val();
						param.langId = $('#langId').val();
						param.userId = $('#userId').val();
						param.title = $('#title').val();
						param.ctnt = $('#ctnt').val();
						param.emailAddr = $('#emailAddr').val();
						param.mobile1 = $('#mobile1').val();
						param.mobile2 = $('#mobile2').val();
						param.mobile3 = $('#mobile3').val();
						param.boardClssfCd = $('#boardClssfCd').val();
						param.conf_gb = $('#conf_gb').val();
						param.csClssfNumL = $('#csClssfNumL').val();
						param.csClssfNumM = $('#csClssfNumM').val();
						param.csClssfNumS = $('#csClssfNumS').val();
						param.orderNum = $('#orderNum').val();
						param.orderSeq = $('#orderSeq').val();
						param.goodsCd = $('#goodsCd').val();
						param.goodsNm = $("#goodsNm").val();
						param.itemCd = $('#itemCd').val();
						param.itemNm = $('#itemNm').val();
						param.txtfile = fileList.name;
						param.fileForm = fileList.name;
						options.params = param;
						
						options.trustEveryone = true;
						
						var ft = new FileTransfer();
						ft.upload(fileList.realPath, encodeURI('http://'+Const.WCS_NSMALL_PATH+'/FooterInquiryMobileReal'), uploadSuccess, uploadFail, options);
					}else{
						$.ajax({
							beforeSend : function(xhr) {
								tran.showBusy();
							},
					        url         : "https://" + Const.WCS_NSMALL_PATH + "/FooterInquiryMobileReal",
					        data        : (formdata ? formdata : $(frm).serialize()),
					        crossDomain : true,
					        cache       : false,
					        contentType : false,
					        processData : false,
					        type        : 'POST',
					        dataType    : 'json',
					        success     : function(data, textStatus, jqXHR){
					            // Callback code
								var success = data.msg.root.Result;
								if ( success == '0' ) {
									var param = {
										callback : CurrentView.data.resultQnaStatus
									};
									Ns.Popup.showLayer('M_C1142402P', param);
									return false;
								} else {
									Ns.Popup.alert( "1:1문의신청에 실패 하였습니다." );
									return false;
								}
					        },
							error: function(xhr, textStatus, errorThrown) {
							    Ns.Popup.alert("사진을 등록하지 못했습니다.");
							    return false;
							},
							complete : function() {
								tran.hideBusy();
							}
					    });
					}
				}
			},
			
			onclick_btnUploadPhoto : function() {
				if ( CurrentView.storedFiles.length == 1 ) {
					return false;
				}
				
				/**
				 * 2014.11.13 FAS 길어진
				 * Android의 FileChooser에 버그가 있어(LG Phoens, kitkat version, etc..) FileChoose를 Navtive 코드로 구현
				 */
				if(mainCtrl.VIEW_TYPE == "android"){
					NSCustom.openFileChooser();
				}else{
					$("#inputUpload").click();
				}
			},
			
			handleFileSelectAndroid : function(file) {
				if ( CurrentView.storedFiles.length == 5 )  return false;
				if (!file.type.match(/image.*/)) {
					Ns.Popup.alert( "이미지 파일이 아닙니다." );
					return false;
				}
				
				CurrentView.storedFiles.push(file);
				CurrentView.FILE_IDX++;
				
				/** 썸네일 미리보기 width="'+width+'px;" */
				var htmlTxt = '';    		
	    		htmlTxt += '<li id="imgPhoto'+CurrentView.FILE_IDX+'">';
	    		htmlTxt += '<div class="photo_img">';
	    		htmlTxt += '<a class="photo_del" href="javascript:CurrentView.event.onclick_removePhoto('+CurrentView.FILE_IDX+', \''+file.name+'\');" ><span>사진삭제</span></a>';
	    		htmlTxt += '<img src="'+file.realPath+'"  alt="" />';
	    		htmlTxt += '</div>';
	    		htmlTxt += '</li>';
	    		
	    		$("#ulPreviewList").append( htmlTxt );
						

			},
			
		    handleFileSelect : function(e) {
				var files = e.target.files;
				var filesArr = Array.prototype.slice.call(files);
				filesArr.forEach(function(f) {
					if (CurrentView.storedFiles.length == 1) {
						return false;
					}
					if (!f.type.match("image.*")) {
						Ns.Popup.alert("이미지 파일이 아닙니다.");
						return;
					}
					
					CurrentView.storedFiles.push(files);
					CurrentView.fileName = f.name;
					CurrentView.FILE_IDX++;
					
					/** 썸네일 미리보기 */
					var showThumbnailImage = function(imgURL) {
						var htmlTxt = '';    		
			    		htmlTxt += '<li id="imgPhoto' + CurrentView.FILE_IDX  + '">';
			    		htmlTxt += '<div class="photo_img">';
			    		htmlTxt += '<a class="photo_del" href="javascript:CurrentView.event.onclick_removePhoto(' + CurrentView.FILE_IDX + ', \'' + f.name + '\');" ><span>사진삭제</span></a>';
			    		htmlTxt += '<img src="' + imgURL + '" alt="" />';
			    		htmlTxt += '</div>';
			    		htmlTxt += '</li>';
			    		$("#ulPreviewList").append( htmlTxt );
					};

					try {
						/** window.URL 객체를 얻음 */
						var URL = window.URL || window.webkitURL;
						var imgSrc = URL.createObjectURL(f);
						
						showThumbnailImage(imgSrc);
						
			    		/** 성능을 위해 다 사용한 ObjectURL을 해제 */
			    		URL.revokeObjectURL(imgSrc);
					} catch(e) {
						try {
							/** createObjectURL을 지원하지 않는 경우 대안 */
							var fileReader = new FileReader();
							fileReader.onload = function(event) {
								showThumbnailImage(event.target.result);
							};
							fileReader.readAsDataURL(f);
						} catch(e) {}
					}
				});
			},
		    
		    onclick_removePhoto : function( idx, name ) {
		    	$("#imgPhoto" + idx).remove();
				CurrentView.FILE_IDX--;
	
				for ( var i = 0; i < CurrentView.storedFiles.length; i++) {
					if (CurrentView.storedFiles[i].name === name) {
						CurrentView.storedFiles.splice(i, 1);
						break;
					}
				}
				CurrentView.storedFiles = [];
				CurrentView.fileName = null;
				$('#inputUpload').val('');
		    }
			
		}
};