
/* JavaScript content from js/customer/M_C1142403P.js in folder common */

/* 
 *	페이지 ID : M_C1142403P
 *  
*/

CurrentView = {
		tabIndex : 0,  		//Tab Index  ("". 전체. 1. 일반상품 / 2. 상품권 / 3. NS정기배달 / 4. 서비스상품)
		monthly : 1,	 	//month Tab index 1 ,3, 6
		pageIdx : 1,		//page no
		rowpage : 5, 		//paging size.
		status	: "",
		totalCount : 0,
		invokeParams : null,
		pageDataset : [],
		orgOrders : new Object(),
		orderId : "",
		pushFullEvent : true,	// 페이징 관련
		
		init : function( params ) {
			this.prevPage = params.prevPage;
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			$("#ulTabTerms li a").unbind().bind( "click", this.event.onclick_ulTabTerms ); //1, 3, 6개월 탭. 
		},
		
		onLoad : function(params) {
			CurrentView.data.getMyOrderList( );
			Ns.UI.startPushFullEvent( CurrentView.data.getMyOrderList );	// 페이징 설정
		},
		
		data : {
			getAllEventMobile : function() {
				var invoke = {};
				invoke.espotInfo = "MOB_MAIN_EXHIBITION|Content";
				invoke.pageId = CurrentView.pageIdx;
				invoke.pageSize = CurrentView.pageSize;
				
				tran.callWCSJsonTran( 'NSEspotCommon', invoke, CurrentView.ui.setAllEventMobile );
			},
			
			getMyOrderList : function( pageIdx ) {

				var params = {};
				if ( pageIdx == null || pageIdx == "" || pageIdx == 0 || pageIdx == undefined ) {
					pageIdx = CurrentView.pageIdx;
				}
				CurrentView.pageIdx = pageIdx;  // 현재 페이지 전역에 저장
				
				params.pageIdx = pageIdx;
				params.rowpage = CurrentView.rowpage;
				
				params.pagelmt  = 10;
				var tidx = CurrentView.tabIndex;
				params.tidx 		= tidx; 
        
				//조회기간(1. 1주일 / 2. 15일 / 3. 1개월 / 4. 3개월 / 5. 6개월)
				var monthly = CurrentView.monthly;
				if ( monthly == 1 ) 	{ //1개월.
					params.tmtyp = 3;
				} else  if ( monthly == 3 ) 	{ //3개월.
					params.tmtyp = 4;
				} else  if ( monthly == 6 ) 	{ //6개월.
					params.tmtyp = 5;
				}
				params.midx = 2; //Menu Index (1. Default / 2. 주문배송조회 / 3. 주문취소변경 / 4. 교환반품) 
				params.userId = USERINFO.userId();
				params.ordsid = ""; //상세조회할 대 값 설정.
				params.odt1 = Ns.Date.calcDate('', 0,-monthly, 0, 0,'yyyy.MM.dd');
				params.odt2 = Ns.Date.calcDate('', 0, 0, 0, 0, 'yyyy.MM.dd');
				params.channel = "mobile";  //Const.getBusChannelId();//
				params.status = CurrentView.status;
				CurrentView.invokeParams = params;

				tran.callWCSJsonTran( "NSMypageCmd" , params, CurrentView.data.resultOrderInfo );
			},
			
			resultOrderInfo : function( data ) {
				
				var orders = data.msg.root.orders;
				
				CurrentView.orgOrders = JSON.parse(JSON.stringify(orders));
				
				/**
				 * 2016-12-06 정승진 : 카카오 알림톡 랜딩 추가
				 * */
				if (!Ns.Util.isNull(CurrentView.orderId))
					CurrentView.data.randingOrderDetail(CurrentView.orgOrders);
				
				if ( orders == null || orders.length == 0 ) {
				  	var html = mainCtrl.getNoResultDataHtml("주문 내역이 없습니다.");
  					$("#divOrderListArea").html( html );
  					return false;
				}
				
				// 주문정보 조회결과 저장
				CurrentView.pageDataset = data.msg.root.orders;
				
				var html = CurrentView.ui.makeHtmlOrders( orders );
				$("#divOrderListArea").append( html );
				
				CurrentView.totalCount   = data.msg.root.totalcnt;	
				
				if (Number(CurrentView.totalCount) > Number(CurrentView.pageIdx) * Number(CurrentView.rowpage)){
					CurrentView.pushFullEvent = false;
				}
			},
		},
		
		//ui interaction 관련 함수 정의 
		ui : {
			//조회 결과값을 가지고 주문/배송 html을 생성한다. 
			makeHtmlOrders : function( orders ) {
				var html = "";
				
				for( var i=0; i<orders.length; i++ ) {
					var ordersId = orders[i].ordersId;
					// 20160321 정헌태 수정 - 요청으로 바라보는 필드 고정
					//var ordersDate	   = CurrentView.ui.makeHtmlOrderDate( ordersId, orders[i].cats );
					var ordersDate	   = "";
					if ( ordersDate == "" || ordersDate == null ) {
						ordersDate = orders[i].timeplaced.replace(/[\.-]/g, ".");
					}
					
					var totalPrice	   = Ns.Util.insertCommas( orders[i].totalpayment );
					var catsHtml = CurrentView.ui.makeHtmlCats( ordersId, orders[i].cats, orders[i], i );
					var orderActBtn    = CurrentView.ui.makeHtmlOrderAction( orders[i].cats, ordersId, orders[i], orders[i].lastupdateall, orders[i].latestOperationId, orders[i].hasCantTraceCardYn, orders[i].timeplaced );
					var strMedia = orders[i].media;

					if ( catsHtml != "" ) {
						html +=	Ns.Util.stringFormat(catsHtml);
					}	
				}
				return html;
			},
			
			makeHtmlCats : function( ordersId, items, orders, ordersIndex) {
				var html ="";
				
				for ( var i=0; i<items.length; i++ ) {
					var imageLink = Ns.Util.getImageUrl(String(items[i].goodsCd),"H");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_H.jpg';
					var brandName = Ns.Util.htmlDecode(items[i].brandName);
					var goodsName = items[i].catentryName;
					var statusName = items[i].statusName;
					var ordersDate	   = "";
					
					if ( ordersDate == "" || ordersDate == null ) {
						ordersDate = orders.timeplaced.replace(/[\.-]/g, ".");
					}

					goodsName = (!Ns.Util.isNull(brandName) && brandName != '미정의' ? "[" + brandName + "]" : "") + (goodsName || '');
					
					var optionsHtml = "";
					var options = CurrentView.ui.getOrdersAttributes( items[i].attrs );
					
					//NS정기배달 필요한 값 - ex) 30일 간격, 총 8회 배송
					var intrv = items[i].intrv;
					//intrv = intrv + "일 간격";
					var cnveyNum = items[i].cnveyNum;
					//cnveyNum = "총 " + cnveyNum + "회 배송";
					
					if ( options != "" ) {
						optionsHtml += '<strong class="head">주문옵션</strong>';
						optionsHtml += '<span class="text">';
						optionsHtml += options;
						optionsHtml += '</span>';
					}
					
					//if ( CurrentView.tabIndex == 3 ) { //정기배달 - 전체상품 조회 일 때 적용 안됨
					if ( intrv != null && cnveyNum != null ) {						
						optionsHtml += Ns.Util.stringFormat('\
								<div class="option-delivery">\
									<strong class="head">배송주기</strong>\
									<span class="text">\
										<span class="option">간격 : {0}일</span>\
										<span class="option">배송 : {1}회</span>\
									</span>\
								</div>',
								intrv,
								cnveyNum
						);
					}
					
					var orderStatus = {
						statusName : items[i].statusName,
						price : items[i].price,
						quantity : items[i].quantity,
						totalPrice : items[i].totalproduct,
						status : items[i].status,
						commentWriteYn : items[i].commentWriteYn,
					};
					
					var partNumber = items[i].goodsCd;
					var orderId = items[i].ordersId;
					
					var itemCd = !Ns.Util.isNull(items[i].itemsId) ? items[i].itemsId : "-1";
					var itemNm = !Ns.Util.isNull(goodsName) ? goodsName : "-1";
					var orderSeq = !Ns.Util.isNull(items[i].seq) ? items[i].seq : "-1";
					
					var statusHtml = CurrentView.ui.getOrderStatusHtml( orderStatus, items[i], orders, ordersIndex, i);

					html += Ns.Util.stringFormat('\
							<div class="itemsort_lst">\
								<div class="thumbnail_wrap">\
									<img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
								</div>\
							<div class="info_wrap">\
								<div>\
									<h3 class="info_tit">{4}</h3>\
									<p><strong>주문번호</strong>{3}</p>\
									<p><strong>주문일자</strong>{6}</p>\
									<p><strong>주문상태</strong>{5}</p>\
								</div>\
							<div class="sortbtn_wrap"><a class="sort_btn" href="javascript:CurrentView.event.onclick_prepage(\'' + partNumber + '\',\'' + orderId + '\',\'' + itemCd +  '\',\'' + orderSeq + '\',\'' +itemNm+'\');"><span>선택</span></a></div>\
							</div>\
							</div>',	ordersId, imageLink, noImageUrl, ordersId, goodsName, statusName, ordersDate );

				}

				return html;
		  	},
		  	
		  	getOrdersAttributes : function( attrs) {
	    		var attrvalDesc = "";
	    		if ( attrs == null ) return "";
	    
	    		for ( var k=0; k<attrs.length; k++ ) 	{
	    			attrvalDesc += Ns.Util.stringFormat('<br /><span class="option">{0} : {1}</span>', attrs[k].attrDesc, attrs[k].attrvalDesc);
	    		}
	    
	    		return attrvalDesc;
	    	},
	    	
	    	/**
	    	 * page : 주문내역/배송조회 
	    	 * 내용  : 주문 단계 표시 HTML 생성.. 
	    	 */
	    	getOrderStatusHtml : function( data, item, orders, ordersIndex, catsIndex ) {
	    		
	    		var resHtml = "";
	    		var className = "";
	    		
	    		if ( data == null || data == '' ) return "";
	    		
	    		data.price = Ns.Util.insertCommas( data.price );
	    		data.totalPrice = Ns.Util.insertCommas( data.totalPrice );
	    		
	    		if ( data.statusName == "주문접수" || data.statusName == "결제대기") className = "head step-a";
	    		else if ( data.statusName == "결제완료" || data.statusName == "신청완료" ) className = "head step-b";
	    		else if ( data.statusName == "주문전달" ) className = "head step-c";
	    		else if ( data.statusName == "상품준비중" ) className = "head step-d";
	    		else if ( data.statusName == "배송중" ) className = "head step-e";
	    		else if ( data.statusName == "배송완료" ) className = "head step-f";
	    		else if ( data.statusName == "주문취소" || data.statusName == "취소완료" || data.statusName == "반품완료" || data.statusName == "교환신청" ) className = "head step-g";
	    		else className = "head step-g";
	        
		        if ( data.quantity == 0 ) {
		        	data.totalPrice = 0;
		        }
		        
		        var strBtnArea = "";
		        var bREFUNDorEXCHANGE = false;
		        
		        var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
		        env = mainCtrl.VIEW_TYPE;
				if (env == "android" && version < 298){
					for (var i = 0; item.btnctrls.length > i; i++){  // 이게 2.9.8미만에서 사용할꺼
		    			if (item.btnctrls[i].btns == "REFUND" || item.btnctrls[i].btns == "EXCHANGE"){	// 교환반품
		    				if (bREFUNDorEXCHANGE == false){
		    					//strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_cancelOrder('" + orders.ordersId + "', '" + item.btnctrls[i].btns + "', '" + orders.lastupdateall + "', '" + orders.latestOperationId + "', '" + orders.hasCantTraceCardYn + "', '" + orders.timeplaced + "', '" + item.memberId + "');\"><span>반품/교환</span></a>";
		    					//bREFUNDorEXCHANGE = true;
		    				}
		    			} else if (item.btnctrls[i].btns == "PRODUCT_COMMENT_WRITE"){	// 상품평쓰기
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_productCommentWrite('" + data.commentWriteYn + "');\"><span>상품평 쓰기</span></a>";
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
		    			} else if (item.btnctrls[i].btns == "PRODUCT_COMMENT_READ"){	// 상품평보기
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_productCommentRead();\"><span>상품평 보기</span></a>";
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
		    			}  else if (item.btnctrls[i].btns == "DELIVERY_CONFIRM"){	// 수취확인
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_deliveryConfirm('" + orders.ordersId + "', '" + item.stdOrderitemsId + "', '" + item.addressId + "', '" + item.catentryId + "', '" + item.status + "', '" + item.commentWriteYn + "');\"><span>수취확인</span></a>";
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
		    			}
		    			
		    		}
				}else if(env == "ios" && version < 298){
					for (var i = 0; item.btnctrls.length > i; i++){  // 이게 2.9.8미만에서 사용할꺼
		    			if (item.btnctrls[i].btns == "REFUND" || item.btnctrls[i].btns == "EXCHANGE"){	// 교환반품
		    				if (bREFUNDorEXCHANGE == false){
		    					//strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_cancelOrder('" + orders.ordersId + "', '" + item.btnctrls[i].btns + "', '" + orders.lastupdateall + "', '" + orders.latestOperationId + "', '" + orders.hasCantTraceCardYn + "', '" + orders.timeplaced + "', '" + item.memberId + "');\"><span>반품/교환</span></a>";
		    					//bREFUNDorEXCHANGE = true;
		    				}
		    			} else if (item.btnctrls[i].btns == "PRODUCT_COMMENT_WRITE"){	// 상품평쓰기
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_productCommentWrite('" + data.commentWriteYn + "');\"><span>상품평 쓰기</span></a>";
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
		    			} else if (item.btnctrls[i].btns == "PRODUCT_COMMENT_READ"){	// 상품평보기
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_productCommentRead();\"><span>상품평 보기</span></a>";
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
		    			}  else if (item.btnctrls[i].btns == "DELIVERY_CONFIRM"){	// 수취확인
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_deliveryConfirm('" + orders.ordersId + "', '" + item.stdOrderitemsId + "', '" + item.addressId + "', '" + item.catentryId + "', '" + item.status + "', '" + item.commentWriteYn + "');\"><span>수취확인</span></a>";
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
		    			}
		    			
		    		}
				}else{
					for (var i = 0; item.btnctrls.length > i; i++){
		    			if (item.btnctrls[i].btns == "REFUND" || item.btnctrls[i].btns == "EXCHANGE"){	// 교환반품
		    				if (bREFUNDorEXCHANGE == false){
		    					//strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_cancelOrder('" + orders.ordersId + "', '" + item.btnctrls[i].btns + "', '" + orders.lastupdateall + "', '" + orders.latestOperationId + "', '" + orders.hasCantTraceCardYn + "', '" + orders.timeplaced + "', '" + item.memberId + "');\"><span>반품/교환</span></a>";
		    					//bREFUNDorEXCHANGE = true;
		    				}
		    			} else if (item.btnctrls[i].btns == "PRODUCT_COMMENT_WRITE"){	// 상품평쓰기
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_productCommentWrite('" + data.commentWriteYn + "');\"><span>상품평 쓰기</span></a>";
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"><span>채팅상담</span></a>";
		    			} else if (item.btnctrls[i].btns == "PRODUCT_COMMENT_READ"){	// 상품평보기
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_productCommentRead();\"><span>상품평 보기</span></a>";
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"><span>채팅상담</span></a>";
		    			}  else if (item.btnctrls[i].btns == "DELIVERY_CONFIRM"){	// 수취확인
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_deliveryConfirm('" + orders.ordersId + "', '" + item.stdOrderitemsId + "', '" + item.addressId + "', '" + item.catentryId + "', '" + item.status + "', '" + item.commentWriteYn + "');\"><span>수취확인</span></a>";
		    				strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"><span>채팅상담</span></a>";
		    			}
		    			
		    		}
				}

		        // 입금대기(D), 입금확인(M)인 경우 배송지 변경 추가
		        if (item.status == "D" || item.status == "M"){
//		        	strBtnArea += "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_addressChange('" + ordersIndex + "', '" + catsIndex + "');\"><span>배송지 변경</span></a>";
	    		}
		        
		        if (strBtnArea != ""){
		        	strBtnArea = '<div class="btm_btn">' + strBtnArea + '</div>';
		        }
	    		resHtml  = '<div class="more-data order-tracking">';
	    		resHtml += '<strong class="' + className + '">' + data.statusName + '</strong>';
	    		resHtml += '<span class="text">' + data.price + '<span class="unit">원</span> X ' + data.quantity + '<span class="unit">개</span></span>';
	    		resHtml += '<span class="text em rate-g"><strong>' + data.totalPrice + '</strong><span class="unit">원</span></span>';
	    		if( data.statusName == "주문접수" || data.statusName == "결제대기" ||data.statusName == "결제완료" || data.statusName == "신청완료" ||  data.statusName == "주문취소" || data.statusName == "취소완료" || data.statusName == "반품완료" || data.statusName == "교환신청" || data.statusName == "주문전달" || data.statusName == "상품준비중"){
	    			resHtml += '<div class="btm_btn">';
		    		//resHtml +=  '<div class="btm_btn"><a class="btn theme-a rate-a x-small ui-link" href=\"javascript:CurrentView.event.onclick_Chetting();\"><span>채팅상담</span></a></div>';
	    			 var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
	 		        env = mainCtrl.VIEW_TYPE;
	 				if (env == "android" && version < 298){
						resHtml +=  "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
					}else if(env == "ios" && version < 298){
						resHtml +=  "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
					}else{
						resHtml +=  "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"><span>채팅상담</span></a>";
					}
		    		resHtml += '</div>';
	    		}
	    		
	    		resHtml += strBtnArea

	    		resHtml += '</div>';
	    		
	    		return resHtml;
	    	},
	    	
	    	makeHtmlOrderAction : function( cats, ordersId, orders, lastupdateall, latestOperationId, hasCantTraceCardYn, timeplaced ) {
	    		var html = "";
	    		
	    		for ( var k=0; k<cats.length; k++ ) 	{
	    			html = CurrentView.ui.makeHtmlOrderBtnAction( cats, ordersId, orders, cats[k].btnctrls, lastupdateall, latestOperationId, hasCantTraceCardYn, timeplaced );
			    }

	    		// 20170224 - khkim82 무통장입금으로 주문시 입금전 신용카드로 결제수단 변경 PC 로직과 일치 - start
	    		var bOnlyPaymentcode200 = false;
	    		var bFalse100300400 = false; 
	    		for (var i = 0; orders.payms.length > i; i++){
	    			if (orders.payms[i].paymentcode == "200" && orders.payms[i].paySchdAmt > 0 && orders.payms[i].availAmt == 0){
	    				bOnlyPaymentcode200 = true;
	    			}
	    			
	    			if (orders.payms[i].paymentcode == "100" || orders.payms[i].paymentcode == "300" || orders.payms[i].paymentcode == "400"){
	    				bFalse100300400 = true;
	    			}
	    		}
	
	    		//입금대기(D)이고, 결제수단이 모두 무통장 입금인 경우 - 기존 로직 삭제  20170224 - khkim82
	    		//if (orders.status == "D" && bOnlyPaymentcode200 == true && bFalse100300400 == false){
	    		//	html += Ns.Util.stringFormat('<li><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_paymentChangeCard(\'{0}\', \'{1}\', \'{2}\');"><span>카드결제</span></a></li>', orders.ordersId, orders.storeentId, orders.timeplaced);
	    		//}
	  
	    		if(!bFalse100300400 && bOnlyPaymentcode200){
	    			html += Ns.Util.stringFormat('<li><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_paymentChangeCard(\'{0}\', \'{1}\', \'{2}\');"><span>카드결제</span></a></li>', orders.ordersId, orders.storeentId, orders.timeplaced);
	    		}
	    		// 20170224 - khkim82 무통장입금으로 주문시 입금전 신용카드로 결제수단 변경 PC 로직과 일치 - end
	
	    		
	    		if (html != ""){
	    			html = "<ul>" + html + "</ul>";
	    		}
	    		
	    		return html;
	    	},
	    	
	    	/**
	    	 * page : 주문내역/배송조회 
	    	 * 내용  : 버튼 생성
	    	 */	    	
	    	makeHtmlOrderBtnAction : function( cats, ordersId, orders/*orderitemsId*/, ordersBtns, lastupdateall, latestOperationId, hasCantTraceCardYn, timeplaced ) {
	    		var html = "";
	    		var count = 0;
	    		var k = 0;
	    		var buttonSoft = new Array();
				for ( var j=0; j<ordersBtns.length; j++ ) 	{
	    			var buttonAction = ordersBtns[j].btns;
	    			var buttonName = ordersBtns[j].btnnm;
	    			//반품/교환 버튼 두개 나오는 거 수정
					if(ordersBtns[j].btnnm == "반품신청"){
						buttonSoft[k] = "반품/교환";
						buttonName = "반품/교환";
						k++;
					}
					else if(ordersBtns[j].btnnm == "교환신청"){
						buttonSoft[k] = "반품/교환"
						buttonName = "반품/교환";
						k++;
					}					
					
	    			//주문취소, 반품, 교환이 아니면 pass..
	    			if ( buttonAction == "CANCEL")  { // 취소,교환,반품
	    				html += Ns.Util.stringFormat('<li><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_cancelOrder(\'{0}\', \'{1}\', \'{3}\', \'{4}\', \'{5}\', \'{6}\', \'{7}\');"><span>{2}</span></a></li>', ordersId, buttonAction, buttonName, lastupdateall, latestOperationId, hasCantTraceCardYn, timeplaced, cats[0].memberId);
						count++;
	    			}else if(buttonAction == "EXCHANGE" || buttonAction == "REFUND" ){
	    				for(var i=0; i<buttonSoft.length; i++)
						{
							if(buttonSoft.length < 2){
								html += Ns.Util.stringFormat('<li><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_cancelOrder(\'{0}\', \'{1}\', \'{3}\', \'{4}\', \'{5}\', \'{6}\', \'{7}\');"><span>{2}</span></a></li>', ordersId, buttonAction, buttonName, lastupdateall, latestOperationId, hasCantTraceCardYn, timeplaced, cats[0].memberId);
								count++;
							}else if(buttonSoft[i]=="반품/교환"){
								count++;
								break;
							}
						}
	    				//반품/교환 버튼 두개 나오는 거 수정
	    			} else if ( buttonAction == "DELIVERY_STATUS" ) { // 배송조회
	    				/* 20150204 정헌태 수정 - 기획요건 변경으로 배송조회 버튼이 상품상세의 각 상품 배송정보 옆으로 이동함
	    				html += Ns.Util.stringFormat('<a class="btn theme-a rate-a medium2" href="javascript:CurrentView.event.onclick_deliveryStatus(\'{0}\', \'{1}\',\'{2}\',\'{3}\',\'{4}\');"><span>{5}</span></a>',
	    						ordersId,
	    						orderitemsId,
	    						cats[0].addressId,
	    						cats[0].catentryId,
	    						cats[0].status,
	    						buttonName
						);
	    				*/
						count++;
	    			}
			    }
				
				for (var j = 0; orders.cats.length > j; j++){
					if (orders.cats[0].status == "D" || orders.cats[0].status == "M"){
						html += Ns.Util.stringFormat('<li><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_detailOrderItem(\'{0}\');"><span>배송지변경</span></a></li>', ordersId);
						break;
					}
				}
	    		
				if(count >= 3)
					html += "<input type='hidden' value='1'>";
	    		return html;
	    	},
	    	
	    	//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.rowpage, "CurrentView.data.getMyOrderList");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			
			//기간 Tab을 클릭했을 때 탭의 클래스 변경. 
			setMonthTabClass : function( tabId ) {
				var ulTabTerms = $("#ulTabTerms li");
				ulTabTerms.removeClass("on");
				$("#" + tabId).parent().addClass("on");
			},
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			//1개월, 3개월, 6개월을 기준으로 해당 기간의 주문내역 및 배송 정보를 조회한다. 
			onclick_ulTabTerms : function() {
				// 페이징 부분 초기화
				$("#divPagingArea").hide();
				
				var id = $(this).attr('id');
				var monthly = 1;
				
				if( id == "tabOneMonths" ) monthly = 1; 
				else if( id == "tabThreeMonths" ) monthly = 3;
				else if( id == "tabSixMonths" ) monthly = 6;
				else return false;
				
				CurrentView.monthly = monthly;
				mainCtrl.setCurrentPageParams( { 'tabIndex' : CurrentView.tabIndex, 'monthly' : CurrentView.monthly, 'pageIdx' : CurrentView.pageIdx } );
				CurrentView.ui.setMonthTabClass(id);
				CurrentView.data.getMyOrderList( 1 );
			},
			
			startPushFullEvent : function(execFunc, strType) {
				$(window)
						.scroll(
								function() {
									//검색 화면에서 스크롤 이벤트에 의한 footer 영역 감추기 처리
									if(strType != undefined && strType == 'search'){
										//검색UI개편 하단 영역 제거 처리
										var filter_scr = $('.content-primary').offset().top;
										if($(window).scrollTop() > filter_scr){
											$('#util').removeClass("active"); //footer 메뉴 숨김
										}else{
											$('#util').addClass("active");//footer 메뉴 보임
										}
									}
									
									var de = document.documentElement;
									var b = document.body;

									var scrollHeight = (de.scrollTop == 0 ? b.scrollTop
											: de.scrollTop)
											+ $(window).height();
									var documentHeight = $(document).height();
									
									if (undefined == strType || strType != "" || strType != "normal"){
										var endPage = Math.floor((CurrentView.totalCount - 1) / CurrentView.pageSize) + 1;
										if (endPage == CurrentView.pageIdx) {
											CurrentView.pushFullEvent = true;
											return;
										}
									}
									
									if (scrollHeight > (documentHeight - 272)) {
										if (CurrentView.pushFullEvent == false) {
											CurrentView.pushFullEvent = true;
											
											if (undefined == strType || strType != "" || strType != "normal"){
												if (CurrentView.pageIdx > 1 && ((CurrentView.pageSize * CurrentView.pageIdx) > CurrentView.totalCount)) {
													CurrentView.pushFullEvent = true;
													return;
												}
											}
											
											CurrentView.pageIdx++;
											//execFunc();
											CurrentView.data.getMyOrderList( );
										}
									}
									
									if(document.body.scrollTop >= 10)
										//top버튼 활성화
										$('#btnTop').show();
									
									else
										$('#btnTop').hide();
								});
			},
			
			onclick_prepage : function(partNumber,orderId,itemCd,orderSeq,itemNm) {

				
				var params = {
						partNumber 		: partNumber, 	 
						orderId  		: orderId,		
						itemCd 			: itemCd,	    		
						orderSeq 		: orderSeq,				
						itemNm 			: itemNm,	
						prevPage        :"M_C1123000M",
				};
				
				mainCtrl.navigate("M_C1142400L", params);
				
			},
		}
};