
/* JavaScript content from js/etv/M_G2210000M.js in folder common */
/* 
 *	모바일 eTV
 *  ID : M_G2210000M
 *  
 */

//page 컨트롤 클래스
CurrentView = {
	REMAINING_TIME : null,
	
	pageSize : 20, // 주력상품 조회 수량
	pageIdx : 1, // 주력상품 페이징 인덱스
	totalCount : 0,	// 주력상품 총 수량
	pushFullEvent : true, // 주력상품 페이징 관련
	maxCount : 100, // 주력상품 최대노출 수량 (2018.01.24: 50개 에서 100개로 변경) 
	
	isEmptyETVHomeShopping : true,
	isEmptyTopBanner : true,
	isEmptyLiveTVShopping : true,
	isEmptyETVTabs : true,
	isEmptyBestItems : true,
	isEmptyEventBanner : true,
	isEmptyPgmBanner : true,
	isEmptyShoppingChanceBanner : true,
	isEmptyShopplusItem : true,
	isEmptyETVPrdtList : true,
	
	isRefresh : false,
	
	VIDEO_WIDTH : 0,
	VIDEO_HEIGHT : 0,
	VIDEO_Before : 0,
	VIDEO_After : 0,
	intervalId : 0,
	isPlay     : true,
	
	ROLLING_IDX : 0, //롤링메시지 애니메이션 index
	ROLLING_MAX : 0, //롱링메시지 갯수
	
	PARTNUMBER : null,
	MULTICD : null,
	BUSCHNID : null,
	THUMBNAIL_IMAGE_URL : null,
	noImageUrlWide : Const.NO_IMAGE_URL + "noimage_X6.jpg",
	
	init : function(params) {
		//2018-04-10 Ssong
		// 기존 URL 을 유지하기 위해 eTV 매장 신규 매장으로 리다이렉트
		// 리다이렉트 도중 마크업 노출 방지를 위해 	
		// HTML 전부 주석처리 함
		if(Const.IS_SERVER_STATE == "REAL" || Const.IS_SERVER_STATE == "STAGE"){
			mainCtrl.navigate("1397062",{});
		} else {
			mainCtrl.navigate("1358062",{});
		}
			
		
		return false;
		this.initializeComponent(params);
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function( params ) {
		var mWidth = $('#mainItem').outerWidth();
		var divided = mWidth / 16;
		CurrentView.VIDEO_WIDTH = mWidth;
		CurrentView.VIDEO_HEIGHT  = divided * 8;
		
		var pageHeaderH = $('#pageHeader').outerHeight();
		var menuH = $('#banner_area').outerHeight();
		var mainItemH = $('#mainItem').outerHeight();
		CurrentView.VIDEO_Before = pageHeaderH + menuH + mainItemH;
		
		$("#banner_area").hide();
		$("#sectionLiveTVShoppingArea").hide();
		$("#sectionETVTabsArea").hide();
		$("#sectionBestItemsArea").hide();
		$("#sectionEventArea").hide();
		$("#sectionPgmArea").hide();
		$("#sectionChaneWrap").hide();
		
		//2018-02-19 ssong 스크롤시 재생 멈춤
		$(window).off("scroll.stopVideo").on("scroll.stopVideo", this.event.onscroll_stopVideo);
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		mainCtrl.bVideoplay = false;
		this.util.initEvent();
		this.data.call_NSEspotCommon();
		this.data.call_UnderBanner();
		
		//== 17.08.04 ns talk 클릭 이벤트 sypark ======
		$("#btnNSTalkQuestion").off().on("click", function(){
			//NsTalk 페이지 이동 function
			CurrentView.event.onclick_btnNSTalkQuestion();
		});
		//=====================================
		
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		call_NSEspotCommon : function(){
			CurrentView.data.call_NSEspotEtvMain();
			if(CurrentView.isRefresh == false)
				CurrentView.data.call_NSEspotEtvPrdtList();
		},
		call_NSEspotEtvMain : function(){
			var invoke = new Object;
			invoke.espotInfo="ETV_SHOPPLUS_TITLE|Text$ETV_SHOPPLUS_PRDT|Product$ETV_SHOPPLUS_EXHIBITBANNER|Content$ETV_SHOPPLUS_WIDEBANNER|Content$" +
					"ETV_MAIN_WIDEBANNER|Content$ETV_MAIN_MENUINFO|Menu$ETV_MAIN_TOPBANNER|Product$ETV_MAIN_EVTBANNER|Content$ETV_MAIN_PGMBANNER|Content$ETV_MAIN_shoppingchance|Content";
			tran.callWCSJsonTran( 'NSMobEtvMainCmd', invoke, CurrentView.ui.setETVHomeShopping );
		},
		call_NSEspotEtvPrdtList : function(){
			var invoke = {
				espotInfo : "ETV_MAIN_PRDTLIST",
				catgroupId : "875054",
				page : CurrentView.pageIdx,
				pageSize : CurrentView.pageSize
			};
			tran.callWCSJsonTran( 'NSMobEtvPrdtList', invoke, CurrentView.ui.setETVPrdtList );
		},
		//현재 방송중인 아이템을 가져온다. 
		getCurrentLiveItem : function( data ) {
			try {
				var idx = -1;
				var msecPerMinute = 1000 * 60;
				var msecPerHour = msecPerMinute * 60;
				var currentTime = Ns.Date.getDateParse( Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss' ) );
	
				for( var i=0; i<data.length; i++ ) {
	
					var etime = Ns.Date.getDateParse02( data[i].endDttm );
	
					idx = i;
	
					var interval = ( etime.getTime() - currentTime.getTime() );
					var hours = Math.floor( interval / msecPerHour );
	
					interval = interval - (hours * msecPerHour );
					var minutes = Math.floor(interval / msecPerMinute );
					
					try{
//						if(mainCtrl.VIEW_TYPE == "android")
						Ns.Native.transText(data[0].goodsName);
					} catch (e) {
						// TODO: handle exception
					}
	
					interval = interval - (minutes * msecPerMinute );
					var seconds = Math.floor(interval / 1000 );
					var today = new Date();
	
					CurrentView.REMAINING_TIME = new Date( today.getFullYear(), today.getMonth(), today.getDay(), hours,  minutes,  seconds );
					break; //현재 방송 중인 아이템
				}
			}
			catch(e){
				CurrentView.util.regErrlog('getCurrentLiveItem', e);
				idx = -1;
			}

			return idx;
		},
		//유형상품 체크
		checkRealProduct : function( disp ){
			if(disp == "10" || disp == "15" ||
					disp == "20" || disp == "25" ||
					disp == "30" || disp == "60"){
				return true;
			}else{
				return false;
			}
		},
		//하단 배너 로드
		call_UnderBanner : function(){
			var invoke = {};
			invoke.espotInfo="MOB_UNDER_BANNER|Content";
			tran.callWCSJsonTran('NSEspotCommon', invoke, function(data){
				var tempObject = {};
				tempObject.TopBannerID = "#btnUnderBanner";
				
				mainCtrl.UnderGNBBanner(data.msg.root._MOB_UNDER_BANNER, tempObject);
			});
			
		},
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		setETVLiveTime : function( ) {
			mainCtrl.checkTimerObject();
			mainCtrl.m_timer = setInterval(CurrentView.ui.sOnTimer, 1000);
		},
		sOnTimer : function() {
			var addZero = function(number){
				return parseInt(number, 10) < 10 ? "0" + number : number;
			};

			CurrentView.REMAINING_TIME.setSeconds( CurrentView.REMAINING_TIME.getSeconds() - 1 );

			var hour = addZero( CurrentView.REMAINING_TIME.getHours() );
			var min = addZero( CurrentView.REMAINING_TIME.getMinutes() );
			var second = addZero( CurrentView.REMAINING_TIME.getSeconds() );

			if ( hour == 23 && min == 59 && second == 59 ) {
				$("#liveTimer").html( '' );
				mainCtrl.checkTimerObject(); // destroy timer
				CurrentView.isRefresh = true;
				CurrentView.data.call_NSEspotCommon(); //새로운 방송 조회
			} else {
				$("#liveTimer").html( hour + ':'+ min +':'+ second );
			}
		},
		
		setETVHomeShopping : function (data){
			if ( !data.msg || !data.msg.TotalOrgan ) {
				$("#sectionLiveTVShoppingArea").hide();
				$("#btnNSTalkQuestion").hide(); //17.08.04 nsTalk 롤링 메시지 숨기기 - sypark
				return false;
			}
			else{
				CurrentView.isEmptyETVHomeShopping = false;
				
				// 탑배너 영역
				if(CurrentView.isRefresh == false)
					CurrentView.ui.setTopBanner(data);
				
				// 방송상품 영역
				CurrentView.ui.setLiveTVShopping(data);
				
				// 메뉴바 영역
				if(CurrentView.isRefresh == false)
					CurrentView.ui.setETVTabs(data);
				
				// 베스트 상품 영역
				if(CurrentView.isRefresh == false)
					CurrentView.ui.setBestItems(data);
				
				// 이벤트배너 영역
				if(CurrentView.isRefresh == false)
					CurrentView.ui.setEventBanner(data);
				
				// 스페셜 프로그램 영역
				if(CurrentView.isRefresh == false)
					CurrentView.ui.setPgmBanner(data);
				
				// 쇼핑 찬스 영역
				if(CurrentView.isRefresh == false)
					CurrentView.ui.setShoppingChanceBanner(data);
				
				// 샵플러스 영역
				if(CurrentView.isRefresh == false)
					CurrentView.ui.setShopplusItems(data);
			}
		},
		
		setTopBanner : function (data){
			try{
				var arrBanner = data.msg._ETV_MAIN_WIDEBANNER;
	
				if( arrBanner == undefined || arrBanner.length == 0 ) {
					$("#banner_area").hide();
	
					return false;
				}
				CurrentView.isEmptyTopBanner = false;
				
				var nCount = arrBanner.length;
				var strHtml = "";
	
				for (var i = 0; i < nCount; i++){
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrBanner[i].mdUrl).split("?")[1]).catalogId;
					strHtml += Ns.Util.stringFormat('\
							<li class="swiper-slide"><a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" alt=""></a></li>',
							arrBanner[i].imgUrl, arrBanner[i].clickTarget, arrBanner[i].contentsId, arrBanner[i].clickCode, arrBanner[i].espotId, arrBanner[i].mdUrl,  null, null, catalogId );
				}
	
				$("#ulTopBannerArea").html(strHtml); // 화면에 출력
				
				
				if(nCount == 1){	// 베너가 하나만 있을경우
					// 별도 처리 하지 않음
				} else {	// 베너가 하나 이상인 경우					
					var tvTopBannerSwiper = new Swiper('#divTopBannerArea', {
						slidesPerView: 1,
						pagination : {
							clickable : true,
						},						
						spaceBetween: 30,
						loop: true,
						centeredSlides: true,
						autoplay : {
							delay : 3000,
							disableOnInteraction : false,
							
						}						 
					});
				}
								
				$("#banner_area").show();
			}
			catch(e){
				CurrentView.util.regErrlog('setTopBanner', e);
				$("#banner_area").hide();
				CurrentView.isEmptyTopBanner = true;
				CurrentView.isEmptyETVHomeShopping = true;
				return false;
			}
		},
		
		/**
		 * 방송상품 영역
		 * @param data : NSEspotEtvMain API 콜백 데이터
		 */
		setLiveTVShopping : function(data) {
			
			try {
				var totalOrgan = data.msg.TotalOrgan;
	
				if( totalOrgan == undefined || totalOrgan.length == 0 ) {
					$("#sectionLiveTVShoppingArea").hide();
					$("#btnNSTalkQuestion").hide();
					return false;
				}
				
				var idx = CurrentView.data.getCurrentLiveItem( totalOrgan );
				if ( idx < 0 ) {
					$("#sectionLiveTVShoppingArea").hide();
					$("#btnNSTalkQuestion").hide();
					return false;
				}
				
				if(CurrentView.isRefresh == true){
					$("#sectionLiveTVShoppingArea").hide();
					$("#btnNSTalkQuestion").hide();
					$("#productInfo").html('');
					$("#moreItems").html('');
					$("#prcImg").removeClass();
					$("#prcImg").attr('rep', '0');
					$(".toggle_cont").hide();
					CurrentView.util.initEvent();
				}
				
				CurrentView.isEmptyLiveTVShopping = false;
				
				var info = totalOrgan[idx];
				
				// nstalk 롤링 호출 시작
				mainCtrl.nstalk_goodId = info.partNumber;
				mainCtrl.nstalk_startdtm = info.startDttm;
				mainCtrl.nstalk_enddtm = info.endDttm;
				CurrentView.ui.set_NsTalkRolling_Ajax();	// 1. 처음 한번 실행 (초기 조회)
				CurrentView.ui.set_NsTalkRolling();			// 2. 10초 마다 실행 (두번째부터 실행)
				
				// 상품 와이드 이미지
				var imageUrl = Ns.Util.getImageUrl( info.partNumber, "X6" );
				
				// 상품명
				var productName = Ns.UI.getProductName( info.brandCd, info.brandName, info.goodsName, info.headCopy );
				
				// 판매가
				var offerPrice = "";
				offerPrice = Ns.Util.insertCommas( info.priceofferprice );
	
				// 바로주문 버튼 클릭시 호출할 함수
				var func = "";
				if(info.orderYn == "Y" || info.orderYn == "T_EN" || info.orderYn == "D_EN"){
					// 상품상세 바로가기
					func = "mainCtrl.gotoProductDisplay";
				} else {
					// 일시품절
					func = "CurrentView.event.onclick_soldOut";
				}
	
				// 무이자
				var exIfi = ['',''];
				if(info.ifiValue != 0 && info.ifiValue != null){
					exIfi[0] = "<div class=\"head\">무이자</div>";
					exIfi[1] = info.ifiValue;
	        	}
				
				// multiCd
				var tmp_multiCd = null;
				if(info.multiCd != "") tmp_multiCd = info.multiCd;
				
				// 에러가 발생하였을 경우 와이드 이미지 대신 썸네일 사이즈의 이미지를 대신 노출
	        	CurrentView.THUMBNAIL_IMAGE_URL = Ns.Util.getImageUrl( info.partNumber, "H" );
	        	$('#prcImg').show().unbind().bind('error', CurrentView.event.onerror_productImage);
	        	
				
				// 옵션대표가 flag
				var optRepYn = "";
				if(undefined != info.prcWaveDisp){
					optRepYn = info.prcWaveDisp;
				}
				
				if(optRepYn == "~"){
					optRepYn = "원~";
				} else {
					optRepYn = "원";
				}
				
				if((info.dispTypeCd == "35" || info.dispTypeCd == "40" || info.dispTypeCd == "45" || info.dispTypeCd == "56" || info.dispTypeCd == "58") && info.busChnId == 'TV') {		
					offerPrice = "상담접수상품";
					optRepYn = "";
				}
				
				// 대표 방송상품 와이드 이미지 셋팅
				$("#prcImg").attr("src", imageUrl);
				
				// 대표 방송상품 정보 셋팅
				var prcHtml = Ns.Util.stringFormat('\
							<dt><a href="javascript:{4}({0},{1},\'{2}\');">{3}</a></dt>\
							<dd class="tag item-feature interest-free">\
							<span class="price">{5}</span>\
							<span class="won">{8}</span>\
							{6}<span class="mon">&nbsp;{7}</span></dd>',
							info.partNumber, tmp_multiCd, info.busChnId, productName, func, offerPrice,
							exIfi[0], exIfi[1], optRepYn);
				
				$("#productInfo").html(prcHtml);
				
				// 연관상품이 있을 경우 바로주문 버튼 함수 수정
				if(data.msg.RelatedPrdtSize > 0){
					// 연관상품 영역 노출
					func = "CurrentView.event.onclick_etvListToggle";
				}
					
				// 바로주문 버튼 추가
	        	var orderHtml = Ns.Util.stringFormat('\
	        			<a href="javascript:{3}({0},{1},\'{2}\');" id="btnOrderNow">바로주문</a>',
	        			info.partNumber, tmp_multiCd, info.busChnId, func);
	        	
				$("#liOrderNow").html(orderHtml);
				
				//방송 남은 시간 설정
				CurrentView.ui.setETVLiveTime(); 
				
				// 상품상세 바로가기를 위해 데이터 셋팅
				CurrentView.PARTNUMBER = info.partNumber;
				CurrentView.MULTICD = info.multiCd;
				CurrentView.BUSCHNID = info.busChnId;
				
				// 연관상품 영역 셋팅
				if(data.msg.RelatedPrdtSize > 0){
					CurrentView.ui.setRelatedPrdtList(info, data.msg.RelatedPrdtList);
				}
				
				$("#sectionLiveTVShoppingArea").show();
			}
			catch(e){
				CurrentView.util.regErrlog('setLiveTVShopping', e);
				$("#sectionLiveTVShoppingArea").hide();
				$("#btnNSTalkQuestion").hide();
				CurrentView.isEmptyLiveTVShopping = true;
				CurrentView.isEmptyETVHomeShopping = true;
				return false;
			}
		},

		/**
		 * 연관상품 리스트 영역
		 * @param totalOrgan : 방송대표상품
		 * @param relatedPrdt : 연관상품
		 */
		setRelatedPrdtList : function(totalOrgan , relatedPrdt) {
			
			var relatedPrdtList = relatedPrdt;
			for ( var k = 0; k < relatedPrdtList.length + 1; k++ ) {
				var info = "";
				if (k == 0) {
					info = totalOrgan;
				} else {
					info = relatedPrdtList[k-1].commonData;
				}
				
				// 상품타입
				var disp = info.dispTypeCd;
				
				// 상품 와이드 이미지
				var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
				var imageUrl = Ns.Util.getImageUrl( info.partNumber, "H" );
				
				// 상품명
				var productName = Ns.UI.getProductName( info.brandCd, info.brand_kor_nm, info.itncatentrynm, info.headCopy );
				
				// 판매가
				var offerPrice = "";
				offerPrice = Ns.Util.insertCommas( info.priceofferprice );

				// 연관상품 별 주문하기 버튼 셋팅
				var func ="";
				var orderNm = "주문하기";
				if(info.orderYn == "Y" || info.orderYn == "T_EN" || info.orderYn == "D_EN"){
					if ( !CurrentView.data.checkRealProduct(disp) ){
						orderNm = "상담하기";
					}
					func = "mainCtrl.gotoProductDisplay";
				}else{
					if(info.orderYn == "N"){
						orderNm = "일시품절";
					}
					func = "CurrentView.event.onclick_soldOut";
				}
				
				// 무이자
				var exIfi = ['',''];
				if(info.ifiValue != 0 && info.ifiValue != null){
					exIfi[0] = "<span class=\"head\">무이자 </span>";
					exIfi[1] = info.ifiValue;
            	}
				
				// multiCd
				var tmp_multiCd = null;
				if(info.multiCd != "") tmp_multiCd = info.multiCd;
            	
				// 옵션대표가 flag
				var optRepYn = "";
				if(undefined != info.prcWaveDisp){
					optRepYn = info.prcWaveDisp;
				}	

				if(optRepYn == "~"){
					optRepYn = "원~";
				} else {
					optRepYn = "원";
				}
				
				if((info.dispTypeCd == "35" || info.dispTypeCd == "40" || info.dispTypeCd == "45" || info.dispTypeCd == "56" || info.dispTypeCd == "58") && info.busChnId == 'TV') {		
					offerPrice = "상담접수상품";
					optRepYn = "";
				}
				
				// 연관상품 영역 셋팅
            	var prcHtml = Ns.Util.stringFormat('\
            			<li class="items">\
							<div class="thumbnail"><a href="javascript:{4}({0},{1},\'{2}\');"><img src="{3}" onerror="this.src=\'{13}\';" alt="상품 이미지"></a></div>\
							<dl class="info_item">\
								<dt class="title"><a href="javascript:{9}({5},{6},\'{7}\');">{8}</a></dt>\
								<dd class="more">\
									<div class="tag item-feature interest-free">{10}<span class="mon">&nbsp;{11}</span></div>\
									<div class="price">{12}<span class="won">{14}</span></div>\
								</dd>\
								<dd class="modal_button"><a href="javascript:{18}({15},{16},\'{17}\');">{19}</a></dd>\
							</dl>\
						</li>',
						info.partNumber, tmp_multiCd, info.busChnId, imageUrl, func,
						info.partNumber, tmp_multiCd, info.busChnId, productName, func,
						exIfi[0], exIfi[1], offerPrice, noImageUrl, optRepYn,
		            	info.partNumber, tmp_multiCd, info.busChnId, func, orderNm);
            	
            	$("#moreItems").append(prcHtml);
			}
		},
		
		setETVTabs : function(data){
			try{
				var arrBanner = data.msg._ETV_MAIN_MENUINFO;
				
				if( arrBanner == undefined || arrBanner.length == 0 ) {
					$("#sectionETVTabsArea").hide();
					
					return false;
				}
				
				CurrentView.isEmptyETVTabs = false;
				
				var strHtml = "";
				
				for (var i = 0; i < arrBanner.length; i++){
					if(i > 2) break;
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrBanner[i].mdUrl).split("?")[1]).catalogId;
					var func = "";
					//TO-BE
					switch(arrBanner[i].espotContentText){
						case '적립금신청':
							func = "CurrentView.event.onclick_btnTVReservedSubscription()";
							break;
						case 'TV편성표':
							func = "CurrentView.event.onclick_btnTVSchedule()";
							break;
						case 'NS TALK':
							//NSTALK 진입 삭제 : func = "CurrentView.event.onclick_btnTVLiveQuestion()";
							func = ""; //default로 떨어지면 안되어서 "" 처리함 - sypark
							break;
						default:
							func = Ns.Util.stringFormat('\
							Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\')',
							arrBanner[i].clickTarget, arrBanner[i].contentsId, arrBanner[i].clickCode, arrBanner[i].espotId, arrBanner[i].mdUrl,  null, null, catalogId);
							break;
					} 
					
					if(null != arrBanner[i].imgPath){
					}else{
						strHtml += Ns.Util.stringFormat('\
								<li><a href="javascript:{1};">{0}</a></li>',
								arrBanner[i].espotContentText, func);
					}
				}
				
				$("#ulETVTabsArea").html(strHtml);
				$("#sectionETVTabsArea").show();
			}
			catch(e){
				CurrentView.util.regErrlog('setETVTabs', e);
				$("#sectionETVTabsArea").hide();
				CurrentView.isEmptyETVTabs = true;
				CurrentView.isEmptyETVHomeShopping = true;
				return false;
			}
		},
		setBestItems : function(data){
			try{
				var bestItems = data.msg._ETV_MAIN_TOPBANNER;
				var espotId = "ETV_MAIN_TOPBANNER";
				
				/*
				 * 상품 productDetail데이터 정보 존재하지 않을 경우에 그 데이터 빼고 출력 가능하게 재배열
				 * 20160603 hawoong12
				 */
				var nCount = bestItems.length;
				for(var i=0; i<nCount; i++){
					if (undefined == bestItems[i].productDetail){
						bestItems.splice(i,1);
						i--;
						nCount--;
					}
				}
				if( bestItems == undefined || bestItems.length == 0 ) {
					$("#sectionBestItemsArea").hide();
	
					return false;
				}
				
				CurrentView.isEmptyBestItems = false;
				
				
				for(var k = 0; k < nCount; k++){
					if(k > 5) break;
					// Basic Setting
					if(k == 0){
						$("#sectionBestItemsArea").css("background", "url(http:"+bestItems[0].espotTitleBgImg+") no-repeat 0 0");
						
					/*	if(bestItems[0].)
						var func = Ns.Util.stringFormat('\
								Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\')',
								arrBanner[i].clickTarget, arrBanner[i].contentsId, arrBanner[i].clickCode, arrBanner[i].espotId, arrBanner[i].mdUrl,  null, null, catalogId);
						
						*/
						//Ns.UI.espotClickEvent('External','846325','','387454','http://m.nsmall.com/NSTVEvent','null','null','undefined');
						var bestespotlinkurl = "'External','arrBanner[i].contentsId','arrBanner[i].clickCode','arrBanner[i].espotId','"+bestItems[0].espotTitleLinkUrl+"','null','null','undefined'";
						if("" != bestItems[0].espotTitleLinkUrl){
							var titleHtml = Ns.Util.stringFormat('\
								<p class="tit">오늘의 TV<span class="red"> HOT</span></p><a href="javascript:Ns.UI.espotClickEvent({1})">{0}&nbsp;<img src="./images/common/ico_nsbest_arrow.png" alt=""> </a>',
								bestItems[0].espotTitleText, bestespotlinkurl);
						}else{
							var titleHtml = Ns.Util.stringFormat('\
								<p class="tit">오늘의 TV<span class="red"> HOT</span></p>{0}',
								bestItems[0].espotTitleText);
						}
						$("#bestItemsTitle").html(titleHtml);
					}
					// Detail Setting
					var info = bestItems[k].productDetail;
					//var imageUrl = bestItems[k].imgUrl;
					var imageUrl = Ns.Util.getImageUrl( info.partnumber, "X6" );
					var salePrice = "";
					if ( info.pricedcprice!=0 && info.priceofferprice!=info.pricedcprice ) {
						salePrice = Ns.Util.insertCommas(info.pricedcprice); //알뜰할인가.
					}					
					//판매가
					var offerPrice = Ns.Util.insertCommas( info.priceofferprice );
					
					var exIfi = ['',''];
					if(info.ifiValue != 0 && info.ifiValue != null){
						exIfi[0] = "<div class=\"head\">무이자</div>";
						exIfi[1] = info.ifiValue;
	            	}
					
					var tmp_multiCd = null;
					if(info.multiCd != "") tmp_multiCd = info.multiCd;
					
					var func = "mainCtrl.gotoProductDisplay";
					
					//Wapers 2017.09.25 옵션대표가 flag
					var optRepYn = "";
					if(undefined != info.prcWaveDisp){
						optRepYn = info.prcWaveDisp;
					} else {
						// empty for purpose
					}
					
					//Wapers 2017.09.25 옵션대표가 적용 - 오늘의 TV HOT
					var prcHtml = Ns.Util.stringFormat('\
					<li class="swiper-slide" idx="{0}">\
						<div class="inner_slide">\
							<div class="thumbnail">\
								<a href="javascript:{12}({9},{10},\'{11}\',\'{17}\');"><img src="{13}" onerror="this.src=\'{14}\';" alt=""></a>\
							</div>\
							<div class="info_more">\
								<dl>\
									<dt>\
										<a href="javascript:{8}({5},{6},\'{7}\',\'{16}\');">{1}</a>\
									</dt>\
									<dd class="tag item-feature interest-free etv">\
										<span class="price">{2}</span><span class="won">{15}</span>\
										{3}<span class="mon">&nbsp;{4}</span>\
									</dd>\
								</dl>\
							</div>\
						</div>\
					</li>',
					(k+1), info.itncatentrynm, offerPrice, exIfi[0], exIfi[1],
					info.partnumber, tmp_multiCd, info.busChnId, func,
					info.partnumber, tmp_multiCd, info.busChnId, func, imageUrl, CurrentView.noImageUrlWide,
					optRepYn == "~" ? "원~" : "원",	espotId, espotId);
					
					$("#bestItems").append(prcHtml);
				}
				$("#sectionBestItemsArea").show();
				
				CurrentView.ui.setBestItemsBanner(nCount);
			}
			catch(e){
				CurrentView.util.regErrlog('setBestItems', e);
				$("#sectionBestItemsArea").hide();
				CurrentView.isEmptyBestItems = true;
				CurrentView.isEmptyETVHomeShopping = true;
				return false;
			}
		},
		setBestItemsBanner : function(nCount){
			var exhibitionSwiper = null;
			var pagination = '#sectionBestItemsArea .paging';
			
			var testcurrent = 1;
			var testTotalidx = nCount;
			
			$(pagination).html(testcurrent + '/' + testTotalidx);
			if(nCount == 1){				
				exhibitionSwiper = new Swiper('#sectionBestItemsArea .rolling_bn', {
					pagination : {
						clickable : true,
					},					
					loop: false,
					centeredSlides: true,
					slidesPerView: 'auto',
					on : {
						init : function(){
							var slide = exhibitionSwiper.getSlide(exhibitionSwiper.activeIndex);
							var currentIdx = $(slide).attr("idx");
							var totalIdx = $(exhibitionSwiper.getFirstSlide()).attr("idx");
							
							$(pagination).html(currentIdx + '/' + totalIdx);
						},
						slideChangeTransitionEnd: function(){
							var slide = exhibitionSwiper.getSlide(exhibitionSwiper.activeIndex);
							var currentIdx = $(slide).attr("idx");
							var totalIdx = $(exhibitionSwiper.getFirstSlide()).attr("idx");
							
							$(pagination).html(currentIdx + '/' + totalIdx);
						}
					},				
				});
			}
			else{
				exhibitionSwiper = new Swiper('#sectionBestItemsArea .rolling_bn', {
					paginationClickable: true,
					loop: true,
					centeredSlides: true,
					slidesPerView: 'auto',
					//autoplay: 3000,
					autoplayDisableOnInteraction: false, 
					onInit: function(){
						var slide = exhibitionSwiper.getSlide(exhibitionSwiper.activeIndex);
						var currentIdx = $(slide).attr("idx");
						var totalIdx = $(exhibitionSwiper.getFirstSlide()).attr("idx");
						
						$(pagination).html(currentIdx + '/' + totalIdx);
					},
					onSlideChangeEnd: function() {
						var slide = exhibitionSwiper.getSlide(exhibitionSwiper.activeIndex);
						var currentIdx = $(slide).attr("idx");
						var totalIdx = $(exhibitionSwiper.getFirstSlide()).attr("idx");
						
						$(pagination).html(currentIdx + '/' + totalIdx);
					},
				});
			}
		},
		setEventBanner : function (data){
			try{
				var arrBanner = data.msg._ETV_MAIN_EVTBANNER;
				
				if( arrBanner == undefined || arrBanner.length == 0 ) {
					$("#sectionEventArea").hide();
	
					return false;
				}
				
				CurrentView.isEmptyEventBanner = false;
				
				var strHtml = "";
	
				for (var i = 0; i < arrBanner.length; i++){
					if(i > 1) break;
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrBanner[i].mdUrl).split("?")[1]).catalogId;
					strHtml += Ns.Util.stringFormat('\
							<li><a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" onerror="this.src=\'{9}\';" alt=""></a></li>',
							arrBanner[i].imgUrl, arrBanner[i].clickTarget, arrBanner[i].contentsId, arrBanner[i].clickCode, arrBanner[i].espotId, arrBanner[i].mdUrl,  null, null, catalogId, CurrentView.noImageUrlWide);
				}
	
				$("#ulEventArea").html(strHtml);
				$("#sectionEventArea").show();
			}
			catch(e){
				CurrentView.util.regErrlog('setEventBanner', e);
				$("#sectionEventArea").hide();
				CurrentView.isEmptyEventBanner = true;
				CurrentView.isEmptyETVHomeShopping = true;
				return false;
			}
		},
		
		setPgmBanner : function(data){
			try{
				var arrBanner = data.msg._ETV_MAIN_PGMBANNER;
				
				if( arrBanner == undefined || arrBanner.length == 0 ) {
					$("#sectionPgmArea").hide();
	
					return false;
				}
				
				CurrentView.isEmptyPgmBanner = false;
				
				var strHtml = "";
	
				for (var i = 0; i < arrBanner.length; i++){
					if(i > 4) break;
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrBanner[i].mdUrl).split("?")[1]).catalogId;
					
					// jjko 20170705 링크url 이 없을 경우 클릭 이벤트 추가 하지 않음.
					if(arrBanner[i].mdUrl != "" && arrBanner[i].mdUrl != undefined)
                    {
						strHtml += Ns.Util.stringFormat('\
								<li><a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" onerror="this.src=\'{9}\';" alt=""></a></li>',
								arrBanner[i].imgUrl, arrBanner[i].clickTarget, arrBanner[i].contentsId, arrBanner[i].clickCode, arrBanner[i].espotId, arrBanner[i].mdUrl,  null, null, catalogId, CurrentView.noImageUrlWide);
                    }
					else 
					{
						strHtml += Ns.Util.stringFormat('\
								<li><img src="http:{0}" onerror="this.src=\'{1}\';" alt=""></a></li>',
								arrBanner[i].imgUrl, CurrentView.noImageUrlWide);
					}
				}
	
				$("#ulPgmArea").html(strHtml);
				$("#sectionPgmArea").show();
			}
			catch(e){
				CurrentView.util.regErrlog('setPgmBanner', e);
				$("#sectionPgmArea").hide();
				CurrentView.isEmptyPgmBanner = true;
				CurrentView.isEmptyETVHomeShopping = true;
				return false;
			}
		},
		
		/*
		 * 170823 쇼핑찬스 영역 espot 추가 hawoong 
		 */
		setShoppingChanceBanner : function(data){
			try{
				var arrBanner = data.msg._ETV_MAIN_shoppingchance;
				
				if( arrBanner == undefined || arrBanner.length == 0 ) {
					$("#sectionChaneWrap").hide();
	
					return false;
				}
				var titleHtml = "";
				if(arrBanner[0].espotTitleText != "" && arrBanner[0].espotTitleText != undefined){
					titleHtml = arrBanner[0].espotTitleText;
				}else{
					titleHtml = "쇼핑 찬스";
				}
				$("#sectionChaneTit").text(titleHtml);
				
				CurrentView.isEmptyShoppingChanceBanner = false;
				
				var strHtml = "";
	
				for (var i = 0; i < arrBanner.length; i++){
					
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrBanner[i].mdUrl).split("?")[1]).catalogId;
					
					// jjko 20170705 링크url 이 없을 경우 클릭 이벤트 추가 하지 않음.
					if(arrBanner[i].mdUrl != "" && arrBanner[i].mdUrl != undefined)
                    {
						strHtml += Ns.Util.stringFormat('\
								<li><a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" onerror="this.src=\'{9}\';" alt=""></a></li>',
								arrBanner[i].imgUrl, arrBanner[i].clickTarget, arrBanner[i].contentsId, arrBanner[i].clickCode, arrBanner[i].espotId, arrBanner[i].mdUrl,  null, null, catalogId, CurrentView.noImageUrlWide);
                    }
					else 
					{
						strHtml += Ns.Util.stringFormat('\
								<li><img src="http:{0}" onerror="this.src=\'{1}\';" alt=""></a></li>',
								arrBanner[i].imgUrl, CurrentView.noImageUrlWide);
					}
				}
	
				$("#ulChaneWrap").html(strHtml);
				$("#sectionChaneWrap").show();
			}
			catch(e){
				CurrentView.util.regErrlog('setShoppingChanceBanner', e);
				$("#sectionChaneWrap").hide();
				CurrentView.isEmptyShoppingChanceBanner = true;
				CurrentView.isEmptyETVHomeShopping = true;
				return false;
			}
		},
		
		/* 샵플러스 구좌 추가 2017.01.25 */
		setShopplusItems : function(data){	
			var objData = data.msg;
			var arrItemCheck = [true, true, true]; // 와이드배너, 상품, 기획전
			try{				
				// 타이틀
				if( objData._ETV_SHOPPLUS_TITLE == undefined || objData._ETV_SHOPPLUS_TITLE.length == 0) {	
					$("#shopplus_items").hide();	
					return false;
				} 
				var strTitle = objData._ETV_SHOPPLUS_TITLE[0].marketingText;
				if( strTitle == undefined || strTitle == "" || strTitle == null ){
					$("#shopplus_items").hide();	
					return false;
				}								
				$("#shopplus_title").html(strTitle);
				CurrentView.isEmptyShopplusItem = false;
				
				var strHtml = "";
				// 와이드배너
				if(objData._ETV_SHOPPLUS_WIDEBANNER != undefined && objData._ETV_SHOPPLUS_WIDEBANNER.length != 0){
					var arrWideBanner = objData._ETV_SHOPPLUS_WIDEBANNER[0];
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrWideBanner.mdUrl).split("?")[1]).catalogId;
					strHtml += Ns.Util.stringFormat('\
							<a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" alt=""></a>',
							arrWideBanner.imgUrl, arrWideBanner.clickTarget, arrWideBanner.contentsId, arrWideBanner.clickCode, arrWideBanner.espotId, arrWideBanner.mdUrl,  null, null, catalogId );
					$("#shopplus_banner").html(strHtml);
					$("#shopplus_banner").show();
					arrItemCheck[0] = false;
				}

				// 상품				
				if(objData._ETV_SHOPPLUS_PRDT != undefined){
					var arrProd = objData._ETV_SHOPPLUS_PRDT[0];
					var productDetail = arrProd.productDetail;
					var tmp_multiCd = null;
					
					//Wapers 2017.09.25 옵션대표가 flag - 샵플러스 BEST
					var optRepYn = "";
					if(undefined != productDetail.prcWaveDisp){
						optRepYn = productDetail.prcWaveDisp;
					} else {
						// empty for purpose
					}
				
					if(productDetail.multiCd != "") tmp_multiCd = productDetail.multiCd;
					var func = Ns.Util.stringFormat('mainCtrl.gotoProductDisplay({0},{1},\'{2}\')', productDetail.partnumber, tmp_multiCd, productDetail.busChnId);
					var imgUrl = Ns.Util.getImageUrl( productDetail.partnumber, "X6" );
					strHtml = '<div class="product-thumb">';
					strHtml += '		<a href=\"javascript:'+ func +'\"><img src="' + imgUrl + '" onerror=\"this.src=\'' + CurrentView.noImageUrlWide + '\';\" alt=""></a>';
					strHtml += '</div>';
					strHtml += '<div class="product-info">';
					strHtml += '		<dl>';
					strHtml += '		<dt><a href=\"javascript:'+ func +'\">' + productDetail.itncatentrynm + '</a></dt>';
					strHtml += '			<dd class="tag item-feature interest-free etv"><span class="price">' + Ns.Util.insertCommas(productDetail.priceofferprice) + '</span><span class="won">';
					
					//Wapers 2017.09.25 옵션대표가 적용
					if(optRepYn == "~"){
						strHtml += '	원~</span>';
					} else {
						strHtml += '	원</span>';
					}

					if(productDetail.ifiValue != 0 && productDetail.ifiValue != null){
						strHtml += '<div class=\"head\">무이자</div>';
						strHtml += '<span class="mon">&nbsp;' + productDetail.ifiValue + '</span></dd>';
		        	}
					strHtml += '		</dl>';
					strHtml += '</div>';
					$("#shopplus_prod").html(strHtml);
					$("#shopplus_prod").show();
					arrItemCheck[1] = false;
				
				// 기획전
				} else if(objData._ETV_SHOPPLUS_EXHIBITBANNER != undefined && objData._ETV_SHOPPLUS_EXHIBITBANNER.length != 0){
					var arrExhibit = objData._ETV_SHOPPLUS_EXHIBITBANNER[0];
					var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrExhibit.mdUrl).split("?")[1]).catalogId;
					strHtml = Ns.Util.stringFormat('\
							<a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="http:{0}" alt=""></a>',
							arrExhibit.imgUrl, arrExhibit.clickTarget, arrExhibit.contentsId, arrExhibit.clickCode, arrExhibit.espotId, arrExhibit.mdUrl,  null, null, catalogId );
					$("#shopplus_exhibit").html(strHtml);
					$("#shopplus_exhibit").show();
					arrItemCheck[2] = false;
				}
				
				if(arrItemCheck[0] == false || arrItemCheck[1] == false || arrItemCheck[2] == false)
					$("#shopplus_items").show();
			}
			catch(e){
				CurrentView.util.regErrlog('setShopplusItems', e);
				$("#shopplus_items").hide();
				CurrentView.isEmptyShopplusItem = true;
				CurrentView.isEmptyETVHomeShopping = true;
				return false;
			}
		},
		
		setETVPrdtList : function(data){
			try{
				if ( !data.msg || !data.msg.totalPrdtCnt ) {
					$("#sectionPrdtList").hide();
	
					return false;
				}
				else{
					/* eTV 상품 타이틀 추가 2017.01.25 */
					if (data.msg._ETV_MAIN_PRDTLIST_TITLE != "" && data.msg._ETV_MAIN_PRDTLIST_TITLE != null && data.msg._ETV_MAIN_PRDTLIST_TITLE != undefined && data.msg._ETV_MAIN_PRDTLIST_TITLE.length != 0) {
						var productTitle = data.msg._ETV_MAIN_PRDTLIST_TITLE[0].marketingText;
						$("#special_items_title").html(productTitle);
						$("#special_items_title").show();
					}					
					
					CurrentView.totalCount = data.msg.totalPrdtCnt;
					var repPrdtList = data.msg.EtvCatPrdtList;
					
					if ( repPrdtList == undefined || repPrdtList.length == 0 ) {
						$("#sectionPrdtList").hide();
		
						return false;
					}
					else{
						CurrentView.isEmptyETVPrdtList = false;
						
						$("#sectionPrdtList").show(); // 영역
						
						var objDrawData = JSON.parse(JSON.stringify(repPrdtList)); // object 복사

						// data 커스텀
						for (var i = 0; objDrawData.length > i; i++){
							if ((Number(CurrentView.pageIdx) - 1) * Number(CurrentView.pageSize) + i >= CurrentView.maxCount){
								break;
							}
							
							//Wapers 2017.09.25 옵션대표가 flag
							var optRepYn = "";
							if(undefined != objDrawData[i].prcWaveDisp){
								optRepYn = objDrawData[i].prcWaveDisp;
							} else {
								// empty for purpose
							}
							
							// inQkang eTV모바일매장하단영역기획전배너노출(SR-201705-0009) 
							// jjko 20170706 클릭 이벤트 처리가 Product만 따로, Category, External은 같이 사용. (Ns.UI.espotClickEvent 안에서 구)
                            if(objDrawData[i].espotLinkType != null && objDrawData[i].espotLinkType == "Product") {
								var salePrice = "";
								if ( objDrawData[i].pricedcprice!=0 && objDrawData[i].priceofferprice!=objDrawData[i].pricedcprice ) {
									salePrice = Ns.Util.insertCommas(objDrawData[i].pricedcprice); //알뜰할인가.
								}
								
								//판매가
								var offerPrice = Ns.Util.insertCommas( objDrawData[i].priceofferprice );
								
								var exIfi = ['',''];
								if(objDrawData[i].ifiValue != 0 && objDrawData[i].ifiValue != null){
									exIfi[0] = "<div class=\"head\">무이자</div>";
									exIfi[1] = objDrawData[i].ifiValue;
					        	}
								
								var tmp_multiCd = null;
								if(objDrawData[i].multiCd != "") tmp_multiCd = objDrawData[i].multiCd;
								var imageUrl = Ns.Util.getImageUrl( objDrawData[i].partnumber, "X6" );//objDrawData[i].bannerImgUrl
								objDrawData[i].bannerImgUrl_c = Ns.Util.stringFormat('\
									<a href="javascript:mainCtrl.gotoProductDisplay({0},{1},\'{2}\');"><img src="{3}" onerror=\"this.src=\'{4}\';\" alt=""></a>',
									objDrawData[i].catentryId, tmp_multiCd, objDrawData[i].busChnId,imageUrl, CurrentView.noImageUrlWide);
								
								//Wapers 2017.09.25 옵션대표가 적용 - TV 추천 상품
								objDrawData[i].etvTitleTxt = Ns.Util.stringFormat('\
										<dl>\
											<dt><a href="javascript:mainCtrl.gotoProductDisplay({0},{1},\'{2}\');">{3}</a></dt>\
											<dd class="tag item-feature interest-free etv">\
											<span class="price">{4}</span><span class="won">{7}</span>{5}<span class="mon">&nbsp;{6}</span></dd>\
										</dl>',
										objDrawData[i].partnumber, tmp_multiCd, objDrawData[i].busChnId, objDrawData[i].itncatentrynm,
										offerPrice, exIfi[0], exIfi[1],
										optRepYn == "~" ? "원~" : "원");

                            }
                            else { //Wapers 2017.09.25 옵션대표가 적용 -->원 표기가 없는 코드인데 확인이 필요할 수 있음
                                var espotContentTitle = "";
                                var espotContentText = "";
                                if(objDrawData[i].espotContentText != null){
                                espotContentTitle = objDrawData[i].espotContentText.split('$')[0];
                                espotContentText = objDrawData[i].espotContentText.split('$')[1];
                                if(Ns.Util.isNull(espotContentTitle)){
                                espotContentTitle = "";
                                }
                                if(Ns.Util.isNull(espotContentText)){
                                espotContentText = "";
                                }
                                }
                                var tmp_multiCd = null;
                                if(objDrawData[i].multiCd != "") tmp_multiCd = objDrawData[i].multiCd;
                                var imageUrl = "http:"	+ objDrawData[i].bannerImgUrl;
                                var categoryId = Ns.Util.getBroadCastParam("?"+ Ns.Util.htmlDecode(objDrawData[i].espotLinkUrl).split("?")[1]).categoryId;
                                var catalogId = Ns.Util.getBroadCastParam("?"+ Ns.Util.htmlDecode(objDrawData[i].espotLinkUrl).split("?")[1]).catalogId;
                               
                            	objDrawData[i].bannerImgUrl_c = Ns.Util.stringFormat('\
                                        <a href="javascript:Ns.UI.espotClickEvent(\'{0}\',{1},{2},{3},\'{4}\',{5},{6},{7});"><img src="{8}" onerror=\"this.src=\'{9}\';\" alt=""></a>',
                                        objDrawData[i].espotLinkType, objDrawData[i].contentId, categoryId, objDrawData[i].espotId, objDrawData[i].espotLinkUrl ,null, null, catalogId, imageUrl, CurrentView.noImageUrlWide);

                            	objDrawData[i].etvTitleTxt = Ns.Util.stringFormat('\
									  <dl name="PrdtListNotPoroduct">\
                                     <dt><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',{1},{2},{3},\'{4}\',{5},{6},{7});">{8}</a></dt>\
                                     <dd class="tag item-feature interest-free etv">\
                                     <span class="special">{9}</span></dd>\
                                     </dl>',
                                     objDrawData[i].espotLinkType, objDrawData[i].contentId, categoryId, objDrawData[i].espotId, objDrawData[i].espotLinkUrl ,null, null, catalogId, espotContentTitle, espotContentText);
                            	
                                
                            }


						}
			
						Ns.UI.drawList(objDrawData, "ulPrdtList", "", false ); // 화면 그리기
						
						// NSSR-9365 모바일(허브) 'TV쇼핑' 메뉴 하단 하얀이미지 노출 (CurrentView.totalCount가 CurrentView.maxCount 보다 크면 차이만큼 UI에서 숨긴다.) + maxCount 100개로 변경 
						if(CurrentView.totalCount > CurrentView.maxCount)	{
							for (var count = 0 ; CurrentView.totalCount - CurrentView.maxCount > count ; count++){
								var tmpCntIdx = count + CurrentView.maxCount + 1;
								$("div[class='live_tv']").eq(tmpCntIdx).parent().hide();
							} 
						}
						
						Ns.UI.startPushFullEvent( CurrentView.data.call_NSEspotEtvPrdtList );
						
						if (Number(CurrentView.totalCount) > Number(CurrentView.pageIdx) * Number(CurrentView.pageSize)){
							CurrentView.pushFullEvent = false;
						}
						
						if(typeof wcs == 'undefined'){
							setTimeout(function(){
								Fn_WcsNaver(1);
							}, 5000);
						}else{
							Fn_WcsNaver(1);
						}
						
						// jjko 2017. 하위 요소(li) 중에 Product가 아닌 경우 아래 텍스트영역을 가는 div를 제외함. 제외 함. 
						var x = document.getElementsByName("PrdtListNotPoroduct");
                        for(var i = 0; i < x.length; i++)
                        {
                            x[i].closest("div").hidden = true;
                        }
					}
				}
			}
			catch(e){
				CurrentView.util.regErrlog('setETVPrdtList', e);
				$("#sectionPrdtList").hide();
				CurrentView.isEmptyETVPrdtList = true;
				CurrentView.isEmptyETVHomeShopping = true;
			}
			finally{
				CurrentView.ui.setNoDataPrint();
			}
		},
		
		/**
		 * data가 없을경우 화면 출력
		 */
		setNoDataPrint : function (){
			if (CurrentView.isEmptyETVHomeShopping == true && CurrentView.isEmptyTopBanner == true && CurrentView.isEmptyLiveTVShopping == true && CurrentView.isEmptyETVTabs == true && CurrentView.isEmptyBestItems == true
					&& CurrentView.isEmptyEventBanner == true && CurrentView.isEmptyPgmBanner == true && CurrentView.isEmptyETVPrdtList == true && CurrentView.isEmptyShopplusItem == true && CurrentView.isEmptyShoppingChanceBanner == true){
				if ($("#noDataPrint").length == 0){
					$("#etvContent").append("<div id=\"noDataPrint\">" + mainCtrl.getNoResultDataHtml( "조회된 상품이 없습니다." ) + "</div>");
				}
			}
		},
		/**
		 * 2016-09-06 정승진 : 메인화면 새로고침
		 * */
		pageRefresh : function() {
			var invoke = {};
			mainCtrl.navigate("M_G2210000M", invoke);
		},
		/*
		 * NS talk 롤링 처리 
		 * */
		setRollingTalkMsg : function () {
			$('.rt_talk ul').removeClass('ani');//animation 효과삭제
			if(CurrentView.ROLLING_IDX < (CurrentView.ROLLING_MAX - 1)){
				$('.rt_talk ul').animate({
					marginTop:"-=40px"
				});
				if ( CurrentView.ROLLING_MAX != 1) {
					CurrentView.ROLLING_IDX++;
				}
			}else{
				$('.rt_talk ul').css('marginTop','0px');
				$('.rt_talk ul').addClass('ani');//animation 효과추가 
				CurrentView.ROLLING_IDX = 0;
			}
		},
		/**
		 * NsTalk 10초 간견으로-ymma
		 */
		set_NsTalkRolling : function( ) {
			mainCtrl.checkNsTalkTimerObject();
			mainCtrl.nsTalk_timer = setInterval(CurrentView.ui.set_NsTalkRolling_Ajax, 10000); //10초 간격으로 호출
			navi.arrInteval.push(mainCtrl.nsTalk_timer); //pageNavigate.js에 clearAllIntervalList 에 넣어 준다.
			navi.arrInteval.push(setInterval(CurrentView.ui.setRollingTalkMsg, 2000));  //애니메이션 실행
		},
		
		/**
		 * NsTalk 롤링 인포뱅크 호출-ymma
		 *  {
				“code” : “0” or “1” 
				“errors” : [{“msg” : “에러메시지” }],
				“messages” : [
								{
									“msg” : “질문내용1”
									. “type” : “1”
								},
								{
									“msg” : “답변내용1”
									“type” : “2”
								},{
									“msg” : “이벤트 당첨”
									, “type” : “3”
								},
								{
									“msg” : “공지사항”
									, “type” : “4”
								}
							],
				“count” : 4
				}
		 */
		set_NsTalkRolling_Ajax : function(){
			
			$.ajax({
					url         		: "http://" + Const.NSTALK_NSMALL_PATH + "/api/messages",
					data        		: {
											code : mainCtrl.nstalk_goodId
											, count : 5
											, start_date : mainCtrl.nstalk_startdtm
											, end_date : mainCtrl.nstalk_enddtm
						},
					crossDomain	: true,
					type        	: 'POST',
					dataType   		: 'json',
					success     	: function(data){
						if (data.code == "0"){
							//== 화면셋팅 - sypark
							CurrentView.ui.set_NsTalkApiObject(data);
						}else{
							// empty
						}
					},
					error: function(data) {
						//17.08.23 ajax 실패 처리 hide 처리-- sypark
						$("#btnNSTalkQuestion").hide();
						$("#talkMsgCnt").html('0');
						$("#rollingMsg").html('ajax통신 실패..');
					}
			});
		}, 
		/**
		 * NStalk API 조회후 받아온 obj 셋팅 - sypark
		 */
		set_NsTalkApiObject : function(data) {
			var infoBankObj = data;
			var innerHtml ="";
			//== api에서 받아온 obj 체크 
			if ( infoBankObj != null && infoBankObj.count != 0 && infoBankObj.talk_enable == true ) {
				$("#btnNSTalkQuestion").show();
				var messageList = infoBankObj.messages;
				for( var i = 0; i < messageList.length; i++ ) {
					innerHtml += "<li>";
					innerHtml += "	<a>";
					innerHtml += messageList[i].msg;
					innerHtml += "	</a>";
					innerHtml += "</li>";
				}
				CurrentView.ROLLING_MAX = infoBankObj.messages.length;
				$("#talkMsgCnt").html(infoBankObj.count);
				$("#rollingMsg").html(innerHtml);
			} else {
				$("#btnNSTalkQuestion").hide();
				$("#talkMsgCnt").html('0');
			}
		}
	},

	//이벤트 관련 함수를 정의한다.
	event : {
		
		//적립금 신청 버튼 클릭시 TV 홈쇼핑 적립금 신청 페이지로 이동.
		onclick_btnTVReservedSubscription : function() {
			var invokeParams = {
					partNumber : CurrentView.PARTNUMBER
			};

			mainCtrl.navigate( "M_G1100400M", invokeParams );
		},
		
		// 생방송 참여하기(ns Talk) -- sypark
		onclick_btnNSTalkQuestion : function() {
			//2017-08-04 sypark : NSTalk 화면 이동
			//Ns.Popup.showLayer("M_G2615200L", function(){});
			//CASE 비로그인 처리 
			if (!mainCtrl.checkLogonStatus()) {
				Ns.Popup.alert("로그인 후 이용해 주세요.", function() {
					mainCtrl.gotoLogin();
				});
				return;
			} else { 
				//== 페이지 이동 처리 == 마수석님이 include 시킴
				mainCtrl.navigate("M_G3000000M");
			}
		},
		
		// 편성표
		onclick_btnTVSchedule : function() {
			var invokeParams = {
					partNumber : CurrentView.PARTNUMBER
			};
			invokeParams.catalogId = Const.getMarketingCatalogId('tv');

			mainCtrl.navigate( 'M_G2222120M', invokeParams );
		},
		
		// 17.08.28 삭제 생방송 참여하기(ns Talk) -- sypark
		onclick_btnTVLiveQuestion : function() {
			Ns.Popup.showLayer("M_G2615200L", function(){});
		},
		
		// 상품상세 바로가기
		onclick_btnGotoProductDisplay : function() {
			mainCtrl.gotoProductDisplay(CurrentView.PARTNUMBER, CurrentView.MULTICD, CurrentView.BUSCHNID);
		},
		
		// 생방송보기 
//		onclick_btnShowLive : function() {
//			Ns.Native.tvHomeShoppingView( "LIVE", "http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8", null );
//		},
		onclick_btnShowLive : function(data) { // 생방송보기
			
			var msg = "3G/LTE 환경에서 이용시 요금제에 따라 <br/> 데이터 요금이 부가될 수 있습니다.<br/>시청하시겠습니까?";
			
			var okFuc = function() {
				//navi.setMovePointer(-1);
				CurrentView.event.video_play();
				return false;
			};
			var cancelFuc = function() {
				//navi.setMovePointer(-1);
				return false;
			};
			
			//2018-02-14 ssong confrim 변경
			var targetId = "mainItem";
			Ns.Popup.confirmLayer( msg, okFuc, cancelFuc, "예", "아니오", targetId);
			//Ns.Popup.confirm( msg, okFuc, cancelFuc, "예", "아니오", null, null, null);
		},
	
		video_play : function() {
			var html = '';
			html += '<div class="pause_layer" style="display: none;">';
			html += '<p class="pauseclose_btn"><img onclick="CurrentView.event.click_cancle();" src="./images/common/pauseclose_btn.png" alt=""></p>';
			html += '   <ul>';
			html += '    <li class="fullsc_btn"><img onclick="CurrentView.event.click_fullView(this);" src="./images/common/fullscreen_btn.png" alt=""></li>';
			html += '    <li class="pause_btn"><img id="pnp_btn" onclick="CurrentView.event.click_VideoToggle();" src="./images/common/pause_btn.png" alt=""></li>';
			html += '    <li class="viewitem_btn"><img onclick="CurrentView.event.onclick_btnGotoProductDisplay();" src="./images/common/go_btn.png" alt=""></li>';
			html += '   </ul>';
			html += '  </div>';
//			click_cancle
			if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
//				html += '	<video id="vid" onclick="CurrentView.event.click_VideoToggle(this);" autoplay  poster="./images/video/sample-51.png" preload="true" webkit-playsinline style="transform: scaleY(0.84375);-webkit-transform: scaleY(0.84375);width:100%;">';
				html += '	<video id="vid" onclick="CurrentView.event.click_fade()" autoplay  poster="./images/back.png" preload="true" webkit-playsinline style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35);width:100%;">';
			}else{//아이폰
				// dhlee 2017.04.10 이미지 경로 수정 
//				html += '	<video id="vid" onclick="CurrentView.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/video/sample-51.png" preload="true" webkit-playsinline>';
				html += '	<video id="vid" onclick="CurrentView.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline>';
			}
			//운영
			html += '		<source src="http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8" type="video/mp4" >';
			//개발
//			html += '		<source src="http://shoppstream.nsmall.com/IPHONE/mobile.m3u8" type="video/mp4" >';		
//			html += '		<source src="http://221.140.53.53/IPHONE/mobile.m3u8" type="video/mp4" >';		
//			html += '		<source src="http://192.168.13.87/IPHONE/mobile.m3u8" type="video/mp4" >';		
			html += '		Your browser does not support the video tag.';					
			html += '	</video>';
			
			$('#mainItem').html(html);
			
			$('#mainItem').css('background-image', '');
			$('#mainItem').css('padding', '0px');
			$('#vid').css('height', CurrentView.VIDEO_HEIGHT );
			if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
				
			}
			else{
				$('#vid').css('height', CurrentView.VIDEO_HEIGHT );
			}

			document.getElementById('vid').play();
			mainCtrl.bVideoplay = true;
		},
		click_cancle : function(){
			document.getElementById('vid').pause();
			mainCtrl.bVideoplay = false;
			var html = '';
			html += '<p class="onair"><span class="broad_timer" id="liveTimer"></span></p>';
			html += '<p class="mov_btn" id="btnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
			html += '<a href="javascript:;" class="go_item" id="btnGotoProductDisplay">상품상세로 바로가기</a>';
			html += '<div>';
			html += '	<img id="prcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
			html += '</div>';
			$('#mainItem').html(html);
			CurrentView.isRefresh = true;
			CurrentView.data.call_NSEspotCommon();
		},
		click_fade : function(){
			$('.video').fadeIn();
			$('.pause_layer').fadeIn();
			setTimeout( function(){
				//일시정지일 때는 항상 버튼 레이어 노출
				if(CurrentView.isPlay){
					$('.video').fadeOut();
					$('.pause_layer').fadeOut();
				}
			}
			,2000 );
		},
		/**
		 * 2016-09-02 정승진 : 안드로이드 영상재생 콜백함수
		 * */
		playToggle : function(isplay) {
			CurrentView.isPlay = isplay;
			CurrentView.event.click_VideoToggleBtn();
		},
		click_VideoToggle : function(){
			CurrentView.isPlay = document.getElementById('vid').paused;
			mainCtrl.bVideoplay = false;
			CurrentView.event.click_VideoToggleBtn();
		},
		click_VideoToggleBtn : function(){
			if(!CurrentView.isPlay){
				$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
			}
			else{
				$("#pnp_btn").attr("src", "./images/common/pause_btn.png");
				document.getElementById('vid').play();
				mainCtrl.bVideoplay = true;
				//재생할 경우 버튼 레이어 제거
				$('.video').fadeOut(); 
				$('.pause_layer').fadeOut();
			}
		},
		click_fullView : function(obj){
			var item = $(obj).siblings().last();
			if(CurrentView.isPlay){ //플레이중
				$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
			}
			
			Ns.Native.nsShopTvHomeShoppingViewDirect( "LIVE", "http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8", null, CurrentView.isPlay);
		},
		
		onclick_soldOut : function() {			
			var msg = "일시품절된 상품입니다";

			Ns.Popup.alert(msg);
		},
		
		// 상품더보기 toggle
		onclick_etvListToggle : function() {
			$('.toggle_cont').slideToggle("fast");
			return false;
		},
		
		onerror_productImage : function() {
			if($(this).attr('rep') == '0'){
				$(this).removeClass();
				$(this).addClass('thumbanil_small');
				$(this).attr('src', CurrentView.THUMBNAIL_IMAGE_URL);
				$(this).attr('rep', '1');
			}
			else if($(this).attr('rep') == '1'){
				$(this).removeClass();
				$(this).attr('src', CurrentView.noImageUrlWide);
				$(this).attr('rep', '2');
			}
		},
		
		/*
		 * 2018-02-19 ssong
		 * 스크롤시 동영상 재생 멈춤
		 */
		onscroll_stopVideo : function(){
			var scr_now = $(window).scrollTop() + $('#pageHeader').outerHeight();
			if(scr_now > $(".etv_title").offset().top){
				if(mainCtrl.bVideoplay == true){
					if($("#vid").length>0){
						$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
						document.getElementById('vid').pause();
					}
				}
				mainCtrl.bVideoplay = false;
			}
		},
	},
	
	util : {
		regErrlog : function(funcNm, e){
			Ns.Util.viewConsoleLog("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
		},
		initEvent : function(){
			$('#btnGotoProductDisplay').show().unbind().bind('click', CurrentView.event.onclick_btnGotoProductDisplay); //상품상세 바로가기.
			$('#btnShowLive').show().unbind().bind('click', CurrentView.event.onclick_btnShowLive); //생방송 TV쇼핑. 생방송보기 버튼.
		}
	}
};