
/* JavaScript content from js/etv/M_G2250000M.js in folder common */

/* 
 *	생방송보기 상품 선택
 *  ID : M_G2250000M
 *  
*/

CurrentView = {
	nIntervalMin : 0,

	init : function(params) {
		this.initializeComponent(params);
		this.onLoad();
	},

	initializeComponent : function(params) {
		try {
			if (null != params && undefined != params) {
				if (null != params.LogonStatus && undefined != params.LogonStatus) {
					mainCtrl.setUserInfo("userid", params.userId)
					mainCtrl.setUserInfo("logonType", params.logonType);
					Const.setCocd(params.Cocd);
				}
			}

			if (undefined != Const.getCocd() && Const.getCocd() == "110") {
				Const.setCocd("50000");
			}
		} catch (e) {
			alert("function initializeComponent Error>>>" + e);
		}
		
		//백버튼 숨김
		$("#btnBack").hide();
	},

	onLoad : function() {
		CurrentView.data.call_NSMobEtvBrdctInfoCmd(); // data 조회
	},

	// 데이터 관련 함수 정의
	data : {
		/**
		 * 화면에 필요한 data api를 통해 조회
		 */
		call_NSMobEtvBrdctInfoCmd : function() {
			tran.callWCSJsonTran("NSMobEtvBrdctInfoCmd", "",
					CurrentView.ui.setDrawList);
		},
		
		/*
		 * getProductSelected : 웹뷰 주문서 화면에서 주문중인(선택된) 상품이 있는지 확인하여 네이티브로 리턴
		 */
		getProductSelected : function(){
			ETVPluginBridge.callExitFullView(false);
		}

	},
	// end data function...

	// ui interaction 관련 함수 정의
	ui : {
		/**
		 * data 화면 출력 및 관련 처리
		 */
		setDrawList : function(data) {
			try {
				$("#footer").hide();
				if (undefined == data.msg || null == data.msg) {
					$("#liveProductList").html(mainCtrl.getNoResultDataHtml("상품정보가 없습니다."));
					$("#liveProductList_temp").hide();
					return false;
				}

				if (undefined == data.msg.BrdctPrdtList || null == data.msg.BrdctPrdtList) {
					$("#liveProductList").html(mainCtrl.getNoResultDataHtml("상품정보가 없습니다."));
					$("#liveProductList_temp").hide();
					return false;
				}

				if (data.msg.BrdctPrdtList.length <= 0) {
					$("#liveProductList").html(mainCtrl.getNoResultDataHtml("상품정보가 없습니다."));
					$("#liveProductList_temp").hide();
					return false;
				}

				CurrentView.nIntervalMin = Number(data.msg.BrdctInfo.formMi) * 60; // 남은시간(초)

				mainCtrl.m_timer = setInterval(function() { // 1초마다 반복
					CurrentView.nIntervalMin--; // 전체 남은 시간에서 -1

					if (CurrentView.nIntervalMin == 0) { // 남은 시간이 없으면...
						clearInterval(mainCtrl.m_timer); // interval clear
						CurrentView.data.call_NSMobEtvBrdctInfoCmd(); // 재검색
					}
				}, 1000);

				var objCutBrdctPrdtList = JSON.parse(JSON
						.stringify(data.msg.BrdctPrdtList));

				// data 커스텀
				for (var i = 0; objCutBrdctPrdtList.length > i; i++) {
					if (i == 0) {
						// 생방송에 타이틀 전송
						/*
						 * 생방송 상단 상품명 출력 param1 - String - 출력될 타이틀병 param2 -
						 * Integer - 남은시간(초)
						 */
						// todo...
						try {
							if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
								var text = encodeURIComponent(objCutBrdctPrdtList[i].commonData.itncatentrynm + "//" + CurrentView.nIntervalMin);
								setTimeout(
										function() {
											document.location.href = "tvviewsettitle://" + text;
										}, 250);
							} else {
								ETVPluginBridge.setTitle(objCutBrdctPrdtList[i].commonData.itncatentrynm, CurrentView.nIntervalMin);
							}
						} catch (e) {
							// TODO: handle exception
							console.log("ETVPluginBridge.setTitle Error==================================================");
						}
					}

					objCutBrdctPrdtList[i].c_imgUrlHtml = "<img src=\""
							+ Ns.Util.getImageUrl(objCutBrdctPrdtList[i].PARTNUMBER, "H")
							+ "\" onerror=\"this.onerror=null;this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg'\" alt=\"상품 이미지\">";
					objCutBrdctPrdtList[i].c_productNm = Ns.UI.getProductName(
							objCutBrdctPrdtList[i].commonData.brandCd,
							objCutBrdctPrdtList[i].commonData.brand_kor_nm,
							objCutBrdctPrdtList[i].commonData.itncatentrynm,
							objCutBrdctPrdtList[i].commonData.headCopy);

					if (objCutBrdctPrdtList[i].commonData.ifiValue != "0") {
						objCutBrdctPrdtList[i].c_ifiValueHtml = "<span class=\"head\">무이자할부</span> <span class=\"num\">"
								+ objCutBrdctPrdtList[i].commonData.ifiValue
								+ "</span>";
					}

					objCutBrdctPrdtList[i].c_price = Ns.Util.insertCommas(objCutBrdctPrdtList[i].commonData.pricedcprice);
				}

				Ns.UI.drawList(objCutBrdctPrdtList, "liveProductList"); // 화면

				var $liveProductItems = $("li[name=liveProductItems]");
				$liveProductItems.eq(0).addClass("active"); // 첫번째 상품 테두리 처리

				// 상품 li영역 클릭시 이벤트 처리
				$liveProductItems
						.off()
						.on(
								"click",
								function() {
									var objData = $(this).data("data");
									var params = {
										partNumber : objData.PARTNUMBER,
										multiCd : objData.commonData.multiCd,
										busChnId : objData.commonData.busChnId
									};

									if (objData.commonData.dispTypeCd == "35"
											|| objData.commonData.dispTypeCd == "40"
											|| objData.commonData.dispTypeCd == "45"
											|| objData.commonData.dispTypeCd == "50"
											|| objData.commonData.dispTypeCd == "55"
											|| objData.commonData.dispTypeCd == "56"
											|| objData.commonData.dispTypeCd == "57"
											|| objData.commonData.dispTypeCd == "58"
											|| objData.commonData.dispTypeCd == "59") {

										/*
										 * 네이티브 confirm노출 후 처리
										 * 
										 * msg - String - confirm에 출력될 메시지
										 * param2 - String - 확인 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료) - function이 있을 경우 생방송 보기를 종료후 fuction 실행 
										 * param3 - String - function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달) 
										 * param4 - String - 취소 버튼 클릭 후 실행될 function(해당 값이 null)일경우 별도 동작 하지 않고 alert 종료) - function이 있을 경우 생방송 보기를 종료후 fuction 실행
										 * param8 - String - function 실행시 전달할 변수 JSON 타입 문자열(해당 Object의 첫번째 필드만큼 변수생성 전달)
										 */
										try {
											if (mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb") {
												var text = encodeURIComponent("다음 단계는\u2028기본(세로)화면에서 진행됩니다.\u2028\u2028해당 페이지로 이동하시겠습니까?");
												setTimeout(
														function() {
															document.location.href = "tvviewcallconfirm://"
																	+ text
																	+ "//mainCtrl.gotoProductDisplay//"
																	+ JSON.stringify(params);
														}, 250);
											} else {
												ETVPluginBridge.callConfirm(
															"다음 단계는\n기본(세로)화면에서 진행됩니다.\n\n해당 페이지로 이동하시겠습니까?",
															"mainCtrl.gotoProductDisplay",
															JSON.stringify(params), null, null);
											}

										} catch (e) {
											// TODO: handle exception
											console.log("ETVPluginBridge.callConfirm Error==================================================");
										}
										return;
									}

									params.p_espotid = "";
									params.p_bannerid = "";

									mainCtrl.navigate("M_G2260000M", params);
								});
			} catch (e) {
				alert("function setDrawList Error>>>" + e);
			}
		},

	},
	// end ui function...

	// 이벤트 관련 함수 정의
	event : {

	}
// end event function
};