
/* JavaScript content from js/etv/M_G261N000L.js in folder common */

/* 
 *	방송 알리미
 *  ID : M_G261N000L
 *  
*/

//page 컨트롤 클래스
CurrentView = {
	partNumber : null,
	catentryId : null,
	// 이전 페이지 정보
	prevPage : {}, 
	
	init : function( params ) {
		this.initializeComponent( params );
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function( params ) {
		$("#btnProposeAlarm").unbind().bind( "click", this.event.onclick_btnProposeAlarm );
		$("#btnCancelAlarm").unbind().bind( "click", this.event.onclick_btnCancelAlarm );
		
		this.partNumber = params.partNumber;
		this.catentryId = params.catentryId;
		
		this.ui.setDefaultValue( params );
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		CurrentView.prevPage.pageId = navi.getPageId(-1);
		CurrentView.prevPage.param = navi.getPageParam(-1);
		this.data.getAlarmInfoMobile( params );
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		getAlarmInfoMobile : function( params ) {
			var invokeParams = {
				userId : USERINFO.userId(),
				partNumber : params.partNumber,
				processFlag : "getAlarmInfoMobile",
				catentryId : CurrentView.catentryId,
			};

			tran.callWCSJsonTran( 'TVHomeShoppingAjax', invokeParams, CurrentView.ui.setAlarmInfoMobile );
		},
		
		updateAlarm : function() {
			var isAgree = $('input:radio[name="isAgree"]:checked').val();
			var receive_term = $('input:radio[name="receive_term"]:checked').val();
			var receive_count = $('input:radio[name="receive_count"]:checked').val();
			var cellPhone = Ns.Util.insertSeparatorPhoneNumber( $("#hpNo").val(), "-" );
			
			var invokeParams = {
				userId : USERINFO.userId(),
				catentryId : CurrentView.catentryId,
				partNumber : CurrentView.partNumber,
				processFlag : "updateAlarmMobile",
				cellphone : cellPhone,
				telYN : isAgree,  // telYn 이었던것을 수정  by seo4872  2016/04/05
				month : receive_term,
				num : receive_count
			};
			
			var resultUpdateAlarm = function( data ) {
				var success = Number(data.msg.seccess);
				var msg = data.msg.resultCode;

				navi.setMovePointer(-1);
				/**
				 * 2018-05-11 ssong
				 * 이전 페이지 이동 처리 
				 * 백버튽 처리 > 이전 페이지 정보로 이전 페이지 이동
				 */
				if ( success != 0 ) {
					
					//okCb, canCb, okTxt, canTxt
					if ( success == -100 ) {
						Ns.Popup.confirm( msg, function() {
							mainCtrl.navigate("M_U1174000M", null);
							return false;
						}, function() {
							//mainCtrl.onBackButtonPressed();
							mainCtrl.navigate(CurrentView.prevPage.pageId,CurrentView.prevPage.param);
							return false;
						}, "마이페이지로 이동", "확인" );
					} else {
						Ns.Popup.alert( msg, function() {
							//mainCtrl.navigate("M_G2222120M", null);
							//mainCtrl.onBackButtonPressed();
							mainCtrl.navigate(CurrentView.prevPage.pageId,CurrentView.prevPage.param);
							return false;
						} );
					}
					
					return false;
				} else if ( success == 0 ) {
					Ns.Popup.alert( "방송 알리미를 등록했습니다.", function(){
						//mainCtrl.onBackButtonPressed();
						mainCtrl.navigate(CurrentView.prevPage.pageId,CurrentView.prevPage.param);
					} );
					
					return false;
				}
			};
			
			tran.callWCSJsonTran( 'TVHomeShoppingAjax', invokeParams, resultUpdateAlarm );
		}
		
		
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		setDefaultValue : function( params ) {
			var noImageUrl = Const.NO_IMAGE_URL +  'noimage_P.jpg';
			if ( Ns.Util.isNull(params.imageUrl) ) params.imageUrl = "";
			
			$("#imgProduct").attr( "src", params.imageUrl );
			$("#imgProduct").attr( 'onerror', "this.onerror=null;this.src='" +noImageUrl + "'" );
			
			$("#txtProdName").html( params.productName );
			
			/*var hpno = ( Ns.Util.isNull( USERINFO.hpNo() ) ) ? USERINFO.telNo() : USERINFO.hpNo();
			$("#hpNo").val( hpno.replace(/-/gi, "") );*/
		},
		
		setAlarmInfoMobile : function( data ) {
			var commCd1 = data.msg.CommCd1; //수신기간.
			var commCd2 = data.msg.CommCd2; //수신횟수.
			var hpNo= data.msg.PhoneNumber;
			
			var commCdTxt = "";
			for( var k=0; k<commCd1.length; k++ ) {
				var items = commCd1[k];

				if ( k==0 )
					commCdTxt += '<span><label><input type="radio" name="receive_term" value="'+items.COMM_CD_VAL+'" checked="checked" class="form theme-a"> '+items.COMM_CD_INSTC+'</label></span>';
				else 
					commCdTxt += '<span><label><input type="radio" name="receive_term" value="'+items.COMM_CD_VAL+'" class="form theme-a"> '+items.COMM_CD_INSTC+'</label></span>';
			}
			
			$("#spanReceiveTermArea").html( commCdTxt ); 
			
			commCdTxt = "";
			for( var k=0; k<commCd2.length; k++ ) {
				var items = commCd2[k];
				
				if ( k==0 )
					commCdTxt += '<span><label><input type="radio" name="receive_count" value="'+items.COMM_CD_VAL+'"  checked="checked" class="form theme-a"> '+items.COMM_CD_INSTC+'</label></span>';
				else 
					commCdTxt += '<span><label><input type="radio" name="receive_count" value="'+items.COMM_CD_VAL+'"  class="form theme-a"> '+items.COMM_CD_INSTC+'</label></span>';
			}
			$("#spanReceiveCountArea").html( commCdTxt );

			var phone = hpNo.replace(/-/gi, "");
			if( !Ns.Util.isNull(phone) ){
				$("#hpNo").val( phone );
			}
		},
		
		checkInputValue : function() {
			var isAgree = $('input:radio[name="isAgree"]:checked').val();
			
			if ( isAgree == "Y") {
				var hpNo = $("#hpNo").val();
				if( hpNo == "" || hpNo.length<7 ) {
					Ns.Popup.alert("연락처 정보를 정확히 입력하세요.");
					return false;
				}
			}
			
			return true;
		}
	},
	 
	//이벤트 관련 함수를 정의한다.
	event : {
		onclick_btnProposeAlarm : function() {
			var isAgree = $('input:radio[name="isAgree"]:checked').val();
			var isTrue = CurrentView.ui.checkInputValue();
			if( !isTrue ) return false;
			
			var cancelCb = function() {
				return false;
			};
			
			if(isAgree == "N"){
				Ns.Popup.alert( "방송알리미 서비스를 받기 위해서는 반드시 수신동의를 하셔야 합니다.");
			}else{
				Ns.Popup.confirm("방송 알리미를 신청하시겠습니까?", function(){
					navi.setMovePointer(-1);
					CurrentView.data.updateAlarm();
				}, null, "방송알리미 신청", "취소");
			}
		},
		
		onclick_btnCancelAlarm : function() {
			mainCtrl.onBackButtonPressed();
		}
	}

};