
/* JavaScript content from js/goods/GOODS_TEST.js in folder common */

/* 
 *	상품테스트
 *  ID : GOODS_TEST
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		
		
		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {			
		
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			$("#execUrl").on("click", CurrentView.data.onclick_execUrl );
			$('#btnDetail').unbind().bind('click', this.event.onclick_btnDetail);
			$('#btnTv').unbind().bind('click', function(){
				Ns.Native.tvHomeShoppingView( "LIVE", null, null );
			});

			$("#btnCoupon").on('click',CurrentView.event.onclick_getCoupon);
			$("#btnSendCoupon").on('click',CurrentView.event.onclick_sendCoupon);
			//CurrentView.ui.setGoodsList();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {			
			//result Callback 
			resultCallback : function(data){
				var msg = data.msg.root.rtnMsg;
				Ns.Popup.alert( msg );
			},
			
			onclick_execUrl : function(){
				var url = $("#inputUrl").val();
				
				Ns.Native.showWindows( url );
			}
		}, // end data functions.
		
		//ui 관련 함수를 정의한다.
		ui : {
		
			setGoodsList : function() {
				var goodsList = [ {
						'goodsName' : '무형 - 렌탈',
						'partNumber' : [ 20000060, 20000473, 20000695, 20000696, 20000697, 20000698, 20000699, 20000700, 20000701, 20000702 ]
					}, {
						'goodsName' : '무형 - 모바일상품권',
						'partNumber' : [ 20000613, 20000614, 20000615, 20000616, 20000618, 20000619, 20000620, 20000621, 20000506, 20000498 ]
					}, {
						'goodsName' : '무형 - 핸드폰',
						'partNumber' : [ 20000059, 20000089, 20000085, 20000088, 20000477, 20000606, 20000691, 20000692, 20000693, 20000694 ]
					}, {
						'goodsName' : '실물상품권',
						'partNumber' : [ 20000429, 20000434, 20000031, 20000028, 20000029, 20000604, 20000610, 20000688, 20000689, 20000690 ]
					}, {
						'goodsName' : '일반 - 단품 없음',
						'partNumber' : [ 13500248, 12098083, 12364927, 20000598, 20000599, 20000600, 20000617, 13583273, 20000681 ]
					}, {
						'goodsName' : '일반 - 단품 있음',
						'partNumber' : [ 13565895, 13053873, 20000177, 20000178, 20000597, 20000603, 20000601, 20000602, 20000703, 20000627, 12677984, 20000633, 20000629, 20000630, 20000631, 20000632, 20000628 ]
					}, {
						'goodsName' : '정기배달',
						'partNumber' : [ 20000623, 20000626, 20000622, 20000624, 20000625, 20000682, 20000683, 20000684, 20000685, 20000686, 20000687, 20000083, 20000671, 20000680, 20000672, 20000673, 20000674, 20000675, 20000676, 20000677, 20000678, 20000679 ]
					}, {
						'goodsName' : 'Pack 상품',
						'partNumber' : [ 20000052, 20000043, 20000048 ]
					} ];

				var html = '';
				for (var i = 0; i < goodsList.length; i++) {
					var getProductList = function(partNumber) {
						var imageLink = '';
						for (var j = 0; j < partNumber.length; j++) {
							imageLink += Ns.Util.stringFormat('\
									<div class="rows content-fixed">\
										<a href="javascript:;" onclick="mainCtrl.gotoProductDetail({partNumber : {0}});"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
										{0}\
									</div>',
								partNumber[j],
								Ns.Util.getImageUrl(String(partNumber[j]),"I"),
								Const.NO_IMAGE_URL +  'noimage_I.jpg'
							);
						}
						return imageLink;
					};
					
					html += Ns.Util.stringFormat('\
							<fieldset class="fieldset theme-d">\
								<h4>{0}</h4>\
								<div class="items">\
									<div class="wrap horizontal">\
										<label class="dhead"></label>\
										<div class="field">\
											{1}\
										</div>\
									</div>\
								</div>\
							</fieldset>',
						goodsList[i].goodsName,
						getProductList( goodsList[i].partNumber )
					);
				}
				
				$('#divGoodsListArea').append(html);
			}
		
		}, //end ui functions.
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_getCoupon : function() {
				var coupon = $('#getCoupon').val();
				if(coupon == ""){
					alert("offerID를 넣어주시지요?");
					return false; 
				}
				
				var invoke = {
					mediaCd : "MOBIL",
					flag : "01",
					eventIdfr : coupon
				};

				tran.callWCSJsonTran( "NSTimesPrmtEventCmd", invoke, CurrentView.data.resultCallback );
			},

			onclick_sendCoupon : function() {
				var coupon = $('#sendCoupon').val();
				if(coupon == ""){
					alert("coupon 번호가 없네요?");
					return false; 
				}
				
				var invoke = {
					mediaCd : "MOBIL",
					flag : "01",
					eventIdfr : coupon
				};

				tran.callWCSJsonTran( "NSTimesPrmtEventCmd", invoke, CurrentView.data.resultCallback );
			},

			onclick_btnDetail : function() {
				var partNumber = $('#inputPartNumber').val();
				if(partNumber == ""){
					alert("상품번호를 입력하세요");
					return false; 
				}
				
				mainCtrl.gotoProductDetail({partNumber : partNumber});
				return false;
			},
			
			// input.file
			onchange_InputUpload : function(_this) {
				$('#divImagePreview').empty();
				var fileList = Array.prototype.slice.call(_this.files);
				fileList.forEach(function(file) {
					if (!file.type.match(/image.*/)) {
						Ns.Popup.alert( "이미지 파일이 아닙니다." );
						return false;
					}
					
					// 썸네일 미리보기
					var showThumbnailImage = function(imgURL) {
						$('#divImagePreview').append("<img src=\"" + imgURL + "\" alt=\"\" />");
					};
					
					try {
						// window.URL 객체를 얻음
						var URL = window.URL || window.webkitURL;
						var imgSrc = URL.createObjectURL(file);
						
						showThumbnailImage(imgSrc);
						
			    		// 성능을 위해 다 사용한 ObjectURL을 해제
			    		URL.revokeObjectURL(imgSrc);
					} catch(e) {
						try {
							// createObjectURL을 지원하지 않는 경우 대안
							var fileReader = new FileReader();
							fileReader.onload = function(event) {
								showThumbnailImage(event.target.result);
							};
							fileReader.readAsDataURL(file);
						} catch(e) {}
					}
				});
			},
			
			// 이미지 업로드 테스트
			onsubmit_UploadTest : function() {
				var frm = document.getElementById('formUploadTest');
				frm.accptPath.value = Const.getAcceptPath();
				frm.storeId.value = DEFAULT_PARAMs.storeId;
				frm.langId.value = DEFAULT_PARAMs.langId;
				
				var formdata = false;
				if (window.FormData) {
					formdata = new FormData(frm);
				}
			    $.ajax({
			        url         : "http://" + Const.WCS_NSMALL_PATH + "/NSAjaxCustomerReview",
			        data        : (formdata ? formdata : $(frm).serialize()),
			        crossDomain : true,
			        cache       : false,
			        contentType : false,
			        processData : false,
			        type        : 'POST',
			        dataType    : 'json',
			        success     : function(data, textStatus, jqXHR){
			            // Callback code
			        	alert( JSON.stringify(data) );
			        }
			    });
				
			}
		} // end event functions. 
};