
/* JavaScript content from js/goods/M_G2612000M.js in folder common */

/* 
 *	상품상세-고객상품평
 *  ID : M_G2612000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		firstCall : true,
		tabId : "PHOTO",
		pageIdx : 1,
		pageSize : 10,
		isReviewed : false,
		productName : null,		// 상품명
		adultItemFlag : null,	// 성인여부
		
		maxTol : 500,
		nonFoodTol : 400,
		foodTol : 400,
		premieumTol : 500,
		
		partNumber : null,
		catGb : null,
		catentryId : null,
		
		init : function( params ) {
			this.initializeComponent(params);
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function(params) {
			this.partNumber = params.partNumber;
			this.catentryId = params.catentryId;
			this.catGb = params.catGb;
			this.productName = params.productName;
			this.adultItemFlag = params.adultItemFlag;
			
			if( params.catGb == "10" || params.catGb == "20" ) { // 상품이 식품이거나 의료상품이면 
				$("ul#ulReviewTabArea li#tab01").hide();
				$("ul#ulReviewTabArea li#tab02").hide();
				$("ul#ulReviewTabArea li#tab04").hide();
				$("ul#ulReviewTabArea li#tab02").addClass( "active" );
				$("ul#ulReviewTabArea").addClass( "one" );
				
				this.tabId = "FOOD";
			} else if( params.catGb == "40" ){
				$("ul#ulReviewTabArea li#tab01").hide();
				$("ul#ulReviewTabArea li#tab02").hide();
				$("ul#ulReviewTabArea li#tab03").hide();
				$("ul#ulReviewTabArea").addClass( "one" );
				
				this.tabId = "MEDICAL";
			} else {
				if( params.catGb == "40" ){
					
				}else{
					
				}
				$("ul#ulReviewTabArea li#tab01").removeClass( "active" );
				$("ul#ulReviewTabArea li#tab02").addClass( "active" );
				$("ul#ulReviewTabArea li#tab03").hide();
				$("ul#ulReviewTabArea li#tab04").hide();
				
				this.tabId = "NORMAL";
			}
			
			$("#btnGotoReviewWrite").unbind().bind("click", this.event.onclick_btnGotoReviewWrite );
			$("#ulReviewTabArea li a").unbind().bind("click", this.event.onclick_ulReviewTabArea ); //상품평 탭.
			$("#btnTolInform").unbind().bind("click", this.event.onclick_btnTolInform );
			$("#btnRegisterQA").unbind().bind("click", this.event.onclick_btnRegisterQA ); //상품평쓰기
			
			//2015-06-28 임시로 접근 못하도록 막음
//			$("#btnGotoReviewWrite").removeClass("rate-g");
//			$("#btnGotoReviewWrite").addClass("rate-c");
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getCustomerReview( CurrentView.pageIdx );
			this.data.getTollPoint();
			
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
			// 상품 상세 정보에서 상품 정보를 받아 상품 썸네일 이미지와 상품명 정보를 보여준다.
			CurrentView.ui.setProductImage();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getCustomerReview : function( pageIdx ) {
				var invoke = {};
				
				if( CurrentView.tabId == "PHOTO" ) {
					/*
					invoke.cmdType = 116;
					invoke.postField1 = CurrentView.catentryId;
					invoke.postField2 = CurrentView.catGb;
					invoke.orderByType	= 1; //1 : 최신순 ,  2: 나의 연령대  3: 만족순
					invoke.rowPerPage = CurrentView.pageSize;
					invoke.pageIdx = pageIdx;
					*/
					invoke.cmdType = 116;
					invoke.postField1 = CurrentView.catentryId;
					invoke.postField2 = CurrentView.catGb;
					invoke.orderByType	= 1; //1 : 최신순 ,  2: 나의 연령대  3: 만족순
					invoke.postField3 = CurrentView.pageSize;
					invoke.postField4 = pageIdx;
				} else if( CurrentView.tabId == "FOOD" || CurrentView.tabId == "MEDICAL" ) {
					invoke.cmdType = 102;
					invoke.postField1 = CurrentView.catentryId;			
					invoke.postField3 = CurrentView.pageSize; //page index
					invoke.postField4 = pageIdx; // row page
					invoke.postField5 = 1; //정렬순서
				} else if( CurrentView.tabId == "NORMAL" ) {
					invoke.cmdType = 4;
					invoke.catentryId = CurrentView.catentryId;
					invoke.orderByType	= 1; //1 : 최신순 ,  2: 나의 연령대  3: 만족순
					invoke.rowPerPage = CurrentView.pageSize;
					invoke.pageIdx = pageIdx;
				}
				
				CurrentView.pageIdx = pageIdx;
				
				tran.callWCSJsonTran( "NSAjaxCustomerReview", invoke, CurrentView.ui.setCustomerReview );
			},
			
			getTollPoint : function() {
				var invoke = {
					cmdType : 123,
					postField1  : USERINFO.userId()
				}; 
				
				tran.callWCSJsonTran( "NSFileAjaxCustomerReview", invoke, function( data ) {
					if ( data.jsonNode != undefined ) {
						CurrentView.maxTol =  data.jsonNode.MaxTol;
						CurrentView.nonFoodTol =  data.jsonNode.nonFoodTol;
						CurrentView.foodTol =  data.jsonNode.foodTol;
						CurrentView.premieumTol =  data.jsonNode.PreTol;
					}
				}  );
			}
			

		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			setProductImage : function(){
				// 상품 이미지 정보 / 상품명 설정
				
				var productImageHtml = "";
				var productNameHtml = "";
				
				var imageSrc = Ns.Util.getImageUrl(CurrentView.partNumber, "C", CurrentView.adultItemFlag);
				console.log(imageSrc);
				
				productImageHtml = productImageHtml + '<a href="javascript:CurrentView.event.onclick_boardDetailItem('+CurrentView.partNumber+');" class="pord_info">';
				productImageHtml = productImageHtml + '		<span class="col prod_img">';
				productImageHtml = productImageHtml + '			<span class="img">';
				productImageHtml = productImageHtml + '				<img src='+imageSrc+' onerror="this.error=null;this.src=\'http://image.nsmall.com/ec_comimages/itemimg/noimage_C.jpg\'" alt="상품 이미지">';
				productImageHtml = productImageHtml + '			</span>';
				productImageHtml = productImageHtml + '		</span>';
				productImageHtml = productImageHtml + '		<span class="col prod_name">';
				productImageHtml = productImageHtml + '			<p class="name">'+CurrentView.productName+'</p>';
				productImageHtml = productImageHtml + '		</span>';				
				productImageHtml = productImageHtml + '</a>';
				$("#divProductImage").html(productImageHtml);
			},
			
			setCustomerReview : function( data ) {
				//일반 상품평일 경우 사진상품평 숫자를 불러옴
				if(CurrentView.firstCall && CurrentView.tabId == "NORMAL"){
					CurrentView.firstCall = false;
					var invoke={};
					invoke.cmdType = 116;
					invoke.postField1 = CurrentView.catentryId;
					invoke.postField2 = CurrentView.catGb;
					invoke.orderByType	= 1; //1 : 최신순 ,  2: 나의 연령대  3: 만족순
					invoke.rowPerPage = CurrentView.pageSize;
					invoke.pageIdx = CurrentView.pageIdx;

					tran.callWCSJsonTran( "NSAjaxCustomerReview", invoke, function(data){
						var count = "0";
						if( !Ns.Util.isNull(data.reviewList.list) ){ count = data.reviewList.list[0].totalCnt; }
						$("#photoRCount").html("("+ count +")");
					} );
				}

				var htmlTxt = "";
				var reviewData = null;
				$("#ulRreviewListArea").html( "" );
				
				var nonMsg = "상품평이 없습니다.";
				if ( CurrentView.tabId == "PHOTO" ) nonMsg = "사진 상품평이 없습니다.";
				//var nondata = mainCtrl.getNoResultDataHtml( nonMsg );
				
				var nondata = "";
				nondata = nondata + "<div class='no_list_wrap'>";
				nondata = nondata + "	<p class='message'>" +nonMsg+ "</p>";
				nondata = nondata + "	<p class='sub_message'>첫 상품평을 작성하시면 톨포인트를 드립니다.</p>";
				nondata = nondata + "</div>";
				
				var reviewList = data.reviewList;
				if( ( CurrentView.tabId == "FOOD" || CurrentView.tabId == "PHOTO" || CurrentView.tabId == "MEDICAL") && ( reviewList == undefined || reviewList.list == undefined || reviewList.list.length == 0 ) ) {
					$("#photoRCount, #foodRCount, #medicalRCount").html("(0)");
					$("#ulRreviewListArea").html( nondata );
					return false;
				} else if ( ( CurrentView.tabId == "NORMAL" ) && ( reviewList == undefined || reviewList.length == 0 || reviewList.list != undefined ) )  {
					$("#normalRCount").html("(0)");
					$("#ulRreviewListArea").html( nondata );
					return false;
				}
				
				var totalCount = 0;
				if( CurrentView.tabId == "FOOD" || CurrentView.tabId == "PHOTO" || CurrentView.tabId == "MEDICAL" ) {
					reviewData = reviewList.list;
				} else {
					reviewData = reviewList;
				}
				
				for ( var k=0; k<reviewData.length; k++ ) {
					var items = reviewData[k];
					totalCount = Number( items.totalCnt );
					
					//미노출 상품평이 있을 경우 상품상세로 이동
					if(items.evalYn == "Y"){
						Ns.Popup.alert("해당 상품은 상품평 노출불가 상품입니다.");
						mainCtrl.onBackButtonPressed();
						break;
					}
					
					var logonId = CurrentView.ui.setMaskingStr( items.logonId, 3, 6 );
					var subject = items.subject;
					var content = "";
					
					var userId = "";
					var entryDate = "";
					if( CurrentView.tabId == "FOOD" || CurrentView.tabId == "MEDICAL" ) {
						entryDate = items.entryDate.substring(0,16);
						userId = items.users_id;
					} else if ( CurrentView.tabId == "PHOTO"  ) {
						content = items.reviewContents;
						entryDate = items.entryDate.substring(0,16);
						userId = items.usersId;
					} else { 
						content = items.text;
						entryDate = items.entrydate.substring(0,16);
						userId = items.usersId;
					}
					
					if ( userId == USERINFO.userId() ) CurrentView.isReviewed = true;
					
					var scoreHtml = "";
					
					if( CurrentView.catGb == "30" )
						scoreHtml = CurrentView.ui.getScoreHtml( items.score1, items.score2, items.score3, items.score4, items.sizeVal, items.colorVal );
					else 
						scoreHtml = CurrentView.ui.getScoreHtml( items.score1, items.score2, items.score3, items.score4 );
					
					if ( CurrentView.tabId == "FOOD" || CurrentView.tabId == "MEDICAL" ) { 
						htmlTxt += Ns.Util.stringFormat('\
							<li>\
								<div class="q_area">\
									<p class="writer_info">\
										<span class="id_name">{0}</span>\
										<span class="date"><span class="head">등록일</span> <span class="text">{1}</span></span>\
									</p>\
									<table class="eval_table">\
										<colgroup>\
											<col width="50%;" />\
											<col width="50%;" />\
										</colgroup>\
										{2}\
									</table>\
								</div>\
							</li>', logonId, entryDate, scoreHtml );
					} else {
						htmlTxt += Ns.Util.stringFormat('\
							<li>\
								<div class="q_area">\
									<p class="writer_info">\
										<span class="id_name">{0}</span>\
										<span class="date"><span class="head">등록일</span> <span class="text">{1}</span></span>\
									</p>\
									<table class="eval_table">\
										<colgroup>\
											<col width="50%;" />\
											<col width="50%;" />\
										</colgroup>\
										{2}\
									</table>\
									<a class="" href="javascript:CurrentView.event.onclick_reviewTitle(\'{3}\',\'{4}\',\'{5}\');">{6}</a>\
								</div>\
								<div class="a_area ui-base-target" id="uiBaseToggle{7}" isFile="N">\
									<div class="evaluation">\
										<p>{8}</p>\
									</div>\
								</div>\
							</li>', logonId, entryDate, scoreHtml, k, items.seq, items.photoYn, subject, k, content ); 
					}
				} // end for loop
				
				var countObj = null;
				if( CurrentView.tabId == "FOOD" ) { 
					countObj = $("#foodRCount");
				} else if( CurrentView.tabId == "NORMAL" ) { 
					countObj = $("#normalRCount");
				} else if( CurrentView.tabId == "MEDICAL" ){
					countObj = $("#medicalRCount");
				} else {
					countObj = $("#photoRCount");
				} 

				countObj.html( "("+ totalCount + ")"  );
				$("#ulRreviewListArea").html( htmlTxt );
				CurrentView.ui.setPaging( totalCount );
			},
			
			setMaskingStr : function( logonId, len, maxLen )  {
				var getMaskingStr = function( len ) {
					var str = "";
					for ( var i=0; i<len; i++ ) {
						str += "*";
					}
					return str;
				}; 
				
				var masking = "";
				
				if( logonId.length > len ) {
					masking =  logonId.substring( 0, len ) + getMaskingStr( maxLen-len );
				} else if ( logonId.length <= len ) {
					var tmp = "";
					
					for ( var i=0; i<(maxLen - logonId.length); i++ ) {
						tmp += "*";
					}
					masking = logonId + tmp;
				}
				
				return masking;
			},
			
			//name : 배송, 가격, 품질, 디자인, 사이즈, 색상
			//score : 별점 
			getScoreHtml : function( score1, score2, score3, score4, size, color ) {
				var scoreTxt = "";
				var scoreInfo = [];
				
				if( CurrentView.tabId != "FOOD" && CurrentView.tabId != "MEDICAL" ) { 
					score1 = Number(score1)*20;
					score2 = Number(score2)*20;
					score3 = Number(score3)*20;
					score4 = Number(score4)*20;
				} 
				
				scoreInfo.push( {name:"배송", score: score1} );
				scoreInfo.push( {name:"가격", score: score2} );
				
				if( CurrentView.catGb == "10" ) {
					scoreInfo.push( {name:"맛", score: score3} );
					scoreInfo.push( {name:"신선도", score: score4} );
				} else if ( CurrentView.catGb == "20" ) {
					scoreInfo.push( {name:"품질", score: score3} );
					scoreInfo.push( {name:"신뢰도", score: score4} );
				} else {
					scoreInfo.push( {name:"품질", score: score3} );
					scoreInfo.push( {name:"디자인", score: score4} );
				}
				
				var scount = 0;
				for ( var i=0; i<scoreInfo.length; i++) {
					var items = scoreInfo[i];
					
					if ( scount == 0 ) scoreTxt += "<tr>";
					
					scoreTxt += Ns.Util.stringFormat('\
						<td><span class="rating">\
							<span class="head">{0}</span>\
							<span class="text">{1}점<span class="value" style="width:{2}%;"></span></span>\
							</span>\
						</td>', items.name, items.score, items.score);
					
					scount++;
					
					if ( scount == 2 ) {
						scoreTxt += "</tr>";
						scount = 0;
					}
				}
				
				if (size != undefined ) {
					scoreTxt += '<tr><td><span class=""><span class="head">사이즈</span><span class="text"> '+size+'</span></span></td>';
					scoreTxt += '<td><span class=""><span class="head">색상</span><span class="text"> '+color+'</span></span></td></tr>';
				}
				
				scoreInfo.remove();
				return scoreTxt;
			},
			
			
			getPhotoHtml : function( photoList ) {
				var photoHtml = "";
				
				if ( photoList == null || photoList == "") return "";
				
				for ( var k=0; k<photoList.length; k++) {
					photoHtml += '<img src="'+photoList[k].imageUrl+'" alt=""/>';
				}
				
				return photoHtml;
			},
			
			
			/**
		     * Description
		     *  - pageHtml을 생성해서 리턴
		     * params
		     *  - totalPageSize           : 전체건수
		     *  - CurrentView.pageidx         : 현재페이지
		     *  - CurrentView.pageSize       : 한 페이지에 출력되는 수
		     *  - "CurrentView.data.getCouponInfo" : 호출function 
		     **/
			setPaging : function( totalPageSize ) {
				if (CurrentView.pageSize >= totalPageSize ) return false;

			    var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.pageSize, "CurrentView.data.getCustomerReview");
			    $("#divPagingArea").html(pageNavi);
			    $("#divPagingArea").show();
			}
			
		}, // end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//상품의 상세보기 화면으로 이동
			onclick_boardDetailItem : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;
				Ns.Popup.showLayerPage("M_G2600000M", param);
			},
			onclick_btnGotoReviewWrite : function() {
				//2015-06-28 임시로 접근 못하도록 막음
				//return false;
				
				var isLogon = mainCtrl.checkLogonStatus();
				
				var invokeParams = {
					partNumber : CurrentView.partNumber,
					catentryId : CurrentView.catentryId,
					catGb : CurrentView.catGb
				};
				
				if( !isLogon ) {
					var nextParams = {
						tranId : "",
						invoke : invokeParams,
						pageId : "M_G261G000L",
						isOnlyUser : true //로그인 사용자만 가능.
					}; 
					
					mainCtrl.gotoLogin( nextParams );
					return false;
				} 
				
				if ( CurrentView.isReviewed ) {
					Ns.Popup.alert("고객님께서는 이미 상품평을 등록하셨습니다." );
					return false;
				}
				
				mainCtrl.navigate( "M_G261G000L", invokeParams );
			},
			
			onclick_ulReviewTabArea : function() {
				var id = $(this).attr('id');
				
				if( CurrentView.tabId == id ) return;
				CurrentView.tabId = id;
				
				$("#divPagingArea").html("");
				$("#divPagingArea").hide();
				CurrentView.pageIdx = 1;
				
				$("#ulReviewTabArea li").removeClass("active");
				$( "#" + id).parent().addClass("active");
				
				CurrentView.data.getCustomerReview( CurrentView.pageIdx );
			},
			
			onclick_reviewTitle : function( idx, seq, isPhoto ) {
				$("#uiBaseToggle" + idx).toggleClass( "active" );
				var isSet = $("#uiBaseToggle" + idx).attr('isFile');
				
				if (isSet == "N" && isPhoto == "Y" ) { 
					var invoke = {
						cmdType : 117,
						goodgrdSeq  : seq
					};
					
					tran.callWCSJsonTran( "NSAjaxCustomerReview", invoke, function( data ) {
						var photoList = data.photoList.list;
						
						if ( Ns.Util.isNull(photoList) || photoList.length==0 ) return false;
						
						var htmlTxt = '';
						var noneImageUrl = Ns.Util.getNoneImageUrl();
						for ( var k=0; k<photoList.length;k++ ) {
							var imageUrl = Const.WCS_IMAGE_CUST_SRV + photoList[k].filePath;
							htmlTxt += '<img src="' + imageUrl + '" onerror="this.onerror=null;this.src=\''+noneImageUrl+ '\'" alt="상품이미지" />';
						}
						
						$("#uiBaseToggle" + idx).find("div.evaluation").append( htmlTxt );
						$("#uiBaseToggle" + idx).attr('isFile', "Y");
					}  );
					
				}

			},
			
			
			onclick_btnTolInform : function() {
				var msg   = "상품평을 작성하시면 최고 " + Ns.Util.insertCommas( CurrentView.maxTol ) + ',<br>';
					 msg += "구매 후 일반 상품평 등록시 최대 " + Ns.Util.insertCommas( CurrentView.nonFoodTol ) + ',<br>';
					 msg += "구매 후 식품 상품평 등록시 최대 " + Ns.Util.insertCommas( CurrentView.foodTol ) + ',<br>';
					 msg += "구매 후 프리미엄 상품평 등록시 최대 " + Ns.Util.insertCommas( CurrentView.premieumTol ) + ' 톨을 드립니다.';
					 
				Ns.Popup.alert( msg );
			},
			
			onclick_btnRegisterQA : function() {
				mainCtrl.navigate( "M_U1161100M" );
			}
			
			
		} //end event
};