
/* JavaScript content from js/goods/M_G2613100M.js in folder common */

/* 
 *	상품상세-상품문의목록
 *  ID : M_G2613100M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		pageIdx : 1, 
		pageSize : 20,
		catentryId : null,
		partNumber : null,
		productName : null,		// 상품명
		adultItemFlag : null,	// 성인여부
		myQnAFlag	: null,		// 내문의글보기 활성화여부
		bDouble : false,	// 중복클릭 체크 변수
		

		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			// params 데이터 셋팅
			this.catentryId = params.catentryId;
			this.partNumber = params.partNumber;	
			
			this.productName = params.productName;
			this.adultItemFlag = params.adultItemFlag;
			this.myQnAFlag = params.myQnAFlag;

			$("#recvPhone").val(USERINFO.hpNo());

			$("#btnRegisterQA").unbind().bind( "click", this.event.onclick_btnRegisterQA );		// 상품문의등록 펼치기
			$("#btnQuestionCenter").unbind().bind( "click", this.event.onclick_btnQuestionCenter );		// dhlee 2017.1.17 고객센터 문의하기 추가
			
			$("#btnMyQnA").bind("click", this.event.onclick_btnMyQnA);							// 내가작성한 글보기 이벤트
			
			//$("#btnCancelRegister").unbind().bind( "click", this.event.onclick_btnCancelRegister ); 	// 글작성 취소
			$("#btnExecuteInsertQA").unbind().bind( "click", this.event.onclick_btnExecuteInsertQA );	// 상품문의 등록
			
			// SMS알림 체크 시  전화번호 알림
			$("#chk_qna_sms").bind("click", this.event.onclick_chkQnaSms);
			
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			this.data.getQAList();
			$('#wrap').removeClass('home'); /* home 에서 상세페이지 진입시 hmoe class가 남아있는 오류 수정 */
			
			// 상품 상세 정보에서 상품 정보를 받아 상품 썸네일 이미지와 상품명 정보를 보여준다.
			CurrentView.ui.setProductImage();
			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getQAList : function( pageIdx, myQnAFlag ) {				
				var invokeParams = {};
				
				invokeParams.catentryId = CurrentView.catentryId;
				if ( pageIdx == null ) pageIdx = CurrentView.pageIdx;
				invokeParams.pageId = pageIdx;
				invokeParams.pageSize = CurrentView.pageSize;
								
				var logonId = mainCtrl.getUserInfo("logonId");
				var isLogon = mainCtrl.checkLogonStatus();
				
				if( !isLogon ) {
					invokeParams.logonId = ""; 
				}else{
					invokeParams.logonId = logonId;
				}
				
				CurrentView.pageIdx = pageIdx;
				
				if(myQnAFlag == null || myQnAFlag == undefined || myQnAFlag == "off"){

					// 상품문의 등록 후 페이지 접속 시 내가 문의한 내용 확인할 수 있도록 처리 함
					if(CurrentView.myQnAFlag != null){
						invokeParams.myQnAFlag = CurrentView.myQnAFlag;
						if(CurrentView.myQnAFlag == "on"){
							$("#btnMyQnA").prop("checked", true);
						}
					}else{
						// 초기 상품문의 페이지 접속 시 default 값은 내 문의글 보기 비활성화 상태
						invokeParams.myQnAFlag = "off";
					}
					
				}else{
					invokeParams.myQnAFlag = "on";
				}
				
				console.log("invokeParams",invokeParams);
				tran.callWCSJsonTran('GoodsQnAReal', invokeParams, CurrentView.ui.setQAList );
			},
			executeInsertQA : function() {
				// 상품문의 등록
				var isContinue = CurrentView.data.checkInputValues();
				if( !isContinue ) return false;
				
				var invokeParams = {};
				
				invokeParams.cmdType = "102"; //default value
				invokeParams.partNumber = CurrentView.partNumber;
				invokeParams.usersId = USERINFO.userId();
				//invokeParams.mailId = $("#txtEmail").val();
				//invokeParams.isEmailReceived = $("input:radio[id='radioAgreeY']").is(":checked") ? "1" : "0";
				invokeParams.recvPhone = $("#recvPhone").val();				
				invokeParams.smsRcvYn = $("input:checkbox[id='chk_qna_sms']").is(":checked") ? "Y" : "N";
				
				invokeParams.isPrivate = $("input:checkbox[id='chkPrivate']").is(":checked") ? "1" : "0";
				//invokeParams.questionType = $("#selQType").val();
				invokeParams.questionType = "99";
				invokeParams.subject = $("#txtSubject").val().substring(0, 50); //제목 - 내용 중 50byte 잘라서 처리.
				invokeParams.ctnt = $("#txtSubject").val(); //내용
				invokeParams.usersOptDispYN = "N"; //고객연령대 노출여부.
				
				tran.callWCSJsonTran('NSAjaxQna', invokeParams, CurrentView.data.resultInsertQA);
			},
			
			resultInsertQA : function( data ) {
				
				//성공하면. QA 목록으로 이동.				
				var invokeParams = {};
				invokeParams.catentryId = CurrentView.catentryId;
				invokeParams.partNumber = CurrentView.partNumber;
				invokeParams.productName = CurrentView.productName;
				invokeParams.adultItemFlag = CurrentView.adultItemFlag;
				invokeParams.myQnAFlag = "on";
				
				// 내 문의글 보기를 선택하시면 등록된 내용 확인 가능합니다.
				mainCtrl.navigate( "M_G2613100M", invokeParams );
			},
			
			//필수값 체크..
			checkInputValues : function() {
				
				var subject = $("#txtSubject").val();
				if( subject == "" ) {
					Ns.Popup.alert("질문내용을 입력하세요.");
					return false;
				}
				
				return true;
			}
			
			
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			setProductImage : function(){
				// 상품 이미지 정보 / 상품명 설정
				
				var productImageHtml = "";
				var productNameHtml = "";
				
				var imageSrc = Ns.Util.getImageUrl(CurrentView.partNumber, "C", CurrentView.adultItemFlag);
				console.log(imageSrc);
				
				productImageHtml = productImageHtml + '<a href="javascript:CurrentView.event.onclick_boardDetailItem('+CurrentView.partNumber+');" class="pord_info">';
				productImageHtml = productImageHtml + '		<span class="col prod_img">';
				productImageHtml = productImageHtml + '			<span class="img">';
				productImageHtml = productImageHtml + '				<img src='+imageSrc+' onerror="this.error=null;this.src=\'http://image.nsmall.com/ec_comimages/itemimg/noimage_C.jpg\'" alt="상품 이미지">';
				productImageHtml = productImageHtml + '			</span>';
				productImageHtml = productImageHtml + '		</span>';
				productImageHtml = productImageHtml + '		<span class="col prod_name">';
				productImageHtml = productImageHtml + '			<p class="name">'+CurrentView.productName+'</p>';
				productImageHtml = productImageHtml + '		</span>';				
				productImageHtml = productImageHtml + '</a>';
				$("#divProductImage").html(productImageHtml);				
			},
			
			setQAList : function( data ) {
				var qnaGuide = data.msg.root.qnaGuide;
				var detailQna = data.msg.root.detailQna;
				
				$("#ulQAArea").html( "" );
				
				// default Q&A 건 수. 내문의글 보기 클릭 시 로그인 사용자 이름 + 건 수 노출
				var txtQACountTitle = "문의 총";
				
				if(CurrentView.myQnAFlag == 'on'){
					txtQACountTitle = USERINFO.userName()+"님의 문의 ";
				}
				$("#txtQACountTitle").text(txtQACountTitle);
				
				$("#divListWrap").html("");
				
				if ( detailQna == null || detailQna == "" ) {
					$("#txtQACount").html("0");
					$("#divPaging").hide();
					
					var htmlTxt = "";
					$("#divListWrap").removeClass().addClass("no_list_wrap");
					htmlTxt = htmlTxt + '	<p class="message">문의가 없습니다.</p>'
					htmlTxt = htmlTxt + '	<p class="sub_message">상품에 대해 궁금한 점이 있으시면 문의해 주세요.</p>'
					$("#divListWrap").html(htmlTxt);
					
					return false;
				}else{
					$("#txtQACount").html(qnaGuide.qnaCnt);
					$("#divListWrap").removeClass().addClass("list_wrap");
					
					var ulHtml = "<ul class=\"list\" id=\"ulQAArea\"></ul>";
					$("#divListWrap").html(ulHtml);
				} 
				
				var htmlTxt = "";
				var answerTag = "";
				
				for (var k=0; k<detailQna.length; k++ ) {
					var items = detailQna[k];
					//비공개처리 변수값 세팅
					var openyn = items.openyn;
					
					var isPrivate = items.isPrivate;					
					var questionType =  items.questionType;
					var question = items.question;
					var answer = items.answer;
					var title = items.title;
					var status = items.status;
										
					var logonId = CurrentView.ui.setMaskingStr( items.writer, 3, 6);
					var questionClass = "";
					
					if ( items.status == "1" ) {
						answerTag = '<span>(답변대기)</span>';
					}else {
						answerTag = "";
					}
					
					//MD가 비공개처리의 경우 비밀글 처리.
					if( openyn == "N" ) {					
						title = "본 게시물은 블라인드 처리되었습니다 : 명백한 허위사실.";
						question = "본 게시물은 블라인드 처리되었습니다 : 명백한 허위사실.";
						isPrivate = "1"
						
						if ( items.writer!=USERINFO.logonId() ) {
							questionType = '';
							question ='';
							answer ='';
						}
					} 
					
					//  비공개 질문에 대한 처리 
					// → 미답변된 모든 문의글은 작성자에게만 보여짐 (작성자 본인이 미답변 글 열람할 때에는 비공개(자물쇠) 아이콘표시)
					// → 모든 사용자 미노출/열람불가. 작성자에게만 노출					
					if(status == "1"){
						questionClass = "standby";
						answer = "고객님의 문의를 접수하였습니다";
						
						// 해당 글의 작성자와 로그인한 id가 같은 비공개글의 경우 자물쇠 표시
						if ( items.writer == USERINFO.logonId() ){
							if(isPrivate == 1){
								questionClass = "not_open";
							}	
						}
					}else{
						// 답변이 완료되었고 비공개글의 경우 자물쇠 표시
						if(isPrivate == 1){
							questionClass = "not_open";
						}else{
							questionClass = "";	
						}
					}
					
					htmlTxt += '<li class="'+questionClass+'">';
					if(items.writer == USERINFO.logonId()){
						htmlTxt += '	<a href="javascript:CurrentView.event.onclick_showDetail(\''+k+'\',\''+isPrivate+'\', \''+items.writer+'\')" class="question_wrap">';	
					}else{
						htmlTxt += '	<a href="javascript:CurrentView.event.onclick_showDetail(\''+k+'\',\''+isPrivate+'\', \''+logonId+'\')" class="question_wrap">';						
					}					
					htmlTxt += '	<div class="question">';
					htmlTxt += answerTag;
					htmlTxt += '		<p>'+question+' </p>';
					htmlTxt += '	</div>';
					htmlTxt += '	<div class="info">';
					htmlTxt += '		<dl class="user">';
					htmlTxt += '			<dt>아이디</dt>';
					
					if(CurrentView.myQnAFlag == "on" && items.writer == USERINFO.logonId()){
						htmlTxt += '			<dd>'+items.writer+'</dd>';
					}else{
						htmlTxt += '			<dd>'+logonId+'</dd>';
					}
					
					htmlTxt += '		</dl>';
					htmlTxt += '		<dl class="date">';
					htmlTxt += '			<dt>문의날짜</dt>';
					htmlTxt += '			<dd>'+items.questionDate+'</dd>';
					htmlTxt += '  		</dl>';
					htmlTxt += '  	</div>';
					htmlTxt += '	</a>';
					
					// 답변내용 처리
					htmlTxt += '	<div class="contnets_wrap">';
					htmlTxt += '  		<p class="answer"> '+answer+' </p>';
					htmlTxt += '	</div>';
				
					
					htmlTxt += '</li>';
				}
				
				$("#ulQAArea").html( htmlTxt );
				
				CurrentView.ui.setPaging( qnaGuide.qnaCnt );
			},
			
			setPaging : function( totalPageSize ) {
				if (CurrentView.pageSize >= totalPageSize ) return false;

			    var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.pageSize, "CurrentView.data.getQAList");
			    $("#divPaging").html(pageNavi);
			    $("#divPaging").show();
			},
			
			setMaskingStr : function( logonId, len, maxLen )  {
				var getMaskingStr = function( len ) {
					var str = "";
					for ( var i=0; i<len; i++ ) {
						str += "*";
					}
					return str;
				}; 
				
				var masking = "";
				
				if( logonId.length > len ) {
					masking =  logonId.substring( 0, len ) + getMaskingStr( maxLen-len );
				} else if ( logonId.length <= len ) {
					var tmp = "";
					
					for ( var i=0; i<(maxLen - logonId.length); i++ ) {
						tmp += "*";
					}
					masking = logonId + tmp;
				}
				
				return masking;
			}
			
			
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {			
			onclick_btnRegisterQA : function() {
				// 상품문의하기 클릭 시 상품문의하기 영역 활성화
				var isLogon = mainCtrl.checkLogonStatus();
				if(isLogon){
					// #1-1 상품문의하기 활성화
					$(".qna_input_wrap").show();
					
				}else{
					// #1-2 로그인하지 않았을 경우 로그인창으로 이동 후 상품 문의 페이지 이동.(로그인 페이지로 이동 시 params 정보를 넘겨야 함)
					var invokeParams = {
							partNumber : CurrentView.partNumber
							, catentryId : CurrentView.catentryId
							, productName : CurrentView.productName		// 상품명
							, adultItemFlag : CurrentView.adultItemFlag 			// 성인여부(Y:19금이미지 필요)
							, myQnAFlag  : CurrentView.myQnAFlag		// 내문의글보기 활성화여부
					};
					
					var param = {
							pageId			: "M_G2613100M"
							, invoke 		: invokeParams
					};
					
					mainCtrl.gotoLogin(param);
					return false;
				}
				
			},
			// dhlee 2017.1.17 고객센터 문의 선택 시 1:1 문의로 이동
			onclick_btnQuestionCenter : function() {
				var isLogon = mainCtrl.checkLogonStatus();
				if( !isLogon ) {
					Ns.Popup.alert("로그인 후 이용하실 수 있습니다.", function() {
						navi.setMovePointer(-1);
						mainCtrl.gotoLogin();
					});						
					return;
				}
				var param = {};
				param.prevPage = "M_G261L000P";
				mainCtrl.navigate("M_C1142400L", param);
			},			
			onclick_btnExecuteInsertQA : function() {
				// 상품문의 글 작성
				if(Ns.Util.doubleSubmitCheck()) return;
				
				// 중복 클릭 방지 처리 
				if (CurrentView.bDouble == true){
					return false;
				}
				CurrentView.bDouble = true;
				
				CurrentView.data.executeInsertQA();
			},
			onclick_showDetail : function( index, isPrivate, writer ) {				
				// 상품문의 상세
				if( isPrivate == "1") {
					if( USERINFO.logonId() != writer )  {
						Ns.Popup.alert('해당 글은 비밀글입니다.');
						return false; //비밀글 상세내용 안보여줌..
					}
				}				
				$('.question_wrap').eq(index).parent().toggleClass('visible');
			},
			
			// 상품문의에서 해당 상품의 상세보기 화면으로 이동
			onclick_boardDetailItem : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;
				Ns.Popup.showLayerPage("M_G2600000M", param);
			},
			
			// #1 내문의글보기 버튼 클릭(내문의글 보기(on/off)가 on이 되면으로 변경)
			onclick_btnMyQnA : function (){
				// checkbox 체크 여부 확인
				var isChecked = $("#btnMyQnA").is(":checked");
				if(isChecked){
					CurrentView.myQnAFlag = 'on';					
				}else{
					CurrentView.myQnAFlag = 'off';					
				}
								
				console.log("CurrentView.myQnAFlag :" , CurrentView.myQnAFlag);
				
				if(CurrentView.myQnAFlag == 'on'){
					
					var isLogon = mainCtrl.checkLogonStatus();
					if(isLogon){
						// #1-1 로그인했을경우 내문의글 보기
						CurrentView.data.getQAList("", CurrentView.myQnAFlag);
						// Q&A 총 xx건 영역에 사용자 이름으로 설정함
					}else{
						// #1-2 로그인하지 않았을 경우 로그인창으로 이동 후 상품 문의 페이지 이동.(로그인 페이지로 이동 시 params 정보를 넘겨야 함)
						var invokeParams = {
								partNumber : CurrentView.partNumber
								, catentryId : CurrentView.catentryId
								, productName : CurrentView.productName		// 상품명
								, adultItemFlag : CurrentView.adultItemFlag 			// 성인여부(Y:19금이미지 필요)
								, myQnAFlag  : CurrentView.myQnAFlag		// 내문의글보기 활성화여부
						};
						
						var param = {
								pageId			: "M_G2613100M"
									, invoke 		: invokeParams
						};
						
						mainCtrl.gotoLogin(param);
						return false;
					}
				}else{
					CurrentView.data.getQAList("", CurrentView.myQnAFlag);
				}
			},
			// SMS 알림 체크
			onclick_chkQnaSms : function(){
				
				if($("input:checkbox[id='chk_qna_sms']").is(":checked")){
					Ns.Popup.alert("답변이 작성되면 고객님의 전화번호 "+USERINFO.hpNo()+"번으로 알려드립니다.");
				}
				
			}
		
		} // end event
};