
/* JavaScript content from js/goods/M_G2614200M.js in folder common */

/* 
 *	상품상세-상품문의목록
 *  ID : M_G2614200M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		pageIdx : 1, 
		pageSize : 10,
		catentryId : null,
		partNumber : null,
		productName : null,		// 상품명
		adultItemFlag : null,	// 성인여부

		init : function( params ) {
			$("#footer").show();
			this.initializeComponent( params );
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			this.catentryId = params.catentryId;
			this.partNumber = params.partNumber;
			this.productName = params.productName;
			this.adultItemFlag = params.adultItemFlag;
			
			$("#btnRegisterQA").unbind().bind( "click", this.event.onclick_btnRegisterQA );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			$('#wrap').removeClass('home'); /* home 에서 상세페이지 진입시 hmoe class가 남아있는 오류 수정 */
			
			// 상품 상세 정보에서 상품 정보를 받아 상품 썸네일 이미지와 상품명 정보를 보여준다.
			CurrentView.ui.setProductImage();
			
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			setProductImage : function(){
				// 상품 이미지 정보 / 상품명 설정
				
				var productImageHtml = "";
				var productNameHtml = "";
				
				var imageSrc = Ns.Util.getImageUrl(CurrentView.partNumber, "C", CurrentView.adultItemFlag);
				console.log(imageSrc);
				
				productImageHtml = productImageHtml + '<a href="javascript:CurrentView.event.onclick_boardDetailItem('+CurrentView.partNumber+');" class="pord_info">';
				productImageHtml = productImageHtml + '		<span class="col prod_img">';
				productImageHtml = productImageHtml + '			<span class="img">';
				productImageHtml = productImageHtml + '				<img src='+imageSrc+' onerror="this.error=null;this.src=\'http://image.nsmall.com/ec_comimages/itemimg/noimage_C.jpg\'" alt="상품 이미지">';
				productImageHtml = productImageHtml + '			</span>';
				productImageHtml = productImageHtml + '		</span>';
				productImageHtml = productImageHtml + '		<span class="col prod_name">';
				productImageHtml = productImageHtml + '			<p class="name">'+CurrentView.productName+'</p>';
				productImageHtml = productImageHtml + '		</span>';				
				productImageHtml = productImageHtml + '</a>';
				$("#divProductImage").html(productImageHtml);
			}
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//상품의 상세보기 화면으로 이동
			onclick_boardDetailItem : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;
				Ns.Popup.showLayerPage("M_G2600000M", param);
			},
			onclick_btnRegisterQA : function() {
				var isLogon = mainCtrl.checkLogonStatus();
				
				var invokeParams = {
					catentryId : CurrentView.catentryId,
					partNumber : CurrentView.partNumber
				};
				
				if( !isLogon ) {
					var nextParams = {
						tranId : "",
						invoke : invokeParams,
						pageId : "M_G261L000P",
						isOnlyUser : true //로그인 사용자만 가능.
					}; 
					
					mainCtrl.gotoLogin( nextParams );
					return false;
				} 
				
				
				mainCtrl.navigate( "M_U1173100M" );
			},
		
		} // end event
};