
/* JavaScript content from js/goods/M_G2615100L.js in folder common */


/* 
 *	상품상세-상품확대보기..
 *  ID : M_G2615100L
 *  
*/

//page 컨트롤 클래스
M_G2615100L = {
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			var zoomScroll = new iScroll('zoomwrapper2', { zoom:true });
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			$("#contents").addClass("detailON");
			$("#subCategory").addClass("detailON");
			mainCtrl.hideGNB();
			
			this.ui.setProductImage( params.photoList );
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			setProductImage : function ( photoList ) {
				var htmlTxt = '';
				
				var noImageUrl = Const.NO_IMAGE_URL + 'noimage_U.jpg';
				for ( var k=0; k<photoList.length; k++ ) {
					htmlTxt += Ns.Util.stringFormat('<li><img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'"  alt=""></li>', Ns.Util.replaceAll(photoList[k], "_P", "_U"), noImageUrl );
				}
				
				$("#ulPhotoList").html( htmlTxt );
				
				if ( photoList.length > 1 ) {
					$("#btnPrevPhoto").show();
					$("#btnNextPhoto").show();
				}
				M_G2615100L.event.fn_rollToEx( 'zoom-images', 'ulPhotoList' );
			}
			
		}, //end ui

		//이벤트 관련 함수를 정의한다.
		event : {
			fn_rollToEx : function(containerID, slideID) {
				var el = $('#'+containerID).find('#'+slideID);
				var window_width = $(window).width();
				
				el.data('prev', $('#'+containerID).find('.prev'));
				el.data('next', $('#'+containerID).find('.next'));
				el.data('size', el.children().outerWidth());
				el.data('img_hei', el.children().find('img').height());
				el.data('len', el.children().length);
				el.data('animating',false);

				if(el.data('img_hei') < window_width){
					el.parent().css('height', window_width);
				} else {
					el.parent().css('height',el.data('img_hei'));
				}
				
				//el.css('width',el.data('size')*el.data('len'));
				el.css('width',window_width*el.data('len'));		
				el.children().css('width',window_width);

				el.data('prev').bind({
					click:function(e){
						e.preventDefault();
						movePrevSlide();
					}
				});

				el.data('next').bind({
					click:function(e){
						e.preventDefault();
						moveNextSlide();
					}
				});

				function movePrevSlide(){
					if(!el.data('animating')){
						var lastItem = el.children().eq(-2).nextAll().clone(true);
						lastItem.prependTo(el);
						el.children().eq(-2).nextAll().remove();
						el.css('left','-'+(el.data('size')*1+'px'));
					
						el.data('animating',true);

						el.animate({'left': '0px'},'normal',function(){
							el.data('animating',false);
						});
					}
					return false;
				}

				function moveNextSlide(){
					if(!el.data('animating')){
						el.data('animating',true);

						el.animate({'left':'-'+(el.data('size')*1)+'px'},'normal',function(){
							var firstChild = el.children().filter(':lt('+1+')').clone(true);
							firstChild.appendTo(el);
							el.children().filter(':lt('+1+')').remove();
							el.css('left','0px');

							el.data('animating',false);
						});
					}
					return false;
				}

			}
		
		} // end event
};