
/* JavaScript content from js/goods/M_G2615200L.js in folder common */


/* 
 *	상품상세 - 실시간 방송참여
 *  ID : M_G2615200L
 */

//popup 컨트롤 클래스
CurrentPopup = {
		target : null,
		
		init : function( target, params ) {
			this.initializeComponent( target );
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( target ) {
			$("#btnSendMsg").on('click', CurrentPopup.event.btnSendMsg );
			CurrentPopup.target = target;
			
			// ios 앱, 웹일경우 처리
			if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
				// 포커스 아웃 이벤트 발생시
				$("#sendName, #sendMsg").focusout(function(){
					// 딜레이 후 두개의 필드에 모두 포커스가 없을 경우 리사이징
					setTimeout(
						function (){
							if (document.activeElement.id != "sendName" && document.activeElement.id != "sendMsg"){
								CurrentPopup.ui.resize("real");
							}
						}
						, 500);
				});
			} else {
				CurrentPopup.ui.resize();
			}
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			callback : function( data ){
				var status = data.statusCode;
				
				if(status == 200){
					Ns.Popup.alert("방송참여 감사드립니다. 건강한 아이디어 NS홈쇼핑",function(){
						Ns.Popup.close( CurrentPopup.target );
						navi.setMovePointer(-1);
						return false;
					});
				}else{
					Ns.Popup.alert("서버와 통신이 원활하지 못합니다.\n잠시 후 다시 시도해 주십시오.("+status+")",function(){
						Ns.Popup.close( CurrentPopup.target );
						navi.setMovePointer(-1);
						return false;
					});
				}
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			/**
			 * 화면 리사이징 처리 펑션
			 */
			resize : function (strType){
				// 플래그 값이 real일 경우 바로 리사이증 처리하고 종료
				if (undefined != strType && strType == "real"){
					if (undefined == $("#M_G2615200L") || $("#M_G2615200L").length == 0){
						return;
					}
					
					Ns.Popup.resize("M_G2615200L");	// 화면 리사이즈 처리(위치)
					return;
				}
				
				// setTimeout을 걸어서 처리
				setTimeout(
					function (){
						// 본 레이어 팝업창이 닫혀 있다면 time반복 중단
						if (undefined == $("#M_G2615200L") || $("#M_G2615200L").length == 0){
							return;
						}
						
						Ns.Popup.resize("M_G2615200L");	// 화면 리사이즈 처리(위치)
						
						// 재귀호출로 반복
						setTimeout(function(){
							CurrentPopup.ui.resize();
						}, 400);
						
					}, 400);
			}
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			btnSendMsg : function(){
				var sendName = $.trim($("#sendName").val());
				var sendMsg = $.trim($("#sendMsg").val());

				if( Ns.Util.isNull(sendName) ){
					Ns.Popup.alert("닉네임 또는 연락처 뒷번호 4자리를 입력해주세요");
					return false;
				}

				if( Ns.Util.isNull(sendMsg) ){
					Ns.Popup.alert("내용을 등록해주세요");
					return false;
				}

				var time = Ns.Date.getTimeStamp( true );
				var invoke = {
					ENC : 2,
					PRG : "6700",
					MEDIA : "Mobile",
					ID : sendName,
					TEL : " ",
					MSG : sendMsg,
					TS : time,
					SEQ : 1
				};
				
				tran.sendLiveTVMsg( invoke , CurrentPopup.data.callback );
			},
		} // end event
};