
/* JavaScript content from js/goods/M_G261G000L.js in folder common */


/* 
 *	상품상세-상품평쓰기
 *  ID : M_G261G000L
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		reviewSeq : 0,
		THIS_PARAMs : null,
		FILE_IDX : 0,
		storedFiles : [],
		uploadedIdx : 0,
		bSuccess : false,
		productName : null,		// 상품명
		partNumber : null,		// 상품번호
		
		init : function( params ) {
			this.THIS_PARAMs = params;
			
			this.productName = params.productName;
			this.partNumber = params.partNumber;
			
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			this.ui.setReviewItems();
			
			$("#btnCanelReg").unbind().bind( "click", this.event.onclick_btnCanelReg );
			$("#btnOKReg").unbind().bind( "click", this.event.onclick_btnOKReg );
			$("#btnUploadPhoto").unbind().bind( "click", this.event.onclick_btnUploadPhoto );
			$("#inputUploadFile").unbind().bind( "change", this.event.handleFileSelect );
			$('form#sendFileForm').on( "submit", this.data.execUploadFiles );
			
			//if ( mainCtrl.VIEW_TYPE=="android" || mainCtrl.VIEW_TYPE=="androidweb") {
			$("fieldset").css( "width",  $("#contents").width()-20 );
				//$("#sectionStartArea").css( "width",  $("#used_guide2").width() );
				//$("#ulPreviewList").css( "width",  $("#divShipping div.field").width() );
			//}
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.checkRewrite();
			
			// 상품 썸네일 이미지와 상품명 정보를 보여준다.
			CurrentView.ui.setProductImage();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			checkRewrite : function() {
				var invoke = {
					cmdType : 104,
					postField1 : USERINFO.userId(),
					postField2 : CurrentView.THIS_PARAMs.partNumber
				};
				
				tran.callWCSJsonTran( "NSFileAjaxCustomerReview", invoke, CurrentView.data.setRewriteReview );
			},
			
			setRewriteReview : function( data ) {
				if ( !data.isSuccessful ) return false;
				
				//if ( data.buyYN == "N" ) {
				if ( data.reviewWriteHistory > 0 ) {
					Ns.Popup.alert("고객님께선 이미 상품평을 등록하셨습니다.", function() {
						mainCtrl.onBackButtonPressed();
					});
				}
			},
			
			getItemTxt : function( type, val ) {
				if( type == "itemSize" ) {
					if ( val == "10" ) return "딱맞다";
					else if ( val == "20" ) return "정 사이즈보다 크다";
					else if ( val == "30" ) return "정 사이즈보다 작다";
				} else if ( type == "itemColor" ) {
					if ( val == "10" ) return "화면과 같다";
					else if ( val == "20" ) return "화면보다 밝다";
					else if ( val == "30" ) return "화면보다 어둡다";
				}
			},
			
			//사진 업로드.. 
			execUploadFiles : function() {
				if ( CurrentView.uploadedIdx == CurrentView.storedFiles.length ) {
					CurrentView.event.onclick_btnCanelReg(); //상품평 목록으로 이동. 
					return;
				}
				
				$("#accptPath").val( Const.getAcceptPath() );
				$("#storeId").val( DEFAULT_PARAMs.storeId );
				$("#langId").val( DEFAULT_PARAMs.langId );
				$("#reviewCnt").val( CurrentView.uploadedIdx );
				
				var fileList = CurrentView.storedFiles[CurrentView.uploadedIdx];
				$("#fileForm").val( fileList[0].name );
				
				var fileData = new FormData( document.getElementById('sendFileForm') );
				fileData.append("inputUpload", fileList[0]);
				
				$.ajax({
					url: 'http://'+Const.WCS_NSMALL_PATH+'/NSAjaxCustomerReview',
					crossDomain : true,
			        cache : false,
			        contentType : false,
			        processData : false,
			        type : 'POST',
			        dataType : 'json',
				    data: (fileData ? fileData : $(fileData).serialize()),
					success: function(result)  {
						CurrentView.uploadedIdx++;

						if(result.processResult == 1){
							CurrentView.data.execUploadFiles(); //업로드 개수만큼 실행. 
						}else{
							CurrentView.bSuccess = true;
							Ns.Popup.alert( "상품평을 등록하였습니다." ,function(){
								mainCtrl.onBackButtonPressed();
							});
						}
					}, 
					error: function(xhr, textStatus, errorThrown) {
					    Ns.Popup.alert("사진을 등록하지 못했습니다.", function(){
					    	CurrentView.event.onclick_btnCanelReg(); //상품평 목록으로 이동.
					    });
					}
				});

			},
			
			//안드로이드 사진 업로드.. 
			execUploadFilesAndroid : function() {	
				if ( CurrentView.uploadedIdx == CurrentView.storedFiles.length ) {
					CurrentView.event.onclick_btnCanelReg(); //상품평 목록으로 이동. 
					return;
				}
				
				Ns.Util.viewConsoleLog("execUploadFilesAndroid !!!!!!!");
				
				$("#accptPath").val( Const.getAcceptPath() );
				$("#storeId").val( DEFAULT_PARAMs.storeId );
				$("#langId").val( DEFAULT_PARAMs.langId );
				$("#reviewCnt").val( CurrentView.uploadedIdx );
				
				var fileList = CurrentView.storedFiles[CurrentView.uploadedIdx];
				$("#fileForm").val( fileList.name );
				
				var uploadSuccess = function (result) {
					Ns.Util.viewConsoleLog("result = " +JSON.stringify(result));
					
					CurrentView.uploadedIdx++;
					Ns.Util.viewConsoleLog("result.response.processResult = " + result.response.processResult);
					
					var response = JSON.parse(result.response)
					if(response.processResult == 1){
						CurrentView.data.execUploadFilesAndroid(); //업로드 개수만큼 실행. 
					}else{
						CurrentView.bSuccess = true;
						Ns.Popup.alert( "상품평을 등록하였습니다." ,function(){
							mainCtrl.onBackButtonPressed();
						});
					}
				};

				var uploadFail = function (error) {
					Ns.Util.viewConsoleLog("error = " + error);
					Ns.Popup.alert("사진을 등록하지 못했습니다.", function (){
						CurrentView.event.onclick_btnCanelReg(); //상품평 목록으로 이동.
					});
				};

				var options = new FileUploadOptions();
				options.fileKey = "inputUpload";
				options.fileName = fileList.name;
				options.mimeType = fileList.type;
				options.headers = {
                    Connection: "close"
                 };

				var params = {};
				params.viewName = $('#viewName').val();
				params.cmdType = $('#cmdType').val();
				params.reviewSeq = $('#reviewSeq').val();
				params.reviewCnt = $('#reviewCnt').val();
				params.fileForm = $('#fileForm').val();
				params.frmFlag = $('#frmFlag').val();
				

				options.params = params;

				var ft = new FileTransfer();
				ft.upload(fileList.realPath, encodeURI('http://'+Const.WCS_NSMALL_PATH+'/NSAjaxCustomerReview'), uploadSuccess, uploadFail, options);
				
			}
			
		}, //end data
		
		
		
		//ui 관련 함수를 정의한다.
		ui : {
			setProductImage : function(){
				// 상품 이미지 정보 / 상품명 설정
				
				var productImageHtml = "";				
				
				var imageSrc = Ns.Util.getImageUrl(CurrentView.partNumber, "C");
				console.log(imageSrc);
				
				productImageHtml = productImageHtml + '<a href="javascript:CurrentView.event.onclick_boardDetailItem('+CurrentView.partNumber+');" class="pord_info">';
				productImageHtml = productImageHtml + '		<span class="col prod_img">';
				productImageHtml = productImageHtml + '			<span class="img">';
				productImageHtml = productImageHtml + '				<img src='+imageSrc+' onerror="this.error=null;this.src=\'http://image.nsmall.com/ec_comimages/itemimg/noimage_C.jpg\'" alt="상품 이미지">';
				productImageHtml = productImageHtml + '			</span>';
				productImageHtml = productImageHtml + '		</span>';
				productImageHtml = productImageHtml + '		<span class="col prod_name">';
				productImageHtml = productImageHtml + '			<p class="name">'+CurrentView.productName+'</p>';
				productImageHtml = productImageHtml + '		</span>';				
				productImageHtml = productImageHtml + '</a>';
				$("#divProductImage").html(productImageHtml);
			},
			setReviewItems : function() {
				if( CurrentView.THIS_PARAMs.catGb == "10" ) {
					$("#divTaste").show();
					$("#divFresh").show();
					$("#divComment").hide();
					$("#divPhoto").hide();
				} else if ( CurrentView.THIS_PARAMs.catGb == "20" ) {
					$("#divQuality").show();
					$("#divReliability").show();
					$("#divComment").hide();
					$("#divPhoto").hide();
				} else if( CurrentView.THIS_PARAMs.catGb == "30" ) { 
					$("#divQuality").show();
					$("#divDesign").show();
					$("#divSize").show();
					$("#divColor").show();
				} else if( CurrentView.THIS_PARAMs.catGb == "40" ){
					$("#divQuality").show();
					$("#divDesign").show();
					$("#divComment").hide();
					$("#divPhoto").hide();
				} else {
					$("#divQuality").show();
					$("#divDesign").show();
				}
				
				//앱이 아닌곳에서는 사진등록 숨기기
				if(!(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android")){
					$("#divPhoto").hide();
				}
				
				var htmlTxt = '';
				for ( var i=0; i<6;i++) {
					var score = i*20;
					htmlTxt += '<li><span class="rating"><span class="text">'+score+'점<span class="value" style="width: '+score+'%;"></span></span></span></li>';
				}
				
				$("#itemShipping").html( htmlTxt );
				$("#itemPrice").html( htmlTxt );
				$("#itemQuality").html( htmlTxt );
				$("#itemReliability").html( htmlTxt );
				$("#itemDesign").html( htmlTxt );
				$("#itemTaste").html( htmlTxt );
				$("#itemFresh").html( htmlTxt );
				
				CurrentView.event.setAttachClickEvent();
			}
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//상품의 상세보기 화면으로 이동
			onclick_boardDetailItem : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;
				Ns.Popup.showLayerPage("M_G2600000M", param);
			},
			bClickChk : false,
			
			onclick_btnOKReg : function() {
				if (CurrentView.bSuccess == true){
					Ns.Popup.alert("고객님께선 이미 상품평을 등록하셨습니다.");
					return;
				}
				
				// 중복 클릭 체크
				if (CurrentView.event.bClickChk == false){
					CurrentView.event.bClickChk = true;
				} else {
					return;
				}
				
				var invoke = {};
				
				var comment = $.trim($("#txtComment").val());
				if ( CurrentView.THIS_PARAMs.catGb != "10" && CurrentView.THIS_PARAMs.catGb != "20" && CurrentView.THIS_PARAMs.catGb != "40" ) { //식품이 아니면. 
					if( comment.length <= 0 ) {
						Ns.Popup.alert("상품평을 등록하세요.");
						CurrentView.event.bClickChk = false;	// 중복 클릭 여부 해제
						
						return ;
					}
				}
				
				invoke.cmdType = 105; //공산품의 경우. 
				invoke.postField1 = CurrentView.THIS_PARAMs.catentryId;
				invoke.postField2 = USERINFO.userId();
				invoke.postField4 = CurrentView.THIS_PARAMs.catGb;
				
				if ( CurrentView.THIS_PARAMs.catGb == "30") {
					invoke.postField9 = $("#sizeVal").attr("score");
					invoke.postField10 = $("#colorVal").attr("score");
				}
				
				invoke.goodEvalScore1 =  $("#shippingVal").attr("score");
				invoke.goodEvalScore2 =  $("#priceVal").attr("score");
				if ( CurrentView.THIS_PARAMs.catGb == "10" ) {
					invoke.goodEvalScore3 =  $("#tasteVal").attr("score");
					invoke.goodEvalScore4 =  $("#freshVal").attr("score");
				} else if ( CurrentView.THIS_PARAMs.catGb == "20" ) {
					invoke.goodEvalScore3 =  $("#qualityVal").attr("score");
					invoke.goodEvalScore4 =  $("#reliabilityVal").attr("score");
				} else {
					invoke.goodEvalScore3 =  $("#qualityVal").attr("score");
					invoke.goodEvalScore4 =  $("#designVal").attr("score");
				}
				
				invoke.postField11 = comment.substring(0,50); //상품평 제목. 
				invoke.postField12 = comment; //상품평.
				
				invoke.postField14 = "N"; //구매 옵션 노출여부
				invoke.postField15 = "N"; //나이, 성별 노출 여부
				invoke.postField17 = ( CurrentView.storedFiles==0 ) ? "N" : "Y"; //파일첨부 여부. 
				
				invoke.postField3 = CurrentView.THIS_PARAMs.ordersId; //상품평 쓰기 팝업에서 얻은 ordersId : 마이페이지에서 미등록 상품평 주문번호 값 보냄
				invoke.postField18 = CurrentView.THIS_PARAMs.dan_catId; //상품평 쓰기 팝업에서 얻은 dan_catId : 마이페이지에서 미등록 상품평 단품번호 값 보냄
				
				tran.callWCSJsonTran( 'NSAjaxCustomerReview', invoke, function( data ) {
					var processResult = data.processResult;

					if( processResult != undefined && processResult != null && processResult > 0 ) {
						$("#reviewSeq").val( processResult );
						
						if( invoke.postField17 == "Y") {
//							if((mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android")){
//								CurrentView.data.execUploadFiles();
//							}
							
							if(mainCtrl.VIEW_TYPE == "ios"){
								CurrentView.data.execUploadFiles();
							}else if(mainCtrl.VIEW_TYPE == "android"){
								CurrentView.data.execUploadFilesAndroid();
							}
							return ;
						} else {
							CurrentView.bSuccess = true;
							Ns.Popup.alert( "상품평을 등록하였습니다.",function(){
								mainCtrl.onBackButtonPressed();
							});
							
							return ;
						}
					} else {
						Ns.Popup.alert( "상품평을 등록하지 못했습니다.");
						CurrentView.event.bClickChk = false;	// 중복 클릭 여부 해제
						return ;
					}
				}, null, function() {}, true );
			},
			
			onclick_btnCanelReg : function() {
				mainCtrl.onBackButtonPressed();
			},
			
			setAttachClickEvent : function() {
				$("#itemShipping li").unbind().bind( "click", CurrentView.event.onclick_reviewItems );
				$("#itemPrice li").unbind().bind( "click", CurrentView.event.onclick_reviewItems );
				$("#itemQuality li").unbind().bind( "click", CurrentView.event.onclick_reviewItems );
				$("#itemReliability li").unbind().bind( "click", CurrentView.event.onclick_reviewItems );
				$("#itemDesign li").unbind().bind( "click", CurrentView.event.onclick_reviewItems );
				$("#itemTaste li").unbind().bind( "click", CurrentView.event.onclick_reviewItems );
				$("#itemFresh li").unbind().bind( "click", CurrentView.event.onclick_reviewItems );
				$("#itemColor li").unbind().bind( "click", CurrentView.event.onclick_reviewItems );
				$("#itemSize li").unbind().bind( "click", CurrentView.event.onclick_reviewItems );
			},
			
			onclick_reviewItems : function() {
				var idx = 0;
				var id = $(this).parent().attr("id");
				idx = $(this).index();
				
				$(this).parent().removeClass("active");
				$(this).parent().parent('div').find('div.item-sort a').addClass('active');
				
				var score = idx;
				var scoreRate = score*20;
				
				var itemObj = null;
				
				if ( id=="itemShipping" ) {
					itemObj = $("#shippingVal");
				} else if ( id=="itemPrice" ) {
					itemObj = $("#priceVal");
				} else if ( id=="itemQuality" ) {
					itemObj = $("#qualityVal");
				} else if ( id=="itemReliability" ) {
					itemObj = $("#reliabilityVal");
				} else if ( id=="itemDesign" ) {
					itemObj = $("#designVal");
				} else if ( id=="itemTaste" ) {
					itemObj = $("#tasteVal");
				} else if ( id=="itemFresh" ) {
					itemObj = $("#freshVal");
				} else if ( id=="itemColor" ) {
					itemObj = $("#colorVal");
					score = $(this).attr("score");
				} else if ( id=="itemSize" ) {
					itemObj = $("#sizeVal");
					score = $(this).attr("score");
				}
				
				 if ( id=="itemColor" || id=="itemSize" ) {
					 score = $(this).attr("score");
					 var name = CurrentView.data.getItemTxt( id, score );
					 itemObj.html( name );
				 } else {
					 itemObj.css("width", scoreRate + "%" );
				 }
				 
				 itemObj.attr("score", score );
			}, 
			
			onclick_btnUploadPhoto : function() {
				if ( CurrentView.storedFiles.length == 5 ) {
					Ns.Popup.alert("사진 등록은 5장까지만 가능합니다.");
					return false;
				}
				
				
				/**
				 * 2014.11.13 FAS 길어진
				 * Android의 FileChooser에 버그가 있어(LG Phoens, kitkat version, etc..) FileChoose를 Navtive 코드로 구현
				 */
				if(mainCtrl.VIEW_TYPE == "android"){
					NSCustom.openFileChooser();
				}else{
					$("#inputUploadFile").click();
				}
			},
			
			handleFileSelectAndroid : function(file) {
		    	
		    	Ns.Util.viewConsoleLog(JSON.stringify(file));
		    	
				if ( CurrentView.storedFiles.length == 5 )  return false;
				if (!file.type.match(/image.*/)) {
					Ns.Popup.alert( "이미지 파일이 아닙니다." );
					return false;
				}
				
				CurrentView.storedFiles.push(file);
				CurrentView.FILE_IDX++;
				
				// 썸네일 미리보기 width="'+width+'px;"
				var htmlTxt = '';    		
	    		htmlTxt += '<li id="imgPhoto'+CurrentView.FILE_IDX+'">';
	    		htmlTxt += '<div class="photo_img">';
	    		htmlTxt += '<a class="photo_del" href="javascript:CurrentView.event.onclick_removePhoto('+CurrentView.FILE_IDX+', \''+file.name+'\');" ><span>사진삭제</span></a>';
//	    		htmlTxt += '<img src="data:image/png;base64,'+decodeURIComponent(file.data) +'"  alt="" />';
	    		htmlTxt += '<img src="'+file.realPath+'"  alt="" />';
	    		htmlTxt += '</div>';
	    		htmlTxt += '</li>';
	    		
	    		$("#ulPreviewList").append( htmlTxt );
			},
			
		    handleFileSelect : function(e) {
				var files = e.target.files;
				
				Ns.Util.viewConsoleLog(JSON.stringify(files[0]));
				var filesArr = Array.prototype.slice.call(files);
				var width = $("#txtComment").width();
				
				filesArr.forEach(function(file) {
					if ( CurrentView.storedFiles.length == 5 )  return false;
					if (!file.type.match(/image.*/)) {
						Ns.Popup.alert( "이미지 파일이 아닙니다." );
						return false;
					}
					
					CurrentView.storedFiles.push(files);
					CurrentView.FILE_IDX++;
					
					// 썸네일 미리보기 width="'+width+'px;"
					var showThumbnailImage = function( imgURL, name ) {
						var htmlTxt = '';    		
			    		htmlTxt += '<li id="imgPhoto'+CurrentView.FILE_IDX+'">';
			    		htmlTxt += '<div class="photo_img">';
			    		htmlTxt += '<a class="photo_del" href="javascript:CurrentView.event.onclick_removePhoto('+CurrentView.FILE_IDX+', \''+name+'\');" ><span>사진삭제</span></a>';
			    		htmlTxt += '<img src="'+imgURL +'"  alt="" />';
			    		htmlTxt += '</div>';
			    		htmlTxt += '</li>';
			    		
			    		$("#ulPreviewList").append( htmlTxt );
					};
					
					try {
						// window.URL 객체를 얻음
						var URL = window.URL || window.webkitURL;
						var imgSrc = URL.createObjectURL(file);
						
						showThumbnailImage( imgSrc, file.name );
						
			    		// 성능을 위해 다 사용한 ObjectURL을 해제
			    		URL.revokeObjectURL(imgSrc);
					} catch(e) {
						try {
							// createObjectURL을 지원하지 않는 경우 대안
							var fileReader = new FileReader();
							fileReader.onload = function(event) {
								showThumbnailImage(event.target.result);
							};
							
							fileReader.readAsDataURL( file, file.name );
						} catch(e) {}
					}
				});

			},
			
		    onclick_removePhoto : function( idx, name ) {
		    	$("#imgPhoto" + idx).remove();
		    	
		    	for(var i=0;i<CurrentView.storedFiles.length;i++) {
		    		if(CurrentView.storedFiles[i].item(0).name === name) {
		    			CurrentView.storedFiles.splice(i,1);
		    			break;
		    		}
		    	}
		    }

		} // end event
	
};








