
/* JavaScript content from js/goods/M_G261L000P.js in folder common */

/* 
 *	상품상세-상품문의등록
 *  ID : M_G261L000P
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		catentryId : null,
		partNumber : null,
		bDouble : false,	// 중복클릭 체크 변수
		productName : null,
		adultItemFlag : null,

		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			$("#txtEmail").val( USERINFO.email() );
			
			CurrentView.catentryId = params.catentryId;
			CurrentView.partNumber = params.partNumber;
			this.productName = params.productName;
			this.adultItemFlag = params.adultItemFlag;
			
			$("#btnQuestionCenter").unbind().bind( "click", this.event.onclick_btnQuestionCenter );		// dhlee 2017.1.17 고객센터 문의하기 추가
			$("#btnCancelRegister").unbind().bind( "click", this.event.onclick_btnCancelRegister ); 
			$("#btnExecuteInsertQA").unbind().bind( "click", this.event.onclick_btnExecuteInsertQA );
			
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getQType();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getQType : function() {
				var invokeParams = {};
				
				tran.callWCSJsonTran('GoodsQnAWriteReal', invokeParams, CurrentView.data.resultQType );
			},
			
			resultQType : function(data) {
				var goodsType = data.msg.root.goodsType;
				if( goodsType == null || goodsType == "") {
					return false;
				}
				
				var htmlTxt = "<option value=''>질문 유형을 선택하세요.</option>";
				
				for ( var ii=0; ii<goodsType.length; ii++ ) {
					var items = goodsType[ii];
					htmlTxt += "<option value='"+ items.comm_cd_val +"'>"+ items.comm_cd_instc +"</option>";
				}
				
				$("#selQType").append( htmlTxt );
			},
			
			executeInsertQA : function() {
				var isContinue = CurrentView.data.checkInputValues();
				if( !isContinue ) return false;
				
				var invokeParams = {};
				
				invokeParams.cmdType = "102"; //default value
				invokeParams.partNumber = CurrentView.partNumber;
				invokeParams.usersId = USERINFO.userId();
				invokeParams.mailId = $("#txtEmail").val();
				invokeParams.isEmailReceived = $("input:radio[id='radioAgreeY']").is(":checked") ? "1" : "0";
				invokeParams.isPrivate = $("input:checkbox[id='chkPrivate']").is(":checked") ? "1" : "0";
				invokeParams.questionType = $("#selQType").val();
				invokeParams.subject = $("#txtSubject").val().substring(0, 50); //제목 - 내용 중 50byte 잘라서 처리.
				invokeParams.ctnt = $("#txtSubject").val(); //내용
				invokeParams.usersOptDispYN = "N"; //고객연령대 노출여부.
				
				tran.callWCSJsonTran('NSAjaxQna', invokeParams, CurrentView.data.resultInsertQA );
			},
			
			resultInsertQA : function( data ) {
				//성공하면. QA 목록으로 이동. 
				var invokeParams = {};
				invokeParams.catentryId = CurrentView.catentryId;
				invokeParams.partNumber = CurrentView.partNumber;
				invokeParams.productName = CurrentView.productName;
				invokeParams.adultItemFlag = CurrentView.adultItemFlag;
				
				mainCtrl.navigate( "M_G2613100M", invokeParams );
			},
			
			//필수값 체크..
			checkInputValues : function() {
				var qType = $("#selQType").val();
				if( qType == "" ) {
					Ns.Popup.alert("질문유형을 선택하세요.");
					return false;
				}
				var subject = $("#txtSubject").val();
				if( subject == "" ) {
					Ns.Popup.alert("질문내용을 입력하세요.");
					return false;
				}
				
				var isEmailReceived = $("input:radio[id='radioAgreeY']").is(":checked");
				if( isEmailReceived ) {
					var email = $("#txtEmail").val();
					if ( !Ns.Util.isEmail(email) ) {
						Ns.Popup.alert("이메일을 정확히 입력하세요.");
						return false;
					}
				}
				
				return true;
			}
			
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_btnCancelRegister : function() {
				var invokeParams = {};
				invokeParams.catentryId = CurrentView.catentryId;
				invokeParams.partNumber = CurrentView.partNumber;
				invokeParams.productName = CurrentView.productName;
				invokeParams.adultItemFlag = CurrentView.adultItemFlag;
				
				mainCtrl.navigate( "M_G2613100M", invokeParams );
			},
			
			// dhlee 2017.1.17 고객센터 문의 선택 시 1:1 문의로 이동
			onclick_btnQuestionCenter : function() {
				var isLogon = mainCtrl.checkLogonStatus();
				if( !isLogon ) {
					Ns.Popup.alert("로그인 후 이용하실 수 있습니다.", function() {
						navi.setMovePointer(-1);
						mainCtrl.gotoLogin();
					});						
					return;
				}
				var param = {};
				param.prevPage = "M_G261L000P";
				mainCtrl.navigate("M_C1142400L", param);
			},
			
			onclick_btnExecuteInsertQA : function() {
				if(Ns.Util.doubleSubmitCheck()) return;
				
				// 중복 클릭 방지 처리 
				if (CurrentView.bDouble == true){
					return false;
				}
				CurrentView.bDouble = true;
				
				CurrentView.data.executeInsertQA();
			}
		} // end event
};