
/* JavaScript content from js/goods/M_G2631000L.js in folder common */


/* 
 *	상품상세-상담신청..
 *  ID : M_G2631000L
 *  
*/



//page 컨트롤 클래스
CurrentView = {
		SERVICE_PRODs : null,
		ADDRESS_INFO : null,
		ZIPTYPE : null,
		
		logDatas : new Object(),
		
		init : function( params ) {
			this.SERVICE_PRODs = params;
			
			if (undefined != CurrentView.SERVICE_PRODs.catalogId && "" != CurrentView.SERVICE_PRODs.catalogId){
				CurrentView.logDatas.catalogId = CurrentView.SERVICE_PRODs.catalogId;	// 사이트 직속 몰...대분류
			}
			if (undefined != CurrentView.SERVICE_PRODs.categoryId && "" != CurrentView.SERVICE_PRODs.categoryId){
				CurrentView.logDatas.categoryId = CurrentView.SERVICE_PRODs.categoryId;	// 몰 하위 매장...소분류
			}
			if (undefined != CurrentView.SERVICE_PRODs.catentryId && "" != CurrentView.SERVICE_PRODs.catentryId){
				CurrentView.logDatas.catentryId = CurrentView.SERVICE_PRODs.catentryId;	// 개별 상품
			}
			if (undefined != CurrentView.SERVICE_PRODs.catgroupId && "" != CurrentView.SERVICE_PRODs.catgroupId){
				CurrentView.logDatas.catgroupId = CurrentView.SERVICE_PRODs.catgroupId;	//
			}
			
			this.initializeComponent();
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			this.ui.setDefaultProductInfo();
			
			$("#btnNewShippingAddress").unbind().bind( "click", this.event.onclick_newShippingAddress );
			$("#btnPostCode").unbind().bind( "click", this.event.onclick_postCode );
			$("#btnCancelCunsult").unbind().bind( "click", this.event.onclick_CancelCunsult );
			$("#btnOKCunsult").unbind().bind( "click", this.event.onclick_OKCunsult );
			$("#selAddrAlias").unbind().bind( "change", this.event.onchange_selAddrAlias );
			$("#selTime").unbind().bind( "change", this.event.onchange_selTime );
			
			$("#imgProductImageBtn").unbind().bind( "click", this.event.onclick_moveDetail );
			$("#txtProductNameBtn").unbind().bind( "click", this.event.onclick_moveDetail );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getShippingAddress(); //배송지 정보 조회.
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			//배송지 정보 가져오기.
			getShippingAddress : function() {
				
				var objParam = new Object();
				objParam.cmdType = 6;
				
				// 20150325 정헌태 추가 - vdn_cd (모바일 주문 접수 응대 번호) 데이터 다음 API 호출 시 추가
				if (mainCtrl.isOsApp()){	// App
					objParam.vdn_cd = "54101";
				} else {	// Web
					objParam.vdn_cd = "54102";
				}
				
				tran.callWCSJsonTran( 'NSItemDetailAjax', objParam, CurrentView.ui.setShippingAddressList, null, function() {}, true  );
			},
			
			getPostCode : function() {
				var param = {};
				param.callback = CurrentView.ui.setPostCode;
				mainCtrl.showPostCodeWindows( param );
			},
			
			executeCunsulting : function() {
				var hpno = $.trim( $( "#hpno" ).val() );
				var hpno01 = Ns.Util.getPhoneNumber( hpno, "1" );
				var hpno02 = Ns.Util.getPhoneNumber( hpno, "2" );
				var hpno03 = Ns.Util.getPhoneNumber( hpno, "3" );
				hpno = hpno01 + hpno02 + hpno03;
				
				var telno = $.trim( $( "#telno" ).val() );
				var telno01 = Ns.Util.getPhoneNumber( telno, "1" );
				var telno02 = Ns.Util.getPhoneNumber( telno, "2" );
				var telno03 = Ns.Util.getPhoneNumber( telno, "3" );
				telno = telno01 + telno02 + telno03;
				
				var txtHP = $.trim( $( "#txtHP" ).text() );
				var txtHP01 = Ns.Util.getPhoneNumber( txtHP, "1" );
				var txtHP02 = Ns.Util.getPhoneNumber( txtHP, "2" );
				var txtHP03 = Ns.Util.getPhoneNumber( txtHP, "3" );
				txtHP = txtHP01 + txtHP02 + txtHP03;
				
				var receiveDate = $("#year").val();
				var sbRecvPhoneReqTmYYYY = receiveDate.substring(0,4);
				var sbRecvPhoneReqTmMM = receiveDate.substring(5,7);
				var sbRecvPhoneReqTmDD = receiveDate.substring(8,10);
				
				var csMallId = Const.getDefaultCatalogId();
				if( CurrentView.SERVICE_PRODs.pgmcd != null && CurrentView.SERVICE_PRODs.pgmcd != "" ) 
					csMallId = DEFAULT_PARAMs.catalogId.tv; //TV상품.
				if ( CurrentView.SERVICE_PRODs.catalogId != undefined && CurrentView.SERVICE_PRODs.catalogId != null && CurrentView.SERVICE_PRODs.catalogId != "" ) 
					csMallId=CurrentView.SERVICE_PRODs.catalogId;
				
				var addressId = "";
				if ($( "#selAddrAlias" ).val() == "" || $( "#selAddrAlias" ).val() == "manual"){
					addressId = "02";
				} else {
					addressId = $( "#selAddrAlias" ).val();
				}
				
				var selItem = CurrentView.ui.getAddressInfo( addressId );
				var isPrimary = null == selItem ? "0" : selItem.isPrimary;
				var postCode = $("#postcode").val();
				var address2 =  $.trim( $("#addr").val() );
				var address3 = $.trim( $( "#addrDetail" ).val() );
				
				var u_name = $.trim( $( "#u_name").val() );
				var ziptype = null; 
				
				if (null != selItem){
					ziptype = selItem.zipType;
					if ( CurrentView.ZIPTYPE != null ) {
						ziptype = CurrentView.ZIPTYPE;
						if(  selItem.zipType != CurrentView.ZIPTYPE ) 
							addressId="02"; //신규 주소
					}
					
					if ( postCode != selItem.postCode1 ) 
						addressId="02"; //신규 주소
					if ( address2 != selItem.address2 ) 
						addressId="02"; //신규 주소
					if ( address3 != selItem.address3 ) 
						addressId="02"; //신규 주소
					
					var oldHpno01 = Ns.Util.getPhoneNumber( selItem.phone1, "1" );
					var oldHpno02 = Ns.Util.getPhoneNumber( selItem.phone1, "2" );
					var oldHpno03 = Ns.Util.getPhoneNumber( selItem.phone1, "3" );
					var oldHpno = oldHpno01 + oldHpno02 + oldHpno03;
					if ( hpno != oldHpno )  
						addressId="02"; //신규 주소
				} else {
					if ( CurrentView.ZIPTYPE != null ) {
						ziptype = CurrentView.ZIPTYPE;
					}
				}
				
				var itemNumber = CurrentView.SERVICE_PRODs.itemNumber.replace( ",", "" );
				
				var invoke = {
					catentryId : CurrentView.SERVICE_PRODs.catentryId,
					partNumber : CurrentView.SERVICE_PRODs.partNumber,
					itemNumber : itemNumber, 
					busChnId : "MOBIL",	//Const.getBusChannelId(),	// 20150223 정헌태 수정 - 김민지 선생님 요청올 하드 코딩
					counsPgmCd : ( CurrentView.SERVICE_PRODs.pgmcd==null ) ? "" : CurrentView.SERVICE_PRODs.pgmcd,
					counsBrdctDate : ( CurrentView.SERVICE_PRODs.brdctDate==null ) ? "" : CurrentView.SERVICE_PRODs.brdctDate,
					counsBrdctCnnlCd : ( CurrentView.SERVICE_PRODs.brdctCnnlCd==null ) ? "" : CurrentView.SERVICE_PRODs.brdctCnnlCd,
					csMallId : csMallId,
					orderPrgrsTypeCd : CurrentView.SERVICE_PRODs.orderPrgrsTypeCd,
					goodsTypeCd : CurrentView.SERVICE_PRODs.goodsTypeCd,
					cstTypeCd : CurrentView.SERVICE_PRODs.costTypeCd,
					userId : USERINFO.userId(),
					isprimary : isPrimary,
					address_id :  addressId,
					txtRecvName : $.trim( $( "#receiver" ).val() ),
					zipType : ziptype,
					postCode1 : postCode,
					address1 : address2,
					address2 : address3,
					txtRecvMobile1 : hpno01,
					txtRecvMobile2 : hpno02,
					txtRecvMobile3 : hpno03,
					sbRecvPhoneReqTmYYYY : sbRecvPhoneReqTmYYYY,
					sbRecvPhoneReqTmMM : sbRecvPhoneReqTmMM,
					sbRecvPhoneReqTmDD : sbRecvPhoneReqTmDD,
					sbRecvPhoneReq : $("#selTime").val(),
					custDstnClssfNum : 1,
					orderQty : 1,
					productNm : CurrentView.SERVICE_PRODs.productName
				};
				
				// 20150325 정헌태 추가 - vdn_cd (모바일 주문 접수 응대 번호) 데이터 다음 API 호출 시 추가
				if (mainCtrl.isOsApp()){	// App
					invoke.vdn_cd = "54101";
				} else {	// Web
					invoke.vdn_cd = "54102";
				}
				
				// 20150930 정헌태 추가 - 최종 상담신청전 로그인 여부를 한번더 체크하도록 추가
				if (undefined == invoke.userId || invoke.userId == "" || undefined == USERINFO.userId() || USERINFO.userId() == ""
						|| false == mainCtrl.checkLogonStatus() 
						|| (USERINFO.logonType() == '' || USERINFO.logonType() == LOGON_TYPE.nonmember)){
					Ns.Popup.alert( "로그인이 필요한 상품입니다.");
					
					return;
				}
				
				//방송소개상품
				if(CurrentView.SERVICE_PRODs.orderPrgrsTypeCd == "800" ){
					//해당값 초기화
					invoke.txtRecvName = "";
					invoke.txtRecvMobile = "";
					invoke.txtRecvMobile2 = "";
					invoke.txtRecvMobile3 = "";
					
					invoke.cmdType = 10;
					invoke.txtRecvName    = u_name;  //이용자정보
					invoke.txtRecvMobile  = telno01; //입력받은 연락처1
					invoke.txtRecvMobile2 = telno02; //입력받은 연락처2
					invoke.txtRecvMobile3 = telno03; //입력받은 연락처3
					
					invoke.ldinTelD 	  = txtHP01;	//이용자정보 연락처1
					invoke.ldinTelH 	  = txtHP02;	//이용자정보 연락처2
					invoke.ldinTelNO 	  = txtHP03;    //이용자정보 연락처3
					
					invoke.itemNumber 	  = itemNumber; //단품코드 
					
				}else{
					invoke.cmdType = 4;
				}
				
				tran.callWCSJsonTran( 'NSItemDetailAjax', invoke, function( data ) {
					var okFuc = function() {
						navi.setMovePointer(-1);
						var param = {};
						param.tabIndex = 4;	
						param.monthly = "";
						param.pageidx = "";
						
						param = $.extend(param, CurrentView.logDatas);
						
						mainCtrl.navigate( "M_U1121100M", param ); 
						return false;
					};
					var cancelFuc = function() {
						navi.setMovePointer(-1);
						mainCtrl.gotoProductDetail( { partNumber : CurrentView.SERVICE_PRODs.partNumber } );
						return false;
					};
					//방송소개상품 : 완료시 마이페이지가 아니라 상품 상세로 보내기
					var ok_otherFuc = function() {
						navi.setMovePointer(-1);
						mainCtrl.gotoProductDetail( { partNumber : CurrentView.SERVICE_PRODs.partNumber } );
						return false;
					};
					
					var response = data.jsonData;
					//방송소개상품 : orderPrgrsTypeCd : 800
					if ( response.result == "true" && CurrentView.SERVICE_PRODs.orderPrgrsTypeCd == "800" ) {
						var msg = "고객님의 상담신청이 정상적으로 접수되었습니다.";
						Ns.Popup.confirm(msg, ok_otherFuc, "확인");
					}else if ( response.result == "true" && CurrentView.SERVICE_PRODs.orderPrgrsTypeCd != "800") {
						var msg = "고객님의 상담신청이 정상적으로 접수되었습니다.";
						Ns.Popup.confirm(msg, okFuc, cancelFuc, "상담내역확인", "확인");
					} else {
						var msg = "상담신청을 접수하지 못했습니다.";
						Ns.Popup.alert( msg );
					}
				}, null, function(){}, true  );
			},
			
		}, //end data
		
		
		//ui 관련 함수를 정의한다.
		ui : {
			
			setDefaultProductInfo : function() {
				var brandTag = '';
				if ( CurrentView.SERVICE_PRODs.brandName != '' ) {
					brandTag = '['+CurrentView.SERVICE_PRODs.brandName+'] ';
				}
				
				var txtProductName =  brandTag + CurrentView.SERVICE_PRODs.productName + "(상품번호 :  " + CurrentView.SERVICE_PRODs.productNo + ")";
				$("#txtProductName").html( txtProductName ); 
				
				var imUrl = Ns.Util.getImageUrl(CurrentView.SERVICE_PRODs.partNumber, "P");
				$("#imgProductImage").attr( "src", imUrl );
				
				var noImageUrl = Const.NO_IMAGE_URL + 'noimage_O.jpg';
				$("#imgProductImage").attr( "onerror", "this.onerror=null;this.src='"+noImageUrl+"'" );
				
				var price = Ns.Util.insertCommas( CurrentView.SERVICE_PRODs.offerPrice * CurrentView.SERVICE_PRODs.quantity );
				
				//2017.12.14 TV 무형상품 상담예약 개선
				if((CurrentView.SERVICE_PRODs.dispTypeCd == '40' || CurrentView.SERVICE_PRODs.dispTypeCd == '45' || CurrentView.SERVICE_PRODs.dispTypeCd == '56' || CurrentView.SERVICE_PRODs.dispTypeCd == '58') && CurrentView.SERVICE_PRODs.busChnId == 'TV'){
					$("#txtPrice").html( "상담접수상품" );
					$('.unit').text('');
				//2017.12.14 TV 무형상품 상담예약 개선 - 여행
				} else if ((CurrentView.SERVICE_PRODs.dispTypeCd == '35') && CurrentView.SERVICE_PRODs.busChnId == 'TV') {
					$("#txtPrice").html( "상담접수상품" );
					$('.unit').text('');
					$("#txtQuantity").html( "[수량 : " + CurrentView.SERVICE_PRODs.quantity + "개]" );
				} else {
					$("#txtPrice").html( price );
					$("#txtQuantity").html( "[수량 : " + CurrentView.SERVICE_PRODs.quantity + "개]" );
				}	
				
				$("#txtUserName").html( USERINFO.userName() ); //홍길동(남자)
				if (USERINFO.hpNo() == ""){
					$("#txtHP").html("-");	// 연락처
				} else {
					$("#txtHP").html(USERINFO.hpNo());	// 연락처
				}
				
				var selectDay = Ns.Date.calcDate('', 0, 0, 0, 0, 'yyyy-MM-dd');
				$("#year").val( selectDay );

				// 20141030 정헌태 수정 - 핸드폰일 경우 안내문구 변경
				if (CurrentView.SERVICE_PRODs.dispTypeCd == "57"){
					$("#noticePhone").show();
				} else {
					$("#noticeRental").show();
				}
				
				//dispTypeCd가 57, 59 일때에는 기존 문구를 사용한다.
				if((CurrentView.SERVICE_PRODs.dispTypeCd == '35' || CurrentView.SERVICE_PRODs.dispTypeCd == '40' || CurrentView.SERVICE_PRODs.dispTypeCd == '45' || CurrentView.SERVICE_PRODs.dispTypeCd == '56' || CurrentView.SERVICE_PRODs.dispTypeCd == '58') && CurrentView.SERVICE_PRODs.busChnId == 'TV' ){	
					$("#AgreeForce1").hide();
					$("#AgreeForce2").hide();
					$("#chkAgreeForce1").parents("label").show();
					$("#chkAgreeForce2").parents("label").show();
				} else {
					$("#AgreeForce1").show();
					$("#AgreeForce2").show();
					$("#chkAgreeForce1").parents("label").hide();
					$("#chkAgreeForce2").parents("label").hide();
				}
				
				//방송소개상품인 경우 항목 감추기 
				if(CurrentView.SERVICE_PRODs.orderPrgrsTypeCd == "800" ){
					$("#delivery").hide();
					$("#MobilePhone").hide();
					$("#user_tel").hide(); //
					$("#delivery_confirm").hide(); //
					$("#receive_person").hide(); //
					$("#calling_date").hide(); //
					$("#user_name").show();
					$("#callphone").show();
					$("#mypage_notice").hide();
					$("#callname").show();
					/*$("#noticeBroadcastProducts").show();
					$("#noticeProducts").hide();*/
				}else{
					$("#delivery").show();
					$("#MobilePhone").show();
					$("#user_tel").show();
					$("#delivery_confirm").show();
					$("#receive_person").show();
					$("#calling_date").show();
					$("#user_name").hide();
					$("#callphone").hide();
					$("#callname").hide();
				}
			},
			 
			setShippingAddressList : function( data ) {
				var addressList = data.jsonData.addressList;
				if( addressList == undefined && addressList.length == 0 ) {
					return false;
				}
				
				CurrentView.ADDRESS_INFO = addressList;
				
				var optionTxt = "";
				optionTxt += '<option value="">배송지 선택</option>';
				for( var k=0; k<addressList.length; k++) {
					var items = addressList[k];
					
					if ( Number( items.isPrimary ) == 1 ) { //
						optionTxt += '<option value="'+items.address_id+'" selected>'+items.nickName+'</option>';
						CurrentView.ui.setAddressInfo( items );
					} else {
						optionTxt += '<option value="'+items.address_id+'">'+items.nickName+'</option>';
					}
				}
				
				$("#selAddrAlias").append( optionTxt );
			},
			
			
			setAddressInfo : function( addrInfo ) {
				$("#btnPostCode").hide();
				$("#receiver").val( addrInfo.lastName ).prop("readonly", true); //받으시는 분. 
				$("#postcode").val( addrInfo.zipCode );
				$("#addr").val( addrInfo.address2 );
				$("#addrDetail").val( addrInfo.address3 );
				
				if( addrInfo.phone1 == null ) 
					addrInfo.phone1 = "";
				$("#hpno").val( addrInfo.phone1.replace(/-/g, "") ).prop("readonly", true);
				
				if ( Ns.Util.isNull($("#hpno").val())) {
					$("#hpno").val( USERINFO.hpNo().replace(/-/gi,"") );
				}
			},
			
			//select 선택햇을 대.. 
			getAddressInfo : function( addressId ) {
				for( var i=0; i<CurrentView.ADDRESS_INFO.length; i++ ) {
					var items = CurrentView.ADDRESS_INFO[i];
					if( items.address_id == addressId ) 
						return items;
				}
				return null;
			},
			
			setPostCode : function( postinfo ) {
				mainCtrl.hidePostCodeWindows();
				if ( postinfo == null ) 
					return false;
				
				$("#postcode").val( postinfo.postno );
				$("#addr").val( postinfo.address );
				$("#addrDetail").val(postinfo.addrDetail);
				
				if ( postinfo.addrFlag == "L")
					CurrentView.ZIPTYPE = 100;
				else 
					CurrentView.ZIPTYPE = 200;
			},
			
			//필수 입력 정보를 체크한다. 
			checkEssentialInputValues : function() {
				var addrAlias 	= $( "#selAddrAlias" ).val();
				var receiver 	=  $.trim( $( "#receiver" ).val() );
				var postcode 	= $("#postcode").val();
				var addr 		= $.trim( $("#addr").val() );
				var addrDetail 	= $.trim( $( "#addrDetail" ).val() );
				var hpno 		= $.trim( $( "#hpno" ).val() );
				var telno 		= $.trim( $( "#telno" ).val() );
				var u_name 		= $.trim( $( "#u_name" ).val() );
				
				var hpno01 = Ns.Util.getPhoneNumber( hpno, '1' ); 
				var hpno02 = Ns.Util.getPhoneNumber( hpno, '2' );
				var hpno03 = Ns.Util.getPhoneNumber( hpno, '3' );
				
				//연락처항목
				var telno01 = Ns.Util.getPhoneNumber( telno, '1' ); 
				var telno02 = Ns.Util.getPhoneNumber( telno, '2' ); 
				var telno03 = Ns.Util.getPhoneNumber( telno, '3' ); 
				
				//방송소개상품 유무에 따라 분기
				if(CurrentView.SERVICE_PRODs.orderPrgrsTypeCd == "800"){
					if ( u_name == "" || u_name.length < 2) {
						Ns.Popup.alert( "이름을 정확히 입력하세요." );
						return false;
					}
					
					if( telno == "" || telno.length<2 ) {
						Ns.Popup.alert( "연락처를 입력하세요." );
						return false;
					} 
				}else{
					if ( hpno01.length != 3 || ( hpno02.length!=3 && hpno02.length!=4) || hpno03.length!=4 ) {
						Ns.Popup.alert( "휴대전화번호를 정확히 입력하세요." );
						return false;
					}
					else if( receiver == "" || receiver.length<2 ) {
						Ns.Popup.alert( "받으시는 분 이름을 정확히 입력하세요." );
						return false;
					} else if( postcode == "" ) {
						Ns.Popup.alert( "우편번호를 검색하세요." );
						return false;
					} else if( addr == "" ) {
						Ns.Popup.alert( "배송지를 입력하세요." );
						return false;
					} else if( addrDetail == "" ) {
						Ns.Popup.alert( "배송지 상세주소를 입력하세요." );
						return false;
					}
					
					var timeType = $("#selTime").val();
					var currTime = Ns.Date.getDateParse( Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd') + " 00:00:00");
					var maxDate = Ns.Date.getDateParse( Ns.Date.calcDate( '', 0, 0, 0, 7, 'yyyy-MM-dd') + " 00:00:00");
					var selTime = null;
					
					if ( timeType != "40" ) {
						
						if ($.trim($("#year").val()) == ""){
							Ns.Popup.alert( "전화요청일을 정확히 입력하세요." );
							return false;
						}
						
						selTime = Ns.Date.getDateParse( $("#year").val() + " 00:00:00"  );
						var interval = selTime.getTime() - currTime.getTime();
						var intervalMax = selTime.getTime() - maxDate.getTime();
						
						if ( interval < 0 ) {
							Ns.Popup.alert( "전화요청일을 정확히 입력하세요." );
							return false;
						}
						
						if ( intervalMax > 0 ) {
							Ns.Popup.alert( "상담신청일기준 7일 이후 날짜는 선택 할 수 없습니다." );
							return false;
						}
						
						if ($("#year").val().replace(/-/gi, "") == Ns.Date.getNowDate()){
							if (timeType == "20" && Number(Ns.Date.getNowTime(), 10) >= 120000){
								Ns.Popup.alert( "오전/오후 구분을 정확히 선택하세요.<br/>금일 정오가 지나 오전을 선택하실 수 없습니다." );
								return false;
							}
						}
					}
				}
				return true;
			},
			
			initAddressInfo : function() {
				CurrentView.ZIPTYPE = null;
				$("#btnPostCode").show();
				$( "#selAddrAlias" ).val( "" );
				$( "#receiver" ).val( "" ).prop("readonly", false);
				$( "#hpno" ).val( "" ).prop("readonly", false);
				$("#postcode").val( "" );
				$("#addr").val( "" );
				$( "#addrDetail" ).val( "" );
			}
			
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//새 배송지 입력.
			onclick_newShippingAddress : function() {
				$("#selAddrAlias").val("");
				$("#selAddrAlias").change();
			},
			
			//우편번호 찾기. 
			onclick_postCode : function() {
				CurrentView.data.getPostCode();
			},
			
			onclick_CancelCunsult : function() {
				mainCtrl.onBackButtonPressed();
			},
			
			onclick_OKCunsult : function() {
				if((CurrentView.SERVICE_PRODs.dispTypeCd == '35' || CurrentView.SERVICE_PRODs.dispTypeCd == '40' || CurrentView.SERVICE_PRODs.dispTypeCd == '45' || CurrentView.SERVICE_PRODs.dispTypeCd == '56' || CurrentView.SERVICE_PRODs.dispTypeCd == '58') && CurrentView.SERVICE_PRODs.busChnId == 'TV' ){	
					if(CurrentView.SERVICE_PRODs.orderPrgrsTypeCd == "800" ){
		 				if($('#chkAgreeForce1').is(':checked') == false){
							Ns.Popup.alert('개인정보 제공 및 관련 동의에 체크해주세요.');
							return false;
						}
					} else {
		 				if($('#chkAgreeForce2').is(':checked') == false){
							Ns.Popup.alert('개인정보 제공 및 관련 동의에 체크해주세요.');
							return false;
						}					
					}	
				}
				var isTrue = CurrentView.ui.checkEssentialInputValues();
				if ( !isTrue ) 
					return false;
				
				CurrentView.data.executeCunsulting();
			},
			
			//배송지 확인 change select
			onchange_selAddrAlias : function() {
				CurrentView.ZIPTYPE = null;
				
				var addressId = $(this).val();
				if( addressId == "" ) {
					CurrentView.ui.initAddressInfo();
					return;
				}
				
				var items = CurrentView.ui.getAddressInfo(addressId);
				if ( items != null ) 
					CurrentView.ui.setAddressInfo( items );
			},
			
			onchange_selTime : function() {
				var sel = $(this).val();
				if ( sel == "40" ) {
					$("#year").hide();
				} else {
					$("#year").show();
				}
			},
			
			onclick_moveDetail : function(){
				var param = new Object();
				param.partNumber = CurrentView.SERVICE_PRODs.partNumber;
				param = $.extend(param, CurrentView.logDatas);
				
				mainCtrl.gotoProductDetail(param);
			}
			
		} // end event
};