
/* JavaScript content from js/goods/M_G2641000M.js in folder common */
/* 
 *	공동구매 워너 선택하기
 *  ID : M_G2641000M

 *  1. 상품상세 - 공동구매 owner 선택하기.
*/

//page 컨트롤 클래스
SUBVIEW = {
		coBuyId : null,
		callbackFuc : null, //callback function..
		
		init : function( params ) {
			this.callbackFuc = params.callback;
			
			this.initializeComponent();
			this.onLoad( params.coBuyId );
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function( coBuyId ) {
			this.coBuyId = coBuyId;
			this.data.getGroupOwnerList();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getGroupOwnerList : function() {
				var invoke = {
					coBuyId : SUBVIEW.coBuyId,
					pageId : 1
				};
				
				tran.callWCSJsonTran( 'GroupPurchaseInfoReal', invoke, SUBVIEW.ui.setOwnerList, null, function() {}, true  );
			}

		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			setOwnerList : function( data ) {
				var gpOwnerList = data.msg.GroupPurchases.productBean;
				
				if ( gpOwnerList == undefined || gpOwnerList.length == 0 ) {
					var noMsg = mainCtrl.getNoResultDataHtml("공동구매 Owner 정보가 없습니다.");
					$("#ulOwnerListArea").html( noMsg );
					return false;
				}
				
				var htmlTxt = "";
				for( var i=0; i<gpOwnerList.length; i++ ) {
					var items = gpOwnerList[i];
					var imgUrl = Const.WCS_IMAGE_CUST_SRV + "/" + items.attchUrl + items.fileNm;
					var noImgUrl = Const.NO_IMAGE_URL + 'noimage_O.jpg';

					//ownerStartDate , ownerEndDate
					var imgTag = '<a href="javascript:;"><img src="' + imgUrl + '" onerror="this.onerror=null;this.src=\''+noImgUrl+ '\'" alt="Owner이미지" /></a>';
					htmlTxt += Ns.Util.stringFormat('\
						<li class="items">\
							<div class="wrap">\
								<div class="thumbnail">\
									{0}\
								</div>\
								<div class="field">\
									<div class="title">\
										<p class="mb10"><span class="id_name">{1}</span> <span class="sale_state">판매현황:<em>{2}</em>개</span></p>\
										<p>{3}</p>\
										<div class="button-area content-fixed">\
											<span>\
												<a href="javascript:SUBVIEW.event.selectOwner(\'{4}\', \'{5}\', \'{6}\', \'{7}\', \'{8}\');" class="btn theme-a rate-a x-small"><span>선택</span></a>\
											</span>\
										</div>\
									</div>\
								</div>\
							</div>\
						</li>', imgTag, items.emailId, items.saleQty, items.intro, items.usersId, items.emailId, items.intro, items.saleQty, imgUrl );
				}
				
				$("#ulOwnerListArea").html( htmlTxt );
			}
		
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//owner 선택. 
			selectOwner : function( usersId, emailId, intro, count, imgUrl  ) {
				var ownerinfo = {
					usersId : usersId,
					emailId : emailId,
					intro : intro,
					count : count,
					imgUrl : imgUrl,
					isSubView : true
				};
				
				SUBVIEW.callbackFuc( ownerinfo );
			}
		}
}; 