
/* JavaScript content from js/guide/M_F1170000M.js in folder common */

/* 
 *	페이지 ID : M_F1170000M
 *  1. 개인정보처리방침
 *  
 *  
*/

CurrentView = {
	tabId : "PRIVATE",
	
	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	initializeComponent : function() {
		$("#ulPrivateGuideTabArea li a").unbind().bind( "click", this.event.onclick_ulPrivateGuideTabArea );
	},
	
	onLoad : function(params) {
		this.data.getPrivateGuide('');
	},
	
	data : {
		getPrivateGuide : function(startdd) {
			var invokeParams = { startdd : startdd };
			tran.callWCSJsonTran( 'PrivateContentGuideReal', invokeParams, CurrentView.ui.setPrivateGuide );
		}
	},
	
	//이벤트 관련 함수 정의
	event : {
		onclick_ulPrivateGuideTabArea : function() {
			var id = $(this).attr('id');
			if( CurrentView.tabId == id ) return;
			
			CurrentView.tabId = id;
			
			$("#sectionPrivateGuideInfo").hide();
			$("#sectionYouthGuideInfo").hide();
			
			if( id == "PRIVATE" ) {
				$("#sectionPrivateGuideInfo").show();
			} else if( id == "YOUTH" ) {
				$("#sectionYouthGuideInfo").show();
			}
			
			var ulPrivateGuideTabArea = $("#ulPrivateGuideTabArea li");
			ulPrivateGuideTabArea.removeClass("active");
			$("#" + id).parent().addClass("active");
		}
	},
	
	//ui interaction 관련 함수 정의 
	ui : {
		setPrivateGuide : function( data ) {
			try{
				var privateGuide = data.msg.root.PerInfo;
				var youthGuide = data.msg.root.TeenAger;
				var curDate = data.msg.root.STARTDD;
				var dateList = data.msg.root.AgreementsList;
				var dateListHtml = '<div class="enforcement_date">';
				var titleName = '';
				
//				if(curDate < '2016-07-28') $('#txtSubHeaderTitle').html('개인정보취급방침');
//				else $('#txtSubHeaderTitle').html('개인정보처리방침');
				
				for(var i = 0; i < dateList.length; i++){
					if(dateList[i].DISPLAYSTARTDD < '2016-07-28') titleName = '개인정보취급방침';
					else titleName = '개인정보처리방침';
					
					dateListHtml += '<p><a href="javascript:CurrentView.data.getPrivateGuide('+dateList[i].STARTDD+');"><span>'+dateList[i].DISPLAYSTARTDD+' 시행 '+titleName+'</span></a></p>';
				}
				dateListHtml += '</div>';
				
				if( privateGuide != null && privateGuide != "" ) {
					$('#divPrivateGuideInfo').html(Ns.Util.htmlDecode(privateGuide));
					if(dateList.length > 0){
						$('#divPrivateGuideInfo').append(dateListHtml);
					}
					$('#btnTop').trigger('click');
				}
				
				if( youthGuide != null && youthGuide != "" ) {
					$('#sectionYouthGuideInfo').html(Ns.Util.htmlDecode(youthGuide));
				}
			}
			catch(e){
				CurrentView.util.regErrlog('setPrivateGuide', e);
				$('#sectionPrivateGuideInfo').hide();
				$('#sectionYouthGuideInfo').hide();
			}
		}
	},
	
	util : {
		regErrlog : function(funcNm, e){
			Ns.Util.viewConsoleLog("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
		}
	}
};