
/* JavaScript content from js/initOptions.js in folder common */

/*
 * Licensed Materials - Property of IBM
 * 5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

//Uncomment the initialization options as required. For advanced initialization options please refer to IBM Worklight Information Center
 
var wlInitOptions = {

		// # Should application automatically attempt to connect to Worklight Server on application start up
		// # The default value is true, we are overriding it to false here.

		updateSilently : true,	
		
		//khkim82 20170421 - init 401 server error로 false 수정.  WL.Client.connect와 connectOnStartup 중 하나만 사용해야함
		connectOnStartup : true,
		
		//khkim82 20170421 - to the Xcode console for iOS, to LogCat for Android, and to the developer console for desktop browsers
		//DEV- true / REAL -  false (default: true)
		//enableLogger : false, 
		
		showCloseOnRemoteDisableDenial: false,
		//# The callback function to invoke in case application fails to connect to Worklight Server
		onConnectionFailure: function (response){

			WL.SimpleDialog.show("NS홈쇼핑",Messages.unresponse_host,[
			                                                       {text:"확인",handler:function(){WL.App.close();}},
			                                                       {text:"다시 로드",handler:function(){WL.Client.reloadApp();}}
			                                                       ]);
		},
		// # Worklight server connection timeout
		timeout: 60000,

		// # How often heartbeat request will be sent to Worklight Server
		heartBeatIntervalInSecs: -1,

		// # Application Logger, see documentation more details.
		// - enabled - Determines if log messages are shown (true) or not (false)
		// - level - Logging level, most to least verbose: 'debug', 'log', 'info', 'warn', 'error'
		// - stringify - Turn arguments into strings before printing to the console (true) or not (false)
		// - pretty - Turns JSON Objects into well spaced and formated strings.
		// - tag.level - Append a level tag (e.g. [DEBUG] Message) to the message.
		// - tag.package - Append the package tag  (e.g. [my.pkg] Message) to the message if there is one
		// - whitelist - Array of package names to show (e.g ['my.pkg'])
		// - blacklist - Array of package names to ignore (e.g ['my.pkg'])
		// - nativeOptions - Object with configuration specific to underlying native behavior (Android and IOS only)
		/*	logger : {enabled: true, level: 'debug', stringify: true, pretty: false,
    		tag: {level: false, pkg: true}, whitelist: [], blacklist: [], nativeOptions: {capture: false}},*/

		// # The options of busy indicator used during application start up
		busyOptions: {text: "잠시만 기다려 주세요."},
		showIOS7StatusBar : false,
		//원격 서버에서 Access Disabled사용시 호출하는 부
		onErrorRemoteDisableDenial:  function (message, downloadLink) {

			WL.Logger.debug("message의 값 >>" + message);
			WL.Logger.debug("downloadLink의 값 >>" + downloadLink);
			
			WL.SimpleDialog.show( Messages.appName,message,[{text:"업데이트",handler:function(){WL.App.openURL(downloadLink);WL.App.close();}}]);
		},
};

/**
 * WL Client connect onSuccess override
 */
var WL_UUID = "";
var __wlClientConnect = WL.Client.connect;
WL.Client.connect = function(options) {
	__onSuccess = options.onSuccess;
	options.onSuccess = function(transport) {
		__onSuccess(transport);
		WL_UUID = transport.responseJSON.userInfo.myserver.userId;
	};
	return __wlClientConnect(options);
};

/**
 * WL.BusyIndicator override (안드로이드에서 무조건 사용해야하는 버그 패치)
 */
WL.BusyIndicator = WLJSX.Class.create({
	initialize : function(containerId, options) {},
	show : function() {},
	hide : function() {},
	isVisible : function() { return false; }
});

/**
 * WL.setLocalization override (다국어)
 * 내부 worklight 자체 language별 message 사용하지 않음 
 */
var __deviceLocale = WL.Utils.setLocalization;
WL.Utils.setLocalization = function(){};


/**
 *  DirectUpdate 커스터마이징
 *  - 푸시가 왔을 때 Direct Update가 발생되면 WL.Client.reload가 실행되기 때문에 푸시에서 온 url이 증발하게 됨
 *  - Localstorage에 임시 저장 후 정상 추출시 삭제 처리
 */
var env = WL.Client.getEnvironment();
if( env == "iphone" || env == "ipad" || env == "android" ){
	var directUpdateCustomListener = {
			url : "",
			onStart : function( totalSize ){
				wl_directUpdateChallengeHandler.logger.trace('defaultListener.onStart: totalSize=' + totalSize);
				
				/**
				 * 2016-12-08 정승진 : 모바일 인트로 이미지를 hide 처리
				 * */
				if (env == "android")
					cordova.exec(null, null, "NSPlugins", "splashHide", []);
				
				this.url = location.href;
				
				// 1.리소스 다운로드 팝업을 호출 한다
				if (env == "android") {
					cordova.exec(null, null, "NSPlugins", "progressbarActStart", []);
				} else {
					cordova.exec(null, null, "NSPlugins", "callWLUPgradeFunc", ["UpdateStart",null]);
				}
			},

			onProgress : function( status, totalSize, completedSize ){
				wl_directUpdateChallengeHandler.logger.trace('defaultListener.onProgress: status=' + status + '; totalSize' + totalSize + '; completedSize' + completedSize);
				
				// 2.리소스 다운로드 진행률을 팝업에 표시 한다
				var per = ( completedSize / totalSize ) * 100;
				if (env == "android") {
					var date = new Date();	// 일자별 노출이미지 변경
					var year = date.getFullYear().toString();
					var month = date.getMonth()+1 < 10 ? "0" + (date.getMonth()+1).toString() : (date.getMonth()+1).toString();
					var day = date.getDate() < 10 ? "0" + date.getDate().toString() : date.getDate().toString();
					var imgPath = year.concat(month, day)+".png"
					
					cordova.exec(null, null, "NSPlugins", "progressbarLoading", [{"value":per,"url":imgPath}]);
				} else {
					cordova.exec(null, null, "NSPlugins", "callWLUPgradeFunc", ["UpdateProgress","null",  status,totalSize,completedSize]);
				}
			},

			onFinish : function( status ){
				// 3.다운로드가 완료 되면 다운로드 팝업을 hide 시킨다
				if (status != 'FAILURE_ALREADY_IN_PROGRESS'){
					wl_directUpdateChallengeHandler.logger.trace('defaultListener.onFinish: hideProgressDialog');
					if (env == "android") {
						cordova.exec(null, null, "NSPlugins", "progressbarActFinish", []);
					}
				}

				if ( status == "SUCCESS" ){
					if (env == "android") {
						localStorage.setItem(STORAGE_KEY.PUSH_DIRECT_UPDATE, this.url);
						WL.Client.reloadApp();
					} else {
						localStorage.setItem(STORAGE_KEY.PUSH_DIRECT_UPDATE, this.url);
						cordova.exec(null, null, "NSPlugins", "callWLUPgradeFunc", ["UpdateFinish","null"]);
						WL.Client.reloadApp();
					}
				} else if (status=="CANCELED") {
					WL.Client.__setConnectingState(false);
					wl_directUpdateChallengeHandler.submitFailure();
				} else {
					WL.SimpleDialog.show(WL.ClientMessages.directUpdateErrorTitle, WL.ClientMessages.directUpdateErrorMessage, [ {
						text : WL.ClientMessages.reload,
						handler : WL.Client.reloadApp
					}, {
						text : WL.ClientMessages.close,
						handler : function () {
							WL.Client.__setConnectingState(false);
							wl_directUpdateChallengeHandler.submitFailure();
						}
					} ]);
				}
			}
	};

	wl_directUpdateChallengeHandler.handleDirectUpdate = function( directUpdateData, directUpdateContext ){
		directUpdateContext.start(directUpdateCustomListener);
	};
	//end if
}

if (window.addEventListener) {
	window.addEventListener('load', function() { WL.Client.init(wlInitOptions); }, false);
} else if (window.attachEvent) {
	window.attachEvent('onload',  function() { WL.Client.init(wlInitOptions); });
}

Const.setDefaultServerURL( Const.IS_SERVER_STATE );