
/* JavaScript content from js/layout/eSpotTmpl/broad/broad.js in folder common */
/*
 *  방송 VOD espot 
 */

	// 레이아웃 페이지내에 Espot 영역 정의
	pageLayoutEspot.broad = {

		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		REMAINING_TIME : null,
		VIDEO_HEIGHT : 0,
		isPlay     : false,
			
		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			$("#" +  pageLayoutEspot.broad.targetId).find("#broadItems").attr("id", pageLayoutEspot.broad.targetId + "Items");	
			
			//2018-02-19 ssong 스크롤시 재생 멈춤
			$(window).off("scroll.stopVideo").on("scroll.stopVideo", this.event.onscroll_stopVideo);
			this.ui.espotDraw(params.espotData[0]);
		},
		
		onLoad : function(){
			// Video 영역 높이 값을 넓이 값에 맞춰서 설정
			var mWidth = $('#broad_mainItem').outerWidth();
			pageLayoutEspot.broad.VIDEO_HEIGHT  =  mWidth / 2;
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			/**
			 * callRealTimeData : 신규 VOD 데이터를 받아오기 위해 pageLayoutComm 공통 함수를 호출
			 */
			callRealTimeData : function(){
							
				var targetEspotId 	= pageLayoutEspot.broad.espotFullName;
				var categoryId 		= pageLayoutEspot.broad.categoryId;
				var callbackFunc 	= function(data) {
					data = eval("data.msg[0]._" + pageLayoutEspot.broad.espotFullName + "[0]");
					pageLayoutEspot.broad.ui.espotDraw(data);
				}
				pageLayoutComm.callNSmobileNoCacheData( targetEspotId, categoryId , callbackFunc);				
			}
		}, // end data functions.
		
		ui : {
			espotDraw  : function (data){
				var TotalOrgan = data.TotalOrgan;
				var RelatedPrdtSize = data.TotalOrgan.length;
				var RelatedPrdtList = data.TotalOrgan;
				if (RelatedPrdtSize > 0 ){
					pageLayoutEspot.broad.ui.setVODarea(TotalOrgan, RelatedPrdtSize, RelatedPrdtList);
				} else {
					$("#" + pageLayoutEspot.broad.targetId).hide();
				}
			},
			
			/**
			 * setVODarea : Shop+ VOD 영역 셋팅
			 * @param TotalOrgan : 현재 방송 상품
			 * @param RelatedPrdtSize : 연관(멀티코드) 상품 개수
			 * @param RelatedPrdtList : 연관(멀티코드) 상품 리스트
			 */
			setVODarea : function(TotalOrgan, RelatedPrdtSize, RelatedPrdtList){
				if (TotalOrgan.length == 0 || TotalOrgan.length == undefined){
					$("#" + pageLayoutEspot.broad.targetId).hide();
					return;
				}
				
				var objTotalOrganF = TotalOrgan[0];
				
				var imageShopplusProduct = Ns.Util.getImageUrl( objTotalOrganF.partNumber, "X6" );
				if(imageShopplusProduct.indexOf("undefined") >= 0){
					imageShopplusProduct = "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg";
				}
				// 방송상품 이미지
				$("#broad_livePrcImg").attr("src", imageShopplusProduct);
				
				// 방송상품 이미지 클릭 이벤트 
				$("#broad_liveGoProduct").off().on("click", function(){
					pageLayoutEspot.broad.event.taggingGA("상품상세", pageLayoutEspot.broad.GOODSNAME);
					mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
				})
				$('#broad_livePrcImg').off().on('error', function(){
					$(this).attr("src", "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg");
				});
				
				// 재생 버튼 클릭 이벤트
				$("#broad_btnShowLive").off().on("click", function(){
					pageLayoutEspot.broad.event.onclick_btnPlayVOD();
				})
				
				// 방송상품 상품명 세팅
				$("#broad_liveProductName").html(objTotalOrganF.goodsName);
				
				// 방송상품 판매가 세팅
				if ( objTotalOrganF.dispTypeCd=='57' || objTotalOrganF.dispTypeCd =='45' ) {
					$("#broad_liveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.mmRntalPrc ));
				} else {
					$("#broad_liveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.salePrice ));
				}

				// 방송끝나는 시간 저장
				var endTime = objTotalOrganF.time.split( "~" );
				pageLayoutEspot.broad.REMAINING_TIME = endTime[1];
				// 방송 남은 시간 설정
				pageLayoutEspot.broad.ui.setVODRemainTime();
				
				// 동영상 재생 중 상품 바로 주문을 위한 상품정보 셋팅
				pageLayoutEspot.broad.PARTNUMBER = objTotalOrganF.partNumber;
				pageLayoutEspot.broad.MULTICD = objTotalOrganF.multiCd;
				pageLayoutEspot.broad.BUSCHNID = objTotalOrganF.busChnId;
				pageLayoutEspot.broad.GOODSNAME = objTotalOrganF.goodsName;
				
				// 편성표 클릭 이벤트
				$("#broad_btnTVSchedule").off().on("click", function(){
					var invokeParams = {};
					invokeParams.partNumber = objTotalOrganF.partNumber;
					invokeParams.catalogId = Const.getMarketingCatalogId('tv');
					pageLayoutEspot.broad.event.taggingGA("편성표", "");
					mainCtrl.navigate( 'M_G2232120M', invokeParams);
				});
				
				// 상품명 및 바로주문 버튼 클릭 이벤트
				if(objTotalOrganF.orderYn == "Y" || objTotalOrganF.orderYn == "T_EN" || objTotalOrganF.orderYn == "D_EN"){
					// 1. 현재 판매 가능한 상품일 경우
					// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 상품 상세로 이동
					$("#broad_liveProductName, #broad_btnOrderNow").off().on("click", function(){
						pageLayoutEspot.broad.event.taggingGA("상품상세", pageLayoutEspot.broad.GOODSNAME);
						mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
					});
				} else {
					// 2. 현재 판매 불가능한 상품일 경우
					// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 얼럿 노출
					$("#broad_btnOrderNow, #broad_liveProductName").off().on("click", function(){
						Ns.Popup.alert("일시품절된 상품입니다.");
					});
				}
				// 연관상품이 있을 경우, 바로주문 버튼 클릭 시 연관상품 영역 노출
				if (RelatedPrdtSize > 1){
					$("#broad_btnOrderNow").off().on("click", function(){
						pageLayoutEspot.broad.event.taggingGA("바로주문", pageLayoutEspot.broad.GOODSNAME);
						$("#broad_ulBroadRelatedPrdtList").slideToggle("normal");
					});
				}
				
				
				// 연관상품 영역 세팅
				if (RelatedPrdtSize > 1){
					for (var i = 0; RelatedPrdtList.length > i; i++){
						var info = RelatedPrdtList[i];

						// 상품이미지
						var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
						var imageUrl = Ns.Util.getImageUrl( info.partNumber, "H" );
						RelatedPrdtList[i].aRelatedPrdtList = "<img src=\"" + imageUrl + "\" alt=\"상품 이미지\" onerror=\"this.src='" + noImageUrl + "'\" />";
						
						// 상품명
						var productName = Ns.UI.getProductName( info.brandCd, info.brand_kor_nm, info.itncatentrynm, info.headCopy );
						RelatedPrdtList[i].dtRelatedPrdtList = productName;
						
						// 무이자
						RelatedPrdtList[i].IfiRelatedPrdtList = "<span class=\"head\">무이자 </span><span class=\"mon\">&nbsp;4</span>";
						if(info.ifiValue != 0 && info.ifiValue != null){
							RelatedPrdtList[i].IfiRelatedPrdtList = "<span class=\"head\">무이자 </span><span class=\"mon\">&nbsp;" + info.ifiValue + "</span>";
		            	} else {
		            		RelatedPrdtList[i].IfiRelatedPrdtList = "";
		            	}
						
						// 판매금액
						var offerPrice;
						if ( info.dispTypeCd=='57' || info.dispTypeCd =='45' ) {
							offerPrice = Ns.Util.insertCommas( info.mmRntalPrc );
						} else {
							offerPrice = Ns.Util.insertCommas( info.priceofferprice );
						}			
						RelatedPrdtList[i].priceRelatedPrdtList = offerPrice + "<span class=\"won\">원</span>"; 
						
						// 상품별 주문하기 버튼
						var btnName = "주문하기";
						if ( !pageLayoutEspot.broad.event.checkRealProduct(info.dispTypeCd) ){
							// 무형상품일 경우
							btnName = "상담하기";
						}
						if(info.orderYn == "N"){
							// 주문 불가 상품일 경우
							btnName = "일시품절";
						}
						RelatedPrdtList[i].btnRelatedPrd = btnName;
					}
					
					Ns.UI.drawList(RelatedPrdtList, "broad_ulBroadRelatedPrdtList");	// 화면 그리기
					
					// 클릭 이벤트 처리
					$("li[name='liRelatedPrdtList']").off().on("click", function(){
						var objThisData = $(this).data("data");
						if(objThisData.commonData.orderYn == "Y" || objThisData.commonData.orderYn == "T_EN" || objThisData.commonData.orderYn == "D_EN"){
							pageLayoutEspot.broad.event.taggingGA("바로주문_상세보기", objThisData.commonData.itncatentrynm);
							mainCtrl.gotoProductDisplay(objThisData.commonData.partNumber);
						}else{
							if(pageLayoutEspot.broad.data.orderYn == "N"){
								Ns.Popup.alert("일시품절된 상품입니다.");
							}
						}
					});
				}
			},
			
			/**
			 * setVODRemainTime : Shop+ 방송 남은 시간을 표기해 줄 1초 간격 Timer를 설정한다.
			 */
			setVODRemainTime : function( ) {
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(pageLayoutEspot.broad.ui.sOnTimer, 1000);
			},
			
			/**
			 * sOnTimer : Shop+ 방송 남은 시간을 화면에 그려준다.
			 */
			sOnTimer : function() {
				if( pageLayoutEspot.broad.REMAINING_TIME == null ) {
					mainCtrl.checkTimerObject(); //destory timer
					$("#" + pageLayoutEspot.broad.targetId).hide();
					return false;
				}
				
				var timeLimit = Ns.Date.getPeriodDate( pageLayoutEspot.broad.REMAINING_TIME, "json" );
				var hour = timeLimit.hour;
				var min = timeLimit.minute;
				var second = timeLimit.second;
				
				if ( timeLimit.hour == 23 && timeLimit.minute == 59 && timeLimit.second >= 30 ) {
					pageLayoutEspot.broad.REMAINING_TIME = null;
					mainCtrl.checkTimerObject(); //destory timer					
					$("#broad_liveTimer").html( "" );
					pageLayoutEspot.broad.data.callRealTimeData(); //신규 방송 상품 조회
				} else {
					$("#broad_liveTimer").html( hour + ':'+ min +':'+ second );
				}
			}
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			
			/**
			 * onclick_btnPlayVOD : VOD 재생 버튼 클릭 이벤트
			 */
			onclick_btnPlayVOD : function(data) {
				var msg = "3G/LTE 환경에서 이용시 요금제에 따라<br />데이터 요금이 부가될 수 있습니다.<br/>시청하시겠습니까?";
				
				var okFuc = function() {
					//navi.setMovePointer(-1);
					pageLayoutEspot.broad.event.videoPlay();
					return false;
				};
				var cancelFuc = function() {
					//navi.setMovePointer(-1);
					return false;
				};
				
				pageLayoutEspot.broad.event.taggingGA("방송보기", pageLayoutEspot.broad.GOODSNAME);
				
				// 2018-02-14 ssong confirm 변경
				var targetId = "broad_mainItem";
				Ns.Popup.confirmLayer( msg, okFuc, cancelFuc, "예", "아니오", targetId);
				//Ns.Popup.confirm( msg, okFuc, cancelFuc, "예", "아니오", null, null, null);
			},
			
			/**
			 * click_cancle : VOD 재생 화면 닫기 버튼 클릭 이벤트
			 */
			click_cancle : function(){
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
				var html = '';
				html += '<p class="onair splus"><span class="broad_timer" id="broad_liveTimer">00:00:00</span></p>';
				html += '<p class="mov_btn" id="broad_btnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
				html += '<div class="etv_title"><dl><dt><a href="javascript:;" id="broad_liveProductName" class="ui-link"></a></dt>';
				html += '<dd class="tag item-feature interest-free"><span class="price" id="broad_liveOfferPrice">0</span><span class="won" id ="broad_OptionRepresentative">원</span></dd></dl></div>';	
				html += '<a href="javascript:;" id="broad_liveGoProduct" class="go_item">상품상세로 바로가기</a>';
				html += '<div>';
				html += '	<img id="broad_livePrcImg" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
				html += '</div>';
				
				$('#broad_mainItem').html(html);
				pageLayoutEspot.broad.data.callRealTimeData();
			},
			
			/**
			 * onclick_btnFullView : VOD 전체보기 버튼 클릭 이벤트
			 */
			onclick_btnFullView : function(obj){
				if(pageLayoutEspot.broad.isPlay){ //플레이중
					$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
					document.getElementById('vid').pause();
					mainCtrl.bVideoplay = false;
				}
				Ns.Native.openShopplusFullVOD('LIVE', '', '');
			},
			
			/**
			 * onclick_btnVideoToggle : VOD 재생/일시정지 버튼 클릭 이벤트
			 */
			onclick_btnVideoToggle : function(){
				pageLayoutEspot.broad.isPlay = document.getElementById('vid').paused;
				mainCtrl.bVideoplay = false;
				pageLayoutEspot.broad.event.videoToggle();
			},
			
			
			videoToggle : function(){
				if (!pageLayoutEspot.broad.isPlay) {
					$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
					document.getElementById('vid').pause();
					mainCtrl.bVideoplay = false;
				} else {
					$("#pnp_btn").attr("src", "./images/common/pause_btn.png");
					document.getElementById('vid').play();
					mainCtrl.bVideoplay = true;
					// 재생할 경우 버튼 레이어 제거
					$('.video').fadeOut();
					$('.pause_layer').fadeOut();
				}
			},
			
			/**
			 * onclick_btnGotoProductDisplay : 상품상세 바로가기 버튼 클릭 이벤트
			 */
			onclick_btnGotoProductDisplay : function() {
				pageLayoutEspot.broad.event.taggingGA("상품상세", pageLayoutEspot.broad.GOODSNAME);
				mainCtrl.gotoProductDisplay(pageLayoutEspot.broad.PARTNUMBER, pageLayoutEspot.broad.MULTICD, pageLayoutEspot.broad.BUSCHNID);
			},
			
			/**
			 * onclick_fade : VOD 재생화면 터치 시 버튼 fade in 또는 fade out
			 */
			onclick_fade : function(){
				$('.video').fadeIn();
				$('.pause_layer').fadeIn();
				setTimeout( function(){
					// 일시 정지 일 때도 fadeOut
					$('.video').fadeOut();
					$('.pause_layer').fadeOut();
				}
				, 2000 );
			},

			/**
			 * videoPlay : VOD 재생 영역 추가 및 재생
			 */
			videoPlay : function() {
				var html = '';
				html += '<div class="pause_layer" style="display: none;">';
				html += '<p class="pauseclose_btn"><img onclick="pageLayoutEspot.broad.event.click_cancle();" src="./images/common/pauseclose_btn.png" alt=""></p>';
				html += '   <ul>';
				html += '    <li class="fullsc_btn"><img onclick="pageLayoutEspot.broad.event.onclick_btnFullView(this);" src="./images/common/fullscreen_btn.png" alt=""></li>';
				html += '    <li class="pause_btn"><img id="pnp_btn" onclick="pageLayoutEspot.broad.event.onclick_btnVideoToggle();" src="./images/common/pause_btn.png" alt=""></li>';
				html += '    <li class="viewitem_btn"><img onclick="pageLayoutEspot.broad.event.onclick_btnGotoProductDisplay();" src="./images/common/go_btn.png" alt=""></li>';
				html += '   </ul>';
				html += '  </div>';
				if (mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb") {// 안드로이드
					html += '	<video id="vid" onclick="pageLayoutEspot.broad.event.onclick_fade()" autoplay  poster="./images/back.png" preload="true" webkit-playsinline style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35);width:100%;">';
				} else {// 아이폰
					html += '	<video id="vid" onclick="pageLayoutEspot.broad.event.onclick_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline>';
				}
				html += '		<source src="http://shoppstream.nsmall.com:1935/IPHONE/mobile.m3u8" type="video/mp4" >';
				html += '		Your browser does not support the video tag.';
				html += '	</video>';
	
				$('#broad_mainItem').html(html);
	
				$('#broad_mainItem').css('background-image');
				$('#broad_mainItem').css('padding', '0px');
				$('#vid').css('height', pageLayoutEspot.broad.VIDEO_HEIGHT);
				if (mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb") {// 안드로이드
	
				} else {
					$('#vid').css('height', pageLayoutEspot.broad.VIDEO_HEIGHT);
				}
				
				document.getElementById('vid').play();
				pageLayoutComm.isPlayEspot = "broad";
				pageLayoutEspot.broad.isPlay = true;
				mainCtrl.bVideoplay = true;
			},			

			
			playToggle : function(isplay) {
				if( mainCtrl.VIEW_TYPE == 'ios' ){
					document.getElementById('vid').load();                    
                    document.getElementById('vid').play();
                    if(!isplay) {
                        document.getElementById('vid').volume = 0;
                        document.getElementById('vid').muted = true;
                    }
                    setTimeout( function(){
                               document.getElementById('vid').volume = 1;
                               document.getElementById('vid').muted = false;
                               pageLayoutEspot.broad.isPlay = isplay;
                               pageLayoutEspot.broad.event.videoToggle();
                               }, 1000 );
                } else {
                    pageLayoutEspot.broad.isPlay = isplay;
                    pageLayoutEspot.broad.event.videoToggle();
                }
			},
			
			/**
			 * checkRealProduct : 유형상품 체크
			 * @param disp : dispTypeCd
			 */
			checkRealProduct : function(disp) {
				if (disp == "10" || disp == "15" || disp == "20" || disp == "25" || disp == "30" || disp == "60") {
					// 유형상품
					return true;
				} else {
					// 무형상품
					return false;
				}
			},
			
			/*
			 * 2018-02-19 ssong
			 * 스크롤시 동영상 재생 멈춤
			 */
			onscroll_stopVideo : function(){
				var scr_now = $(window).scrollTop() + $('#pageHeader').outerHeight();
				if(scr_now > $(".main_tabs").offset().top){
					if(mainCtrl.bVideoplay == true){
						if($("#vid").length>0){
							$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
							document.getElementById('vid').pause();
						}
					}
					mainCtrl.bVideoplay = false;
				}
			},
			
			taggingGA : function(tagLable, tagInfo){
				pageLayoutComm.taggingGA(pageLayoutEspot.broad.espotFullName, [tagLable,tagInfo] , "shop");
			}
		
		} // end event functions.
	};
	
	
	
