
/* JavaScript content from js/layout/eSpotTmpl/broad/broadbox.js in folder common */
/**
 * 	방송 LIVE espot
 */

	// 레이아웃 페이지내에 Espot 객체 정의
	pageLayoutEspot.broadbox = {
			
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		//탭선택 플래그 //true면 생방송, false면 VOD
		selectedOnAIRTab : null,
		
		//방송 타이머
		REMAINING_TIME : null,
		VOD_REMAINING_TIME : null,

		//비디오 사이즈
		VIDEO_WIDTH : 0,
		VIDEO_HEIGHT : 0,
		VIDEO_Before : 0,
		VIDEO_After : 0,
		intervalId : 0,
		isPlay     : false,
		
		//NSTalk  관련 --- 
		ROLLING_IDX : 0,
		ROLLING_MAX : 0, 
		//-----------------
		
		//생방송 데이터
		liveData : null,
		TotalOrgan : null,
		
		//vod 데이터 유무 플래그
		vodTabFlag : true,
	
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			//2018-02-19 ssong 스크롤시 재생 멈춤
			$(window).off("scroll.stopVideo").on("scroll.stopVideo", this.event.onscroll_stopVideo);
			$("#liveOnbWrap div ul li a").unbind().bind( "click", this.event.onclick_liveOnbWrap);
			
			pageLayoutEspot.broadbox.ui.sizeChk();
		},
		
		onLoad : function(){
			mainCtrl.bVideoplay = false;
			pageLayoutEspot.broadbox.data.callBroadData("ONAIR");
		},
		
		//데이터 관련 함수 정의
		data : {
			
			// 방송 정보 조회
			callBroadData : function (reqGubun){
				var targetEspotId 	= pageLayoutEspot.broadbox.espotFullName;
				var categoryId 		= pageLayoutEspot.broadbox.categoryId;
				var gubun 			= reqGubun || "ONAIR";
				var callbackFunc 	= function(data) {
					if(data.msg && data.msg[0]["_"+pageLayoutEspot.broadbox.espotFullName]){
						data = data.msg[0]["_"+pageLayoutEspot.broadbox.espotFullName][0];
					}
					
					if(gubun == "ONAIR"){
						pageLayoutEspot.broadbox.ui.setOnAirArea(data);
					} else if(gubun == "SHOPPLUS"){
						pageLayoutEspot.broadbox.ui.setShopPlusArea(data);
					}
				
				}
				pageLayoutComm.callNSmobileNoCacheData( targetEspotId, categoryId , callbackFunc, { gubun : gubun });
			},
			
			//현재 방송중인 아이템을 가져온다. 
			getCurrentLiveItem : function (data) {
				try {
					var idx = -1;
					var msecPerMinute = 1000 * 60;
					var msecPerHour = msecPerMinute * 60;
					var currentTime = Ns.Date.getDateParse( Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss' ) );
					
					if(data.length > 0){
						var etime = Ns.Date.getDateParse02( data[0].endDttm );
		
						idx = 0;
		
						var interval = ( etime.getTime() - currentTime.getTime() );
						var hours = Math.floor( interval / msecPerHour );
		
						interval = interval - (hours * msecPerHour );
						var minutes = Math.floor(interval / msecPerMinute );
						
						try{
							Ns.Native.transText(data[0].goodsName);
						} catch (e) {
							pageLayoutEspot.broadbox.util.regErrlog('getCurrentLiveItem', e);
							idx = -1;
						}
		
						interval = interval - (minutes * msecPerMinute );
						var seconds = Math.floor(interval / 1000 );
						var today = new Date();
		
						pageLayoutEspot.broadbox.REMAINING_TIME = new Date( today.getFullYear(), today.getMonth(), today.getDay(), hours,  minutes,  seconds );
					}
				}
				catch(e){
					pageLayoutEspot.broadbox.util.regErrlog('getCurrentLiveItem', e);
					idx = -1;
				}

				return idx;
			},
			
			//유형상품 체크
			checkRealProduct : function( disp ){
				
				var retrunFlag = false;
				if(disp == "10" || disp == "15" ||
						disp == "20" || disp == "25" ||
						disp == "30" || disp == "60"){
					retrunFlag = true;
				}
				
				return retrunFlag;
			},
			
		},
		
		// ui 관련 함수 정의
		ui : {
			// 방송 영역 크기 설정
			sizeChk : function(){
				var mWidth = $('#broadbox_mainItem').outerWidth();
				var divided = mWidth / 16;
				pageLayoutEspot.broadbox.VIDEO_WIDTH = mWidth;
				pageLayoutEspot.broadbox.VIDEO_HEIGHT  = divided * 8;
				
				var pageHeaderH = $('#pageHeader').outerHeight();
				var menuH = $('#banner_area').outerHeight();
				var mainItemH = $('#broadbox_mainItem').outerHeight();
				pageLayoutEspot.broadbox.VIDEO_Before = pageHeaderH + menuH + mainItemH;
			},
			
			
			/* 해당 espot이 상품리스트 등 반복 랜더링이 있는 경우 선언 및 호출
			 페이징 처리시 레이아웃 공통에서 아래 함수 명으로 호출되므로 
			 페이징 처리가 있는 espot이라면 필수!*/
			espotDraw : function(){
				// 필요시 구현
			},
			
			
			//방송 남은 시간 설정
			setTimer : function( ) {
				mainCtrl.checkTimerObject();
				
				var timer;
				if(pageLayoutEspot.broadbox.selectedOnAIRTab){
					timer = pageLayoutEspot.broadbox.ui.setOnAirTimer;	// 생방
				} else if(pageLayoutEspot.broadbox.selectedOnAIRTab == false){
					timer = pageLayoutEspot.broadbox.ui.setShopPlusTimer;	// 샵플
				}
				mainCtrl.m_timer = setInterval(timer, 1000);
			},
			
			//생방송 타이머
			setOnAirTimer : function() {
				var addZero = function(number){
					return parseInt(number, 10) < 10 ? "0" + number : number;
				};

				pageLayoutEspot.broadbox.REMAINING_TIME.setSeconds( pageLayoutEspot.broadbox.REMAINING_TIME.getSeconds() - 1 );

				var hour = addZero( pageLayoutEspot.broadbox.REMAINING_TIME.getHours() );
				var min = addZero( pageLayoutEspot.broadbox.REMAINING_TIME.getMinutes() );
				var second = addZero( pageLayoutEspot.broadbox.REMAINING_TIME.getSeconds() );

				if ( hour == 23 && min == 59 && second == 59 ) {
					$("#liveTimer").html( '' );
					mainCtrl.checkTimerObject(); // destroy timer
					pageLayoutEspot.broadbox.isRefresh = true;
					pageLayoutEspot.broadbox.data.callBroadData("ONAIR"); //새로운 방송 조회
				} else {
					$("#liveTimer").html( hour + ':'+ min +':'+ second );
				}
			},
			
			//샵플러스 타이머
			setShopPlusTimer : function() {
				if( pageLayoutEspot.broadbox.REMAINING_TIME == null ) {
					mainCtrl.checkTimerObject(); //destory timer
					return false;
				}

				var timeLimit = Ns.Date.getPeriodDate( pageLayoutEspot.broadbox.REMAINING_TIME, "json" );
				var hour = timeLimit.hour;
				var min = timeLimit.minute;
				var second = timeLimit.second;
				
				if ( timeLimit.hour == 23 && timeLimit.minute == 59 && timeLimit.second == 59 ) {
					pageLayoutEspot.broadbox.REMAINING_TIME = null;
					$("#vodLiveTimer").html( "" );
					mainCtrl.checkTimerObject(); //destory timer					
					pageLayoutEspot.broadbox.data.callBroadData("SHOPPLUS"); //새로운 방송 조회
				} else {
					$("#vodLiveTimer").html( hour + ':'+ min +':'+ second );
				}
			},

			/**
			 * TV 방송상품 영역
			 */
			setOnAirArea : function(data){
				try {
					var onAirInfo = data.OnAirInfo;
					if( !onAirInfo || onAirInfo.TotalOrgan.length == 0 ) {
						//VOD 데이터는 있는지 확인한다.
						pageLayoutEspot.broadbox.liveData = null;
						pageLayoutEspot.broadbox.selectedOnAIRTab = null;
						pageLayoutEspot.broadbox.data.callBroadData("SHOPPLUS");
						return false;
					}
					
					pageLayoutEspot.broadbox.liveData = onAirInfo;
					pageLayoutEspot.broadbox.selectedOnAIRTab = true;
					
					if(pageLayoutEspot.broadbox.vodTabFlag){
						$("#liveOnbWrap").show();
						$("#ONAIRarea, #ONAIRTABSarea").show();
						$("#ONShopLive, #ONShopLiveTABSarea").hide();
					}else{
						$("#liveOnbWrap").hide();
						$("#ONAIRarea, #ONAIRTABSarea").show();
						$("#ONShopLive, #ONShopLiveTABSarea").hide();
					}
					pageLayoutEspot.broadbox.ui.drawOnAirArea(onAirInfo.TotalOrgan, onAirInfo.RelatedPrdtList);
					
					
				} catch(e) {
					pageLayoutEspot.broadbox.util.regErrlog('setLiveTVShopping', e);
					$("#" + pageLayoutEspot.broadbox.targetId).hide();
					$("#broadbox_btnNSTalkQuestion").hide();
					return false;
				}
			},
			
			//TV영역 그리기
			drawOnAirArea : function(TotalOrgan, RelatedPrdtList){
				try{
					if (TotalOrgan.length == 0){
						pageLayoutEspot.broadbox.selectedOnAIRTab = null;
						$("#ONAIRarea, #ONAIRTABSarea").hide();
						$("#broadbox_btnNSTalkQuestion").hide(); //17.08.04 nsTalk 롤링 메시지 숨기기 - sypark
						return;
					}
					
					var idx = pageLayoutEspot.broadbox.data.getCurrentLiveItem( TotalOrgan );
					if ( idx < 0 ) {
						$("#ONAIRarea, #ONAIRTABSarea").hide();
						$("#broadbox_btnNSTalkQuestion").hide(); //17.08.04 nsTalk 롤링 메시지 숨기기 - sypark
						return false;
					}
					
					var objTotalOrganF = TotalOrgan[0];
	
					//nstalk 롤링 호출 시작 -ymma
					mainCtrl.nstalk_goodId = objTotalOrganF.partNumber;
					mainCtrl.nstalk_startdtm = objTotalOrganF.startDttm;
					mainCtrl.nstalk_enddtm = objTotalOrganF.endDttm;
					
					pageLayoutEspot.broadbox.ui.set_NsTalkRolling_Ajax(); //1. 처음 한번 실행 (초기 조회)
					pageLayoutEspot.broadbox.ui.set_NsTalkRolling();       //2. 10초 마다 실행 (두번째부터 실행)
					//nstalk 롤링 호출 끝 -ymma
					
					var imageTvProduct = Ns.Util.getImageUrl( objTotalOrganF.partNumber, "X6" );
					if(imageTvProduct.indexOf("undefined") >= 0){
						imageTvProduct = "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg";
					}
					
					// 방송상품 이미지 세팅
					// 와이드형(X6) 세팅 에러시 H형 세팅 또 에러시 에러이미지 세팅
					$("#livePrcImg").attr("imgType", "X6")
					$("#livePrcImg").attr("src", imageTvProduct);
					$('#livePrcImg').off().on('error', function(){
						if ($(this).attr("imgType") == "X6"){
							$(this).addClass("thumbanil_small");
							$(this).attr("imgType", "H");
							$(this).attr("src", Ns.Util.getImageUrl( objTotalOrganF.partNumber, "H" ));
						} else if ($(this).attr("imgType") == "H"){
							$(this).removeClass("thumbanil_small");
							$(this).attr("imgType", "NO");
							$(this).attr("src", "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg");
						}			
					});
					
					// 방송상품 이미지 클릭 이벤트 
					$("#liveGoProduct").off().on("click", function(){
						mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
					})
					
					// 플레이 버튼 클릭 이벤트
					$("#btnShowLive").off().on("click", function(){
						pageLayoutEspot.broadbox.event.onclick_btnShowLive();
					})
					
					// 방송상품 상품명 세팅
					var productName = "";
					if (objTotalOrganF.brandName != "" && objTotalOrganF.brandName != "미정의"){
						productName += "[objTotalOrganF.brandName] "
					} 
					$("#liveProductName").html(objTotalOrganF.goodsName);
					
					if((objTotalOrganF.dispTypeCd == "35" || objTotalOrganF.dispTypeCd == "40" || objTotalOrganF.dispTypeCd == "45" || objTotalOrganF.dispTypeCd == "56" || objTotalOrganF.dispTypeCd == "58") && objTotalOrganF.busChnId == 'TV') {
						$("#OptionRepresentative").text("");
						$("#liveOfferPrice").html("상담접수상품");
					} else if ( objTotalOrganF.dispTypeCd=='57' || objTotalOrganF.dispTypeCd =='45' ) {
						$("#liveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.mmRntalPrc ));
					} else {
						$("#liveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.priceofferprice ));
					}	
					
					//방송 남은 시간 설정.
					pageLayoutEspot.broadbox.ui.setTimer();
					
					pageLayoutEspot.broadbox.PARTNUMBER = objTotalOrganF.partNumber;
					pageLayoutEspot.broadbox.MULTICD = objTotalOrganF.multiCd;
					pageLayoutEspot.broadbox.BUSCHNID = objTotalOrganF.busChnId;
					pageLayoutEspot.broadbox.TotalOrgan = objTotalOrganF;
					
					// tv편성표 클릭 이벤트
					$("#btnTVSchedule").off().on("click", function(){
						var invokeParams = {};
						invokeParams.partNumber = objTotalOrganF.partNumber;
						invokeParams.catalogId = Const.getMarketingCatalogId('tv');
						
						mainCtrl.navigate( 'M_G2222120M', invokeParams);
					});
					
					//17.08.04 ns talk 클릭 이벤트 - sypark
					$("#broadbox_btnNSTalkQuestion").off().on("click", function(){
						//NsTalk 페이지 이동 function
						pageLayoutEspot.broadbox.event.onclick_btnGotoNsTalk();
					});
					
					
					// 상품명 및 바로주문 버튼 클릭 이벤트
					if(objTotalOrganF.orderYn == "Y" || objTotalOrganF.orderYn == "T_EN" || objTotalOrganF.orderYn == "D_EN"){
						// 1. 현재 판매 가능한 상품일 경우
						// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 상품 상세로 이동
						$("#liveProductName, #broadbox_btnOrderNow").off().on("click", function(){
							mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
						});
					} else {
						// 2. 현재 판매 불가능한 상품일 경우
						// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 얼럿 노출
						$("#liveProductName, #broadbox_btnOrderNow").off().on("click", function(){
							Ns.Popup.alert("일시품절된 상품입니다.");
						});
					}
					// 연관상품이 있을 경우, 바로주문 버튼 클릭 시 연관상품 영역 노출
					if (RelatedPrdtList.length > 0) {
						pageLayoutEspot.broadbox.ui.setRelatedPrdtList(objTotalOrganF, RelatedPrdtList);
						$("#broadbox_btnOrderNow").off().on("click", function(){
							$("#ulRelatedPrdtList").slideToggle("normal");
						});
					}
					
				} catch(e) {
					pageLayoutEspot.broadbox.util.regErrlog('drawOnAirArea', e);
					return false;
				}
				
			},
			
			/**
			 * 연관상품 리스트 영역
			 * @param totalOrgan : 방송대표상품
			 * @param relatedPrdt : 연관상품
			 */
			setRelatedPrdtList : function(TotalOrgan, RelatedPrdtList) {
				try{
					var drawTargetId = "ulRelatedPrdtList";
					var tempRelatedPrdtList = [];
					
					for (var i = 0; RelatedPrdtList.length + 1 > i ; i++){
						var info;
						if (i == 0) {
							info = TotalOrgan;
						} else {
							if(RelatedPrdtList[i-1].commonData){
								info = RelatedPrdtList[i-1].commonData;
							} else {
								info = RelatedPrdtList[i-1];
							}
						}
						tempRelatedPrdtList[i] = info;
						
						// 상품이미지
						var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
						var imageUrl = Ns.Util.getImageUrl( info.partNumber, "H" );
						tempRelatedPrdtList[i].aRelatedPrdtList = "<img src=\"" + imageUrl + "\" alt=\"상품 이미지\" onerror=\"this.src='" + noImageUrl + "'\" />";
						
						// 상품명
						var productName = Ns.UI.getProductName( info.brandCd, info.brand_kor_nm, info.itncatentrynm, info.headCopy );
						tempRelatedPrdtList[i].dtRelatedPrdtList = productName;
						
						// 무이자
						tempRelatedPrdtList[i].IfiRelatedPrdtList = "<span class=\"head\">무이자 </span><span class=\"mon\">&nbsp;4</span>";
						if(info.ifiValue != 0 && info.ifiValue != null){
							tempRelatedPrdtList[i].IfiRelatedPrdtList = "<span class=\"head\">무이자 </span><span class=\"mon\">&nbsp;" + info.ifiValue + "</span>";
						} else {
							tempRelatedPrdtList[i].IfiRelatedPrdtList = "";
						}
						
						// 판매금액
						var offerPrice;
						if ( info.dispTypeCd=='57' || info.dispTypeCd =='45' ) {
							offerPrice = Ns.Util.insertCommas( info.mmRntalPrc );
						} else {
							offerPrice = Ns.Util.insertCommas( info.priceofferprice );
						}			
						tempRelatedPrdtList[i].priceRelatedPrdtList = offerPrice + "<span class=\"won\">원</span>";
						
						// 상품별 주문하기 버튼
						var btnName = "주문하기";
						if ( !pageLayoutEspot.broadbox.data.checkRealProduct(info.dispTypeCd) ){
							// 무형상품일 경우
							btnName = "상담하기";
						}
						if(info.orderYn == "N"){
							// 주문 불가 상품일 경우
							btnName = "일시품절";
						}
						tempRelatedPrdtList[i].btnRelatedPrd = btnName;
					}
					
					if(pageLayoutEspot.broadbox.selectedOnAIRTab == false){
						drawTargetId = "vodUlRelatedPrdtList";
					}
					
					Ns.UI.drawList(tempRelatedPrdtList, drawTargetId);	// 화면 그리기
					
					// 클릭 이벤트 처리
					$("li[name='liRelatedPrdtList']").off().on("click", function(){
						var objThisData = $(this).data("data");
						if(objThisData.orderYn == "Y" || objThisData.orderYn == "T_EN" || objThisData.orderYn == "D_EN"){
							mainCtrl.gotoProductDisplay(objThisData.partNumber);
						} else {
							if(objThisData.orderYn == "N"){
								Ns.Popup.alert("일시품절된 상품입니다.");
							}
						}
					});
				} catch(e) {
					pageLayoutEspot.broadbox.util.regErrlog('setRelatedPrdtList', e);
					return false;
				}
			},
			
			/*
			 * 샵플러스 방송 영역
			 */
			setShopPlusArea : function(data){
				var TotalOrgan;
				var RelatedPrdtList;
				if(data && data.TotalOrgan){
					TotalOrgan = data.TotalOrgan;
					RelatedPrdtList = data.TotalOrgan.splice(1);
				}
				
				if(TotalOrgan && TotalOrgan.length > 0){
					
					if(pageLayoutEspot.broadbox.selectedOnAIRTab){
						$("#liveOnbWrap").show();
					} else if (pageLayoutEspot.broadbox.selectedOnAIRTab == null){
						$("#liveOnbWrap").hide();
					}
					
					pageLayoutEspot.broadbox.selectedOnAIRTab = false;
					$("#ONAIRarea, #ONAIRTABSarea").hide();
					$("#ONShopLive, #ONShopLiveTABSarea").show();
					pageLayoutEspot.broadbox.ui.drawShopPlusArea(TotalOrgan, RelatedPrdtList);
				} else {
					
					if(pageLayoutEspot.broadbox.selectedOnAIRTab){
						$("#liveOnbWrap").hide();
						$("#ONAIRarea, #ONAIRTABSarea").show();
						$("#ONShopLive, #ONShopLiveTABSarea").hide();
					} else {
						pageLayoutEspot.broadbox.selectedOnAIRTab = null;
						$("#liveOnbWrap").hide();
						$("#ONAIRarea, #ONAIRTABSarea").hide();
						$("#ONShopLive, #ONShopLiveTABSarea").hide();
					}
					$("#liveOnbWrap").hide();
				}
				
			},
			
			/*
			 * 샵플러스 방송 영역
			 */
			drawShopPlusArea : function(TotalOrgan, RelatedPrdtList){
				
				try{

					var objTotalOrganF = TotalOrgan[0];
					// 방송상품 이미지
					$("#vodLivePrcImg").attr("src", Ns.Util.getImageUrl( objTotalOrganF.partNumber, "X6" ));
					
					// 방송상품 이미지 클릭 이벤트 
					$("#vodLiveGoProduct").off().on("click", function(){
						mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
					})
					
					$('#vodLivePrcImg').off().on('error', function(){
						$(this).attr("src", "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg");
					});
					
					// 재생 버튼 클릭 이벤트
					$("#vodBtnShowLive").off().on("click", function(){
						pageLayoutEspot.broadbox.event.onclick_btnPlayVOD();
					})
					
					// 방송상품 상품명 세팅
					$("#vodLiveProductName").html(objTotalOrganF.goodsName);
					
					// 방송상품 판매가 세팅
					if ( objTotalOrganF.dispTypeCd=='57' || objTotalOrganF.dispTypeCd =='45' ) {
						$("#vodLiveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.mmRntalPrc ));
					} else {
						$("#vodLiveOfferPrice").html(Ns.Util.insertCommas( objTotalOrganF.salePrice ));
					}

					// 방송끝나는 시간 저장
					var endTime = objTotalOrganF.time.split( "~" );
					pageLayoutEspot.broadbox.REMAINING_TIME = endTime[1];
					// 방송 남은 시간 설정
					pageLayoutEspot.broadbox.ui.setTimer();
					
					// 동영상 재생 중 상품 바로 주문을 위한 상품정보 셋팅
					pageLayoutEspot.broadbox.PARTNUMBER = objTotalOrganF.partNumber;
					pageLayoutEspot.broadbox.MULTICD = objTotalOrganF.multiCd;
					pageLayoutEspot.broadbox.BUSCHNID = objTotalOrganF.busChnId;
					
					// 편성표 클릭 이벤트
					$("#vodBtnTVSchedule").off().on("click", function(){
						var invokeParams = {};
						invokeParams.partNumber = objTotalOrganF.partNumber;
						invokeParams.catalogId = Const.getMarketingCatalogId('tv');
						
						mainCtrl.navigate( 'M_G2232120M', invokeParams);
					});

					// 바로주문 버튼 세팅
					if(objTotalOrganF.orderYn == "Y" || objTotalOrganF.orderYn == "T_EN" || objTotalOrganF.orderYn == "D_EN"){
						// 1. 현재 판매 가능한 상품일 경우
						// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 상품 상세로 이동
						$("#vodLiveProductName, #vodBtnOrderNow").off().on("click", function(){
							mainCtrl.gotoProductDisplay(objTotalOrganF.partNumber);
						});
					} else {
						// 2. 현재 판매 불가능한 상품일 경우
						// 연관상품이 없을 경우, 상품명 및 바로주문 버튼 클릭 시 얼럿 노출
						$("#vodLiveProductName, #vodBtnOrderNow").off().on("click", function(){
							Ns.Popup.alert("일시품절된 상품입니다.");
						});
					}
					// 연관상품이 있을 경우, 바로주문 버튼 클릭 시 연관상품 영역 노출
					if (RelatedPrdtList.length > 0){
						pageLayoutEspot.broadbox.ui.setRelatedPrdtList(objTotalOrganF, RelatedPrdtList);
						$("#vodBtnOrderNow").off().on("click", function(){
							$("#vodUlRelatedPrdtList").slideToggle("normal");
						});
					}
				} catch(e) {
					pageLayoutEspot.broadbox.util.regErrlog('drawShopPlusArea', e);
					return false;
				}
				
			},
			
			
			/**
			 * NStalk API 조회
			 */
			set_NsTalkRolling_Ajax : function(){
				$.ajax({
						url         	: "http://" + Const.NSTALK_NSMALL_PATH + "/api/messages",
						data        	: {
											  code : mainCtrl.nstalk_goodId
											, count : 5
											, start_date : mainCtrl.nstalk_startdtm
											, end_date : mainCtrl.nstalk_enddtm
										  },
						crossDomain	: true,
						type        	: 'POST',
						dataType   		: 'json',
						success     	: function(data){
							if (data.code == "0"){
								//== 화면셋팅 - sypark
								pageLayoutEspot.broadbox.ui.set_NsTalkApiObject(data);
							}else{
								
							}
						},
						error: function() {
							//17.08.23 ajax 실패 처리 hide 처리-- sypark
							$("#broadbox_btnNSTalkQuestion").hide();
							$("#broadbox_talkMsgCnt").html('0');
							$("#broadbox_rollingMsg").html('ajax통신 실패..');
						}
				});
			}, 
			
			/**
			 * NStalk API 조회후 받아온 obj 셋팅 - sypark
			 */
			set_NsTalkApiObject : function(data) {
				var infoBankObj = data;
				
				var innerHtml ="";
				//== api에서 받아온 obj 체크 
				if ( infoBankObj != null && infoBankObj.count != 0 && infoBankObj.talk_enable == true ) {
					$("#broadbox_btnNSTalkQuestion").show();
					var messageList = infoBankObj.messages;
					for( var i = 0; i < messageList.length; i++ ) {
						innerHtml += "<li>";
						innerHtml += "	<a>";
						innerHtml += messageList[i].msg;
						innerHtml += "	</a>";
						innerHtml += "</li>";
					}
					pageLayoutEspot.broadbox.ROLLING_MAX = infoBankObj.messages.length;
					$("#broadbox_talkMsgCnt").html(infoBankObj.count);
					$("#broadbox_rollingMsg").html(innerHtml);
				} else {
					$("#broadbox_btnNSTalkQuestion").hide();
					$("#broadbox_talkMsgCnt").html('0');
				}
			},
			
			
			/*
			 * NS talk 롤링 처리 
			 * */
			setRollingTalkMsg : function () {
				$('.rt_talk ul').removeClass('ani');//animation 효과삭제
				if(pageLayoutEspot.broadbox.ROLLING_IDX < (pageLayoutEspot.broadbox.ROLLING_MAX - 1)){
					$('.rt_talk ul').animate({
						marginTop:"-=40px"
					});
					if ( pageLayoutEspot.broadbox.ROLLING_MAX != 1) {
						pageLayoutEspot.broadbox.ROLLING_IDX++;
					}
				}else{
					$('.rt_talk ul').css('marginTop','0px');
					$('.rt_talk ul').addClass('ani');//animation 효과추가 
					pageLayoutEspot.broadbox.ROLLING_IDX = 0;
				}
			},
			
			/**
			 * NsTalk 10초 간견으로-ymma
			 */
			set_NsTalkRolling : function() {
				mainCtrl.checkNsTalkTimerObject();
				mainCtrl.nsTalk_timer = setInterval(pageLayoutEspot.broadbox.ui.set_NsTalkRolling_Ajax, 10000); //10초 간격으로 호출
				navi.arrInteval.push(mainCtrl.nsTalk_timer); //pageNavigate.js에 clearAllIntervalList 에 넣어 준다.
				navi.arrInteval.push(setInterval(pageLayoutEspot.broadbox.ui.setRollingTalkMsg, 2000));  //애니메이션 실행
			},
			
		},
		
		// 이벤트 관련 함수 정의
		event : {

			//생방송 또는 VOD 탭 선택
			onclick_liveOnbWrap : function() {
				var id = $(this).attr('id');

				if(id == "tabONAIRarea") {
					$("#tabONAIRarea").addClass('active');
					$("#tabONShopLive").removeClass('active');
					$("#ONAIRarea, #ONAIRTABSarea").show();
					$("#ONShopLive, #ONShopLiveTABSarea").hide();
				}else{
					$("#tabONShopLive").addClass('active');
					$("#tabONAIRarea").removeClass('active');
					$("#ONShopLive, #ONShopLiveTABSarea").show();
					$("#ONAIRarea, #ONAIRTABSarea").hide();
				}
				pageLayoutEspot.broadbox.event.click_cancle(id);
			},
			
			onclick_btnShowLive : function() { // 생방송보기
				pageLayoutEspot.broadbox.selectedOnAIRTab = true;
				
				var msg = "3G/LTE 환경에서 이용시 요금제에 따라<br />데이터 요금이 부가될 수 있습니다.<br/>시청하시겠습니까?";
				
				var okFuc = function() {
					pageLayoutEspot.broadbox.event.video_play();
					return false;
				};
				var cancelFuc = function() {
					return false;
				};
				
				//2018-02-14 ssong confrim 변경
				var targetId = "broadbox_mainItem";
				Ns.Popup.confirmLayer( msg, okFuc, cancelFuc, "예", "아니오", targetId);
			},
			
			/**
			 * onclick_btnPlayVOD : VOD 재생 버튼 클릭 이벤트
			 */
			onclick_btnPlayVOD : function() {
				pageLayoutEspot.broadbox.selectedOnAIRTab = false;
				
				var msg = "3G/LTE 환경에서 이용시 요금제에 따라<br />데이터 요금이 부가될 수 있습니다.<br />시청하시겠습니까?";
				
				var okFuc = function() {
					pageLayoutEspot.broadbox.event.video_play();
					return false;
				};
				var cancelFuc = function() {
					return false;
				};
				
				//2018-02 ssong confrim 변경
				var targetId = "vodMainItem";
				Ns.Popup.confirmLayer( msg, okFuc, cancelFuc, "예", "아니오", targetId);
			},
			
			video_play : function() {
				var html = '';
				html += '<div class="pause_layer" style="display: none;">';
				html += '<p class="pauseclose_btn"><img onclick="pageLayoutEspot.broadbox.event.click_cancle();" src="./images/common/pauseclose_btn.png" alt="동영상 닫기"></p>';
				html += '   <ul>';
				html += '    <li class="fullsc_btn"><img onclick="pageLayoutEspot.broadbox.event.click_fullView(this);" src="./images/common/fullscreen_btn.png" alt="전체화면"></li>';
				if(pageLayoutEspot.broadbox.selectedOnAIRTab){
					html += '    <li class="pause_btn"><img id="pnp_btn" onclick="pageLayoutEspot.broadbox.event.click_VideoToggle();" src="./images/common/pause_btn.png" alt="일시정지"></li>';
				}else{
					html += '    <li class="pause_btn"><img id="vod_pnp_btn" onclick="pageLayoutEspot.broadbox.event.click_VideoToggle();" src="./images/common/pause_btn.png" alt="일시정지"></li>';	
				}
				html += '    <li class="viewitem_btn"><img onclick="pageLayoutEspot.broadbox.event.onclick_btnGotoProductDisplay();" src="./images/common/go_btn.png" alt="상품보기"></li>';
				html += '   </ul>';
				html += '  </div>';

				if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
					if(pageLayoutEspot.broadbox.selectedOnAIRTab){
						html += '	<video id="vid" onclick="pageLayoutEspot.broadbox.event.click_fade()" autoplay  poster="./images/back.png" preload="true" webkit-playsinline style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35);width:100%;" aria-label="상품보기">';
					}else{
						html += '	<video id="vvid" onclick="pageLayoutEspot.broadbox.event.click_fade()" autoplay  poster="./images/back.png" preload="true" webkit-playsinline style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35);width:100%;" aria-label="상품보기">';	
					}
				}else{//아이폰
					// dhlee 2017.04.10 이미지 경로 수정
					if(pageLayoutEspot.broadbox.selectedOnAIRTab){
						html += '	<video id="vid" onclick="pageLayoutEspot.broadbox.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline aria-label="상품보기">';
					}else{
						html += '	<video id="vvid" onclick="pageLayoutEspot.broadbox.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline aria-label="상품보기">';
					}
				}
				if(pageLayoutEspot.broadbox.selectedOnAIRTab){
					//운영
					html += '		<source src="http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8" type="video/mp4" >';
				}else{
					//운영
					html += '		<source src="http://shoppstream.nsmall.com:1935/IPHONE/mobile.m3u8" type="video/mp4" >';
				}
				html += '		Your browser does not support the video tag.';					
				html += '	</video>';
				
				if(pageLayoutEspot.broadbox.selectedOnAIRTab){
					$('#broadbox_mainItem').html(html);
						
					$('#broadbox_mainItem').css('background-image', '');
					$('#broadbox_mainItem').css('padding', '0px');
	
					$('#vid').css('height', pageLayoutEspot.broadbox.VIDEO_HEIGHT );
					if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드	
					}
					else{
						$('#vid').css('height', pageLayoutEspot.broadbox.VIDEO_HEIGHT );
					}
	
					document.getElementById('vid').play();
				}else{
					$('#vodMainItem').html(html);
					
					$('#vodMainItem').css('background-image', '');
					$('#vodMainItem').css('padding', '0px');
	
					$('#vvid').css('height', pageLayoutEspot.broadbox.VIDEO_HEIGHT );
					if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
					}
					else{
						$('#vvid').css('height', pageLayoutEspot.broadbox.VIDEO_HEIGHT );
					}
	
					document.getElementById('vvid').play();
				}
				
				pageLayoutComm.isPlayEspot = "broadbox";
				pageLayoutEspot.broadbox.isPlay = true;
				mainCtrl.bVideoplay = true;
			},
			
			click_cancle : function(switchTabId){
				
				var videoId, html, targetId;
				
				if(pageLayoutEspot.broadbox.selectedOnAIRTab){//생방송 탭선택
					videoId = "vid";
					targetId = "broadbox_mainItem"; 
					html = '';
					
					html += '<p class="onair"><span class="broad_timer" id="liveTimer"></span></p>';
					html += '<p class="mov_btn" id="btnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
					html += '<div class="etv_title"><dl><dt><a href="javascript:;" id="liveProductName"></a></dt>';
					html += '<dd class="tag item-feature interest-free"><span class="price" id="liveOfferPrice">0</span><span class="won" id = "OptionRepresentative">원</span></dd></dl></div>';	
					html += '<a href="javascript:;" class="go_item" id="liveGoProduct">상품상세로 바로가기</a>';
					html += '<div>';
					html += '	<img id="livePrcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
					html += '</div>';
				} else {
					videoId = "vvid";
					targetId = "vodMainItem";
					html = '';
					
					html += '<p class="onair"><span class="broad_timer" id="vodLiveTimer"></span></p>';
					html += '<p class="mov_btn" id="vodBtnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
					html += '<div class="etv_title"><dl><dt><a href="javascript:;" id="vodLiveProductName"></a></dt>';
					html += '<dd class="tag item-feature interest-free"><span class="price" id="vodLiveOfferPrice">0</span><span class="won" id = "vodOptionRepresentative">원</span></dd></dl></div>';	
					html += '<a href="javascript:;" class="go_item" id="vodLiveGoProduct">상품상세로 바로가기</a>';
					html += '<div>';
					html += '	<img id="vodLivePrcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
					html += '</div>';
				}
				
				if(mainCtrl.bVideoplay == true){
					document.getElementById(videoId).pause();
					mainCtrl.bVideoplay = false;
				}
				
				$("#" + targetId).html(html);
				
				if(switchTabId == "tabONAIRarea"){
					pageLayoutEspot.broadbox.data.callBroadData("ONAIR");//생방송 동영상 정보
				} else if (switchTabId == "tabONShopLive"){
					pageLayoutEspot.broadbox.data.callBroadData("SHOPPLUS");//VOD 동영상 정보
				} else if (pageLayoutEspot.broadbox.selectedOnAIRTab) {
					pageLayoutEspot.broadbox.data.callBroadData("ONAIR");//생방송 동영상 정보
				} else {
					pageLayoutEspot.broadbox.data.callBroadData("SHOPPLUS");//VOD 동영상 정보
				}
			},
			
			click_fade : function(){
				$('.video').fadeIn();
				$('.pause_layer').fadeIn();
				setTimeout( function(){
					//일시정지일 때는 항상 버튼 레이어 노출
					// jjko 20170620 류수연씨 요청으로 일시 정지 일 때도 fadeOut
					$('.video').fadeOut();
					$('.pause_layer').fadeOut();
				}
				,2000 );
			},
			/**
			 * 2016-09-02 정승진 : 안드로이드 영상재생 콜백함수
			 * */
			playToggle : function(isplay) {
				if( mainCtrl.VIEW_TYPE == 'ios' ){
					if(pageLayoutEspot.broadbox.selectedOnAIRTab){
						document.getElementById('vid').load();
	                    Ns.Util.viewConsoleLog("jjko webtest 영상 11 : " + document.getElementById('vid').volume);
	                    document.getElementById('vid').play();
	                    
	                    if(!isplay)
	                    {
	                        document.getElementById('vid').volume = 0;
	                        document.getElementById('vid').muted = true;
	                    }
	                    
	                    setTimeout( function(){
	                               Ns.Util.viewConsoleLog("jjko webtest 영상 11 : " + isplay);
	                               document.getElementById('vid').volume = 1;
	                               document.getElementById('vid').muted = false;
	                               pageLayoutEspot.broadbox.isPlay = isplay;
	                               pageLayoutEspot.broadbox.event.click_VideoToggleBtn();
	                               }
	                               ,  1000 );
					}else{
						document.getElementById('vvid').load();
	                    Ns.Util.viewConsoleLog("jjko webtest 영상 11 : " + document.getElementById('vvid').volume);
	                    document.getElementById('vvid').play();
	                    
	                    if(!isplay)
	                    {
	                        document.getElementById('vvid').volume = 0;
	                        document.getElementById('vvid').muted = true;
	                    }
	                    
	                    setTimeout( function(){
	                               Ns.Util.viewConsoleLog("jjko webtest 영상 11 : " + isplay);
	                               document.getElementById('vvid').volume = 1;
	                               document.getElementById('vvid').muted = false;
	                               pageLayoutEspot.broadbox.isPlay = isplay;
	                               pageLayoutEspot.broadbox.event.click_VideoToggleBtn();
	                               }
	                               ,  1000 );
					}
                }
                else {
                    pageLayoutEspot.broadbox.isPlay = isplay;
                    pageLayoutEspot.broadbox.event.click_VideoToggleBtn();
                }
			},
			click_VideoToggle : function(){
				if(pageLayoutEspot.broadbox.selectedOnAIRTab){
					pageLayoutEspot.broadbox.isPlay = document.getElementById('vid').paused;
				}else{
					pageLayoutEspot.broadbox.isPlay = document.getElementById('vvid').paused;
				}
				mainCtrl.bVideoplay = false;
				pageLayoutEspot.broadbox.event.click_VideoToggleBtn();
			},
			click_VideoToggleBtn : function(){
				if(!pageLayoutEspot.broadbox.isPlay){
					if(pageLayoutEspot.broadbox.selectedOnAIRTab){
						$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
						$("#pnp_btn").attr("alt", "재생");
						document.getElementById('vid').pause();
					}else{
						$("#vod_pnp_btn").attr("src", "./images/common/play_btn02.png");
						$("#vod_pnp_btn").attr("alt", "재생");
						document.getElementById('vvid').pause();
					}
					mainCtrl.bVideoplay = false;
				}
				else{
					if(pageLayoutEspot.broadbox.selectedOnAIRTab){
						$("#pnp_btn").attr("src", "./images/common/pause_btn.png");
						$("#pnp_btn").attr("alt", "일시정지");
						document.getElementById('vid').play();
					}else{
						$("#vod_pnp_btn").attr("src", "./images/common/pause_btn.png");
						$("#vod_pnp_btn").attr("alt", "일시정지");
						document.getElementById('vvid').play();
					}
					mainCtrl.bVideoplay = true;
					//재생할 경우 버튼 레이어 제거
					$('.video').fadeOut(); 
					$('.pause_layer').fadeOut();
				}
			},
			click_fullView : function(obj){
				if(pageLayoutEspot.broadbox.isPlay){ //플레이중
					if(pageLayoutEspot.broadbox.selectedOnAIRTab){
						$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
						$("#pnp_btn").attr("alt", "재생");
						document.getElementById('vid').pause();
					}else{
						$("#vod_pnp_btn").attr("src", "./images/common/play_btn02.png");
						$("#vod_pnp_btn").attr("alt", "재생");
						document.getElementById('vvid').pause();
					}
					mainCtrl.bVideoplay = false;
				}
				
				if(pageLayoutEspot.broadbox.selectedOnAIRTab){
					//운영
					Ns.Native.nsShopTvHomeShoppingViewDirect( "LIVE", "http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8", null, pageLayoutEspot.broadbox.isPlay);
				}else{
					//운영
					Ns.Native.openShopplusFullVOD('LIVE', '', '');
				}
			},
			
			// 상품상세 바로가기
			onclick_btnGotoProductDisplay : function() {
				mainCtrl.gotoProductDisplay(pageLayoutEspot.broadbox.PARTNUMBER, pageLayoutEspot.broadbox.MULTICD, pageLayoutEspot.broadbox.BUSCHNID);
			},
			
			//NS Talk 이동 
			/**
			 * 2017-08-01 sypark : NSTalk 화면 이동
			 * */
			onclick_btnGotoNsTalk : function() {
				/*
				 * 회원구분 불가 17.07.28일 버전 : 로그인 화면으로 이동처리
				 * 1. 로그인한 경우(정회원) > 
					NStalk 기본화면(#1.2)으로 랜딩
					1-1. 로그인한 경우(정회원/휴대폰번호X)
					#3.2페이지의 *2팝업 노출
					2. 로그인한 경우(간편회원) >
					#3.2페이지의 *1팝업 노출
					3. 비로그인인 경우 >
					로그인 화면으로 랜딩
				 * */
				//CASE 비로그인 처리 
				if (!mainCtrl.checkLogonStatus()) {
					Ns.Popup.alert("로그인 후 이용해 주세요.", function() {
						mainCtrl.gotoLogin();
					});
					return;
				} else { //== 페이지 이동 처리 == 
					//휴대폰 번호 여부 체크 
					if( Ns.Util.isNull( USERINFO.hpNo() ) ) { //휴대폰 번호 없으면 true
						var msg = "휴대폰번호 정보가 없습니다.<br/>마이페이지 > 개인화정보 > 회원정보관리에서 등록해주시기 바랍니다.<br/><br/>마이페이지로 이동하시겠습니까?";
						
						var okFuc = function() {
							mainCtrl.navigate("M_U1171501M");
							return false;
						};
						
						Ns.Popup.confirm( msg, okFuc, null, "확인", "취소", null, null, null);
					} else { //휴대폰 번호 있으면 false
						mainCtrl.navigate("M_G3000000M");
					}
				}
			},
			
			/*
			 * 2018-02-19 ssong
			 * 스크롤시 동영상 재생 멈춤
			 */
			onscroll_stopVideo : function(){
				var chkId = pageLayoutEspot.broadbox.selectedOnAIRTab ? "ONAIRTABSarea" : "ONShopLiveTABSarea";
				
				var scr_now = $(window).scrollTop() + $('#pageHeader').outerHeight();
				
				if(scr_now > $("#" + chkId).offset().top){
					if(mainCtrl.bVideoplay == true){
						if($("#vvid").length>0){
							$("#vod_pnp_btn").attr("src", "./images/common/play_btn02.png");
							$("#vod_pnp_btn").attr("alt", "재생");
							document.getElementById('vvid').pause();
						}
						if($("#vid").length>0){
							$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
							$("#pnp_btn").attr("alt", "재생");
							document.getElementById('vid').pause();
						}
					}
					mainCtrl.bVideoplay = false;
				}
			},
			
		},	//end event function
		
		util : {
			regErrlog : function(funcNm, e){
				console.error("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
			},

			initEvent : function(){
				$('#btnGotoProductDisplay').show().unbind().bind('click', pageLayoutEspot.broadbox.event.onclick_btnGotoProductDisplay); //상품상세 바로가기.
				$('#btnShowLive').show().unbind().bind('click', pageLayoutEspot.broadbox.event.onclick_btnShowLive); //생방송 TV쇼핑. 생방송보기 버튼.
				//$("#broadbox_btnNSTalkQuestion").off().on("click", pageLayoutEspot.broadbox.event.onclick_btnNSTalkQuestion); //NsTalk 페이지 이동 function
			},
		}
	};
