
/* JavaScript content from js/layout/eSpotTmpl/broad/broadtv.js in folder common */
/**
 * 	방송 LIVE espot
 */

	// 레이아웃 페이지내에 Espot 객체 정의
	pageLayoutEspot.broadtv = {
			
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		REMAINING_TIME : null,
		
		//상품정보
		PARTNUMBER	: null,
		MULTICD		: null,
		
		//접속 유형
		BUSCHNID	: null,
		
		//이미지 URL 관련
		THUMBNAIL_IMAGE_URL : null,
		noImageUrlWide : Const.NO_IMAGE_URL + "noimage_X6.jpg",
		
		//비디오 재생 관련
		isPlay : false,
		VIDEO_WIDTH : 0,
		VIDEO_HEIGHT : 0,
		
		// NS Talk 롱링메시지 갯수
		ROLLING_MAX : 0, 
		
		isRefresh : false,
	
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			//2018-02-19 ssong 스크롤시 재생 멈춤
			$(window).off("scroll.stopVideo").on("scroll.stopVideo", this.event.onscroll_stopVideo);
			pageLayoutEspot.broadtv.ui.sizeChk();
		},
		
		onLoad : function(){
			mainCtrl.bVideoplay = false;
			
			pageLayoutEspot.broadtv.data.callBroadData();
			
			
		},
		
		//데이터 관련 함수 정의
		data : {
			
			// 방송 정보 조회
			callBroadData : function (){
				var targetEspotId 	= pageLayoutEspot.broadtv.espotFullName;
				var categoryId 		= pageLayoutEspot.broadtv.categoryId;
				var callbackFunc 	= function(data) {
					
					if(data.msg && data.msg[0]["_"+pageLayoutEspot.broadtv.espotFullName]){
						data = data.msg[0]["_"+pageLayoutEspot.broadtv.espotFullName][0].OnAirInfo;
					} else {
						$("#" + pageLayoutEspot.broadtv.targetId).hide();
					}
					
					pageLayoutEspot.broadtv.ui.espotDraw(data);
				}
				pageLayoutComm.callNSmobileNoCacheData( targetEspotId, categoryId , callbackFunc);
				
			},
			
			//현재 방송중인 아이템을 가져온다. 
			getCurrentLiveItem : function (data) {
				try {
					var idx = -1;
					var msecPerMinute = 1000 * 60;
					var msecPerHour = msecPerMinute * 60;
					var currentTime = Ns.Date.getDateParse( Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss' ) );
		
					for( var i=0; i<data.length; i++ ) {
		
						var etime = Ns.Date.getDateParse02( data[i].endDttm );
		
						idx = i;
		
						var interval = ( etime.getTime() - currentTime.getTime() );
						var hours = Math.floor( interval / msecPerHour );
		
						interval = interval - (hours * msecPerHour );
						var minutes = Math.floor(interval / msecPerMinute );
						
						try{
//							if(mainCtrl.VIEW_TYPE == "android")
							Ns.Native.transText(data[0].goodsName);
						} catch (e) {
							// TODO: handle exception
						}
		
						interval = interval - (minutes * msecPerMinute );
						var seconds = Math.floor(interval / 1000 );
						var today = new Date();
		
						pageLayoutEspot.broadtv.REMAINING_TIME = new Date( today.getFullYear(), today.getMonth(), today.getDay(), hours,  minutes,  seconds );
						break; //현재 방송 중인 아이템
					}
				}
				catch(e){
					pageLayoutEspot.broadtv.util.regErrlog('getCurrentLiveItem', e);
					idx = -1;
				}

				return idx;
			},
			
			//유형상품 체크
			checkRealProduct : function( disp ){
				if(disp == "10" || disp == "15" ||
						disp == "20" || disp == "25" ||
						disp == "30" || disp == "60"){
					return true;
				}else{
					return false;
				}
			},
			
		},
		
		// ui 관련 함수 정의
		ui : {
			// 방송 영역 크기 설정
			sizeChk : function(){
				var mWidth = $('#broadtv_mainItem').outerWidth();
				var divided = mWidth / 16;
				pageLayoutEspot.broadtv.VIDEO_WIDTH = mWidth;
				pageLayoutEspot.broadtv.VIDEO_HEIGHT  = divided * 8;
			},
			
			
			// 해당 espot이 상품리스트 등 반복 랜더링이 있는 경우 선언 및 호출
			// 페이징 처리시 레이아웃 공통에서 아래 함수 명으로 호출되므로 
			// 페이징 처리가 있는 espot이라면 필수!
			espotDraw : function(data){
				
				// 방송 상품 영역
				pageLayoutEspot.broadtv.ui.setLiveTVShopping(data);
				
				//메뉴바 영역
				pageLayoutEspot.broadtv.ui.setETVTabs(data._ETV_MAIN_MENUINFO);
				
			},
			
			
			//방송 남은 시간 설정
			setETVLiveTime : function( ) {
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(pageLayoutEspot.broadtv.ui.sOnTimer, 1000);
			},
			
			sOnTimer : function() {
				var addZero = function(number){
					return parseInt(number, 10) < 10 ? "0" + number : number;
				};

				pageLayoutEspot.broadtv.REMAINING_TIME.setSeconds( pageLayoutEspot.broadtv.REMAINING_TIME.getSeconds() - 1 );

				var hour = addZero( pageLayoutEspot.broadtv.REMAINING_TIME.getHours() );
				var min = addZero( pageLayoutEspot.broadtv.REMAINING_TIME.getMinutes() );
				var second = addZero( pageLayoutEspot.broadtv.REMAINING_TIME.getSeconds() );

				if ( hour == 23 && min == 59 && second == 59 ) {
					$("#broadtv_liveTimer").html( '' );
					mainCtrl.checkTimerObject(); // destroy timer
					pageLayoutEspot.broadtv.isRefresh = true;
					pageLayoutEspot.broadtv.data.callBroadData(); //새로운 방송 조회
				} else {
					$("#broadtv_liveTimer").html( hour + ':'+ min +':'+ second );
				}
			},

			/**
			 * 방송상품 영역
			 * @param data : NSEspotEtvMain API 콜백 데이터
			 */
			setLiveTVShopping : function(data){
				try {
					var totalOrgan = data.TotalOrgan;
					
					if( totalOrgan == undefined || totalOrgan.length == 0 ) {
						$("#broadtv_sectionLiveTVShoppingArea").hide();
						$("#broadtv_btnNSTalkQuestion").hide();
						return false;
					}
					
					var idx = pageLayoutEspot.broadtv.data.getCurrentLiveItem( totalOrgan );
					
					if ( idx < 0 ) {
						$("#broadtv_sectionLiveTVShoppingArea").hide();
						$("#broadtv_btnNSTalkQuestion").hide();
						return false;
					}
					
					if(pageLayoutEspot.broadtv.isRefresh == true){
						$("#broadtv_sectionLiveTVShoppingArea").hide();
						$("#broadtv_btnNSTalkQuestion").hide();
						$("#broadtv_productInfo").html('');
						$("#broadtv_moreItems").html('');
						$("#broadtv_prcImg").removeClass();
						$("#broadtv_prcImg").attr('rep', '0');
						$(".toggle_cont").hide();
						
						pageLayoutEspot.broadtv.isRefresh = false;
					}
					
					var info = totalOrgan[idx];
					
					// nstalk 롤링 호출 시작
					mainCtrl.nstalk_goodId = info.partNumber;
					mainCtrl.nstalk_startdtm = info.startDttm;
					mainCtrl.nstalk_enddtm = info.endDttm;
					pageLayoutEspot.broadtv.ui.set_NsTalkRolling_Ajax(); //1. 처음 한번 실행 (초기 조회)
					pageLayoutEspot.broadtv.ui.set_NsTalkRolling();      //2. 10초 마다 실행 (두번째부터 실행)
					
					// 상품 와이드 이미지
					var imageUrl = Ns.Util.getImageUrl( info.partNumber, "X6" );
					
					// 상품명
					var productName = Ns.UI.getProductName( info.brandCd, info.brandName, info.goodsName, info.headCopy );
					
					//판매가
					var offerPrice = Ns.Util.insertCommas( info.priceofferprice );
		
					// 대표상품 및 바로주문 버튼 클릭시 호출할 함수
					var prdFunc; // 대표상품
					var directOrdFunc;
					if(info.orderYn == "Y" || info.orderYn == "T_EN" || info.orderYn == "D_EN"){
						// 상품상세 바로가기
						prdFunc = "mainCtrl.gotoProductDisplay";
						directOrdFunc = "mainCtrl.gotoProductDisplay";
					} else {
						// 일시품절
						prdFunc = "pageLayoutEspot.broadtv.event.onclick_soldOut";
						directOrdFunc = "pageLayoutEspot.broadtv.event.onclick_soldOut";
					}
					// 연관상품이 있을 경우, 바로주문 버튼 클릭 시 연관상품 영역 노출
					if (data.RelatedPrdtSize > 0){
						directOrdFunc = "pageLayoutEspot.broadtv.event.onclick_etvListToggle";
					}
		
					// 무이자
					var exIfi = ['',''];
					if(info.ifiValue != 0 && info.ifiValue != null){
						exIfi[0] = "<div class=\"head\">무이자</div>";
						exIfi[1] = info.ifiValue;
		        	}
					
					// multiCd
					var tmp_multiCd = null;
					if(info.multiCd != ""){
						tmp_multiCd = info.multiCd;
					}
					
					// 에러가 발생하였을 경우 와이드 이미지 대신 썸네일 사이즈의 이미지를 대신 노출
		        	pageLayoutEspot.broadtv.THUMBNAIL_IMAGE_URL = Ns.Util.getImageUrl( info.partNumber, "H" );
		        	$('#broadtv_prcImg').show().unbind().bind('error', pageLayoutEspot.broadtv.event.onerror_productImage);
		        	
					// 옵션대표가 flag
					var optRepYn = "";
					if(undefined != info.prcWaveDisp){
						optRepYn = info.prcWaveDisp;
					}
					
					if(optRepYn == "~"){
						optRepYn = "원~";
					} else {
						optRepYn = "원";
					}
					
					// 상품타입
					var disp = info.dispTypeCd;
					if((disp == "35" || disp == "40" || disp == "45" || disp == "56" || disp == "58") && info.busChnId == 'TV') {		
						offerPrice = "상담접수상품";
						optRepYn = "";
					}
					
					//상품번호가 undefined로 들어오는 경우 이미지 호출할때 이미지 오류 관련 방어로직
					if(info.partNumber == "undefined"){
						imageUrl = "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg";
					}
					// 대표 방송상품 와이드 이미지 셋팅
					$("#broadtv_prcImg").attr("src", imageUrl);
					
					// 대표 방송상품 정보 셋팅
					var prcHtml = Ns.Util.stringFormat('\
								<dt><a href="javascript:{4}({0},{1},\'{2}\');">{3}</a></dt>\
								<dd class="tag item-feature interest-free">\
								<span class="price">{5}</span>\
								<span class="won">{8}</span>\
								{6}<span class="mon">&nbsp;{7}</span></dd>',
								info.partNumber, tmp_multiCd, info.busChnId, productName, prdFunc, offerPrice,
								exIfi[0], exIfi[1],
								optRepYn);
					
					$("#broadtv_productInfo").html(prcHtml);
					
					// 바로주문 버튼 추가
		        	var orderHtml = Ns.Util.stringFormat('\
		        	<a href="javascript:{3}({0},{1},\'{2}\');" id="broadtv_btnOrderNow">바로주문</a>',
							info.partNumber, tmp_multiCd, info.busChnId, directOrdFunc);
					$("#broadtv_liOrderNow").html(orderHtml);
					
					//방송 남은 시간 설정
					pageLayoutEspot.broadtv.ui.setETVLiveTime();
					
					// 상품상세 바로가기를 위해 데이터 셋팅
					pageLayoutEspot.broadtv.PARTNUMBER = info.partNumber;
					pageLayoutEspot.broadtv.MULTICD = info.multiCd;
					pageLayoutEspot.broadtv.BUSCHNID = info.busChnId;
					pageLayoutEspot.broadtv.GOODSNAME = info.goodsName;
					
					// 연관상품 영역 셋팅
					if(data.RelatedPrdtSize > 0){
						pageLayoutEspot.broadtv.ui.setRelatedPrdtList(info, data.RelatedPrdtList);
					}
					
					$("#broadtv_sectionLiveTVShoppingArea").show();
					
					pageLayoutEspot.broadtv.util.initEvent();
					
				} catch(e) {
					pageLayoutEspot.broadtv.util.regErrlog('setLiveTVShopping', e);
					$("#" + pageLayoutEspot.broadtv.targetId).hide();
					$("#broadtv_btnNSTalkQuestion").hide();
					return false;
				}
			},
			
			/**
			 * 연관상품 리스트 영역
			 * @param totalOrgan : 방송대표상품
			 * @param relatedPrdt : 연관상품
			 */
			setRelatedPrdtList : function(totalOrgan , relatedPrdt) {
				
				var relatedPrdtList = relatedPrdt;
				for ( var k = 0; k < relatedPrdtList.length + 1; k++ ) {
					var info;
					if (k == 0) {
						info = totalOrgan;
					} else {
						info = relatedPrdtList[k-1].commonData;
					}
					
					// 상품타입
					var disp = info.dispTypeCd;
					
					// 상품 와이드 이미지
					var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
					var imageUrl = Ns.Util.getImageUrl( info.partNumber, "H" );
					
					// 상품명
					var productName = Ns.UI.getProductName( info.brandCd, info.brand_kor_nm, info.itncatentrynm, info.headCopy );
					
					//판매가
					var offerPrice;
					offerPrice = Ns.Util.insertCommas( info.priceofferprice );

					// 연관상품 별 주문하기 버튼 셋팅
					var func;
					var orderNm = "주문하기";
					if(info.orderYn == "Y" || info.orderYn == "T_EN" || info.orderYn == "D_EN"){
						if ( !pageLayoutEspot.broadtv.data.checkRealProduct(disp) ){
							orderNm = "상담하기";
						}
						func = "mainCtrl.gotoProductDisplay";
					}else{
						if(info.orderYn == "N"){
							orderNm = "일시품절";
						}
						func = "pageLayoutEspot.broadtv.event.onclick_soldOut";
					}
					
					// 무이자
					var exIfi = ['',''];
					if(info.ifiValue != 0 && info.ifiValue != null){
						exIfi[0] = "<span class=\"head\">무이자 </span>";
						exIfi[1] = info.ifiValue;
	            	}
					
					// multiCd
					var tmp_multiCd = null;
					if(info.multiCd != ""){
						tmp_multiCd = info.multiCd;
					}
	            	
					// 옵션대표가 flag
					var optRepYn = "";
					if(undefined != info.prcWaveDisp){
						optRepYn = info.prcWaveDisp;							
					}

					if(optRepYn == "~"){
						optRepYn = "원~";
					} else {
						optRepYn = "원";
					}
					
					if((disp == "35" || disp == "40" || disp == "45" || disp == "56" || disp == "58") && info.busChnId == 'TV') {		
						offerPrice = "상담접수상품";
						optRepYn = "";
					}						
					
					// 연관상품 영역 셋팅
	            	var prcHtml = Ns.Util.stringFormat('\
			            	<li class="items">\
								<div class="thumbnail"><a href="javascript:{20}(\'{21}\',\'{22}\');{4}({0},{1},\'{2}\');"><img src="{3}" onerror="this.src=\'{13}\';" alt="상품 이미지"></a></div>\
								<dl class="info_item">\
									<dt class="title"><a href="javascript:{20}(\'{21}\',\'{22}\');{9}({5},{6},\'{7}\');">{8}</a></dt>\
									<dd class="more">\
										<div class="tag item-feature interest-free">{10}<span class="mon">&nbsp;{11}</span></div>\
										<div class="price">{12}<span class="won">{14}</span></div>\
									</dd>\
			            			<dd class="modal_button"><a href="javascript:{20}(\'{21}\',\'{22}\');{18}({15},{16},\'{17}\');">{19}</a></dd>\
								</dl>\
							</li>',
							info.partNumber, tmp_multiCd, info.busChnId, imageUrl, func,
							info.partNumber, tmp_multiCd, info.busChnId, productName, func,
							exIfi[0], exIfi[1], offerPrice, noImageUrl, optRepYn,
			            	info.partNumber, tmp_multiCd, info.busChnId, func, orderNm,
			            	"pageLayoutEspot.broadtv.event.taggingGA","바로주문_상세보기",info.itncatentrynm);
	            	
	            	$("#broadtv_moreItems").append(prcHtml);
				}
			},
			
			//메뉴바 영역
			setETVTabs : function(data) {
				try{
					var arrBanner = data;
					
					if( arrBanner == undefined || arrBanner.length == 0 ) {
						$("#broadtv_sectionETVTabsArea").hide();
						return false;
					}
					
					var strHtml = "";
					
					for (var i = 0; i < arrBanner.length; i++){
						if(i > 2){
							break;
						}
						var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(arrBanner[i].mdUrl).split("?")[1]).catalogId;
						var func;
						switch(arrBanner[i].espotContentText){
							case '적립금신청':
								func = "pageLayoutEspot.broadtv.event.onclick_btnTVReservedSubscription()";
								break;
							case 'TV편성표':
								func = "pageLayoutEspot.broadtv.event.onclick_btnTVSchedule()";
								break;
							case 'NS TALK':
								//NSTALK 진입 삭제 : func = "CurrentView.event.onclick_btnTVLiveQuestion()";
								func = ""; //default로 떨어지면 안되어서 "" 처리함 - sypark
								break;
							default:
								func = Ns.Util.stringFormat('\
								Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\')',
								arrBanner[i].clickTarget, arrBanner[i].contentsId, arrBanner[i].clickCode, arrBanner[i].espotId, arrBanner[i].mdUrl,  null, null, catalogId);
								break;
						} 
						
						if(null != arrBanner[i].imgPath){
						}else{
							strHtml += Ns.Util.stringFormat('\
									<li><a href="javascript:{1};">{0}</a></li>',
									arrBanner[i].espotContentText, func);
						}
					}
					
					$("#broadtv_ulETVTabsArea").html(strHtml);
					//$("#sectionETVTabsArea").show();		// hckim 2019.03.21 NSSR-23799 모바일 TV쇼핑 메인 라이브 영역 분리(노출 하지 않음)
				}
				catch(e){
					pageLayoutEspot.broadtv.util.regErrlog('setETVTabs', e);
					$("#broadtv_sectionETVTabsArea").hide();
					return false;
				}
			},
			
			
			/**
			 * NStalk API 조회
			 */
			set_NsTalkRolling_Ajax : function(){
				$.ajax({
						url         	: "http://" + Const.NSTALK_NSMALL_PATH + "/api/messages",
						data        	: {
											  code : mainCtrl.nstalk_goodId
											, count : 5
											, start_date : mainCtrl.nstalk_startdtm
											, end_date : mainCtrl.nstalk_enddtm
										  },
						crossDomain	: true,
						type        	: 'POST',
						dataType   		: 'json',
						success     	: function(data){
							if (data.code == "0"){
								//== 화면셋팅 - sypark
								pageLayoutEspot.broadtv.ui.set_NsTalkApiObject(data);
							}else{
								//console.error(data.errors);
							}
						},
						error: function() {
							//17.08.23 ajax 실패 처리 hide 처리-- sypark
							$("#broadtv_btnNSTalkQuestion").hide();
							$("#broadtv_talkMsgCnt").html('0');
							$("#broadtv_rollingMsg").html('ajax통신 실패..');
							//console.error("실패", data);
						}
				});
			}, 
			
			/**
			 * NStalk API 조회후 받아온 obj 셋팅 - sypark
			 */
			set_NsTalkApiObject : function(data) {
				var infoBankObj = data;
				
				var innerHtml ="";
				//== api에서 받아온 obj 체크 
				if ( infoBankObj != null && infoBankObj.count != 0 && infoBankObj.talk_enable == true ) {
					$("#broadtv_btnNSTalkQuestion").show();
					var messageList = infoBankObj.messages;
					for( var i = 0; i < messageList.length; i++ ) {
						innerHtml += "<li>";
						innerHtml += "	<a>";
						innerHtml += messageList[i].msg;
						innerHtml += "	</a>";
						innerHtml += "</li>";
					}
					pageLayoutEspot.broadtv.ROLLING_MAX = infoBankObj.messages.length;
					$("#broadtv_talkMsgCnt").html(infoBankObj.count);
					$("#broadtv_rollingMsg").html(innerHtml);
				} else {
					$("#broadtv_btnNSTalkQuestion").hide();
					$("#broadtv_talkMsgCnt").html('0');
				}
			},
			
			
			/*
			 * NS talk 롤링 처리 
			 * */
			setRollingTalkMsg : function () {
				$('.rt_talk ul').removeClass('ani');//animation 효과삭제
				if(pageLayoutEspot.broadtv.ROLLING_IDX < (pageLayoutEspot.broadtv.ROLLING_MAX - 1)){
					$('.rt_talk ul').animate({
						marginTop:"-=40px"
					});
					if ( pageLayoutEspot.broadtv.ROLLING_MAX != 1) {
						pageLayoutEspot.broadtv.ROLLING_IDX++;
					}
				}else{
					$('.rt_talk ul').css('marginTop','0px');
					$('.rt_talk ul').addClass('ani');//animation 효과추가 
					pageLayoutEspot.broadtv.ROLLING_IDX = 0;
				}
			},
			
			/**
			 * NsTalk 10초 간견으로-ymma
			 */
			set_NsTalkRolling : function() {
				mainCtrl.checkNsTalkTimerObject();
				mainCtrl.nsTalk_timer = setInterval(pageLayoutEspot.broadtv.ui.set_NsTalkRolling_Ajax, 10000); //10초 간격으로 호출
				navi.arrInteval.push(mainCtrl.nsTalk_timer); //pageNavigate.js에 clearAllIntervalList 에 넣어 준다.
				navi.arrInteval.push(setInterval(pageLayoutEspot.broadtv.ui.setRollingTalkMsg, 2000));  //애니메이션 실행
			},
			
		},
		
		// 이벤트 관련 함수 정의
		event : {
			
			// 생방송 참여하기(ns Talk) -- sypark
			onclick_broadtv_btnNSTalkQuestion : function() {
				//2017-08-04 sypark : NSTalk 화면 이동
				//Ns.Popup.showLayer("M_G2615200L", function(){});
				//CASE 비로그인 처리 
				if (!mainCtrl.checkLogonStatus()) {
					Ns.Popup.alert("로그인 후 이용해 주세요.", function() {
						mainCtrl.gotoLogin();
					});
					return;
				} else { 
					//== 페이지 이동 처리 == 마수석님이 include 시킴
					mainCtrl.navigate("M_G3000000M");
				}
			},
			
			onerror_productImage : function() {
				if($(this).attr('rep') == '0'){
					$(this).removeClass();
					$(this).addClass('thumbanil_small');
					$(this).attr('src', pageLayoutEspot.broadtv.THUMBNAIL_IMAGE_URL);
					$(this).attr('rep', '1');
				}
				else if($(this).attr('rep') == '1'){
					$(this).removeClass();
					$(this).attr('src', pageLayoutEspot.broadtv.noImageUrlWide);
					$(this).attr('rep', '2');
				}
			},
			
			// 상품상세 바로가기
			onclick_btnGotoProductDisplay : function() {
				pageLayoutEspot.broadtv.event.taggingGA("상품상세", pageLayoutEspot.broadtv.GOODSNAME);
				mainCtrl.gotoProductDisplay(pageLayoutEspot.broadtv.PARTNUMBER, pageLayoutEspot.broadtv.MULTICD, pageLayoutEspot.broadtv.BUSCHNID);
			},
			
			onclick_soldOut : function() {
				var msg = "일시품절된 상품입니다";

				Ns.Popup.alert(msg);
			},
			
			// 상품더보기 toggle
			onclick_etvListToggle : function() {
				pageLayoutEspot.broadtv.event.taggingGA("바로주문", pageLayoutEspot.broadtv.GOODSNAME);
				$('.toggle_cont').slideToggle("fast");
				return false;
			},
			
			//적립금 신청 버튼 클릭시 TV 홈쇼핑 적립금 신청 페이지로 이동.
			onclick_btnTVReservedSubscription : function() {
				var invokeParams = {
						partNumber : pageLayoutEspot.broadtv.PARTNUMBER
				};

				mainCtrl.navigate( "M_G1100400M", invokeParams );
			},
			
			// 편성표
			onclick_btnTVSchedule : function() {
				var invokeParams = {
						partNumber : pageLayoutEspot.broadtv.PARTNUMBER
				};
				invokeParams.catalogId = Const.getMarketingCatalogId('tv');

				pageLayoutEspot.broadtv.event.taggingGA("편성표", "");
				mainCtrl.navigate( 'M_G2222120M', invokeParams );
			},
			
			// 생방송보기
			onclick_btnShowLive : function(data) { 
				
				var msg = "3G/LTE 환경에서 이용시 요금제에 따라 <br/> 데이터 요금이 부가될 수 있습니다.<br/>시청하시겠습니까?";
				
				var okFuc = function() {
					//navi.setMovePointer(-1);
					pageLayoutEspot.broadtv.event.video_play();
					return false;
				};
				var cancelFuc = function() {
					//navi.setMovePointer(-1);
					return false;
				};
				
				pageLayoutEspot.broadtv.event.taggingGA("방송보기", pageLayoutEspot.broadtv.GOODSNAME);
				
				//2018-02-14 ssong confrim 변경
				var targetId = "broadtv_mainItem";
				Ns.Popup.confirmLayer( msg, okFuc, cancelFuc, "예", "아니오", targetId);
				//Ns.Popup.confirm( msg, okFuc, cancelFuc, "예", "아니오", null, null, null);
			},
			
			//방송 재생
			video_play : function() {
				var html = '';
				html += '<div class="pause_layer" style="display: none;">';
				html += '<p class="pauseclose_btn"><img onclick="pageLayoutEspot.broadtv.event.click_cancle();" src="./images/common/pauseclose_btn.png" alt=""></p>';
				html += '   <ul>';
				html += '    <li class="fullsc_btn"><img onclick="pageLayoutEspot.broadtv.event.click_fullView(this);" src="./images/common/fullscreen_btn.png" alt=""></li>';
				html += '    <li class="pause_btn"><img id="pnp_btn" onclick="pageLayoutEspot.broadtv.event.click_VideoToggle();" src="./images/common/pause_btn.png" alt=""></li>';
				html += '    <li class="viewitem_btn"><img onclick="pageLayoutEspot.broadtv.event.onclick_btnGotoProductDisplay();" src="./images/common/go_btn.png" alt=""></li>';
				html += '   </ul>';
				html += '  </div>';
//				click_cancle
				if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
//					html += '	<video id="vid" onclick="pageLayoutEspot.broadtv.event.click_VideoToggle(this);" autoplay  poster="./images/video/sample-51.png" preload="true" webkit-playsinline style="transform: scaleY(0.84375);-webkit-transform: scaleY(0.84375);width:100%;">';
					html += '	<video id="vid" onclick="pageLayoutEspot.broadtv.event.click_fade()" autoplay  poster="./images/back.png" preload="true" webkit-playsinline style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35);width:100%;">';
				}else{//아이폰
					// dhlee 2017.04.10 이미지 경로 수정 
//					html += '	<video id="vid" onclick="pageLayoutEspot.broadtv.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/video/sample-51.png" preload="true" webkit-playsinline>';
					html += '	<video id="vid" onclick="pageLayoutEspot.broadtv.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline>';
				}
				//운영
				html += '		<source src="http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8" type="video/mp4" >';
				//개발
//				html += '		<source src="http://shoppstream.nsmall.com/IPHONE/mobile.m3u8" type="video/mp4" >';		
//				html += '		<source src="http://221.140.53.53/IPHONE/mobile.m3u8" type="video/mp4" >';		
//				html += '		<source src="http://192.168.13.87/IPHONE/mobile.m3u8" type="video/mp4" >';		
				html += '		Your browser does not support the video tag.';					
				html += '	</video>';
				
				$('#broadtv_mainItem').html(html);
				
				$('#broadtv_mainItem').css('background-image', '');
				$('#broadtv_mainItem').css('padding', '0px');
				$('#vid').css('height', pageLayoutEspot.broadtv.VIDEO_HEIGHT );
				if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
					
				}
				else{
					$('#vid').css('height', pageLayoutEspot.broadtv.VIDEO_HEIGHT );
				}

				pageLayoutComm.isPlayEspot = "broadtv";
				document.getElementById('vid').play();
				mainCtrl.bVideoplay = true;
				pageLayoutEspot.broadtv.isPlay = true;
			},
			
			click_cancle : function(){
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
				var html = '';
				html += '<p class="onair"><span class="broad_timer" id="broadtv_liveTimer"></span></p>';
				html += '<p class="mov_btn" id="broadtv_btnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
				html += '<a href="javascript:;" class="go_item" id="broadtv_btnGotoProductDisplay">상품상세로 바로가기</a>';
				html += '<div>';
				html += '	<img id="broadtv_prcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
				html += '</div>';
				$('#broadtv_mainItem').html(html);
				pageLayoutEspot.broadtv.isRefresh = true;
				pageLayoutEspot.broadtv.data.callBroadData();
			},
			
			click_fade : function(){
				$('.video').fadeIn();
				$('.pause_layer').fadeIn();
				setTimeout( function(){
					//일시정지일 때는 항상 버튼 레이어 노출
					if(pageLayoutEspot.broadtv.isPlay){
						$('.video').fadeOut();
						$('.pause_layer').fadeOut();
					}
				}
				,2000 );
			},
			
			/**
			 * 2016-09-02 정승진 : 안드로이드 영상재생 콜백함수
			 * */
			playToggle : function(isplay) {
				pageLayoutEspot.broadtv.isPlay = isplay;
				pageLayoutEspot.broadtv.event.click_VideoToggleBtn();
			},
			click_VideoToggle : function(){
				pageLayoutEspot.broadtv.isPlay = document.getElementById('vid').paused;
				mainCtrl.bVideoplay = false;
				pageLayoutEspot.broadtv.event.click_VideoToggleBtn();
			},
			click_VideoToggleBtn : function(){
				if(!pageLayoutEspot.broadtv.isPlay){
					$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
					document.getElementById('vid').pause();
					mainCtrl.bVideoplay = false;
				}
				else{
					$("#pnp_btn").attr("src", "./images/common/pause_btn.png");
					document.getElementById('vid').play();
					mainCtrl.bVideoplay = true;
					//재생할 경우 버튼 레이어 제거
					$('.video').fadeOut(); 
					$('.pause_layer').fadeOut();
				}
			},
			click_fullView : function(obj){
				var item = $(obj).siblings().last();
				if(pageLayoutEspot.broadtv.isPlay){ //플레이중
					$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
					document.getElementById('vid').pause();
					mainCtrl.bVideoplay = false;
				}
				Ns.Native.nsShopTvHomeShoppingViewDirect( "LIVE", "http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8", null, pageLayoutEspot.broadtv.isPlay);
			},
			
			/*
			 * 2018-02-19 ssong
			 * 스크롤시 동영상 재생 멈춤
			 */
			onscroll_stopVideo : function(){
				var scr_now = $(window).scrollTop() + $('#pageHeader').outerHeight();
				if(scr_now > $(".etv_title").offset().top){
					if(mainCtrl.bVideoplay == true){
						if($("#vid").length>0){
							$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
							document.getElementById('vid').pause();
						}
					}
					mainCtrl.bVideoplay = false;
				}
			},
			
			taggingGA : function(tagLable, tagInfo){
				pageLayoutComm.taggingGA(pageLayoutEspot.broadtv.espotFullName, [tagLable,tagInfo] , "tv");
			}
		},
		
		util : {
			regErrlog : function(funcNm, e){
				console.error("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
			},

			initEvent : function(){
				$('#broadtv_btnGotoProductDisplay').show().unbind().bind('click', pageLayoutEspot.broadtv.event.onclick_btnGotoProductDisplay); //상품상세 바로가기.
				$('#broadtv_btnShowLive').show().unbind().bind('click', pageLayoutEspot.broadtv.event.onclick_btnShowLive); //생방송 TV쇼핑. 생방송보기 버튼.
				$("#broadtv_btnNSTalkQuestion").off().on("click", pageLayoutEspot.broadtv.event.onclick_broadtv_btnNSTalkQuestion); //NsTalk 페이지 이동 function
			},
		}
	};
