
/* JavaScript content from js/layout/eSpotTmpl/cate/subcate.js in folder common */
/**
 * 	하위 매장 리스트 espot 
 */

	// 레이아웃 페이지내에 Espot 객체 정의
	// CurrentView.espot명으로 객체 정의
	pageLayoutEspot.subcate = {
			
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData 		= params.espotData;
			this.categoryId 	= params.categoryId;
			this.espotFullName 	= params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			// 리스트 영역에 고유 ID 부여
			$("#" + pageLayoutEspot.subcate.targetId).find("#subcateList").attr("id", pageLayoutEspot.subcate.targetId + "List");

			// 해당 espot이 상품리스트 등 반복 랜더링이 있는 경우 선언 및 호출
			this.ui.espotDraw(params);
			
			// 해당 espot에서 사용 할 이벤트 바인딩
			// espot 내부에서만 동작하게끔 바인딩 한다.
			$("#" + pageLayoutEspot.subcate.targetId).off().on("click","[name=subCategory]",pageLayoutEspot[this.espotNm].event.onclcik_subCategory);
		},
		
		onLoad : function(){
			
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			// 해당 espot이 상품리스트 등 반복 랜더링이 있는 경우 선언 및 호출
			// 페이징 처리시 레이아웃 공통에서 아래 함수 명으로 호출되므로 
			// 페이징 처리가 있는 espot이라면 필수!
			espotDraw : function(params){
				var slotNm 		= params.slotNm;
				var espotNm		= params.espotNm;
				var categoryId 	= params.categoryId;
				var espotData 	= params.espotData;
				
				var targetId 	= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
				
				var objDrawData = JSON.parse(JSON.stringify(espotData));	// object 복사
				
				/*
				 * 2018-02-26 ssong 하위 매장 url 이동을 위한 변수
				 * gotoSub 		: 바로 이동 매장 코드
				 * gotoSubFlag 	: 바로 이동 여부
				 * gotoSubIdx 	: 이동 할 매장 Index
				 */
				var gotoSub 	= params.gotoSub;
				var gotoSubFlag = false;
				var gotoSubIdx	= 99;
				
				//하위 매장 바로 이동 체크
				if(gotoSub){
					gotoSubFlag = true;
				}
				
				var html = "";
				if(objDrawData.length < 2){
					$("#"+ slotNm + "_" + categoryId + "_" + espotNm).remove();
					if(objDrawData[0] && objDrawData[0].categoryId){
						CurrentView.subcateId = objDrawData[0].categoryId;
					}
				} else {
					for (var i = 0; objDrawData.length > i; i++){
						html += '<li class="swiper-slide"><a name="subCategory" data-category-L-V="'+ params.categoryLV + '" id='+ objDrawData[i].categoryId +'>'+ objDrawData[i].categoryName +'</a></li>'; 
						
						//2018-02-26 ssong 하위 매장 url 이동 체크
						if(objDrawData[i].categoryId == gotoSub){
							gotoSubIdx	= i; 
						}
					}
					$("#"+ targetId +"List").html(html);
					
					//2018-02-26 ssong
					// 하위 매장 바로 이동여부에 따른 화면 표시
					if(gotoSubFlag){
						$("#"+ targetId +"List li").eq(gotoSubIdx).addClass("on");
						CurrentView.subcateId = gotoSub;//$("#"+ targetId +"List li").eq(gotoSubIdx).find("a").attr("id");
						CurrentView.subcateNm = objDrawData[gotoSubIdx].categoryName;
					} else {
						$("#"+ targetId +"List li:first").addClass("on");
						CurrentView.subcateId = $("#"+ targetId +"List li:first a").attr("id");
						CurrentView.subcateNm = $("#"+ targetId +"List li:first a").text();
					}
					
					//2018-02-27 ssong 하위 매장 이동시 단축 URL 로깅
					Ns.UI.pageShortUrlLog(CurrentView.categoryId , {"gotoSub" : pageLayoutEspot.subcateId});
					
					pageLayoutEspot.subcate.ui.subCateSlide();
					pageLayoutEspot.subcate.event.scroll_subCate();
				}
			},
			
			subCateSlide : function(){
				var $container = $('.dth_con .swiper-container');
				var $swiperWrap = $container.find('.swiper-wrapper');

				var cateWrapWidth = 0;
				var windowWidth = $(window).width();
				var cateSwiper;
				 
				$swiperWrap.find('.swiper-slide').each(function(i, e) {
					var subCateW = $(e).outerWidth();
					cateWrapWidth = cateWrapWidth + subCateW;
				});
				$swiperWrap.width(cateWrapWidth);
				if (windowWidth < cateWrapWidth) {
			       cateSwiper = new Swiper($container[0], {
			         slidesPerView: 'auto'
			       });
			    }
//				//하위매장 터치 swiper
//				 new Swiper('.dth_con .swiper-container', {
//					 pagination:{
//						 clickable : true,
//					 },
//					 slidesPerView:4.5,
//				 });
				
			}
		
		},
		
		// 이벤트 관련 함수 정의
		event : {
			onclcik_subCategory : function(e) {
				CurrentView.subcateId = $(this).attr("id");
				CurrentView.subcateNm = $(this).text();
					
				var targetSlot = (e.delegateTarget.id).split("_")[0];
				//ga360
				pageLayoutComm.taggingGA($("#"+targetSlot).data("espotname"), $(this).text());
				
				var invokeParams = {
					"catalogId"		: pageLayoutComm.ESPOT_CATALOG_ID
					,"categoryId" 	: $(this).attr("id")  
					,"topCategoryId" 	: CurrentView.categoryId  
					,"subCategoryId" 	: $(this).attr("id")
					,"themeCategoryId" 	: "" 
//					,"categoryLevel": $(this).data("categoryLV")  
					,"continueEspotId" : pageLayoutEspot.subcate.espotFullName
				};
				
				$(this).parent().siblings().removeClass("on");
				$(this).parent().addClass("on"); 
				
				var callback = function(data){
					Ns.UI.delVideojsObj();
					
					//슬롯 초기화
					pageLayoutComm.resetSlot(["2","3"],pageLayoutEspot.subcate.slotNm)
					
					// 페이징 처리 초기화
					CurrentView.pushFullEvent = false;
					CurrentView.listPageIdx = data.listPageIdx;
					
					// 화면 랜더링
					pageLayoutComm.validateEspot(data);
					
					// 스크롤 최상단
					$(window).scrollTop(0);
					
					//2018-02-27 ssong 하위 매장 이동시 단축 URL 로깅
					Ns.UI.pageShortUrlLog(CurrentView.categoryId , {"gotoSub" : pageLayoutEspot.subcateId});
				};
				
				mainCtrl.getLayoutData(null,invokeParams,callback);
			},
			
			scroll_subCate : function(){

				//MD추천테마 scroll위치에 따른 고정 보임, 숨김처리
				$(window).scroll(function(e){
					var headerTitle = $('.header .newTitle').outerHeight();
					var sct = $(window).scrollTop();
					
					if(sct > headerTitle){
						$('nav, .f_str_bx').not("#eSpot_temp >").addClass('fixed');
					}else{
						$('nav, .f_str_bx').not("#eSpot_temp >").removeClass('fixed');
					}
				   return false;
				});
			},
		}
	};

