
/* JavaScript content from js/layout/eSpotTmpl/prd/prdgrid.js in folder common */
/**
 *		기획서표기명	- 4) 정방형 x2 (리뉴얼)
 *		개발/논리명	- 그리드형
 */

	pageLayoutEspot.prdgrid = {
		
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			$("#" + pageLayoutEspot.prdgrid.targetId + " > #prdgridItems").attr("id", pageLayoutEspot.prdgrid.targetId + "Items");
			$("#" + pageLayoutEspot.prdgrid.targetId).off().on("click", ".items", pageLayoutEspot[this.espotNm].event.onclcik_shopping_info);
			
		},
		
		onLoad : function(params){
			this.ui.espotDraw(params);
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			espotDraw : function(params){

				var slotNm 			= params.slotNm
				, 	espotNm 		= params.espotNm
				,	categoryId 		= params.categoryId
				,	espotData 		= params.espotData
				,	espotFullName   = params.espotFullName
				,	espotCssList	= params.espotCssList;
				
				if(pageLayoutEspot.prdgrid.categoryId != params.categoryId){
					pageLayoutEspot.prdgrid.targetId = slotNm + "_" + categoryId + "_" + espotNm;
				}
				
				var targetId = pageLayoutEspot.prdgrid.targetId;

				// 상품 리스트 노출 여부
				if ($("#" + targetId + "Items > .items").length <= 0 && ( !espotData || espotData.length == 0 ) ){
					$("#" + targetId).hide();	// 영역 숨김 처리
					return false;
				}
				
				var objDrawData			= JSON.parse(JSON.stringify(espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length
				,	rankClass			= ""
				,	$frag = $(document.createDocumentFragment());
				
				if(espotCssList.rankDispYn == "Y"){
					rankClass = "icon_rank";
				}
				
				for (var i = 0; objDrawDataLength > i; i++){
					var itemsHtml 		= ""
						// 영역별 마크업 생성
						, imgUrl 		= Ns.Util.getImageUrl( objDrawData[i].partnumber, "O", objDrawData[i].adultItemFlag )
						, priceHtml 	= pageLayoutEspot.prdgrid.ui.makePriceHtml(
																				 objDrawData[i].dcPrice
																				, objDrawData[i].prcWaveDisp
																				, objDrawData[i].price
																				, objDrawData[i].dcRate);
					
						itemsHtml += Ns.Util.stringFormat('\
						 <div class="items">\
						     <a href="javascript:;">\
						         <div class="wrap_thumb">\
									<span class="img">\
										<img class="lazy" data-original="{0}"\
											src="./images/common/loading_square_medium.png"\
											onerror="this.src=\'./images/common/noimg_square_medium.png\'" alt="{3}_상품이미지"/>\
									</span>\
						         </div>\
						         <div class="wrap_info">\
						             <p class="name">\
						                 <span class="prd_name">{1}</span>\
						             </p>\
									{2}\
						         </div>\
						     </a>\
						 </div>'
						, imgUrl //0 이미지 
						, objDrawData[i].itncatentrynm //1 상품명
						, priceHtml //2 가격영역
						, objDrawData[i].partnumber // 3 상품코드
						);
					
						
					$frag.append(itemsHtml);
					$frag.children().eq(i).data({
						partnumber 		: objDrawData[i].partnumber
						, itncatentrynm	: objDrawData[i].itncatentrynm
						, espotFullName	: espotFullName
						, categoryId 	: categoryId
						, multiCd		: objDrawData[i].multiCd
						, rccode		: objDrawData[i].rccode
					});
					
					//상품 로그 노출
					if(pageLayoutComm.PROD_LOG_FLAG){
						var logParams = {
							itncatentrynm : objDrawData[i].itncatentrynm,
							seq 		  : objDrawData[i].seq,
							partnumber 	  : objDrawData[i].partnumber,
							rcmdId		  : (objDrawData[i].rcmdId || "")
						}
						pageLayoutComm.showProdLog(logParams);
					}
					
				}
					
				$("#" + targetId + "Items .dummy").remove();
				$("#" + targetId + "Items").addClass(rankClass).append($frag);
				
				pageLayoutComm.chkpagingBtn(categoryId, targetId, espotFullName , slotNm);
				mainCtrl.setLazyLoading();
				setTimeout(function(){
					$(window).scrollTop( $(window).scrollTop() + 1)
				},0)
			
			},
			
			//상품가격 영역
			makePriceHtml : function(dcPrice, prcWaveDisp, price, dcRate ){
				var intDcRate = isNaN(dcRate) ? 0 : parseInt(dcRate);
				var returnHtml = '<div class="purchase">';
				if(price != dcPrice && intDcRate > 0){
					returnHtml+=Ns.Util.stringFormat('\
							<span class="sale"><strong>{0}</strong>%</span>\
							<del class="prime"><span class="blind">할인전 가격</span>{1}원</del>\
							',dcRate,Ns.Util.insertCommas(price));
				}
				returnHtml += Ns.Util.stringFormat('\
						<span class="price"><strong>{0}</strong>원{1}</span>\
					</div>', Ns.Util.insertCommas(dcPrice), prcWaveDisp );
				return returnHtml;
			},
		},
		
		// 이벤트 관련 함수 정의
		event : {
			onclcik_shopping_info : function() {
				var $data = $(this).data();
				//ga360
				pageLayoutComm.taggingGA($data.espotFullName, $data.itncatentrynm);
				mainCtrl.gotoProductDisplay($data.partnumber, $data.multiCd, 'MOBIL', $data.espotFullName ,'','', $data.categoryId,'', $data.rccode);
			}
		}
	};
