
/* JavaScript content from js/layout/eSpotTmpl/prd/prdlarge.js in folder common */
/**
 *   기획서표기명	- 2)정방형 대형 
 *   개발/논리명	- 상품 대형 
 */

	pageLayoutEspot.prdlarge = {
		
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			$("#" + pageLayoutEspot.prdlarge.targetId + " > #prdlargeItems").attr("id", pageLayoutEspot.prdlarge.targetId + "Items");
			$("#" + pageLayoutEspot.prdlarge.targetId).off().on("click", ".items", pageLayoutEspot[this.espotNm].event.onclcik_shopping_info);
			
		},
		
		onLoad : function(params){
			this.ui.espotDraw(params);
		},
		
		//데이터 관련 함수 정의
		data : {
			
		},
		
		// ui 관련 함수 정의
		ui : {
			espotDraw : function(params){
				var slotNm 			= params.slotNm
				, 	espotNm 		= params.espotNm
				,	categoryId 		= params.categoryId
				,	espotData 		= params.espotData
				,	espotFullName   = params.espotFullName
				,	espotCssList	= params.espotCssList
				,	espotBadge	= params.espotBadge;
				
				if(pageLayoutEspot.prdlarge.categoryId != params.categoryId){
					pageLayoutEspot.prdlarge.targetId = slotNm + "_" + categoryId + "_" + espotNm;
				}
				
				var targetId = pageLayoutEspot.prdlarge.targetId;
				
				// 상품 리스트 노출 여부
				if ($("#" + targetId + "Items > .items").length <= 0 && ( !espotData || espotData.length == 0 ) ){
					$("#" + targetId).hide();	// 영역 숨김 처리
					return false;
				}
				
				
				var objDrawData			= JSON.parse(JSON.stringify(espotData))	// object 복사
				,	objDrawDataLength	= objDrawData.length;
				
				var $frag = $(document.createDocumentFragment());
				
				for (var i = 0; objDrawDataLength > i; i++){
					var itemsHtml 		= ""
						// 영역별 마크업 생성
						, promoHtml 	= pageLayoutEspot.prdlarge.ui.makePromoHtml(espotBadge)
						, deliveryHtml 	= pageLayoutEspot.prdlarge.ui.makeDeliveryHtml(objDrawData[i].dlvrFreeYn)
						, cardDCHtml 	= pageLayoutEspot.prdlarge.ui.makeCardDCHtml(objDrawData[i].promCardMaxRate)
						, reservesHtml 	= pageLayoutEspot.prdlarge.ui.makeReservesHtml(objDrawData[i].promPadYn, objDrawData[i].promPadCd, objDrawData[i].promPadVal)
						, promIfiHtml 	= pageLayoutEspot.prdlarge.ui.makePromIfi(objDrawData[i].promIfiVal)
						, onAirTimeHtml = pageLayoutEspot.prdlarge.ui.makeOnAirTimeHtml(objDrawData[i].onAirTime)
						, imgUrl 		= Ns.Util.getImageUrl( objDrawData[i].partnumber, "P", objDrawData[i].adultItemFlag )
						, priceHtml 	= pageLayoutEspot.prdlarge.ui.makePriceHtml(  objDrawData[i].dcRate
																				, objDrawData[i].dcPrice
																				, objDrawData[i].price
																				, objDrawData[i].prcWaveDisp)
						, ordQtyHtml	= pageLayoutEspot.prdlarge.ui.makeOrdQtyHtml(espotCssList, objDrawData[i].orderQty);
					
					itemsHtml += Ns.Util.stringFormat('\
						<div class="items">\
						    <a href="javascript:;">\
						        <div class="wrap_thumb">\
						            <div class="wrap_benefits">\
									{0}{1}{2}{3}{4}\
						            </div>\
						            <span class="img">\
										<img class="lazy" data-original="{6}"\
											 src="./images/common/loading_square_large.png"\
											 onerror="this.src=\'./images/common/noimg_square_large.png\'" alt="{10}_상품이미지"/>\
									</span>\
						        </div>\
						        <div class="wrap_info">\
									{5}\
						            <p class="name">{7}</p>\
						            <div class="purchase">\
										{8}\
										{9}\
						            </div>\
						        </div>\
						    </a>\
						</div>'
						, promoHtml		//0 프로모션뱃지
						, deliveryHtml 	//1 무배 뱃지
						, cardDCHtml	//2 카드할인률 뱃지
						, reservesHtml	//3 적립금 뱃지
						, promIfiHtml	//4 무이자 뱃지
						, onAirTimeHtml //5 방송예정시간
						, imgUrl		//6 상품 이미지
						, objDrawData[i].itncatentrynm //7 상품명
						, priceHtml 	//8 가격 영역
						, ordQtyHtml 	//9 구매수량
						, objDrawData[i].partnumber // 10 상품코드
					);
					
					$frag.append(itemsHtml);
					$frag.children().eq(i).data({
						partnumber 		: objDrawData[i].partnumber
						, itncatentrynm	: objDrawData[i].itncatentrynm
						, espotFullName	: espotFullName
						, categoryId 	: categoryId
						, multiCd		: objDrawData[i].multiCd
						, rccode		: objDrawData[i].rccode
					});
					
					//상품 로그 노출
					if(pageLayoutComm.PROD_LOG_FLAG){
						var logParams = {
							itncatentrynm : objDrawData[i].itncatentrynm,
							seq 		  : objDrawData[i].seq,
							partnumber 	  : objDrawData[i].partnumber,
							rcmdId		  : (objDrawData[i].rcmdId || "")
						}
						pageLayoutComm.showProdLog(logParams);
					}
					
				}
				
				$("#" + targetId + "Items .dummy").remove();
				$("#" + targetId + "Items").append($frag);
				
				pageLayoutComm.chkpagingBtn(categoryId, targetId, espotFullName , slotNm);
				mainCtrl.setLazyLoading();
				
			
			},
		
			//프로모션 뱃지
			makePromoHtml : function(espotBadge){
				var returnHtml = "";
				if(espotBadge){
					returnHtml += Ns.Util.stringFormat('\
							<div class="benefit banner">\
							<img src="http:{0}" alt="프로모션">\
							</div>', espotBadge);
				}
				return returnHtml;
			},
			
			//무료배송 뱃지
			makeDeliveryHtml : function(dlvrFreeYn){
				var returnHtml = "";
				
				if(dlvrFreeYn == "Y"){
					returnHtml += Ns.Util.stringFormat('\
						<div class="benefit">\
							<p>\
								<span class="icon">\
									<img src="./images/common/icons/ico_thumb_delivery.png" alt="무료배송">\
								</span>\
								<span class="info">무료배송</span>\
							</p>\
						</div>');
				}
				return returnHtml;
			},
			
			// 카드할인 뱃지
			makeCardDCHtml : function(promCardMaxRate){
				var returnHtml = "";
				if(promCardMaxRate > 0){
					returnHtml += Ns.Util.stringFormat('\
						<div class="benefit">\
							<p>\
								<span class="icon">\
									<img src="./images/common/icons/ico_thumb_card.png" alt="카드할인"/>\
								</span>\
								<span class="info">카드{0}%</span>\
							</p>\
						</div>', promCardMaxRate);
				}
				return returnHtml;
			},
			
			// 적립금 뱃지
			makeReservesHtml : function(promPadYn, promPadCd, promPadVal ){
				var returnHtml = "";
				
				if(promPadYn == "Y"){
					var promPadValHtml;
					if(promPadCd == "RTO"){
						promPadValHtml = promPadVal + "%";
					} else {
						promPadValHtml = Ns.Util.insertCommas(promPadVal) + "원 ";
					}
					
					returnHtml += Ns.Util.stringFormat('\
						<div class="benefit">\
							<p>\
								<span class="icon">\
									<img src="./images/common/icons/ico_thumb_reserves.png" alt="적립"/>\
								</span>\
								<span class="info">{0}적립</span>\
							</p>\
						</div>',promPadValHtml);
				}

				return returnHtml;
			},
			
			//무이자 할부
			makePromIfi : function(promIfiVal){
				var returnHtml = "";
				
				if(promIfiVal > 0){
					returnHtml += Ns.Util.stringFormat('\
						<div class="benefit">\
							<p>\
								<span class="icon">\
									<img src="./images/common/icons/ico_thumb_mouth.png"\	alt="무이자"/>\
								</span>\
								<span class="info">무이자{0}</span>\
							</p>\
						</div>', promIfiVal);
				}
				
				return returnHtml;
				
			},
			
			// 방송 예정 안내
			makeOnAirTimeHtml : function(onAirTime){
				var returnHtml = "";
				if(onAirTime){
					onAirTime = onAirTime.split("#");
					returnHtml += Ns.Util.stringFormat('\
						<p class="live">\
							<span class="date">{0}</span>\
							<span class="timer">{1}</span>\
		            	</p>',onAirTime[0],onAirTime[1]);
				}
				
				return returnHtml;
			},
			
			// 상품 가격 영역
			makePriceHtml : function(dcRate, dcPrice, price, prcWaveDisp ){
				var returnHtml = "";
				if(dcRate > 0){
					returnHtml += Ns.Util.stringFormat('\
							<span class="sale"><strong>{0}</strong>%</span>\
							<span class="price"><strong>{1}</strong>원{3}</span>\
	                		<del class="prime"><span class="blind">할인전 가격</span>{2}원{3}</del>'
							, dcRate
							, Ns.Util.insertCommas(dcPrice)
							, Ns.Util.insertCommas(price)
							, prcWaveDisp
						)
				} else {
					returnHtml += Ns.Util.stringFormat('\
							<span class="price"><strong>{0}</strong>원{1}</span>' 
							,  Ns.Util.insertCommas(dcPrice) ,prcWaveDisp
						)
				}
				
				return returnHtml;
			},
			
			//구매수량
			makeOrdQtyHtml : function(espotCssList, orderQty ){
				var returnHtml = "";
				if(espotCssList.ordQtyHide != "Y" && orderQty > 0 ){
					returnHtml += Ns.Util.stringFormat('\<span class="quant">{0}개 구매중</span>',Ns.Util.insertCommas(orderQty));
				}
				
				return returnHtml;
			}
		},
		
		// 이벤트 관련 함수 정의
		event : {
			onclcik_shopping_info : function() {
				var $data = $(this).data();
				//ga360
				pageLayoutComm.taggingGA($data.espotFullName, $data.itncatentrynm);
				mainCtrl.gotoProductDisplay($data.partnumber, $data.multiCd, 'MOBIL', $data.espotFullName ,'','', $data.categoryId,'', $data.rccode);
			}
		}
	};
