
/* JavaScript content from js/layout/eSpotTmpl/prd/prdlist.js in folder common */
/**
 *  리스트(기본)형 상품 리스트 espot
 */

	// 레이아웃 페이지내에 Espot 객체 정의	
	// CurrentView.espot명으로 객체 정의
	pageLayoutEspot.prdlist = {
			
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
			
		init : function( params ) {
			
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;

			// 상품리스트 영역에 고유 ID 부여
			$("#" + pageLayoutEspot.prdlist.targetId + " > #prdlistItems").attr("id", pageLayoutEspot.prdlist.targetId + "Items");
			$("#" + pageLayoutEspot.prdlist.targetId).off().on("click",".goods",pageLayoutEspot[this.espotNm].event.onclcik_shopping_info);
		},
		
		onLoad : function(params){
			this.ui.espotDraw(params);
			
		},
		
		data : {
			
		},
		
		ui : {
			espotDraw : function(params){
				var slotNm 		= params.slotNm;
				var espotNm 	= params.espotNm;
				var categoryId 	= params.categoryId;
				var espotData 	= params.espotData;
				var espotFullName	= params.espotFullName;
				var espotCssList	= params.espotCssList;
				
				if(pageLayoutEspot.prdlist.categoryId != categoryId){
					pageLayoutEspot.prdlist.targetId = slotNm + "_" + categoryId + "_" + espotNm;
				}
				
				var targetId = pageLayoutEspot.prdlist.targetId;

				
				// 상품 갯수에 따른 노출 여부
				if ($("#" + targetId + "Items > .goods").length <= 0 && ( undefined == espotData || espotData.length == 0 ) ){
					$("#" + targetId).hide();	// 영역 숨김 처리
					$("#" + slotNm).append("<div id=\"noDataPrint\">" + mainCtrl.getNoResultDataHtml( "조회된 상품이 없습니다." ) + "</div>");
					return false;
				}
				
				var objDrawData = JSON.parse(JSON.stringify(espotData));	// objtect 복사

				// data 커스텀
				for (var i = 0; objDrawData.length > i; i++){
					if (i == 0){
						CurrentView.totalCount = Number(objDrawData[i].totalCnt);	// 총 수량 추출 적재
					}
					
					//2018-06-14 ssong 상품 랭킹 적용
					if(espotCssList && espotCssList.rankDispYn == "Y"){
						var rankClass = objDrawData[i].seq < 11 ? "red" : "";
						objDrawData[i].rank = '<div class="ranking_num ' + rankClass  +'">' + objDrawData[i].seq + '</div>';
					}

					var tmpImageUrl = Ns.Util.getImageUrl( objDrawData[i].partnumber, "H", objDrawData[i].adultItemFlag );
					
					//상품 이미지 - LazyLoad 사용
					objDrawData[i].productImg = "<img class=\"lazy\" data-original=\"" + tmpImageUrl + "\" src=\"./images/common/loading_square_medium.png\" " 
					+ "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\"  alt=\"" + objDrawData[i].partnumber + "_상품 이미지\" />";
					
					
					//상품 이미지 - LazyLoad 미사용
					/*objDrawData[i].productImg = "<img src=\"" + tmpImageUrl 
					+ "\" onerror=\"this.src='http://image.nsmall.com/ec_comimages/itemimg/noimage_H.jpg';\"  alt=\"상품 이미지\" />";
					*/
					
					//Wapers 2017.09.25 옵션대표가 flag
					var optRepYn = "";
					if(undefined != objDrawData[i].prcWaveDisp){
						optRepYn = objDrawData[i].prcWaveDisp;
					} else {
						// empty for purpose
					}
					 
					// 가격정보
					objDrawData[i].priceInfo = "";
					if(objDrawData[i].dcRate > 0 ){
						objDrawData[i].priceInfo += '<span class="dct">' + objDrawData[i].dcRate + '<span class="per">%</span></span>' + '&nbsp;'; 
						
						objDrawData[i].priceInfo += '<span class="now_price">' + Ns.Util.insertCommas(objDrawData[i].dcPrice)+ '<span class="won">원'+optRepYn+'</span></span>'; 
						objDrawData[i].priceInfo += '<span class="original">' + Ns.Util.insertCommas(objDrawData[i].price) + '원'+optRepYn+'</span>';	

//						objDrawData[i].priceInfo += '<span class="now_price">' + Ns.Util.insertCommas(objDrawData[i].dcPrice)+ '<span class="won">원</span></span>'; 
//						objDrawData[i].priceInfo += '<span class="original">' + Ns.Util.insertCommas(objDrawData[i].price) + '원</span>'; 

					} else {

						objDrawData[i].priceInfo += '<span class="now_price">' + Ns.Util.insertCommas(objDrawData[i].dcPrice) + '<span class="won">원'+optRepYn+'</span></span>';

//						objDrawData[i].priceInfo += '<span class="now_price">' + Ns.Util.insertCommas(objDrawData[i].price) + '<span class="won">원</span></span>'; 

					}
					
					
					objDrawData[i].benefitAdv = "";
					//무료배송 여부
					if(objDrawData[i].dlvrFreeYn == "Y"){
						objDrawData[i].benefitAdv += '<li>무료배송</li>';
					}
					//카드 최대 할인
					if(objDrawData[i].promCardMaxRate > 0){
						objDrawData[i].benefitAdv += '<li>카드할인'+objDrawData[i].promCardMaxRate+'%</li>';
					}
					//적립금 적립 여부
					if(objDrawData[i].promPadYn == "Y"){
						objDrawData[i].benefitAdv += '<li>적립금</li>';
					}
					
					objDrawData[i].benefitPay = "";
					//일시불 할인 여부
					if(objDrawData[i].promLspYn == "Y"){
						if(objDrawData[i].promLspCd == "RTO"){
							objDrawData[i].benefitPay += '<li>일시불' + objDrawData[i].promLspVal + '%</li>';
						} else {
							objDrawData[i].benefitPay += '<li>일시불' + Ns.Util.insertCommas(objDrawData[i].promLspVal) + '원</li>';
						}
					}
					//무이자 할부 여부
					if(objDrawData[i].promIfiVal > 0){
						objDrawData[i].benefitPay += '<li>무' + objDrawData[i].promIfiVal +'</li>';
					}
					
					//미리계산용 체크에 상품번호 partnumber 와 ???multiCd value를 담는다.
					objDrawData[i].productNo = "";
					objDrawData[i].productNo += "<a href=\"javascript:preCalculate.onclick_btnOptionPop('" + objDrawData[i].partnumber + "','"+ objDrawData[i].multi_cd +"')\" class=\"bind-button-checkonoff\">"
												+ "<span class=\"icon-check\" id=\"check_"+ objDrawData[i].partnumber +"\">" + "</span>" + "</a>";
					
					objDrawData[i].categoryId = categoryId;
					objDrawData[i].espotFullName = espotFullName;
					
					//상품 로그 노출
					if(pageLayoutComm.PROD_LOG_FLAG){
						var logParams = {
							itncatentrynm : objDrawData[i].itncatentrynm,
							seq 		  : objDrawData[i].seq,
							partnumber 	  : objDrawData[i].partnumber,
							rcmdId		  : (objDrawData[i].rcmdId || "")
						}
						pageLayoutComm.showProdLog(logParams);
					}

				}
				
				Ns.UI.drawList(objDrawData, targetId + "Items" , "prdlistItems_temp", false , false);	// 화면 그리기
				//pageLayoutEspot.prdlist.ui.setListTitle(params.espotTitle);
				
				pageLayoutComm.chkpagingBtn(categoryId, targetId, espotFullName , slotNm);
				mainCtrl.setLazyLoading();
			},
			
			setListTitle : function(espotTitle){
				var targetId = "#" + pageLayoutEspot.prdlist.targetId; 
				
				if(espotTitle){
					$(targetId + "Title").text(espotTitle);
				} else {
					$(targetId + "Title").hide();
				}
			}
		
		},
		
		//
		event : {
			
			onclcik_shopping_info : function() {
				//ga360
				var $data = $(this).data("data");
				pageLayoutComm.taggingGA($data.espotFullName, $data.itncatentrynm);
				mainCtrl.gotoProductDisplay($data.partnumber,$data.multiCd, 'MOBIL', $data.espotFullName ,'','',$data.categoryId,'',$data.rccode);
			}
		}
	};
	
