
/* JavaScript content from js/layout/eSpotTmpl/vod/voddetaillist.js in folder common */
/*
 *  방송 VOD detail espot 
 */

	// 레이아웃 페이지내에 Espot 영역 정의
	pageLayoutEspot.voddetaillist = {

		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
			
		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			var $target = $("#" + this.targetId);
			$target.find("#voddetaillistMenu").attr("id", this.targetId + "Menu");
			$target.find("#voddetaillistItems").attr("id", this.targetId + "Items");
			$target.find("#voddetaillistMore").attr("id", this.targetId + "More");
			$target.off().on("click",".sort_btn", this.event.onclick_vod_sort_list);

			
			this.data.setSortData(params.espotTitle);
			this.ui.espotDraw (params);
		},
		
		onLoad : function(){
			//함수 비어있음.
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			setSortData : function(espotTitle){
				var categoryId 		= pageLayoutEspot.voddetaillist.categoryId;
				var targetEspotId 	= pageLayoutEspot.voddetaillist.espotFullName;
				var targetId 		= pageLayoutEspot.voddetaillist.targetId;
				var title 			= espotTitle;
				$("#" + pageLayoutEspot.voddetaillist.targetId).find(".sort_btn")
															.data("categoryid", categoryId)
															.data("targetespotid", targetEspotId)
															.data("targetid", targetId)
															.data("listpageidx", "1")
															.data("catename", title);
			}
		}, // end data functions.
		
		ui : {
			espotDraw  : function (params){
				if(pageLayoutEspot.voddetaillist.slotNm != params.slotNm){
					pageLayoutEspot.voddetaillist.initializeComponent(params);
					return false;
				}
			
				//totalcount는 여기서 세팅하는게 좋겠다.
				pageLayoutEspot.voddetaillist.ui.listDraw(params);
				
			},
			
			listDraw : function (params){
				pageLayoutEspot.voddetaillist.espotFullName = params.espotFullName	|| pageLayoutEspot.voddetaillist.espotFullName;
				pageLayoutEspot.voddetaillist.targetId 		= params.targetId 		|| pageLayoutEspot.voddetaillist.targetId;
				pageLayoutEspot.voddetaillist.categoryId 	= params.categoryId 	|| pageLayoutEspot.voddetaillist.categoryId;
				
				var data = params.espotData;
				var title = params.espotTitle || "";
				var targetId = pageLayoutEspot.voddetaillist.targetId;
				var listPageIdx = params.listPageIdx || CurrentView.listPageIdx;
				
				if(data.length > 0){
					//00. 소팅에 필요한 변수들 초기화
					var currnetItemCnt; // 현재 그려져 있는 VOD 갯수
					var sumCnt; 		// 현재 그려져 있는 VOD 와 조회된 VOD의 갯수 합
					var totalCnt; 		// 해당 espot의 총 VOD 갯수
					var sortGubun;		//	'1' : 'date', '2' : 'view',	'3' : 'like',
					
					currnetItemCnt	= $("#" + targetId + "Items li").length;
					sumCnt 			= currnetItemCnt + data.length;
					totalCnt 		= Number(data[0].totalCount);
					sortGubun 		= data[0].sortGubun;
					
					//01. 정렬 기준 활성화
					$('#sort_list li').removeClass("on").eq(Number(sortGubun) - 1).addClass("on");

					//02. 상품 그리기
					var Items = $('#' + targetId + "Items");
					var ObjDrawData = JSON.parse(JSON.stringify(data));
					
					for (var i = 0 ; i < ObjDrawData.length ; i++){
						var detaillist = ObjDrawData[i];
						var TempList = '';
						TempList += '<li class="list_wrap" id="voddetaillistTemp_' + detaillist.vodId+'"></li>';
						Items.append(TempList);
						pageLayoutEspot.voddetaillist.ui.makeList(detaillist);
					}
					
					//vod 더보기 버튼 출력 유무
					if(totalCnt > sumCnt){
						CurrentView.continueEspotId = "N"; 
						CurrentView.pageCallYn = "N";
						pageLayoutEspot.voddetaillist.ui.drawMoreBtn(title , sumCnt ,sortGubun, listPageIdx);
					} else {
						$("#" + pageLayoutEspot.voddetaillist.targetId + "More").remove();
					}

				} else if( $("#" + targetId + "Items li").length <= 0 ){
					$("#" + targetId).hide();
				}
			},
			
			makeList : function(list){
				var vodName 	= list.vodName;
				var vodDescribe = list.vodDescribe;
				var vodPath 	= list.vodPath;
				var vodId 		= list.vodId;
				var contentId 	= list.contentId; 
				var play 		= list.vodPlayCount;
				var like 		= list.vodLikeCount;
				var date 		= list.initRegiDttm;
				
				var protocol 	= "http:";
				var imgUrl 		= protocol + list.imgUrl;
				
				like = Ns.Util.insertCommas(like);
				play = Ns.Util.insertCommas(play);
				date = date.replace(/-|:|(\s*)/g,''); //AS-IS : 2018-10-01 17:47:47 || TO-BE : 20181001174747
				date = Ns.Date.vodDateDiff(date);
				
				var timerHtml = '<span class="timer" id="voddetaillistTimer_'+ vodId +'">00:00</span>';
				   
				if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
					timerHtml = '';
				} else {
					pageLayoutEspot.voddetaillist.ui.setTimer(vodId,vodPath);
				}
				
				var tempHtml = Ns.Util.stringFormat('																					\
						<a href="javascript:mainCtrl.gotoVideoDisplay({0},null,null,null,{1});" class="vod_thumb_item">					\
							<div class="img_thumb">																						\
								<img src="{2}" onerror="this.src=\'./images/marketing/list_no_img.png\';"/>								\
								{8}																										\
								<p class="icon_play" role="button"><span class="blind">동영상 보기</span></p>								\
							</div>																										\
							<div class="info">																							\
								<div class="txt_wrap">																					\
									<p class="txt">{3}</p>																				\
									<p class="sub_txt">{4}</p>																			\
								</div>																									\
								<div class="badge_wrap">																				\
									<span class="badge_play icon_dash">{5}</span>														\
									<span class="badge_good icon_dash">{6}</span>														\
									<span class="day">{7}</span>																		\
								</div>																									\
							</div>																										\
						</a>'
						,vodId, contentId, imgUrl, vodName, vodDescribe, play, like, date, timerHtml);
				
				$('#' + pageLayoutEspot.voddetaillist.targetId + "Items").find('#voddetaillistTemp_' + vodId).html(tempHtml);
			},
			
			setTimer : function(vodId, vodPath){
				var timer 	= '';
				var htmlTxt = '';
				htmlTxt += "	<video id='" + pageLayoutEspot.voddetaillist.targetId + "_" + vodId + "' class='video-js vjs-default-skin vjs-big-play-centered' webkit-playsinline style='display:none;'>";
				htmlTxt += '		<source src="' + vodPath + '" type="video/mp4" >';
				htmlTxt += '		Your browser does not support the video tag.';					
				htmlTxt += '	</video>';

				$('#'+pageLayoutEspot.voddetaillist.targetId).append(htmlTxt);
				
				var vvid = videojs( pageLayoutEspot.voddetaillist.targetId + "_" + vodId , {
								  	  preload	: "metadata" 
								  	, poster	: ""
									, height	: 0
									, width 	: 0 
								});
				
				vvid.one('loadedmetadata', function(){
					timer = mainCtrl.setDurationTimeForm(vvid.duration());
					$('#' + pageLayoutEspot.voddetaillist.targetId + "Items").find("#voddetaillistTimer_" + vodId).text(timer);
					$("#" + pageLayoutEspot.voddetaillist.targetId + "_" + vodId).remove();
				});
				
				vvid.on("canplay", function(){
					vvid.dispose();
				});
			},
			
			drawMoreBtn : function(title, sumCnt ,sortGubun, listPageIdx){
				var categoryId 		= pageLayoutEspot.voddetaillist.categoryId;
				var targetEspotId 	= pageLayoutEspot.voddetaillist.espotFullName;
				var targetId		= pageLayoutEspot.voddetaillist.targetId;
				var cateName 		= title;
				
				var moreBtnId 		= pageLayoutEspot.voddetaillist.targetId + "More";
				
				var moreBtnHtml = Ns.Util.stringFormat('\
						<div class="more_info">\
							<div class="more_btn_wrap" id="{0}">\
								<button class="btn">VOD 더 보기</button>\
							</div>\
						</div>'
						, moreBtnId
						, title
						);
				$("#" + pageLayoutEspot.voddetaillist.targetId + "Items").after(moreBtnHtml);
				
				$("#" + moreBtnId).data("categoryid", categoryId)
									.data("targetespotid", targetEspotId)
									.data("listpageidx", listPageIdx)
									.data("sortgubun" ,sortGubun)
									.data("catename", cateName)
									.data("targetid", targetId)
									.off().on("click" , pageLayoutEspot.voddetaillist.event.onclick_vodMore_btn);
			}
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_vodMore_btn : function(){
				var $this 			= $(this);
				var cateName 		= $this.data("catename");
				var espotFullName	= $this.data("targetespotid");
				var targetId		= $this.data("targetid");
				
				var callbackFn = function(data){
					var returnData = {
						espotData 			: data.msg.espotList[0]["_" + data.targetEspotId]
					 	, espotTile 		: cateName
					 	, espotFullName 	: espotFullName
					 	, targetId	 		: targetId
					 	, listPageIdx		: data.msg.listPageIdx
					}
					
					pageLayoutEspot.voddetaillist.ui.listDraw(returnData);
					$this.parent().remove();
				}
				pageLayoutComm.clickPagingProcess(callbackFn, $this);
			},
			
			onclick_vod_sort_list : function(){
				var $this 			= $(this);
				var cateName 		= $this.data("catename");
				var espotFullName	= $this.data("targetespotid");
				var targetId		= $this.data("targetid");
				$this.data("sortgubun",$this.find("a").attr("sort-code"));
				
				var callbackFn = function(data){
					$("#" + pageLayoutEspot.voddetaillist.targetId + "Items").html('');
					$("#" + pageLayoutEspot.voddetaillist.targetId + "More").parent().remove();
					
					var returnData = {
						espotData 			: data.msg.espotList[0]["_" + data.targetEspotId]
					 	, espotTile 		: cateName
					 	, espotFullName 	: espotFullName
					 	, targetId	 		: targetId
					 	, listPageIdx		: data.msg.listPageIdx
					};
					pageLayoutEspot.voddetaillist.ui.listDraw(returnData);
				}
				pageLayoutComm.clickPagingProcess(callbackFn, $this);
			}
		} // end event functions.
	};