
/* JavaScript content from js/layout/eSpotTmpl/vod/vodlist.js in folder common */
/*
 *  방송 VOD list espot
 *  sort , paging 없음 
 */

	// 레이아웃 페이지내에 Espot 영역 정의
	pageLayoutEspot.vodlist = {

		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
			
		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			$("#" + this.targetId).find("#vodlistItems").attr("id", this.targetId + "Items")
						 		  .find("#vodlistMore").attr("id", this.targetId + "More");
			
			this.ui.espotDraw (params);
		},
		
		onLoad : function(){
			//함수 비어있음.
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
		
		}, // end data functions.
		
		ui : {
			espotDraw  : function (data){
				if(pageLayoutEspot.vodlist.slotNm != data.slotNm){
					pageLayoutEspot.vodlist.initializeComponent(data);
					return false;
				}
				pageLayoutEspot.vodlist.ui.listDraw(data.espotData);
			},
			
			listDraw : function (data){
				if(data.length > 0){
					//상품 그리기
					var Items = $('#' + pageLayoutEspot.vodlist.targetId+"Items");
					var ObjDrawData = JSON.parse(JSON.stringify(data));
					
					for (var i = 0 ; i < ObjDrawData.length ; i++){
						var list = ObjDrawData[i];
						var TempList = '';
						TempList += '<li class="list_wrap" id="vodlistTemp_'+list.vodId+'"></li>';
						Items.append(TempList);
						pageLayoutEspot.vodlist.ui.makeList(list);
					}
				} else if( $("#" + pageLayoutEspot.vodlist.targetId + "Items .img_thumb").length <= 0 ){
					$("#" + pageLayoutEspot.vodlist.targetId).hide();
				}		
			},
			
			makeList : function(list){
				var vodName 	= list.vodName;
				var vodDescribe = list.vodDescribe;
				var vodPath 	= list.vodPath;
				var vodId 		= list.vodId;
				var contentId 	= list.contentId; 
				var play 		= list.vodPlayCount;
				var like 		= list.vodLikeCount;
				var date 		= list.initRegiDttm;
				var protocol 	= "http:";
				var imgUrl 		= protocol + list.imgUrl;
				
				like = Ns.Util.insertCommas(like);
				play = Ns.Util.insertCommas(play);
				date = date.replace(/-|:|(\s*)/g,''); //AS-IS : 2018-10-01 17:47:47 || TO-BE : 20181001174747
				date = Ns.Date.vodDateDiff(date);
				
				var timerHtml = '<span class="timer" id="vodlistTimer_'+ vodId +'">00:00</span>';
				
				if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
					timerHtml = '';
				} else {
					pageLayoutEspot.vodlist.ui.setTimer(vodId,vodPath);
				}
				
				var tempHtml = Ns.Util.stringFormat('																					\
						<a href="javascript:mainCtrl.gotoVideoDisplay({0},null,null,null,{1});" class="vod_thumb_item">					\
							<div class="img_thumb">																						\
								<img src="{2}" onerror="this.src=\'./images/marketing/list_no_img.png\';"/>								\
								{8}																										\
								<p class="icon_play" role="button"><span class="blind">동영상 보기</span></p>								\
							</div>																										\
							<div class="info">																							\
								<div class="txt_wrap">																					\
									<p class="txt">{3}</p>																				\
									<p class="sub_txt">{4}</p>																			\
								</div>																									\
								<div class="badge_wrap">																				\
									<span class="badge_play icon_dash">{5}</span>														\
									<span class="badge_good icon_dash">{6}</span>														\
									<span class="day">{7}</span>																		\
								</div>																									\
							</div>																										\
						</a>'
						,vodId, contentId, imgUrl, vodName, vodDescribe, play, like, date, timerHtml);
				
				$('#' + pageLayoutEspot.vodlist.targetId + "Items").find('#vodlistTemp_' + vodId).html(tempHtml);
			},
			
			setTimer : function(vodId, vodPath){
				var timer 	= '';
				var htmlTxt = '';
				htmlTxt += "	<video id='" + pageLayoutEspot.vodlist.targetId + "_" + vodId + "' class='video-js vjs-default-skin vjs-big-play-centered' webkit-playsinline style='display:none;'>";
				htmlTxt += '		<source src="' + vodPath + '" type="video/mp4" >';
				htmlTxt += '		Your browser does not support the video tag.';					
				htmlTxt += '	</video>';

				$('#'+pageLayoutEspot.vodlist.targetId).append(htmlTxt);
				
				var vvid = videojs( pageLayoutEspot.vodlist.targetId + "_" + vodId , {
								  	  preload	: "metadata" 
								  	, poster	: ""
									, height	: 0
									, width 	: 0 
								});
				
				vvid.one('loadedmetadata', function(){
					timer = mainCtrl.setDurationTimeForm(vvid.duration());
					$('#' + pageLayoutEspot.vodlist.targetId + "Items").find("#vodlistTimer_" + vodId).text(timer);
					$("#" + pageLayoutEspot.vodlist.targetId + "_" + vodId).remove();
				});
				
				vvid.on("canplay", function(){
					vvid.dispose();
				});
			}
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			
		} // end event functions.
	};