
/* JavaScript content from js/layout/eSpotTmpl/vod/vodlive.js in folder common */
/**
 * 	방송 LIVE espot
 */

	// 레이아웃 페이지내에 Espot 객체 정의
	pageLayoutEspot.vodlive = {
			
		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
		
		REMAINING_TIME : null,
		
		//상품정보
		PARTNUMBER	: null,
		MULTICD		: null,
		
		//접속 유형
		BUSCHNID	: null,
		
		vodPlayGubun : "",
		
		//이미지 URL 관련
		THUMBNAIL_IMAGE_URL : null,
		noImageUrlWide : Const.NO_IMAGE_URL + "noimage_X6.jpg",
				
		// NS Talk 롱링메시지 갯수
		ROLLING_MAX : 0, 
		
		isRefresh : false,
	
		// espot이 그려지고  레이아웃 공통에서 호출 하는 최초 실행 함수
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			//2018-02-19 ssong 스크롤시 재생 멈춤
			//$(window).off("scroll.stopVideo").on("scroll.stopVideo", this.event.onscroll_stopVideo);
		},
		
		onLoad : function(params){
			mainCtrl.bVideoplay = false;
			pageLayoutEspot.vodlive.data.callVodLiveData();
		},
		
		//데이터 관련 함수 정의
		data : {
			
			// 방송 정보 조회
			callVodLiveData : function (){
				var targetEspotId 	= pageLayoutEspot.vodlive.espotFullName;
				var categoryId 		= pageLayoutEspot.vodlive.categoryId;
				var callbackFunc 	= function(data) {
					if(data.msg && data.msg[0]["_"+pageLayoutEspot.vodlive.espotFullName]){
						data = data.msg[0]["_"+pageLayoutEspot.vodlive.espotFullName][0];
					}
					
					pageLayoutEspot.vodlive.ui.espotDraw(data);
				}
				pageLayoutComm.callNSmobileNoCacheData( targetEspotId, categoryId , callbackFunc);
				
			},
		},
		
		// ui 관련 함수 정의
		ui : {
			espotDraw : function(data){
				if(!data || !Object.keys(data).length){
					return false;
				} else {
					$("#" + pageLayoutEspot.vodlive.targetId).hide();
				}
				
				var vodMainPrd	= data._vod_main_product
				,	vodRelPrd	= data._vod_relation_product;
				
				// 방송 상품 영역
				pageLayoutEspot.vodlive.ui.setVodLiveArea(data);
				
				//메인 상품
				if(vodMainPrd.length > 0){
					pageLayoutEspot.vodlive.ui.drawProdArea(vodMainPrd,"main");
				}
				
				//연관 상품
				if(vodRelPrd.length > 0){
					pageLayoutEspot.vodlive.ui.drawProdArea(vodRelPrd,"rel");
				}
				
				$("#" + pageLayoutEspot.vodlive.targetId).show();
				
			},
			
			
			drawProdArea : function(prdList , type){
				var listId = (type == "main" ? "ulMainPrdtList" : "ulRelPrdtList");
				$("#" + listId).html("");
				
				for ( var k = 0; k < prdList.length; k++ ) {
					var info = prdList[k].productDetail;
					
					if(!info) continue;
				
					// 상품 이미지
					var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
					var imageUrl = Ns.Util.getImageUrl( info.partnumber, "H" );
					
					// 상품명
					var productName = Ns.UI.getProductName( info.brandCd, info.brand_kor_nm, info.itncatentrynm );
					
					//판매가
					var offerPrice = Ns.Util.insertCommas( info.priceofferprice );
	
					// 연관상품 별 주문하기 버튼 셋팅
					var func = "mainCtrl.gotoProductDisplay";
					var orderNm = "주문하기";
					
					// 무이자
					var exIfi = ['',''];
					if(info.ifiValue != 0 && info.ifiValue != null){
						exIfi[0] = "<span class=\"head\">무이자 </span>";
						exIfi[1] = info.ifiValue;
	            	}
					
					// multiCd
					var tmp_multiCd = null;
					if(info.multiCd != ""){
						tmp_multiCd = info.multiCd;
					}
	            	
					// 옵션대표가 flag
					var optRepYn = "";
					if(undefined != info.prcWaveDisp){
						optRepYn = info.prcWaveDisp;							
					}
	
					if(optRepYn == "~"){
						optRepYn = "원~";
					} else {
						optRepYn = "원";
					}
					
					// 연관상품 영역 셋팅
	            	var prcHtml = Ns.Util.stringFormat('\
			            	<li class="items">\
								<div class="thumbnail"><a href="javascript:{4}({0},{1},\'{2}\');"><img src="{3}" onerror="this.src=\'{13}\';" alt="상품 이미지"></a></div>\
								<dl class="info_item">\
									<dt class="title"><a href="javascript:{9}({5},{6},\'{7}\');">{8}</a></dt>\
									<dd class="more">\
										<div class="tag item-feature interest-free">{10}<span class="mon">&nbsp;{11}</span></div>\
										<div class="price">{12}<span class="won">{14}</span></div>\
									</dd>\
			            			<dd class="modal_button"><a href="javascript:{18}({15},{16},\'{17}\');">{19}</a></dd>\
								</dl>\
							</li>',
							info.partnumber, tmp_multiCd, info.busChnId, imageUrl, func,
							info.partnumber, tmp_multiCd, info.busChnId, productName, func,
							exIfi[0], exIfi[1], offerPrice, noImageUrl, optRepYn,
			            	info.partnumber, tmp_multiCd, info.busChnId, func, orderNm);
	            	
	            	$("#" + listId).append(prcHtml);
				}
			},
			
			//방송 남은 시간 설정
			setVodLiveTime : function( ) {
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(pageLayoutEspot.vodlive.ui.sOnTimer, 1000);
			},
			
			sOnTimer : function() {
				
				if( pageLayoutEspot.vodlive.REMAINING_TIME == null ) {
					mainCtrl.checkTimerObject(); //destory timer
					$("#" + pageLayoutEspot.vodlive.targetId).hide();
					return false;
				}
				
				var timeLimit = Ns.Date.getPeriodDate(pageLayoutEspot.vodlive.REMAINING_TIME, "json" );
				
				var day = timeLimit.day;
				var hour = Number(timeLimit.hour) + (day * 24);
				var min = timeLimit.minute;
				var second = timeLimit.second;
				
				if ( timeLimit.hour == 23 && timeLimit.minute == 59 && timeLimit.second >= 30 ) {
					pageLayoutEspot.vodlive.REMAINING_TIME = null;
					mainCtrl.checkTimerObject(); //destory timer					
					videojs.getPlayer(pageLayoutEspot.vodlive.targetId + "_video").dispose();
					
					var objAlertParam = new Object();
					if(pageLayoutEspot.vodlive.vodPlayGubun == "VIDEO"){
						objAlertParam.aletType 	= "nAlert";
						objAlertParam.position 	= "center";
						objAlertParam.msg 		= "해당 방송이 시작되었습니다.";
						Ns.Popup.cAlert(objAlertParam);
					}
					pageLayoutEspot.vodlive.data.callVodLiveData(); //신규 방송 상품 조회
				} else {
					$("#vodLiveTimer").html( hour + ':'+ min +':'+ second );
				}
			},

			/**
			 * 방송상품 영역
			 */
			setVodLiveArea : function(data){
				try {
					
					var	vodLiveStartDttm	= data.vodLiveStartDttm			//라이브동영상 시작일시분초 (ex.20190228163000) startDttm
					,	vodLiveEndDttm		= data.vodLiveEndDttm			//라이브동영상 종료일시분초
					,	vodLiveGoodsNm		= data.vodLiveGoodsNm			//라이브편성명
					,	vodLiveId			= data.vodLiveId				//라이브편성코드
					,	vodLiveImg			= data.vodLiveImg				//라이브 이미지
					,	vodNstalkYn			= data.vodNstalkYn				//NSTALK 사용 여부 Y/N
					,	vodPlayGubun		= data.vodPlayGubun				//PLAY_GUBUN : 'VIDEO':예고, 'LIVE':라이브
					,	vodVideoUrl			= data.vodVideoUrl				//예고동영상 URL
					
					var targetId	= pageLayoutEspot.vodlive.targetId;
					var progressBar = "";	//비디오 재생바 노출 여부
					var gubun		= "1";	//로그 적재용 구분값 - 1 : 예고 , 2 : 본방
					var mediaType 	= "video/mp4";
					
					pageLayoutEspot.vodlive.vodPlayGubun = vodPlayGubun;
					
					if(vodPlayGubun == "LIVE"){
						pageLayoutEspot.vodlive.REMAINING_TIME = vodLiveEndDttm;
						vodVideoUrl = Const.LIVE.url.shopPlay;
						progressBar = "progress_off";
						gubun		= "2";
						mediaType	= "application/x-mpegURL";
					} else {
						pageLayoutEspot.vodlive.REMAINING_TIME = vodLiveStartDttm;
					}
										
					//방송 남은 시간 설정
					pageLayoutEspot.vodlive.ui.setVodLiveTime();
					pageLayoutEspot.vodlive.util.initEvent();
					
					
					var playsinline = "webkit-playsinline";
					if( mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
						playsinline = "playsinline";
					}

					var tempHtml = Ns.Util.stringFormat('\
						<div class="video_info_wrap">\
							<p class="onair thinglive" id="timerWrap" style="display:none">\
								<span class="broad_timer" id="vodLiveTimer">00:00</span>\
							</p>\
							<div class="etv_title">\
								<dl>\
									<dt>\
										<a href="javascript:;" id="vodLivePrdName">{3}</a>\
									</dt>\
								</dl>\
							</div>\
						</div>\
			            <video id="{0}" poster="{1}" class="video-js vjs-default-skin vjs-16-9 vjs-big-play-centered {4}" {6} controls width="100%" height="100%">\
							<source src="{2}" type="{5}">\
								<p class="vjs-no-js"> 이 사이트의 기능을 모두 활용하기 위해서는 자바스크립트를 활성화 시킬 필요가 있습니다.\
							<a href="https://www.enable-javascript.com/ko/"> 브라우저에서 자바스크립트를 활성화하는 방법</a>을 참고 하세요. </p>\
						</video>', targetId + "_video"   , vodLiveImg , vodVideoUrl, vodLiveGoodsNm, progressBar, mediaType, playsinline);
					
					
					$(".video_wrap.video_target_0").html(tempHtml);

					if(videojs.getPlayer(targetId + "_video")){
						videojs.getPlayer(targetId + "_video").dispose();
					}
					
					var vvid = videojs( targetId + "_video" , { preload : "metadata"} );
					
					if(vodPlayGubun == "LIVE"){
						vvid.controlBar.progressControl.disable();
						$("#timerWrap").show();
					} else {
						$("#timerWrap").hide();
					}
					
					if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios"){
						vvid.controlBar.fullscreenToggle.hide();
						vvid.controlBar.fullscreenToggle.disable();
					}
					
					vvid.one('play',function(data){
						if(vodPlayGubun == "LIVE"){
							pageLayoutEspot.vodlive.event.onclick_btnNSTalkQuestion(true);
						}else{
							$(".etv_title").css("z-index","-100");
							//영상 플레이 로그 적재
							var invokeParams = {};
							invokeParams.vodLiveId 	= vodLiveId;
							invokeParams.viewGubun 	= "VODLIVE";
							invokeParams.memberId 	= USERINFO.custNum();
							invokeParams.gubun 		= gubun;
							tran.callWCSJsonTran('NSMobVodPlayCmd',invokeParams,null);
							
							invokeParams.subcateId = CurrentView.subcateId;
							tran.callPageLogging( CurrentView.categoryId , invokeParams );
						}
					});
					vvid.on('play',function(data){
						if(vodPlayGubun != "LIVE"){
							$("#timerWrap").hide();
							if(CurrentView.playingVideo && CurrentView.playingVideo.id != data.target.id){
								CurrentView.playingVideo.player.pause();
							}
							CurrentView.playingVideo = data.target;
						}
					});
					
					vvid.on('pause',function(){
						if(pageLayoutEspot.vodlive.vodPlayGubun == "LIVE"){
							$("#timerWrap").show();
						}
					});
					
					if(vodNstalkYn == "Y"){
						// nstalk 롤링 호출 시작
						mainCtrl.nstalk_goodId 		= vodLiveId;
						mainCtrl.nstalk_startdtm 	= vodLiveStartDttm;
						mainCtrl.nstalk_enddtm 		= vodLiveEndDttm;
						pageLayoutEspot.vodlive.ui.set_NsTalkRolling_Ajax(); //1. 처음 한번 실행 (초기 조회)
						pageLayoutEspot.vodlive.ui.set_NsTalkRolling();      //2. 10초 마다 실행 (두번째부터 실행)
					}
					
				} catch(e) {
					$("#" + pageLayoutEspot.vodlive.targetId).hide();
					$("#btnNSTalkQuestion").hide();
					pageLayoutEspot.vodlive.util.regErrlog('setVodLiveArea', e);
					return false;
				}
			},
			
			/**
			 * NStalk API 조회
			 */
			set_NsTalkRolling_Ajax : function(){
				
				
				var data = {
						code 		: mainCtrl.nstalk_goodId
						, count 	: 5
						, start_date: mainCtrl.nstalk_startdtm
						, end_date 	: mainCtrl.nstalk_enddtm
					};
				
				$.ajax({
						url         	: "http://" + Const.SHOPPLAY_TALK_PATH + "/api/messages",
						data        	: data,
						crossDomain		: true,
						type        	: 'POST',
						dataType   		: 'json',
						success     	: function(data){
							if (data.code == "0"){
								//== 화면셋팅 - sypark
								pageLayoutEspot.vodlive.ui.set_NsTalkApiObject(data);
							}else{
								//console.error(data.errors);
							}
						},
						error: function(data) {
							//17.08.23 ajax 실패 처리 hide 처리-- sypark
							$("#btnNSTalkQuestion").hide();
							$("#talkMsgCnt").html('0');
							$("#rollingMsg").html('ajax통신 실패..');
							//console.error("실패", data);
						}
				});
			}, 
			
			/**
			 * NStalk API 조회후 받아온 obj 셋팅 - sypark
			 */
			set_NsTalkApiObject : function(data) {
				var infoBankObj = data;
				
				var innerHtml ="";
				//== api에서 받아온 obj 체크 
				if ( infoBankObj != null && infoBankObj.count != 0 && infoBankObj.talk_enable == true ) {
					$("#btnNSTalkQuestion").show();
					var messageList = infoBankObj.messages;
					for( var i = 0; i < messageList.length; i++ ) {
						innerHtml += "<li>";
						innerHtml += "	<a>";
						innerHtml += messageList[i].msg;
						innerHtml += "	</a>";
						innerHtml += "</li>";
					}
					pageLayoutEspot.vodlive.ROLLING_MAX = infoBankObj.messages.length;
					$("#talkMsgCnt").html(infoBankObj.count);
					$("#rollingMsg").html(innerHtml);
				} else {
					$("#btnNSTalkQuestion").hide();
					$("#talkMsgCnt").html('0');
				}
			},
			
			/*
			 * NS talk 롤링 처리 
			 * */
			setRollingTalkMsg : function () {
				$('.rt_talk ul').removeClass('ani');//animation 효과삭제
				if(pageLayoutEspot.vodlive.ROLLING_IDX < (pageLayoutEspot.vodlive.ROLLING_MAX - 1)){
					$('.rt_talk ul').animate({
						marginTop:"-=40px"
					});
					if ( pageLayoutEspot.vodlive.ROLLING_MAX != 1) {
						pageLayoutEspot.vodlive.ROLLING_IDX++;
					}
				}else{
					$('.rt_talk ul').css('marginTop','0px');
					$('.rt_talk ul').addClass('ani');//animation 효과추가 
					pageLayoutEspot.vodlive.ROLLING_IDX = 0;
				}
			},
			
			/**
			 * NsTalk 10초 간견으로-ymma
			 */
			set_NsTalkRolling : function() {
				mainCtrl.checkNsTalkTimerObject();
				mainCtrl.nsTalk_timer = setInterval(pageLayoutEspot.vodlive.ui.set_NsTalkRolling_Ajax, 10000); //10초 간격으로 호출
				navi.arrInteval.push(mainCtrl.nsTalk_timer); //pageNavigate.js에 clearAllIntervalList 에 넣어 준다.
				navi.arrInteval.push(setInterval(pageLayoutEspot.vodlive.ui.setRollingTalkMsg, 2000));  //애니메이션 실행
			},
			
		},
		
		// 이벤트 관련 함수 정의
		event : {
			// 생방송 참여하기(ns Talk) -- sypark
			onclick_btnNSTalkQuestion : function(pPlayYn) {
				var playYn = pPlayYn ? true : false;
				if (!mainCtrl.checkLogonStatus()) {
					Ns.Popup.alert("로그인 후 이용해 주세요.", function() {
						mainCtrl.gotoLogin( {pageId:"M_G3100000M", isOnlyUser:true,playYn:playYn} );
					});
					return;
				} else { 
					mainCtrl.navigate("M_G3100000M",{playYn:playYn});
				}
			},
			
			/*
			 * 2018-02-19 ssong
			 * 스크롤시 동영상 재생 멈춤
			 */
			onscroll_stopVideo : function(){
				var scr_now = $(window).scrollTop() + $('#pageHeader').outerHeight();
				if(scr_now > $(".etv_title").offset().top){
					if(mainCtrl.bVideoplay == true){
						if($("#vid").length>0){
							$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
							document.getElementById('vid').pause();
						}
					}
					mainCtrl.bVideoplay = false;
				}
			},
			
			onclick_btnOrderNow : function(){
				$(".toggle_cont").slideToggle("fast");
				return false;
			}
		},
		
		util : {
			regErrlog : function(funcNm, e){
				console.error("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
			},

			initEvent : function(){
				$("#btnNSTalkQuestion, #btnVodNSTalk").off().on("click", function(){pageLayoutEspot.vodlive.event.onclick_btnNSTalkQuestion(false)}); //NsTalk 페이지 이동 function
				$("#btnOrderNow").off().on("click", pageLayoutEspot.vodlive.event.onclick_btnOrderNow)
			},
		}
	};