
/* JavaScript content from js/layout/eSpotTmpl/vod/vodswiper.js in folder common */
/*
 *  방송 VOD espot 
 */

	// 레이아웃 페이지내에 Espot 영역 정의
	pageLayoutEspot.vodswiper = {

		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
			
		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
		
			$("#"+pageLayoutEspot.vodswiper.targetId).find("#vodswiper").attr("id",pageLayoutEspot.vodswiper.targetId);
			$("#"+pageLayoutEspot.vodswiper.targetId+" #vodswiperItems").attr("id",pageLayoutEspot.vodswiper.targetId+"Items");
			$("#"+pageLayoutEspot.vodswiper.targetId+" #pagenote").attr("id",pageLayoutEspot.vodswiper.targetId+"_pagenote");
		
			this.ui.espotDraw (params);
		},
		
		onLoad : function(){

		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
		}, // end data functions.
		
		ui : {
			espotDraw : function(data){
				if(pageLayoutEspot.vodswiper.slotNm != data.slotNm){
					pageLayoutEspot.vodswiper.initializeComponent(data);
					return false;
				}

				if(data.espotData.length > 0){
					var targetId = pageLayoutEspot.vodswiper.targetId;
					var Items = $('#'+pageLayoutEspot.vodswiper.targetId+"Items");
					
					var ObjDrawDate = JSON.parse(JSON.stringify(data.espotData));
					
					for(var i = 0 ; i < ObjDrawDate.length ; i ++){
						var swiper = ObjDrawDate[i];
						var TempList = '';
						TempList += '<div class="swiper-slide" id="vodswiperTemp_'+swiper.vodId+'">';
						TempList += '</div>';
						
						Items.append(TempList);
						
						if(mainCtrl.VIEW_TYPE == 'ios' || mainCtrl.VIEW_TYPE == 'iosweb'){
							//바로 그려서 insert
							pageLayoutEspot.vodswiper.event.makeSwiperListIOS(swiper);
						}
						else {
							pageLayoutEspot.vodswiper.event.makeSwiperList(swiper);
						}
						
					}
					$('#'+pageLayoutEspot.vodswiper.targetId+"Items").find('#vodswiperTemp').remove();
					
					new Swiper("#" + targetId + " .swiper-container", {
						slidesPerView: 'auto',
						pagination : {el : "#" + targetId + ' .pagenate' } 
					});
					
					if(data.espotData.length == 1){
						$("#" + targetId + " .pagenate").remove();
					}
										 
				}
				else {
					$('#'+pageLayoutEspot.vodswiper.targetId).hide();
				}
			}
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			makeSwiperListIOS : function(swiper){
				var vodId = swiper.vodId;
				var vodName = swiper.vodName;
				var vodDescribe = swiper.vodDescribe;
				var imgUrl = "http:" + swiper.imgUrl;
				var href = 'javascript:mainCtrl.gotoVideoDisplay('+vodId+');';
				
				var tempHtml = '';
				tempHtml += '<a href="'+href+'">';
				tempHtml += '<div class="img_thumb">';
				tempHtml += '<img src="'+imgUrl+'" onerror="this.src=\'./images/marketing/list_no_img.png\';"/>';
				tempHtml += '<p class="icon_play" role="button"><span class="blind">동영상 보기</span></p></div>';
        		tempHtml += '<div class="info"><strong class="sub_tit">'+vodName+'</strong><h3 class="main_tit">'+vodDescribe+'</h3></div></a>';
        		
        		$('#'+pageLayoutEspot.vodswiper.targetId+"Items").find('#vodswiperTemp_'+swiper.vodId).html(tempHtml);
			},
			
			makeSwiperList : function(swiper){
				var vodId = swiper.vodId;
				var vodPlayTime = '';
				var vodPath = swiper.vodPath;
				var vodName = swiper.vodName;
				var vodDescribe = swiper.vodDescribe;
				var imgUrl = "http:" + swiper.imgUrl;
				var href = 'javascript:mainCtrl.gotoVideoDisplay('+vodId+');';
				
				var htmlTxt = '';
				if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
					htmlTxt += "	<video id='vvid"+vodId+"' class='video-js vjs-fluid placeholder' webkit-playsinline>";
				}else{//아이폰
					htmlTxt += "	<video id='vvid"+vodId+"' class='video-js vjs-fluid placeholder' playsinline>";
				}
				
				//htmlTxt += "	<video id='vvid"+vodId+"' webkit-playsinline style='width:100%;'>";
				htmlTxt += '		<source src="'+vodPath+'" type="video/mp4" >';
				htmlTxt += '		Your browser does not support the video tag.';					
				htmlTxt += '	</video>';
				
				$('#'+pageLayoutEspot.vodswiper.targetId+"Items").find('#vodswiperTemp').append(htmlTxt);
				
				var vvid = document.getElementById("vvid"+vodId);
				vvid.onloadedmetadata = function() {
					vodPlayTime = mainCtrl.setDurationTimeForm(vvid.duration);
					
					var tempHtml = '';
					tempHtml += '<a href="'+href+'">';
					tempHtml += '<div class="img_thumb"><img src="'+imgUrl+'" onerror="this.src=\'./images/marketing/list_no_img.png\';"/>'
					tempHtml += '<p class="icon_play" role="button"><span class="blind">동영상 보기</span></p><span class="timer">'+vodPlayTime+'</span></div>';
	        		tempHtml += '<div class="info"><strong class="sub_tit">'+vodName+'</strong><h3 class="main_tit">'+vodDescribe+'</h3></div></a>';
	        		
	        		$('#'+pageLayoutEspot.vodswiper.targetId+"Items").find('#vodswiperTemp_'+swiper.vodId).html(tempHtml);
				};
				
				$("#vvid"+vodId).remove();
				
			},
			
		} // end event functions.
	};