
/* JavaScript content from js/layout/eSpotTmpl/vod/vodwide.js in folder common */
/*
 *  방송 VOD wide espot
 *  sort , paging 없음 
 */

	// 레이아웃 페이지내에 Espot 영역 정의
	pageLayoutEspot.vodwide = {

		// espot이 적용 될 슬롯 명	
		slotNm		: "",
		
		// 해당 espot 명
		espotNm		: "",
		
		// 해당 espot 카테고리 ID
		categoryId	: "",
		
		// 해당 espot data
		espotData 	: {},
		
		// API에서 받은 해당 espot 의 풀네임
		espotFullName : "",
		
		//해당 espot이 그려질 객체 ID
		targetId : "",
			
		init : function( params ) {			
			this.initializeComponent( params );
			this.onLoad();
		},
		
		// 해당 Espot 영역 이벤트 바인딩
		initializeComponent : function( params ){
			this.slotNm 		= params.slotNm;
			this.espotNm 		= params.espotNm;
			this.espotData	 	= params.espotData
			this.categoryId 	= params.categoryId;
			this.espotFullName  = params.espotFullName;
			this.targetId 		= params.slotNm + "_" + params.categoryId + "_" + params.espotNm;
			
			$("#" + this.targetId).find("#vodwideItems").attr("id", this.targetId + "Items")
			this.ui.espotDraw (params);
		},
		
		onLoad : function(){
			//함수 비어있음.
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
		
		}, // end data functions.
		
		ui : {
			espotDraw  : function (data){
				if(pageLayoutEspot.vodwide.slotNm != data.slotNm){
					pageLayoutEspot.vodwide.initializeComponent(data);
					return false;
				}
				pageLayoutEspot.vodwide.ui.listDraw(data.espotData);
			},
			
			listDraw : function (data){
				if(data.length > 0){

					//상품 그리기
					var ObjDrawData = JSON.parse(JSON.stringify(data));
					
					for (var i = 0 ; i < ObjDrawData.length ; i++){
						var list = ObjDrawData[i];
						pageLayoutEspot.vodwide.ui.makeList(list);
					}
				} else if( $("#" + pageLayoutEspot.vodwide.targetId + "Items li").length <= 0 ){
					$("#" + pageLayoutEspot.vodwide.targetId).hide();
				}		
			},
			
			makeList : function(list){
				var vodDescribe = list.vodDescribe;
				var vodPath 	= list.vodPath;
				var vodId 		= list.vodId;
				var contentId 	= list.contentId; 
				var play 		= list.vodPlayCount;
				var like 		= list.vodLikeCount;
				var date 		= list.initRegiDttm;
				var vodHashTag 	= list.vodHashTag;
				var protocol 	= "http:";
				var imgUrl 		= protocol + list.imgUrl;
				var targetId	= pageLayoutEspot.vodwide.targetId;
				
				
				like = Ns.Util.insertCommas(like);
				play = Ns.Util.insertCommas(play);
				date = date.replace(/-|:|(\s*)/g,''); //AS-IS : 2018-10-01 17:47:47 || TO-BE : 20181001174747
				date = Ns.Date.vodDateDiff(date);
				
				var timerHtml = '<span class="timer" id="' + targetId + '_Timer_' + vodId + '">00:00</span>';
				var playsinline = "webkit-playsinline";
				
				if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
					timerHtml = '';
				} 
				
				if( mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
					playsinline = "playsinline";
				}
				
				//pageLayoutEspot.vodwide.targetId + "_" + vodId
				var tempHtml = Ns.Util.stringFormat('\
						<li class="list_wrap">\
							<div class="vod_thumb_item">\
								<div class="video_wrap">\
									{9}\
						            <video id="{0}" poster="{10}" class="video-js vjs-default-skin vjs-16-9 vjs-big-play-centered" controls width="100%" height="100%" {11}>\
										<source src="{1}" type="video/mp4">\
										<p class="vjs-no-js"> 이 사이트의 기능을 모두 활용하기 위해서는 자바스크립트를 활성화 시킬 필요가 있습니다.\
										<a href="https://www.enable-javascript.com/ko/"> 브라우저에서 자바스크립트를 활성화하는 방법</a>을 참고 하세요. </p>\
									</video>\
						        </div>\
								<a href="javascript:mainCtrl.gotoVideoDisplay({2},null,null,null,{3});">\
									<div class="info">\
										<div class="txt_wrap">\
										  	<p class="txt">{4}</p>\
										</div>\
										<div class="keyword_wrap">\
											<span class="keyword_txt">{5}</span>\
										</div>\
										<div class="badge_wrap">\
											<span class="badge_play icon_dash">{6}</span>\
											<span class="badge_good icon_dash">{7}</span>\
											<span class="day">{8}</span>\
										</div>\
									</div>\
								</a>\
							</div>\
						</li>'
					, targetId + "_" + vodId, vodPath, vodId, contentId
					, vodDescribe, vodHashTag, play, like, date, timerHtml, imgUrl, playsinline);
				
				$('#' + targetId + "Items").append(tempHtml);
				
				if(videojs.getPlayer(targetId + "_" + vodId)){
					videojs.getPlayer(targetId + "_" + vodId).dispose();
				}
				
				var vvid = videojs( targetId + "_" + vodId , {
									preload  : "metadata"
							});
				
				if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios"){
					vvid.controlBar.fullscreenToggle.hide();
					vvid.controlBar.fullscreenToggle.disable();
				}
				
				if(mainCtrl.VIEW_TYPE != "ios"){
					vvid.one('loadedmetadata', function(){
						var timer = mainCtrl.setDurationTimeForm(vvid.duration());
						$("#" + targetId + "_Timer_" + vodId).text(timer);
					});
				}
				vvid.one('play',function(){
					$("#" + targetId + "_Timer_" + vodId).hide();
					//영상 플레이 로그 적재
					var invokeParams = {};
					invokeParams.vodId 		= vodId;
					invokeParams.viewGubun  = "VOD";
					invokeParams.memberId 	= USERINFO.custNum();
					invokeParams.gubun 		= '4';
					tran.callWCSJsonTran('NSMobVodPlayCmd',invokeParams,null);
					invokeParams.subcateId = CurrentView.subcateId;
					tran.callPageLogging( CurrentView.categoryId , invokeParams );
				});
				vvid.on('play',function(data){
					if(CurrentView.playingVideo && CurrentView.playingVideo.id != data.target.id){
						CurrentView.playingVideo.player.pause();
					}
					CurrentView.playingVideo = data.target;
				});
				
			},
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			
			
		} // end event functions.
	};