
/* JavaScript content from js/main/M_G1100010M.js in folder common */

/* 
 *	페이지 ID : M_G1100010M 
 *  1. 추천상품
 *  
 *  
*/

CurrentView = {
		isFirst : true,
		
		isBest : false,
		isRecommend : false,
		BEST_DATA : null,
		RECOMMANDED_DATA : null,
		
		catalogId : null,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initDefaultData : function() {
			CurrentView.isFirst = false;
			CurrentView.isBest = false;
			CurrentView.isRecommend = false;
			CurrentView.BEST_DATA = null;
			CurrentView.RECOMMANDED_DATA = null;
		},
		
		initializeComponent : function() {
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").unbind().bind( "click", this.event.onclick_btnChangeView );
		},
		
		onLoad : function(params) {
			this.data.getRecommendedProducts( (params && params.filter || null) );
		},
		
		data : {
			getRecommendedProducts : function( filter ) {
				var invokeParams = {};

				if ( filter == null ) filter = "";

				invokeParams.cust = USERINFO.custNum();
				invokeParams.pc = WL_UUID;
				invokeParams.p_co_cd = Const.getCocd();
				invokeParams.max_items = 10;
				invokeParams.filter = filter;
				
				CurrentView.catalogId = Const.getDefaultCatalogId();
				//개인화 추천 로깅을 위한 데이터. 
				if( filter == "TV" || filter == "AK" ) {
					CurrentView.catalogId = Const.LOG_CATALOG_IDs[filter]; 
					invokeParams.p_catalog_id = Const.LOG_CATALOG_IDs[filter]; 
					invokeParams.dp = '002_APP_MAIN_ITEM_1'; 
				} else if ( filter == "FOOD" || filter == "FASHION"  || filter == "LIVING" ) {
					invokeParams.p_catgroup_id = Const.LOG_CATALOG_IDs[filter];
					invokeParams.dp = '002_APP_MAIN_ITEM_2'; 
				} else if ( filter == "FB" || filter == "HL"  || filter == "FH" ) {
					invokeParams.p_catgroup_id = Const.LOG_CATALOG_IDs[filter];
					invokeParams.dp = '003_APP_1ST_CATE_ITEM_1'; 
				} 
				 
				tran.callWCSJsonTran( 'RecommendWrapper', invokeParams, CurrentView.ui.setRecommendedProducts,  null, function() { if( !CurrentView.isFirst )CurrentView.isRecommend = true; }, true  );
			},
			
			getBestProducts : function( filter ) {
				if( filter == undefined || filter == null ) filter = "";
				
				var invokeParams = {
					searchType : "search",
					sortCriteria : "best",
					pageSize : 10,
					currentPage : 1
					//channelCode : Const.getBusChannelId()
				};
				
				CurrentView.catalogId = Const.getDefaultCatalogId();
				var tranId = '';
				if( filter == "TV" || filter == "AK" ) {
					CurrentView.catalogId = Const.LOG_CATALOG_IDs[filter]; 
					
					tranId = 'NSSearchSpecialWrapper';
					invokeParams.catalogId = Const.LOG_CATALOG_IDs[filter];
				} else {
					tranId = 'NSSearchCategoryWrapper';
					invokeParams.categoryId = Const.LOG_CATALOG_IDs[filter];
				}
				
				tran.callWCSJsonTran( tranId, invokeParams, CurrentView.ui.setBestProducts,  null, function() { if( !CurrentView.isFirst )CurrentView.isBest = true; }, true  );
			}, 
		},
		
		//이벤트 관련 함수 정의
		event : {
			onclick_btnChangeView : function(){
				if ( $("#btnChangeView").hasClass("simple")) {
					$("#btnChangeView").removeClass("simple").addClass("detail");
					$("#ulBestProductList").removeClass("detail").addClass("simple");
					/*$("#ulBestProductList .display_type_list").hide();
					$("#ulBestProductList .display_type_img").show();*/
				} else {
					$("#btnChangeView").removeClass("detail").addClass("simple");
					$("#ulBestProductList").removeClass("simple").addClass("detail");
					/*$("#ulBestProductList .display_type_img").hide();
					$("#ulBestProductList .display_type_list").show();*/
				}
			},
			
			onclick_itemClass : function() {
				var type = $(this).attr("sort-code");
				Ns.Util.viewConsoleLog( "sort-code :" + type );
				$("#itemClass").removeClass( "active" );
				$("#txtSortName").html( $(this).text() );
				
				CurrentView.initDefaultData();
				CurrentView.data.getRecommendedProducts( type ); //상품목록 조회..
				CurrentView.data.getBestProducts( type ); 
			}
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setRecommendedProducts : function( data ) {
				if (data.msg.root == undefined) { return false; }
				if( !CurrentView.isFirst ) CurrentView.isRecommend = true;
				
				var productList = data.msg.root.ProductList;
				var filter = data.msg.root.filter;
				
				var FILTER = {
					"FB" : "패션&뷰티",
					"FH" : "푸드&헬스",
					"HL" : "홈&라이프",
					"TV" : "TV 상품",
					"AK" : "백화점",
					"FOOD" : "식품",
					"FASHION" : "패션",
					"LIVING" : "생활용품",
				};
				
				var filterName =  "&nbsp;";
				if( filter != undefined && filter != ""  ) {
					filterName =  FILTER[filter];
					$("#txtSortName").html( filterName );
				}
				
				if( filter == "TV" || filter == "AK" ) 
					CurrentView.catalogId = Const.LOG_CATALOG_IDs[filter];
				else
					CurrentView.catalogId = Const.LOG_CATALOG_IDs[filter];
				
				if( productList == undefined || productList.length == 0 || productList == "NoScenarioResult") {
					if( CurrentView.isFirst ) CurrentView.data.getBestProducts( filter );
				} else {
					if( CurrentView.isFirst ) {
						var htmlTxt = Ns.UI.productList( productList, CurrentView.catalogId );
						$( "#ulBestProductList" ).html( htmlTxt );
						Ns.UI.productListAreaEventInit( "#ulBestProductList" );
					} else {
						CurrentView.RECOMMANDED_DATA = data.msg.root.ProductList;
						CurrentView.ui.setRecommendedData();
					}
				}
			},
			
			//best 추천 상품. 
			setBestProducts : function( data ) {
				if( !CurrentView.isFirst ) CurrentView.isBest = true;
				
				if ( !data.isSuccessful || data.msg.root == undefined ) {
					CurrentView.BEST_DATA = null;
					CurrentView.ui.setRecommendedData();
				} else { 
					var productList = data.msg.root.ProductList;
					
					if ( !CurrentView.isFirst ) { //첫 페이지 로딩이 아니고. 정렬 버튼을 클릭해서 데이터를 조회할 경우. 
						CurrentView.BEST_DATA = productList;
						CurrentView.ui.setRecommendedData();
					} else { //첫 페이지 로딩시 추천데이터가 없고. 베스트 상품을 조회했을 경우 
						if( productList == undefined || productList.length == 0 ) {
							$( "#ulBestProductList" ).html(  mainCtrl.getNoResultDataHtml( "추천상품이 없습니다." ) );
						} else {
							var htmlTxt = Ns.UI.productList( productList, CurrentView.catalogId );
							$( "#ulBestProductList" ).html( htmlTxt );
							Ns.UI.productListAreaEventInit( "#ulBestProductList" );
						}
					}
				}
			},
			
			setRecommendedData : function() {
				setTimeout(function(){
					if( !CurrentView.isRecommend  || !CurrentView.isBest ) return;
					
					CurrentView.isRecommend = false;
					CurrentView.isBest = false;
					
					var recommendedData = null;
					if ( CurrentView.RECOMMANDED_DATA != null ) {
						recommendedData = CurrentView.RECOMMANDED_DATA;
					} else {
						if ( CurrentView.BEST_DATA != null ) recommendedData = CurrentView.BEST_DATA;
					}
					
					if ( recommendedData == null ) {
						$( "#ulBestProductList" ).html( mainCtrl.getNoResultDataHtml( "추천상품이 없습니다." ) );
						return false;
					}
					
					var htmlTxt = Ns.UI.productList( recommendedData, CurrentView.catalogId );
					$( "#ulBestProductList" ).html( htmlTxt );
					Ns.UI.productListAreaEventInit( "#ulBestProductList" );
				}, 99 );
			}
			
			
		}
		//end ui function...
};

	
