
/* JavaScript content from js/main/M_G1100031M.js in folder common */

/* 
 *	페이지 ID : M_G1100031M 
 *  1. 모바일 기획전 상세보기
 *     - 기획전 템플릿 - SpcSaleTemplate
 *     
 *   20160715 정헌태 수정 - 실시간 통신 페이징으로 변경에 따른 수정
 */

CurrentView = {
		p_espotid : "",
		p_bannerid : "",
		catalogId : null,
		categoryId : null,

		catgroupId : null,
		pageSize : 20,
		pageIdx : 1, 
		currentPage : 0,
		totalCount : 0,
		pushFullEvent : true,

		productList : null,
		sortCriteria : '',
		CATGRP_NAME : "",
		CATGRP_URL : "",
		extendsParams : {},
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ) {
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").unbind().bind( "click", this.event.onclick_btnChangeView );

			var sharedUrl = "http://" +  Const.MOBILE_NSMALL_PATH;
			var sharedParams = "/NSExhibit";
			sharedParams += "?p_espotid=" + params.p_espotid;
			sharedParams += "&p_bannerid=" + params.p_bannerid;
			sharedParams += "&eventSequence=" + params.eventSequence;
			sharedParams += "&catalogId=" + params.catalogId;
			sharedParams += "&catgroupId=" + params.catgroupId;
			sharedParams += "&via=NSMALL";
			CurrentView.CATGRP_URL = sharedUrl + sharedParams;
			
			$("#sns_twitter_NSExhibit").off().on("click", function (){
				var url = sharedUrl + sharedParams;
			    var fullUrl = "https://twitter.com/intent/tweet?url="+ encodeURIComponent(url)+"&text="+ encodeURIComponent( "[NS홈쇼핑]" + CurrentView.CATGRP_NAME.substring(0,40) ); 
				WL.App.openURL( fullUrl, "twitter" );
			});
			
			$("#sns_facebook_NSExhibit").off().on("click", function (){
				var url = sharedUrl + sharedParams;
				var imageUrl = $("#divHtmlContent").find("img:first").eq(0).attr("src");
				if( Ns.Util.isNull(imageUrl) ){
					imageUrl = Const.NO_IMAGE_URL + "noimage_S.jpg";
				}
				Ns.Util.viewConsoleLog('SNS facebook url>>'+ url);

				var fullUrl = "http://www.facebook.com/sharer.php?u="+ encodeURIComponent(url) +"&t="+ encodeURIComponent( "[NS홈쇼핑]" + CurrentView.CATGRP_NAME.substring(0,40) ); 
				
				WL.App.openURL( fullUrl, "facebook" );
			});
			
			if ( !Ns.Util.isNull(params.catgroupId) ) this.catgroupId = params.catgroupId;
			if ( !Ns.Util.isNull(params.sortCriteria) ) this.sortCriteria = params.sortCriteria;
			if ( !Ns.Util.isNull(params.pageIdx) ) this.pageIdx = params.pageIdx;
			if ( !Ns.Util.isNull(params.pageSize) ) this.pageSize = params.pageSize;
			if ( !Ns.Util.isNull(params.p_espotid) ) this.p_espotid = params.p_espotid;
			if ( !Ns.Util.isNull(params.p_bannerid) ) this.p_bannerid = params.p_bannerid;
			if ( !Ns.Util.isNull(params.catalogId) ) this.catalogId = params.catalogId;
			if ( !Ns.Util.isNull(params.categoryId) ) this.categoryId = params.categoryId;
			
			this.extendsParams = params;
		},
		
		onLoad : function() {
			this.data.getNSTimesPrmt();
			Ns.UI.startPushFullEvent( CurrentView.data.getNSTimesPrmtNextPage );
		},
		
		data : {
			/**
			 * 최초 data 호출 펑션
			 */
			getNSTimesPrmt : function( ) {
				var invoke = {
					processFlag : "mobile3",
					catgroupId : CurrentView.catgroupId,
					
					rowPerPage : CurrentView.pageSize,
					pageIdx : CurrentView.pageIdx
				};
				
				tran.callWCSJsonTran( 'NSTimesPrmtAjax', invoke, CurrentView.ui.setNSTimesPrmt );
			},

			/**
			 * 페이징을 위한 다음 data 호출 펑션
			 */
			getNSTimesPrmtNextPage : function( ) {
				var invoke = {
					processFlag : "mobile3",
					catgroupId : CurrentView.catgroupId,
					
					rowPerPage : CurrentView.pageSize,
					pageIdx : CurrentView.pageIdx
				};
				
				tran.callWCSJsonTran( 'NSTimesPrmtAjax', invoke, CurrentView.ui.setNSTimesPrmtNextPage );
			},
			
			//이벤트 팝업 확인
			getEventBanner : function(){
				var endDate = Ns.LocalStorage.get(STORAGE_KEY.EVENT_POPUP_EXHABIT);
				if(!Ns.Date.getBdDay(endDate)){
					var invoke = {};
					invoke.categoryId = CurrentView.catgroupId;
					invoke.type = STORAGE_KEY.EVENT_POPUP_EXHABIT;
					mainCtrl.eventPopup(invoke);
				}
			},

		},
		
		//이벤트 관련 함수 정의
		event : {
			setKakaoLinkEvent : function(){
				var imageUrl = $("#divHtmlContent").find("img:first").eq(0).attr("src");
				if( Ns.Util.isNull(imageUrl) ){
					imageUrl = Const.NO_IMAGE_URL + "noimage_S.jpg";
				}
				
				if(mainCtrl.isOsApp()){
					$("#sns_kakaotalk_NSExhibit").off().on("click", function (){
						var type = 'feed';
						var title_kp = "[NS홈쇼핑]";
						var imageUrl_kp = imageUrl;
						var url_kp = CurrentView.CATGRP_URL;
						var contents = {
								description: CurrentView.CATGRP_NAME,
								imageWidth : 300,
								imageHeight : 300,
								viewCount: 0,
								likeCount: 0,
								btnName : "자세히 보기"
						}
														
						Ns.Native.kakaoLink(type, title_kp, imageUrl_kp, url_kp, contents);
					});
				} else {
					Kakao.Link.createDefaultButton({
						container: '#sns_kakaotalk_NSExhibit',
						objectType: 'feed',
						content: {
							title: "[NS홈쇼핑]",
							description: CurrentView.CATGRP_NAME, //VODHASH or VODDESC
					        imageUrl: imageUrl, //M_G6100001M.VODIMG,
					        imageWidth : 300,
							imageHeight : 300,
					        link: {
					        	mobileWebUrl: CurrentView.CATGRP_URL,
					        	webUrl: CurrentView.CATGRP_URL
					        }
						},
						buttons: [{
							title: '웹에서 확인',
							link: {
								mobileWebUrl: CurrentView.CATGRP_URL,
								webUrl: CurrentView.CATGRP_URL
							}
						}]
					});
						
				}
			}
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setNSTimesPrmt : function( data ) {
				var titleInfo = data.msg.TitleInfoMap;
				
				var startDay = titleInfo.STARTDT;
				var endDay = titleInfo.ENDDT;
				var openYN = titleInfo.OPENYN;
				CurrentView.CATGRP_NAME = titleInfo.CATGRP_NAME;
				
				//기획전 날짜 체크
				//2018.07 openYN 만 체크 (종료일 23시59분까지 유효하게 하기위함)
				if(openYN=='N'){
					Ns.Popup.alert('종료된 기획전입니다',function(){
						mainCtrl.onBackButtonPressed();
						return false;
					},null,true);
				}else{
					
					//모바일 배너이미지 체크
					var bannerImage = "";
					var bannerHtml = "";
					if(!Ns.Util.isNull(data.msg.prmtIntcont.intsecgubcd) ) bannerHtml = data.msg.prmtIntcont.intsecgubcd;
	
					if( data.msg.prmtIntcont ){
						if(bannerHtml != "" && bannerHtml == "2"){
							//bannerImage = CurrentView.data.getBannerHTML(data.msg.prmtIntcont.htmlfile);
							bannerImage = Const.WCS_IMAGE_EXHI_SRV+data.msg.prmtIntcont.htmlfile;
						}else if( data.msg.prmtIntcont.dweMobileditcont ){
							bannerImage = data.msg.prmtIntcont.dweMobileditcont;
						}else if( data.msg.prmtIntcont.dweditcont ){
							bannerImage = data.msg.prmtIntcont.dweditcont;
						}
					}
					
					//배너이미지 적용
					var htmlTxt = "";
					if(bannerHtml == "2"){	//배너가 HTML경로로 왔을 때
						$("#divHtmlContent").load( bannerImage );
					}else{	//배너가 일반적으로 이미지로 왔을 때
						htmlTxt = Ns.Util.htmlDecode( bannerImage );
						if ( htmlTxt != '' ) {
							$("#divHtmlContent").html( htmlTxt );
							setTimeout(function(){
								var width = $("#divHtmlContent").width();
								var contentsWidth = $("#divHtmlContent").find('img').width();
								if(contentsWidth >= width){
									$("#divHtmlContent").find('img').css("width","100%");
								}
							},500);
						}
					}

					// 2017.10.24 Wapers 기획전 내 외부링크 연결 개선 건
					$('#divBannerImageArea').find('a').addClass("NATIVE");
					$(".NATIVE").click(function(event){

						var addr = $(this).attr("href");
						console.log("addr " + addr );
						
						var addrType = "";
						if(addr != "") {
							 addrType = addr.substring(0,10);
						}	 
						//console.log("addrType::", addrType);
						
						if(addrType != "javascript") {
							Ns.Native.linkView(2, addr);
							return false;
						}
						
					});
					
					$("#sns_area").show();
					CurrentView.event.setKakaoLinkEvent();
					
					//상품리스트 체크
					if( data.msg.totCnt > 0 ){
						var productlist = data.msg.productList;
						CurrentView.totalCount = data.msg.totCnt;
						CurrentView.productList = productlist;
						CurrentView.ui.setProductList();
					}else{
						var htmlTxt = mainCtrl.getNoResultDataHtml( "기획전 상품이 존재하지 않습니다.");
						$("#ulBestProductList").html( htmlTxt );
						return false;
					}
	
					CurrentView.data.getEventBanner();
					
					/* 공통 title 및 description 수정 */
					$("head title").text(CurrentView.CATGRP_NAME + " - NS홈쇼핑 모바일");
					
					/* Open Graph Tag 수정 */
					$("meta[property='og:title']").attr("content", CurrentView.CATGRP_NAME + " - NS홈쇼핑 모바일");
					$("meta[property='og:url']").attr("content", CurrentView.CATGRP_URL );
					$("meta[property='og:image']").attr("content", $("#divHtmlContent").find("img:first").eq(0).attr("src") );
					
					
					//2019-07-16 sjseo 기획전 -> history 변경 데이터 경량 화
					var hisParamObj = {};
					hisParamObj.pageParams = CurrentView.extendsParams;
					hisParamObj.catgroupId =  CurrentView.catgroupId;
					hisParamObj.cateGroupName = CurrentView.CATGRP_NAME;
					hisParamObj.pageId = mainCtrl.getCurrentPageId();
					hisParamObj.hisGubun = "F";
					mainCtrl.setRecentlyViewedProducts(hisParamObj); //기획전 저장
				}
			},
			
			/**
			 * 최초 이후 페이징을 통한 다음 data 호출시 처리
			 */
			setNSTimesPrmtNextPage : function(data){
				//상품리스트 체크
				var productlist = data.msg.productList;
				CurrentView.productList = productlist;
				CurrentView.ui.setProductList();
			},
			
			setProductList : function() {
				var productList = [];
				for ( var i=0; i<CurrentView.productList.length; i++ ) {
					var items = CurrentView.productList[i].commonData;
					productList.push( items );
				}

				var htmlTxt = Ns.UI.productList( productList, CurrentView.catalogId, CurrentView.catgroupId, CurrentView.p_espotid, CurrentView.p_bannerid );
				$( "#ulBestProductList" ).append( htmlTxt );
				Ns.UI.productListAreaEventInit("#ulBestProductList");
				CurrentView.pushFullEvent = false;
			},
			
		}
		//end ui function...
};