
/* JavaScript content from js/main/M_G1100032M.js in folder common */

/* 
 *	페이지 ID : M_G1100032M 
 *  1. 초이스 상품. 
 *  
*/

CurrentView = {
		catalogId : null,
		catgroupId : null,
		p_espotid : null,
		p_bannerid : null,
		pushFullEvent : true,
		totalOptionCnt : 0,
		optionMaxCnt : 0,
		catentryId : 0,

		catgroupList : null,
		sortCriteria : '',
		CATGRP_NAME : "",
		CATGRP_URL : "",
		extendsParams : {},
		
		init : function( params ) {
			this.initializeComponent(params);
			this.onLoad( params );
		},
		
		initializeComponent : function(params) {
			$("#btnRightOrder").unbind().bind( "click", CurrentView.event.onclick_btnRightOrder );
			
			var sharedUrl = "http://" +  Const.MOBILE_NSMALL_PATH;
			var sharedParams = "/NSChoiceExhit";
			sharedParams += "?p_espotid=" + params.p_espotid;
			sharedParams += "&p_bannerid=" + params.p_bannerid;
			sharedParams += "&eventSequence=" + params.eventSequence;
			sharedParams += "&catalogId=" + params.catalogId;
			sharedParams += "&catgroupId=" + params.catgroupId;
			sharedParams += "&via=NSMALL";
			CurrentView.CATGRP_URL = sharedUrl + sharedParams;
			
			$("#sns_twitter_NSChoiceExhit").off().on("click", function (){
				var url = sharedUrl + sharedParams;
			    var fullUrl = "https://twitter.com/intent/tweet?url="+ encodeURIComponent(url)+"&text="+ encodeURIComponent( "[NS홈쇼핑]" + CurrentView.CATGRP_NAME.substring(0,40) ); 
				WL.App.openURL( fullUrl, "twitter" );
			});
			
			$("#sns_facebook_NSChoiceExhit").off().on("click", function (){
				var url = sharedUrl + sharedParams;
				var imageUrl = $("#divHtmlContent").find("img:first").attr("src");
				if( Ns.Util.isNull(imageUrl) ){
					imageUrl = Const.NO_IMAGE_URL + "noimage_S.jpg";
				}
				Ns.Util.viewConsoleLog('SNS facebook url>>'+ url);

				var fullUrl = "http://www.facebook.com/sharer.php?u="+ encodeURIComponent(url) +"&t="+ encodeURIComponent( "[NS홈쇼핑]" + CurrentView.CATGRP_NAME.substring(0,40) ); 
				
				WL.App.openURL( fullUrl, "facebook" );
			});
			
			$("#sns_kakaotalk_NSChoiceExhit").off().on("click", function (){
				var url = sharedUrl + sharedParams;
				var imageUrl = $("#divHtmlContent").find("img:first").eq(0).attr("src");
				if( Ns.Util.isNull(imageUrl) ){
					imageUrl = Const.NO_IMAGE_URL + "noimage_S.jpg";
				}
				
				if( mainCtrl.VIEW_TYPE == 'ios' || mainCtrl.VIEW_TYPE == 'android' ){
					Ns.Native.kakaoLink( sharedUrl, sharedParams, CurrentView.CATGRP_NAME, imageUrl );
				}else{
					var webLinkTitle = "웹에서 확인";
					Kakao.Link.sendTalkLink({
						label: "[NS홈쇼핑]"+CurrentView.CATGRP_NAME,
						webLink: { text: webLinkTitle, url: url },
						image : {
							src: imageUrl,
							width: '300',
							height: '300'
						},
						appButton: { text: '앱으로 이동' },
						fail: function( response ){
							Ns.Util.viewConsoleLog( "kakaoTalk error >>>" , response );
						}
					});
				}
			});
			
			this.extendsParams = params;
			
		},
		
		onLoad : function( params ) {
			if ( !Ns.Util.isNull(params.catalogId) ) this.catalogId = params.catalogId;
			if ( !Ns.Util.isNull(params.catgroupId) ) CurrentView.catgroupId = params.catgroupId;
			if ( !Ns.Util.isNull(params.p_espotid) ) this.p_espotid = params.p_espotid;
			if ( !Ns.Util.isNull(params.p_bannerid) ) this.p_bannerid = params.p_bannerid;
			
			CurrentView.data.getNSTimesPrmt();
		},
		
		data : {
			getNSTimesPrmt : function( ) {
				var invoke = {
					processFlag : "mobile3",
					catgroupId : CurrentView.catgroupId
				};
				
				tran.callWCSJsonTran( 'NSTimesPrmtAjax', invoke, CurrentView.ui.setNSTimesPrmt);
			},
			
			getEventBanner : function(){
				//이벤트 팝업 확인
				var endDate = Ns.LocalStorage.get(STORAGE_KEY.EVENT_POPUP_EXHABIT);
				if(!Ns.Date.getBdDay(endDate)){
					var invoke = {};
					invoke.categoryId = CurrentView.catgroupId;
					invoke.type = STORAGE_KEY.EVENT_POPUP_EXHABIT;
					mainCtrl.eventPopup(invoke);
				}
			},
		},
		
		//이벤트 관련 함수 정의
		event : {
			//화면loading 끝난 후 타이머로 이벤트 binding
			initEvent : function(){
				setTimeout(function(){
					mainCtrl.initializeLayout();	//토글 이벤트 재적용
					$("ul [id*=itemClass] li").unbind().bind("click", CurrentView.event.onclick_selectOptionCnt );
					$("input[type=checkbox]").unbind().bind("click", CurrentView.event.onclick_checkboxOptionCnt );
				},400);
			},

			//초이스상품 선택 갯수 체크
			onclick_checkboxOptionCnt : function( ){
				var obj = $(this);
				var id = obj.attr("id");
				var value = 0;
				var str = "초이스 "+CurrentView.optionMaxCnt+"종 상품입니다. 최대 "+CurrentView.optionMaxCnt+"개를 선택할 수 있습니다.";
				
				$("input:checkbox:checked").each(function(i){
					value += Number( $(this).attr("cnt") );
				});

				if( value > CurrentView.optionMaxCnt ){
					$(obj).prop("checked",false).attr("cnt",1);
					$("a[href=#itemClass"+id+"]").text(1);
					Ns.Popup.alert(str);
					return false;
				}else{
					CurrentView.totalOptionCnt = value;
				}
			},
			
			//상품별 옵션 선택
			onclick_selectOptionCnt : function(){
				var value = Number( $(this).text() );
				var id = $(this).parent().attr("id");

				var optionCount = $("a[href=#"+id+"]");
				optionCount.removeClass("active").text(value);
				$("#"+id).removeClass("active");

				//체크 박스 선택되 있을때 수량체크
				id = id.substr(9,2);
				var obj = $("input[id="+id+"]");
				obj.attr("cnt",value);
				
				if( obj.is(":checked") ){
					var count = 0;
					var str = "초이스 "+CurrentView.optionMaxCnt+"종 상품입니다. 최대 "+CurrentView.optionMaxCnt+"개를 선택할 수 있습니다.";

					$("input:checkbox:checked").each(function(i){
						count += Number( $(this).attr("cnt") );
					});

					//체크된 상품 옵션의 수량 체크
					if( count > CurrentView.optionMaxCnt ){
						Ns.Popup.alert(str);
						optionCount.text(1).attr("cnt",1);
						return false;
					}else{
						CurrentView.event.onclick_checkboxOptionCnt();
					}
				}
			},

			//주문하기
			onclick_btnRightOrder : function(){
				
				var isLogon = mainCtrl.checkLogonStatus();
				
				if(CurrentView.totalOptionCnt != CurrentView.optionMaxCnt){
					var str = Ns.Util.stringFormat("초이스 {0}종 상품입니다. {0}개만 선택할 수 있습니다.\n상품{1}개를 선택했습니다.",
													CurrentView.optionMaxCnt, CurrentView.totalOptionCnt);
					Ns.Popup.alert(str);
				}else{
					var invokeParam = {};
					
					//2016-09-02 Ssong
					var adultItem = "N";
					
					$("input:checkbox:checked").each(function(i,k){
						var catentryId = $(this).attr("catentryId");
						var quantity = Number( $(this).attr("cnt") );
						var aFlag = $(this).attr("aFlag"); 
						
						//2016-09-02 Ssong
						if( aFlag == "Y" ){
							adultItem = aFlag; 
						}
						
						invokeParam[String("relCatEntryId_"+(i+1))] = catentryId;
						invokeParam[String("relQuantity_"+(i+1))] = quantity;
						invokeParam[String("suborditemId_"+(i+1))] = i+1;
						invokeParam[String("extPartgubun_"+(i+1))] = "C";
						invokeParam[String("extCategoryId"+(i+1))] = "C";
					});
					invokeParam.orderId = ".";
					invokeParam.calculationUsage = "-1,-2,-5,-6,-7";
					invokeParam.inventoryValidation = true;
					invokeParam.itemFlashSaleYn_1 = "N";
	
					invokeParam.itemBuschnId_1 = "INT";
					invokeParam.extPtncd_1 = Const.getCocd();
					invokeParam.extCatalogId_1 = Const.getDefaultCatalogId();
					invokeParam.extCategoryId_1 = CurrentView.catgroupId;

					invokeParam.catEntryId_1 = CurrentView.catentryId;
					invokeParam.quantity_1 = 1;
					invokeParam.cartType = "25";
					invokeParam.itemType = "bundle1";
					
					// 20150325 정헌태 추가 - vdn_cd (모바일 주문 접수 응대 번호) 데이터 다음 API 호출 시 추가
					if (mainCtrl.isOsApp()){	// App
						invokeParam.vdn_cd = "54101";
					} else {	// Web
						invokeParam.vdn_cd = "54102";
					}
					
					// 2016-09-02 Ssong 성인상품 관련 로직 추가 && 기존 로그인 로직 변경
					if (adultItem != "Y"){
						if( !isLogon ){
							mainCtrl.gotoLogin();
						}
					} else if ( adultItem == "Y" ){
						
						if( !isLogon ){
							Ns.Popup.alert( "성인 상품은 로그인 후 이용하실 수 있습니다.", function() {
								//navi.setMovePointer(-1);
								invokeParam.adultItemFlag = adultItem;
								//M_G2600000M.THIS_PARAMs.openerPageId = navi.getData().pageIds;
								var param = {
										pageId			: "M_B1310000M"
										, tranId		: "AjaxNSOrderPayNow4Worklight"
										, invoke 		: invokeParam
								};
								
								mainCtrl.gotoLogin(param);
							},null,true );
							return false;
						}
						
						
						//성인 계정 체크
						if( isLogon && (!Ns.Date.getAgeInFull(USERINFO.birthday(), true, 20)) ){
							Ns.Popup.alert( "선택하신 상품에 성인 전용 상품이 포함되어 있습니다.", function() {
							},null,true );
							return false;
						}
						
						//2016-08-31 Ssong 성인인증 유무 체크
						if( USERINFO.adultAuthYN() != "Y" ){
							Ns.Popup.alert( "성인 인증이 필요한 상품이 포함되어 있습니다.", function() {
								//navi.setMovePointer(-1);
								var param = {
									callback : function() {},
									adultItemFlag :	adultItem,
									//openerPageId  : navi.getData().pageIds,
									//callbackPrams : M_G2600000M.THIS_PARAMs
								};
								param.callback = function(data) {
									tran.callWCSJsonTran("AjaxNSOrderPayNow4Worklight",invokeParam,CurrentView.event.rightOrderCallback);
								};
								//Ns.Popup.hideLayerPage({"pageIds":"M_G2600000M"});
								Ns.Popup.showPopup('M_B1214000P', param);
							},null,true );
							return false;
						}
					} 
					tran.callWCSJsonTran("AjaxNSOrderPayNow4Worklight",invokeParam,CurrentView.event.rightOrderCallback);
				}
			},

			//바로주문 callback
			rightOrderCallback : function(data){
				var orderId = data.orderId;
				if( orderId == null || orderId == "" ) {
					Ns.Popup.alert( Messages.unexpected_error );
					
					var param = new Object;
					param.p_espotid = "AjaxNSOrderPayNow4Worklight";
					param.ErrorCode = "UE";
					tran.callPageLogging("LoggingPage", param);
				} else { // 주문서정보 페이지로 이동
					var objParam = new Object();
					objParam.orderId = orderId;
					objParam.catgroupId = CurrentView.catgroupId; // 기획전 ID
					objParam.catalogId = Const.getDefaultCatalogId();
					
					mainCtrl.navigate( "M_B1310000M", objParam );
				}
			}
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setNSTimesPrmt : function(data){
				var titleInfo = data.msg.TitleInfoMap;
				
				var startDay = titleInfo.STARTDT;
				var endDay = titleInfo.ENDDT;
				var openYN = titleInfo.OPENYN;
				CurrentView.CATGRP_NAME = titleInfo.CATGRP_NAME;
				
				//기획전 날짜 체크
				if(!Ns.Date.checkDateValidate(startDay,endDay) || openYN=='N'){
					Ns.Popup.alert('종료된 기획전입니다',function(){
						navi.setMovePointer(-1);
						mainCtrl.onBackButtonPressed();
						return false;
					});
				}else{
	
					//모바일 배너이미지 체크
					var bannerImage = "";
					var bannerHtml = "";
					if(!Ns.Util.isNull(data.msg.prmtIntcont.intsecgubcd) ) bannerHtml = data.msg.prmtIntcont.intsecgubcd;
	
					if( data.msg.prmtIntcont ){
						if(bannerHtml != "" && bannerHtml == "2"){
							bannerImage = Const.WCS_IMAGE_EXHI_SRV+data.msg.prmtIntcont.htmlfile;
						}else if( data.msg.prmtIntcont.dweMobileditcont ){
							bannerImage = data.msg.prmtIntcont.dweMobileditcont;
						}else if( data.msg.prmtIntcont.dweditcont ){
							bannerImage = data.msg.prmtIntcont.dweditcont;
						}
					}
					
					//배너이미지 적용
					var htmlTxt = "";
					if(bannerHtml == "2"){	//배너가 HTML경로로 왔을 때
						$("#divHtmlContent").load( bannerImage );
					}else{	//배너가 일반적으로 이미지로 왔을 때
						htmlTxt = Ns.Util.htmlDecode( bannerImage );
						if ( htmlTxt != '' ) {
							$("#divHtmlContent").html( htmlTxt );
							setTimeout(function(){
								var width = $("#divHtmlContent").width();
								var contentsWidth = $("#divHtmlContent").find('img').width();
								if(contentsWidth >= width){
									$("#divHtmlContent").find('img').css("width","100%");
								}
							},500);
						}
					}
					
					if( !Ns.Util.isNull(data.msg.catgroupList) )
						CurrentView.catgroupList = data.msg.catgroupList;
					else
						return false;
	
					$("#sns_area").show();
					
					//상품리스트 체크
					if( data.msg.catgroupList ){
						//초이스 상품 갯수
						var choiceLength = data.msg.catgroupList.length;
						
						var htmlTxt = "";
						for(var i=0; i<choiceLength; i++){
							htmlTxt += "<option value='"+i+"'>"+data.msg.catgroupList[i].catgroupNm+"</option>";
						}
						$("#choiceProduct").html( htmlTxt );
						//초이스 상품 항목별 출력
						CurrentView.ui.setProductInfo(0);
					}
	
					CurrentView.data.getEventBanner();
					
					/* 공통 title 및 description 수정 */
					$("head title").text(CurrentView.CATGRP_NAME + " - NS홈쇼핑 모바일");
					
					/* Open Graph Tag 수정 */
					$("meta[property='og:title']").attr("content", CurrentView.CATGRP_NAME + " - NS홈쇼핑 모바일");
					$("meta[property='og:url']").attr("content", CurrentView.CATGRP_URL );
					$("meta[property='og:image']").attr("content", $("#divHtmlContent").find("img:first").attr("src") );
					
					//2019-07-16 sjseo 기획전 -> history 변경 데이터 경량 화
					var hisParamObj = {};
					hisParamObj.pageParams = CurrentView.extendsParams;
					hisParamObj.catgroupId =  CurrentView.catgroupId;
					hisParamObj.cateGroupName = CurrentView.CATGRP_NAME;
					hisParamObj.pageId = mainCtrl.getCurrentPageId();
					hisParamObj.hisGubun = "F";
					mainCtrl.setRecentlyViewedProducts(hisParamObj); //기획전 저장
				}
			},
			
			//초이스 상품 세팅
			setProductInfo : function( choiceNumber ){
				var productInfo = CurrentView.catgroupList[choiceNumber];
				var salePrice = productInfo.choiceData.salePrice;
				var count = productInfo.choiceCnt;
				
				$("#choiceProductList").html("");

				for(var i=0; i<productInfo.choiceData.childList.length; i++){
					CurrentView.ui.setChildList( productInfo.choiceData.childList[i], i, count );
				}
				
				$("#choicePrice").html( Ns.Util.insertCommas(salePrice) + "원" ); //초이스 상품 가격 표시
				$("#txtChoiceProduct").html("초이스 "+count+"종 상품입니다. <br/>"+count+"개를 선택하세요");

				CurrentView.event.initEvent();	//화면로딩마다 이벤트 재적용
				CurrentView.totalOptionCnt = 0;	//선택 개수 초기화
				CurrentView.optionMaxCnt = count;
				CurrentView.catentryId = productInfo.choiceData.catentryId;
			},
			
			setChildList : function( data, choiceCount, productCount ){
				choiceCount = choiceCount.toString();
				
				var img = Ns.Util.getImageUrl(data.partNumber,"P", data.adultItemFlag);	// 2016-09-01 Ssong 성인상품 플래그 추가
				var brandName = data.brandName != "미정의" && !Ns.Util.isNull(data.brandName) ? "["+data.brandName+"] " : "";
				var goodsName = brandName + data.goodsName;
				
				//상품별 최대 선택개수 변경
				var optionCount = "";
				for(var i=0; i<productCount; i++){
					optionCount += "<li><a>"+(i+1)+"</a></li>";
				}

				//상품별 옵션 추가
				var attrTxt = "";
				for(var i=0; i<data.attrList.length; i++){
					var item = data.attrList[i];
					if(item.stockQty == 0){
						continue;
					}
					attrTxt += Ns.Util.stringFormat('\
						<div class="wrap">\
							<div class="field option_wrap">\
								<span class="option-select vertical">\
									<span>\
										<label><input id="{1}" cnt="1" type="checkbox" title="상품 옵션 선택" aFlag="{4}" catentryId="{3}" class="form theme-a x-small">{0}</label>\
									</span>\
								</span>\
							</div>\
							<section class="f_selectArea choice">\
								<div class="accordion theme-a">\
									<h1><a class="ui-base-toggle" href="#itemClass{1}">1</a></h1>\
									<ul id="itemClass{1}" class="item-class ui-base-target">\
										{2}\
									</ul>\
								</div>\
							</section>\
						</div>\	', item.attrName, choiceCount+i, optionCount, data.attrList[i].catentryId, data.adultItemFlag);
				}
				
				//상품 이미지 & 상품명 출력
				var htmlTxt = "";
				htmlTxt += Ns.Util.stringFormat('\
					<li class="items">\
						<div class="wrap">\
							<div class="thumbnail">\
								<a href="javascript:mainCtrl.gotoProductDisplay({4}, {5}, \'{6}\', \'{7}\', \'{8}\', \'{9}\')"><img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'" alt="상품 이미지"></a>\
							</div>\
							<div class="field">\
								<p class="title"><a href="javascript:mainCtrl.gotoProductDisplay({4}, {5}, \'{6}\', \'{7}\', \'{8}\', \'{9}\')"><strong>{2}</strong></a></p>\
							</div>\
						</div>\
						{3}\
					</li>',
					img, Const.NO_IMAGE_URL + 'noimage_I.jpg',
					goodsName,
					attrTxt,
					data.partNumber, null, null, CurrentView.p_espotid, CurrentView.p_bannerid, 
					CurrentView.catgroupId	// 기획전 ID
					
				);
				
				$("#choiceProductList").append(htmlTxt);
			}
		}
		//end ui function...
};