
/* JavaScript content from js/main/M_G1100101M.js in folder common */

/* 
 *	페이지 ID : M_G1100101M 
 *  1. 럭키박스 이벤트
 *  
 *  
*/

CurrentView = {
		PopupMsg : {
			TOLL_GETMISS:"TollPoint 가져오기 실패",
			TOLL_SHORTAGE : "응모하실 톨이 부족합니다.<br/>이벤트 참여 또는 상품평 작성을 통해 톨 적립이 가능합니다.",
			TOLL_SEND : "적립금을 응모하는데<br>1,000톨이 소진됩니다.<br>적립금 응모에 참여하시겠습니까?",
		},
		extendsParams : null,
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ){
			$("#gotoMarket a").on('click', CurrentView.event.onclick_gotoMarket )
			$("#btnSendCoupon").on('click', CurrentView.event.onclick_btnSendCoupon );
			$("#chkTollPoint").on('click', CurrentView.event.onclick_chkTollPoint );
			$("#gotoHappyDeal").on('click', CurrentView.event.onclick_gotoHappyDeal );
			
			this.extendsParams = params || {};
			
		},
		
		onLoad : function(){
			
			var historyObj = {};
			historyObj.pageParams = CurrentView.extendsParams;
			//출석체크 페이지는 따로 offerId가 존재 하지 않으므로 페이지 ID로 판단(단독페이지 이벤트이기 때문에)
			historyObj.offerIdfr = mainCtrl.getCurrentPageId();
			//페이지 config에 설정된 title 명을 넣어주자 하드코딩X
			historyObj.offerNm = PAGE_CONFIG[mainCtrl.getCurrentPageId()].title;
			historyObj.eventPageId = mainCtrl.getCurrentPageId();
			historyObj.hisGubun = "E";
			mainCtrl.setRecentlyViewedProducts(historyObj);
			
			//로그인 체크
			if ( mainCtrl.checkLogonStatus() ){
				$("#divIsLogin .row").show();
				CurrentView.data.getTollPoint();
			} else {
				$("#divIsLogin .row_logout").show();
			}
		},
		
		//데이터 관련 함수 정의
		data : {
			//톨포인트 조회
			getTollPoint : function(){
				var fromDate = Ns.Date.calcDate( '', 0, 0, -1, 0, 'yyyyMMdd');
				var today = Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyyMMdd' );
				
				var params = {
					schFlag : "1M",
					fromDate : fromDate,
					toDate : today,
					userId : USERINFO.userId(),
				};
				
				var tempDate = new Date();
				var year = String( tempDate.getFullYear() );
				var month = String( tempDate.getMonth()+1 );
				var day = String( tempDate.getDate() );
				
				if (month.length < 2){ month  = "0" + month; }
				if (day.length < 2){ day  = "0" + day; }
				
				if( Ns.Util.isNull(params.userId) ){
					mainCtrl.gotoLogin();
				}
				
				if( undefined == params.fromDate || null == params.fromDate || "" == params.fromDate ){
					params.fromDate = year+month+day;
				}
				
				if( undefined == params.toDate || null == params.toDate || "" == params.toDate ){
					params.toDate =  year+month+day;
				}
				
				tran.callWCSJsonTran( "TolPointReal", params, CurrentView.ui.setTollPoint);
			},
			
			//럭키박스 결과
			getResultCoupon : function( data ){
				var code = data.msg.rtn.rtnCode;
				var msg = data.msg.rtn.rtnMsg;
				
				if ( code == 0 ){
					msg = "축하합니다!<br>" + msg;
				} 
				
				Ns.Popup.alert( msg );
				CurrentView.data.getTollPoint();
			}
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			setTollPoint : function( data ){
				if ( Ns.Util.isNull(data.msg) || Ns.Util.isNull(data.msg.root) || Ns.Util.isNull(data.msg.root.common) ){
					Ns.Popup.alert( CurrentView.PopupMsg.TOLL_GETMISS );
					return false;
				}
				
				var toll = data.msg.root.common.amount;
				$("#currentToll").val( $.trim(toll) );
			}
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			onclick_btnSendCoupon : function(){
				var toll = Number($("#currentToll").val().replace(",",""));
				
				//로그인 체크
				if ( !mainCtrl.checkLogonStatus() ){
					mainCtrl.gotoLogin();
					return false;
				}
				
				//최소 톨 체크
				if ( toll < 1000 ){
					Ns.Popup.alert( CurrentView.PopupMsg.TOLL_SHORTAGE );
					return false;
				}
				
				//럭키박스 실행여부
				Ns.Popup.confirm(
					CurrentView.PopupMsg.TOLL_SEND,
					function(){
						var params = {};
						params.userId = USERINFO.userId();
						
						tran.callWCSJsonTran( "NSMTimesLuckyBoxReal", params, CurrentView.data.getResultCoupon);
					},
					function(){
						return false;
					},
					"확인","취소");
			},
			
			onclick_chkTollPoint : function(){
				mainCtrl.navigate( "M_U1142100M", {tabIndex:0} );
			},
			
			onclick_gotoHappyDeal : function(){
				var invoke = {};

				invoke.catalogId = Const.getMobileCatalogId();
				invoke.categoryId = Const.getHotdealCategoryId("TODAY");
				invoke.sortCriteria = "TODAY";
				invoke.busChnId = "INT";
				
				mainCtrl.navigate( "M_G5710001M", invoke );
			},
			
			onclick_gotoMarket : function(){
				var market = $(this).attr("url");
				var url = "";
				
				switch(market){
					case "Google" : url = "https://play.google.com/store/apps/details?id=com.nsmobilehub"; break;
					case "AppStore" : url = "https://itunes.apple.com/kr/app/nshomsyoping/id405015280?mt=8"; break;
					case "TStore" : url = "http://tsto.re/0000678039"; break;
				};
				WL.App.openURL(url,"target");
			}
		}
		//end event function
};