
/* JavaScript content from js/main/M_G1100102M.js in folder common */

/* 
 *	페이지 ID : M_G1100102M 
 *  1. 룰렛 이벤트
 *  
 *  
*/

CurrentView = {

		eventCoupon : "NSRouletteEvent",
		couponList : null,
		offerId : "100000071690", // 2020.01.31까지 유효한 룰렛 오퍼(운영 : 100000071690)
		resultMsg : "",
		isWaitSendMsg : false ,  // 더블클릭으로 인한 중복 클릭 방지 flag
		extendsParams : null,
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ){
			if (!Ns.Util.isNull(params) && !Ns.Util.isNull(params.offerIdfr)) {
				CurrentView.offerId = params.offerIdfr;
			}
			this.extendsParams = params || {};
			CurrentView.data.getEventCoupon();
		},
		
		onLoad : function(){
			CurrentView.ui.setDefaultEvent();			
		},
		
		//데이터 관련 함수 정의
		data : {
			/**
			 * 룰렛 돌리기 함수
			 * 
			 * - rotate 함수
			 * animateTo : 돌아가는 회전수
			 * duration : 총 돌아가는 시간
			 * callback : 멈춘 후 실행 함수
			 */
			spinRoulette : function( value ){
				//하단 파라미터는 위로 올려도 됨
				var listCount = 6;									//당첨 목록 수
				var rotateCount = 10;								//룰렛 회전 수
				var rotateDelay = 5000;								//룰렛 회전 시간 (millisec)
				var random = Math.floor( Math.random()*40 ) - 20;	//정 가운데가 아닌 양 사이드가 선택 되도록

				/**
				 *  등수별 멈출 위치 선정 (시계방향)
				 *  1등 : 0~60(1/6), 2등 : 241~300(5/6), 3등 : 61~120(2/6)
				 *  4등 : 121~180(3/6), 5등 : 301~360(6/6), 6등 : 181~240(4/6)
				 */
				var grade = {
						"10000" : 1, "5000" : 2, "1000" : 3,
						"500" : 4, "100" : 5, "10" : 6,
				};
				
				var defaultAngle = 360 / listCount;										//당첨 목록수별 기본 각도 
				var angle = ( defaultAngle * grade[value] ) - defaultAngle / 2;			//등수별 정지 각도 계산
				angle += random;														//정지 각도 내부에서 멈추도록 랜덤값 추가
				var totalAngle = angle - (360 * rotateCount);							//총 회전 각도
				$("#imgRoulette").rotate({
					animateTo	:-totalAngle,
					duration	:rotateDelay,
					easing		:$.easing.easeInOutElastic,
					center		:["50%","50%"],
					callback	:function(){
						Ns.Popup.alert( CurrentView.resultMsg );
						CurrentView.data.getTollPoint();
					}
				});
			},
			
			//룰렛 진행 여부 체크
			chkRouletteResult : function( data ){
				if ( data.msg || data.msg.root ){
					var result = data.msg.root;
					var msg = result.rtnMsg;
					
					if ( result.rtnCd != 0 ){
						Ns.Popup.alert( msg );
						
						CurrentView.isWaitSendMsg = false;
					} else {
						var value = "";
						for( var i=0; i<msg.length; i++){
							if ( msg[i] >= "0" && msg[i] <= "9" ){
								value += msg[i];
							}
						}
						
						if (value == ""){	//빈스트링이면 꽝으로 본다
							value = "10";	// 빈스트링일 경우 10으로 세팅
						}
						
						CurrentView.resultMsg = msg;
						CurrentView.data.spinRoulette( value );
					}
				}
			},
			
			//톨포인트 조회
			getTollPoint : function(){
				var fromDate = Ns.Date.calcDate( '', 0, 0, -1, 0, 'yyyyMMdd');
				var today = Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyyMMdd' );
				
				var params = {
					schFlag : "1M",
					fromDate : fromDate,
					toDate : today,
					userId : USERINFO.userId(),
				};
				
				var tempDate = new Date();
				var year = String( tempDate.getFullYear() );
				var month = String( tempDate.getMonth()+1 );
				var day = String( tempDate.getDate() );
				
				if (month.length < 2){ month  = "0" + month; }
				if (day.length < 2){ day  = "0" + day; }
				
				if( Ns.Util.isNull(params.userId) ){
					mainCtrl.gotoLogin();
				}
				
				if( undefined == params.fromDate || null == params.fromDate || "" == params.fromDate ){
					params.fromDate = year+month+day;
				}
				
				if( undefined == params.toDate || null == params.toDate || "" == params.toDate ){
					params.toDate =  year+month+day;
				}
				
				tran.callWCSJsonTran( "TolPointReal", params, CurrentView.ui.setTollPoint);
			},
			getEventCoupon : function(){
				
				var historyObj = {};
				historyObj.pageParams = CurrentView.extendsParams;
				historyObj.offerIdfr = mainCtrl.getCurrentPageId();
				historyObj.offerNm = "룰렛 이벤트";
				historyObj.eventPageId = mainCtrl.getCurrentPageId();
				historyObj.hisGubun = "E";
				mainCtrl.setRecentlyViewedProducts(historyObj);
				
				mainCtrl.setEventCoupon();
			},
		},
		//end data function...
		
		//ui interaction 관련 함수 정의 
		ui : {
			setDefaultEvent : function(){
				
				$("#gotoMarket").on('click', CurrentView.event.onclick_gotoMarket )
				$("#chkTollPoint").on('click', CurrentView.event.onclick_chkTollPoint );
				$("#gotoHappyDeal").on('click', CurrentView.event.onclick_gotoHappyDeal );
				$("#startRoulette").on('click', CurrentView.event.onclick_startRoulette );
				
				//로그인 체크
				if ( mainCtrl.checkLogonStatus() ){
					CurrentView.data.getTollPoint();
				} else {
					$("#currentToll").val("로그인 해주세요.");
				}
			},
			
			setTollPoint : function( data ){
				
				CurrentView.isWaitSendMsg = false;
				
				if ( Ns.Util.isNull(data.msg) || Ns.Util.isNull(data.msg.root) || Ns.Util.isNull(data.msg.root.common) ){
					Ns.Popup.alert( CurrentView.PopupMsg.TOLL_GETMISS );
					return false;
				}
				
				var toll = data.msg.root.common.amount;
				$("#currentToll").val( $.trim(toll) );
			}
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			onclick_startRoulette : function(){
				
				//로그인 체크
				if ( !mainCtrl.checkLogonStatus() ){
					Ns.Popup.alert( "로그인 후 참여 가능합니다." , function(){
						navi.setMovePointer(-1);
						mainCtrl.gotoLogin();
					});
					return false;
				}
				
				//서버에 요청된 상태인지 체크 한다 , response 를 받지 못한 상태 이면 return 시킨다
				var b = CurrentView.isWaitSendMsg; 
				if( b == false){
					var coupon = CurrentView.offerId;
					if ( coupon != null ){
						var invoke = {
							userId : USERINFO.userId(),
							mediaCd : "MOBIL",
							flag : "01",
							eventIdfr : coupon
						};
						
						CurrentView.isWaitSendMsg = true;
						
						tran.callWCSJsonTran( "NSTimesPrmtEventCmd", invoke, CurrentView.data.chkRouletteResult );
						
					} 
				}
			},
			
			onclick_chkTollPoint : function(){
				mainCtrl.navigate( "M_U1142100M", {tabIndex:0} );
			},
			
			onclick_gotoHappyDeal : function(){
				var invoke = {};

				invoke.catalogId = Const.getMobileCatalogId();
				invoke.categoryId = Const.getHotdealCategoryId("TODAY");
				invoke.sortCriteria = "TODAY";
				invoke.busChnId = "INT";
				
				mainCtrl.navigate( "M_G5710001M", invoke );
			},
			
			onclick_gotoMarket : function(){
				mainCtrl.gotoAppMarket( true );
			}
		}
		//end event function
};