
/* JavaScript content from js/main/M_G1100104M.js in folder common */
/* 
 *	페이지 ID : M_G1100104M 
 *  NS운세쿠폰 이벤트  
 */
CurrentView = {
		offerId : null,
		bDouble : false,	// 중복클릭 체크 변수
		
		init : function(params) {
			this.initializeComponent(params);
			this.onLoad(params);
		},
		
		initializeComponent : function(params) {
			if (!Ns.Util.isNull(params.offer_id)) {
				CurrentView.offerId = params.offer_id;
			}
			$("#couponImgRandom").unbind().bind( "click", this.event.onclick_btnSendCoupon );	// 이벤트 응모 클릭
			$("#couponLink").unbind().bind( "click", this.event.onclick_btnCouponLink );		// 쿠폰 페이지로 이동
			
		},
		
		onLoad : function(params) {
			var historyObj = {};
			historyObj.pageParams = params;
			historyObj.offerIdfr = mainCtrl.getCurrentPageId();
			historyObj.offerNm = "NS운세쿠폰 이벤트";
			historyObj.eventPageId = mainCtrl.getCurrentPageId();
			historyObj.hisGubun = "E";
			mainCtrl.setRecentlyViewedProducts(historyObj);

			this.ui.getInfoLayerEvent(); // 이벤트 Layer 셋팅
		},
		
		data : {			
			// 이벤트 참여후 콜백
			resultCallback : function(data) {
				
				var rtnCode    = data.msg.root.rtnCd;
				var lottoType  = data.msg.root.rtnMsg;
				
				var msg;
				
				if(rtnCode != null){
					// 1) 이벤트에 정상적으로 응모된 경우
					if(rtnCode == "0"){
						CurrentView.ui.getCouponImgRandom(lottoType); 	 // 당첨결과 이미지 셋팅
						CurrentView.ui.getScratchEvent();	         	 // 스크래치 이벤트 실행
						CurrentView.bDouble = true;              		 // 이벤트 재 실행 방지
					} else if(rtnCode == "-2"){
						msg = "진행중인 이벤트가 아닙니다.";
						Ns.Popup.alert( msg );
						CurrentView.bDouble = false;
					} else if(rtnCode == "-3"){
						msg = "이미 응모하셨습니다.";
						Ns.Popup.alert( msg );
						CurrentView.bDouble = false;
					} else {
						// 기타 오류사항(-1, 1 등등)
						msg = "이벤트 진행 중 오류가 발생하였습니다.";
						Ns.Popup.alert( msg );
						CurrentView.bDouble = false;
					}
					
				} else {
					msg = "이벤트 진행 중 오류가 발생하였습니다.";
					Ns.Popup.alert( msg );
					CurrentView.bDouble = false;
				}
			}
		},

		//ui interaction 관련 함수 정의 
		ui : {
			
			/*
			 * 레이어 이벤트 셋팅
			 */
			getInfoLayerEvent : function() {
	            var $benefitBtn = $('.benefit_btn');
	            var $infoLayerWrap = $('.info_layer_wrap');
	            var $closeLayerBtn = $infoLayerWrap.find('.layer_close_btn');
	
	            $benefitBtn.on('click', function() {
	              $infoLayerWrap.addClass('current');
	            });
	
	            $closeLayerBtn.on('click', function() {
	              $(this)
	                .closest('.info_layer_wrap')
	                .removeClass('current');
	            });
			},
			
			/*
			 * 스크래치 이벤트 처리
			 */
			getScratchEvent : function() {
				
				var $scratchLayer = $('.scratch_layer');
	            var $scratchInput = $scratchLayer.find('.scratch_input');
	            var $scratchImg = $scratchLayer.find('img');
	
	            var scratchValue = Number($scratchInput.val());
	            var currentIndex = 0;
	            var beforeIndex;
	            var timer;
	            
	            /*
	             * 쿠폰 다운로드 후, 기본 1회 자동 스크래치 처리
	             * 다운로드 시 이미지를 클릭하나, 이미 다운받은 상태 or 오류 등에서는 스크래치가 실행되지 않아야 하기 때문에
	             * 정상 다운로드 후, getScratchEvent()를 호출하도록 하고있음
	             */
				scratchValue++;
				$scratchInput.val(scratchValue);
            
                $scratchImg
                  .eq(beforeIndex)
                  .removeClass('before')

                $scratchImg
                  .eq(currentIndex)
                  .addClass('before')
                  .removeClass('current')

                $scratchImg
                  .eq(currentIndex + 1)
                  .addClass('current');

                beforeIndex = currentIndex;
                currentIndex = currentIndex += 1;
            
	            /*
	             * 이미지 클릭 시 스크래치 처리
	             */
	            $scratchImg.on('click', function() {
	            	
	              if (scratchValue < 3) {
	                scratchValue++;
	                $scratchInput.val(scratchValue);
	              }
	
	              $scratchImg
	                .eq(beforeIndex)
	                .removeClass('before')
	
	              $scratchImg
	                .eq(currentIndex)
	                .addClass('before')
	                .removeClass('current')
	
	              $scratchImg
	                .eq(currentIndex + 1)
	                .addClass('current');
	
	              beforeIndex = currentIndex;
	              currentIndex = currentIndex += 1;
	            });
	
	            $scratchInput.change(function(){
	              if (scratchValue === 3) {
	                $scratchLayer
	                  .addClass('complete');
	              }
	            });
	
	            timer = setInterval(function() {
	                $scratchInput.val(scratchValue).trigger('change');
	
	                if (scratchValue === 3 ) {
	                  clearInterval(timer);
	                }
	            }, 1500);
			},
			
			/*
			 * 이벤트 당첨결과 내용 셋팅
			 */
			getCouponImgRandom : function(lottoType) {
				var $couponImg = $('.coupon_img');
	            var $img = $couponImg.find('img');
	
	            var $priceBenefit = $('.price');
	            var $clssfiyBenefit = $('.classify')
	
	            var random = lottoType;
	            
	            if (random === "10") {
	              $img.attr('src', 'http://image.nsmall.com/ec_comimages/nsupload/espot/images/mobile/03_Event/201911/luck_textCoupon01.png');
	              $img.attr('alt', '돌다리도 두들겨보고 건너면 무사평단한 한해가 되리라! 앱전용 할인쿠폰 3천원');
	              
	              $priceBenefit.text('4만원 이상 최대 3천원 할인');
	              $clssfiyBenefit.text('전상품');
	            }
	
	            if (random === "20") {
	              $img.attr('src', 'http://image.nsmall.com/ec_comimages/nsupload/espot/images/mobile/03_Event/201911/luck_textCoupon02.png');
	              $img.attr('alt', '귀인을 만나 좋은 기운을 받을 운세가 보이는 구나! 앱전용 할인쿠폰 10%할인');
	
	              $priceBenefit.text('4만원 이상 최대 1만원 할인');
	              $clssfiyBenefit.text('TV상품');
	            }
	
	            if (random === "30") {
	              $img.attr('src', 'http://image.nsmall.com/ec_comimages/nsupload/espot/images/mobile/03_Event/201911/luck_textCoupon03.png');
	              $img.attr('alt', '대운이 가득한 운세로다! 좋은 길로 나아갈 수 있으리라! 앱전용 할인쿠폰 12%할인');
	
	              $priceBenefit.text('4만원 이상 최대 1만원 할인');
	              $clssfiyBenefit.text('TV상품');
	            }
			},
			
		},
		
		//이벤트 관련 함수 정의
		event : {
			
			/**
			 * 쿠폰 받기 버튼 클릭이벤트
			 * */
			onclick_btnSendCoupon : function() {
				if (mainCtrl.isOsApp()) {
					var isLogon = mainCtrl.checkLogonStatus();
					if (isLogon) {

						// 응모하기 데이터 설정
						var transId = "NSTimesPrmtEventCmd";
						var invoke = {};
						invoke.userId = USERINFO.userId();
						invoke.mediaCd = "MOBIL";
						invoke.flag = "06"; // 06 : 신년쿠폰 이벤트
						invoke.eventIdfr = "0"; // 오퍼번호(0으로 일단 전달)
						
						// 중복 클릭 방지 처리 
						if (CurrentView.bDouble == true)
							return false;
						CurrentView.bDouble = true;
						
						// 이벤트 응모하기
						tran.callWCSJsonTran(transId, invoke, CurrentView.data.resultCallback);

					} else {
						Ns.Popup.alert("로그인 후 이용하실 수 있습니다.", function() {
							mainCtrl.gotoLogin();
						});
						return;
					}
				} else {
					Ns.Popup.alert("앱에서만 참여 가능합니다.</br>앱 다운후 응모해주세요!");
				}
			},
			
			/**
			 * 쿠폰 받기 버튼 클릭이벤트
			 * */
			onclick_btnCouponLink : function() {
				mainCtrl.navigate( 'M_U1141100M' );
			},
			
		}
		
};