
/* JavaScript content from js/main/M_G1100105M.js in folder common */

/* 
 *	페이지 ID : M_G1100105M
 *  푸시수신동의 이벤트
 *  
*/

CurrentView = {
		offerId : null,
		bDouble : false,	// 중복클릭 체크 변수
		
		init : function(params) {
			this.initializeComponent(params);
			this.onLoad(params);
		},
		
		initializeComponent : function(params) {
			if (!Ns.Util.isNull(params.offer_id)) {
				CurrentView.offerId = params.offer_id;
			}
		},
		
		onLoad : function(params) {
			var historyObj = {};
			historyObj.pageParams = params;
			historyObj.offerIdfr = mainCtrl.getCurrentPageId();
			historyObj.offerNm = "푸쉬수신동의 이벤트";
			historyObj.eventPageId = mainCtrl.getCurrentPageId();
			historyObj.hisGubun = "E";
			mainCtrl.setRecentlyViewedProducts(historyObj);
			
			CurrentView.data.getPushEventList();
		},
		
		data : {			
			
			// 이벤트 상세정보를 요청
			getPushEventList : function() {
				var invoke = {
					offerIdfr : CurrentView.offerId,
					cmdType : "102",
					winConfirmYn : "N"
				};
				tran.callWCSJsonTran('NSAjaxMTimesEventCmd', invoke, CurrentView.ui.setPushEvent);
			},
			
			// 이벤트 참여후 콜백
			resultCallback : function(data) {
				var msg  = data.msg.root.rtnMsg;
					
				if( msg.indexOf("축하합니다") != -1 ) {
					msg  = "TV쇼핑 5,000원 쿠폰이 지급되었습니다.";
				} else if( msg.indexOf("신청하셨습니다") != -1 ){
					msg  = "고객님은 이미 쿠폰을 받으셨습니다.";
				}
				
				Ns.Popup.alert( msg );
				CurrentView.bDouble = false;
			}
		},

		//ui interaction 관련 함수 정의 
		ui : {
			
			// 푸쉬 이벤트 페이지 UI 설정
			setPushEvent : function(data) {
				// 이벤트 상세보기 html
				var eventdata = data.msg.eventDetail;
				if (Ns.Util.isNull(eventdata))
					return false;
				
				// 모바일 이벤트 확인, 데이터가 없을 경우 인터넷것으로 대체
				var nullTxt = "<p>nbsp;</p>"
				var htmlTxt = eventdata.dweMobileditcont;
				if (Ns.Util.isNull(htmlTxt) || htmlTxt == nullTxt)
					htmlTxt = eventdata.dweditcont;
				
				// 이벤트 페이지 html 설정
				var event = Ns.Util.htmlDecode(htmlTxt);
				$("#htmlContent").html(event);
				
				$("#btnSendPushCoupon").on('click', CurrentView.event.onclick_btnSendPushCoupon ); // 쿠폰받기 버튼 클릭 이벤트 셋팅
			}
		},
		
		//이벤트 관련 함수 정의
		event : {
			
			/**
			 * 쿠폰 받기 버튼 클릭이벤트
			 * */
			onclick_btnSendPushCoupon : function() {
				if (mainCtrl.isOsApp()) {
					var isLogon = mainCtrl.checkLogonStatus();
					if (isLogon) {
						var isPushAgreeYn = Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN);
						if (isPushAgreeYn == "Y") {
							// 응모하기 데이터 설정
							var transId = "NSTimesPrmtEventCmd";
							var invoke = {};
							invoke.userId = USERINFO.userId();
							invoke.mediaCd = "MOBIL";
							invoke.flag = "01";
							invoke.eventIdfr = CurrentView.offerId;
							
							// 중복 클릭 방지 처리 
							if (CurrentView.bDouble == true)
								return false;
							CurrentView.bDouble = true;
							
							// 이벤트 응모하기
							tran.callWCSJsonTran(transId, invoke, CurrentView.data.resultCallback);
							
						} else {
							Ns.Popup.alert("쇼핑알림 설정이 'ON' 상태이어야 참여 가능합니다.", function() {
								mainCtrl.navigate('M_F1190000M');
							});
							return;
						}
					} else {
						Ns.Popup.alert("로그인 후 이용하실 수 있습니다.", function() {
							mainCtrl.gotoLogin();
						});
						return;
					}
				} else {
					Ns.Popup.alert("앱에서만 참여 가능합니다.</br>앱 다운후 응모해주세요!");
				}
			}
			
		}
		
};