
/* JavaScript content from js/main/M_G1100500M.js in folder common */

/* 
 *	페이지 ID : M_G1100500M 
 *  1. 출석이벤트
 *  
 *  
*/

CurrentView = {
		m_inputParams     : null,
		m_outputDatas     : null,
		
		TODAY_ATTENDANCE_FLAG : false,	// 금일출석여부
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		initializeComponent : function() {
			$("#btnChallenge").unbind().bind( "click", this.event.onclick_btnChallenge );	// 도전하기
			$("#btnTollClick").unbind().bind( "click", this.event.onclick_btnTollClick ); 
		},
		
		onLoad : function(params) {
			CurrentView.m_inputParams = params || {};
			
			this.data.getCheckAttendanceMobile();
		},
		
		data : {
			// 출석이벤트 조회
			getCheckAttendanceMobile : function() {
				var invokeParam = CurrentView.m_inputParams;
				invokeParam.users_id = USERINFO.userId();
				invokeParam.chn_gubun = 'Mobile';
				invokeParam.cmd_gubun = 'Load'; // Load:조회, basicAttn:기본적인출석, weekAttn:주문 2회, 전월 7일 연속출석 5000톨포인트 받기
				tran.callWCSJsonTran('NSCheckAttendanceMobileReal', invokeParam, this.responseCheckAttendanceMobile);
			},
			
			// 출석이벤트 조회 callback
			responseCheckAttendanceMobile : function(data) {
				if( data.msg == null || data.msg.root == null ) {
					Ns.Popup.alert( Messages.procedure_error );
					var param = new Object;
					param.ErrorCode = "PE";
					param.p_espotid = "NSCheckAttendanceMobileReal";
					tran.callPageLogging("LoggingPage", param);
					return false;
				}
				CurrentView.m_outputDatas = data;
				
				// 금일 출석 여부 체크
				CurrentView.TODAY_ATTENDANCE_FLAG = (data.msg.root.attnYn == 'Y');
				
				CurrentView.ui.setAttendanceInfo(data.msg.root);
				
				var historyObj = {};
				historyObj.pageParams = CurrentView.m_inputParams;
				//출석체크 페이지는 따로 offerId가 존재 하지 않으므로 페이지 ID로 판단(단독페이지 이벤트이기 때문에)
				historyObj.offerIdfr = mainCtrl.getCurrentPageId();
				//페이지 config에 설정된 title 명을 넣어주자 하드코딩X
				historyObj.offerNm = PAGE_CONFIG[mainCtrl.getCurrentPageId()].title;
				historyObj.eventPageId = mainCtrl.getCurrentPageId();
				historyObj.hisGubun = "E";
				mainCtrl.setRecentlyViewedProducts(historyObj);
			},
			
			// 출석체크(기본출석)
			doBasicAttendance : function() {
				var invokeParam = {};
				invokeParam.users_id = USERINFO.userId();
				invokeParam.chn_gubun = 'Mobile';
				invokeParam.cmd_gubun = 'basicAttn'; // Load:조회, basicAttn:기본적인출석, weekAttn:주문 2회, 전월 7일 연속출석 5000톨포인트 받기
				tran.callWCSJsonTran('NSCheckAttendanceMobileReal', invokeParam, function(data){
					if (data.attnYn == 'Y') {
						Ns.Popup.alert( "출석완료 되었습니다", function() {
							$('#divCalendarArea').empty();
							CurrentView.data.getCheckAttendanceMobile();
						} );
					} else {
						Ns.Popup.alert( "오류로 인해 출석체크가 완료되지 않았습니다.<br />잠시 후  다시 시도하여 주십시오." );
					}
				});
			},
			
			// 톨포인트 받기(7일 출석&2회이상 구매시)
			doWeekAttendance : function() {
				var invokeParam = {};
				//invokeParam.users_id = USERINFO.userId;
				//invokeParam.chn_gubun = 'Mobile';
				invokeParam.cmd_gubun = 'weekAttn'; // Load:조회, basicAttn:기본적인출석, weekAttn:주문 2회, 전월 7일 연속출석 5000톨포인트 받기
				tran.callWCSJsonTran('NSCheckAttendanceMobileReal', invokeParam, function(data){
					if( !Ns.Util.isNull(data.rsltMsg) ){
						Ns.Popup.alert( data.rsltMsg );
					}
				});
			},
			
			// 친구추천 이메일보내기
			sendFriendEmail : function(params) {
				var invokeParam = $.extend(true, {
					'recipientNm' : '',		// 받는사람 이름
					'recipientMail' : '',	// 받는사람 이메일주소
					'title' : '',			// 메일 제목
					'ctnt' : ''				// 메일 내용
				}, params);
				invokeParam.users_id = USERINFO.userId();
				invokeParam.chn_gubun = 'Mobile';
				invokeParam.cmd_gubun = 'sendMail'; // sendMail : 이메일보내기
				tran.callWCSJsonTran('NSCheckAttendanceMobileReal', invokeParam, function(data){
					if( !Ns.Util.isNull(data.rsltMsg) ){
						Ns.Popup.alert( data.rsltMsg );
					}
				});
			}
			
		},

		//ui interaction 관련 함수 정의 
		ui : {
			// 출석체크 확인정보 출력
			setAttendanceInfo : function( data ) {
				var html = '';
				
				html += Ns.Util.stringFormat('<p class="month">{0}월</p>', data.nMonth);
				html += '<table class="calendar">';
				html += '	<colgroup>';
				html += '		<col width="14%" /><col width="14%" /><col width="14%" /><col width="14%" /><col width="14%" /><col width="14%" /><col width="*" />';
				html += '	</colgroup>';
				html += '	<thead>';
				html += '		<tr>';
				html += '			<th>일</th><th>월</th><th>화</th><th>수</th><th>목</th><th>금</th><th>토</th>';
				html += '		</tr>';

				html += '<tr>';
				if (Number(data.calData[0].weekSeq) > 1) {
					for (var i = 1; i < Number(data.calData[0].weekSeq); i++) {
						html += '<td></td>';
					}
				}
				for (var i = 0; i < data.calData.length; i++) {
					html += Ns.Util.stringFormat('<td class="{1}"><span>{0}</span></td>',
						data.calData[i].Dt,
						(data.calData[i].couponPoint ? "check" : (Number(data.calData[i].Dt) == data.nDay ? "checkon" : ""))
					);
					if (data.calData[i].weekSeq == '7' && i < data.calData.length - 1) {
						html += '</tr>';
						html += '<tr>';
					}
				}
				html += '</tr>';
				
				html += '	</thead>';
				html += '</table>';
			
				$('#divCalendarArea').html(html);
			}
		},
		//end ui function...
		
		//이벤트 관련 함수 정의
		event : {
			/**
			 * 2016-12-01 정승진 : 출석체크하기
			 * */
			onclick_btnChallenge : function() {
				
				// 모바일 앱에서만 참여가능
				if (!mainCtrl.isOsApp()) {
					Ns.Popup.alert("모바일 APP에서 가능한 이벤트입니다.");
					return false;
				} else {
					
					// 로그인여부 확인
					if (!mainCtrl.checkLogonStatus()) {
						Ns.Popup.alert("로그인 후 이용해 주세요.", function() {
							mainCtrl.gotoLogin();
						});
						return;
					}
					
					// 1일 1회 이상 응모시
					if (CurrentView.TODAY_ATTENDANCE_FLAG) {
						Ns.Popup.alert("ID당 하루에 한번만 출석체크 하실 수 있습니다.");
						return false;
					}
					
					// 푸시 수신 미동의시
					if (Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN) == "N") {
						Ns.Popup.alertC("쇼핑알림(PUSH) 수신동의 고객만 참여 가능합니다.", function() {
							mainCtrl.navigate('M_F1190000M');
						}, "설정하기");
						return;
					}
					
					// 출석체크
					CurrentView.data.doBasicAttendance();
					
				}
				
			},
			
			onclick_btnTollClick : function(){
				
				if (!mainCtrl.isOsApp()) {
					Ns.Popup.alert("모바일 APP에서 가능한 이벤트입니다.");
					return false;
				}
				
				// 로그인
				if (!mainCtrl.checkLogonStatus()) {
					mainCtrl.gotoLogin();
					return false;
				}
				
				//7일 체크
				CurrentView.data.doWeekAttendance();
			}
			
		}
		//end event function
};

	
