
/* JavaScript content from js/main/M_G1100901M.js in folder common */

/* 
 *	페이지 ID : M_G1100901M 
 *  1. 응모형 이벤트 SUB 페이지
 *  
*/

CurrentView = {
		offerId : null,
		couponId : null,
		bDouble : false,	// 중복클릭 체크 변수
		isBtnOff : false,
		extendParams : null,
		
		init : function(params) {
			this.initializeComponent(params);
			this.onLoad();
		},
		
		initializeComponent : function(params) {
			if (!Ns.Util.isNull(params.offer_id)) {
				CurrentView.offerId = params.offer_id;
			}
			if (!Ns.Util.isNull(params.coupon_id)) {
				CurrentView.couponId = params.coupon_id;
				$("#btnSendCoupon span").text("쿠폰 다운로드");
			}
			if (params.btn == "off") {
				CurrentView.isBtnOff = true;
				$("#btnArea").hide();
			}
			
			this.extendParams = params || {};
			// 응모하기 버튼
			$("#btnSendCoupon").on('click',CurrentView.event.onclick_btnSendCoupon);
		},
		
		onLoad : function() {
			CurrentView.data.getEventList();
		},
		
		data : {
			
			// 이벤트 상세정보를 요청
			getEventList : function() {
				var invoke = {
					offerIdfr : CurrentView.offerId,
					cmdType : "102",
					winConfirmYn : "N"
				};
				tran.callWCSJsonTran('NSAjaxMTimesEventCmd', invoke, CurrentView.ui.setNSTimesEvent);
			},
			
			getDidCheck : function(){
				// 로그인 체크
				if (!mainCtrl.checkLogonStatus()) {
					return false;
				}
				
				var invoke = {};
				invoke.userId = USERINFO.userId();
				
				var transId = "";
				if(CurrentView.couponId != null){
					// empty for purpose 
				}else{
					invoke.mediaCd = "MOBIL";
					invoke.flag = "00";
					invoke.eventIdfr = CurrentView.offerId;
					transId = "NSTimesPrmtEventCmd";
				}
				
				tran.callWCSJsonTran( transId , invoke, CurrentView.ui.setBtnCtl );
			},
			
			// 이벤트 참여후 콜백
			resultCallback : function(data) {
				var msg = "";
				if (CurrentView.couponId != null) {
					var chkSuccess = data.msg.root.Output.successFlag;
					if (chkSuccess == "Y" || chkSuccess == "y")
						msg = "쿠폰 다운로드가 성공하였습니다.";
					else
						msg = "쿠폰 다운로드가 실패하였습니다.";
				} else {
					
					msg = data.msg.root.rtnMsg;
					
					// 건강복권 일경우, 서버 메세지 처리 
					if (CurrentView.offerId == "100000032965" || 
							(CurrentView.offerId == "100000027821" && Const.IS_SERVER_STATE=="DEV") ){
						
					   // 웹뷰 하위버전에서는 startWith() 함수를 지원 하지 않아서 string 를 상속 해서 startsWith를 구현한다  by seo4872
					   if (!String.prototype.startsWith) {
						  String.prototype.startsWith = function(searchString, position) {
							  position = position || 0;
							  return this.indexOf(searchString, position) === position;
						  };
						}
						  
						if (msg.startsWith("이벤트에 당첨되지 않았습니다")) {
							msg  = "아쉽지만  다음기회에~</br>";
							msg += "내일 또 응모해주세요~</br>";
							msg += "(매일 한 ID당 1번씩 응모 가능)";
						} else if(msg.startsWith("축하합니다")) {
							msg  = "건강복권 당첨을 축하드립니다.</br>";
							msg += "39,000원 할인쿠폰이 발급되었으니,</br>";
							msg += "유효기간내 꼭 사용해주세요";
						}
						
					// 2016.04.18 이벤트 문구 수정
					} else if (((CurrentView.offerId == "100000037913")
							||(CurrentView.offerId == "100000037915")
							||(CurrentView.offerId == "100000037916")
							||(CurrentView.offerId == "100000037917") ) 
							||(CurrentView.offerId == "100000028021" && Const.IS_SERVER_STATE=="DEV")
							||(CurrentView.offerId == "100000028023" && Const.IS_SERVER_STATE=="DEV")) {
						   if (!String.prototype.startsWith) {
							   String.prototype.startsWith = function(searchString, position) {
								   position = position || 0;
								   return this.indexOf(searchString, position) === position;
							   };
							}
							  
							if (msg.startsWith("접속자가 너무 많습니다")) { //응모하기_접속자 많을 경우
								msg  = "현재 접속자 폭주로 이벤트 응모에 불편을 드려 죄송합니다.</br>";
								msg += "다시 접속 부탁드립니다";
							}else if(msg.startsWith("고객님은 이미 응모하셨습니다")){ //응모하기_응모당첨 후 다시 탭시 
								msg  = "고객님은 이미 적립금 지급받으셨습니다.</br>";
								msg += "마이페이지에서 확인 후 오늘내로</br>";
								msg += "꼭 사용해주세요~";
							}else if(msg.startsWith("금일 선착순 수량이 마감되었습니다")){ //응모하기 _응모 후 미당첨  (천개 모두 소진시) 
								msg  = "금일 선착순 수량이 마감되었습니다</br>";
								msg += "내일 다시 응모해주세요~";
							}
					}
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_이벤트상세',
						eventAction : '배너쿠폰다운로드',
						eventLabel : '쿠폰다운로드'
				};
				var subparam = {
						t1 : '이벤트',
						t2 : "이벤트상세",
						t3 : "응모형이벤트"
				};

				GA.sendEventData(event_obj,subparam);
				
				
				Ns.Popup.alert( msg , function(){
					CurrentView.data.getDidCheck();
				});
				
				CurrentView.bDouble = false;
			},
		},

		//ui interaction 관련 함수 정의 
		ui : {
			
			// 응모하기 페이지 UI 설정
			setNSTimesEvent : function(data) {
				
				// 이벤트 상세보기 html
				var eventdata = data.msg.eventDetail;
				if (Ns.Util.isNull(eventdata))
					return false;
				
				var historyObj = {};
				historyObj.pageParams = CurrentView.extendParams;
				historyObj.offerIdfr = eventdata.offerIdfr;
				historyObj.offerNm = eventdata.offerNm;
				historyObj.eventPageId = mainCtrl.getCurrentPageId();
				historyObj.hisGubun = "E";
				mainCtrl.setRecentlyViewedProducts(historyObj);
				
				// 모바일 이벤트 확인, 데이터가 없을 경우 인터넷것으로 대체
				var nullTxt = "<p>nbsp;</p>"
				var htmlTxt = "";
				htmlTxt = eventdata.dweMobileditcont;
				if (Ns.Util.isNull(htmlTxt) || htmlTxt == nullTxt)
					htmlTxt = eventdata.dweditcont;
				
				// 이벤트 페이지 html 설정
				var event = Ns.Util.htmlDecode(htmlTxt);
				$("#htmlContent").html(event);
				$("#btnSendCoupon").show();
				
				CurrentView.data.getDidCheck();
			},
		
			setBtnCtl : function(data){
				if(!CurrentView.isBtnOff){
					if(data.msg.root.rtnCd == "1"){ 
						if(!Ns.Util.isNull(CurrentView.couponId)){
							// empty for purpose
						} else {
							$("#btnSendCoupon").removeClass("rate-g");
							$("#btnSendCoupon").addClass("rate-l");
							$("#btnSendCoupon span").text("응모완료");
						}
					}
				}
			}
		},
		
		//이벤트 관련 함수 정의
		event : {
			// 이벤트 응모하기 버튼 클릭
			onclick_btnSendCoupon : function() {
				// 로그인 체크
				if (!mainCtrl.checkLogonStatus()) {
					mainCtrl.gotoLogin();
					return false;
				}
				// 응모하기 데이터 설정
				var invoke = {};
				invoke.userId = USERINFO.userId();
				var transId = "";
				if (CurrentView.couponId != null) {
					invoke.cpNum  = CurrentView.couponId;
					invoke.cmdType  = "";	// N P L
					transId = "CpDownloadReal";
				} else {
					invoke.mediaCd = "MOBIL";
					invoke.flag = "01";
					invoke.eventIdfr = CurrentView.offerId;
					transId = "NSTimesPrmtEventCmd";
				}
				// 중복 클릭 방지 처리 
				if (CurrentView.bDouble == true)
					return false;
				CurrentView.bDouble = true;
				// 이벤트 응모하기
				tran.callWCSJsonTran(transId, invoke, CurrentView.data.resultCallback);
			}
		}
};