
/* JavaScript content from js/main/M_G1131000M.js in folder common */
/* 
 *  페이지 ID : M_G1131000M
 *  
 *  푸시(마케팅) 수신동의 팝업 (2016-08-04 정승진)
*/
CurrentPopup = {
	
	clickFlag : '',
	
	init : function(params) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	// html 페이지 로딩 후 초기화해야 할 적업들을 정의
	initializeComponent : function() {
		$('#chkPushDisagree').on('click', CurrentPopup.event.onclick_btnCancel);
		$('#chkPushAgree').on('click', CurrentPopup.event.onclick_btnOk);
		$("#layerDim").show();
	},
	
	// 화면 로딩중일 때 처리할 작업을 정의
	onLoad : function(params) {
		CurrentPopup.ui.setLoginState();
	},
	
	// 데이터 관련 함수를 정의한다. 
	data : {
		/**
		 * 푸시(마케팅) 수신동의 처리
		 * */
		setPushMsgConfig : function() {
			var succCb = function(data) {
				if (typeof (data) == 'string') {
					data = Ns.Util.serializeToObject(data);
				}
				// 에러 발생시 다시 한번 조회여부를 물어본다.
				if (data.code != '000') {
					CurrentPopup.event.setPushConfigFail();
					Ns.Popup.confirm("푸시 서버와의 연결에 실패하였습니다. 재시도 하시겠습니까?", function() {
						navi.setMovePointer(-1);
						// success
						CurrentPopup.data.setPushMsgConfig();
					}, null, "재시도", "취소");
					return false;
				}
				CurrentPopup.event.setPushConfigSucc(data.flag);
			};
			var failCb = function(data) {
				Ns.Popup.confirm("푸시 서버와의 연결에 실패하였습니다. 재시도 하시겠습니까?", function() {
					navi.setMovePointer(-1);
					// success
					CurrentPopup.data.setPushMsgConfig();
				}, null, "재시도", "취소");
				CurrentPopup.event.setPushConfigFail();
			};
			Ns.Native.setPushMsgConfig(succCb, failCb, CurrentPopup.clickFlag);
		}
	},
	
	// 이벤트 관련 함수를 정의한다.
	event : {
		/**
		 * 푸시(마케팅) 수신동의 팝업 닫기
		 * */
		LayerPopupClose : function() {
			if (mainCtrl.VIEW_TYPE != "ios")
				navi.setMovePointer(-1);	// 포인트 백
			Ns.Popup.close($("#M_G1131000M"));
		},
		/**
		 * 푸시(마케팅) 수신동의 좋아요 클릭
		 * */
		onclick_btnOk : function() {
			CurrentPopup.clickFlag = 'Y';
			CurrentPopup.data.setPushMsgConfig();
		},
		/**
		 * 푸시(마케팅) 수신동의 아니오 클릭
		 * */
		onclick_btnCancel : function() {
			CurrentPopup.clickFlag = 'N';
			CurrentPopup.data.setPushMsgConfig();
		},
		/**
		 * PMS 푸시 수신설정 성공
		 * */
		setPushConfigSucc : function(resultFlag) {
			
			// 수신동의 팝업 노출여부 값을 변경
			Ns.LocalStorage.set(STORAGE_KEY.PUSH_POPUP_YN, 'Y');
			
			// 로그인 여부 확인
			var isLogon = mainCtrl.checkLogonStatus();
			
			// 현재날짜 문구 설정
			var dateStr = "<br>(NS홈쇼핑, " + Ns.Date.getNowDate(".") + ")";
			
			if (resultFlag == 'Y') {
				// 수신동의 설정값을 저장
				(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'Y') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'Y');
				// AIQUA
				//mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'Y', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
				if(isLogon) {
					mainCtrl.userProfileToAIQUA(USERINFO.custNum(), null, null, null, null, null, null, 'Y', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
				} else {
					mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'Y', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
				}				
				Ns.Popup.alert("고객님의 광고성 정보 푸시 수신여부가 <br>[동의] 처리 되었습니다." + dateStr);
			} else {
				(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'N') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'N');
				// AIQUA
				//mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
				if(isLogon) {
					mainCtrl.userProfileToAIQUA(USERINFO.custNum(), null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
				} else {
					mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
				}
				
				Ns.Popup.alert("고객님의 광고성 정보 푸시 수신여부가 <br>[동의안함] 처리 되었습니다." + dateStr);
			}			
			// 현재 팝업을 닫는다.
			CurrentPopup.event.LayerPopupClose();
			
		},
		/**
		 * PMS 푸시 수신설정 실패
		 * */
		setPushConfigFail : function() {
			
			// 수신동의 팝업 노출여부 값을 변경
			Ns.LocalStorage.set(STORAGE_KEY.PUSH_POPUP_YN, 'Y');
			
			// 로그인 여부 확인
			var isLogon = mainCtrl.checkLogonStatus();
			
			// 수신동의 설정값을 저장 => 수신거부 처리
			(isLogon) ? Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'N') : Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'N');
			// AIQUA
			//mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
			if(isLogon) {
				mainCtrl.userProfileToAIQUA(USERINFO.custNum(), null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
			} else {
				mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, null, 'N', Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss'));
			}
			
			// 현재 팝업을 닫는다.
			CurrentPopup.event.LayerPopupClose();
			
		}
		
	},
	
	// ui 관련 함수 정의
	ui : {
		/**
		 * 로그인 여부에 따라 문구변경
		 * */
		setLoginState : function() {
			var isLogon = mainCtrl.checkLogonStatus();
			// 로그인 체크
			if (isLogon) {
				$('#log').html("해당 ID로 기기에 로그인시<br/> 본 광고성 정보알림을 전송하려고 합니다.");
			} else {
				$('#log').html("해당 기기로 본 광고성 정보알림을<br/> 전송하려고 합니다.");
			}
		}
	}
	
};