
/* JavaScript content from js/marketing/M_G2710000M.js in folder common */

/* 
 *	페이지 ID : M_G2710000M 
 *  1. 건강밥상 Main
 *   - 식객
 *  
*/

CurrentView = {
		sequenceNo : null,
		healthMall : "houseguest",
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad();
		},
		
		initializeComponent : function() {
			$("#ulFoodTabArea li a").on('click', CurrentView.event.onclick_tabHealthTableTabArea );
		},
		
		onLoad : function() {
			/* 20151201 정헌태 수정 - 건강밥성 sub메뉴 삭제 및 메인 베너 삭제 요청에 따른 수정
			this.data.getMainBanner( CurrentView.healthMall );
			*/
			this.data.getHealthTableList();
		},
		
		data : {
			getMainBanner : function( content ){
				var id = Const.getMarketingEspotId(content);
				var invoke = {
					espotInfo : id + "|Content"
				};

				tran.callWCSJsonTran( 'NSEspotCommon', invoke, CurrentView.ui.setMainBanner );
			},
			
			getHealthTableList : function(){
				var invoke = {
					progress : "getMenu"
				};
				
				tran.callWCSJsonTran( 'NSRecipeAjax', invoke, CurrentView.ui.setHealthTableList );
			},

			getHealthTableBanner : function(){
				var invoke = {};
				invoke.progress = "getContentsList";
				invoke.sequenceNo = $("#ulHealthTableList li[disp=Y]").attr("seq");
				// invoke.sequenceNo = 107;

				tran.callWCSJsonTran( 'NSRecipeAjax', invoke, CurrentView.ui.setHealthTableBanner );
			}
		},
		
		//이벤트 관련 함수 정의
		event : {
						
			//탭 클릭 이벤트
			onclick_tabHealthTableTabArea : function(){
				var id = $(this).attr('id');
				var invoke = {};
				
				switch(id){
				case "houseguest": mainCtrl.navigate("M_G2710000M"); break;
				case "happytable":
					invoke.catalogId = Const.getMarketingCatalogId('healthtable');
					invoke.categoryId = Const.getMarketingCategoryId(id);
					mainCtrl.navigate("M_G2720000M", invoke);
				break;
				};
			},

			//리스트 클릭 이벤트
			onclick_healthTableList : function(){
				var target = $(this).parent();
				var disp = target.attr("disp");

				if(disp == "Y"){
					target.attr("disp","N");
					target.find('.active').removeClass('ui-base-target, active');
				}else{
					var openList = $("#ulHealthTableList li[disp=Y]");
					openList.attr('disp','N');
					openList.find('.active').removeClass('ui-base-target, active');
					target.attr("disp","Y");
					target.find(".ui-base-toggle").addClass('active');
					target.children('div').addClass('ui-base-target active');
					CurrentView.sequenceNo = target.attr("seq");
				}
				CurrentView.data.getHealthTableBanner();
			},

			onclick_healthTableBanner : function( srSeq ){
				var invoke = {
					seq : CurrentView.sequenceNo,
					srSeq : srSeq,
				};
				mainCtrl.navigate("M_G2711000M",invoke);
			}
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setMainBanner : function( data ){
				//배너이미지 체크
				var bannerImage = "";
				var espotId = Const.getMarketingEspotId(CurrentView.healthMall);

				if(data.msg && data.msg.root && data.msg.root["_"+espotId]){
					var items = data.msg.root["_"+espotId];
					var currentPage = $("#"+CurrentView.healthMall).text();
					//해당 배너이미지 가져오기
					for(var i=0; i<items.length;i++){
						var target = items[i].marketingText;
						if( currentPage == target){
							CurrentView.p_espotid = items[i].espotId;
							CurrentView.p_bannerid = items[i].contentsId;
							bannerImage += Ns.Util.stringFormat('<img src=\'{0}\' style="width:100%;" \>','http:'+items[i].imgUrl);
							break;
						}
					}
				}
				
				//배너이미지 적용
				if ( bannerImage != '' ) {
					$("#divHtmlContent").html( bannerImage );
					setTimeout(function(){
						var width = $("#divHtmlContent").width();
						var contentsWidth = $("#divHtmlContent").find('img').width();
						if(contentsWidth >= width){
							$("#divHtmlContent").find('img').css("width","100%");
						}
					},500);
				}
			},
			setHealthTableList : function( data ){
				var tableList = data.msg.TotalOrgan;
				
				if( Ns.Util.isNull(tableList) ){
					$("#ulHealthTableList").hide();
					return false;
				}
				
				// 20150807 정헌태 수정 - 해당 달의 항목은 리스트의 최상위로 가도록 수정 - 변준차장 요청
				var htmlTxt = "";
				var htmlTxtN = "";
				for(var i=0; i<tableList.length; i++){
					var items = tableList[i];
					var name = items.srgmNm;
					var seq = items.sequenceNo;
					var disp = items.firdisplayYn;
					var active = "";

					if(disp == "Y"){
						active = "active";
						CurrentView.sequenceNo = seq;
					}

					if(disp == "Y"){
						htmlTxt += Ns.Util.stringFormat('\
								<li seq=\'{0}\' disp=\'{1}\'>\
									<h1><a class="ui-base-toggle {4}" href="#accordion_b{2}">{3}</a></h1>\
									<div class="content {5}" id="accordion_b{2}">\
										<div class="view_area">\
											<div class="thum_banner_list">\
												<ul name="bannerList"></ul>\
											</div>\
										</div>\
									</div>\
								</li>', seq, disp, i+1, name, active, "ui-base-target "+active);
					} else {
						htmlTxtN += Ns.Util.stringFormat('\
								<li seq=\'{0}\' disp=\'{1}\'>\
									<h1><a class="ui-base-toggle {4}" href="#accordion_b{2}">{3}</a></h1>\
									<div class="content {5}" id="accordion_b{2}">\
										<div class="view_area">\
											<div class="thum_banner_list">\
												<ul name="bannerList"></ul>\
											</div>\
										</div>\
									</div>\
								</li>', seq, disp, i+1, name, active, "ui-base-target "+active);
					}
				}
				
				htmlTxt += htmlTxtN;
				
				$("#ulHealthTableList").html(htmlTxt);
				$("#ulHealthTableList li h1").on('click', CurrentView.event.onclick_healthTableList );
				CurrentView.data.getHealthTableBanner();
			},

			setHealthTableBanner : function( data ){
				var productList = data.msg.TotalOrgan;
				
				if( Ns.Util.isNull(productList) ){
					return false;
				}
				
				var htmlTxt = "";
				for(var i=0; i<productList.length; i++){
					var items = productList[i];

					var imgUrl = items.mobileAttchUrl;
					var replaceUrl = items.attchUrl;
				
					$.preLoadImages(imgUrl, replaceUrl);
					
					htmlTxt += Ns.Util.stringFormat('\
						<li><a href="javascript:CurrentView.event.onclick_healthTableBanner({1})"><img src="{0}" width="100%" alt="배너 이미지" onerror="this.onerror=null;this.src=\'{2}\'"/></a></li>\
					', imgUrl, items.srSequenceNo, replaceUrl );
				}
				
				$("#ulHealthTableList li[disp=Y] ul[name=bannerList]").html(htmlTxt);
			},
		},
		//end ui function...
};