
/* JavaScript content from js/marketing/M_G2711000M.js in folder common */

/* 
 *	페이지 ID : M_G2711000M 
 *  1. 건강밥상 Main
 *   - 식객 상세페이지
 *  
*/

CurrentView = {

		pageSize : 10,
		pageIdx : 1,
		currentPage : 1,
		sortCriteria : '',
		totalCount : 0,

		pushFullEvent : true,
		invokeParams : null,

		sequenceNo : null,
		srSequenceNo : null,

		invokeParams : null,

		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ) {
			$("#ulFoodTabArea li a").on('click', this.event.onclick_tabHealthTableTabArea );
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").on('click', this.event.onclick_btnChangeView );

			if( !Ns.Util.isNull(params.pageIdx) ){ CurrentView.pageIdx = params.pageIdx; }
			if( !Ns.Util.isNull(params.pageSize) ){ CurrentView.pageSize = params.pageSize; }
			if( !Ns.Util.isNull(params.currentPage) ){ CurrentView.currentPage = params.currentPage; }
			if( !Ns.Util.isNull(params.sortGb) ){ CurrentView.sortCriteria = params.sortGb; }
			if( !Ns.Util.isNull(params.seq) ) CurrentView.sequenceNo = params.seq;
			if( !Ns.Util.isNull(params.srSeq) ) CurrentView.srSequenceNo = params.srSeq;
		},
		
		onLoad : function() {
			this.data.getHealthTableDetail();
			Ns.UI.startPushFullEvent( CurrentView.data.getHealthTableDetail );
		},
		
		data : {
			getHealthTableDetail : function(){
				var invoke = {
					progress : "getContents",
					pageId : CurrentView.pageIdx,
					pageSize : CurrentView.pageSize,
					sortGb : CurrentView.sortCriteria,
					sequenceNo : CurrentView.sequenceNo,
					srSequenceNo : CurrentView.srSequenceNo,
					seq : CurrentView.sequenceNo,
					srSeq : CurrentView.srSequenceNo
				};

				CurrentView.invokeParams = invoke;
				tran.callWCSJsonTran( 'NSRecipeAjax', invoke, CurrentView.data.setHealthTableDetail );
			},

			setHealthTableDetail : function( data ){
				if( Ns.Util.isNull(data.msg.TotalOrgan) ){
					return false;
				}
				
				$(".item-panel").show();
				var bannerList = data.msg.TotalOrgan.contentsList;
				var productList = data.msg.TotalOrgan.contentsCatList;

				var sortType = CurrentView.sortCriteria;
				if ( !Ns.Util.isNull(sortType) ) {
					$('#txtSortName').text( Ns.Util.getSortCriteriaName(sortType) );
				}else{
					$('#txtSortName').text( Ns.Util.getSortCriteriaName('new') );
				}

				CurrentView.ui.setBannerList( bannerList );
				CurrentView.ui.setProductList( productList );
			},
		},
		
		//이벤트 관련 함수 정의
		event : {
			//탭 클릭 이벤트
			onclick_tabHealthTableTabArea : function(){
				var id = $(this).attr('id');
				var invoke = {};
				
				switch(id){
				case "houseguest": mainCtrl.navigate("M_G2710000M"); break;
				case "happytable":
					invoke.catalogId = Const.getMarketingCatalogId('healthtable');
					invoke.categoryId = Const.getMarketingCategoryId(id);
					mainCtrl.navigate("M_G2720000M", invoke);
				break;
				};
			},

			//상품 목록 디스플레이 형태(리스트형, 이미지형) 선택
			onclick_btnChangeView : function(){
				if ( $("#btnChangeView").hasClass("simple")) {
					$("#btnChangeView").removeClass("simple").addClass("detail");
					$("#ulHealthTableProductList").removeClass("detail").addClass("simple");
				} else {
					$("#btnChangeView").removeClass("detail").addClass("simple");
					$("#ulHealthTableProductList").removeClass("simple").addClass("detail");
				}
			},
			
			//조회 방법 선택. 
			onclick_itemClass : function() {
				var type = $(this).attr("sort-code");
				$("#itemClass").removeClass( "active" );
				$(".item-sort a").removeClass( "active" );
				
				if( CurrentView.sortCriteria == type ) return;
				
				CurrentView.pushFullEvent = true;
				CurrentView.sortCriteria = type;
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				
				$("#ulHealthTableProductList").html("");
				$("#txtSortName").html( $(this).text() );
				
				CurrentView.data.getHealthTableDetail( ); //상품목록 조회..
			},
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			setBannerList : function( data ){
				var htmlTxt = "";

				for(var i=0; i<data.length; i++){
					var items = data[i].contents;

					if( !Ns.Util.isNull(items.Mcont) ){
						htmlTxt += Ns.Util.htmlDecode(items.Mcont);
					}else{
						htmlTxt += Ns.Util.htmlDecode(items.ccont);
					}
				}

				$("#divBannerImageArea").html( htmlTxt ).find("img").attr("width","100%");
			},

			setProductList : function( data ){
				if( Ns.Util.isNull( data ) && data.length == 0 ) {
					if ( CurrentView.pageIdx == 1 ) {
						var msg = Ns.Util.isNull( CurrentView.categoryNm ) ? "상품이 없습니다." : CurrentView.categoryNm + '에 속한 상품이 없습니다.';
						var htmlTxt = mainCtrl.getNoResultDataHtml( msg );
						$("#ulHealthTableProductList").html( htmlTxt );
					}
					return false;
				}

				CurrentView.pushFullEvent = false;
				mainCtrl.setPageHistoryUpdate( CurrentView.invokeParams );

				var resHtml = Ns.UI.productList(data); 
				$("#ulHealthTableProductList").append(resHtml);
				Ns.UI.productListAreaEventInit("#ulHealthTableProductList");
			}
		}
		//end ui function...
};