
/* JavaScript content from js/marketing/M_G2720000M.js in folder common */

/* 
 *	페이지 ID : M_G2720000M 
 *  1. 건강밥상 Main
 *   - 행복밥상
 *  
*/

CurrentView = {
		p_espotid : null,
		p_bannerid : null,

		pageSize : 10,
		pageIdx : 1,
		currentPage : 1,
		sortCriteria : 'new',
		happyMall : "happytable",
		totalCount : 0,

		pushFullEvent : true,
		invokeParams : null,

		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ) {
			$("#ulFoodTabArea li a").on('click', this.event.onclick_tabHappyTableTabArea );
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").on('click', this.event.onclick_btnChangeView );

			if( params == undefined ) params = {};
			if( !Ns.Util.isNull(params.pageIdx) ){ CurrentView.pageIdx = params.pageIdx; }
			if( !Ns.Util.isNull(params.pageSize) ){ CurrentView.pageSize = params.pageSize; }
			if( !Ns.Util.isNull(params.currentPage) ){ CurrentView.currentPage = params.currentPage; }
			if( !Ns.Util.isNull(params.sortCriteria) ){ CurrentView.sortCriteria = params.sortCriteria; }

			if( CurrentView.currentPage != 1 ){
				CurrentView.pageSize = CurrentView.currentPage * CurrentView.pageSize;
			}
			
			this.event.setTouchSlider();
		},
		
		onLoad : function() {
			this.data.setHappyTableViewDetail( CurrentView.happyMall );
			Ns.UI.startPushFullEvent( CurrentView.data.getHappyTableProduct );
		},
		
		data : {

			/*
			 *  페이지 구성 그리기
			 *	content : 가져올 매장 명
			 *
			*/
			setHappyTableViewDetail : function( content ){
				CurrentView.data.getHappyTableBanner( content );
				CurrentView.data.getHappyTableProduct( content );
			},

			//espot으로 banner 정보 가져오기
			getHappyTableBanner : function( content ){
				var id = Const.getMarketingEspotId(content);
				var invoke = {
					espotInfo : id + "|Content"
				};

				tran.callWCSJsonTran( 'NSEspotCommon', invoke, CurrentView.ui.setHappyTableBanner );
			},

			//NSCategoryWrapper로 해당 상품 가져오기
			getHappyTableProduct : function( content ){
				var categoryId = "";
				if ( content != null ){
					categoryId = Const.getMarketingCategoryId(content);
				} else {
					categoryId = Const.getMarketingCategoryId(CurrentView.happyMall);
				}
				
				var invoke = {
					searchType : "search",
					pageSize : CurrentView.pageSize,
					currentPage : CurrentView.pageIdx,
					sortCriteria : CurrentView.sortCriteria,
					catalogId : Const.getMarketingCatalogId('happytable'),
					categoryId : categoryId,
				};
				
				if ( CurrentView.pageSize > 10){
					CurrentView.pageIdx = CurrentView.pageSize / 10; 
					CurrentView.pageSize = 10;
				}
				
				CurrentView.invokeParams = invoke;

				tran.callWCSJsonTran( 'NSSearchCategoryWrapper', invoke, CurrentView.ui.setHappyTableProduct );
			},
		},
		
		//이벤트 관련 함수 정의
		event : {
			setTouchSlider : function() {
				new Swiper('#hotdealCategory', {
					initialSlide: 0, 
					speed: 100,
					slidesPerView: 'auto',
					slideActiveClass: 'on',
					loop : false
				});
			},

			//탭 클릭 이벤트
			onclick_tabHappyTableTabArea : function(){
				var id = $(this).attr('id');
				var invoke = {};
				
				switch(id){
				case "houseguest": mainCtrl.navigate("M_G2710000M"); break;
				case "happytable":
					invoke.catalogId = Const.getMarketingCatalogId('healthtable');
					invoke.categoryId = Const.getMarketingCategoryId(id);
					mainCtrl.navigate("M_G2720000M", invoke);
				break;
				};
			},

			//상품 목록 디스플레이 형태(리스트형, 이미지형) 선택
			onclick_btnChangeView : function(){
				if ( $("#btnChangeView").hasClass("simple")) {
					$("#btnChangeView").removeClass("simple").addClass("detail");
					$("#ulHappyTableProductList").removeClass("detail").addClass("simple");
				} else {
					$("#btnChangeView").removeClass("detail").addClass("simple");
					$("#ulHappyTableProductList").removeClass("simple").addClass("detail");
				}
			},
			
			//조회 방법 선택. 
			onclick_itemClass : function() {
				var type = $(this).attr("sort-code");
				$("#itemClass").removeClass( "active" );
				$(".item-sort a").removeClass( "active" );
				
				if( CurrentView.sortCriteria == type ) return;
				
				CurrentView.pushFullEvent = true;
				CurrentView.sortCriteria = type;
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				
				$("#ulHappyTableProductList").html("");
				$("#txtSortName").html( $(this).text() );
				
				CurrentView.data.getHappyTableProduct( CurrentView.happyMall ); //상품목록 조회..
			},
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {

			setHappyTableBanner : function( data ){
				//tab css 적용
				$("#ulFoodTabArea li").removeClass("on");
				$("#"+CurrentView.happyMall).parent().addClass( "on" );

				//배너이미지 체크
				var bannerImage = "";
				var espotId = Const.getMarketingEspotId(CurrentView.happyMall);

				if(data.msg && data.msg.root && data.msg.root["_"+espotId]){
					var items = data.msg.root["_"+espotId];
					var currentPage = $("#"+CurrentView.happyMall).text();
					//해당 배너이미지 가져오기
					for(var i=0; i<items.length;i++){
						var target = items[i].marketingText;
						if( currentPage == target){
							CurrentView.p_espotid = items[i].espotId;
							CurrentView.p_bannerid = items[i].contentsId;
							bannerImage += Ns.Util.stringFormat('<img src=\'{0}\' style="width:100%;" \>','http:'+items[i].imgUrl);
							break;
						}
					}
				}
				
				//배너이미지 적용
				if ( bannerImage != '' ) {
					$("#divHtmlContent").html( bannerImage );
					setTimeout(function(){
						var width = $("#divHtmlContent").width();
						var contentsWidth = $("#divHtmlContent").find('img').width();
						if(contentsWidth >= width){
							$("#divHtmlContent").find('img').css("width","100%");
						}
					},500);
				}
				
			},

			setHappyTableProduct : function( data ){
				$(".item-panel").show();
				if ( !data.isSuccessful ) {
					if ( CurrentView.pageIdx == 1 ) {
						var msg = Ns.Util.isNull( CurrentView.categoryNm ) ? "상품이 없습니다." : CurrentView.categoryNm + '에 속한 상품이 없습니다.';
						var htmlTxt = mainCtrl.getNoResultDataHtml( msg );
						$("#productList").html( htmlTxt );
					}
					return false;
				}
				
				var productList  = data.msg.root.ProductList; 								
				var sortType	 = data.msg.root.SortType;
				CurrentView.totalCount = data.msg.root.TotalCount;

				if ( !Ns.Util.isNull(sortType) ) {
					CurrentView.sortCriteria = sortType;
					$('#txtSortName').text( Ns.Util.getSortCriteriaName(sortType) );
				}else{
					CurrentView.sortCriteria = sortType;
					$('#txtSortName').text( Ns.Util.getSortCriteriaName('new') );
				}
				
				if( Ns.Util.isNull( productList ) && productList.length == 0 ) {
					if ( CurrentView.pageIdx == 1 ) {
						var msg = Ns.Util.isNull( CurrentView.categoryNm ) ? "상품이 없습니다." : CurrentView.categoryNm + '에 속한 상품이 없습니다.';
						var htmlTxt = mainCtrl.getNoResultDataHtml( msg );
						$("#ulHappyTableProductList").html( htmlTxt );
					}
					
					return false;
				}
				
				CurrentView.pushFullEvent = false;
				mainCtrl.setPageHistoryUpdate( CurrentView.invokeParams );

				var resHtml = Ns.UI.productList(productList,
						Const.getMarketingCatalogId('healthtable'),
						Const.getMarketingCategoryId('happytable'),
						CurrentView.p_espotid, CurrentView.p_bannerid);
				
				$("#ulHappyTableProductList").append(resHtml);
				Ns.UI.productListAreaEventInit("#ulHappyTableProductList");
			},
		}
		//end ui function...
};