
/* JavaScript content from js/marketing/M_G5710002M.js in folder common */

/* 
 *	페이지 ID : M_G5710002M  
 *  개편 핫딜 서브페이지(베스트, 신규오픈, 카테고리)
 *   
 */

CurrentView = {
		
		/*와이즈 로그를 위한 객체*/
		PAGE_ID : "M_G5710002M", // 현재페이지ID
		espotId : null,	

		/*상품 정보를 위한 객체*/
		pageSize : 20,	// 상품 조회 수량
		pageIdx : 1,	// 상품 페이징 인덱스
		totalCount : 0,	// 상품 총 수량
		
		pushFullEvent : false,	// 상품 페이징 관련
		
		catgroupId : "init", 

		bMenuBannerItemZero : false, // 배너형상품이 없는지 체크(true: 상품없음)
		lowCateList : null, // 하위카테고리명을 내려 받기 위해 필요한 param 정의
		
		tabCount : 8, //해피딜 상위 카테고리 탭 개수
		bDeleteAndDraw : false, //상품을 새로 그릴 것인지 아래에 추가로 생성할 것인지
		categoryName : undefined,
		setCateInit : true, // 해피딜 카테고리 처음 진입 : true, 탭이 한번이상 클릭된 경우 : false
		highTabNum : 0, //선택된 상위 탭 번호
		espotAndCatgroup : null, // espotInfo와 catgroup 번호 매핑
			
		
		init : function( params ) {
			this.initializeComponent(params); 
			this.onLoad(params);
		},
		
		initializeComponent : function(params) {			
			
			// 신혜수 - 서브카테고리 관련 파라미터가 적재되어 있는가
			if ( !Ns.Util.isNull( params ) && !Ns.Util.isNull( params.subCategory ) ) {
				CurrentView.subCategory = params.subCategory; // 서브 카테고리 탭이 눌렸을 경우
				CurrentView.subCategoryLow = params.subCategoryLow;
				CurrentView.espotInfo = params.espotInfo;
			}

			
			/* 신혜수 - "해피딜 베스트", "해피딜 신규오픈", "해피딜 7개 하위 카테고리" 페이지일 경우 처리 */
			//NS홈쇼핑 subCategory Tab삭제
			$("#contents").addClass("detailON");
			$("#subCategory").addClass("detailON");
			
			//카테고리바 숨김
			$("#categoryMenu").hide();
			$("#category2Depth").hide();
			
			if( CurrentView.subCategory == "happyBest" ){ // 해피딜 베스트
				//Header 타이틀 변경
				$("#txtSubHeaderTitle > span").text("해피딜 베스트");				
				CurrentView.bDeleteAndDraw = false;
				CurrentView.catgroupId = "919055";
				CurrentView.espotInfo = "HAPPY_MAIN_BEST";
				
				/* API 호출 START */
				var invokeParams = new Object();				
				invokeParams.catgroupId = CurrentView.catgroupId;
				invokeParams.catalogId = "78501"; //모바일쇼핑몰. 고정
				invokeParams.schType = "getProd"
				invokeParams.pageSize = CurrentView.pageSize;
				invokeParams.page = CurrentView.pageIdx;
				invokeParams.espotInfo = CurrentView.espotInfo;
				
				//callWCSJsonTran : function(tranId, params, callbackFunc, catalogId, failureCallbackFunc, options, isSSL, connectionFailureCallbackFunc)
				tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', invokeParams, CurrentView.ui.mainDraw, null, function() {}, true );	
				/* 통합 API 호출 Finish */							
				
			} else if( CurrentView.subCategory == "happyNewOpen" ) { // 해피딜 신규오픈
				//Header 타이틀 변경
				$("#txtSubHeaderTitle > span").text("해피딜 신규오픈");
				CurrentView.bDeleteAndDraw = false;
				CurrentView.catgroupId = "919056";	
				CurrentView.espotInfo = "HAPPY_MAIN_NEWITEM";
				
				/* API 호출 START */
				var invokeParams = new Object();
				invokeParams.catgroupId = CurrentView.catgroupId;				
				invokeParams.catalogId = "78501"; //모바일쇼핑몰. 고정
				invokeParams.schType = "getProd"
				invokeParams.pageSize = CurrentView.pageSize;
				invokeParams.page = CurrentView.pageIdx;
				invokeParams.espotInfo = CurrentView.espotInfo;
				
				tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', invokeParams, CurrentView.ui.mainDraw, null, function() {}, true );	
				/* 통합 API 호출 Finish */						
				
			} else { // 해피딜 subCategory Tab 중 전체보기 외 7개 탭 영역
				$("#categoryMenu").show();
				$("#category2Depth").show();
				//Header 타이틀 변경
				$("#txtSubHeaderTitle > span").text("해피딜 카테고리");
				CurrentView.bDeleteAndDraw = true;
								
				/*catgroupId와 espotInfo 매핑*/
				CurrentView.espotAndCatgroup = {
						happyCategory1 :	"HAPPY_FOOD_",
						happyCategory2 :	"HAPPY_HEALTHFOOD_",
						happyCategory3 :	"HAPPY_BEAUTY_",
						happyCategory4 :	"HAPPY_LIVING_",
						happyCategory5 :	"HAPPY_FASIHON_",
						happyCategory6 :	"HAPPY_FASGOOD_",
						happyCategory7 :	"HAPPY_ELECLEPO_",
						happyCategory8 :	"HAPPY_CHILD_"										
				}
				
				
				/* API 호출 START */
				var invokeParams = new Object();
				CurrentView.catgroupId = ""; // 변경필요
				
				/*리뉴얼 해피딜*/
				invokeParams.catalogId = "78501"; //모바일쇼핑몰. 고정
				invokeParams.schType = "getProd"
				invokeParams.pageSize = CurrentView.pageSize;
				invokeParams.page = CurrentView.pageIdx;
				
				/*하위 카테고리 동적으로 받아오기 위한 객체 생성*/
				var lowCatParams = new Object();
				lowCatParams.schType = "getCate"
				lowCatParams.catgroupId = ""
			
				
				/* 해피딜 카테고리 상위 탭 최초 진입시 아이콘 색상 (on:red/off:black) 및 catgroupId 설정*/			
				for(var i = 1 ; i < CurrentView.tabCount +1; i++){
					if ( CurrentView.subCategory == "happyCategory" + i ){
						CurrentView.highTabNum = i;
						if(i == "8"){ // 2016.07.15 현재 8번째 이미지 사용하지 않음으로 인한 제외
							$("#cate"+ i +" img").attr("src","./images/marketing/cateBtn_09_on.png");
							
							CurrentView.catgroupId = "919094"; //유아동-전체
							CurrentView.espotInfo = "HAPPY_CHILD_919094";		
							lowCatParams.catgroupId = "919066";
						}else{
							$("#cate"+ i +" img").attr("src","./images/marketing/cateBtn_0" + i + "_on.png");
							
							if(i == 1){
								CurrentView.catgroupId = "919067"; // 식품-전체 
								CurrentView.espotInfo = "HAPPY_FOOD_919067";
								lowCatParams.catgroupId = "919058";
							}else if(i == "2"){
								CurrentView.catgroupId = "919072"; // 건강식품-전체
								CurrentView.espotInfo = "HAPPY_HEALTHFOOD_919072";
								lowCatParams.catgroupId = "919060";
							}else if(i == "3"){
								CurrentView.catgroupId = "919079"; // 뷰티/보석-전체 
								CurrentView.espotInfo = "HAPPY_BEAUTY_919079";
								lowCatParams.catgroupId = "919062";
							}else if(i == "4"){
								CurrentView.catgroupId = "919085"; // 리빙/홈데코-전체 
								CurrentView.espotInfo = "HAPPY_LIVING_919085";
								lowCatParams.catgroupId = "919064";
							}else if(i == "5"){
								CurrentView.catgroupId = "919075"; // 패션의류-전체
								CurrentView.espotInfo = "HAPPY_FASIHON_919075";
								lowCatParams.catgroupId = "919061";
							}else if(i == "6"){
								CurrentView.catgroupId = "919082"; // 패션잡화-전체
								CurrentView.espotInfo = "HAPPY_FASGOOD_919082";
								lowCatParams.catgroupId = "919063";
							}else if(i == "7"){
								CurrentView.catgroupId = "919090"; // 가전/레포츠-전체
								CurrentView.espotInfo = "HAPPY_ELECLEPO_919090";
								lowCatParams.catgroupId = "919065";
							}							
						}	
					}
				}
				
				

				if(CurrentView.subCategoryLow == undefined){
					invokeParams.catgroupId = CurrentView.catgroupId;
					invokeParams.espotInfo = CurrentView.espotInfo;
				}else{
					CurrentView.catgroupId = CurrentView.subCategoryLow;
					invokeParams.catgroupId = CurrentView.catgroupId;
					CurrentView.espotInfo = CurrentView.espotAndCatgroup[CurrentView.subCategory] + CurrentView.subCategoryLow;
					invokeParams.espotInfo = CurrentView.espotInfo;
				}
				
				
				/* 하위 카테고리 리스트 API 호출 */
				tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', lowCatParams, function(data) {
					 CurrentView.ui.drawCateList(data.msg.happyDealRenewalCateList);
				});
				
				/* 상품 리스트 API 호출 */	
				tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', invokeParams, CurrentView.ui.mainDraw, null, function() {}, true );	

				
				/* 해피딜 카테고리 상위 탭 클릭 이벤트 */
				$("#category_navi li a").unbind().bind( "click", CurrentView.event.onclick_highTabChange);
											
			}
		},
		
		onLoad : function(data) {
		},

		data : {
			
			setSwiper : function() {	
				/*해피딜 상위 탭 스와이퍼 생성*/
				HUB_INIT.happyTabSwiper = new Swiper('#categoryMenu', {
					initialSlide: 0, 
					speed: 100,
					loop : false,
					slidesPerView : "auto",										
				});
				
				/*해피딜 하위 탭 스와이퍼 생성*/
				HUB_INIT.happySubTabSwiper = new Swiper('#category2Depth', {
					initialSlide: 0, 
					speed: 100,
					loop : false,
					slidesPerView : "auto",										
				});
				

				
				/*초기 진입 시 상위 스와이퍼 이동*/
				var tabWidth = $("#cate" + CurrentView.highTabNum).width(); //한 개 탭 사이즈
				var translateX = 0 - tabWidth;
				var swiperWidth = HUB_INIT.happyTabSwiper.width; // 화면 넓이
				var cateNum = CurrentView.highTabNum //몇 번째 탭인지


				if(cateNum < 3){
					translateX = 0;						
				}else if(cateNum > 5){
					translateX = swiperWidth - tabWidth * 8;
				}else{
					translateX = 0 - tabWidth;
				}	
				HUB_INIT.happyTabSwiper.setTranslate(translateX);
				
				
				/*초기 진입 시 하위 스와이퍼 이동*/
				var tabWidth = $("#" + CurrentView.subCategoryLow).width(); //한 개 탭 사이즈
				var translateX = 0 - tabWidth;
				var strtemp = document.getElementById('cate_2dep_list').style.width;
				var splittemep = strtemp.split('p');
				var numtemp = Number(splittemep[0]);
				var cateNum = $("#"+CurrentView.subCategoryLow).attr("tabNum"); //몇 번째 탭인지
				
				if(cateNum < 7){
					translateX = 0;						
				}else if(cateNum > 10){
					width = $("#category2Depth").width();
					translateX = -1 *(numtemp - width);
				}else{
					translateX = 0 - tabWidth;
				}	
				HUB_INIT.happySubTabSwiper.setTranslate(translateX);
				
			},
			
			
			getNextData : function(data) {			// 공통API 호출용으로 data 추가
				CurrentView.data.call_NSHappyDealViewMobileRealBanner_New(data);				
			},
			
			
			
			call_NSHappyDealViewMobileRealBanner_New : function (data){ // 공통API 호출용으로 신규생성
				CurrentView.ui.drawRepPrdtList(data.msg.happyDealRenewalProdList);	// 베너상품
				
			},
						
			call_NSHappyDealViewMobileRealBanner : function (){ 

				var invokeParams = new Object();

				invokeParams.catgroupId = CurrentView.catgroupId;				
				invokeParams.catalogId = "78501"; //모바일쇼핑몰. 고정
				invokeParams.schType = "getProd"
				invokeParams.pageSize = CurrentView.pageSize;
				invokeParams.page = CurrentView.pageIdx;
				invokeParams.espotInfo = CurrentView.espotInfo;

				tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', invokeParams, function(data){
					CurrentView.ui.drawRepPrdtList(data.msg.happyDealRenewalProdList);	// 배너상품
				} );
				
			},
			
		}, // end data area 

		//이벤트 관련 함수 정의
		event : {
			
			/* 해피딜 카테고리 상위 탭 클릭 이벤트 */
			onclick_highTabChange : function(){
				CurrentView.subCategoryLow = undefined;
				CurrentView.bDeleteAndDraw = true;
				CurrentView.setCateInit = false;
				CurrentView.pageIdx = 1;
				var tabId = $(this).attr('id');

				
				/*하위 카테고리 동적으로 받아오기 위한 객체 생성*/
				var lowCatParams = new Object();
				lowCatParams.schType = "getCate"
				lowCatParams.catgroupId = ""
					
				// 다른 탭 클릭 시 아이콘 색상 변경
				for(var i = 1; i < CurrentView.tabCount + 1 ; i++){
					if ( tabId == "cate" + i ){
						CurrentView.subCategory = "happyCategory"+i;
						CurrentView.highTabNum = i;
						if(i == "8"){ // 2016.07.15 현재 8번째 이미지 사용하지 않음으로 인한 제외
							$("#cate"+ i +" img").attr("src","./images/marketing/cateBtn_09_on.png");
							CurrentView.catgroupId = "919094"; //유아동-전체
							CurrentView.espotInfo = "HAPPY_CHILD_919094";
							lowCatParams.catgroupId = "919066";
						}else{
							$("#cate"+ i +" img").attr("src","./images/marketing/cateBtn_0" + i + "_on.png");
							if(i == 1){
								CurrentView.catgroupId = "919067"; // 식품-전체 
								CurrentView.espotInfo = "HAPPY_FOOD_919067";
								lowCatParams.catgroupId = "919058";
							}else if(i == "2"){
								CurrentView.catgroupId = "919072"; // 건강식품-전체
								CurrentView.espotInfo = "HAPPY_HEALTHFOOD_919072";
								lowCatParams.catgroupId = "919060";
							}else if(i == "3"){
								CurrentView.catgroupId = "919079"; // 뷰티/보석-전체 
								CurrentView.espotInfo = "HAPPY_BEAUTY_919079";
								lowCatParams.catgroupId = "919062";
							}else if(i == "4"){
								CurrentView.catgroupId = "919085"; // 리빙/홈데코-전체 
								CurrentView.espotInfo = "HAPPY_LIVING_919085";
								lowCatParams.catgroupId = "919064";
							}else if(i == "5"){
								CurrentView.catgroupId = "919075"; // 패션의류-전체
								CurrentView.espotInfo = "HAPPY_FASIHON_919075";
								lowCatParams.catgroupId = "919061";
							}else if(i == "6"){
								CurrentView.catgroupId = "919082"; // 패션잡화-전체
								CurrentView.espotInfo = "HAPPY_FASGOOD_919082";
								lowCatParams.catgroupId = "919063";
							}else if(i == "7"){
								CurrentView.catgroupId = "919090"; // 가전/레포츠-전체
								CurrentView.espotInfo = "HAPPY_ELECLEPO_919090";
								lowCatParams.catgroupId = "919065";
							}
						}							
					}else{							
						if(i == "8"){
							$("#cate"+ i +" img").attr("src","./images/marketing/cateBtn_09_off.png");
						}else{
							$("#cate"+ i +" img").attr("src","./images/marketing/cateBtn_0" + i + "_off.png");
						}
					}
				}
				
				/* 하위 카테고리 리스트 API 호출 */
				tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', lowCatParams, function(data) {
					 CurrentView.ui.drawCateList(data.msg.happyDealRenewalCateList);
				});
				
				/*리뉴얼 해피딜*/
				var invokeParams = new Object();
				invokeParams.catalogId = "78501"; //모바일쇼핑몰. 고정
				invokeParams.schType = "getProd"
				invokeParams.pageSize = CurrentView.pageSize;
				invokeParams.page = CurrentView.pageIdx;
				invokeParams.catgroupId = CurrentView.catgroupId;
				invokeParams.espotInfo = CurrentView.espotInfo;
				
				// 다른 탭 클릭 시 스와이퍼 이동
				var tabWidth = $("#" + tabId).width(); //한 개 탭 사이즈
				var translateX = 0 - tabWidth;
				var swiperWidth = HUB_INIT.happyTabSwiper.width; // 화면 넓이
				var cateNumtemp = tabId.split('e'); 
				var cateNum = Number(cateNumtemp[1]); //몇 번째 탭인지
				
				if(cateNum < 3){
					translateX = 0;						
				}else if(cateNum > 5){
					translateX = swiperWidth - tabWidth * 8;
				}else{
					translateX = 0 - tabWidth;
				}	
				HUB_INIT.happyTabSwiper.setTranslate(translateX);
				
				tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', invokeParams, CurrentView.ui.mainDraw, null, function() {}, true );	
				
				
			},
			
			/* 해피딜 카테고리 하위 탭 클릭 이벤트 */
			onclick_lowTabChange : function(){
				CurrentView.bDeleteAndDraw = true;
				CurrentView.setCateInit = false;
				CurrentView.pageIdx = 1;
				var tabId = $(this).attr('id');
				CurrentView.subCategoryLow = tabId;
				var subTabCount = $("#cate_2dep_list li a").length;
				
				/* 클릭된 탭 on 설정(on: 빨간글씨, 빨간바) */
				$("#category2Depth li.on").removeClass("on");
				$("#"+tabId).parent().addClass("on");
				
				// 다른 탭 클릭 시 스와이퍼 이동
				var tabWidth = $("#" + tabId).width(); //한 개 탭 사이즈
				var translateX = 0 - tabWidth;
				var strtemp = document.getElementById('cate_2dep_list').style.width;
				var splittemep = strtemp.split('p');
				var numtemp = Number(splittemep[0]);
				var cateNum = $("#"+tabId).attr("tabNum"); //몇 번째 탭인지
				
				if(cateNum < 7){
					translateX = 0;						
				}else if(cateNum > 10){
					width = $("#category2Depth").width();
					translateX = -1 *(numtemp - width);
				}else{
					translateX = 0 - tabWidth;
				}	
				HUB_INIT.happySubTabSwiper.setTranslate(translateX);
				
				/*리뉴얼 해피딜*/
				var invokeParams = new Object();
				invokeParams.catalogId = "78501"; //모바일쇼핑몰. 고정
				invokeParams.schType = "getProd"
				invokeParams.pageSize = CurrentView.pageSize;
				invokeParams.page = CurrentView.pageIdx;
				CurrentView.catgroupId = CurrentView.subCategoryLow;
				invokeParams.catgroupId = CurrentView.catgroupId;
				CurrentView.espotInfo = CurrentView.espotAndCatgroup[CurrentView.subCategory] + CurrentView.subCategoryLow;
				invokeParams.espotInfo = CurrentView.espotInfo;
				tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', invokeParams, CurrentView.ui.mainDraw, null, function() {}, true );	
			}
			
			
		},  //end event function

		//ui interaction 관련 함수 정의 
		ui : {
			
			/*mainDraw 상품출력 API 사용을 위함*/			
			mainDraw : function (data){
				CurrentView.data.getNextData(data);				
			},
			
			/*상품이 없을 경우*/
			setNoDataPrint : function (){
				
				if (CurrentView.bMenuBannerItemZero == true){
					$("#happydealSubList").html("<div id=\"noDataPrint\">" + mainCtrl.getNoResultDataHtml( "조회된 상품이 없습니다." ) + "</div>");
					CurrentView.bMenuBannerItemZero == false;
				}
				
			},
			
			/*하위 카테고리 생성*/
			drawCateList : function (cateList){
				
				var objDrawData = JSON.parse(JSON.stringify(cateList));	// object 복사
				var lowCategoryLi = "";
				for (var i = 0; objDrawData.length > i; i++) {
					objDrawData[i].setOn = "";
					objDrawData[0].setOn = "on";
					
					//  NSSR-23048 [긴급] 모바일 해피딜 카테고리 노출 오류
					lowCategoryLi += '<li class="swiper-slide ' + objDrawData[i].setOn + '" role=\"presentation\"><a href="javascript:;" tabNum ="' + (i+1) + '" id="' + objDrawData[i]["catgroupId"] + '" role=\"tab\"><span>' + objDrawData[i]["catgroupNm"] + '</span></a></li>';
				}
				$("#cate_2dep_list").html(lowCategoryLi);
				//if(CurrentView.setCateInit == true){
					CurrentView.data.setSwiper();
				//}
				/* 해피딜 카테고리 하위 탭 최초 진입시 on 설정(on: 빨간글씨, 빨간바) */
				if(CurrentView.subCategoryLow != undefined ){ // subCategoryTab은 소카테고리값이 있는지 체크
					$("#category2Depth li.on").removeClass("on");
					$("#"+CurrentView.subCategoryLow).parent().addClass("on");	
				}
					
				/* 해피딜 카테고리 하위 탭 클릭 이벤트 */
				$("#cate_2dep_list li a").unbind().bind( "click", CurrentView.event.onclick_lowTabChange);
			},
			
			/*상품 출력*/
			drawRepPrdtList : function (repPrdtList){
				
				if (undefined == repPrdtList || repPrdtList.length == 0){
					$("#happydealSubList_temp").hide();
					CurrentView.bMenuBannerItemZero = true;
					CurrentView.ui.setNoDataPrint();	// data 없은 출력 호출
					return;
				}

				var objDrawData = JSON.parse(JSON.stringify(repPrdtList));	// object 복사
				
				/* 와이즈로그 처리 */
				if(CurrentView.pageIdx == 1){
					var params = {};
					CurrentView.espotId = objDrawData[0].espotId;
					params.espotId = CurrentView.espotId;					
					tran.callPageLogging(CurrentView.PAGE_ID, params);
				}
				
				// data 커스텀
				for (var i = 0; objDrawData.length > i; i++){
					if (i == 0){
						CurrentView.totalCount = Number(objDrawData[i].totalCnt);
					}										
					
					objDrawData[i].specialCheck = false;					
					/* 기획전 */
					if(objDrawData[i].planYn != "N"){ //상품이 아니면(기획전, 고지형)
						
						if(objDrawData[i].prom_Info != "notify"){ //기획전
							var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(objDrawData[i].prom_Info).split("?")[1]).catalogId;
							var GAData = navi.getPageId() + "||" + $("#cate"+CurrentView.subCategory.substring(13)).find('img')[0].alt+ "_"+$("#"+CurrentView.catgroupId).text()+"||"+ objDrawData[i].prom_Info+"_"+objDrawData[i].marketingText;
							objDrawData[i].specialBanner = Ns.Util.stringFormat("<dt><a href=\"javascript:;\" onclick=\"Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\'); mainCtrl.sendToGA360(\'{9}\');\" >" +
									"<img src=\"http:"	+ objDrawData[i].bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" />" +
											"</a></dt>", 
											objDrawData[i].bannerImgUrl,
				 							objDrawData[i].clickTarget,
				 							objDrawData[i].contentsId,
				 							objDrawData[i].clickCode,
				 							objDrawData[i].espotId,
				 							objDrawData[i].prom_Info,
				 							null,
				 							null,
				 							catalogId,
				 							GAData);
						}else{ //고지형
							objDrawData[i].specialBanner = "<dt><img src=\"http:"	+ objDrawData[i].bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"기획전\" /></dt>"
						}
						
							
						if(objDrawData[i].espotContentText1 != null){
							if( objDrawData[i].espotContentText2 == null) {
								objDrawData[i].specialBanner += "<dd class='tit'>" + objDrawData[i].espotContentText1 + "</dd>";
							}else{
								objDrawData[i].specialBanner += "<dd class='tit'>" + objDrawData[i].espotContentText1 + "<span>" + objDrawData[i].espotContentText2.replace("amp;","") + "</span></dd>";
							}
						}
						objDrawData[i].specialCheck = true;
						
					/* 상품 */
					}else{
					
						// 해피딜 베스트 상품 번호 표시
						var bestCount = (CurrentView.pageIdx - 1) * 20 + i + 1;
						if( CurrentView.subCategory == "happyBest" ) {
							if(bestCount>30){
								objDrawData[i].bestNum = "<span class=\"no_gray\">" + bestCount + "</span>"; //best 순위
							}else{
								objDrawData[i].bestNum = "<span class=\"no_red\">" + bestCount + "</span>"; //best 순위
							}
						}
						
						// 해피딜 신규오픈 소구문구
						objDrawData[i].happydealComment = "";
						if( CurrentView.subCategory == "happyNewOpen" ) {
							if(objDrawData[i].espotContentText != null){
								objDrawData[i].happydealComment = "<div class=\"comment\"><span>" + objDrawData[i].espotContentText + "</span><img src=\"./images/marketing/balloonpoint.gif\" alt=\"\"></div>";
							}
						}
												
						
						objDrawData[i].bannerImgUrl_c = "<img src=\"http:" + objDrawData[i].bannerImgUrl + "\" onerror=\"this.src='./images/marketing/list_no_img.png';\" alt=\"" + objDrawData[i].itncatentrynm + "\" />";
	
						objDrawData[i].sell_vol = "";
						if (Number(objDrawData[i].dlvrPrice) <= 0){
							objDrawData[i].sell_vol += "<p class=\"benefit\"><dfn class=\"label\">혜택</dfn><em class=\"free\">무료배송</em></p>";
						}
	
						objDrawData[i].shopping_info =  "<dt>" + objDrawData[i].itncatentrynm + "</dt>";	// 상품명
						
						//Wapers 2017.09.25 옵션대표가 flag
						var optRepYn = "";
						if(undefined != objDrawData[i].prcWaveDisp){
							optRepYn = objDrawData[i].prcWaveDisp;
						} else {
							// empty for purpose
						}
						
						var bHappy = false;
						if( Number(objDrawData[i].dcPrc) >= Number(objDrawData[i].salePrc) ){
							objDrawData[i].shopping_info += "<dd class=\"shopping_happydeal\">해피딜가</dd>";
							bHappy = true;
						} else {
							objDrawData[i].shopping_info += "<dd class=\"shopping_percent\">" + objDrawData[i].dcRate + "&#37;<em>&darr;</em></dd>";
						}
	
						objDrawData[i].shopping_info += "<dd class=\"shopping_info_price\">" + Ns.Util.insertCommas(objDrawData[i].dcPrc) + "<span class=\"info_price_won\">";
						
						//Wapers 2017.09.25 옵션대표가 적용
						if(optRepYn == "~"){
							objDrawData[i].shopping_info += " 원~</span></dd>";
						} else {
							objDrawData[i].shopping_info += " 원</span></dd>";
						}

						if (bHappy == false){
							objDrawData[i].shopping_info += "<dd class=\"shopping_past_price\">" + Ns.Util.insertCommas(objDrawData[i].salePrc);
							//Wapers 2017.09.25 옵션대표가 적용
							if(optRepYn == "~"){
								objDrawData[i].shopping_info += "원~</dd>";
							} else {
								objDrawData[i].shopping_info += "원</dd>";
							}
						}
	
						// 누적 및 기간내 구매수량 표시
						if(objDrawData[i].orderQty > 0){
							//priceFlag : A -  누적이 기간내 판매수량보다 많을 경우, D - 누적과 기간내 판매수량이 같을 경우
							/*if (objDrawData[i].priceFlag == "A"){
								objDrawData[i].shopping_info += "<dd class=\"sell_info\">누적&nbsp;" + objDrawData[i].orderQty + "개 구매중&nbsp;";
								
								if (objDrawData[i].latestOrderQty > 0){
									objDrawData[i].shopping_info += "(딜 기간 내 " + objDrawData[i].latestOrderQty + "개)";
								}
								
								objDrawData[i].shopping_info += "</dd>";
							} else if (objDrawData[i].priceFlag == "D"){
								if (objDrawData[i].latestOrderQty > 0){
									objDrawData[i].shopping_info += "<dd class=\"sell_info\">딜 기간 내 " + objDrawData[i].latestOrderQty + "개 구매중</dd>";
								}
							}*/
							objDrawData[i].shopping_info += "<dd class=\"sell_info\">" + objDrawData[i].orderQty + "개 구매&nbsp;";
						}
					}	
				}

				Ns.UI.drawList(objDrawData, "happydealSubList", "", CurrentView.bDeleteAndDraw );	// 화면 그리기
				CurrentView.bDeleteAndDraw = false;
				
				//기획전일 경우 상품 영역 hide
				for(var i = 0; i < objDrawData.length; i++){
					if(objDrawData[i].specialCheck == true){
						bestCount = (CurrentView.pageIdx - 1) * 20 + i + 1;
						$("#happydealSubList li .prodThumb").eq((CurrentView.pageIdx - 1) * 20 +i).hide();
						$("#happydealSubList li .line_bottom").eq((CurrentView.pageIdx - 1) * 20 +i).hide();
					}
				}				
				
				// 상품 click 이벤트 처리
				$("a[name=bannerImgUrl_c], dl[name=shopping_info]").off("click").on("click", function(e){
					CurrentView.categoryId = CurrentView.catgroupId;
					
					var cateInfo = $("#cate"+CurrentView.subCategory.substring(13)).find('img')[0].alt+ "_"+$("#"+CurrentView.catgroupId).text()+"_"+$(this).data("data").partnumber+"_";
					
					 var gaItemName = "";
					 if($(this)[0].localName == "dl"){
						 gaItemName = $(this).find("dt").text();
					 }else{
						 gaItemName = $(this).find('img')[0].alt;
					 }
					
					//ga360
					var event_obj = {
							eventCate : 'MOBILE_해피딜',
							eventAction : '카테고리영역',
							eventLabel : cateInfo+gaItemName
					};
					var subparam = {
							t1 : 'GNB',
							t2 : "해피딜"
					};
				
					GA.sendEventData(event_obj,subparam);
					
					
					mainCtrl.gotoProductDisplay($(this).data("data").partnumber, '', 'MOBIL', CurrentView.espotId);
				})
				

				if(CurrentView.pushFullEvent != true)
					Ns.UI.startPushFullEvent( CurrentView.data.call_NSHappyDealViewMobileRealBanner );

				if (Number(CurrentView.totalCount) > Number(CurrentView.pageIdx) * Number(CurrentView.pageSize)){
					CurrentView.pushFullEvent = false; // 페이징 안끝남
					
					if(CurrentView.subCategory == "happyBest" && Number(CurrentView.pageIdx) >= 5 ){
						CurrentView.pushFullEvent = true; //베스트 100개 이상일경우 페이징 끝
					}
				} else {				
					CurrentView.pushFullEvent = true; // 페이징 끝
				}
				
			},
			
		},  	

};


