
/* JavaScript content from js/marketing/M_G5710004M.js in folder common */

/* 
 *	페이지 ID : M_G5710004M  
 *  카테고리 전체 보기
 *  2016-07-18 서석준 최초작성
 *   
 */

CurrentView = {
		
		CATEGORY_DIV : "", // rel DIV 전역 변수

		init : function( params ) {
			this.initializeComponent(params);
			this.onLoad();
		},
		initializeComponent : function(params) {
			mainCtrl.hideGNB(); //싸이트맵에서는 사용하지 않아서 hide remove 하면 페이지 이동시 오류남 꼭hide 를 하자
			$("#contents").addClass("category"); //카테고리 hide 하면 빈공간 남아서 조정해줌
			tran.scrollTop = 0; //moveback() 으로 돌아올때 스크롤 위치가 꼬여서 싸이트맵에서는 0으로 강제해 준다
		},
		onLoad : function() {
			CurrentView.event.bindClickEvent(); // li 클릭이벤트 바인딩
			CurrentView.data.getLineBannerList();// 기획/매장/URL 배너 데이터 호출
		},

		data : {
			/**
			 * 하위 카테고리 API 호출
			 * */
			getCategoryList : function(catgroupId){
				var invokeParams = new Object();
				invokeParams.schType = "getCate";
				invokeParams.catgroupId = catgroupId;   //없으면 전체줌
					
				tran.callWCSJsonTran( 'NSMobHappyDealViewRenewal', invokeParams, CurrentView.ui.gridCategoryList, null, function() {}, true );
			},
			/***
			 * 기획전 / 매장 / URL 띠 배너 호출(스와이퍼 처리)
			 */
			getLineBannerList : function(){
				invokeParams = new Object();
				invokeParams.espotInfo="HAPPY_MAIN_SECONDWIDEBANNER|Content";
				tran.callWCSJsonTran( 'NSMobHappyDealMainView',invokeParams, CurrentView.ui.gridLineBanner, null, function() {}, true );
			}
		}, // end data area 

		//이벤트 관련 함수 정의
		event : {
			/**
			 * 베스트/ 신규 오픈/대카테 li 클릭 이벤트 바인딩
			 * */
			bindClickEvent : function(){
				var params = {};
				var service = "";
				var subCategory = "";
				
				$("li").click(function(){
					service = $(this).attr("data-service"); // 베스트 , 신규오픈
					subCategory = $(this).attr("data-subCategory"); //서브카테고리
					
					//베스트, 신규오픈 페이지 이동
					if(service != undefined){
						params.subCategory = service;
						mainCtrl.navigate("M_G5710002M", params);
					}
					
					//서브카테고리 클릭시 하위 카테 고리 동적으로 생성
					if(subCategory != undefined){
						CurrentView.CATEGORY_DIV = $(this).find("div").attr("rel");
						CurrentView.data.getCategoryList(subCategory);
					}
					
				});
			},
			/**
			 * 하위 카테고리 li 클릭이벤트 바인딩
			 * */
			bindLowCategory : function(obj){
				var params = {};
				params.subCategory = $(obj).closest("div").attr("id");
				params.subCategoryLow = $(obj).attr("data-url");
				mainCtrl.navigate("M_G5710002M", params);
			}
		},  //end event function

		//ui interaction 관련 함수 정의 
		ui : {
			/**
			 * 하위 카테고리 동적 생성
			 * */
			gridCategoryList : function(data){
				var categoryList = data.msg.happyDealRenewalCateList;
				
				var objDataDraw = JSON.parse(JSON.stringify(categoryList));	// object 복사
				var addHtml = "";
				
				for(var i = 0 ; i < categoryList.length ; i++){
					
					//  NSSR-23048 [긴급] 모바일 해피딜 카테고리 노출 오류
					addHtml+="<li data-url='"+objDataDraw[i].catgroupId+"' role=\"button\"><div>"+objDataDraw[i].catgroupNm+"</div></li>";
				}
				
				$(CurrentView.CATEGORY_DIV).find("ol").append(addHtml);			
				
				CurrentView.category.setEvent(); //하위 카테고리 동적 생성후 슬라이드 이벤트 및 대카테 이미지 변경 실행
				
				$(CurrentView.CATEGORY_DIV).find("li").click(function(){CurrentView.event.bindLowCategory(this);});
			},
			/**
			 * 기획전/매장/URL 배너 생성
			 * */
			gridLineBanner : function(data){
				var bannerList = data.msg._HAPPY_MAIN_SECONDWIDEBANNER;
				var objDataDraw = JSON.parse(JSON.stringify(bannerList));
				
				//기획전 없으면 영역 숨김
				if(objDataDraw == undefined && objDataDraw.length == 0){
					$("#banner-area").hide();
				}else{
					var nCount = objDataDraw.length;
					var divId = "#banner-area";
					var ulId = "#banner-area-ul";
					var strHtml = "";

					for (var i = 0; i < nCount; i++) {
						if(objDataDraw[i].mdUrl != "" && objDataDraw[i].mdUrl != undefined){
							var catalogId = Ns.Util.getBroadCastParam("?"+ Ns.Util.htmlDecode(objDataDraw[i].mdUrl).split("?")[1]).catalogId;
							var GAData = navi.getPageId() + "||" + objDataDraw[i].mdUrl + "||" + objDataDraw[i].marketingText;
							strHtml += Ns.Util.stringFormat('\<li class="swiper-slide"><a href="javascript:;" onclick="Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\'); mainCtrl.sendToGA360(\'{9}\');"><img src="http:{0}" alt=""  /></a></li>',
									objDataDraw[i].imgUrl, objDataDraw[i].clickTarget,
									objDataDraw[i].contentsId,
									objDataDraw[i].clickCode, objDataDraw[i].espotId,
									objDataDraw[i].mdUrl, null, null, catalogId,GAData);
						}else{
							strHtml +="<li class='swiper-slide'><a href='javascript:;' ><img src='http:"+objDataDraw[i].imgUrl+"' alt=''/></a></li>";
						}
						
					}

					$(ulId).html(strHtml); // 화면에 출력

					// Swiper 처리
					if (nCount == 1) { // 베너가 하나만 있을경우
						var topBannerSwiper = new Swiper( divId, {
							initialSlide : 0,
							speed : 100,
							slidesPerView : 'auto',
							slideActiveClass : 'off',
							loop : false,
							slidesPerView : 1
						});
					} else { // 베너가 하나 이상인 경우
						var topBannerSwiper = new Swiper( divId, {
							slidesPerView : 1,
							paginationClickable : true,
							spaceBetween : 30,
							loop : true,
							centeredSlides : true,
							autoplay : 3000,
							autoplayDisableOnInteraction : false,
						});
					}
				}
			}
		},  

		util : {
			
		},
		/**
		 * 카테고리 show hide 기능 
		 * */
		category : {
			
			//show
	        setEvent : function() {
	                var currentAttrValue = CurrentView.CATEGORY_DIV;
	                var $div = $("[rel="+currentAttrValue+"]"); //대카테 DIV 가져오기
	                
	                if ($div.is(".active")) { //대카테 DIV SHOW 된게 있으면 초기화 처리한다
	                	CurrentView.category.closeSubDepth();
	                } else {
	                	CurrentView.category.closeSubDepth();
	                	
	                	//대카테 이미지가 on/off 두가지가 존재 활성화시 on 이미지 
	                	var imgUrl = $div.find("img").attr("src");
	                	imgUrl = imgUrl.replace("off","on");
	                	$div.find("img").attr("src",imgUrl);
	                    
	                	$div.addClass("active");
	                    $(currentAttrValue).slideDown(300).addClass("open")
	                }
	        },
	        //hide
	        closeSubDepth : function(obj) {
	        	var $activeDiv =$("#happyDealCateList").find(".active");
	        	if($activeDiv != undefined && $activeDiv.length != ""){
	        		//대카테 이미지가 on/off 두가지가 존재 비활성화시 off 이미지 
	        		var imgUrl = $activeDiv.find("img").attr("src");
	        		imgUrl = imgUrl.replace("on","off");
	        		$activeDiv.find("img").attr("src",imgUrl);
	        	}
	        	
	            $("#happyDealCateList ul li > div").removeClass("active");
	            $("#happyDealCateList .cate-sublist").slideUp(300).removeClass("open");
	            var rel = $activeDiv.attr("rel");
	            $(rel).find("li").remove();
	        }
	        
		}
		
};


