
/* JavaScript content from js/marketing/M_G5710100M.js in folder common */

/* 
 *	페이지 ID : M_G5710100M 
 *  플래시세일 - 트렌드관 상품 목록 조회.
*/

CurrentView = {
		categoryId : null,
		
		REMAINED_TIMEs : [],
		REMAINED_TIMEs_VIP : [],
		
		init : function( params ) {
			this.initializeComponent(params);
			this.onLoad(params);
		},
		
		initializeComponent : function( params ) {
			this.categoryId = params.categoryId;
			$("#btnShowGradeBenefit").unbind().bind( "click", this.event.onclick_btnShowGradeBenefit );
		},
		
		onLoad : function(params) {
			this.data.getFlashSaleFoodMobile();
			
			//adbirx 송신용 파라미터
			if( mainCtrl.isOsApp() ){
				var invoke = {
					category : "Retention",
					action : "category_happydeal"
				};
				Ns.Native.sendAdbrix( invoke );
			}
		},
		
		data : {
			getFlashSaleFoodMobile : function( ) {
				var invoke = {
					catalogId : Const.getMobileCatalogId(),
					categoryId : CurrentView.categoryId,
					busChnId : Const.getBusChannelId()
				};
				
				tran.callWCSJsonTran( 'NSFlashSaleViewMobileReal', invoke, CurrentView.ui.setFlashSaleMobile, null, function() {}, true  );
			}

		},
		
		//이벤트 관련 함수 정의
		event : {
			//등급혜택보기 버튼. 
			onclick_btnShowGradeBenefit : function() {
				mainCtrl.navigate("M_U1181000M", null);
			},
		},
		//end event function
		
		//ui interaction 관련 함수 정의 
		ui : {
			getSaleRate : function( salePrice, offerPrice, saleRate) {
				if ( salePrice!=0 && offerPrice!=salePrice && saleRate!==0 ) {
					return saleRate;
				} else {
					return 0;
				}
			},
			
			getSalePrice : function( salePrice, offerPrice ) {
				if ( salePrice!=0 && offerPrice!=salePrice ) {
					return Ns.Util.insertCommas(salePrice);
				} else {
					return null;
				}
			},
			
			setFlashSaleLimitTime : function( ) {
				mainCtrl.checkTimerObject();
				mainCtrl.m_timer = setInterval(CurrentView.ui.startCalcLimitTime, 1000*60);
			},
			
	        startCalcLimitTime : function() {
				var invoke = {
					catalogId : Const.getMobileCatalogId(),
					categoryId : CurrentView.categoryId,
					busChnId : Const.getBusChannelId()
				};
				
				tran.callWCSJsonTran( 'NSFlashSaleViewMobileReal', invoke, function( data ) {
					if ( !data.isSuccessful) return;
					
					var productList = data.msg.productList;
		        	var vipFlashSaleList = data.msg.vipFlashSaleList;
		        	
		        	var setLimitTime = function( info, listHtmlArea ) {
		        		var partNumber = info.PARTNUMBER;
	        			var periodDate = Ns.Date.getPeriodDate( info.END_TIME, "json" );
	        			var quanty =  Ns.Util.insertCommas( info.SALE_QUANTITY );

	        			var len =  $( listHtmlArea ).eq.length;
	        			for ( var i=0; i<len; i++ ) {
	        				var obj = $( listHtmlArea ).eq(i);
	        				var srcPartNumber = obj.attr("id");
	        				
	        				if ( srcPartNumber == partNumber ) {
	        					obj.find("p.d_date").html( periodDate.html );
	        					obj.find("strong.em.rate-g").html( quanty );
	        				}
	        			}
		        	};
		        	
		        	if( productList != undefined || productList.length != 0 ) {
		        		for ( var i=0; i<productList.length; i++ ) {
		        			var info = productList[i];
		        			
		        			setLimitTime( info, "#ulFoodProductListArea li" );
		        		}
		        	} 
		        	
		        	if( vipFlashSaleList != undefined || vipFlashSaleList.length != 0 ) {
		        		for ( var i=0; i<vipFlashSaleList.length; i++ ) {
		        			var info = vipFlashSaleList[i];
		        			
		        			setLimitTime( info, "#ulVIProductList li" );
		        		}
		        	} 
		        	
				}, null, function() {}, true  );
	        },
	        
	        setFlashSaleMobile : function( data ) {
	        	var productList = data.msg.productList;
	        	var vipFlashSaleList = data.msg.vipFlashSaleList;
	        	
	        	var htmlTxt = "";
	        	if( productList == undefined || productList.length == 0 ) {
	        		htmlTxt = mainCtrl.getNoResultDataHtml( "트렌드관 상품이 없습니다." );
	        		$("#ulFoodProductListArea").html( htmlTxt );
	        		return false;
	        	}
	        	
	        	if ( USERINFO.isVip() != "N" ) {
	        		htmlTxt = CurrentView.ui.getFlashSaleMobileHtmlTxt( vipFlashSaleList, true );
	        		if( htmlTxt=="") {
	        			$("#sectionVIPZone").hide();
	        		} else {
		        		$("#ulVIProductList").html( htmlTxt);
		        		$("#sectionVIPZone").show();
	        		}
	        	} else {
	        		$("#ulVIProductList").html( "" );
	        		$("#sectionVIPZone").hide();
	        	}
	        	
	        	htmlTxt += CurrentView.ui.getFlashSaleMobileHtmlTxt( productList, false );
	        	$("#ulFoodProductListArea").html( htmlTxt );
	        	
	        	CurrentView.ui.setFlashSaleLimitTime(); //남은 시간 타이머 시작. 
	        },
	        
	        getFlashSaleMobileHtmlTxt : function( data, isVIP ) {
	        	if ( data == undefined || data.length==0) return "";
	        	
	        	var htmlTxt = "";
	        	for ( var i=0; i<data.length; i++ ) {
	        		var info = data[i];
	        		
		        	var imageUrl = Ns.Util.getImageUrl( info.PARTNUMBER, "O" );
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_O.jpg';
					var productName = info.ITNCATENTRYNM;
					
					var partNumber = info.PARTNUMBER;
					var multiCd = info.MULTI_CD;
					var busChnId = info.BUSCHN_ID;
					var catentryId = info.CATENTRY_ID;
					
					var rateTag = "";
					
					var rate = Number( info.DC_RATE );
					if ( rate !=0 ) rateTag = '<span class="tag item-event discount"><strong>'+rate+'</strong><span class="unit">%</span></span>';
					
					var salePriceTag = "";
					var salePrice = Ns.Util.insertCommas( info.DC_PRC );
					if( salePrice != null ) salePriceTag = '<span class="price-selling"><strong class="head">알뜰할인가</strong> <ins class="text"><strong>'+salePrice+'</strong><span class="unit">원</span></ins></span>';
					
					var offerPriceTag = "";
					var offerPrice = Ns.Util.insertCommas( info.SALE_PRC );
					if( salePrice != null )
						offerPriceTag = '<span class="price-default"><strong class="head">판매가</strong> <del class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					else
						offerPriceTag = '<span class="price-default"><strong class="head">판매가</strong> <ins class="text"><strong>'+offerPrice+'</strong><span class="unit">원</span></del></span>';
					
					var timeLimit = Ns.Date.getPeriodDate( info.END_TIME, "htmlFormat" );
					var quanty =  Ns.Util.insertCommas( info.SALE_QUANTITY );
					
					htmlTxt += Ns.Util.stringFormat('\
		        		<li class="items" id="{0}">\
		    				<div class="wrap">\
		    					<div class="thumbnail">\
		    						<a href="javascript:mainCtrl.gotoProductDisplay({1}, \'{2}\', \'{3}\');"><img src="{4}" onerror="this.onerror=null;this.src=\'{5}\'" alt="상품 이미지"></a>\
									{6}\
		    					</div>\
		    					<div class="field">\
									<p class="title"><a href="javascript:mainCtrl.gotoProductDisplay({9}, \'{10}\', \'{11}\');"><strong>{12}</strong></a></p>\
		    						<div class="data-info">\
		    							<p class="price">\
											{13}\
											{14}\
		    							</p>\
		    						</div>\
		    					</div>\
		    				</div>\
							<div class="option-order2">\
								<p class="d_date">{15}</p>\
								<span class="count em rate-d">현재 <strong class="em rate-g">{16}</strong>개 판매중</span>\
							</div>\
		    			</li>', 
		    			partNumber,
	    				partNumber, multiCd, busChnId,
	    				imageUrl, noImageUrl,
	    				rateTag,
	    				catentryId, productName,
						partNumber, multiCd, busChnId, productName,
						offerPriceTag, salePriceTag,
						timeLimit, quanty );
	        	} // end for loop 
	        	
	        	return htmlTxt;
	        }
	        
	   
		}
		//end ui function...
};

	
