
/* JavaScript content from js/member/M_M1111100M.js in folder common */
/**
 *	페이지 ID : M_M1111100M
 *	@file 일반회원 로그인
 */

/** 
 * page 컨트롤 클래스 
 * @namespace
 */
CurrentView = {
		THIS_PARAMs : null, //해당 정보는 비회원 로그인 페이지, 또는 상품상세 화면 등 로그인이 필요한 페이지에서 넘겨준다. 
							//null일 경우 로그인 완료 후 진입 전 페이지로 이동하고. 
							//null 이 아닐 경우. 지정한 페이지로 이동한다. 
							// { tranId : transaction Id, invoke : transaction parameters, pageId : move Page id } 
		
		fbMemberInfo:null,
	
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		/** html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		이벤트 binding 등... */
		initializeComponent : function( params ) {	
			this.THIS_PARAMs = params || null;
			
			$("#ulMemberArea li a").unbind().bind( "click", this.event.onclick_ulMemberArea );
			
			$("#btnLogin").unbind().bind( "click", this.event.onclick_btnLogin );
			$("#btnFindUserId").unbind().bind( "click", this.event.onclick_btnFindUserId );
			$("#btnFindPassword").unbind().bind( "click", this.event.onclick_btnFindPassword );
			$("#btnFacebook").unbind().bind( "click", this.event.onclick_btnFacebook );
			$("#btnJoinMembers").unbind().bind( "click", this.event.onclick_btnJoinMembers );
			$("#btnNaver").unbind().bind( "click", this.event.onclick_btnNaver);
			$("#btnPayco").unbind().bind( "click", this.event.onclick_btnPayco);
			$("#btnKakao").unbind().bind( "click", this.event.onclick_btnKakao);
			
			// PC키보드 보기/숨기기 이벤트 처리
			$("#btnKeyboard").off().on("click", function(){
				if ($("#keyboard").css("display") == "none"){
                    $("#keyborad_kor").addClass("active");
					$("#keyborad_kor").children().attr("aria-expanded", true);
					$("#keyboard").show();
					$(this).html("한글자판닫기");
				} else {
					$("#keyborad_kor").removeClass("active");
					$("#keyborad_kor").children().attr("aria-expanded", false);
					$("#keyboard").hide();
					$(this).html("한글자판보기");
				}
			});
		},
		
		/** html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. */
		onLoad : function() {
			
			// 2016-08-30 Ssong
			// 성인 인증 관련
			if(this.THIS_PARAMs && this.THIS_PARAMs.invoke && this.THIS_PARAMs.invoke.adultItemFlag == "Y"){
				$("#info-adult").show();
				$("#ulMemberArea").hide();
			}
			
			// 아이디저장 - LocalStorage에 저장된 값 읽어옴.
			var savedLogonId = Ns.LocalStorage.get(STORAGE_KEY.SAVE_LOGONID);
			if(savedLogonId != null && savedLogonId !=''){
				$('#txtUserId').val(savedLogonId);				
			}

			// 아이디저장, 자동로그인 체크박스 상자 체크 default
			$('#chkSaveLoginId').prop('checked', true);
			$('#chkRetainLogon').prop('checked', true);
			
			//iosweb 이고 cocd가 페이코 제휴 일 경우 네이버/카카오 로그인 버튼 노출 하지 않음
			if(mainCtrl.VIEW_TYPE == "iosweb" && Const.getCocd() == "780"){
				$("#btnKakao").hide();
				$("#btnNaver").hide();
			}
			
			//위메프 원더쇼핑일 때 간편로그인(페이코/네이버)버튼 숨기기
			if (typeof sessionStorage === 'object') {
			    try {
					if(sessionStorage.getItem("co_cd")!=null && sessionStorage.getItem("co_cd")=="985"){
						$("#paycodiv").hide();
						$("#naverdiv").hide();
					}
			    } catch (e) {
			    	// silently ignore when sessionStorage is unavailable. The most likely case is private browsing mode.
			    }
			}
		},
		
		/** 
		 * 데이터 관련 함수를 정의한다.
		 * @namespace
		 */
		data : {
			/**
			 * 네이버 로그인(모바일 웹)
			 */
			mobilewebNaverlogin : function() {
				var ssl_state = null;
				var src = null;
				var ranNum = Math.floor(Math.random()*(1001));
				var accptPath = Const.getAcceptPath();
				$("#iframe_link").remove();	// iframe 삭제
				$("#NaverForm").remove();
				
				if(location.protocol.indexOf("https") == -1){
					ssl_state = ranNum+"_http";
					src = "http://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/NaverLink.jsp";
				}
				
				if(location.protocol.indexOf("https") > -1){
					ssl_state = ranNum+"_https";
					src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/NaverLink.jsp";
				}
				
				$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\"></iframe>");
				$("body").append('<form id="NaverForm" target="iframe_link" action="' + src + '" method="post"></form>');
				$("#NaverForm").append('<input type="hidden" id="state" name="state" value="" />');
				$("#NaverForm").append('<input type="hidden" id="accptPath" name="accptPath" value="" />');
				$("#state").val(ssl_state);
				$("#accptPath").val(accptPath);
				$("#NaverForm").submit();
			},
			
			/**
			 * 네이버 로그인
			 */
			NaverLogin : function( data ){
				$("#iframe_link").remove();	// iframe 삭제
				$("#NaverForm").remove();
				
				if (null == data || data == ""){
					var msg = "네이버 연동시 에러가 발생하였습니다.";
					Ns.Popup.alert(msg);
					return;
				}
				
				var access_token = data.root.refresh_token; //네이버 엑세스토큰
				var id	  = data.root.id;    //네이버고유ID값
				var email = data.root.email; //네이버 메일주소
				var name  = data.root.name;  //네이버 이름

				tran.callWCSJsonTran('NsMobileMemberSignupCmd', {cmdType : "checkEntUser" , entUserId : id ,entFlag : "NAVER"}, function(data){
					var linkYN = data.msg.result.linkYN; //네이버ID가 이미 연동되어있는지 여부
					var nsLogonId = data.msg.result.nsLogonId;   //네이버ID와 연동된 NSMALL 로그인ID 
					var dupYN = data.msg.result.dupYN;   //네이버ID가 NSMALL에 사용되고 있는지 여부

					if(linkYN == null || linkYN == ""){
						linkYN = "N";
					}
					
					if(dupYN == null || dupYN == ""){
						dupYN = "N";
					}
					
					var params = {
							logonId : id,
							Email : email,
							access_token : access_token,
							name : name,
							entFlag   : "NAVER",
					};
					
					var saveYn;
					var autoYn;		
					var isSave = $('#chkSaveLoginId').is(':checked');
					var isAuto = $('#chkRetainLogon').is(':checked');
					
					if(isSave && isAuto){
						saveYn = 'Y';
						autoYn = 'Y';
					}else if(isSave && !isAuto){
						saveYn = 'Y';
						autoYn = 'N'; 
					}else if(!isSave && isAuto){
						saveYn = 'N';
						autoYn = 'Y';
					}else{
						saveYn = 'N';
						autoYn = 'N';
					}
					
					// 네이버 로그인처리
					if( linkYN == "Y"){
						params = {
								   logonId : nsLogonId,
								   logonPassword : "N",
								   logonType : LOGON_TYPE.normal,
								   entFlag   : "NAVER",
								   entUserId    : id,
								   entEmail     : email,
								   refresh_token : access_token,
								   isSSORequest : true,
								   entName : name,
								   saveYn : saveYn,
								   autoYn : autoYn
							  };
							  
						mainCtrl.userLogin( params );
					// 네이버 기존회원 연동 및 신규회원 가입
					} else if(linkYN == "N" && (dupYN == "Y" || dupYN == "N")){
						Ns.Popup.showPopup("M_M1250000M", params);
					}

				 });
			},
			
			/**
			 * 카카오 로그인
			 */
			KakaoLogin : function( data ){
				$("#iframe_link").remove();	// iframe 삭제
				$("#KakaoForm").remove();
				
				if (null == data || data == ""){
					var msg = "카카오 연동시 에러가 발생하였습니다.";
					Ns.Popup.alert(msg);
					return;
				}
				
				// 로그인 시 동의안함을 선택하였을 경우 root는 ""로 넘어옴
				if(data.root == undefined || data.root == null || data.root == ""){
					var message = '카카오 연동을 취소하셨습니다.';
					Ns.Popup.alert(message);
					return;
				}
				
				var access_token = data.root.refresh_token; //카카오 엑세스토큰
				var id	  = data.root.id;    //카카오 고유ID값
				var email = data.root.email; //카카오 메일주소
				var name  = data.root.name;  //카카오 이름
				
				// {cmdType: "checkEntUser", entUserId: "30213644", entFlag: "KAKAO"}
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', {cmdType : "checkEntUser", entUserId : id, entFlag : "KAKAO"}, function(data){
					var linkYN = data.msg.result.linkYN; //카카오 ID가 이미 연동되어있는지 여부
					var nsLogonId = data.msg.result.nsLogonId;   //카카오ID와 연동된 NSMALL 로그인ID 
					var dupYN = data.msg.result.dupYN;   //카카오ID가 NSMALL에 사용되고 있는지 여부

					if(linkYN == null || linkYN == ""){
						linkYN = "N";
					}
					
					if(dupYN == null || dupYN == ""){
						dupYN = "N";
					}
					
					var params = {
							logonId : id,
							Email : email,
							access_token : access_token,
							name : name,
							entFlag   : "KAKAO",
					};
					
					var saveYn;
					var autoYn;		
					var isSave = $('#chkSaveLoginId').is(':checked');
					var isAuto = $('#chkRetainLogon').is(':checked');
					
					if(isSave && isAuto){
						saveYn = 'Y';
						autoYn = 'Y';
					}else if(isSave && !isAuto){
						saveYn = 'Y';
						autoYn = 'N'; 
					}else if(!isSave && isAuto){
						saveYn = 'N';
						autoYn = 'Y';
					}else{
						saveYn = 'N';
						autoYn = 'N';
					}
					
					// 카카오 로그인처리
					if( linkYN == "Y"){
						params = {
								   logonId : nsLogonId,
								   logonPassword : "N",
								   logonType : LOGON_TYPE.normal,
								   entFlag   : "KAKAO",
								   entUserId    : id,
								   entEmail     : email,
								   refresh_token : access_token,
								   isSSORequest : true,
								   entName : name,
								   saveYn : saveYn,
								   autoYn : autoYn
							  };
							  
						mainCtrl.userLogin( params );
					// 카카오 기존회원 연동 및 신규회원 가입
					} else if(linkYN == "N" && (dupYN == "Y" || dupYN == "N")){
						Ns.Popup.showPopup("M_M1270000P", params);					
					}

				 });
			},
			
			/**
			 * 페이코 로그인(모바일 웹)
			 */
			mobilewebPaycologin : function() {
				var ssl_state = null;
				var src = null;
				var ranNum = Math.floor(Math.random()*(1001));
				var accptPath = Const.getAcceptPath();
				
				$("#iframe_link").remove();	// iframe 삭제
				$("#PaycoForm").remove();
				
				if(location.protocol.indexOf("https") == -1){
					ssl_state = ranNum+"_http";
					src = "http://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/PaycoLink.jsp";
				}
				
				if(location.protocol.indexOf("https") > -1){
					ssl_state = ranNum+"_https";
					src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/PaycoLink.jsp";
				}
				
				$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\"></iframe>");
				$("body").append('<form id="PaycoForm" target="iframe_link" action="' + src + '" method="post"></form>');

				$("#PaycoForm").append('<input type="hidden" id="state" name="state" value="" />');
				$("#PaycoForm").append('<input type="hidden" id="accptPath" name="accptPath" value="" />');

				$("#state").val(ssl_state);
				$("#accptPath").val(accptPath);
				$("#PaycoForm").submit();

			},
			
			/**
			 * 페이코 로그인
			 */
			PaycoLogin : function( data ){
				$("#iframe_link").remove();	// iframe 삭제
				$("#PaycoForm").remove();
				
				if (null == data || data == ""){
					var msg = "페이코 연동시 에러가 발생하였습니다.";
					Ns.Popup.alert(msg);
					return;
				}
				
				var access_token = data.root.refresh_token; //페이코 엑세스토큰
				var email = data.root.email; //페이코 메일주소
				var name = data.root.name; //페이코 이름
				//2018-04-02 서석준 페이코 제휴 일 경우 페이코 고객 UUID 쿠키 저장
				var paycoUUID = data.root.paycoId || ""; //페이코ID가 이미 연동되어있는지 여부
				if(paycoUUID != ""){
					Ns.Cookie.setCookie("paycoUUID" , paycoUUID);
				}
				
				tran.callWCSJsonTran('NsMobileMemberSignupCmd', {cmdType : "checkEntUser" , entUserId : email ,entFlag : "PAYCO"}, function(data){
					var linkYN = data.msg.result.linkYN; //페이코ID가 이미 연동되어있는지 여부
					var nsLogonId = data.msg.result.nsLogonId;   //페이코ID와 연동된 NSMALL 로그인ID 
					var dupYN = data.msg.result.dupYN;   //페이코ID가 NSMALL에 사용되고 있는지 여부

					if(linkYN == null || linkYN == ""){
						linkYN = "N";
					}
					
					if(dupYN == null || dupYN == ""){
						dupYN = "N";
					}
					
					var params = {
							logonId : email,
							Email   : email,
							access_token : access_token,
							name : name,
							entFlag   : "PAYCO",
							moveTargetPage : CurrentView.THIS_PARAMs || null, //2018-04-20 서석준 기존 회원 / 신규 회원의 경우 상품 상세 페이지 이동을 위해 파라미터 매핑 추가
					};

					var saveYn;
					var autoYn;		
					var isSave = $('#chkSaveLoginId').is(':checked');
					var isAuto = $('#chkRetainLogon').is(':checked');
					
					if(isSave && isAuto){
						saveYn = 'Y';
						autoYn = 'Y';
					}else if(isSave && !isAuto){
						saveYn = 'Y';
						autoYn = 'N'; 
					}else if(!isSave && isAuto){
						saveYn = 'N';
						autoYn = 'Y';
					}else{
						saveYn = 'N';
						autoYn = 'N';
					}
					
					// 페이코 로그인처리
					if( linkYN == "Y"){
						params = {
								   logonId : nsLogonId,
								   logonPassword : "N",
								   logonType : LOGON_TYPE.normal,
								   entFlag   : "PAYCO",
								   entUserId    : email,
								   entEmail     : email,
								   refresh_token : access_token,
								   isSSORequest : true,
								   entName : name,
								   resAction : CurrentView.THIS_PARAMs,
								   saveYn : saveYn,
								   autoYn : autoYn
							  };
							  
						mainCtrl.userLogin( params );
					// 페이코 기존회원 연동 및 신규회원 가입
					} else if(linkYN == "N" && (dupYN == "Y" || dupYN == "N")){
						Ns.Popup.showPopup("M_M1280000P", params);					
					}

				 });
			},
			
			/**
			 * 카카오 로그인(모바일 웹)
			 */
			mobilewebKakaologin : function() {
				var ssl_state = null;
				var src = null;
				var ranNum = Math.floor(Math.random()*(1001));
				$("#iframe_link").remove();	// iframe 삭제
				$("#KakaoForm").remove();
				
				if(location.protocol.indexOf("https") == -1){
					ssl_state = ranNum+"_http";
					src = "http://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/kakao/KakaoLink.jsp";
				}
				
				if(location.protocol.indexOf("https") > -1){
					ssl_state = ranNum+"_https";
					src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/kakao/KakaoLink.jsp";
				}
				
				$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\"></iframe>");
				$("body").append('<form id="KakaoForm" target="iframe_link" action="' + src + '" method="post"></form>');
				$("#KakaoForm").append('<input type="hidden" id="state" name="state" value="" />');
				$("#state").val(ssl_state);
				$("#KakaoForm").submit();
			},
			
			/**
			 * 카카오 로그인(네이티브)
			 * */
			nativeKakaoLogin : function() {
				var successFunc = function(data) {
					if (typeof (data) == 'string')
						data = Ns.Util.serializeToObject(data);
					if (!Ns.Util.isNull(data.accessToken)) {
						var accessToken = data.accessToken;
						if (!Ns.Util.isNull(data.refreshToken))
							var refreshToken = data.refreshToken;
						var successFunc = function(data) {
							if (typeof (data) == 'string')
								data = Ns.Util.serializeToObject(data);
							// 로그인 Api 요청
							var invoke = {
									id : data.id,	//	dhlee 2017.06.14 네이버 아이디 추가 
									refresh_token  : refreshToken,
									access_token  : accessToken,
									email 		  : data.email,
									name 	  : data.name
							};
							var loginData = {root:invoke};
							CurrentView.data.KakaoLogin(loginData);
						};
						var failFunc = function() {
							var message = '로그인에 실패하였습니다.';
							Ns.Popup.alert(message);
						};
						
						if (mainCtrl.VIEW_TYPE == "android") {
							Ns.Native.kakao(successFunc, failFunc, "userProfile", [{accessToken:accessToken}]);
						} else {
							Ns.Native.kakao(successFunc, failFunc, "userProfile");
						}
					}
				};
				var failFunc = function() {
					var message = '카카오 연동을 취소하셨습니다.';
					Ns.Popup.alert(message);
				};
				Ns.Native.kakao(successFunc, failFunc, "login");
			},
			
			/**
			 * 페이코 로그인(네이티브)
			 * */
			nativePaycologin : function() {
				var successFunc = function(data) {
					if (mainCtrl.VIEW_TYPE == "android") {
						if (typeof (data) == 'string')
							data = Ns.Util.serializeToObject(data);
						if (!Ns.Util.isNull(data.accessToken)) {
							var accessToken = data.accessToken;
							var expiresAt = data.expiresAt;
							if (!Ns.Util.isNull(data.refreshToken))
								var refreshToken = data.refreshToken;
							var successFunc = function(data) {
								if (typeof (data) == 'string')
									data = Ns.Util.serializeToObject(data);
								// 로그아웃
								Ns.Native.payco(function(){/*do nothing*/}, function(){/*do nothing*/}, "logout");
								// 로그인 Api 요청
								var invoke = {
										access_token  : accessToken,
										expiresAt 	  : expiresAt,
										refresh_token  : refreshToken,
										email 		  : data.email,
										name 		  : data.name
								};
								var loginData = {root:invoke};
								CurrentView.data.PaycoLogin(loginData);
							}; 
							var failFunc = function() {
								var message = '로그인에 실패하였습니다.';
								Ns.Popup.alert(message);
							};
							Ns.Native.payco(successFunc, failFunc, "userProfile", [{accessToken:accessToken,}]);
						}
					} else {
						if (typeof (data) == 'string')
							data = Ns.Util.serializeToObject(data);
						
						var refresh_token = data.refresh_token; //페이코 엑세스토큰
						var email = data.email; //페이코 메일주소
						var name = data.name; //페이코 이름

						// 로그인 Api 요청
						var invoke = {
								refresh_token  : refresh_token,
								email 		  : email,
								name 	  : name
						};
						var loginData = {root:invoke};
						CurrentView.data.PaycoLogin(loginData);
					}
					

				};
				var failFunc = function() {
					var msg = "페이코 연동시 에러가 발생하였습니다.";
					Ns.Popup.alert(msg);
				};
				Ns.Native.payco(successFunc, failFunc, "login");
			},
			
			/**
			 * 네이버 로그인(네이티브)
			 * */
			nativeNaverlogin : function() {
				var successFunc = function(data) {
					if (typeof (data) == 'string')
						data = Ns.Util.serializeToObject(data);
					if (!Ns.Util.isNull(data.accessToken)) {
						var accessToken = data.accessToken;
						var expiresAt = data.expiresAt;
						if (!Ns.Util.isNull(data.refreshToken))
							var refreshToken = data.refreshToken;
												
						var successFunc = function(data) {
							if (typeof (data) == 'string')
								data = Ns.Util.serializeToObject(data);
							// 로그아웃
							Ns.Native.naver(function(){/*do nothing*/}, function(){/*do nothing*/}, "logout");
							// 로그인 Api 요청
							var invoke = {
									id : data.id,	//	dhlee 2017.06.14 네이버 아이디 추가 
									refresh_token  : refreshToken,
									expiresAt 	  : expiresAt,
									refreshToken  : refreshToken,
									email 		  : data.email,
									name 	  : data.name
							};
							var loginData = {root:invoke};
							CurrentView.data.NaverLogin(loginData);
						};
						var failFunc = function() {
							var message = '로그인에 실패하였습니다.';
							Ns.Popup.alert(message);
						};
						if (mainCtrl.VIEW_TYPE == "android") {
							Ns.Native.naver(successFunc, failFunc, "userProfile", [{accessToken:accessToken}]);
						} else {
							Ns.Native.naver(successFunc, failFunc, "userProfile");
						}
					}
				};
				var failFunc = function() {
					var message = '네이버 연동을 취소하셨습니다.';
					Ns.Popup.alert(message);
				};
				Ns.Native.naver(successFunc, failFunc, "login");
			},
			
			/** 유효성 검사 */
			checkEssentialInputValue : function() {
				var message;

				var txtUserId = $.trim($("#txtUserId").val());
				var txtPassword = $.trim($("#txtPassword").val());

				if (txtUserId == '' || txtPassword == ''){
					message = '아이디와 비밀번호는 필수입력 사항입니다.'; 
					Ns.Popup.alert(message);
					return false; 
				} else if(txtUserId.length < 4){
					message = '아이디는 4~40자 이내 영문소문자 또는 영문소문자+숫자 조합으로 입력해 주세요.';
					Ns.Popup.alert(message);
					return false;
				}
				
				if(txtPassword.length < 1) {
					message = '비밀번호는 8~16자 이내 영문소문자+숫자 조합으로 입력해 주세요.';
					Ns.Popup.alert(message);
					return false;
				}

				return true;
			},
			
		  /**
		   * 페이스북 로그인 init
		   **/
		  initFacebookInfo : function(){
			  FB.init({
				  appId   : Const.getFacebookAppKey(), 	// App ID
				  status  : true,    // check login status
				  cookie  : false,    // enable cookies to allow the server to access the session
				  xfbml   : true,    // parse XFBML
				  oauth   : true
			  });
			  
			  // 이미 로그인되어 있으면 로그아웃 시킴
			  FB.getLoginStatus(function(response) {
				  if (response.status == 'connected') {
					  FB.logout();
				  }
			  });
		  },
		  
		  /**
		   * 페이스북 로그인(모바일 웹)
		   **/
		  mobilewebFBlogin : function() {
			  if(location.protocol == "http:"){
				  mainCtrl.loadFacebookLogin();
			  } else {
				  FB.login(function(response) {
					  if (response.authResponse) {
						  FB.api('/me', 'GET', {fields: "id,name,email,gender,birthday"}, function(data) {
							  // 정보를 가져오고 로그아웃 시킴
							  FB.logout();
							  
							  //사용자 이메일 정보가 있을 경우 
							  // dhlee 2017.2.8 facebook 
							  //2017.08.02 Wapers If/else 구문 수정
							  if (data.email == null || data.email == "" || data.email == undefined) {
								  Ns.Popup.alert("페이스북 정보를 가지고 올 수 없습니다.\n페이스북 설정에서 기본 이메일을 입력해 주세요.");
							  }	else {
								  var fbEmail 		= data.email == undefined ? "" : data.email;
								  var fbName 		= data.name == undefined ? "" : data.name;
								  var fbGender 		= data.gender == undefined ? "" : data.gender;
								  var fbBirthday 	= data.birthday == undefined ? "" : data.birthday;
								  //사용자 정보가 존재하는 경우
								  CurrentView.fbMemberInfo = {
									  fbEmail 		: fbEmail,
									  fbName 		: fbName,
									  fbGender 		: fbGender,
									  fbBirthday 	: fbBirthday								
								  };
								  CurrentView.data.simpleMemberJoinCheck(fbEmail);
							  }
						  });
					  }
			      }, {scope: 'email', return_scopes: true}); // 2017.08.02 Wapers email permission check
			  }
		  },
		  
		  /**
		   * 페이스북 로그인(네이티브)
		   **/
		  nativeFBlogin : function(){
			  var successFunc = function(data) {
				  if (typeof(data) == 'string') {
					  data = eval('(' + data + ')');
				  }
				  
				  // 정보를 가져오고 로그아웃 시킴
				  Ns.Native.facebookLogin(function() {/*do nothing*/}, function() {/*do nothing*/}, 'logout');
				  
				  CurrentView.fbMemberInfo = {
					  fbEmail : data.email,
					  fbGender : data.gender,
					  fbName : data.name,
					  fbBirthday : data.birthday
				  };
				  //2017.08.02 Wapers data.email == undefined 추가
				  if (data.email == null || data.email == "" || data.email == undefined) {
					  Ns.Popup.alert("페이스북 정보를 가지고 올 수 없습니다.\n페이스북 설정에서 기본 이메일을 입력해 주세요.");
					  return false;
				  }

				  CurrentView.data.simpleMemberJoinCheck(data.email);
			  };
			  var failFunc = function() {
				  Ns.Popup.alert('facebook 로그인에 실패하였습니다.');
			  };
			  
			  Ns.Native.facebookLogin(successFunc, failFunc, "login", ["email"]);
		  },
		  
		  /**
		   * 페이스북 로그인. 기존에 가입된 아이디가 있는지 체크
		   **/
		  simpleMemberJoinCheck : function( email ){			  
			  Ns.Util.viewConsoleLog(">>>>> simpleMemberJoinCheck " + email);
			  tran.callWCSJsonTran('ForSNSIdCheckMobile', {logonId : email}, function(data){	
			  
				var joinYn = data.msg.root.snsregistcheck.isEmpty;	
				var logonId = data.msg.root.snsregistcheck.logonid;
				var logonPassword = '1qazxsw2'; 
				
				if(joinYn == "N"){
					CurrentView.fbMemberInfo.targetInvoke = CurrentView.THIS_PARAMs;
					mainCtrl.navigate('M_M1261000M', CurrentView.fbMemberInfo);
				}else{
					//logonId, logonPassword, logonType, resAction, saveYn, autoYn, isAutoLoginCheck
					var params = {
						logonId : logonId,
						logonPassword : logonPassword,
						logonType : LOGON_TYPE.simple,
						resAction : CurrentView.THIS_PARAMs
					};
					mainCtrl.userLogin( params );
				}				
			 });
		  },
		  
		  /** 
		   * recaptcha
		   */
		  checkRecaptcha : function(){
			  // recaptcha 실행 여부 
			  var checkCaptcha = $("#gRecaptcha").is(":visible");
			  
			  // recaptcha 안떠있으면 패스
			  if(!checkCaptcha){
				  return "N";
			  // 떠있으면 인증 여부 체크
			  } else {
				  var resultCaptcha = $("#gRecaptcha").contents().find("textarea[name='g-recaptcha-response']").val().length;
				  
				  if(resultCaptcha > 0){
					  if(mainCtrl.iframeResizeTimer != undefined){
						  clearInterval(mainCtrl.iframeResizeTimer);
					  }
					  return "Y";
				  } else {
					  return false;
				  }
			  }
		  }
		  
		},
		
		/** 
		 * ui 관련 함수를 정의한다.
		 * @namespace
		 */
		ui : {
			
		},
		 
		/** 
		 * 이벤트 관련 함수를 정의한다.
		 * @namespace 
		 */
		event : {
			
			/** 회원/비회원 탭 클릭 이벤트 */
			onclick_ulMemberArea : function() {
				var id = $(this).attr('id');
				var invokeParams = CurrentView.THIS_PARAMs || null;
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_로그인',
						eventAction : '회원/비회원전환',
						eventLabel : "비회원메뉴"
				};
				var subparam = {
						t1 : '로그인',
						t2 : "로그인(회원)"
				};
			
				GA.sendEventData(event_obj,subparam);
				
				if( id == "tabNonMembers" ) {
					mainCtrl.navigate( "M_M1111200M",  invokeParams ); //비회원 로그인
				} else {
					return false;
				}
		  },
		  
		  /** 로그인 버튼 클릭 이벤트 */
		  onclick_btnLogin : function() {
		  		// reCAPTCHA 체크
			  	var isCaptChaYn = CurrentView.data.checkRecaptcha();
			  	if(!isCaptChaYn){
			  		Ns.Popup.alert("자동입력 방지를 체크해주세요." , function() {/*do nothing*/}, "", true);
			  		return;
		  		}
			  	
			  	var retval = CurrentView.data.checkEssentialInputValue();
			  	if (!retval) {
			  		return;
			  	}

			  	var txtUserId = $.trim($("#txtUserId").val());
				var txtPassword = $.trim($("#txtPassword").val());
				var invokeParams = CurrentView.THIS_PARAMs || null;
				
				var saveYn = '';
				var autoYn	= '';				 
				
				
				var isSave = $('#chkSaveLoginId').is(':checked');
				var isAuto = $('#chkRetainLogon').is(':checked');
				
				if(isSave && isAuto){
					saveYn = 'Y';
					autoYn = 'Y';
				}else if(isSave && !isAuto){
					saveYn = 'Y';
					autoYn = 'N'; 
				}else if(!isSave && isAuto){
					saveYn = 'N';
					autoYn = 'Y';
				}else{
					saveYn = 'N';
					autoYn = 'N';
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_로그인',
						eventAction : '일반회원로그인',
						eventLabel : "로그인"
				};
				var subparam = {
						t1 : '로그인',
						t2 : "로그인(회원)"
				};
			
				GA.sendEventData(event_obj,subparam);
				
				//logonId, logonPassword, logonType, resAction, saveYn, autoYn, isAutoLoginCheck
				var params = {
					logonId : txtUserId,
					logonPassword : txtPassword,
					logonType : LOGON_TYPE.normal,
					resAction : invokeParams,
					saveYn : saveYn,
					autoYn : autoYn,
					fromLoginPage : true, //2018.11.08 kimjh 구글 스마트락
					isCaptChaYn : isCaptChaYn //Ssong 추가
				};
				mainCtrl.userLogin( params );

				if(mainCtrl.VIEW_TYPE == 'iosweb' && typeof localStorage === 'object') {
					try {
							localStorage.setItem('localStorage', 1);
							localStorage.removeItem('localStorage');
					} catch (e) {
								Storage.prototype._setItem = Storage.prototype.setItem;
									Storage.prototype.setItem = function() {/*do nothing*/};
									 Ns.Popup.alert('웹 브라이저가 로컬 저장 설정을 지원하지 않습니다. "개인정보 보호" 사용 시 일부 기능이 제대로 작동하지 않을수 있습니다.');
					}
				}
		  },
		  
		  /** NAVER로 로그인 버튼 클릭 이벤트 */
		  onclick_btnNaver : function() {
			  
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_로그인',
					eventAction : '간편로그인',
					eventLabel : "네이버로그인"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "로그인(회원)"
			};
		
			GA.sendEventData(event_obj,subparam);
			  
		    // 모바일
		    if (mainCtrl.isOsApp())
		    	CurrentView.data.nativeNaverlogin();
		    // 웹
		    else
		    	CurrentView.data.mobilewebNaverlogin();
		    return false;
		  },
		  
		  /** PAYCO로 로그인 버튼 클릭 이벤트 */
		  onclick_btnPayco : function() {
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_로그인',
						eventAction : '간편로그인',
						eventLabel : "페이코로그인"
				};
				var subparam = {
						t1 : '로그인',
						t2 : "로그인(회원)"
				};
			
				GA.sendEventData(event_obj,subparam);
				// 모바일
		    	if (mainCtrl.isOsApp())
		    		CurrentView.data.nativePaycologin();
		    	// 웹
		    	else
		    		CurrentView.data.mobilewebPaycologin();
		    	return false;
		  },
		  
		  /** kakao로 로그인 버튼 클릭 이벤트 */
		  onclick_btnKakao : function() {
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_로그인',
						eventAction : '간편로그인',
						eventLabel : "카카오로그인"
				};
				var subparam = {
						t1 : '로그인',
						t2 : "로그인(회원)"
				};
			
				GA.sendEventData(event_obj,subparam);
			    // 모바일
			    if (mainCtrl.isOsApp())
			    	CurrentView.data.nativeKakaoLogin();
			    // 웹
			    else
			    	CurrentView.data.mobilewebKakaologin();
			    return false;
		  },
		  
		  /** 아이디찾기 버튼 클릭 이벤트 */
		  onclick_btnFindUserId : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_로그인',
					eventAction : '로그인부가메뉴',
					eventLabel : "아이디찾기"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "로그인(회원)"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			mainCtrl.navigate( "M_M1121100P" );
		  },
		  
		  /** 비밀번호 찾기 버튼 클릭 이벤트 */
		  onclick_btnFindPassword : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_로그인',
					eventAction : '로그인부가메뉴',
					eventLabel : "비밀번호찾기"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "로그인(회원)"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			mainCtrl.navigate( "M_M1131100P" );
		  },
		  
		  /** 회원가입 버튼 클릭 이벤트 */
		  onclick_btnJoinMembers : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_로그인',
					eventAction : '로그인부가메뉴',
					eventLabel : "회원가입"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "로그인(회원)"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			Ns.Popup.showPopup("M_M1290000P");
		  },
		  
		  /** facebook으로 로그인 버튼 클릭 이벤트 */
		  onclick_btnFacebook : function(){
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_로그인',
						eventAction : '간편로그인',
						eventLabel : "페이스북로그인"
				};
				var subparam = {
						t1 : '로그인',
						t2 : "로그인(회원)"
				};
			
				GA.sendEventData(event_obj,subparam);
				
			  if(mainCtrl.isOsApp() ||  location.protocol == "https:"){
				  CurrentView.data.initFacebookInfo();
			  }
			  
			  if (null == CurrentView.THIS_PARAMs){
				  //
			  } else if (CurrentView.THIS_PARAMs.isOnlyUser && CurrentView.THIS_PARAMs.invoke.cartType == "30"){
				  Ns.Popup.alert("페이스북 로그인으로 주문이 불가한 상품입니다.", function(){
					  navi.setMovePointer(-1);
					  mainCtrl.logonOK2PrevPage();
				  });
				  return false;
			  }
			  // inQkang 스크립트 삽입 요청의 건 (NEO) start
			  Emf.convCall(844, 3400, 0, 0, 0); 
			  
			  if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios"){
				  CurrentView.data.nativeFBlogin();
			  }else{
				  CurrentView.data.mobilewebFBlogin();
			  }
			  
			  return false; 
		  }	
		  
		  
		}
};