
/* JavaScript content from js/member/M_M1111200M.js in folder common */
/**
 *	페이지 ID : M_M1111200M
 *	@file 비회원 로그인
 */

/** 
 * page 컨트롤 클래스 
 * @namespace
 */
CurrentView = {
	THIS_PARAMs : null,
	
	init : function( params ) {
		this.initializeComponent( params );
		this.onLoad(params);
	},

	/** html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
	이벤트 binding 등... */
	initializeComponent : function(params) {
		this.THIS_PARAMs = params;
		
		$("#ulMemberArea li a").unbind().bind( "click", this.event.onclick_ulMemberArea );
		$("#btnSearchOrderItems").unbind().bind( "click", this.event.onclick_btnSearchOrderItems );
		$("#btnJoinMembers").unbind().bind( "click", this.event.onclick_btnJoinMembers );
		$("#btnOrder").unbind().bind( "click", this.event.onclick_btnOrder );
	},

	/** html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. */
	onLoad : function() {
		/*do nothing*/
	},

	/** 
	 * 데이터 관련 함수를 정의한다.
	 * @namespace
	 */
	data : {
		
	},

	/** ui 관련 함수를 정의한다. 
	 * @namespace
	 */
	ui : {
		
	},

	/** 
	 * 이벤트 관련 함수를 정의한다.
	 * @namespace 
	 */
	event : {
		
		/** 회원/비회원 탭 클릭 이벤트 */
		onclick_ulMemberArea : function() {
			var id = $(this).attr('id');
			
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_로그인',
					eventAction : '회원/비회원전환',
					eventLabel : "회원메뉴"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "로그인(회원)"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			if( id == "tabMembers" ) {
				mainCtrl.navigate( "M_M1111100M", CurrentView.THIS_PARAMs ); //일반회원 로그인
			} else {
				return false;
			}
		},

		/** 비회원 주문조회 버튼 클릭 이벤트 */
		onclick_btnSearchOrderItems : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_로그인',
					eventAction : '비회원활동',
					eventLabel : "비회원주문조회"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "로그인(회원)"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			
			var ordersId = $.trim( $("#ordersId").val() );
			var orderPassword = $.trim( $("#orderPassword").val() );
			
			if( ordersId == "" || ordersId.length<8 ) {
				Ns.Popup.alert("주문번호를  정확히 입력하세요.");
				return false;
			}
			if ( orderPassword == "" ) {
				Ns.Popup.alert("비밀번호를 정확히 입력하세요.");
				return false;
			}
			
			
			var params = { 
				orderNumber : ordersId,
				orderPassword : orderPassword
			};
			
			tran.callWCSJsonTran('NSNonMemberOrderChk', params, function(data){
				var resultYn = data.msg.root.resultYn; 
				
				var orderParams = { 
					ordersId : ordersId,
					tabIndex : "N",
					GuestResultYn : ""
				};

				if(resultYn == 'Y'){
					//2017-03-17  khkim82 : 카카오 알림톡 랜딩 추가 - 비회원 로그인 여부 체크
					orderParams.GuestResultYn = true;
					mainCtrl.navigate( "M_U1121600M", orderParams );
				}else if(resultYn == 'X'){
					Ns.Popup.alert('고객님의 요청에 의해 삭제된 주문건입니다.\n자세한 문의사항은 고객센터(1688-7700)으로 문의 주세요.');
				}else{
					Ns.Popup.alert('주문번호와 주문비밀번호가 일치하지 않습니다.');
				}
				
			});

		},

		/** 회원가입 버튼 클릭 이벤트 */ 
		onclick_btnJoinMembers : function() {
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_로그인',
					eventAction : '비회원활동',
					eventLabel : "회원가입"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "로그인(회원)"
			};
		
			GA.sendEventData(event_obj,subparam);
			
		    mainCtrl.navigate( "M_M1231000M" );
		},
		
		/** 비회원 구매하기 버튼 클릭 이벤트 */
		onclick_btnOrder : function() {
			
			//ga360
			var event_obj = {
					eventCate : 'MOBILE_로그인',
					eventAction : '비회원활동',
					eventLabel : "비회원구매"
			};
			var subparam = {
					t1 : '로그인',
					t2 : "로그인(회원)"
			};
		
			GA.sendEventData(event_obj,subparam);
			
			mainCtrl.NOMEMBER_ORDER = true;
			
			//step 1. 상품 상세에서 전달된 parameter 정보를 가지고 장바구니 담기 또는 바로주문 transaction을 실행 
			//step 2. 성공하면 바로주문 또는 장바구니 화면으로 이동한다.
			//step 3. 실패하면 상품상세 화면으로 이동한다.
			if( CurrentView.THIS_PARAMs == undefined || CurrentView.THIS_PARAMs == null ) {
				mainCtrl.logonOK2PrevPage();
			} else {
				if ( CurrentView.THIS_PARAMs.isOnlyUser != undefined && CurrentView.THIS_PARAMs.isOnlyUser) { 
					//로그인 유저만 가능한 액션. NS정기배달 같은 경우. 비회원주문은 되지 않는다.
					Ns.Popup.alert("비회원 주문이 불가한 상품입니다.", function(){
						navi.setMovePointer(-1);
						mainCtrl.logonOK2PrevPage();
					});
				} else if((CurrentView.THIS_PARAMs.custPrchQtyLimitYn != undefined && CurrentView.THIS_PARAMs.custPrchQtyLimitYn)){
					Ns.Popup.alert("본 상품은 NS몰 회원만 구매하실 수 있습니다. 로그인후 구매를 진행해주시기 바랍니다.", function(){
						$("#tabMembers").trigger("click");
					});
				}else {
					document.cookie="JSESSIONID=;path=/;expires=Thu, 01 Jan 1970 00:00:00 GMT";
					mainCtrl.logonOK2TargetPage( CurrentView.THIS_PARAMs );
				}
			}
		}
	}
};