
/* JavaScript content from js/member/M_M1131101P.js in folder common */

/* 
 *	비밀번호 찾기- 휴대폰 인증
 *  ID : M_M1131101P
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		effectiveTime : 0,
		authParams : {
			strLogonId : '',
			name 	: '',
	    	phone1 	: '',
	    	email1 	: '',
	    	type 	: 'P',
	    	mode 	: 'S',
	    	userId	:'',
    		authnumber : ''
		},
		Logging : new _ns_log(), // 2018.11.23 kimjh 로그 적재
		init : function( params ) {
			Ns.Util.viewConsoleLog("M_M1131101P init>>>", params);
			this.initializeComponent( params );
			this.onLoad( params );
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			CurrentView.authParams.strLogonId = params.logonId;

			$("#inputName").val(params.name);						
			$("#btnRequestAuthNo").on("click", CurrentView.event.onclick_btnRequestAuthNo);
			$("#btnSendAuthNo").on("click", CurrentView.event.onclick_btnSendAuthNo);
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getReqAuthNo : function( data ){
				var res = data.msg.root.Searchresult;
				
				if( res.search_yn == "N"){					
					// 회원 정보를 찾을 수 없습니다 layer popup										
					Ns.Popup.alert(res.text);
				}else{
					CurrentView.authParams.userId	= res.userId;
					CurrentView.authParams.logonId 	= res.search_id;
					Ns.Popup.alert(res.text);
					/*if (Const.IS_DEV_MODE){	// 개발 환경일 경우만...
						alert("인증번호는 ["+ res.authnumber + "] 입니다.");
					}*/
					$('#sectionAuth').show();	// 인증번호 입력 화면 show
					
					// 인증번호 유효시간 이내일 경우 버튼 문구 변경
					CurrentView.ui.getRequestAuthNoChange(res.effectiveTime);

					// 서버에서 인증번호 입력 유효시간 확인(180초)
					mainCtrl.checkTimerObject();
					mainCtrl.m_timer = setInterval(CurrentView.ui.getAuthNoIntervalTime, 1000);
					
				}
			},
			
			getAuthResultInfo : function( data ){
				var res = data.msg.root.Searchresult;
				var searchYn = res.search_yn;
				
				if(searchYn == "N"){					
					// 2018.11.23 kimjh 로그 적재
					CurrentView.Logging.a("P")
					.a(CurrentView.authParams.type)
					.a("01")
					.a("실패")
					.a(res.text).l();
					
					var authNumChkMsg = "* "+res.text;
					$("#authNumChkMsg").text(authNumChkMsg);
					$("#divAuthNumChk").show();					
				}else{					
					// 2018.11.23 kimjh 로그 적재
					CurrentView.Logging.a("P")
					.a(CurrentView.authParams.type)
					.a("00")
					.a("성공")
					.a("인증성공").l();
					
					mainCtrl.navigate("M_M1133400P", {userId : CurrentView.authParams.userId,logonId : CurrentView.authParams.strLogonId}); //2018.11.08 kimjh 구글 스마트락 logonId 추가.
				}
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			// 인증번호 입력 시간 제한 타이머.
			getAuthNoIntervalTime : function(){

				var comSecond = CurrentView.effectiveTime;
				var addZero = function(number){
					return parseInt(number, 10) < 10 ? "0" + number : number;
				};
				
				var hh = Math.floor(comSecond / 60);
				hh = addZero(hh)

				var mm = (comSecond % 60);
				mm = addZero(mm);
				
			    var m = hh + ":" + mm;
			    $("#timer").text(m);
			    		    
			    comSecond--;
			    CurrentView.effectiveTime = comSecond;
			    
			    if(comSecond < 0){			    	
			    	clearInterval(mainCtrl.m_timer);
			    	$("#timeoutMsg").show();
			    	
			    	// 확인 버튼 disabled
			    	$("#btnSendAuthNo").attr("disabled", true);
			    }
			},
			// 인증번호 유효시간 이내일 경우 버튼 문구 변경
			getRequestAuthNoChange : function(effectiveTime){				
				CurrentView.effectiveTime = effectiveTime;
				
				if(effectiveTime > 0){
					$("#textRequestAuthNo").text("인증번호 재발송");
					$("#btnRequestAuthNo").addClass("btn_reconfirm");
					
					// 인증번호입력 timeout 메시지 비활성화 및 확인 버튼 활성화
					$("#timeoutMsg").hide();			    	
			    	$("#btnSendAuthNo").attr("disabled", false);
				}
			}
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			 //인증번호 받기 버튼 클릭(이메일로 인증값을 획득).. 
			  onclick_btnRequestAuthNo : function() {
				  // 인증번호 재전송 버튼 클릭 시 재전송 여부 확인
				  if(CurrentView.effectiveTime > 0){
					  if(!confirm("인증 번호가 이미 발송되었습니다. 다시 받으시겠습니까?")){
						  return false;
					  }else{
						  clearInterval(mainCtrl.m_timer);
					  }
				  }
				  
				  var isAutNumChkVisible = $("#divAuthNumChk").is(":visible");				  
				  if(isAutNumChkVisible){
					  $("#divAuthNumChk").hide();  
				  }
				  
				  var name = $("#inputName").val();
				  var phoneNo = $("#inputPhoneNo").val();
			    
				  if(name == ""){
					  Ns.Popup.alert('이름을 입력해 주세요.');
					  $("#inputName").focus();
					  return false; 
				  }
				
				  if (CurrentView.authParams.type == "P"){
					  if(phoneNo == "" || phoneNo.length < 10){
						  $("#phoneNoChkMsg").show();
						  $("#inputPhoneNo").val("");
						  $("#inputPhoneNo").focus();
						  return false;
					  }
			    	
					  CurrentView.authParams.phone1 	= Ns.Util.insertSeparatorPhoneNumber(phoneNo, "-");
				  } else {
					  if(emailAddr == ""){
						  Ns.Popup.alert('이메일을 입력해 주세요.');
						  return false; 
					  }else if(!Ns.Util.isEmail(emailAddr)){
						  Ns.Popup.alert('이메일 형식이 맞지 않습니다.');
						  return false;
					  }else if(Ns.Util.isHangul(emailAddr)){
						  Ns.Popup.alert('한글 아이디는 불가능합니다.');
						  return false;
					  }
			    	
					  CurrentView.authParams.email1 	= emailAddr;
				  }
				
				  CurrentView.authParams.authnumber = ''; 		     
				  CurrentView.authParams.mode = 'S';
				  CurrentView.authParams.name 	= name;
				  
				  $("#phoneNoChkMsg").hide();
				  tran.callWCSJsonTran("NSPWCheckMoblieCmdReal", CurrentView.authParams, CurrentView.data.getReqAuthNo);
			  },
			  
			  //전송받은 인증번호룰 서버에 전송하여 결과 값으로 아이디를 받는다. 
			  onclick_btnSendAuthNo : function() {
				  
				  var isAutNumChkVisible = $("#divAuthNumChk").is(":visible");				  
				  if(isAutNumChkVisible){
					  $("#divAuthNumChk").hide();  
				  }
				  
				  var authnumber = $('#inputAuthNum').val();
				  if(authnumber == ""){
					  Ns.Popup.alert("인증번호를 입력해 주세요.");
					  return false; 
				  }
				  
				  CurrentView.authParams.authnumber = authnumber; 
				  CurrentView.authParams.mode = "V"; 
				  tran.callWCSJsonTran("NSPWCheckMoblieCmdReal", CurrentView.authParams, CurrentView.data.getAuthResultInfo);
			  },
			  
			  onkeyup_inputName : function(obj) {
				  if (obj.value.length >= obj.maxLength) {
					  obj.value = obj.value.slice(0, obj.maxLength-1);
					  obj.blur();
					  Ns.Popup.alert('한글 10자를 초과 할 수 없습니다.');
				  }
			  },

			  onkeyup_inputPhoneNo : function(obj) {
				  var strVal = obj.value;
				  var pattern = /^([0-9]{1,})$/;	// 정규식 패턴		
				
				  // 숫자 구성 여부 체크
				  if (pattern.test(strVal) == false){
					  strVal = strVal.replace(/[^0-9]/g,'');	// 숫자가 아닌 모든 문자 삭제
					  obj.value = strVal;
				  }
					
				  if (obj.value.length >= obj.maxLength) {
					  obj.value = obj.value.slice(0, obj.maxLength-1);
					  obj.blur();
					  $("#phoneNoChkMsg").show();
				  }
			  },
			  onkeyup_inputNumberCheck : function( obj ){				
					var strVal = obj.value;
					var pattern = /^([0-9]{1,})$/;	// 정규식 패턴		
					
					// 숫자 구성 여부 체크
					if (pattern.test(strVal) == false){
						strVal = strVal.replace(/[^0-9]/g,'');	// 숫자가 아닌 모든 문자 삭제
						obj.value = strVal;
					}								  
			  }			  
		}
};