
/* JavaScript content from js/member/M_M1133401P.js in folder common */

/* 
 *	로그인 - 정규비밀번호 변경
 *  ID : M_M1133401P
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		checkId : "passChk_",
		nextPageInfo : null,
		
		pwdChangeParams :{
			userId : '',
			userPwd : '',
			logonId : ''
		},
		
		// 비밀번호 조합 검사
		pwdGradeCode 	: "",
		pwdMsg		: "",
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnResetPwd").unbind().bind("click", CurrentView.event.onclick_btnReset);
			$("#btnResetPwdConfirm").unbind().bind("click", CurrentView.event.onclick_btnResetPwdConfirm);
			$("#btnLaterChange").unbind().bind("click", CurrentView.event.onclick_btnLaterChange);
			$("#btnChangePwd").unbind().bind("click", CurrentView.event.onclick_btnChangePwd);
			
			if (mainCtrl.VIEW_TYPE == "ios") {
				$("#inputNewPwd").on("focusout", CurrentView.event.onfocusout_checkPassword);
			}else{
				$("#inputNewPwd").on("keyup", CurrentView.event.onkeyup_checkPassword);
			}
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			$("#userName").text(params.userName);
			CurrentView.checkId += params.logonId;
			CurrentView.pwdChangeParams.userId = params.userId;
			CurrentView.pwdChangeParams.logonId = params.logonId;
			
			CurrentView.nextPageInfo = params.nextPageInfo;
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
			// 새 비밀번호 입력 값 삭제 클릭 이벤트
			onclick_btnReset : function(){
				$("#inputNewPwd").val('');
				$("#inputNewPwd").focus();
				// 안내문구 숨김
				$("#divSafetyMsg").hide();
				// 안전등급 숨김
				$("#safetyGrade").hide();
			},
			
			// 새 비밀번호 확인 값 삭제 클릭 이벤트
			onclick_btnResetPwdConfirm : function(){				
				$("#inputPwdConfirm").val("");
				$("#inputPwdConfirm").focus();
				// 안내문구 삭제
				$("#passwordConfirmMsg").hide();
			},
			
			// '30일 후에 변경하기' 버튼 클릭 이벤트
			onclick_btnLaterChange : function(){
				var endDate = Ns.Date.calcDate('',0,0,0,30,'yyyyMMdd');
				Ns.LocalStorage.set(CurrentView.checkId, endDate);
				
				if (null == CurrentView.nextPageInfo || undefined == CurrentView.nextPageInfo){
					mainCtrl.logonOK2PrevPage();
				} else {
					mainCtrl.logonOK2TargetPage(CurrentView.nextPageInfo);
				}
				
				return;
			},
			
			// '비밀번호 변경' 버튼 클릭 이벤트
			onclick_btnChangePwd : function(){
				
				var callbackFunc = function() {
					
					// 비밀번호 유효성 체크
					if(CurrentView.pwdGradeCode == '99'){
						Ns.Popup.alert( CurrentView.pwdMsg );					
						return false;
					}
					
					var inputNewPwd = $("#inputNewPwd").val();
					var inputPwdConfirm = $("#inputPwdConfirm").val();
					
					var checkResult = function(selector){
						$('#'+selector).val('').focus();
					};

					if (inputPwdConfirm == "") {
						Ns.Popup.alert("새 비밀번호 확인을 입력해 주세요.", function() {
							navi.setMovePointer(-1);
							checkResult('inputPwdConfirm');
						});
						return false;
					} else if (inputNewPwd != inputPwdConfirm) {
						Ns.Popup.alert('비밀번호가 일치하지 않습니다.',
								function() {
									navi.setMovePointer(-1);
									checkResult('inputNewPwd');
								});
						return false;
					}
					
					CurrentView.pwdChangeParams.userPwd = inputNewPwd; 
					
					tran.callWCSJsonTran('NSPWChangeMoblieCmdReal', CurrentView.pwdChangeParams, function(data){
						if (data.msg && data.msg.root && data.msg.root.Searchresult && data.msg.root.Searchresult.change_yn == 'Y') {
							Ns.LocalStorage.del(CurrentView.checkId);
							// 2018.11.08 kimjh 구글 스마트락 비밀번호 변경시 다시 저장
							var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
							if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
								// 비밀번호가 있을 때만 저장 진행.
								var pw = CurrentView.pwdChangeParams.userPwd;
								var id = CurrentView.pwdChangeParams.logonId;
								if (!Ns.Util.isNull(pw) && !Ns.Util.isNull(id)){
									NSCustom.SL_SaveCredential(id,pw);
								}
							}
							// kimjh 구글 스마트락 end
							
							mainCtrl.navigate('M_M1133500P');
						}
					});
				}
				
				// 비밀번호 조합 검증 API 호출
				CurrentView.event.call_ValidatePassword(callbackFunc);
			},
			
			// 비밀번호 onfocusout 함수
			onfocusout_checkPassword : function(){
				// 비밀번호 조합 체크
				CurrentView.event.call_ValidatePassword();
			},
			
			// 비밀번호 onkeyup 함수
			onkeyup_checkPassword : function(){
				// 비밀번호 조합 체크
				CurrentView.event.call_ValidatePassword();
			},
			
			// 비밀번호 onkeyup 함수
			onkeyup_checkPasswordConfirm : function(){
				// 비밀번호 확인 체크
				var pwd =  $("#inputNewPwd").val();
				var rePwd = $("#inputPwdConfirm").val();
				
				if( pwd != rePwd && rePwd != "" ){
					$("#passwordConfirmMsg").show();
				} else {
					$("#passwordConfirmMsg").hide();
				}
			},

			StringFixEncodeURIComponent : function(params) {
				return encodeURIComponent(params).replace(/\-/g, "%2D").replace(/\_/g, "%5F").replace(/\./g, "%2E").replace(/\!/g, "%21").replace(/\~/g, "%7E").replace(/\*/g, "%2A").replace(/\'/g, "%27").replace(/\(/g, "%28").replace(/\)/g, "%29");
			},
			
			// 비밀번호 조합 체크 API 호출
			call_ValidatePassword : function(callbackFunc){
				
				// 입력된 password
				var password = $("#inputNewPwd").val();
				password = CurrentView.event.StringFixEncodeURIComponent(password);
				// 요청 param
				var invoke = {
					validatePwd : password
				};
				
				// 비밀번호 조합 체크 API 호출
				tran.callWCSJsonTran('ValidatePassword', invoke, function( data ){
					
					// 비밀번호 안전 등급
					var pwdGradeCode = data.msg.root.validStatus;
					
					// 비밀번호 유효성 검사 메시지
					var pwdMsg = data.msg.root.validMsg;
					
					// 비밀번호 안전 등급 정의
					var pwdGradeColor = {
							"00" : { grade : "안전", color : "danger_low" },
							"01" : { grade : "다소위험", color : "danger_mid" },
							"99" : { grade : "사용불가", color : "danger_high" },
					}
					
					// 회원가입 버튼 클릭 시 유효성 검사를 위해 전역변수에 저장
					CurrentView.pwdGradeCode = pwdGradeCode;
					CurrentView.pwdMsg = pwdMsg;
						
					// 안내문구 설정
					$("#safetyMsg").text(pwdMsg)
					$("#safetyMsg").removeClass('danger_low danger_mid danger_high');
					$("#safetyMsg").addClass(pwdGradeColor[pwdGradeCode].color);
					
					// 안전등급 설정
					$("#safetyGrade").text(pwdGradeColor[pwdGradeCode].grade);
					$("#safetyGrade").removeClass('danger_low danger_mid danger_high');
					$("#safetyGrade").addClass(pwdGradeColor[pwdGradeCode].color);
					
					if(password != ""){
						// 안내문구 노출
						$("#divSafetyMsg").show();
						// 안전등급 노출
						$("#safetyGrade").show();
					} else {
						// 안내문구 숨김
						$("#divSafetyMsg").hide();
						// 안전등급 숨김
						$("#safetyGrade").hide();
					}
					
					// 파라미터로 들어온 callback 함수가 있으면 추가적으로 실행해줌
					if(callbackFunc != undefined){
						callbackFunc();
					}
					
				});
			}
			
		}
};