
/* JavaScript content from js/mypage/M_U1111000M.js in folder common */
/**
 *	페이지 ID : M_U1111000M
 *	@file 마이페이지 메인 - 일반회원
 */

/** 
 * page 컨트롤 클래스 
 * @namespace
 */
CurrentView = {
		
		init : function( params ) {
			$("#topCart").css("display", "block");
			this.initializeComponent( params );
			this.onLoad();
		},
		
		/** html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		이벤트 binding 등... */
		initializeComponent : function(){
			CurrentView.data.call_MypageMainReal();
			CurrentView.data.call_chkStaff();
		},
		
		/** html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. */
		onLoad : function(){
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
			/* 웹일 경우, '쇼핑알림리스트' 버튼 숨김 */
			if(!mainCtrl.isOsApp()){
				$("#btnPushAlarmList").parent().remove();
			}
			
			/* 클릭이벤트 셋팅 */
			$("#divMembershipInfoArea a").unbind().bind( "click", CurrentView.event.onclick_divMembershipInfoArea );
			$("#ulMyStateArea li a").unbind().bind( "click", CurrentView.event.onclick_ulMyStateArea );
			$(".staffmall_link, .inside_selling_link").unbind().bind("click",CurrentView.event.onclick_staffmall_link);
			$("#btnShoppingInfo").unbind().bind( "click", CurrentView.event.onclick_btnShoppingInfo );
			$("#ulOrderStateArea li a").unbind().bind( "click", CurrentView.event.onclick_ulOrderStateArea );
			$("#ulOrderCancelArea li a").unbind().bind( "click", CurrentView.event.onclick_ulOrderCancelArea );
			$("#ulQnaArea li a").unbind().bind( "click", CurrentView.event.onclick_ulQnaArea );
			$("#ulExtraLinkArea li a").unbind().bind( "click", CurrentView.event.onclick_ulExtraLinkArea );
			$("#btnBanner").unbind().bind("click", CurrentView.event.onclick_btnBanner);
		},
		
		/** 
		 * 데이터 관련 함수를 정의한다.
		 * @namespace
		 */
		data : {
			
			/** 회원정보 및 혜택정보 호출 */
			call_MypageMainReal : function(){
				var param = {
						userId : USERINFO.userId()
				};
				tran.callWCSJsonTran( 'MypageMainReal', param, CurrentView.data.callback_MypageMainReal );
			},
			
			/** 회원정보 및 혜택정보 콜백함수 */
			callback_MypageMainReal : function(data){
				CurrentView.data.get_customerInfo(data.msg.root.GradeInfo);
				CurrentView.data.get_customerBenefit(data.msg.root.BenefitInfo);
				CurrentView.data.get_customerHistory(data.msg.root.StatusCnt);
			},
			
			/** 그룹사 임직원 인증 여부 체크  */
			call_chkStaff : function(){
				var callback = function(staffInfo, staffBnft){
					if(staffInfo){
						if(staffBnft && staffBnft.empYn == "Y"){
							$(".membership_wrap .sum_limit").text( "잔여한도 " + Ns.Util.insertCommas(staffBnft.balanceAmt) + "원" ); 
							$("#NS_staffInfo").show();
							//NS 사내특가매장
							var nsEmpTopCategoryId = staffInfo.nsEmpTopCategoryId;
							if(nsEmpTopCategoryId && PAGE_CONFIG[nsEmpTopCategoryId]){
								$("#btnNSstaffMall").data("pageId", nsEmpTopCategoryId).show();
							}
						} else {
							$("#expirationDate").text("(~" + Ns.Util.replaceAll(staffInfo.expiredDate,"-",".") + ")");
						}
						$("#divStaffInfo").show();
					} 
				};
				mainCtrl.chkStaff(callback);
			},
			
			/** 회원정보 저장 */
			get_customerInfo : function(data){
				var customerInfo = {
					name 		: USERINFO.userName(), 	// 고객명
					gradeName 	: data.currentGrdName,	// 고객등급
					gradeImg 	: CurrentView.data.get_gradeImg(data.currentGrd) 	// 고객등급 아이콘
				};
				CurrentView.ui.set_customerInfo(customerInfo);
			},
			
			/** 회원 혜택정보 저장 */
			get_customerBenefit : function(data){
				var customerBenefit = {
					coupon 		: data.couponCnt, 	// 쿠폰
					savedMoney 	: data.saveMoney,	// 적립금
					giftcard 	: data.giftCard, 	// 상품권
					tolPoint 	: data.tolPoint, 	// 톨포인트
					deposit 	: data.balance, 	// 예치금
					wishListCnt : data.wishListCnt 	// 찜
				};
				CurrentView.ui.set_customerBenefit(customerBenefit);
			},
			
			/** 주문/배송조회 정보 저장 */
			get_customerHistory : function(data){
				var customerHistory = {
						receiptOrder  		: 0, 	// 주문접수
						paymentCompleted 	: 0, 	// 결제완료
						preparingProduct 	: 0, 	// 상품준비중
						duringDelivery 		: 0, 	// 배송중
						completedDelivery 	: 0, 	// 배송완료
						cancel 				: 0, 	// 취소
						exchange 			: 0,	// 교환
						itemReturn 			: 0 	// 반품
					};
				
				for (var i = 0; i < data.length; i++) {
					switch (data[i].statusName) {
						case '결제대기'	: // 주문접수
							customerHistory.receiptOrder += Number(data[i].cnt);
							$("#customerHistory_orderReceipt").parents("li").addClass("active");
							break;
						case '결제완료' 	: // 결제완료
							customerHistory.paymentCompleted += Number(data[i].cnt);
							$("#customerHistory_paymentCompleted").parents("li").addClass("active");
							break;
						case '주문전달' 	: // 상품준비중
						case '상품준비중'	: // 상품준비중
							customerHistory.preparingProduct += Number(data[i].cnt);
							$("#customerHistory_preparingProduct").parents("li").addClass("active");
							break; 
						case '배송중' 	: // 배송중
							customerHistory.duringDelivery += Number(data[i].cnt);
							$("#customerHistory_duringDelivery").parents("li").addClass("active");
							break;
						case '배송완료' 	: // 배송완료
							customerHistory.completedDelivery += Number(data[i].cnt);
							$("#customerHistory_completedDelivery").parents("li").addClass("active");
							break;
						case '취소중'		: // 취소
						case '취소완료'	: // 취소
							customerHistory.cancel += Number(data[i].cnt);
							$("#customerHistory_cancel").parents("li").addClass("active");
							break;
						case '교환신청' 	: // 교환
						case '교환진행' 	: // 교환
						case '교환완료' 	: // 교환
							customerHistory.exchange += Number(data[i].cnt);
							$("#customerHistory_exchange").parents("li").addClass("active");
							break;
						case '반품신청' 	: // 반품
						case '반품진행' 	: // 반품
						case '반품완료' 	: // 반품
							customerHistory.itemReturn += Number(data[i].cnt);
							$("#customerHistory_itemReturn").parents("li").addClass("active");
							break;
						default:
							break;
					}
				}
				
				CurrentView.ui.set_customerHistory(customerHistory);
			},
			
			/**
			 * 등급별 아이콘 이미지를 매핑
			 * 110 : SVIP
			 * 111 : VIP
			 * 112 : 엘리트
			 * 113 : 스마트
			 * 114 : 매니아
			 * 115 : 패밀리
			 * 116 : 새내기
			 */
			get_gradeImg : function( gradeCode ) {
				var imgClassName;
				if (gradeCode == "110")
					imgClassName = "svip";
				else if (gradeCode == "111")
					imgClassName = "vip";
				else if (gradeCode == "112")
					imgClassName = "elite";
				else if (gradeCode == "113")
					imgClassName = "smart";
				else if (gradeCode == "114")
					imgClassName = "mania";
				else if (gradeCode == "115")
					imgClassName = "famliy";
				else // 116
					imgClassName = "new";
				
				return imgClassName;
			}
			
		},
		//end data function...
		
		/** 
		 * ui 관련 함수를 정의한다.
		 * @namespace
		 */ 
		ui : {
			
			set_customerInfo : function(customerInfo){
				$("#customerInfo_name").text(customerInfo.name + "님");
				$("#customerInfo_gradeName").text(customerInfo.gradeName);
				$("#customerInfo_gradeImg").addClass(customerInfo.gradeImg);
			},
			
			set_customerBenefit : function(customerBenefit){
				$("#customerBenefit_coupon").text(customerBenefit.coupon);
				$("#customerBenefit_savedMoney").text(customerBenefit.savedMoney);
				$("#customerBenefit_giftcard").text(customerBenefit.giftcard);
				$("#customerBenefit_tolPoint").text(customerBenefit.tolPoint);
				$("#customerBenefit_deposit").text(customerBenefit.deposit);
				$("#customerBenefit_wishList").text(customerBenefit.wishListCnt);
			},
			
			set_customerHistory : function(customerHistory){
				$("#customerHistory_orderReceipt").text(customerHistory.receiptOrder);
				$("#customerHistory_paymentCompleted").text(customerHistory.paymentCompleted);
				$("#customerHistory_preparingProduct").text(customerHistory.preparingProduct);
				$("#customerHistory_duringDelivery").text(customerHistory.duringDelivery);
				$("#customerHistory_completedDelivery").text(customerHistory.completedDelivery);
				$("#customerHistory_cancel").text(customerHistory.cancel);
				$("#customerHistory_exchange").text(customerHistory.exchange);
				$("#customerHistory_itemReturn").text(customerHistory.itemReturn);
			}
			
		},
		//end ui function...
		
		/** 
		 * 이벤트 관련 함수를 정의한다.
		 * @namespace 
		 */
		event : {
			
			/**
			 *  내정보, 멤버쉽 버튼 클릭 이벤트
			 */
			onclick_divMembershipInfoArea : function(){
				var pageId;
				var id = $(this).attr('id');
				var eventLabel;
				if( id == "btnPersonalInfo" ){
					pageId = "M_U1111100M";
					eventLabel = "내정보";
				} else if( id == "btnNSMembership" ) {
					pageId = "M_U1181000M";
					eventLabel = "맴버쉽";
				} else {
					return false;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_마이페이지',
						eventAction : '기본정보',
						eventLabel : eventLabel
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "메인페이지",
						t3 : '일반회원'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				mainCtrl.navigate( pageId );
			},
			
			/**
			 *  나의 혜택 영역 클릭 이벤트 
			 */
			onclick_ulMyStateArea : function(){
				var pageId;
				var id = $(this).attr('id');
				var param = {};
				var eventLabel;
				
				if( id == "btnCoupon" ) {
					pageId = "M_U1141100M"; //쿠폰
					eventLabel = "쿠폰";
				} else if( id == "btnSavedMoney" ) {
					pageId = "M_U1142100M"; //적립금
					param.tabIndex = 1; //톨포인트-0, 적립금-1, 예치금-2
					eventLabel = "적립금";
				} else if( id == "btnGiftcard" ) {
					pageId = "M_U1141200M"; //상품권
					eventLabel = "상품권";
				} else if( id == "btnTolPoint" ) {
					pageId = "M_U1142100M"; //톨포인트
					eventLabel = "톨포인트";
					param.tabIndex = 0; //톨포인트-0, 적립금-1, 예치금-2
				} else if( id == "btnDeposit" ) {
					pageId = "M_U1142100M"; //예치금
					param.tabIndex = 2; //톨포인트-0, 적립금-1, 예치금-2
					eventLabel = "예치금";
				} else if( id == "btnWishList" ) {
					pageId = "M_U1193000M"; //찜
					eventLabel = "찜";
				} else {
					return false;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_마이페이지',
						eventAction : '내통장',
						eventLabel : eventLabel
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "메인페이지",
						t3 : '일반회원'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				mainCtrl.navigate( pageId, param );
			},
			
			/**
			 * 임직원몰 바로가기 클릭 이벤트
			 */
			onclick_staffmall_link : function(){
				var pageId = PAGE.groupMall[Const.IS_SERVER_STATE];
				var eventLabel;
				var btnId = $(this).attr("id");
				
				switch (btnId) {
					case "btnTvMall" :
						pageId = "M_G2210000M";
						eventLabel = "TV쇼핑매장";
						break;
					case "btnNSstaffMall" :
						pageId = $(this).data("pageId");
						eventLabel = "사내특가매장";
						break;
					default :
						eventLabel = "그룹사특가매장이동";
						break;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_마이페이지',
						eventAction : '기본정보',
						eventLabel : eventLabel
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "메인페이지",
						t3 : '일반회원'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				mainCtrl.navigate( pageId , {});	
			},
			
			/**
			 * 주문/배송조회 전체보기 버튼
			 */
			onclick_btnShoppingInfo : function(){
				var param = {};
				param.periodMonth = 1;
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_마이페이지',
						eventAction : '주문/배송조회',
						eventLabel : '전체보기'
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "메인페이지",
						t3 : '일반회원'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				mainCtrl.navigate( "M_U1121100M", param );
			},
			
			/**
			 * 주문/배송조회(주문접수/결제완료/상품준비중/배송중/배송완료) 영역 버튼
			 */
			onclick_ulOrderStateArea : function(){
				var id = $(this).attr('id');
				var param = {};
				var eventLabel;
				param.status = "";
				param.periodMonth = 1;
				
				if( id == "liOrderReceipt" ) { // 주문접수
					param.status = "D";
					eventLabel = "주문접수";
                } else if( id == "liOrderComplete" ) { // 결제완료
                	param.status = "M";
                	eventLabel = "결제완료";
                } else if( id == "liGoodsPrepare" ) { // 상품준비중
                	param.status = "TI";
                	eventLabel = "상품준비중";
				} else if( id == "liShippingPrepare" ) { // 배송중
                	param.status = "O";
                	eventLabel = "배송중";
                } else if( id == "liShippingComplete" ) { // 배송완료
                	param.status = "S";
                	eventLabel = "배송완료";
				} else {
					return false;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_마이페이지',
						eventAction : '주문/배송조회',
						eventLabel : eventLabel
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "메인페이지",
						t3 : '일반회원'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				mainCtrl.navigate( "M_U1121100M", param );
			},
			
			/**
			 * 주문/배송조회(취소/교환/반품) 영역 버튼
			 */
			onclick_ulOrderCancelArea : function(){
				var id = $(this).attr('id');
				var param = {};
				param.status = "";
				param.periodMonth = 1;
				var eventLabel;
				
				if( id == "liCancel" ) { // 취소
					param.status = "AX";
					eventLabel = "취소";
                } else if( id == "liExchanged" ) { // 교환
                	param.status = "BCE";
                	eventLabel = "교환";
                } else if( id == "liReurned" ) { // 반품
                	param.status = "FUR";
                	eventLabel = "반품";
				} else {
					return false;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_마이페이지',
						eventAction : '취소/교환/반품',
						eventLabel : eventLabel
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "메인페이지",
						t3 : '일반회원'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				mainCtrl.navigate( "M_U1121200M", param );
			},
			
			/**
			 * QNA 링크 영역
			 */
			onclick_ulQnaArea : function(){
				var pageId;
				var id = $(this).attr('id');
				var param = {};
				var eventLabel;
				if( id == "btnchattingQnA" ) {
					param.tabIndex = 0;
					param.monthly = "";
					param.pageidx = "";
                	pageId = "M_U1173000M"; //채팅상담/내역
                	eventLabel = "채팅상담/내역";
                } else if( id == "btnBoardQnA" ) {
                	pageId = "M_U1173100M"; //게시판문의/답변
                	eventLabel = "게시판문의/답변";
                } else if( id == "btnProductQnA" ) {
					pageId = "M_U1162210M"; //상품문의 내역
					eventLabel = "상품문의/내역";
				} else {
					return false;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_마이페이지',
						eventAction : '기본정보',
						eventLabel : eventLabel
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "메인페이지",
						t3 : '일반회원'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				mainCtrl.navigate( pageId, param );
			},
			
			/**
			 * 기타 링크 영역
			 */
			onclick_ulExtraLinkArea : function(){
				var pageId;
				var id = $(this).attr('id');
				var eventLabel;
				
				if( id == "btnExchangeRefund" ) {
					pageId = "M_U1122100M"; // 교환/반품신청
					eventLabel = "교환/반품_신청";
				} else if( id == "btnProductReview" ) {
					pageId = "M_U1161100M"; // 상품평 관리
					eventLabel = "상품평_관리";
				} else if( id == "btnTVAlarm" ){
					pageId = "M_U1174000M"; // 방송 알리미
					eventLabel = "방송_알리미";
				} else if( id == "btnEventResult" ) {
					pageId = "M_H1112000M"; //이벤트당첨확인
					eventLabel = "이벤트_당첨확인";
				} else if( id == "btnPushAlarmList" ) {
					pageId = "M_H1111000M"; //쇼핑 알림 리스트
					eventLabel = "쇼핑알림리스트";
				} else if( id == "btnGroupMemberAuth" ) { // 그룹사 임직원 인증신청
					pageId = "M_U1211000M";
					eventLabel = "그룹사_임직원_인증신청";
				} else {
					return false;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_마이페이지',
						eventAction : '기타활동',
						eventLabel : eventLabel
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "메인페이지",
						t3 : '일반회원'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				
				mainCtrl.navigate( pageId );
			},
			
			/**
			 * 패밀리앱 배너 영역
			 */
			onclick_btnBanner : function() {
				if (mainCtrl.isOsApp()) {
					if (mainCtrl.VIEW_TYPE == "ios") {
						Ns.Native.launcherView("nsmobilefood://", null, "https://itunes.apple.com/kr/app/nsgeonganghanbabsang/id1098615993?l=en&mt=8");
					} else {
						Ns.Native.launcherView("com.nsmobilefood", null);
					}
				}
			}
		}
		//end event function
};