
/* JavaScript content from js/mypage/M_U1111001M.js in folder common */
/**
 *	페이지 ID : M_U1111001M
 *	@file 마이페이지 메인 - 간편회원
 */

/** 
 * page 컨트롤 클래스 
 * @namespace
 */
CurrentView = {
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		/** html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		이벤트 binding 등... */
		initializeComponent : function(){
			CurrentView.data.call_MypageMainReal();
		},
		
		/** html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. */
		onLoad : function(){
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
			/* 웹일 경우, '쇼핑알림리스트' 버튼 숨김 */
			if(!mainCtrl.isOsApp()){
				$("#btnPushAlarmList").parent().remove();
			}
			
			/* 클릭이벤트 셋팅 */
			$("#divMembershipInfoArea a").unbind().bind( "click", CurrentView.event.onclick_divMembershipInfoArea );
			$("#ulMyStateArea li a").unbind().bind( "click", CurrentView.event.onclick_ulMyStateArea );
			$("#btnShoppingInfo").unbind().bind( "click", CurrentView.event.onclick_btnShoppingInfo );
			$("#ulOrderStateArea li a").unbind().bind( "click", CurrentView.event.onclick_ulOrderStateArea );
			$("#ulOrderCancelArea li a").unbind().bind( "click", CurrentView.event.onclick_ulOrderCancelArea );
			$("#ulQnaArea li a").unbind().bind( "click", CurrentView.event.onclick_ulQnaArea );
			$("#ulExtraLinkArea li a").unbind().bind( "click", CurrentView.event.onclick_ulExtraLinkArea );
			$("#btnBanner").unbind().bind("click", CurrentView.event.onclick_btnBanner);
		},
		
		/** 
		 * 데이터 관련 함수를 정의한다.
		 * @namespace
		 */
		data : {
			
			/** 회원정보 및 혜택정보 호출 */
			call_MypageMainReal : function(){
				var param = {
						userId : USERINFO.userId()
				};
				tran.callWCSJsonTran( 'MypageMainReal', param, CurrentView.data.callback_MypageMainReal );
			},
			
			/** 회원정보 및 혜택정보 콜백함수 */
			callback_MypageMainReal : function(data){
				CurrentView.data.get_customerInfo(data.msg.root.GradeInfo);
				CurrentView.data.get_customerBenefit(data.msg.root.BenefitInfo);
				CurrentView.data.get_customerHistory(data.msg.root.StatusCnt);
			},
			
			/** 회원정보 저장 */
			get_customerInfo : function(data){
				var customerInfo = {
					name 		: USERINFO.userName(), 	// 고객명
					gradeImg 	: CurrentView.data.get_gradeImg(data.currentGrd) 	// 고객등급 아이콘
				};
				CurrentView.ui.set_customerInfo(customerInfo);
			},
			
			/** 회원 혜택정보 저장 */
			get_customerBenefit : function(data){
				var customerBenefit = {
					coupon 		: data.couponCnt, 	// 쿠폰
					savedMoney 	: data.saveMoney,	// 적립금
					tolPoint 	: data.tolPoint, 	// 톨포인트
					deposit 	: data.balance, 	// 예치금
					wishListCnt : data.wishListCnt 	// 찜
				};
				CurrentView.ui.set_customerBenefit(customerBenefit);
			},
			
			/** 주문/배송조회 정보 저장 */
			get_customerHistory : function(data){
				var customerHistory = {
						receiptOrder  		: 0, 	// 주문접수
						paymentCompleted 	: 0, 	// 결제완료
						preparingProduct 	: 0, 	// 상품준비중
						duringDelivery 		: 0, 	// 배송중
						completedDelivery 	: 0, 	// 배송완료
						cancel 				: 0, 	// 취소
						exchange 			: 0,	// 교환
						itemReturn 			: 0 	// 반품
					};
				
				for (var i = 0; i < data.length; i++) {
					switch (data[i].statusName) {
						case '결제대기'	: // 주문접수
							customerHistory.receiptOrder += Number(data[i].cnt);
							$("#customerHistory_orderReceipt").parents("li").addClass("active");
							break;
						case '결제완료' 	: // 결제완료
							customerHistory.paymentCompleted += Number(data[i].cnt);
							$("#customerHistory_paymentCompleted").parents("li").addClass("active");
							break;
						case '주문전달'	: // 상품준비중
						case '상품준비중'	: // 상품준비중
							customerHistory.preparingProduct += Number(data[i].cnt);
							$("#customerHistory_preparingProduct").parents("li").addClass("active");
							break;
						case '배송중' 	: // 배송중
							customerHistory.duringDelivery += Number(data[i].cnt);
							$("#customerHistory_duringDelivery").parents("li").addClass("active");
							break;
						case '배송완료' 	: // 배송완료
							customerHistory.completedDelivery += Number(data[i].cnt);
							$("#customerHistory_completedDelivery").parents("li").addClass("active");
							break;
						case '취소중'		: // 취소
						case '취소완료'	: // 취소
							customerHistory.cancel += Number(data[i].cnt);
							$("#customerHistory_cancel").parents("li").addClass("active");
							break;
						case '교환신청' 	: // 교환
						case '교환진행' 	: // 교환
						case '교환완료' 	: // 교환
							customerHistory.exchange += Number(data[i].cnt);
							$("#customerHistory_exchange").parents("li").addClass("active");
							break;
						case '반품신청' 	: // 반품
						case '반품진행' 	: // 반품
						case '반품완료' 	: // 반품
							customerHistory.itemReturn += Number(data[i].cnt);
							$("#customerHistory_itemReturn").parents("li").addClass("active");
							break;
						default:
							break;
					}
				}
				
				CurrentView.ui.set_customerHistory(customerHistory);
			},
			
			/**
			 * 간편회원 아이콘 클래스명 리턴
			 * 110 : SVIP
			 * 111 : VIP
			 * 112 : 엘리트
			 * 113 : 스마트
			 * 114 : 매니아
			 * 115 : 패밀리
			 * 999 : 간편회원
			 */
			get_gradeImg : function() {
				return "facebook";
			}
			
		},
		//end data function...
		
		/** 
		 * ui 관련 함수를 정의한다.
		 * @namespace
		 */
		ui : {
			
			set_customerInfo : function(customerInfo){
				$("#customerInfo_name").text(customerInfo.name + "님");
				$("#customerInfo_gradeImg").addClass(customerInfo.gradeImg);
			},
			
			set_customerBenefit : function(customerBenefit){
				$("#customerBenefit_coupon").text(customerBenefit.coupon);
				$("#customerBenefit_savedMoney").text(customerBenefit.savedMoney);
				$("#customerBenefit_tolPoint").text(customerBenefit.tolPoint);
				$("#customerBenefit_deposit").text(customerBenefit.deposit);
				$("#customerBenefit_wishList").text(customerBenefit.wishListCnt);
			},
			
			set_customerHistory : function(customerHistory){
				$("#customerHistory_orderReceipt").text(customerHistory.receiptOrder);
				$("#customerHistory_paymentCompleted").text(customerHistory.paymentCompleted);
				$("#customerHistory_preparingProduct").text(customerHistory.preparingProduct);
				$("#customerHistory_duringDelivery").text(customerHistory.duringDelivery);
				$("#customerHistory_completedDelivery").text(customerHistory.completedDelivery);
				$("#customerHistory_cancel").text(customerHistory.cancel);
				$("#customerHistory_exchange").text(customerHistory.exchange);
				$("#customerHistory_itemReturn").text(customerHistory.itemReturn);
			}
			
		},
		//end ui function...
		
		/** 
		 * 이벤트 관련 함수를 정의한다.
		 * @namespace 
		 */
		event : {
			
			/**
			 *  내정보 버튼 클릭 이벤트
			 */
			onclick_divMembershipInfoArea : function(){
				var pageId;
				var id = $(this).attr('id');
				
				if( id == "btnPersonalInfo" ){
					pageId = "M_U1111100M";
				} else {
					return false;
				}
				mainCtrl.navigate( pageId );
			},
			
			/**
			 *  나의 혜택 영역 클릭 이벤트 
			 */
			onclick_ulMyStateArea : function(){
				var pageId;
				var id = $(this).attr('id');
				var param = {};
				
				if( id == "btnCoupon" ) {
					pageId = "M_U1141100M"; //쿠폰
				} else if( id == "btnSavedMoney" ) {
					pageId = "M_U1142100M"; //적립금
					param.tabIndex = 1; //톨포인트-0, 적립금-1, 예치금-2
				} else if( id == "btnTolPoint" ) {
					pageId = "M_U1142100M"; //톨포인트
					param.tabIndex = 0; //톨포인트-0, 적립금-1, 예치금-2
				} else if( id == "btnDeposit" ) {
					pageId = "M_U1142100M"; //예치금
					param.tabIndex = 2; //톨포인트-0, 적립금-1, 예치금-2
				} else if( id == "btnWishList" ) {
					pageId = "M_U1193000M"; //찜
				} else {
					return false;
				}
				mainCtrl.navigate( pageId, param );
			},
			
			/**
			 * 주문/배송조회 전체보기 버튼
			 */
			onclick_btnShoppingInfo : function(){
				var param = {};
				param.periodMonth = 1;
				
				mainCtrl.navigate( "M_U1121100M", param );
			},
			
			/**
			 * 주문/배송조회(주문접수/결제완료/상품준비중/배송중/배송완료) 영역 버튼
			 */
			onclick_ulOrderStateArea : function(){
				var id = $(this).attr('id');
				var param = {};
				param.status = "";
				param.periodMonth = 1;
				
				if( id == "liOrderReceipt" ) { // 주문접수
					param.status = "D";
                } else if( id == "liOrderComplete" ) { // 결제완료
                	param.status = "M";
                } else if( id == "liGoodsPrepare" ) { // 상품준비중
                	param.status = "TI";
				} else if( id == "liShippingPrepare" ) { // 배송중
                	param.status = "O";
                } else if( id == "liShippingComplete" ) { // 배송완료
                	param.status = "S";
				} else {
					return false;
				}
				mainCtrl.navigate( "M_U1121100M", param );
			},
			
			/**
			 * 주문/배송조회(취소/교환/반품) 영역 버튼
			 */
			onclick_ulOrderCancelArea : function(){
				var id = $(this).attr('id');
				var param = {};
				param.status = "";
				param.periodMonth = 1;
				
				if( id == "liCancel" ) { // 취소
					param.status = "AX";
                } else if( id == "liExchanged" ) { // 교환
                	param.status = "BCE";
                } else if( id == "liReurned" ) { // 반품
                	param.status = "FUR";
				} else {
					return false;
				}
				mainCtrl.navigate( "M_U1121200M", param );
			},
			
			/**
			 * QNA 링크 영역
			 */
			onclick_ulQnaArea : function(){
				var pageId;
				var id = $(this).attr('id');
				var param = {};
				
				if( id == "btnBoardQnA" ) {
                	pageId = "M_U1173100M"; //게시판문의/답변
                } else if( id == "btnProductQnA" ) {
					pageId = "M_U1162210M"; //상품문의 내역
				} else {
					return false;
				}
				mainCtrl.navigate( pageId, param );
			},
			
			/**
			 * 기타 링크 영역
			 */
			onclick_ulExtraLinkArea : function(){
				var pageId;
				var id = $(this).attr('id');
				
				if( id == "btnExchangeRefund" ) {
					pageId = "M_U1122100M"; // 교환/반품신청
				} else if( id == "btnProductReview" ) {
					pageId = "M_U1161100M"; // 상품평 관리
				} else if( id == "btnTVAlarm" ){
					pageId = "M_U1174000M"; // 방송 알리미
				} else if( id == "btnEventResult" ) {
					pageId = "M_H1112000M"; //이벤트당첨확인 
				} else if( id == "btnPushAlarmList" ) {
					pageId = "M_H1111000M"; //쇼핑 알림 리스트 
				} else {
					return false;
				}
				mainCtrl.navigate( pageId );
			},
			
			/**
			 * 패밀리앱 배너 영역
			 */
			onclick_btnBanner : function() {
				if (mainCtrl.isOsApp()) {
					if (mainCtrl.VIEW_TYPE == "ios") {
						Ns.Native.launcherView("nsmobilefood://", null, "https://itunes.apple.com/kr/app/nsgeonganghanbabsang/id1098615993?l=en&mt=8");
					} else {
						Ns.Native.launcherView("com.nsmobilefood", null);
					}
				}
			}
		}
		//end event function
};