
/* JavaScript content from js/mypage/M_U1121001M.js in folder common */
/**
 *	페이지 ID : M_U1121001P
 *	@file 마이페이지 > 주문내역/배송조회 > 배송지 변경
 */

/** 
 * page 컨트롤 클래스 
 * @namespace
 */
CurrentView = {
		orgParams : {},	// 넘어온 param
		arrCatsItem : [],	// 동일 배송지
		objDelivery : {},	// 변경할 배송지 정보
		objAddressRoot : {},	// 조회된 기본 배송지 정보
		nShipcharge : 0,	// 기존 배송비
		IS_GUEST : false,	// 비회원 여부
		
		init : function( params ) {
			this.onLoad(params);
			this.initializeComponent();
		},
		
		/** html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		이벤트 binding 등... */
		initializeComponent : function() {
			uiBase._layerPopup();
			
			// 직접 입력 클릭시 이벤트 처리
			$("#btnNewShippingAddress").off().on("click", function(){
				CurrentView.event.onclick_btnNewShippingAddress();
			});
			
			// 기존배송지 클릭시 이벤트 처리
			$("#btnRecentShipping").off().on("click", function(){
				CurrentView.event.onclick_btnRecentShipping(0);
			});
			
			// 우편번호 버튼 클릭시 이벤트 처리
			$("#zipSearch").off().on("click", function(){
				CurrentView.event.onclick_btnSearchPostCode();
			});
			
			// 배송 메세지 셀렉트 박스 체이지 이벤트 처리
			$("#selectShippingMessage").off().on("change", function(){
				if (this.value == ""){
					$("#textShippingMessage").val("");
					CurrentView.event.keyup_shippingMessage(this, 0);
				} else {
					$("#textShippingMessage").val(this.value);
					CurrentView.event.keyup_shippingMessage(this, 0);
				}
			});
			
			// 메시지 셀렉트박스 선택시 이벤트 처리
			$("#textShippingMessage").off().on("keyup", function(){
				CurrentView.event.keyup_shippingMessage(this, 0);
			})
			
			// 변경취소 버튼 클릭시 이벤트 처리
			$("#btnCancel").off().on("click", function(){
				navi.moveBack();
			});
			
			// 변경하기 버튼 클릭시 이벤트 처리
			$("#btnChange").off().on("click", function(){
				CurrentView.event.onclick_btnChange();
			});
			
			$("#onclick_btnPostCode").off().on("click", function(){
				CurrentView.event.onclick_btnPostCode();
			});
		},
		
		/** html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. */
		onLoad : function(params) {
			CurrentView.orgParams = JSON.parse(JSON.stringify(params));
			
			if (USERINFO.logonType() == '' || USERINFO.logonType() == LOGON_TYPE.nonmember) { //비회원
				CurrentView.IS_GUEST = true;
			}
			
			if (CurrentView.IS_GUEST){
				// inQkang 배송지선택 개편 시작
				$("#ulListTabArea").eq(0).hide();
				$("#divRadioArea").parent().eq(0).hide();
				$("#divContentArea").removeClass("mt20");
				$("#itemDiv_addrAlias").eq(0).hide();
				// inQkang 배송지선택 개편 종료
			}
			
			//지정배송일
			if( CurrentView.orgParams.objCats.slctDay != null){
				CurrentView.data.DeliveryDate_View();	// 배송지 출력
				
				$("#divDeliveryIndexSelect").hide(); //복수배송지숨김
				$("#divDelivery").show();
			}
			
			CurrentView.ui.setProduct();	// 상품 출력
			CurrentView.data.callNSOrderDeliveryModifyMobile();	// 배송지 출력
		},
		
		/** 
		 * 데이터 관련 함수를 정의한다.
		 * @namespace
		 */
		data : {
			/**
			 * 배송지 목록 조회 및 화면 출력 처리
			 */
			callNSOrderDeliveryModifyMobile : function(){
				tran.callWCSJsonTran('NSOrderDeliveryModifyMobile', {userId : USERINFO.userId()}, function(data){
					CurrentView.objAddressRoot = JSON.parse(JSON.stringify(data.msg.root));
					$("#selShippingAddress").data("data", CurrentView.objAddressRoot.AddressList);	// 배송지선택 레이어를 위한 data 세팅
					
					var bAddrList = false;
					var objAddr = null;
					
					// 배송지 목록에서 찾기
					for (var i = 0; CurrentView.objAddressRoot.AddressList.length > i; i++){
						if (CurrentView.orgParams.objCats.addressId == CurrentView.objAddressRoot.AddressList[i].ADDRESS_ID){
							bAddrList = true;
							objAddr = CurrentView.objAddressRoot.AddressList[i];
						}
					}
					
					// 기존 배송지에서 찾기
					if (!bAddrList){
						for (var j = 0; CurrentView.objAddressRoot.RecentAddressList.length > j; j++){
							if (CurrentView.orgParams.objCats.addressId == CurrentView.objAddressRoot.RecentAddressList[j].addressID){
								objAddr = CurrentView.objAddressRoot.RecentAddressList[j];
							}
						}
					}
					
					if (null == objAddr){
						CurrentView.event.onclick_btnNewShippingAddress();
					} else {
						if (bAddrList){
							var strVal = objAddr.NICKNAME;
							var objInsertData = {};
							
							if (objAddr.ISPRIMARY == 1){
								strVal += " [기본배송지]";
							}
							
							objInsertData.rowData = objAddr;
							objInsertData.NICKNAME = strVal;
							objInsertData.ADDRESS_ID = data.ADDRESS_ID;
							
							$("#selShippingAddress").val(strVal).data("insertData", objInsertData);
							CurrentView.ui.setBaseAddressLine(objInsertData.rowData);
						} else {
							CurrentView.ui.setRecentAddress(objAddr);
						}
					}
					
					var deliveryMsg;
					if (undefined == data.msg.root.deliveryMsg){
						deliveryMsg = false;
					}else{
						deliveryMsg = data.msg.root.deliveryMsg;
					}
					
					var DeliveryHtml = "";
					DeliveryHtml += '<option value="">배송 메세지 선택</option>';
					if( deliveryMsg ){
						for (var k = 0; k < deliveryMsg.length; k++) {
							DeliveryHtml += Ns.Util.stringFormat('<option value="{0}">{1}</option>',
									deliveryMsg[k].DELI_MSG , "(최근) "+deliveryMsg[k].DELI_MSG );
						}
					}	
					DeliveryHtml += '<option value="부재중 경비실(관리실)에 맡겨주세요">부재중 경비실(관리실)에 맡겨주세요</option>';
					DeliveryHtml += '<option value="무거우니 문 앞에 두고 연락주세요">무거우니 문 앞에 두고 연락주세요</option>';
					DeliveryHtml += '<option value="빠른 배송 부탁 드립니다">빠른 배송 부탁 드립니다</option>';
					DeliveryHtml += '<option value="부재 시 휴대폰으로 연락바랍니다">부재 시 휴대폰으로 연락바랍니다</option>';
					DeliveryHtml += '<option value="배송 전 연락바랍니다">배송 전 연락바랍니다</option>';
					$("#selectShippingMessage").html(DeliveryHtml);
				} );
			},
		
			/**
			 * 배송비 계산 api 통신
			 */
			doShippingChargeCmd : function( param, callback ) {
				tran.callWCSJsonTran('NSShippingChargeCmd', { sandItemInfo : JSON.stringify(param) }, callback);
			},
			
			//배송지정일 날짜 출력
			DeliveryDate_View : function() {
				var DayCount = ""; //지정배송일 존재여부 flag값
				var slctDay = Ns.Util.replaceAll(CurrentView.orgParams.objCats.slctDay , ".", "-");//등록된 지정배송일

				var html = "";
				html += Ns.Util.stringFormat('<option value="0" selected="selected">{0}</option>' , slctDay);//등록된 지정배송일 노출
				
				//예약순차배송으로 인한 개발 hawoong 180307
				var orderItemIds = "";
				if(CurrentView.orgParams.objCats.attrs.length > 1 && CurrentView.orgParams.objCats.attrs.length != 0){
					for(var i = 0; i<CurrentView.orgParams.objCats.attrs.length; i++){
						if(i == CurrentView.orgParams.objCats.attrs.length - 1){
							orderItemIds = orderItemIds + CurrentView.orgParams.objCats.attrs[i].orderitemsId;
						}else{
							orderItemIds = orderItemIds + CurrentView.orgParams.objCats.attrs[i].orderitemsId + ",";
						}
					}
				}else{
					orderItemIds = orderItemIds + CurrentView.orgParams.objCats.attrs[0].orderitemsId;
				}
				
				try{
					tran.callWCSJsonTran( "NSMypageCommCmd", 				
					{
						"tasknm" : "slctDayList",
						"var" : CurrentView.orgParams.objCats.dlvrWayCd1,
						"orderid" : orderItemIds
					}, 
					function (data){
						//data.list.slctDayList
						for (var i = 0; i < data.list.length; i++) {
							if( slctDay == data.list[i]){
								html += Ns.Util.stringFormat('<option value="{0}" selected="selected">{1}</option>', i+1, data.list[i]);
								DayCount = "1";
							}else{
								html += Ns.Util.stringFormat('<option value="{0}">{1}</option>', i+1 , data.list[i]);
							}
							
						}
						
						$('#DeliveryDate').append(html);
						
						//지정 배송일 변경 리스트에 등록된 날짜가 있다면 삭제
						if( DayCount == "1"){
							$("#DeliveryDate").find("option[value='0']").remove();
						}

					});					
				} catch (e) {
					// handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(M_B1310000M_55)" + e, function (){
						navi.naviBack();
					});
					
					return ;
				}					

			}
		},
		
		/** 
		 * ui 관련 함수를 정의한다.
		 * @namespace
		 */
		ui : {
			/**
			 * 상품 출력 
			 */
			setProduct : function(){
				$("#ordersId").html(CurrentView.orgParams.ordersId);
				$("#ordersDate").html(CurrentView.orgParams.ordersDate);
				
				var strSelectedAddressId = CurrentView.orgParams.objCats.addressId;
				var arrCats = CurrentView.orgParams.objOrder.cats;
				
				//안심택배flag
				if(CurrentView.orgParams.objCats.relaxGb == "Y"){
					$("#h2class").show();
				}
				
				//직접입력flag
				if(CurrentView.IS_GUEST){
					$("#delivery_guest").show();
				}
				
				var strHtml = "";
				for (var i = 0; arrCats.length > i; i++){
					if (strSelectedAddressId == arrCats[i].addressId){
						CurrentView.arrCatsItem[CurrentView.arrCatsItem.length] = arrCats[i];
						CurrentView.nShipcharge += Number(arrCats[i].shipcharge, 10);
						CurrentView.nShipcharge += Number(arrCats[i].rmashipcharge, 10);
						
						var imageLink = Ns.Util.getImageUrl(String(arrCats[i].goodsCd),"H");
						var noImageUrl = Const.NO_IMAGE_URL +  'noimage_H.jpg';
						var brandName = Ns.Util.htmlDecode(arrCats[i].brandName);
						var goodsName = arrCats[i].catentryName;
						goodsName = (!Ns.Util.isNull(brandName) && brandName != '미정의' ? "[" + brandName + "]" : "") + (goodsName || '');
						
						var optionsHtml = "";
						var options = CurrentView.ui.getOrdersAttributes( arrCats[i].attrs );
						
						//NS정기배달 필요한 값 - ex) 30일 간격, 총 8회 배송
						var intrv = arrCats[i].intrv;
						var cnveyNum = arrCats[i].cnveyNum;
						
						if ( options != "" ) {
							optionsHtml += '<strong class="head">주문옵션</strong>';
							optionsHtml += '<span class="text">';
							optionsHtml += options;
							optionsHtml += '</span>';
						}
						
						if ( intrv != null && cnveyNum != null ) {						
							optionsHtml += Ns.Util.stringFormat('\n'+
									'<div class="option-delivery">\n'+
									'	<strong class="head">배송주기</strong>\n'+
									'	<span class="text">\n'+
									'		<span class="option">간격 : {0}일</span>\n'+
									'		<span class="option">배송 : {1}회</span>\n'+
									'	</span>\n'+
									'</div>',
									intrv,
									cnveyNum
							);
						}
						
						var strPriceComma = Ns.Util.insertCommas( arrCats[i].price );
						var strPriceTotalComma = Ns.Util.insertCommas( arrCats[i].totalproduct );
						var strQuantityComma = Ns.Util.insertCommas( arrCats[i].quantity );
						var className;
						
						if ( arrCats[i].statusName == "주문접수" || arrCats[i].statusName == "결제대기") {
							className = "head step-a";
						} else if ( arrCats[i].statusName == "결제완료" || arrCats[i].statusName == "신청완료" ) {
							className = "head step-b";
						} else if ( arrCats[i].statusName == "주문전달" ) {
			    			className = "head step-c";
						} else if ( arrCats[i].statusName == "상품준비중" ) {
			    			className = "head step-d";
						} else if ( arrCats[i].statusName == "배송중" ) {
			    			className = "head step-e";
						} else if ( arrCats[i].statusName == "배송완료" ) {
			    			className = "head step-f";
						} else {
			    			className = "head step-g"; // 주문취소, 취소완료, 반품완료, 교환신청 등
			    		}
						
						if ( arrCats[i].quantity == 0 ) {
							strPriceTotalComma = 0;
				        }
						
						strHtml += Ns.Util.stringFormat('\n'+
							'<li class="items">\n'+
							'	<div class="wrap">\n'+
							'		<div class="thumbnail">\n'+
							'			<a href="javascript:;"><img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'" alt="상품 이미지" /></a>\n'+
							'		</div>\n'+
							'		<div class="field">\n'+
							'			<p class="title"><a href="javascript:;"><strong>{2}</strong></a></p>\n'+
							'			<p class="option-item">\n'+
							'				{3}\n'+
							'			</p>\n'+
							'		</div>\n'+
							'	</div>\n'+
							'	<div class="more-data order-tracking">\n'+
							'		<strong class="{4}">결제대기</strong>\n'+
							'		<span class="text">{5}<span class="unit">원</span> X {6}<span class="unit">개</span></span>\n'+
							'		<span class="text em rate-g"><strong>{7}</strong><span class="unit">원</span></span>\n'+
							'	</div>\n'+
							'</li>',	imageLink, noImageUrl, goodsName, optionsHtml, className, strPriceComma, strQuantityComma, strPriceTotalComma);
					}
				}
				
				$("#productArea").html(strHtml);
			},
			
			/**
			 * 상품 옵션정보 html 생성
			 */
			getOrdersAttributes : function( attrs) {
	    		var attrvalDesc = "";
	    		if ( attrs == null ) {
	    			return "";
	    		}
	    
	    		for ( var k=0; k<attrs.length; k++ ) 	{
	    			attrvalDesc += Ns.Util.stringFormat('<br /><span class="option">{0} : {1}</span>', attrs[k].attrDesc, attrs[k].attrvalDesc);
	    		}
	    
	    		return attrvalDesc;
	    	},
	    	
	    	/**
	    	 * 배송지선택을 통한 배송지 출력
	    	 */
	    	setBaseAddressLine : function(data){
	    		
	    		if (null != data.PHONE2 && undefined != data.PHONE2 && $.trim(data.PHONE2) != ""){
					$("#divAddPone").show();
				} else {
					$("#divAddPone").hide();
				}
	    		
	    		// 주소 및 우편번호 분리
				if ($.trim(data.ADDRESS1).length > 0) {
					var strAddr1 = Ns.Util.htmlDecode(data.MOBILE_ADDRESS1);
					if (strAddr1.indexOf('&:') > -1) {
						var arrAddr = strAddr1.split("&:");
						data.ADDRESS2 = arrAddr[0];
						data.ADDRESS3 = arrAddr[1];
					} else {
						data.ADDRESS2 = data.MOBILE_ADDRESS1;
						data.ADDRESS3 = "";
					}
				} else {
					data.ZIPCODE = (data.FAX2 || data.ZIPCODE);
				}
				var zipcode = Ns.Util.onlyNumFormat(data.ZIPCODE);
				/*
				 * 배송지수정 
				 * 배송지 text화 코드 기존 input text박스는 hide로 숨김 직접입력시에만 show를 사용해서 노출 처리
				*/
				$("#addrAliasSt").eq(0).html(data.NICKNAME).show();
				$("#recipientSt").eq(0).html(data.LASTNAME+' '+data.FIRSTNAME).show();
				$("#phone12St").eq(0).html(data.PHONE1).show();
				$("#phone22St").eq(0).html("");
				if (null != data.PHONE2 && undefined != data.PHONE2 && $.trim(data.PHONE2) != ""){ // inQkang1 배송지선택 개편
					$("#phone22St").eq(0).html(data.PHONE2).show();
				}
				$("#addrSt").eq(0).html(data.ADDRESS2).show();
				$("#addrDetailSt").eq(0).html(data.ADDRESS3).show();
				$("#postcode01St").eq(0).html(zipcode).show();
				
				$(".mark").eq(0).hide();
				
				
				$("#addrAlias").val(data.NICKNAME).hide();
				$("#recipientName").val( $.trim(data.LASTNAME + ' ' + data.FIRSTNAME) ).hide();
				$("#phone11").val( Ns.Util.getPhoneNumber($.trim(data.PHONE1), "1") ).hide();
				$("#phone12").val( Ns.Util.getPhoneNumber($.trim(data.PHONE1), "2") ).hide();
				$("#phone13").val( Ns.Util.getPhoneNumber($.trim(data.PHONE1), "3") ).hide();
				if (null != data.PHONE2 && undefined != data.PHONE2 && $.trim(data.PHONE2) != ""){ // inQkang1 배송지선택 개편
					$("#phone21").val( Ns.Util.getPhoneNumber($.trim(data.PHONE2), "1") ).hide();
					$("#phone22").val( Ns.Util.getPhoneNumber($.trim(data.PHONE2), "2") ).hide();
					$("#phone23").val( Ns.Util.getPhoneNumber($.trim(data.PHONE2), "3") ).hide();					
				}

				$("#addr").val( $.trim(data.ADDRESS2) ).hide();
				$("#addrDetail").val( $.trim(data.ADDRESS3) ).hide();
				//배송지수정20160426
				$("#postcode").val( zipcode ).hide();
				$("#zipcode").val( data.ZIPCODE );
				$("#addrFlag").val( data.FAX1 ); // 주소타입(100: 지번주소, 200: 도로명주소)
				$("#addrDetail").prop("readonly", true);
				$("#recipientName").prop("readonly", true);
				$("#phone11").prop("disabled", true);
				$("#phone12").prop("readonly", true);
				$("#phone13").prop("readonly", true);
				$("#phone21").prop("disabled", true);
				$("#phone22").prop("readonly", true);
				$("#phone23").prop("readonly", true);
				$("#zipcode").prop("readonly", true);
				
				$("#zipSearch").hide();
				// inQkang 배송지선택 개편 시작
				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDestination").parent().addClass("active");
				$("#divRadioArea").css("display","block"); // 라디오 영역 보이게
				$("#divContentArea").removeClass("mt20");
				// inQkang 배송지선택 개편 종료
				CurrentView.objDelivery.ADDRESS_ID = data.ADDRESS_ID;
				
				// 배송비 조회 및 계산 및 출력
				CurrentView.ui.getShippingCharge(CurrentView.orgParams.ordersId
						, $("#postcode").val()
						, CurrentView.arrCatsItem);
				
	    	},
	    	
	    	/**
	    	 * 기존배송지를 통한 화면 출력
	    	 */
	    	setRecentAddress : function (objData){
	    		var objInsertData = {};
	    		objInsertData.rowData = "recent";
				objInsertData.NICKNAME = "기존 배송지";
				objInsertData.ADDRESS_ID = objData.addressID;
				
				$("#selShippingAddress").val("기존 배송지").data("insertData", objInsertData);
				
				if (null != objData.phone2 && undefined != objData.phone2 && $.trim(objData.phone2) != ""){
					$("#divAddPone").show();
				} else {
					$("#divAddPone").hide();
				}
				
				var addressarray = objData.address1.split('&amp;:');
				
				$("#addrAliasSt").eq(0).html(objData.nickname).show();
				$("#recipientSt").eq(0).html(objData.receiverName).show();
				$("#phone12St").eq(0).html(objData.phone1).show();
				$("#phone22St").eq(0).html("");
				if(null != objData.phone2){
					$("#phone22St").eq(0).html(objData.phone2).show();
				}
				$("#addrSt").eq(0).html(addressarray[0]).show();
				$("#addrDetailSt").eq(0).html("");
				if(null != addressarray[1]){
					$("#addrDetailSt").eq(0).html(addressarray[1]).show();
				}
				$("#postcode01St").eq(0).html("").html(objData.zipCode).show();
				
				$("#phone11").eq(0).val( Ns.Util.getPhoneNumber($.trim(objData.phone1), "1") ).hide();
				$("#phone21").eq(0).val( Ns.Util.getPhoneNumber($.trim(objData.phone2), "1") ).hide();
				$(".mark").hide();
				
				$("#addrAlias").attr("readonly", true);	// 배송지명 readonly
				$("#addrDetail").attr("readonly", true);	// 상세주소 readonly
				$("#zipSearch").hide();	// 우편번호 버튼 숨김
				
				$("#addrAlias").val(objData.nickname).hide();
				$("#recipientName").val(objData.receiverName).hide();
				
				$("#phone11").val(Ns.Util.getPhoneNumber(objData.phone1, "1")).hide();
				$("#phone12").val(Ns.Util.getPhoneNumber(objData.phone1, "2")).hide();
				$("#phone13").val(Ns.Util.getPhoneNumber(objData.phone1, "3")).hide();
				$("#phone21").val(Ns.Util.getPhoneNumber(objData.phone2, "1")).hide();
				$("#phone22").val(Ns.Util.getPhoneNumber(objData.phone2, "2")).hide();
				$("#phone23").val(Ns.Util.getPhoneNumber(objData.phone2, "3")).hide();
				$("#postcode").val(objData.cst_postcode).hide();
				$("#addr").val(objData.cst_addr).hide();
				$("#addrDetail").val(objData.cst_addrDetail).hide();
				
				$("#zipcode").val(objData.zipCode).hide();
				$("#addrFlag").val(objData.fax1).hide();
				/*
				 * 배송지수정 
				 * 배송지 text화 코드 기존 input text박스는 hide로 숨김 직접입력시에만 show를 사용해서 노출 처리
				*/
				
				$("#recipientName").prop("readonly", true);
				$("#phone11").prop("disabled", true);
				$("#phone12").prop("readonly", true);
				$("#phone13").prop("readonly", true);
				$("#phone21").prop("disabled", true);
				$("#phone22").prop("readonly", true);
				$("#phone23").prop("readonly", true);
				// inQkang 배송지선택 개편 시작
				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDestination").parent().addClass("active");
				$("#divRadioArea").css("display","block"); // 라디오 영역 보이게
				$("#divContentArea").removeClass("mt20");
				// inQkang 배송지선택 개편 종료
				CurrentView.objDelivery.ADDRESS_ID = objData.addressID;
				
				// 배송비 조회 및 계산 및 출력
				CurrentView.ui.getShippingCharge(CurrentView.orgParams.ordersId
						, $("#postcode").val()
						, CurrentView.arrCatsItem);
	    	},
	    	/**
	    	 * inQkang 배송지선택 개편
	    	 * 이전배송지 정보 출력
	    	 */
	    	setDefaultAddress : function (objData){
	    		var objInsertData = {};
	    		objInsertData.rowData = "recent";
				objInsertData.NICKNAME = "기존 배송지";
				objInsertData.ADDRESS_ID = objData.addressID;
				
				$("#selShippingAddress").val("기존 배송지").data("insertData", objInsertData);
				
				if (null != objData.phone2 && undefined != objData.phone2 && $.trim(objData.phone2) != ""){
					$("#divAddPone").show();
				} else {
					$("#divAddPone").hide();
				}
				
				var addressarray = objData.address1.split('&amp;:');
				
				$(":radio[name='radioDeliverySearch']").attr("checked", false) ; // radio button reset

				$("#addrAliasSt").eq(0).html(objData.nickname).show();
				$("#recipientSt").eq(0).html(objData.lastname).show();
				$("#phone12St").eq(0).html(objData.phone1).show();
				$("#phone22St").eq(0).html("");
				if(null != objData.phone2){
					$("#phone22St").eq(0).html(objData.phone2).show();
				}
				$("#addrSt").eq(0).html(addressarray[0]).show();
				$("#addrDetailSt").eq(0).html("");
				if(null != addressarray[1]){
					$("#addrDetailSt").eq(0).html(addressarray[1]).show();
				}
				$("#postcode01St").eq(0).html("").html(objData.zipcode).show();
				
				$("#phone11").eq(0).val( Ns.Util.getPhoneNumber($.trim(objData.phone1), "1") ).hide();
				$("#phone21").eq(0).val( Ns.Util.getPhoneNumber($.trim(objData.phone2), "1") ).hide();
				$(".mark").hide();
				
				$("#addrAlias").attr("readonly", true);	// 배송지명 readonly
				$("#addrDetail").attr("readonly", true);	// 상세주소 readonly
				$("#zipSearch").hide();	// 우편번호 버튼 숨김
				
				$("#addrAlias").val(objData.nickname).hide();
				$("#recipientName").val(objData.receiverName).hide();
				
				$("#phone11").val(Ns.Util.getPhoneNumber(objData.phone1, "1")).hide();
				$("#phone12").val(Ns.Util.getPhoneNumber(objData.phone1, "2")).hide();
				$("#phone13").val(Ns.Util.getPhoneNumber(objData.phone1, "3")).hide();
				$("#phone21").val(Ns.Util.getPhoneNumber(objData.phone2, "1")).hide();
				$("#phone22").val(Ns.Util.getPhoneNumber(objData.phone2, "2")).hide();
				$("#phone23").val(Ns.Util.getPhoneNumber(objData.phone2, "3")).hide();
				$("#postcode").val(objData.cst_postcode).hide();
				$("#addr").val(objData.cst_addr).hide();
				$("#addrDetail").val(objData.cst_addrDetail).hide();
				
				$("#zipcode").val(objData.zipcode).hide();
				$("#addrFlag").val(objData.fax1).hide();
				/*배송지수정 
				* 배송지 text화 코드 기존 input text박스는 hide로 숨김 직접입력시에만 show를 사용해서 노출 처리
				*/
				
				$("#recipientName").prop("readonly", true);
				$("#phone11").prop("disabled", true);
				$("#phone12").prop("readonly", true);
				$("#phone13").prop("readonly", true);
				$("#phone21").prop("disabled", true);
				$("#phone22").prop("readonly", true);
				$("#phone23").prop("readonly", true);
				// inQkang 배송지선택 개편 시작
				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDestination").parent().addClass("active");
				$("#divRadioArea").css("display","block"); // 라디오 영역 보이게
				$("#divContentArea").removeClass("mt20");
				// inQkang 배송지선택 개편 종료
				CurrentView.objDelivery.ADDRESS_ID = objData.addressID;
				
				// 배송비 조회 및 계산 및 출력
				CurrentView.ui.getShippingCharge(CurrentView.orgParams.ordersId
						, $("#postcode").val()
						, CurrentView.arrCatsItem);
	    	},
	    	/**
	    	 * 도서산간 배송가능 여부 조회
	    	 */
	    	getShippingCharge : function(orderId, zipCode, ITEMS){
				
	    		var invokeParams = {
						"tasknm" : "notrma",
						"var" : JSON.stringify(
						{ 
								"ordersId":orderId, 
								"addressId":ITEMS[0].addressId, 
								"zipcode":zipCode 
						}
					)
				};
					
				tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
					var rmaNotAvailYn;
					var strRmaYNCheck;
					
					if (null == data.list || undefined == data.list || null == data.list.rmaNotAvailYn || undefined == data.list.rmaNotAvailYn){
						rmaNotAvailYn = "N";
					} else {
						rmaNotAvailYn = data.list.rmaNotAvailYn; 
		            }
					
					strRmaYNCheck = rmaNotAvailYn;
					
					if( CurrentView.orgParams.objCats.slctDay != null ){
						CurrentView.ui.getIslandmountain(orderId, zipCode, ITEMS, strRmaYNCheck);
					}else{
						CurrentView.ui.getShippingChargeNext(orderId, zipCode, ITEMS, strRmaYNCheck);
					}
				});
				
	    	},
	    	
	    	/**
			 * 도서산간 지역체크
			 */
			getIslandmountain : function(orderId, zipCode, ITEMS, strFlag){
				
				tran.callWCSJsonTran('NSMypageCommCmd', 
						{
						"tasknm" : "rmacnt",
						"var" :  zipCode
						}, 
						function (data){
							if( data.list.resultCd == "Y" && CurrentView.orgParams.objCats.slctDay != null ){
								Ns.Popup.alert( "배송일 지정시 제주/도서지역 주문이 불가합니다.");
								
								var objInsertData = {};
								objInsertData.rowData = "manual";
								objInsertData.NICKNAME = "직접 입력";
								objInsertData.ADDRESS_ID = "";
								$("#selShippingAddress").val("직접 입력").data("insertData", objInsertData);
								CurrentView.event.onclick_btnNewShippingAddress(0);
								return;
							}else if( data.list.resultCd == "N" ){
								CurrentView.ui.getShippingChargeNext(orderId, zipCode, ITEMS, strFlag);
							}

						}
				);
			},
	    	
	    	/**
	    	 * 도서산간 배송 가능 여부에 따른 처리
	    	 * 배송비 정보 조회 및 처리
	    	 */
	    	getShippingChargeNext : function(orderId, zipCode, ITEMS, strFlag){
	    		if (strFlag == "J"){	// 상품에 대한 도서산간 가능 플래그 체크
					Ns.Popup.alert( "도서산간 배송이 불가한 상품입니다.");
					
					var objInsertData1 = {};
					objInsertData1.rowData = "manual";
					objInsertData1.NICKNAME = "직접 입력";
					objInsertData1.ADDRESS_ID = "";
					$("#selShippingAddress").val("직접 입력").data("insertData", objInsertData1);
					CurrentView.event.onclick_btnNewShippingAddress(0);
					return;
				} else if (strFlag == "D") { 
					Ns.Popup.alert( "제주도 배송이 불가한 상품입니다.");
					
					var objInsertData2 = {};
					objInsertData2.rowData = "manual";
					objInsertData2.NICKNAME = "직접 입력";
					objInsertData2.ADDRESS_ID = "";
					$("#selShippingAddress").val("직접 입력").data("insertData", objInsertData2);
					CurrentView.event.onclick_btnNewShippingAddress(0);
					return;
				} else if (strFlag == "Y") { 
					Ns.Popup.alert( "제주도 / 도서산간 배송이 불가한 상품입니다.");
					
					var objInsertData3 = {};
					objInsertData3.rowData = "manual";
					objInsertData3.NICKNAME = "직접 입력";
					objInsertData3.ADDRESS_ID = "";
					$("#selShippingAddress").val("직접 입력").data("insertData", objInsertData3);
					CurrentView.event.onclick_btnNewShippingAddress(0);
					return;
				}
	    		
	    		var chargeParam = {
						'orderId' : String(orderId),
						'orderItemList' : [],
						'zipCode' : zipCode
					};
						
				for (var i = 0; i < ITEMS.length; i++) {
					chargeParam.orderItemList.push( {
						'itemId' : ITEMS[i].stdOrderitemsId,
						'quantity' : ITEMS[i].quantity
					} );
				}
				
				// 배송비 조회 및 처리
				CurrentView.data.doShippingChargeCmd(chargeParam, function(chargeData){
					var nShippingCharge = 0;
					if (undefined != chargeData.msg.shippingCharge){
						nShippingCharge = Number(chargeData.msg.shippingCharge);
					}
					
					if (CurrentView.nShipcharge != Number(nShippingCharge, 10)){
						Ns.Popup.alert( "해당 주소로의 배송지변경은 배송비 관련 환불 또는 재결제가 필요하므로, PC 또는 고객센터를 통해 변경해주시기 바랍니다.");
						
						var objInsertData4 = {};
						objInsertData4.rowData = "manual";
						objInsertData4.NICKNAME = "직접 입력";
						objInsertData4.ADDRESS_ID = "";
						$("#selShippingAddress").val("직접 입력").data("insertData", objInsertData4);
						CurrentView.event.onclick_btnNewShippingAddress(0);
					}
				});
	    	},
			// inQkang 배송지선택 개편 - 최근 배송지 팝업 콜백
			setNewRecentShipping : function(objData) {
				
				var tabIndex = objData.tabIndex; // radio 버튼 인덱스 
				var $fieldset_addr =  $("#fieldset_addr");
				
				// 넘어온 데이터 저장
				var strVal = objData.nickname;
				
				if (objData.ispriamry == 1){
					strVal += " [기본배송지]";
				}
				
				var objInsertData = {};
				objInsertData.rowData = objData;
				objInsertData.NICKNAME = strVal;
				objInsertData.ADDRESS_ID = objData.addressID;
				
				$("#selShippingAddress").val(strVal).data("insertData", objData);
				
				if (null != objData.phone2 && undefined != objData.phone2 && $.trim(objData.phone2) != ""){
					$fieldset_addr.find("[name=divAddPone]").show();
				} else {
					$fieldset_addr.find("[name=divAddPone]").hide();
				}
				
				// inQkang 배송지UI 개편 - callback 이후 제어
				// 텝, 라디오 제어
				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDestination").parent().addClass("active");	
				$("#divRadioArea").show();
				$("#divContentArea").removeClass("mt20");
				if("1" == tabIndex){	// 최근배송지
					$fieldset_addr.find($('input:radio[name=radioDeliverySearch]:input[value=1]')).prop('checked', true); 
				} else if("2" == tabIndex){	// 배송주소록
					$fieldset_addr.find($('input:radio[name=radioDeliverySearch]:input[value=2]')).prop('checked', true); 
				}
				CurrentView.ui.setRecentAddress(objData);
			},	    	
		},
		
		/** 
		 * 이벤트 관련 함수를 정의한다.
		 * @namespace 
		 */
		event : {
			
			//안심택배
			onclick_btnPostCode : function() {
				//직접입력으로 초기화
				CurrentView.event.onclick_btnNewShippingAddress();
				
				try {
					
					mainCtrl.showSafePostCodeWindows( {callback : function(postinfo) {
						navi.naviBack();
						mainCtrl.hideSafePostCodeWindows();
						
						if ( postinfo == null ) {
							return false;
						}
						
						$("#safedelivery").show();

						if(  $("#selShippingAddress").eq(0).val() == "직접 입력" ){
		                    //안심택배 부분
							//배송지명 무조건 10자리까지 자르게 임시 조취.
		                    $("#addrAliasSt").eq(0).html(postinfo.addrNm.substring(0,10)).hide();
		                    $("#addrAlias").eq(0).val(postinfo.addrNm.substring(0,10));
		                    $("#addrAlias").eq(0).attr("readonly", false).show();
		                    //우편번호 부분
		                    $("#postcode").hide();
		                    $("#postcode").val( postinfo.postno );
		                    $(".mark").hide();
		                    $("#zipSearch").eq(0).hide();    // 우편번호 버튼 숨김
		                    $("#postcode01St").eq(0).html(postinfo.postno).show();
		                    $("#zipcode").eq(0).val(postinfo.postno);
		                    //도로명주소 부분
		                    $("#addrSt").eq(0).html(postinfo.address1).show();
		                    $("#addr").eq(0).val( $.trim(postinfo.address1) ).hide();
		                    //도로명주소 상세 부분
		                    $("#addrDetailSt").eq(0).html(postinfo.address2).show();
		                    $("#addrDetail").eq(0).val( $.trim(postinfo.address2) ).hide();
		                    //도로명 주소 부분
		                    $("#addrFlag").eq(0).val(postinfo.addrFlag);
		                    $("#SEC_ADDRESS1").eq(0).val(postinfo.newaddress1);
		                    $("#SEC_ADDRESS2").eq(0).val(postinfo.newaddress2);
		                    $("#ADDINFO").eq(0).val("X");
		                    
		                    //무인택배함 부분
		                    $("#textShippingMessage").eq(0).val("무인택배함 보관");
		                    
		                }else{
		                	//배송지명 무조건 10자리까지 자르게 임시 조취.
		                    $("#addrAliasSt").eq(0).html(postinfo.addrNm.substring(0,10)).hide();
		                    $("#addrAlias").eq(0).val(postinfo.addrNm.substring(0,10));
		                    $("#addrAlias").eq(0).attr("readonly", false).show();
		                    
		                    $("#postcode01St").eq(0).html(postinfo.postno).show();
		                    $("#zipcode").eq(0).val(postinfo.postno);
		                    
		                    $("#addrSt").eq(0).html(postinfo.address1).show();
		                    $("#addr").eq(0).val( $.trim(postinfo.address1) ).hide();
		                    
		                    $("#addrDetailSt").eq(0).html(postinfo.address2).show();
		                    $("#addrDetail").eq(0).val( $.trim(postinfo.address2) ).hide();
		                    
		                    $("#addrFlag").eq(0).val(postinfo.addrFlag);
		                    $("#SEC_ADDRESS1").eq(0).val(postinfo.newaddress1);
		                    $("#SEC_ADDRESS2").eq(0).val(postinfo.newaddress2);
		                    $("#ADDINFO").eq(0).val("X");
		                    $("#textShippingMessage").eq(0).val("무인택배함 보관");
		                }
						
						// 배송비 조회 및 계산 및 출력
						CurrentView.ui.getShippingCharge(CurrentView.orgParams.ordersId
								, postinfo.postno
								, CurrentView.arrCatsItem);
						
					}} );
				} catch (e) {
					// handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(M_U1121001M_20)" + e, function (){
						navi.naviBack();
					});
					
					return ;
				}
			},
			
			/**
			 * 직접 입력버튼 클릭시 처리
			 */
			onclick_btnNewShippingAddress : function(){
				var objInsertData = {};
				objInsertData.rowData = "manual";
				objInsertData.NICKNAME = "직접 입력";
				objInsertData.ADDRESS_ID = "";
				
				$("#selShippingAddress").val('직접 입력').data("insertData", objInsertData);
				/*배송지수정 
				* 배송지 text화 코드 기존 input text박스는 hide로 숨김 직접입력시에만 show를 사용해서 노출 처리
				*/
				$("#divAddPone").hide();
				$("#addrAliasSt").eq(0).html("").hide();
				$("#recipientSt").eq(0).html("").hide();
				$("#phone12St").eq(0).html("").hide();
				$("#phone22St").eq(0).html("").hide();
				$("#addrSt").eq(0).html("").hide();
				$("#addrDetailSt").html("").hide();
				$("#postcode01St").html("").hide();
				$("#phone11").eq(0).show();
				$("#phone21").eq(0).show();
				$("#addrAlias").val('').prop("readonly", false).show();
				$("#recipientName").val('').prop("readonly", false).show();
				$("#phone11").val('').prop("disabled", false).show();
				$("#phone12").val('').prop("readonly", false).show();
				$("#phone13").val('').prop("readonly", false).show();
				$("#phone21").val('').prop("disabled", false).show();
				$("#phone22").val('').prop("readonly", false).show();
				$("#phone23").val('').prop("readonly", false).show();
				$("#zipcode").val("").show();
				$("#postcode").val("").show();
				$("#addr").val("").show();
				$("#addrDetail").val("").show();
				$("#zipSearch").show();
				$(".mark").show();
				$("#selectShippingMessage").val("").show();
				$("#textShippingMessage").val("").show();
				$("#safedelivery").hide();
				/*
				 * //배송지수정20160426
				 */
				// inQkang 배송지선택 개편 시작
				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDirectInput").parent().addClass("active");
				$("#divRadioArea").css("display","none"); // 라디오 영역 안보이게
				$("#divContentArea").removeClass("mt20").addClass("mt20");
				// inQkang 배송지선택 개편 종료
				CurrentView.objDelivery.ADDRESS_ID = "";
				CurrentView.objDelivery.CARD_MSG = "";
				CurrentView.objDelivery.MESSAGE_CARD = "";
				CurrentView.objDelivery.MESSAGE_CARD_ORDER_NAME = "";
				CurrentView.objDelivery.MESSAGE_CARD_RECEIVER_NAME = "";
			},
			
			/**
			 * 기존배송지 버튼 클릭시 처리
			 */
			onclick_btnRecentShipping : function(nIndex){
				if (undefined == CurrentView.objAddressRoot.RecentAddressList || CurrentView.objAddressRoot.RecentAddressList.length <= 0){
					Ns.Popup.alert( "기존 배송지 내역이 존재하지 않습니다.");
				} else {
					$("#safedelivery").hide();
					var objParams = {};
					objParams.index = nIndex;
					objParams.RecentAddressList = CurrentView.objAddressRoot.RecentAddressList;
					objParams.strCBfn = "CurrentView.ui.setRecentAddress";
					Ns.Popup.showPopup("M_B1310002P", objParams);
				}
			},
			
			/**
			 * 배송지선택 클릭시 처리
			 */
			onclick_showSelectLayer : function(objThis){
				$("#safedelivery").hide();
				$("#textShippingMessage").val("").show();
				
				var objParam = {};
				
				objParam.height = "auto";
				objParam.elem = objThis;
				objParam.index = 0;
				objParam.reFn = "CurrentView.event.onchange_selectLayer";
				
				Ns.Popup.showLayer("select_popup", objParam)
			},
			
			/**
			 * 배송지선택 레이어 팝업 콜백 처리
			 */
			onchange_selectLayer : function(index, data){
				var bFlag = false;
				
				if (typeof(data) == "string" && data == "manual"){	// 직접입력 선택시
					bFlag = true;
				}
				
				var objInsertData = {};
				if (bFlag){
					
					objInsertData.rowData = "manual";
					objInsertData.NICKNAME = "직접 입력";
					objInsertData.ADDRESS_ID = "";
					
					$("#selShippingAddress").val("직접 입력").data("insertData", objInsertData);
					CurrentView.event.onclick_btnNewShippingAddress();
					return ;
					
				} else {
					var strVal = data.NICKNAME;
					
					if (data.ISPRIMARY == 1){
						strVal += " [기본배송지]";
					}
					
					objInsertData.rowData = data;
					objInsertData.NICKNAME = strVal;
					objInsertData.ADDRESS_ID = data.ADDRESS_ID;
					
					$("#selShippingAddress").val(strVal).data("insertData", objInsertData);
				}
				
				CurrentView.ui.setBaseAddressLine(objInsertData.rowData);
			},
			
			/**
			 * 우편번호 버튼 클릭시 처리
			 */
			onclick_btnSearchPostCode : function(){
				mainCtrl.showPostCodeWindows( {callback : function(postinfo) {
					navi.naviBack();
					if ( postinfo == null ) {
						return false;
					}
					
					$("#zipcode").data("data", postinfo.postList);
					$("#zipcode").val(postinfo.postno);
					$("#postcode").val(postinfo.postno);
					$("#addrFlag").val( (postinfo.addrFlag == 'L' ? '100' : '200') );

					$("#addr").val(postinfo.address);
					$("#addrDetail").val(postinfo.addrDetail);
					// inQkang 배송지 개편
					$("#SEC_ADDRESS1").val(postinfo.SEC_ADDRESS1);
					$("#SEC_ADDRESS2").val(postinfo.SEC_ADDRESS2);
					
					
					CurrentView.ui.getShippingCharge(CurrentView.orgParams.ordersId
							, $("#postcode").val()
							, CurrentView.arrCatsItem);
				}} );
			},
			
			/**
			 * 배송메시지 입력시
			 */
			keyup_shippingMessage : function(_this) {
				Ns.Util.checkByteLength(_this, 120);
				var len = Ns.Util.getBytes(_this.value);
				
				$("#shippingMessage_Count").html( Ns.Util.stringFormat("배송 메시지 <br />({0}/{1} byte)", len, 120) );
			},
			
			/**
			 * 변경하기 버튼 클릭시 처리
			 */
			onclick_btnChange : function(){
				//온라인 지정일 배송이 아닌경우에만 체크
				if( CurrentView.orgParams.objCats.slctDay == null && CurrentView.orgParams.objCats.addressId == CurrentView.objDelivery.ADDRESS_ID){
					Ns.Popup.alert("주문시 배송지와 동일한 배송지로 변경하실 수 없습니다.");
					return;
				}
				
				// 배송지명 필수입력 체크
				if (CurrentView.IS_GUEST){	// 비회원일 경우 배송지명이 비노출 이므로 주문하시는분 값을 세팅한다.
					$("#addrAlias").val("비회원배송지변경");
				} else {
					if ($("#addrAlias").val() == ""){
						Ns.Popup.alert( "배송지명을 정확히 입력 해 주세요." ); 
						return false;
					}
				}
				
				if ($("#recipientName").val() == "") {
					Ns.Popup.alert( "받으시는 분의 성함을 정확히 입력해 주세요." );
					return false;
				}
				
				if ($("#phone11").val() == ""){
					Ns.Popup.alert( "휴대폰번호를 정확히 입력해 주세요." );
					return false;
				}
					
				if ($("#phone12").val() == "" || $("#phone12").val().length < 3){
					Ns.Popup.alert( "휴대폰번호를 정확히 입력해 주세요." );
					return false;
				}
					
				if ($("#phone13").val() == "" || $("#phone13").val().length < 4){
					Ns.Popup.alert( "휴대폰번호를 정확히 입력해 주세요." );
					return false;
				}
				
				
				if (($("#phone21").val() + $("#phone22").val() + $("#phone23").val()) != ""){
					if ($("#phone21").val() == ""){
						Ns.Popup.alert( "추가 연락처를 정확히 입력해 주세요." );
						return false;
					}
					
					if ($("#phone22").val() == "" || $("#phone22").val().length < 3){
						Ns.Popup.alert( "추가 연락처를 정확히 입력해 주세요." );
						return false;
					}
					
					if ($("#phone23").val() == "" || $("#phone23").val().length < 4){
						Ns.Popup.alert( "추가 연락처를 정확히 입력해 주세요." );
						return false;
					}
				}
				
				if ($("#postcode").val() == "" || $("#addr").val() == "") {
					Ns.Popup.alert( "주소를 정확히 입력해 주세요." );
					return false;
				}
				
				if ($("#addrDetail").val() == "") {
					Ns.Popup.alert( "상세주소를 정확히 입력해 주세요." );
					return false;
				}
				
				if ($("#textShippingMessage").val().length > 0 && Ns.Util.getBytes(Ns.Util.trimString($("#textShippingMessage").val())) > 120) {
					Ns.Popup.alert( "배송메시지는 120byte를 초과할 수 없습니다." );
					return false;
				}
				
				
				CurrentView.objDelivery.orgAddress_id = CurrentView.orgParams.objCats.addressId;
				CurrentView.objDelivery.NICKNAME = $("#addrAlias").val();
				CurrentView.objDelivery.LASTNAME = $("#recipientName").val();
				CurrentView.objDelivery.DLVY_NICNAME = $("#recipientName").val();
				CurrentView.objDelivery.DLVY_POSTCODE1 = $("#postcode").val();
				CurrentView.objDelivery.DLVY_POSTCODE2 = $("#postcode").val();
				CurrentView.objDelivery.DLVY_ADDRESS1 = $("#addr").val();
				CurrentView.objDelivery.DLVY_ADDRESS2 = $("#addrDetail").val();
				CurrentView.objDelivery.FAX1 = $("#addrFlag").val();
				CurrentView.objDelivery.ZIPCODE = $("#postcode").val();
				CurrentView.objDelivery.ADDRESS1 = $("#addr").val();
				CurrentView.objDelivery.ADDRESS2 = $("#addrDetail").val();
				CurrentView.objDelivery.PHONE1TYPE = "K";
				CurrentView.objDelivery.PHONE2TYPE = "T";
				CurrentView.objDelivery.PHONE1 = Ns.Util.insertSeparatorPhoneNumber($("#phone11").val() + $("#phone12").val() + $("#phone13").val(), "-");
				CurrentView.objDelivery.PHONE2 = Ns.Util.insertSeparatorPhoneNumber($("#phone21").val() + $("#phone22").val() + $("#phone23").val(), "-");
				CurrentView.objDelivery.MOBILE_NO11 = $("#phone11").val();
				CurrentView.objDelivery.MOBILE_NO12 = $("#phone12").val();
				CurrentView.objDelivery.MOBILE_NO13 = $("#phone13").val();
				CurrentView.objDelivery.MOBILE_NO21 = $("#phone21").val();
				CurrentView.objDelivery.MOBILE_NO22 = $("#phone22").val();
				CurrentView.objDelivery.MOBILE_NO23 = $("#phone23").val();
				CurrentView.objDelivery.DLVY_MESSAGE = $("#textShippingMessage").val();
				CurrentView.objDelivery.ziptype = $("#addrFlag").val();
				CurrentView.objDelivery.SEC_ZIPCODE = $("#postcode").val();
				CurrentView.objDelivery.SEC_ADDRESS1 = $("#SEC_ADDRESS1").val();
				CurrentView.objDelivery.SEC_ADDRESS2 = $("#SEC_ADDRESS2").val();
				CurrentView.objDelivery.ADDINFO = $("#ADDINFO").val();
				if (CurrentView.IS_GUEST) { //비회원
					if($("#zipcode").data("data") != undefined){
						CurrentView.objDelivery.DLVY_POSTCODE1 = $("#postcode").val();
						CurrentView.objDelivery.DLVY_POSTCODE2 = $("#postcode").val();
						CurrentView.objDelivery.FAX1 = $("#addrFlag").val();
						CurrentView.objDelivery.BUSINESSTITLE = $("#zipcode").data("data").NADRE;
						CurrentView.objDelivery.REGISTERTYPE = "G";
						
						CurrentView.objDelivery.SEC_ZIPCODE = $("#postcode").val();
						CurrentView.objDelivery.SEC_ADDRESS1 = $("#SEC_ADDRESS1").val();
						CurrentView.objDelivery.SEC_ADDRESS2 = $("#SEC_ADDRESS2").val();
						
						CurrentView.objDelivery.FAX2 = $("#postcode").val();
						CurrentView.objDelivery.ADDRESS1 = $("#addr").val();
						CurrentView.objDelivery.ADDRESS2 = $("#addrDetail").val();
						CurrentView.objDelivery.ADDINFO = $("#ADDINFO").val();
					}else{
						CurrentView.objDelivery.DLVY_POSTCODE1 = $("#postcode").val();
						CurrentView.objDelivery.DLVY_POSTCODE2 = $("#postcode").val();
						CurrentView.objDelivery.FAX1 = $("#addrFlag").val();
						CurrentView.objDelivery.BUSINESSTITLE = $("#addrAlias").val();
						CurrentView.objDelivery.REGISTERTYPE = "G";
						
						CurrentView.objDelivery.SEC_ZIPCODE = $("#postcode").val();
						CurrentView.objDelivery.SEC_ADDRESS1 = $("#SEC_ADDRESS1").val();
						CurrentView.objDelivery.SEC_ADDRESS2 = $("#SEC_ADDRESS2").val();
						
						CurrentView.objDelivery.FAX2 = $("#postcode").val();
						CurrentView.objDelivery.ADDRESS1 = $("#addr").val();
						CurrentView.objDelivery.ADDRESS2 = $("#addrDetail").val();
						CurrentView.objDelivery.ADDINFO = $("#ADDINFO").val();
					}
					
				}
				var objParam = {};
				objParam.orders_id = CurrentView.orgParams.ordersId;
				objParam.users_id  = USERINFO.userId();
				objParam.cust_num = USERINFO.custNum();
				objParam.accptPath = String(DEFAULT_PARAMs.accptPath);
				objParam.deliveryModifyList = "["+JSON.stringify(CurrentView.objDelivery)+"]";
				objParam.slctDayVal = $("#DeliveryDate option:selected").text();//지정일 배송
				
				// NSSR-28019 hckim 2019.10.24 배송지 변경 이후 주문 상세 내역 으로 이동할 파라미터 설정
				var params = {};
				params.ordersId = CurrentView.orgParams.ordersId;
				params.monthly = CurrentView.orgParams.monthly;
				params.pageidx = CurrentView.orgParams.pageidx;
				params.hasCantTraceCardYn = CurrentView.orgParams.hasCantTraceCardYn;				
				
				// 변경 api 호출 및 처리
				tran.callWCSJsonTran('NSOrderDeliveryModifyCmdMobile', objParam, function(data){
					if (undefined == data.msg){
						Ns.Popup.alert( "배송지 변경을 실패하였습니다.");
					}
					// hckim 2019.10.24 NSSR-28019 배송지 변경 이후 페이지 이동으로 처리(navi.moveBack()으로 할 경우 최근배송지, 배송주소록 선택 시 주문서상세 페이지로 이동하지 않음)
					if (data.msg.result == "success" && data.msg.resultCode == "0"){
						Ns.Popup.alert( "배송지가 변경되었습니다.", function(){
							mainCtrl.navigate("M_U1121600M", params );
						}, null, true);
					// inQkang 배송지선택 개편 start
					} else if (data.msg.result == "failure" && data.msg.resultCode == "1" && data.msg.errorCode == "M") {
						Ns.Popup.alert( "배송이 완료되어 주문변경 및 취소 불가능상태입니다."); // inQkang 배송지선택 개편 end
					} else {
						Ns.Popup.alert( "배송지 변경을 실패하였습니다.");
					}
					
					
					
					
				});
				
			},
			//inQkang Tab click
			onclick_ulListTabArea : function(_this) {
				
				var id = $(_this).attr('id');
				$("#ulListTabArea").find("li").removeClass("active");
				$("#" + id).parent().addClass("active");
				if( id == "tabDestination") {
					CurrentView.ui.setDefaultAddress(CurrentView.orgParams.objCats.ship);
					$("#fieldset_addr").find("[name=safedelivery]").hide();
				} else if( id == "tabDirectInput" ) { // 직접입력
					// data setting
					var objInsertData = {};
					objInsertData.rowData = "manual";
					objInsertData.NICKNAME = "직접 입력";
					objInsertData.ADDRESS_ID = "";
					
					$("#selShippingAddress").val("직접 입력").data("insertData", objInsertData);
					CurrentView.event.onclick_btnNewShippingAddress();
				}
			},	
			// 배송지선택 팝업 - 최근배송지, 배송주소록 클릭시
			// onclick_recentShipping 참조 
			onclick_selectShippingPop : function (rtnObj){

				var radioIndex = $(rtnObj).val();
				var nIndex = 0;  // 복수배송지 index
				try {
					if (radioIndex == '1' || radioIndex == '2') { // 최근배송지, 배송주소록
						$("#fieldset_addr").find("[name=safedelivery]").hide();
						CurrentView.check_safe_guest = null;
						var objParams = {};
						objParams.index = nIndex;
						// inQkang 2017.04.11 배송지UI개편 - tab index 추가
						objParams.tabIndex = radioIndex;
						objParams.RecentAddressList = CurrentView.objAddressRoot.RecentAddressList; // 기존 주소록
						objParams.strCBfn = "CurrentView.ui.setNewRecentShipping";
						Ns.Popup.showPopup("M_B1310002P", objParams);		
					} else { // 기본 배송지 
						if(CurrentView.objAddressRoot.AddressList != null && CurrentView.objAddressRoot.AddressList.length > 0) {
							CurrentView.ui.setBaseAddressLine(CurrentView.objAddressRoot.AddressList[0]);
						} else {
							Ns.Popup.alert("등록된 기본배송지가 없습니다.");
							$('input:radio[name=radioDeliverySearch]:input[value=0]').prop('checked', false);
							
						}
					}
				} catch (e) {
					// handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(M_U1121001M_01)" + e , function (){
						navi.naviBack();
					});
					
					return ;
				}
			},			
		}
}; 