
/* JavaScript content from js/mypage/M_U1121002P.js in folder common */

/* 
 *	마이페이지 > 주문내역/배송조회 > 카드결제
 *  ID : M_U1121001P
 *  
*/

//page 컨트롤 클래스
CurrentPopup = {
		
		orgPrams : new Object(),
		minNoinst : 999,
		orgNSOrderPaymentModifyMobile : new Object(),
		orgPaymentMethodInitData : new Object(),
		paymentMethodInitData : new Object(),
		
		init : function( params ) {
			this.onLoad(params);
			this.initializeComponent();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			
			
			// 신용카드 이용안내 클릭 이벤트 처리
			$("#btnCreditCardGuide").off().on("click", function(){
				Ns.Popup.showLayer('M_B1339900L', {});	// 신용카드 이용안내 레이어 팝업 호출
			});
			
			// 카드리스트 셀렉트 박스 선택 변경시 이벤트 처리
			$("#seltdCardList").off().on("change", function(){
				$("input:radio[name=EP_noinst_flag]:radio[value='N']").prop("checked", true).trigger("change");
				CurrentPopup.ui.setQuota();	// 할부 셀렉트 박스 옵션 처리
			});
			
			// 일반할부 셀렉트 박스 선택 변경시 이벤트 처리
			$("#EP_quota").off().on("change", function(){
				$("input:radio[name=EP_noinst_flag]:radio[value='Y']").prop("checked", true).trigger("change");
				
				// 5만원이하 결제 금액 할부 불가 처리
				if (Number($("#strongDpstSchdAmt").data("data").dpstSchdAmt, 10) < 50000){
					Ns.Popup.alert( "신용카드 결제금액이 5만원 이상인 경우에만 할부 적용이 가능합니다.");
					$("input:radio[name=EP_noinst_flag]:radio[value='N']").prop("checked", true).trigger("change");
				}
			});
			
			// 일시불/할부 라디오 버튼 선택 변경시 이벤트 처리
			$("input:radio[name=EP_noinst_flag]").off().on("change", function(){
				if($("input:radio[name=EP_noinst_flag]:checked").val() == "N"){
					$("#EP_quota").find("option[value=00]").prop("selected", true);
				}
			});
			
			// 변경취소 클릭시 이벤트 처리
			$("#btnCancelPayment").off().on("click", function(){
				navi.moveBack();
			});
			
			// 결제하기 클릭시 이벤트 처리
			$("#btnChangePayment").off().on("click", function(){
				CurrentPopup.event.changePayment();
			});
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			CurrentPopup.orgPrams = JSON.parse(JSON.stringify(params));
			CurrentPopup.data.call_NSOrderPaymentModifyMobile(params);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			/**
			 * 최초 진입시 data 조회
			 */
			call_NSOrderPaymentModifyMobile : function(params){
				var param = new Object();
				param.storeId = params.storeId;	// storeentId
				param.userId = USERINFO.userId();	// 사용자 id
				param.co_cd = Const.getCocd();	// api 내부적으로 주문시 cocd 추출한다고함, 일단 화면에서는 현 cocd 적재
				param.catalogId = "";	// 미입력
				param.accptPath = Const.getAcceptPath();	//500,501
				param.orderId = params.ordersId;	// 주문번호
				
				tran.callWCSJsonTran("NSOrderPaymentModifyMobile", param, CurrentPopup.ui.setPaymentInfo);
			},
			
			
			doPaymentApprovalRequest : function(param, callback){
				param = $.extend({
					userId : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.USERS_ID,
					orderId : CurrentPopup.orgPrams.ordersId,
					ordersId : CurrentPopup.orgPrams.ordersId,
					originOrdersId : CurrentPopup.orgPrams.ordersId,
					custNum : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.CUSTOM_NUMBER,
					userNm : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.LASTNAME,
					loginId : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.LOGONID,
					co_cd : CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.PTN_CD,
					dispTypeCd : CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.DISP_TYPE_CD
				}, param);
				
				// 20150325 정헌태 추가 - vdn_cd (모바일 주문 접수 응대 번호) 데이터 다음 API 호출 시 추가
				if (mainCtrl.isOsApp()){	// App
					param.vdn_cd = "54101";
				} else {	// Web
					param.vdn_cd = "54102";
				}
				
				tran.callWCSJsonTran('PaymentApprovalRequestCmd', param, callback);
			},
			
			/**
			 * 결제 전 인증 전후 값 로그 적재
			 * reqresType 인증전 E, 인증후 O
			 */
			setPaymentLogJS : function(reqresType, ordersId, payAmt, payTypeCd, frm_pay){
				var invokeParams = {
					"tasknm" : "alejandro",
					"var" : JSON.stringify({
						"cnm" : "com.ns.commerce.nspayment.helper.NSPaymentLogTableJDBCHelper",
						"mnm" : "xpayapprLog",
						"args":	{ 
							"ordersId":ordersId, 
							"paySeq":"0", 
							"apprSeq":"0", 
							"reqresType":reqresType, 
							"payClssfCd":"000", 
							"payTypeCd":payTypeCd, 
							"requestCmd":"Certification", 
							"payAmt":payAmt, 
							"apprLog": frm_pay 

						}
					})
				};
				
				// 결제 인증 전후 로그 적재 실행
				tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
					
					if (reqresType == "E"){	// 인증 전 콜백처리 진행
						//
					} else if (reqresType == "O"){	// 인증 후 콜백처리 진행
						var objData = new Object();
						
						if (undefined == frm_pay){
							objData = eval("JSON.parse(data.var).args.apprLog");
						} else {
							objData = Ns.Util.serializeToObject(frm_pay);
						}
						
						// 1. 롯데카드 직승인일 경우(2016.10.25 신혜수)
						if (CurrentPopup.paymentMethodInitData.VAN_CO == "20" && CurrentPopup.paymentMethodInitData.usedcard_code == "AM"){	
							if (objData.result == "0000"){
								CurrentPopup.paymentMethodInitData.EP_card_prefix = objData.card_no.substring(0, 6);
								CurrentPopup.paymentMethodInitData.EP_card_chain_id = "1178133642";	// 가맹점 번호 추가
								CurrentPopup.paymentMethodInitData.EP_card_cocd = CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.PTN_CD;
								
								CurrentPopup.paymentMethodInitData.PAY = "SPS";//frm_pay.auth_type;	//안심클릭 인지 간편결제인지 판단 SPS   ,  EACS 값
								
								CurrentPopup.paymentMethodInitData.card_no = objData.card_no;	//인증시 받은 카드 번호
								//CurrentPopup.paymentMethodInitData.order_amount = CurrentView.objPaymentCertData.payAmt;	//카드 결제 금액
								CurrentPopup.paymentMethodInitData.order_amount = CurrentPopup.paymentMethodInitData.payAmt;
								CurrentPopup.paymentMethodInitData.order_cardname = "LOTTECARD";//카드명   LOTTECARD
								CurrentPopup.paymentMethodInitData.apvl_chain_no_lt = CurrentPopup.paymentMethodInitData.str_apvl_chain_no_lt;	//인증시 사용한 가맹점
								CurrentPopup.paymentMethodInitData.cavv = objData.cavv;	//인증시 받은 복호화된 값
								CurrentPopup.paymentMethodInitData.xid = objData.xid;
								
								CurrentPopup.paymentMethodInitData.EP_kvpcardcode = objData.card_no;	//인증시 받은 카드 번호
								CurrentPopup.paymentMethodInitData.EP_card_no = objData.card_no;
								
								CurrentPopup.data.gotoPaymentComplete(CurrentPopup.paymentMethodInitData);	// 결제 완료 호출
							} else {
								Ns.Popup.alert( "결제요청이 실패하였습니다.<br />" + objData.msg );
								
								if (mainCtrl.isOsApp()){
									//
								} else {
									if ($("#certScript").length != 0){
										mainCtrl.hideCertView();
									}
								}
							}
							
						// 2. KB국민카드 직승인일 경우(2016.10.25 신혜수)
						} else if ( CurrentPopup.paymentMethodInitData.VAN_CO == "20" 
									&& CurrentPopup.paymentMethodInitData.usedcard_code == "KM"){ 
							$.each(frm_pay,function(key,val){
								frm_pay[key] = decodeURIComponent(val);
							});
							
							if(frm_pay.SendCode == '10001000'){ // 성공
								frm_pay.EncData = encodeURIComponent(frm_pay.EncData);
								CurrentPopup.data.gotoPaymentComplete(frm_pay);	// 결제 완료 호출														
							} else {
								if(frm_pay.SendCode == '22002200'){ // ISP 인증 취소
									Ns.Popup.alert( "결제요청을 취소하셨습니다.<br />");
								} else if(frm_pay.SendCode == '00130013') {
									Ns.Popup.alert( "ISP인증이 정상적으로 처리되지 않았습니다..<br />");
								} else {
									//TODO 추후 메세지 변경
									Ns.Popup.alert( "서버와 통신이 원활하지 못합니다. 잠시 후 다시 시도해 주십시오." );
									//Ns.Popup.alert( "결제요청이 실패하였습니다.<br />" + JSON.stringify(frm_pay.Message) );
								}
								
								if (mainCtrl.isOsApp() || mainCtrl.VIEW_TYPE == 'iosweb'){
									
								} else {
									if ($("#certScript").length != 0){
										mainCtrl.hideCertView();
									}
								}
							}
							
							// 2016 - 12 Ssong 신한 직승인 추가
						} else if ( CurrentPopup.paymentMethodInitData.VAN_CO == "20" 
							&& CurrentPopup.paymentMethodInitData.moduleGubun == "P"){
							// 성공 , 실패 관계 없이 인증 결과값을 수신 받았을 경우  
							if(objData.sendCode == "success"){
								$.each(objData,function(key,val){
									objData[key] = encodeURIComponent(decodeURIComponent(val));
								});
								CurrentPopup.data.gotoPaymentComplete(objData);	// 결제 완료 호출
								
							// 고객이 인증을 취소 했을 경우
							} else if (frm_pay.sendCode == "cancel"){
								if ($("#certScript").length != 0){
									mainCtrl.hideCertView();
								}
							}
							
						} else {
							var unParams = new Object();
							for (var key in objData){
								/*
								 * EP8.0에서 kvp_sessionkey, kvp_encdata에 개항문자가 포함되어 SyntaxError 발생.
								 * android app일 경우 decoding data가 넘어온다.
								 */
								if (mainCtrl.VIEW_TYPE == "android" && (key == 'EP_kvp_sessionkey' || key == 'EP_kvp_encdata')) {
									eval("unParams." + key + "='" + encodeURIComponent(frm_pay[key]) + "'");
								} else if (mainCtrl.VIEW_TYPE == "ios") {
									eval("unParams." + key + "='" + frm_pay[key] + "'");
								} else {
									eval("unParams." + key + "='" + decodeURIComponent(frm_pay[key]) + "'");
								}
							}
							
							if (unParams.EP_res_cd == '0000') { // 성공
								CurrentPopup.data.fncGetCardChainId(unParams);	// 가맹점 번호 조회
							} else {
								Ns.Popup.alert( "결제요청이 실패하였습니다.<br />" + JSON.stringify(unParams.EP_res_msg) );
								if (mainCtrl.isOsApp()){
									//
								} else {
									if ($("#certScript").length != 0){
										mainCtrl.hideCertView();
									}
								}
							}
						}
					}
				})
			},
			
			fncGetCardChainId : function(params){
				params.EP_card_prefix = params.EP_card_prefix.substring(0, 6);	// card_prefix를 무조건 6자리로 자른다 
				
				var cardPrefixNum = params.EP_card_prefix;	// 카드사 코드
				var acctPath = "MOBIL";	// 유입경로 MOBIL
				var irFreeYn = CurrentPopup.paymentMethodInitData.EP_noinst_flag;	// 무이자 할부 여부 ; 무이자:Y,일반할부:N
				var ispApprYn = params.EP_req_type == "1" ? "Y" : "N";	// ISP결제여부 : ISP결제일경우:Y,그외:N ; 1(ISP), 2(안심클릭), 3(PIN)
				var CARD_COCD = CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.PTN_CD;
				var dispTypeCd = CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.DISP_TYPE_CD;	// 전시유형코드
				
				var invokeParams = {
					"tasknm" : "alejandro",
					"var" : JSON.stringify({
						"cnm" : "com.ns.commerce.nscart.helper.NSOrderBizJDBCHelper",
						"mnm" : "getCardChainId",
						"args":	{ 
							"cardPrefixNum":cardPrefixNum, 
							"acctPath":acctPath, 
							"dispTypeCd":dispTypeCd, 
							"irFreeYn":irFreeYn, 
							"ispApprYn":ispApprYn,
							"cocd":CARD_COCD
						}
					})
				};
				
				
				// 가맹점 번호 조회 API 통신 및 콜백
				tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
					/* todo... 차후 적용
					if (null != data.list.cardChainId || undefined != data.list.cardChainId || "" != data.list.cardChainId){
						Ns.Popup.alert("결제 요청하신 카드는 NS홈쇼핑 모바일에서 사용 불가능한 카드입니다.");
					} else {
						params.cardChainId = data.list.cardChainId;
						CurrentView.event.gotoPaymentComplete(params);
					}
					*/
					
					params.EP_card_chain_id = data.list.cardChainId;	// 가맹점 번호 추가
					params.EP_card_cocd = CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.PTN_CD;
					CurrentPopup.data.gotoPaymentComplete(params);	// 결제 완료 호출
				});
				
			},
			
			/**
			 * 최종 결제 정보 통신
			 */
			gotoPaymentComplete : function (params){
			
				// 폼 데이터에 반영
				var data = {};
				for (var key in params) {
					if (params[key] && params[key].length > 0) {
						data[key] = String(params[key]);
					}
				}
				data['orderCompleteYn'] = 'Y';
				data['requestCommand'] = 'LastApproval';
				data['payType'] = '100';
				data['EP_card_code'] = params.EP_kvpcardcode;
				data['EP_card_prefix'] = params.EP_card_prefix;
				data['EP_ret_pay_type'] = params.EP_pay_type;
				//data['EP_trace_no'] = params.EP_m_cert_no;
				//easypay 8.0추가
				data['EP_trace_no'] 		= params.EP_cno;
				data['EP_card_req_type'] 	= params.EP_req_type;
				data['EP_kmotion_useyn'] 	= params.EP_kmotion_useyn;
				data['EP_kvp_pgid'] 		= "";
				data['EP_kvp_cardcode'] 	= params.EP_kvp_cardcode;
				data['EP_kvp_sessionkey'] 	= params.EP_kvp_sessionkey;
				data['EP_kvp_encdata'] 		= params.EP_kvp_encdata;
				data['EP_kvp_payset_flag'] 	= params.EP_kvp_payset_flag;
				data['EP_kvp_using_point'] 	= params.EP_kvp_using_point;
				
				if (undefined != CurrentPopup.paymentMethodInitData.EP_noinst_term && "" != CurrentPopup.paymentMethodInitData.EP_noinst_term){
					data['EP_noinst_term'] = CurrentPopup.paymentMethodInitData.EP_noinst_term.split("-")[1];
				}
				
				// usedcard_code 카드 세팅 ; 026은 BC로 등등등 각 카드코드에 해당하는 카드사 약자
				var objCardList = CurrentPopup.orgNSOrderPaymentModifyMobile.UseCardList;
				for (var i = 0; i < objCardList.length; i++){
					if (objCardList[i].EZPAYCD == params.EP_card_cd){
						data['usedcard_code'] = objCardList[i].CARD_CO_CD;
						break;
					} 
				}
				
				// EP_card_prefix가 이상이 있으면 000000000으로 세팅한다.
				if (null == params.EP_card_prefix || undefined == params.EP_card_prefix || params.EP_card_prefix == ""){
					data['EP_card_prefix'] = "000000000";
				}

				$.extend(true, CurrentPopup.paymentMethodInitData, CurrentPopup.paymentMethodInitData, data)
				
				
				var orderItem = {
						orderItemIds : [],
						catEntryIds : [],
						orderItemQuantitys : [],
						orderItemAmount : []
				};
				
				for (var i = 0; CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList.length > i; i++){
					orderItem.orderItemIds.push(CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[i].goodsDetail.ORDERITEMS_ID);
					orderItem.catEntryIds.push(CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[i].goodsDetail.CATENTRY_ID_CHILD);
					orderItem.orderItemQuantitys.push(CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[i].goodsDetail.QUANTITY);
					orderItem.orderItemAmount.push(CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[i].goodsDetail.PRICE);
				}
				
				
				var param = {
					amtPrice : $("#strongDpstSchdAmt").data("data").dpstSchdAmt,
					totImdtDcCpAmt : "0",
					caltotalShipCharge : "0",
					registerType : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.REGISTERTYPE,
					orderTotalAmt : $("#strongDpstSchdAmt").data("data").dpstSchdAmt,
					sfinalPaymentAmtSaveExclude : $("#strongDpstSchdAmt").data("data").dpstSchdAmt,	//  - sfinalPaymentAmtSaveExclude 부가결제 수단을 재외한 화면에 뿌려지는 값 세팅
					expectAccmAmt : "0",
					couponDcAmt : "0",
					cardDcAmt : "0",
					orderCompleteYn : 'Y',
					classifyCd : '100', // 결제 분류코드(100=승인, 200=취소)
					productList : "",
					deliveryList : "",
					discountList : "",
					paymentList : JSON.stringify({"paymentList" : [CurrentPopup.paymentMethodInitData]}),
					orderName : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.LASTNAME,
					orderMail : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.EMAIL1,
					contactNum : Ns.Util.insertSeparatorPhoneNumber(CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.PHONE1, "-", true),
					parentCatEntryId : CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.CATENTRY_ID_PARENT,
					catEntryIds : orderItem.catEntryIds,
					orderItemQuantitys : orderItem.orderItemQuantitys,//////////////
					orderItemIds : orderItem.orderItemIds,///////////////
					orderItemAmount : orderItem.orderItemAmount,/////////////////
					orderUserInfo : "",
					
					user_type : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.USER_TYPE,
//						payType : "100",//////////////
//						requestCommand : "LastApproval",////////////////
						
						
				};
				
//				if (CurrentView.m_outputDatas.msg.UserInfo.REGISTERTYPE == 'G') { // 비회원
//					param.orderUserInfo = CurrentView.PaymentData.OrderUserInfo.toJSON();
//				}
				
//				param.directOrderYN = CurrentView.directOrderYN;//////////////////
//				mainCtrl.strOrderInOrderId = CurrentView.m_inputParams.orderId;///////////////
				
				param = $.extend({
					userId : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.USERS_ID,
					orderId : CurrentPopup.orgPrams.ordersId,
					ordersId : CurrentPopup.orgPrams.ordersId,
					orginOrdersId : CurrentPopup.orgPrams.ordersId,
					custNum : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.CUSTOM_NUMBER,
					userNm : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.LASTNAME,
					loginId : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.LOGONID,
					req_co_cd : CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.PTN_CD,
					co_cd : CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.PTN_CD,///////////////
					dispTypeCd : CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.DISP_TYPE_CD/////////
				}, param);
				
				if (mainCtrl.isOsApp()){	// App
					param.vdn_cd = "54101";////////////
				} else {	// Web
					param.vdn_cd = "54102";
				}
				
//				param.chkInventoryQuantityType = CurrentView.chkInventoryQuantityType;///////////////
				
				tran.callWCSJsonTran('PaymentModifyRequestCmd', param, function(data){
					if (data.msg && data.msg.result == 'success') {
						// 결제완료 후 결제창 닫힘처리(2016.10.26 신혜수)
						if ( $("#certScript").length != 0 ){
						//if ( CurrentPopup.paymentMethodInitData.usedcard_code == "KM" && $("#certScript").length != 0){
							mainCtrl.hideCertView();
						}
						Ns.Popup.alert( "결제수단이 변경되었습니다.", function(){
							eval(CurrentPopup.orgPrams.reFn + "("+ CurrentPopup.orgPrams.ordersId +")");
						}, null, true);
					} else {
						var strAlertSubMsg = "";
						
						if (undefined != data.msg){
							if (undefined != data.msg.resultMessage){
								strAlertSubMsg = "<br />" + data.msg.resultMessage;
							}
						}
						
						if ($("#certScript").length != 0){
							mainCtrl.hideCertView();
						}
						
						for(var i = 0; i < navi.objNaviData.pageIds.length ; i++){
							if ("M_B1310000M" == navi.getPageId()){
								break;
							}
							navi.setMovePointer(-1);
						}
						 
						Ns.Popup.alert( "결제를 실패하였습니다." + strAlertSubMsg, function(){
							navi.naviBack();
						});
					}
				});
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			/**
			 * 초기에 화면 ui 출력
			 */
			setPaymentInfo : function(data){
				var root = data.msg.root;
				
				CurrentPopup.orgNSOrderPaymentModifyMobile = JSON.parse(JSON.stringify(root));
				
				$("#strongOrdersId").html(CurrentPopup.orgPrams.ordersId);
				$("#strongTimeplaced").html(CurrentPopup.orgPrams.timeplaced);
				
				$("#spanDpstLimitTm").html(root.withoutBankInfo.dpstLimitTm + "까지 미입금 시 주문이 취소됩니다.");
				$("#tdDpstBankNm").html(root.withoutBankInfo.dpstBankNm);
				$("#tdDpstAcctNum").html(root.withoutBankInfo.dpstAcctNum);
				$("#tdRmitr").html(root.withoutBankInfo.rmitr);
				$("#strongDpstSchdAmt").html(Ns.Util.insertCommas(root.withoutBankInfo.dpstSchdAmt) + "원").data("data", root.withoutBankInfo);
				
				$("#seltdCardList").html("<option value=\"\">선택하세요</option>");
				
				var objCardList = root.UseCardList;
				for (var i = 0; root.UseCardList.length > i; i++){
					//KAKAO BANK 직승인이 아니면 카드리스트에서 노출되지 않도록 함 - 170609 hawoong
					if(objCardList[i].CARD_CO_NM.indexOf("카카오") != -1 && objCardList[i].DIRECT_YN != "Y"){
					}else{
						var $opt = $("<option value=\"" + objCardList[i].CARD_SEQ + "\">" + objCardList[i].CARD_CO_NM + "</option>");
						$opt.data("data", objCardList[i]);
						$("#seltdCardList").append($opt);
					}
				}
				
				$("#seltdCardList").data("data", root.UseCardList);

				for (var i = 0; root.OrderGoodList.length > i; i++){
					if (CurrentPopup.minNoinst > Number(root.OrderGoodList[i].goodsDetail.PROM_VAL_IFI, 10)){
						//2017.12.15 Wapers 사은품일 때에는 무이자 개월수 적용하지 않는다.
						if(root.OrderGoodList[i].goodsDetail.GIFT_YN == "N") {
							CurrentPopup.minNoinst = Number(root.OrderGoodList[i].goodsDetail.PROM_VAL_IFI, 10);
						}
					}
				}
				
				//일시불할인을 받았다면 할부선택막기EP_noinst_flag
				
				var singlePaymentDc = "";
				
				if(root.withoutBankInfo.singlePaymentDc != undefined){
					singlePaymentDc = root.withoutBankInfo.singlePaymentDc;
				}

				if(singlePaymentDc =="Y"){
					$('#EP_quota').prop('disabled', true);
					$('input[name=EP_noinst_flag]').eq(0).prop('checked', true);
					$('input[name=EP_noinst_flag]').eq(1).prop('disabled', true);
				}else{
					$('#EP_quota').prop('disabled', false);
				}
				
				/**
				 * 결제수단에대한 초기화 기본데이터를 조회 적재
				 */
				CurrentPopup.data.doPaymentApprovalRequest(
					{paymentList : JSON.stringify({"paymentList" : [{'payType' : '100', 'requestCommand' : 'RequestInfo', 'payAmt' : $("#strongDpstSchdAmt").data("data").dpstSchdAmt}]})},
					function(data){
						if (data.msg && data.msg.result == 'success') {
							var strEP_user_addr = "";
							//비회원 체크, 비회원이면 false
							if(mainCtrl.checkLogonStatus()){ 
								if ($.trim(CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.ADDRESS1.replace(/&amp;:/g, "")) != ""){
									strEP_user_addr = CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.ADDRESS1.replace(/&amp;:/g, " ");
								} else if ($.trim(CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.ADDRESS1.replace(/&amp;:/g, "")) != ""){
									strEP_user_addr = CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.ADDRESS2.replace(/&amp;:/g, "") + " " + CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.ADDRESS3;
								} else {
									strEP_user_addr = "";
								}
							}
							// 결제수단별 초기화 기본데이터 저장
							CurrentPopup.paymentMethodInitData = {
								'EP_order_no' : CurrentPopup.orgPrams.ordersId,
								'EP_user_type' : (CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.REGISTERTYPE == 'G' ? '2' : '1'),
								'EP_user_id' : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.LOGONID,
								'EP_user_nm' : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.LASTNAME,
								'EP_user_mail' : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.EMAIL1,
								'EP_user_phone1' : Ns.Util.insertSeparatorPhoneNumber(CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.PHONE1),
								'EP_user_addr' : strEP_user_addr,
								'EP_product_type' : "0",
								'EP_product_nm' : CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].itemDetailInfo.productName,
								'EP_product_expr' : '',
								'EP_tax_flg' : 'N',
								'EP_cert_type' : data.msg.EP_cert_type,
								'EP_mall_id' : data.msg.EP_mall_id,
								'EP_mall_id_temp' : data.msg.EP_mall_id,
								'EP_mall_id_free_temp' : data.msg.EP_mall_id_free,
								'EP_currency' : data.msg.EP_currency,
								'EP_agent_ver' : data.msg.EP_agent_ver,
								'EP_mall_nm' : data.msg.EP_mall_nm,
								'EP_mall_pwd' : data.msg.EP_mall_pwd,
								'EP_lang_flag' : data.msg.EP_lang_flag,
								'EP_ci_url' : data.msg.EP_ci_url,
								'EP_pay_type' : '11',
								'EP_card_code' : '',
								'EP_card_prefix' : '',
								'EP_ret_pay_type' : '',
								'EP_trace_no' : '',
								'EP_min_install_cnt' : CurrentPopup.minNoinst,	// 최대 무이자 개월수
								
								'order_amount' : '0',
								'order_cardname' : '',	
								'apvl_chain_no_lt' : '',	
								'cavv' : '',	
								'xid' : '',	
								'EP_kvpcardcode' : '',
								'EP_card_no' : ''
													
							};
							
							CurrentPopup.orgPaymentMethodInitData = JSON.parse(JSON.stringify(CurrentPopup.paymentMethodInitData));
						}
					}
				)
			},
			
			/**
			 * 할부 셀렉트 박스 옵션 처리
			 */
			setQuota : function(){
				var strOptHtml = "<option value=\"00\" >일반 할부</option>";
				
				// 신용카드사 선택이 없을 경우 처리
				if ($("#seltdCardList").find("option:selected").val() == ""){
					$("#EP_quota").html(strOptHtml);
					return;
				}
				
				var objSeltdData = $("#seltdCardList").find("option:selected").data("data");
				var nMaxForCnt = 12;
				var strSelectedOpt = objSeltdData.CARD_CO_CD + "_" + objSeltdData.EZPAYCD;
				
				// 2017.08.10 Wapers 카드 무이자 할부 리스트 호출
				var tCardVal = strSelectedOpt.substring(0,2);
				
				var tEasyCode = strSelectedOpt.substring(3,6);
				
				// 신한카드의 경우는 SH --> LG로 변경한다.
				if(tCardVal == 'SH' && tEasyCode == '029') {
					tCardVal = 'LG';
				}
				
				
				tran.callWCSJsonTran( "NSMypageCommCmd", 				
						{	
							"tasknm" : "instmMmsList",
							"var" : tCardVal
						}, 
						function (data){
							if(data != null && data.isSuccessful) {
								if (CurrentPopup.minNoinst > 12){
									if(data.list.length > 11){
										nMaxForCnt = CurrentPopup.minNoinst;
									}
								}
								
								var tmpForCnt;
								if(nMaxForCnt < 13 ) {	 // 무이자 12개월 이하이면 무조건 2~12개월만 보여준다. 
									tmpForCnt = 11;
								} else if(nMaxForCnt-1 > data.list.length) {	// 무이자 상품 개월수가 카드 무이자 개월수보다 많으면 카드가 내려주는 무이자 개월수를 보여준다.
									tmpForCnt = data.list.length;
								}
								else {	// 무이자 상품 개월수를 보여준다.
									tmpForCnt = nMaxForCnt;
								}
								
								$("#EP_quota").empty();
								$("#EP_quota").html('<option value="00" >일반할부</option>');	
								
								for (var i = 0 ; i < tmpForCnt ; i++) {
									var html = '';
									
									if (i > 11){
										if(data.list[i] <= nMaxForCnt){	 
											html = Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (data.list[i] < 10 ? "0"+ data.list[i] : data.list[i]));
										} else {	 
												
										}
										
									} else {
										if (data.list[i] <= CurrentPopup.minNoinst) { // 무이자
											html = Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (data.list[i] < 10 ? "0"+ data.list[i] : data.list[i]));
										} else {
											html = Ns.Util.stringFormat('<option value="{0}">{0}개월</option>', (data.list[i] < 10 ? "0"+ data.list[i] : data.list[i]));
										}
	
									}
									$("#EP_quota").append(html);	
								}
								

							} else {
								if (CurrentPopup.minNoinst > 12){
									if (strSelectedOpt == "KM_016"	// 국민
										|| strSelectedOpt == "SS_031"	// 삼성
										|| strSelectedOpt == "SH_029"	// 신한
										|| strSelectedOpt == "DN_027"	// 현대
										|| strSelectedOpt == "BC_026"	// BC
										|| strSelectedOpt == "AM_047"	// 롯데 	// 2017.3.8 dhlee 롯데카드  최대할부 24개월
										
									){
										nMaxForCnt = CurrentPopup.minNoinst;
									}
								}
								
								for (var i = 2; i <= nMaxForCnt; i++) {
									var html = '';
									
									if (i > 12){	// 12개월 초과일 경우
										if (strSelectedOpt == "KM_016" || strSelectedOpt == "SS_031" || strSelectedOpt == "SH_029"){	// 국민, 삼성, 신한
											if (i <= 24 || i == 36){	// 2~24, 36
												html = Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (i < 10 ? "0"+i : i));
											}
										} else if (strSelectedOpt == "DN_027"){	// 현대
											if (i <= 12 || i == 24 || i == 36){	// 2~12, 24, 36
												html = Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (i < 10 ? "0"+i : i));
											}
										} else if (strSelectedOpt == strSelectedOpt == "AM_047"){	// 롯데 	// 2017.3.8 dhlee 롯데카드  최대할부 24개월
											if (i <= 24){	// 2~24
												html = Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (i < 10 ? "0"+i : i));
											}
										} 
										// BC카드 최대 12개월까지만 표기 
										
									} else {
										if (i <= CurrentPopup.minNoinst) { // 무이자
											html = Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (i < 10 ? "0"+i : i));
										} else {
											html = Ns.Util.stringFormat('<option value="{0}">{0}개월</option>', (i < 10 ? "0"+i : i));
										}
									}
									
									$("#EP_quota").html(html);
								}
							}
						});		
							
				
/*				
				if (CurrentPopup.minNoinst > nMaxForCnt){
					if (strSelectedOpt == "KM_016"	// 국민
						|| strSelectedOpt == "SS_031"	// 삼성
						|| strSelectedOpt == "SH_029"	// 신한
						|| strSelectedOpt == "DN_027"	// 현대
						|| strSelectedOpt == "BC_026"	// BC
					){
						nMaxForCnt = CurrentPopup.minNoinst;
					}
				}
				
				for (var i = 2; i <= nMaxForCnt; i++) {
					if (i > 12){	// 12개월 초과일 경우
						if (strSelectedOpt == "KM_016" || strSelectedOpt == "SS_031" || strSelectedOpt == "SH_029"){	// 국민, 삼성, 신한
							if (i <= 24 || i == 36){	// 2~24, 36
								strOptHtml += Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (i < 10 ? "0"+i : i));
							}
						} else if (strSelectedOpt == "DN_027"){	// 현대
							if (i <= 12 || i == 24 || i == 36){	// 2~12, 24, 36
								strOptHtml += Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (i < 10 ? "0"+i : i));
							}
						} else if (strSelectedOpt == "BC_026"){	// BC
							if (i <= 24){	// 2~24
								strOptHtml += Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (i < 10 ? "0"+i : i));
							}
						}
					} else {
						if (i <= CurrentPopup.minNoinst) { // 무이자
							strOptHtml += Ns.Util.stringFormat('<option value="{0}_n">{0}개월(무이자)</option>', (i < 10 ? "0"+i : i));
						} else {
							strOptHtml += Ns.Util.stringFormat('<option value="{0}">{0}개월</option>', (i < 10 ? "0"+i : i));
						}
					}
				}
				
				$("#EP_quota").html(strOptHtml);
*/				
			},
		},
		
		//이벤트 관련 함수를 정의한다.
		event : {
			/**
			 * 결제하기 클릭시 처리
			 */
			changePayment : function(){
				// 벨리데이션 체크
				if (CurrentPopup.event.chkAfterPayment() == false){
					return;
				}
				
				var objSeltdData = $("#seltdCardList").find("option:selected").data("data");
				var strSelectedOpt = objSeltdData.CARD_CO_CD + "_" + objSeltdData.EZPAYCD;
				
				var noinst_flag_YN = "N";
				if ($("input:radio[name=EP_noinst_flag]:checked").val() == "Y" && $("#EP_quota").val().indexOf("_n") > -1){
					noinst_flag_YN = "Y";
				}
				
				
				var strVAN_CO = "00";	// 직승인 여부 코드
				var moduleGubun = objSeltdData.moduleGubun;
							
				// 2016 - 12 Ssong  직승인 구분 
				// L : 롯데 
				// I : 국민 
				// P : 신한
				if(moduleGubun == "L" || moduleGubun == "I" || moduleGubun == "P"){
					if(objSeltdData.DIRECT_YN == "Y"){
						strVAN_CO = "20";
					}
				}
				
				var strPointMallYN = "N"; // 포인트몰 여부
				if (CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.PTN_CD == "750" || CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.PTN_CD == "905"){
					strPointMallYN = "Y";
				}
				
				var str_apvl_chain_no_lt = "";	// 가맹점 번호
				// 1. 롯데카드 직승인일 경우(2016.10.12 신혜수)
				if (objSeltdData.CARD_CO_CD == "AM" && strVAN_CO == "20"){	
					CurrentPopup.paymentMethodInitData.EP_mall_id = "M201502243642M";
					CurrentPopup.paymentMethodInitData.mId = "M201502243642M";
					CurrentPopup.paymentMethodInitData.VIEW_TYPE = mainCtrl.VIEW_TYPE;
					
					if (noinst_flag_YN == "Y"){	// 무이자
						str_apvl_chain_no_lt = "9988286207";
					} else {
						str_apvl_chain_no_lt = "9988189394";
					}
				// 2. KB국민카드 직승인일 경우(2016.10.12 신혜수)
				} else if (strVAN_CO == "20" && moduleGubun == "I"){ 
					CurrentPopup.paymentMethodInitData.defaultPaymentData = JSON.stringify({
						userId : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.USERS_ID,
						orderId : CurrentPopup.orgPrams.ordersId,
						ordersId : CurrentPopup.orgPrams.ordersId,
						originOrdersId : CurrentPopup.orgPrams.ordersId,
						custNum : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.CUSTOM_NUMBER,
						userNm : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.LASTNAME,
						loginId : CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.LOGONID,
						co_cd : CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.PTN_CD,
						dispTypeCd : CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].goodsDetail.DISP_TYPE_CD,
						
						storeId : CurrentPopup.orgPrams.storeId,
						langId : CurrentPopup.orgNSOrderPaymentModifyMobile.langId,
						accptPath : Const.getAcceptPath(),
						accptPathCd : Const.getAcceptPath(),
					});		
					
					CurrentPopup.paymentMethodInitData.EP_point_useyn = "N";// 포인트 사용여부 (2016.10.25 신혜수)
					CurrentPopup.paymentMethodInitData.moduleGubun = objSeltdData.moduleGubun; // ISP, Easypay 등 결제모듈구분 변수(2016.10.13 신혜수)
				} else {
					CurrentPopup.paymentMethodInitData.EP_mall_id = CurrentPopup.orgPaymentMethodInitData.EP_mall_id;
					CurrentPopup.paymentMethodInitData.mId = CurrentPopup.orgPaymentMethodInitData.mId;
					CurrentPopup.paymentMethodInitData.VIEW_TYPE = CurrentPopup.orgPaymentMethodInitData.VIEW_TYPE;
				}
				
				CurrentPopup.paymentMethodInitData.EP_noinst_flag = noinst_flag_YN;
				if (strVAN_CO == "20"){	// 롯데 카드일 경우
					CurrentPopup.paymentMethodInitData.EP_mall_id_free_temp = CurrentPopup.paymentMethodInitData.EP_mall_id;
					CurrentPopup.paymentMethodInitData.EP_mall_id_temp = CurrentPopup.paymentMethodInitData.EP_mall_id;
				} else {
					if (noinst_flag_YN == "Y"){
						CurrentPopup.paymentMethodInitData.EP_mall_id = CurrentPopup.orgPaymentMethodInitData.EP_mall_id_free_temp;
					} else {
						CurrentPopup.paymentMethodInitData.EP_mall_id = CurrentPopup.orgPaymentMethodInitData.EP_mall_id_temp;
					}
				}
					
				if (noinst_flag_YN == "Y"){
					CurrentPopup.paymentMethodInitData.EP_noinst_term = objSeltdData.EZPAYCD + "-" + $("#EP_quota").val().replace("_n", "");
				} else {
					CurrentPopup.paymentMethodInitData.EP_noinst_term = "";
				}
				
				CurrentPopup.paymentMethodInitData.EP_product_amt = $("#strongDpstSchdAmt").data("data").dpstSchdAmt;
				CurrentPopup.paymentMethodInitData.EP_quota = $("#EP_quota").val().replace("_n", "");
				CurrentPopup.paymentMethodInitData.EP_usedcard_code = objSeltdData.EZPAYCD;
				CurrentPopup.paymentMethodInitData.EP_user_phone2 = Ns.Util.insertSeparatorPhoneNumber(CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.PHONE1);
				CurrentPopup.paymentMethodInitData.FINAL_PAYMENT_AMT = Number($("#strongDpstSchdAmt").data("data").dpstSchdAmt, 10);
				CurrentPopup.paymentMethodInitData.OFFER_AMT = 0;
				
				CurrentPopup.paymentMethodInitData.SHIP_CHARGE = 0;
				CurrentPopup.paymentMethodInitData.SHIP_CHARGE_MULTI_DELIVERY = 0;
				CurrentPopup.paymentMethodInitData.SHIP_CHARGE_ONE_DELIVERY = 0;
				
				CurrentPopup.paymentMethodInitData.TOTAL_PRODUCT_AMT = Number($("#strongDpstSchdAmt").data("data").dpstSchdAmt, 10);
				CurrentPopup.paymentMethodInitData.VAN_CO = strVAN_CO;
				CurrentPopup.paymentMethodInitData.moduleGubun = moduleGubun;	// 2016 - 12 Ssong 폼데이터에 모듈구분값 추가
				
				CurrentPopup.paymentMethodInitData.cardDcAmt = 0;
				CurrentPopup.paymentMethodInitData.couponDcAmt = 0;
				CurrentPopup.paymentMethodInitData.custNum = CurrentPopup.orgNSOrderPaymentModifyMobile.UserInfo.CUSTOM_NUMBER;
				CurrentPopup.paymentMethodInitData.orderCompleteYn = "N";
				CurrentPopup.paymentMethodInitData.payAmt = Number($("#strongDpstSchdAmt").data("data").dpstSchdAmt, 10);
				CurrentPopup.paymentMethodInitData.payType = "100";
				CurrentPopup.paymentMethodInitData.requestCommand = "RequestInfo";	//LastApproval
				CurrentPopup.paymentMethodInitData.str_apvl_chain_no_lt = str_apvl_chain_no_lt;
				CurrentPopup.paymentMethodInitData.usedcard_code = objSeltdData.CARD_CO_CD;
				
				CurrentPopup.paymentMethodInitData.successFunc = "CurrentPopup.event.callbackPaymentResult";
				CurrentPopup.paymentMethodInitData.failFunc = "CurrentPopup.event.callbackPaymentResult";
				CurrentPopup.paymentMethodInitData.targetType = "payment";
				
				// inQkang url encode 문제 처리 start
				// 스트링 안에 '%' 문자가 들어가면 그 뒤 2자리의 hex값으로 문자 변환을 하기 때문에
				// %뒤에 정상적인 hex 값이 안들어와서 나는 에러
				if(moduleGubun == "E"){ // EZ pay 인경우만 처리 
					var productName = CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].itemDetailInfo.productName;
					productName = productName.replace('%', '%25');
					CurrentPopup.paymentMethodInitData.EP_product_nm = productName;
				} else {
					CurrentPopup.paymentMethodInitData.EP_product_nm = CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList[0].itemDetailInfo.productName;
				} // inQkang url encode 문제 처리 end
				
				// KB 직승인 추가 (신혜수 20161114)
				if(moduleGubun == "I" && strVAN_CO == "20"){				
					var viewType = mainCtrl.VIEW_TYPE;
					var WAPUrl = "";
					var CancelUrl = "";
					var returnUrl = "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/isp/isp_mob_result.jsp";
					var issuerCode = ""; // 카카오뱅크 국민 구분 코드 추가 170620 hawoong

					if(viewType == 'ios'){
						WAPUrl = "nsmobilecert://isp";
						CancelUrl = "nsmobilecert://isp";
					}
					//20170616 카카오 뱅크 추가로 인한 KB와 분기 처리 hawoong
					if(objSeltdData.CARD_CO_NM.indexOf("카카오") >= 0){
						issuerCode = "KA";
					}else{
						issuerCode = "KBC";
					}
					
					var ISP_data = {
							"LoginGubun"	: "1"
							,"PgId"			: ""
							,"ReturnUrl"	: returnUrl
							,"WAPUrl"		: WAPUrl
							,"GoodName"		: CurrentPopup.paymentMethodInitData.EP_product_nm
							,"Price"		: CurrentPopup.paymentMethodInitData.FINAL_PAYMENT_AMT
							,"Currency"		: "WON"
							,"NoInt"		: (CurrentPopup.paymentMethodInitData.EP_noinst_flag == "N" ? 0 : 1)
							,"Noint_Inf"	: CurrentPopup.paymentMethodInitData.EP_quota
							,"HpNum"		: CurrentPopup.paymentMethodInitData.EP_user_phone1
							,"MerchantNo"	: ""
							,"PubCertPrice"	: ""
							,"Tcode"		: ""
							,"IpAddr"		: ""
							,"TID"			: CurrentPopup.paymentMethodInitData.EP_order_no
							,"CancelUrl"	: CancelUrl
							,"CardCode"		: ""
							,"issuerCode"	: issuerCode
							,"payMthd"		: "" // 포인트 사용여부
							,'EP_card_cocd'	: Const.getCocd()
							,'VAN_CO'		: strVAN_CO
							,"moduleGubun"	: moduleGubun
							,"appGubun"		: "HUB"
						}
					var paymentList = CurrentPopup.paymentMethodInitData;
					$.extend(paymentList,ISP_data);
					
					
					CurrentPopup.data.doPaymentApprovalRequest({
						paymentList : JSON.stringify({"paymentList" : [paymentList]})
						},function(data){
							if(data.msg.RESULTCODE == '10001000'){
								// 폼 데이터에 반영
								CurrentPopup.paymentMethodInitData.TId = data.msg.TID;
								CurrentPopup.paymentMethodInitData.MerchantNo =  data.msg.MerchantNo
								CurrentPopup.paymentMethodInitData.IpAddr =  data.msg.IpAddr	
																
								// 2016 - 12 Ssong  외부결제 실행  함수 호출로 변경
								CurrentPopup.event.showPayWindows();
							} else {
								Ns.Popup.alert( "서버와 통신이 원활하지 못합니다. 잠시 후 다시 시도해 주십시오." );
								if ($("#certScript").length != 0){
									mainCtrl.hideCertView();
								}
							}
					});
				
				// 2016 - 12 Ssong  신한 직승인 추가
				} else if(moduleGubun == "P" && strVAN_CO == "20"){
					CurrentPopup.paymentMethodInitData.Amt = CurrentPopup.paymentMethodInitData.FINAL_PAYMENT_AMT;
					CurrentPopup.paymentMethodInitData.NoInt = CurrentPopup.paymentMethodInitData.EP_noinst_flag;
					
					CurrentPopup.data.doPaymentApprovalRequest({
						paymentList : JSON.stringify({"paymentList" : [CurrentPopup.paymentMethodInitData]})
					},function(data){
						if(data.msg.result == "success"){
							var payLine_data = {
									"GoodsCnt"		: CurrentPopup.orgNSOrderPaymentModifyMobile.OrderGoodList.length
									,"MID"			: data.msg.merchantID
									,"EdiDate"		: data.msg.ediDate
									,"EncryptData"	: data.msg.hash_String
									,"payUrl"		: data.msg.payUrl
									,"UserIP"		: data.msg.userIp
									,"Moid"			: data.msg.Moid
									,"BuyerTel"		: data.msg.buyerTel
									,"BuyerName"	: data.msg.buyerNm
									,"BuyerEmail"	: data.msg.buyerEmail
									,"BuyerAddr"	: data.msg.buyerAddres
									,"ReturnURL"	: "https://" + Const.WCS_NSMALL_PATH + "/nsmall/mobile/payline/payline_mob_result.jsp"
								}
							var paymentList = CurrentPopup.paymentMethodInitData;
							$.extend(paymentList,payLine_data);
							
							CurrentPopup.event.showPayWindows();
						} else {
							Ns.Popup.alert( "서버와 통신이 원활하지 못합니다. 잠시 후 다시 시도해 주십시오." );
							if ($("#certScript").length != 0){
								mainCtrl.hideCertView();
							}
						}
					});
					
				} else {
					/* 
					 * 2016 - 12 Ssong 
					 * - 외부 결제 호출
					 *   중복 소스 생성으로 별도 함수로 분리
					 */
					CurrentPopup.event.showPayWindows();
				}

			},
			
			/* 
			 *  로그 적재 후 외부 결제 호출
			 */
			showPayWindows : function() {
				CurrentPopup.data.setPaymentLogJS("E", CurrentPopup.paymentMethodInitData.EP_order_no, CurrentPopup.paymentMethodInitData.payAmt, CurrentPopup.paymentMethodInitData.payType, CurrentPopup.paymentMethodInitData);
				
				if( mainCtrl.VIEW_TYPE == "androidweb" || mainCtrl.VIEW_TYPE == "iosweb" ){ // iosweb 추가(2016.10.12 신혜수)
					mainCtrl.showCertView( CurrentPopup.paymentMethodInitData );	// android
				} else {
					Ns.Native.showPaymentWindows(CurrentPopup.paymentMethodInitData);
				}
			},
			
			callbackPaymentResult : function(params){
				CurrentPopup.data.setPaymentLogJS("O", params.EP_order_no, params.EP_pay_mny, "100", params);
			},
			
			/**
			 * 결제하기 클릭시 벨리데이션 체크
			 */
			chkAfterPayment : function(){
				if ($("#seltdCardList").find("option:selected").val() == ""){
					Ns.Popup.alert( "신용카드사를 선택해 주세요.");
					return false;
				}
				
				if($("input:radio[name=EP_noinst_flag]:checked").val() == "Y"){
					if ($("#EP_quota").val() == "00"){
						Ns.Popup.alert( "할부기간을 선택해 주세요.");
						return false;
					}
				}
				
				if ($("#cbOkPayment").prop("checked") == false){
					Ns.Popup.alert( "전자상거래법 제8조 제2항에 동의하셔야 합니다.");
					return false;
				}
				
				return true;
			},
		}
}; 