
/* JavaScript content from js/mypage/M_U1121100M.js in folder common */
/**
 *	페이지 ID : M_U1121100M
 *	@file 주문내역/배송조회
 */

/** 
 * page 컨트롤 클래스 
 * @namespace
 */
CurrentView = {
		
		// 조회조건 default 값.
		pageIdx : 1,
		pageSize : 10,
		totalCount : 0,
		periodIdx : 3,
		periodMonth : 1,
		status : "",
		startDate : "",
		endDate : "",
		pushFullEvent : false,
		clickBlocked : false,
		orderData : {}, 		// Key:주문번호
		
		init : function( param ) {
			// 로그인 여부 확인
			if (!mainCtrl.checkLogonStatus()) {
				mainCtrl.gotoLogin();
				return;
			}
			
			this.initializeComponent( param );
			this.onLoad();
		},
		
		/** html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		이벤트 binding 등... */
		initializeComponent : function( param ){
			/* 마이페이지에서 넘어온 주문상태 셋팅 */
			if(!Ns.Util.isNull(param)) {
				if(!Ns.Util.isNull(param.status)) {
					CurrentView.status = param.status;
					CurrentView.ui.set_statusColor(CurrentView.status);
				}
				if(!Ns.Util.isNull(param.periodIdx)) {
					CurrentView.periodIdx = param.periodIdx;
				}
				if(param.periodMonth == 0 || !Ns.Util.isNull(param.periodMonth)) {
					CurrentView.periodMonth = param.periodMonth;
				}
				if(!Ns.Util.isNull(param.startDate)) {
					CurrentView.startDate = param.startDate;
				}
				if(!Ns.Util.isNull(param.endDate)) {
					CurrentView.endDate = param.endDate;
				}
				navi.setPageParam("");
			}
			
			CurrentView.ui.set_periodColor(CurrentView.periodMonth);
			CurrentView.data.set_period(CurrentView.periodMonth, CurrentView.startDate, CurrentView.endDate);
			CurrentView.data.call_MypageMainReal();
			
			/* 페이징 이벤트 셋팅 */
			Ns.UI.startPushFullEvent( CurrentView.data.call_MypageMainReal );
		},
		
		/** html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. */
		onLoad : function(){
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
			/* 클릭이벤트 셋팅 */
			$("#divSelectPeriodArea div button").unbind().bind( "click", CurrentView.event.onclick_divSelectPeriodArea );
			$("#divPeriodSetting div button").unbind().bind( "click", CurrentView.event.onclick_divPeriodSetting );
			$("#ulOrderStateArea li").unbind().bind( "click", CurrentView.event.onclick_ulOrderStateArea );
			
		},
		
		/** 
		 * 데이터 관련 함수를 정의한다.
		 * @namespace
		 */
		data : {
			/** 주문내역 호출 */
			call_MypageMainReal : function(){
				// 선택된 조건의 주문내역 조회 중, 다른 조건 선택 불가하도록 방지
				CurrentView.clickBlocked = true;
				
				var param = {};
				// 유동값
				param.pageidx	= CurrentView.pageIdx; 		// 페이지 Index
				param.tmtyp		= CurrentView.periodIdx;	// 조회기간(1. 1주일 / 2. 15일 / 3. 1개월 / 4. 3개월 / 5. 6개월) 
				param.odt1 		= CurrentView.startDate;	// 조회시작일
				param.odt2		= CurrentView.endDate;		// 조회종료일
				param.status 	= CurrentView.status;		// 주문상태
				param.userId 	= USERINFO.userId(); 		// 고객번호
				//고정값
				param.rowpage 	= CurrentView.pageSize;		// 페이징 사이즈
				param.midx 		= "navi_11"; 				// Menu Index (navi_11 : Default, navi_12 : 주문취소/변경, navi_13 : 교환/반품 신청, navi_14 : 입금확인/계좌관리, navi_15 : 증빙서류신청발급)
				param.channel 	= "mobile"; 				// 조회채널
				
				tran.callWCSJsonTran( 'NSMypageCmd', param, CurrentView.data.callback_NSMypageCmd );
			},
			
			/** 주문내역 콜백함수 */
			callback_NSMypageCmd : function(data){
				CurrentView.ui.set_statusCnt(data.msg.root.statusCnt);
				CurrentView.ui.set_orderList(data.msg.root.orders);
				CurrentView.totalCount = data.msg.root.totalcnt;
			},
			
			/** 조회 기간 셋팅 */
			set_period : function(periodMonth, startDate, endDate){
				if( startDate == "" || startDate == null || endDate == "" || endDate == null ){
					CurrentView.startDate = Ns.Date.calcDate('', 0,-periodMonth, 0, 0,'yyyy.MM.dd');
					CurrentView.endDate = Ns.Date.calcDate('', 0, 0, 0, 0,'yyyy.MM.dd');
				} else {
					CurrentView.startDate = Ns.Util.isDateFormat(startDate, ".");
					CurrentView.endDate = Ns.Util.isDateFormat(endDate, ".");
				}
			}
		},
		//end data function...
		
		/** 
		 * ui 관련 함수를 정의한다.
		 * @namespace
		 */
		ui : {
			
			/** 주문상태 표시 */
			set_statusCnt : function( statusCnt ) {
				
				$("#txtOrderReceipt").text("0");    //주문접수
				$("#txtOrderComplete").text("0");   //결제완료
				$("#txtGoodsPrepare").text("0");    //상품 준비중
				$("#txtShippingPrepare").text("0"); //배송중
				$("#txtShippingComplete").text("0");//배송완료
				
				if ( statusCnt == null || statusCnt.length == 0  ) {
					return;
				}
				
				for (var i = 0; i < statusCnt.length; i++) {
					var items = statusCnt[i];
					switch (items.statusName) {
						case '결제대기' 	: // 주문접수
							$("#txtOrderReceipt").html(Ns.Util.insertCommas( items.cnt ));
							break;
						case '결제완료' 	: // 결제완료
							$("#txtOrderComplete").html(Ns.Util.insertCommas( items.cnt ));
							break;
						case '주문전달' 	: // 상품준비중
						case '상품준비중'	: // 상품준비중
							$("#txtGoodsPrepare").html(Ns.Util.insertCommas( Number($("#txtGoodsPrepare").text()) + Number(items.cnt) ));
							break;
						case '배송중' 	: // 배송중
							$("#txtShippingPrepare").html(Ns.Util.insertCommas( items.cnt ));
							break;
						case '배송완료' 	: // 배송완료
							$("#txtShippingComplete").html(Ns.Util.insertCommas( items.cnt ));
							break;
						default:
							break;
					}
				}

			},
			
			/** 주문상태 중 선택된 상태의 색상 변경 */
			set_statusColor : function(status){
				var statusLiId = "";
				
				switch(status){
					case "D": //주문접수
						statusLiId="liOrderReceipt";
						break;
					case "M": //결제완료
						statusLiId="liOrderComplete";
						break;
					case "TI": //상품준비중(주문전달 + 상품준비)
						statusLiId="liGoodsPrepare";
						break;
					case "O": //배송중
						statusLiId="liShippingPrepare";
						break;
					case "S": //배송완료
						statusLiId="liShippingComplete";
						break;
					default:
						break;
				}
				
				$("#ulOrderStateArea").children(".active").removeClass("active");
				eval('$("#' + statusLiId +'").addClass("active")');
				$("#sectionOrderStatus").show();
			},
			
			/** 기간조회 영역 중 선택된 기간의 색상 변경 */
			set_periodColor : function(period){
				var statusLiId = "";
				
				switch(period){
					case 1	: //취소
						statusLiId="btnAmonths";
						break;
					case 3	: //교환
						statusLiId="btnThreemonths";
						break;
					case 6	: //반품
						statusLiId="btnSixmonths";
						break;
					default:
						break;
				}
				
				$("#divSelectPeriodArea").children(".select").removeClass("select");
				$("#divSelectPeriodArea button").attr("aria-checked", false);
				eval('$("#' + statusLiId +'").parent().addClass("select")');
				eval('$("#' + statusLiId +'").attr("aria-checked", true)');
			},
			
			/** 주문리스트 표시 */
			set_orderList : function( orders ) {
				if ( orders == null || orders.length == 0 ) {
  					$("#sectionNoOrderList").show();
  					// HTML을 다 그려준 후, 다른 버튼 클릭 가능 처리
  					CurrentView.clickBlocked = false;
  					return false;
				} else {
					$("#sectionNoOrderList").hide();
				}
				
				/* 01. 주문리스트 영역 section 추가 */
				if(CurrentView.pageIdx == 1) {
					$("#sectionOrderStatus").after($("section[name=sectionOrderList_templete]").clone().wrapAll("<div/>").parent().html());
					$("section[name=sectionOrderList_templete]").first().attr('name','sectionOrderList');
					$("section[name=sectionOrderList] div[name=divOrderListWrap_templete]").first().attr('name','divOrderListWrap');
					$("div[name=divOrderListWrap]").attr('id','divOrderListWrap');
					eval('$("section[name=sectionOrderList] div[name=divOrderList_templete]").first().attr("name","divOrderList_' + ((CurrentView.pageIdx - 1) * CurrentView.pageSize + 1) + '")'); // Step1. 주문번호 여러개
					$("section[name=sectionOrderList] ul[name=ulProdList_templete]").first().attr('name','ulProdList');
					$("section[name=sectionOrderList] li[name=liProd_templete]").first().attr('name','liProd_1'); // Step2. 상품여러개
				}
				
				for (var i = 0; i < orders.length; i++) {
					if (i > 0 || CurrentView.pageIdx > 1) {
						eval('$("div[name=divOrderListWrap]").append($("div[name=divOrderListWrap_templete]").html())');
						eval('$("section[name=sectionOrderList] div[name=divOrderList_templete]").first().attr("name","divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + '")');
						eval('$("section[name=sectionOrderList] ul[name=ulProdList_templete]").first().attr("name","ulProdList")');
						eval('$("section[name=sectionOrderList] li[name=liProd_templete]").first().attr("name","liProd_1")');
					}
					
					var ordersDate	= orders[i].timeplaced.replace(/[\.-]/g, "."); // 주문날짜
					var ordersId 	= orders[i].ordersId; // 주문번호
					
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + '] dd[name=orderDate]").text("' + ordersDate + '")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + '] dd[name=orderId]").text("' + ordersId + '")');
					
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("storeentId","' + orders[i].storeentId +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("timeplaced","' + orders[i].timeplaced +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("ordersId","' + orders[i].ordersId +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("lastupdateall","' + orders[i].lastupdateall +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("latestOperationId","' + orders[i].latestOperationId +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("hasCantTraceCardYn","' + orders[i].hasCantTraceCardYn +'")');
					
					var cats		= orders[i].cats; // 상품리스트
					CurrentView.orderData[ordersId] = {};
					CurrentView.orderData[ordersId] = orders[i];
					CurrentView.orderData[ordersId]['catsLeng'] = {};
					CurrentView.orderData[ordersId]['catsLeng'] = cats.length;
					CurrentView.orderData[ordersId].orderitems = CurrentView.orderData[ordersId].cats;
					
					// 주문번호 : 상품 = 1 : n
					CurrentView.ui.set_orderList_cats(cats, i);
					
					// HTML을 다 그려준 후, 클릭 이벤트 추가
					eval('$("div[name=divOrderListWrap] a[name=orderDetailLink]").unbind().bind( "click", CurrentView.event.onclick_orderDetailLink )');
					$("button[name=btnChatting]").unbind().bind( "click", CurrentView.event.onclick_btnChatting );
					$("div[name=divBtnStateWrap] div").unbind().bind( "click", CurrentView.event.onclick_divBtnStateWrap );
					$("section[name=sectionOrderList]").show();
					
					// HTML을 다 그려준 후, 페이징 완료 처리
					CurrentView.pushFullEvent = false;
					// HTML을 다 그려준 후, 다른 버튼 클릭 가능 처리
					CurrentView.clickBlocked = false;
				}
			},
			
			/** 상품리스트 표시 */
			set_orderList_cats : function( cats, orderNum ) {
				var catsCnt = 0;
				for (var i = 0; i < cats.length; i++) {
					var status 			= cats[i].status;	// 주문상태값
					if(CurrentView.status.indexOf(status) > -1 || CurrentView.status == "") {
						if (catsCnt > 0) {
							eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] ul[name=ulProdList]").append($("ul[name=ulProdList_templete]").html())');
							eval('$("section[name=sectionOrderList] li[name=liProd_templete]").first().attr("name","liProd_' + (catsCnt+1) + '")');
						}
						var statusName 		= cats[i].statusName;	// 주문상태값
						var imageUrl 		= Ns.Util.getImageUrl(String(cats[i].goodsCd),"H");	// 썸네일 이미지
						var catentryName	= Ns.Util.htmlDecode(cats[i].catentryName); // 상품명
						var price			= Ns.Util.insertCommas(cats[i].price); 		// 판매가
						var quantity		= cats[i].quantity; 	// 수량
						
						// 취소/교환/반품은 주문상태를 회색으로 표시
						if ( statusName == "취소완료" || statusName == "교환신청" || statusName == "반품신청" || statusName == "반품진행" || statusName == "반품완료" ) {
							eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").addClass("cancel")');
						// 주문전달 및 상품준비중을 상품준비중으로 통합하여 표시
						} else if( statusName == "주문전달" ) {
							statusName = "상품준비중";
						}
						// 반품진행일 경우, 채팅상담 버튼 숨김
						if( statusName == "반품진행" ) {
							eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").find("button[name=btnChatting]").hide()');
						}
						
						// 화면에 노출될 데이터 셋팅
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] span[name=orderStatus]").text("' + statusName + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] p[name=prodName]").text("' + catentryName + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] img[name=prodImg]").attr("alt","' + catentryName + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] img[name=prodImg]").attr("src","' + imageUrl + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] span[name=prodPrice]").text("' + price + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] span[name=prodQuantity]").text("' + quantity + '개")');
						
						// 클릭 이벤트 추가
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] a").unbind().bind( "click", function() { CurrentView.event.onclick_liProd(' + cats[i].goodsCd + ') } )');
						
						// 데이터 저장
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("ordersId","' + cats[i].ordersId +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("orderSeq","' + cats[i].orderSeq +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("status","' + status +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("imageUrl","' + imageUrl +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("catentryName","' + catentryName +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("addressId","' + cats[i].addressId +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("catentryId","' + cats[i].catentryId +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("commentWriteYn","' + cats[i].commentWriteYn +'")');
	
						// 웹접근성을 위한 title 추가
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").find("button[name=btnChatting]").attr("title","' + cats[i].ordersId + '")');
						
						// 주문상태값 별 하위버튼 노출 변경
						var divBtnStateWrap = eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] div[name=divBtnStateWrap]")');
						if ( statusName == "결제대기" ) {
							divBtnStateWrap.find('div[name=orderCancel]').show();
							divBtnStateWrap.find('div[name=changeAddress]').show();
							
							// 무통장입금으로 주문시 입금전 신용카드로 결제수단 변경 PC 로직과 일치
				    		var bOnlyPaymentcode200 = false;
				    		var bFalse100300400 = false; 
				    		var orders = CurrentView.orderData[cats[i].ordersId];
				    		
				    		for (var j = 0; orders.payms.length > j; j++){
					    		if (orders.payms[j].paymentcode == "200" && orders.payms[j].paySchdAmt > 0 && orders.payms[j].availAmt == 0){
				    				bOnlyPaymentcode200 = true;
				    			}
				    			if (orders.payms[j].paymentcode == "100" || orders.payms[j].paymentcode == "300" || orders.payms[j].paymentcode == "400"){
				    				bFalse100300400 = true;
				    			}
				    		}
							if(!bFalse100300400 && bOnlyPaymentcode200){
								divBtnStateWrap.find('div[name=payByCard]').show();
				    		}
							
						} else if ( statusName == "결제완료" ) {
							divBtnStateWrap.find('div[name=orderCancel]').show();
							divBtnStateWrap.find('div[name=changeAddress]').show();
						} else if ( statusName == "배송중" ) {
							divBtnStateWrap.find('div[name=deliveryConfirm]').show();
						} else if ( statusName == "배송완료" ) {
							divBtnStateWrap.find('div[name=refundOrder]').show();
							divBtnStateWrap.find('div[name=exchangeOrder]').show();
							divBtnStateWrap.find('div[name=productCommentWrite]').show();
						} else if( statusName == "반품신청" || statusName == "반품진행" || statusName == "반품완료") {
							divBtnStateWrap.find('div[name=refundOrderHistory]').show();
			    		} else {
							divBtnStateWrap.hide();
						}
						// 옵션 값 셋팅
						CurrentView.ui.set_orderList_attrs(cats[i].attrs, orderNum, catsCnt); // 옵션
						
						catsCnt++;
					}
				}
			},
			
			/** 옵션 표시 */
			set_orderList_attrs : function( attrs, orderNum, catsCnt ) {
				
				var attrvalDesc = "";
				if(Ns.Util.isNull(attrs)) {
	    			eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] div[name=divProdOpt]").hide()');
	    			return;
	    		}
				for (var i = 0; i < attrs.length; i++) {
					if(i > 0){
						attrvalDesc += ", ";
					}
					attrvalDesc += attrs[i].attrvalDesc;	// 옵션명
					
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] dd[name=prodOpt]").text("' + Ns.Util.htmlDecode(attrvalDesc) + '")');
				}
				return attrvalDesc;
			},
			
			/** 날짜 디폴트는 1개월 전 오늘 ~ 오늘 */
			set_defaultDate : function(){
				var startDate = Ns.Date.calcDate('', 0,-1, 0, 0,'yyyy-MM-dd');
				var endDate = Ns.Date.calcDate('', 0, 0, 0, 0,'yyyy-MM-dd');
				var minDate = Ns.Date.calcDate('', -5, 0, 0, 0,'yyyy-MM-dd');
				
				// 처음 HTML이 로드된 후 default 날짜가 변경되지 않아서 html 다시 그려줌.
				var divStartDateHtml = $("#divStartDate").html();
				divStartDateHtml = divStartDateHtml.replace("3000", startDate.substring(0,4));
				divStartDateHtml = divStartDateHtml.replace("32", startDate.substring(5,7));
				divStartDateHtml = divStartDateHtml.replace("33", startDate.substring(8,10));
				var divEndDateHtml = $("#divEndDate").html();
				divEndDateHtml = divEndDateHtml.replace("3000", endDate.substring(0,4));
				divEndDateHtml = divEndDateHtml.replace("32", endDate.substring(5,7));
				divEndDateHtml = divEndDateHtml.replace("33", endDate.substring(8,10));
				$("#divStartDate").html(divStartDateHtml);
				$("#divEndDate").html(divEndDateHtml);
				$("#startDate").attr("min", minDate);
			}
			
		},
		//end ui function...
		
		/** 
		 * 이벤트 관련 함수를 정의한다.
		 * @namespace 
		 */
		event : {
			/**
			 * 주문상태 영역 클릭 이벤트
			 * (주문접수/결제완료/상품준비중/배송중/배송완료) 
			 */
			onclick_ulOrderStateArea : function() {
				// 선택된 조건의 주문내역 조회 중, 다른 조건 선택 불가하도록 방지
				if(!CurrentView.clickBlocked){
					$("section[name=sectionOrderList]").remove();
					
					var id = $(this).attr('id');
					var status="";
					
					switch(id){
						case "liOrderReceipt": //주문접수
							status="D";
							break;
						case "liOrderComplete": //결제완료
							status="M";
							break;
						case "liGoodsPrepare": //상품준비중(주문전달 + 상품준비)
							status="TI";
							break;
						case "liShippingPrepare": //배송중
							status="O";
							break;
						case "liShippingComplete": //배송완료
							status="S";
							break;
						default:
							break;
					}
					$("#ulOrderStateArea").children(".active").removeClass("active");
					$(this).addClass("active");
					
					CurrentView.status = status;
					CurrentView.pageIdx = 1;
					
					CurrentView.data.call_MypageMainReal();
				}
			},
			
			/**
			 * 조회기간 버튼 영역 클릭 이벤트
			 * (1개월/3개월/6개월/기간설정)
			 */
			onclick_divSelectPeriodArea : function(){
				// 선택된 조건의 주문내역 조회 중, 다른 조건 선택 불가하도록 방지
				if(!CurrentView.clickBlocked){
					var clicked = $(this);
					var id = $(this).attr('id');
					var eventLabel;
					
					if( id == "btnAmonths" ){
						eventLabel = "1개월";
						CurrentView.periodMonth = 1;
						CurrentView.periodIdx = 3;
						CurrentView.pageIdx = 1;
						CurrentView.data.set_period(CurrentView.periodMonth);
						CurrentView.event.onremove_periodSettingArea(clicked);
						CurrentView.event.onremove_periodSelectArea(clicked);
						$("section[name=sectionOrderList]").remove();
						CurrentView.data.call_MypageMainReal();
						clicked.parent().addClass("select");
						clicked.attr("aria-checked", true);
					} else if( id == "btnThreemonths" ) {
						eventLabel = "3개월";
						CurrentView.periodMonth = 3;
						CurrentView.periodIdx = 4;
						CurrentView.pageIdx = 1;
						CurrentView.data.set_period(CurrentView.periodMonth);
						$("section[name=sectionOrderList]").remove();
						CurrentView.event.onremove_periodSettingArea(clicked);
						CurrentView.event.onremove_periodSelectArea(clicked);
						CurrentView.data.call_MypageMainReal();
						clicked.parent().addClass("select");
						clicked.attr("aria-checked", true);
					} else if( id == "btnSixmonths" ) {
						eventLabel = "6개월";
						CurrentView.periodMonth = 6;
						CurrentView.periodIdx = 5;
						CurrentView.pageIdx = 1;
						CurrentView.data.set_period(CurrentView.periodMonth);
						$("section[name=sectionOrderList]").remove();
						CurrentView.event.onremove_periodSettingArea(clicked);
						CurrentView.event.onremove_periodSelectArea(clicked);
						CurrentView.data.call_MypageMainReal();
						clicked.parent().addClass("select");
						clicked.attr("aria-checked", true);
					} else if( id == "btnPeriodSetting" ) {
						eventLabel = "사용자설정";
						CurrentView.ui.set_defaultDate();
						CurrentView.event.ontoogle_periodSettingArea(clicked);
						CurrentView.event.onremove_periodSelectArea(clicked);
					} else {
						return false;
					}
					
					//ga360
					var event_obj = {
							eventCate : 'MOBILE_마이페이지',
							eventAction : '기간설정',
							eventLabel : eventLabel
					};
					var subparam = {
							t1 : '마이페이지',
							t2 : "쇼핑정보",
							t3 : '주문내역/배송조회'
					};
				
					GA.sendEventData(event_obj,subparam);
					
				}
			},
			
			/**
			 * 기간설정 영역의 '조회' 버튼 클릭 이벤트
			 */
			onclick_divPeriodSetting : function() {
				// 선택된 조건의 주문내역 조회 중, 다른 조건 선택 불가하도록 방지
				if(!CurrentView.clickBlocked){
					if(!Ns.Date.checkPeriodMonth($("#startDate").val(), $("#endDate").val(), 6 )){
						Ns.Popup.alert( "조회가능한 기간은 최대 6개월입니다." );
						return;
					}
					
					$("section[name=sectionOrderList]").remove();
					CurrentView.periodMonth = 0; // 사용하지 않는 값으로 변경
					CurrentView.periodIdx = 0; // 사용하지 않는 값으로 변경
					CurrentView.pageIdx = 1;
					CurrentView.data.set_period( "", $("#startDate").val(), $("#endDate").val());
					CurrentView.data.call_MypageMainReal();
				}
			},
			
			/**
			 * 주문날짜/번호 영역 클릭 이벤트(ex. 2018.06.19 [주문번호:300008486013])
			 */
			onclick_orderDetailLink : function() {
				var ordersId = $(this).find('dd[name=orderId]').text();
				var param = {};
				param.ordersId = ordersId;
				param.monthly = CurrentView.periodMonth;
				param.pageidx = 1;
				param.hasCantTraceCardYn = "";
				
				var objNaviParam = {};
				objNaviParam.status = CurrentView.status;
				objNaviParam.periodIdx = CurrentView.periodIdx;
				objNaviParam.periodMonth = CurrentView.periodMonth;
				objNaviParam.startDate = CurrentView.startDate;
				objNaviParam.endDate = CurrentView.endDate;
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_주문/배송조회',
						eventAction : '주문번호',
						eventLabel : '주문상세_이동'
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "쇼핑정보",
						t3 : '주문내역/배송조회'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				navi.setPageParam( objNaviParam );
				mainCtrl.navigate( "M_U1121600M", param );
			},
			
			/**
			 * 배송지변경 버튼 클릭 이벤트
			 */
			onclick_changeAddress : function(ordersId) {
				var param = {};
				param.ordersId = ordersId;
				param.monthly = CurrentView.periodMonth;
				param.pageidx = 1;
				param.hasCantTraceCardYn = "";
				
				//주문변경시 주문 lock체크를 하지 않아 체크 로직 추가 hawoong 181129
				var inVal = 
				{
					"cnm":"com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
					"mnm":"checkOrderStatus",
					"args":
					{
						"ordersId": ordersId
					},  
				};
				
				var invokeParams1 = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify(inVal)
				};
				var lastupdateall = CurrentView.orderData[ordersId].lastupdateall;
				var latestOperationId = CurrentView.orderData[ordersId].latestOperationId;
				
				tran.callWCSJsonTran( "NSMypageCommCmd", invokeParams1, function (data){
					if (data.list.lockedOrderYn == "Y"){	// 상담사 Lock 여부 (DB Transaction)
						Ns.Popup.alert( "선택하신 주문은 상담원이 처리중입니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.status = CurrentView.status;
							mainCtrl.navigate('M_U1121100M', param);
						});
						return;
					} else if (String(data.list.lastupdateall) != String(lastupdateall) 
							|| String(data.list.latestOperationId) != String(latestOperationId)){	//  주문 수정일자 & 임시 처리 순번 체크 (DB Transaction)
						Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.status = CurrentView.status;
							mainCtrl.navigate('M_U1121100M', param);
						} );
						
						return;
					}
				});
				
				inVal = 
				{
					"cnm":"com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
					"mnm":"chkRcOrderDtlStats",
					"args":
					{
						"ordersId":ordersId,
						"memberId":USERINFO.userId()
					},  
				};
				
				var invokeParams2 = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify(inVal)
					}
				
				tran.callWCSJsonTran( "NSMypageCommCmd", invokeParams2, function (data){					
					if (data.list.respCd != "S"){	// RC DB와 주문 상세가 다른 경우 (실시간 I/F)
						Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.status = CurrentView.status;		
							mainCtrl.navigate('M_U1121100M', param);
						} );
						return;
					}
				});
								
				var objNaviParam = {};
				objNaviParam.status = CurrentView.status;
				objNaviParam.periodIdx = CurrentView.periodIdx;
				objNaviParam.periodMonth = CurrentView.periodMonth;
				objNaviParam.startDate = CurrentView.startDate;
				objNaviParam.endDate = CurrentView.endDate;
				
				navi.setPageParam( objNaviParam );
				mainCtrl.navigate( "M_U1121600M", param );
			},
			
			/**
			 * 상품 영역 클릭 이벤트
			 * - 상품상세 페이지로 이동
			 */
			onclick_liProd : function(goodsCd) {
				var param = {
						partNumber : goodsCd
					};
				
				mainCtrl.gotoProductDetail(param);
			},
			
			/**
			 * 기간설정 영역 토글 이벤트
			 */
			ontoogle_periodSettingArea : function(clicked) {
				 var $periodSettingBtn = clicked;
			     var $parent = $periodSettingBtn.closest('.inquiry_search_wrap');
			     if( $parent.hasClass('hidden')){
			    	 $("#btnPeriodSetting").attr("aria-checked", true);
			     } else {
			    	 $("#btnPeriodSetting").attr("aria-checked", false);
			     }
			     $parent.toggleClass('hidden');
			},
			
			/**
			 * 기간설정 영역 삭제 이벤트
			 */
			onremove_periodSettingArea : function(clicked) {
				 var $periodSettingBtn = clicked;
			     var $parent = $periodSettingBtn.closest('.inquiry_search_wrap');
			     $("#btnPeriodSetting").attr("aria-checked", false);
			     $parent.addClass('hidden');
			},
			
			/**
			 * 1개월/3개월/6개월 영역 선택 클래스 삭제 이벤트
			 */
			onremove_periodSelectArea : function(clicked) {
				var $selected = clicked.parent().siblings(".select");
				$selected.children().attr("aria-checked", false);
			    $selected.removeClass('select');
			},
			
			/**
			 * 채팅상담 버튼 클릭 이벤트
			 */
			onclick_btnChatting : function() {
				var clicked = $(this).parents("li");
				var param = {};
				param.status = clicked.data("status");
				param.ordersId = clicked.data("ordersId");
				param.catentryName = clicked.data("catentryName");
				param.imageUrl = clicked.data("imageUrl");
				param.orderSeq = clicked.data("orderSeq");
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_주문/배송조회',
						eventAction : '고객CS',
						eventLabel : '채팅상담_이동'
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "쇼핑정보",
						t3 : '주문내역/배송조회'
				};
			
				GA.sendEventData(event_obj,subparam);

				mainCtrl.navigate( "M_U1173000M", param );
			},
			
			/**
			 * 주문취소/배송지변경/카드결제/수취확인/반품신청/교환신청/상품평쓰기 버튼 이벤트
			 */
			onclick_divBtnStateWrap : function() {
				var clickedName = $(this).attr("name");
				var clickedParent = $(this).parents(".order_info_list");
				var ordersId = clickedParent.data("ordersId");
				
				if(clickedName == "orderCancel") {
					var lastupdateall = clickedParent.data("lastupdateall");
					var latestOperationId = clickedParent.data("latestOperationId");
					var hasCantTraceCardYn = clickedParent.data("hasCantTraceCardYn");
					
					var isWpayAcct = false;
					
					var payms = CurrentView.orderData[ordersId].payms;
					if ( payms && payms.length > 0) {
						for (var i = 0; i < payms.length; i++) {
							
							if(payms[i].paymentcode == "1700"){
								isWpayAcct = true;
							}
						}
					}
					if(isWpayAcct) {
						Ns.Popup.alert( "NS페이 계좌이체로 결제 취소시 환불은 영업일 기준 2일 이내에 처리됩니다." , function(){
							CurrentView.event.onclick_cancelOrder(ordersId, "CANCEL", lastupdateall, latestOperationId, hasCantTraceCardYn, USERINFO.userId())
						});			
					}
					else { 
						CurrentView.event.onclick_cancelOrder(ordersId, "CANCEL", lastupdateall, latestOperationId, hasCantTraceCardYn, USERINFO.userId());
					}
				} else if(clickedName == "changeAddress") {
					CurrentView.event.onclick_changeAddress(ordersId);
				} else if(clickedName == "payByCard") {
					var storeentId = clickedParent.data("storeentId");
					var timeplaced = clickedParent.data("timeplaced");
					CurrentView.event.onclick_payByCard(ordersId, storeentId, timeplaced);
				} else if(clickedName == "deliveryConfirm") {
					var clickedLi1 = $(this).parents("li");
					
					var addressId = clickedLi1.data("addressId");
					var catentryId = clickedLi1.data("catentryId");
					var status = clickedLi1.data("status");
					var commentWriteYn1 = clickedLi1.data("commentWriteYn");
					CurrentView.event.onclick_deliveryConfirm(ordersId, addressId, catentryId, status, commentWriteYn1);
				} else if(clickedName == "refundOrder") {
					CurrentView.event.onclick_refundOrder(ordersId);
				} else if(clickedName == "exchangeOrder") {
					CurrentView.event.onclick_exchangeOrder();
				} else if(clickedName == "productCommentWrite") {
					var clickedLi2 = $(this).parents("li");
					var commentWriteYn2 = clickedLi2.data("commentWriteYn");
					CurrentView.event.onclick_productCommentWrite(commentWriteYn2);
				} else if(clickedName == "refundOrderHistory") {
					CurrentView.event.onclick_refundOrderHistory(ordersId);
				} 
				
			},
			
			/**
			 * 주문취소 
			 */
			onclick_cancelOrder : function( ordersId, buttonAction, lastupdateall, latestOperationId,  hasCantTraceCardYn) {
				
				// 상담사 카드주문일 때
				if (hasCantTraceCardYn == "Y") {
					// 단일 상품이 아니고
					if (CurrentView.orderData[ordersId]['catsLeng'] > 1) { 
						Ns.Popup.alert( "본 상품의 취소/반품은 상담원을 통해서 신청해 주시기 바랍니다." );
						return;
					}
					// 무통장입금이 포함되어 있을 때
					for (var i = 0; i < CurrentView.orderData[ordersId]['payms'].length; i++) {
						if (CurrentView.orderData[ordersId]['payms'][i].paymentcode == "200") { 
							Ns.Popup.alert( "본 상품의 취소/반품은 상담원을 통해서 신청해 주시기 바랍니다." );
							return;
						}
					}
				}
				
				var invokeParams = {
					"tasknm" : "alejandro",
					"var" : JSON.stringify({
					"cnm" : "com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
					"mnm" : "checkOrderStatus",
					"args" : {
						"ordersId" : ordersId
						}
					})
				};
				
				// 상담원 처리 유무 체크 통신
				tran.callWCSJsonTran( "NSMypageCommCmd", invokeParams, function (data){
					if (data.list.lockedOrderYn == "Y"){	// 상담사 Lock 여부 (DB Transaction)
						Ns.Popup.alert( "선택하신 주문은 상담원이 처리중입니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.status = CurrentView.status;
							mainCtrl.navigate('M_U1121100M', param);
						});
						return;
					} else if (String(data.list.lastupdateall) != String(lastupdateall) 
							|| String(data.list.latestOperationId) != String(latestOperationId)){	//  주문 수정일자 & 임시 처리 순번 체크 (DB Transaction)
						Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.status = CurrentView.status;
							mainCtrl.navigate('M_U1121100M', param);
						} );
						
						return;
					} else if (buttonAction == "CANCEL" && undefined != data.list.canYn && data.list.canYn == "N"){
						Ns.Popup.alert( "주문취소가 불가능한 상태입니다.<br />1:1 문의 또는 고객센터(1688-0770)로 문의주시기 바랍니다." , function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.status = CurrentView.status;
							mainCtrl.navigate('M_U1121100M', param);
						});
						return;
					}
					
					var invokeParams = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify({
							"cnm" : "com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
							"mnm" : "chkRcOrderDtlStats",
							"args":	{ "ordersId":CurrentView.event.cancelOrderOrdersId,
							     	  "memberId": CurrentView.event.cancelOrderMemberId }   
						})
					};
					
					// RC DB와 주문 상세가 다른 경우 체크 통신
					tran.callWCSJsonTran( "NSMypageCommCmd", invokeParams, function (data){
						if (data.list.respCd != "S"){	// RC DB와 주문 상세가 다른 경우 (실시간 I/F)
							Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
								navi.setMovePointer(-1);
								navi.delNextAll();
								
								var param = {};
								param.status = CurrentView.status;		
								mainCtrl.navigate('M_U1121100M', param);
							} );
							return;
						}
						
						var param = {
								ordersId : ordersId,
								action : buttonAction,
								pageData : CurrentView.orderData[ordersId],
								tabIndex : 0,
								counselor : hasCantTraceCardYn // counselor 추가 (카드면서 상담사일 경우)
							};
						
						mainCtrl.navigate("M_U1122600L", param);
					});
				});
				
			},
			
			/* 
			 * 카드결제 
			 */
			onclick_payByCard : function(ordersId, storeentId, timeplaced){
				var param = {};
				param.ordersId = ordersId;
				param.storeId = storeentId;
				param.timeplaced = timeplaced;
				param.reFn = "CurrentView.event.callback_payByCard";
				
				Ns.Popup.showPopup("M_U1121002P", param);
			},
			
			/**
			 * 카드결제 중 뒤로왔을 경우 콜백 
			 */
			callback_payByCard : function(){
				if ($("#certScript").length != 0){
					mainCtrl.hideCertView();
				}
				var param = {};
				param.status = CurrentView.status;
				mainCtrl.navigate("M_U1121100M", param);
			},
			
			/**
			 * 수취확인 
			 */
			onclick_deliveryConfirm : function(ordersId, addressId, catentryId, status, commentWriteYn){
				
				Ns.Popup.confirm("상품을 실제로 수령하신 경우 수취확인을 통해 배송완료 상태로 직접 접수하실 수 있습니다.<br /><br />배송완료로 변경된 후에는 수정되지 않습니다. 이상품을 <strong>수취확인 하시겠습니까?</strong)", function(){
					var keys = {};
					keys.ordersId = ordersId;
					keys.addressId = addressId;
					keys.catentryId = catentryId;
					keys.status = status;
					
					var invokeParams = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify(
							{
								"cnm" : "com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
								"mnm" : "setConfirmReceipt",
								"args" : keys
							}
						)
					};
					
					tran.callWCSJsonTran('NSMypageCommCmd', invokeParams, function(data){
						if (!data.list || data.list.respCd != "S"){
							Ns.Popup.alert( "수취확인이 실패하였습니다." );
						} else {
							Ns.Popup.confirm("상품평을 바로 작성하시겠습니까?", 
								function(){
									CurrentView.event.onclick_productCommentWrite(commentWriteYn);
								},
								function(){
									$("#txtSubHeaderTitle").trigger("click");
								}
							);
						}
					});
				}, null, "수취확인", "취소", null, true);
			},
			
			/**
			 * 반품신청 페이지로 이동
			 */
			onclick_refundOrder : function(ordersId) {
				
				//반품불가 상품 체크 -> 불가상품이면 alert 띄움
				//(1.단일주문(1개상품코드,1개단품코드) 외, 2. 복합결제)
				if(!(CurrentView.orderData[ordersId].payms.length == 1 && CurrentView.orderData[ordersId].orderitems.length == 1)){
					// 임시 처리 - 반품신청 불가 상품은 무조건 막는다
					Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다." );
					return;
				}
				
				var invokeParams = {
						"tasknm" : "checkRefundItem",
						"var" : ordersId
					}
				
				tran.callWCSJsonTran( "NSMypageCommCmd", invokeParams, function (data){
					if( data.list.resultCd == "Y" ){
						var param = {};
						param.ordersId = ordersId;
						param.tabIndex = 0;	
						param.monthly = "";
						param.pageidx = "";	
						param.objOrder = CurrentView.orderData[ordersId];
						param.objCats = CurrentView.orderData[ordersId].cats[0];
						param.ordersDate = CurrentView.orderData[ordersId].timeplaced.replace(/[\.-]/g, ".");
						
						mainCtrl.setCurrentPageParams( CurrentView.invokeParams );
						mainCtrl.navigate( "M_U1122101M", param );	
					} else {
						Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다." );
					}
				});

				return false;
			},
			
			/**
			 * 교환신청
			 */
			onclick_exchangeOrder : function(){
				// 임시 처리 - 교환은 무조건 막는다
				Ns.Popup.alert( "본 상품의 교환은 상담원을 통해서 신청해 주시기 바랍니다." );
			},
			
			/**
			 * 상품평쓰기
			 */
			onclick_productCommentWrite : function(commentWriteYn){
				if (commentWriteYn == "Y"){
					mainCtrl.navigate( "M_U1161100M");
				} else {
					Ns.Popup.alert( "상품평 작성 기한이 지났습니다." );
				}
			},
			
			/**
			 * 반품 신청 내역
			 */
			onclick_refundOrderHistory : function(ordersId) {
				var param = {};
				param.ordersId = ordersId;
				param.tabIndex = 0;	
				param.monthly = "";
				param.pageidx = "";	
				param.objOrder = CurrentView.orderData[ordersId];
				param.objCats = CurrentView.orderData[ordersId].cats[0];
				param.ordersDate = CurrentView.orderData[ordersId].timeplaced.replace(/[\.-]/g, ".");
				
				mainCtrl.navigate( "M_U1122102M", param );	
				return false;
			}
			
		}
		//end event function
};