
/* JavaScript content from js/mypage/M_U1121200M.js in folder common */
/**
 *	페이지 ID : M_U1121200M
 *	@file 취소/교환/반품내역
 */

/** 
 * page 컨트롤 클래스 
 * @namespace
 */
CurrentView = {
		
		// 조회조건 default 값.
		pageIdx : 1,
		pageSize : 10,
		totalCount : 0,
		periodIdx : 3,
		periodMonth : 1,
		status : "AXBCEFUR",
		startDate : "",
		endDate : "",
		pushFullEvent : false,
		clickBlocked : false,
		orderData : {}, 		// Key:주문번호
		
		init : function( param ) {
			// 로그인 여부 확인
			if (!mainCtrl.checkLogonStatus()) {
				mainCtrl.gotoLogin();
				return;
			}
			
			this.initializeComponent( param );
			this.onLoad();
		},
		
		/** html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		이벤트 binding 등... */
		initializeComponent : function( param ){
			/* 마이페이지에서 넘어온 주문상태 셋팅 */
			if(!Ns.Util.isNull(param)) {
				if(!Ns.Util.isNull(param.status)) {
					CurrentView.status = param.status;
					CurrentView.ui.set_statusColor(CurrentView.status);
				}
				if(!Ns.Util.isNull(param.periodIdx)) {
					CurrentView.periodIdx = param.periodIdx;
				}
				if(param.periodMonth == 0 || !Ns.Util.isNull(param.periodMonth)) {
					CurrentView.periodMonth = param.periodMonth;
				}
				if(!Ns.Util.isNull(param.startDate)) {
					CurrentView.startDate = param.startDate;
				}
				if(!Ns.Util.isNull(param.endDate)) {
					CurrentView.endDate = param.endDate;
				}
				navi.setPageParam("");
			}
			
			CurrentView.ui.set_periodColor(CurrentView.periodMonth);
			CurrentView.data.set_period(CurrentView.periodMonth, CurrentView.startDate, CurrentView.endDate);
			CurrentView.data.call_MypageMainReal();
			
			/* 페이징 이벤트 셋팅 */
			Ns.UI.startPushFullEvent( CurrentView.data.call_MypageMainReal );
		},
		
		/** html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. */
		onLoad : function(){
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
			/* 클릭이벤트 셋팅 */
			$("#divSelectPeriodArea div button").unbind().bind( "click", CurrentView.event.onclick_divSelectPeriodArea );
			$("#divPeriodSetting div button").unbind().bind( "click", CurrentView.event.onclick_divPeriodSetting );
			$("#ulOrderStateArea li").unbind().bind( "click", CurrentView.event.onclick_ulOrderStateArea );
			
		},
		
		/** 
		 * 데이터 관련 함수를 정의한다.
		 * @namespace
		 */
		data : {
			/** 주문내역 호출 */
			call_MypageMainReal : function(){
				// 선택된 조건의 주문내역 조회 중, 다른 조건 선택 불가하도록 방지
				CurrentView.clickBlocked = true;
				
				var param = {};
				// 유동값
				param.pageidx	= CurrentView.pageIdx; 		// 페이지 Index
				param.tmtyp		= CurrentView.periodIdx;	// 조회기간(1. 1주일 / 2. 15일 / 3. 1개월 / 4. 3개월 / 5. 6개월) 
				param.odt1 		= CurrentView.startDate;	// 조회시작일
				param.odt2		= CurrentView.endDate;		// 조회종료일
				param.status 	= CurrentView.status;		// 주문상태
				param.userId 	= USERINFO.userId(); 		// 고객번호
				//고정값
				param.rowpage 	= CurrentView.pageSize;		// 페이징 사이즈
				param.midx 		= "navi_11"; 				// Menu Index (navi_11 : Default, navi_12 : 주문취소/변경, navi_13 : 교환/반품 신청, navi_14 : 입금확인/계좌관리, navi_15 : 증빙서류신청발급)
				param.channel 	= "mobile"; 				// 조회채널
				
				tran.callWCSJsonTran( 'NSMypageCmd', param, CurrentView.data.callback_NSMypageCmd );
			},
			
			/** 주문내역 콜백함수 */
			callback_NSMypageCmd : function(data){
				CurrentView.ui.set_orderList(data.msg.root.orders);
				CurrentView.totalCount = data.msg.root.totalcnt;
			},
			
			/** 조회 기간 셋팅 */
			set_period : function(periodMonth, startDate, endDate){
				if( startDate == "" || startDate == null || endDate == "" || endDate == null ){
					CurrentView.startDate = Ns.Date.calcDate('', 0,-periodMonth, 0, 0,'yyyy.MM.dd');
					CurrentView.endDate = Ns.Date.calcDate('', 0, 0, 0, 0,'yyyy.MM.dd');
				} else {
					CurrentView.startDate = Ns.Util.isDateFormat(startDate, ".");
					CurrentView.endDate = Ns.Util.isDateFormat(endDate, ".");
				}
			}
		},
		//end data function...
		
		/** 
		 * ui 관련 함수를 정의한다.
		 * @namespace
		 */
		ui : {
			
			/** 주문상태 중 선택된 상태의 색상 변경 */
			set_statusColor : function(status){
				var statusLiId = "";
				
				switch(status){
					case "AX": //취소
						statusLiId="liOrderCancel";
						break;		
					case "BCE": //교환
						statusLiId="liOrderExchanged";
						break;
					case "FUR": //반품
						statusLiId="liOrderRefund";
						break;
					default:
						break;
				}
				
				$("#ulOrderStateArea").children(".current").removeClass("current");
				eval('$("#' + statusLiId +'").addClass("current")');
			},
			
			/** 기간조회 영역 중 선택된 기간의 색상 변경 */
			set_periodColor : function(period){
				var statusLiId = "";
				
				switch(period){
					case 1	: //취소
						statusLiId="btnAmonths";
						break;
					case 3	: //교환
						statusLiId="btnThreemonths";
						break;
					case 6	: //반품
						statusLiId="btnSixmonths";
						break;
					default:
						break;
				}
				
				$("#divSelectPeriodArea").children(".select").removeClass("select");
				$("#divSelectPeriodArea button").attr("aria-checked", false);
				eval('$("#' + statusLiId +'").parent().addClass("select")');
				eval('$("#' + statusLiId +'").attr("aria-checked", true)');
			},
			
			/** 주문리스트 표시 */
			set_orderList : function( orders ) {
				if ( orders == null || orders.length == 0 ) {
  					$("#sectionNoOrderList").show();
  					// HTML을 다 그려준 후, 다른 버튼 클릭 가능 처리
  					CurrentView.clickBlocked = false;
  					return false;
				} else {
					$("#sectionNoOrderList").hide();
				}
				
				/* 01. 주문리스트 영역 section 추가 */
				if(CurrentView.pageIdx == 1) {
					$("#sectionOrderStatus").after($("section[name=sectionOrderList_templete]").clone().wrapAll("<div/>").parent().html());
					$("section[name=sectionOrderList_templete]").first().attr('name','sectionOrderList');
					$("section[name=sectionOrderList] div[name=divOrderListWrap_templete]").first().attr('name','divOrderListWrap');
					$("div[name=divOrderListWrap]").attr('id','divOrderListWrap');
					eval('$("section[name=sectionOrderList] div[name=divOrderList_templete]").first().attr("name","divOrderList_' + ((CurrentView.pageIdx - 1) * CurrentView.pageSize + 1) + '")'); // Step1. 주문번호 여러개
					$("section[name=sectionOrderList] ul[name=ulProdList_templete]").first().attr('name','ulProdList');
					$("section[name=sectionOrderList] li[name=liProd_templete]").first().attr('name','liProd_1'); // Step2. 상품여러개
				}
				
				for (var i = 0; i < orders.length; i++) {
					if (i > 0 || CurrentView.pageIdx > 1) {
						eval('$("div[name=divOrderListWrap]").append($("div[name=divOrderListWrap_templete]").html())');
						eval('$("section[name=sectionOrderList] div[name=divOrderList_templete]").first().attr("name","divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + '")');
						eval('$("section[name=sectionOrderList] ul[name=ulProdList_templete]").first().attr("name","ulProdList")');
						eval('$("section[name=sectionOrderList] li[name=liProd_templete]").first().attr("name","liProd_1")');
					}
					
					var ordersDate	= orders[i].timeplaced.replace(/[\.-]/g, "."); // 주문날짜
					var ordersId 	= orders[i].ordersId; // 주문번호
					
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + '] dd[name=orderDate]").text("' + ordersDate + '")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + '] dd[name=orderId]").text("' + ordersId + '")');
					
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("storeentId","' + orders[i].storeentId +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("timeplaced","' + orders[i].timeplaced +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("ordersId","' + orders[i].ordersId +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("lastupdateall","' + orders[i].lastupdateall +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("latestOperationId","' + orders[i].latestOperationId +'")');
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + i + 1) + ']").data("hasCantTraceCardYn","' + orders[i].hasCantTraceCardYn +'")');
					
					var cats		= orders[i].cats; // 상품리스트
					CurrentView.orderData[ordersId] = {};
					CurrentView.orderData[ordersId] = orders[i];
					CurrentView.orderData[ordersId]['catsLeng'] = {};
					CurrentView.orderData[ordersId]['catsLeng'] = cats.length;
					
					// 주문번호 : 상품 = 1 : n
					CurrentView.ui.set_orderList_cats(cats, i);
					
					// HTML을 다 그려준 후, 클릭 이벤트 추가
					eval('$("div[name=divOrderListWrap] a[name=orderDetailLink]").unbind().bind( "click", CurrentView.event.onclick_orderDetailLink )');
					$("button[name=btnChatting]").unbind().bind( "click", CurrentView.event.onclick_btnChatting );
					$("div[name=divBtnStateWrap] div").unbind().bind( "click", CurrentView.event.onclick_divBtnStateWrap );
					$("section[name=sectionOrderList]").show();
					
					// HTML을 다 그려준 후, 페이징 완료 처리
					CurrentView.pushFullEvent = false;
					// HTML을 다 그려준 후, 다른 버튼 클릭 가능 처리
					CurrentView.clickBlocked = false;
				}
			},
			
			/** 상품리스트 표시 */
			set_orderList_cats : function( cats, orderNum ) {
				var catsCnt = 0;
				for (var i = 0; i < cats.length; i++) {
					var status 			= cats[i].status;	// 주문상태값
					if(CurrentView.status.indexOf(status) > -1 || CurrentView.status == "") {
						if (catsCnt > 0) {
							eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] ul[name=ulProdList]").append($("ul[name=ulProdList_templete]").html())');
							eval('$("section[name=sectionOrderList] li[name=liProd_templete]").first().attr("name","liProd_' + (catsCnt+1) + '")');
						}
						var statusName 		= cats[i].statusName;	// 주문상태값
						var imageUrl 		= Ns.Util.getImageUrl(String(cats[i].goodsCd),"H");	// 썸네일 이미지
						var catentryName	= Ns.Util.htmlDecode(cats[i].catentryName); // 상품명
						var price			= Ns.Util.insertCommas(cats[i].price); 		// 판매가
						var quantity		= cats[i].quantity; 	// 수량
						
						// 반품진행일 경우, 채팅상담 버튼 숨김
						if( statusName == "반품진행" ) {
							eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").find("button[name=btnChatting]").hide()');
						}
						
						// 화면에 노출될 데이터 셋팅
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] span[name=orderStatus]").text("' + statusName + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] p[name=prodName]").text("' + catentryName + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] img[name=prodImg]").attr("alt","' + catentryName + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] img[name=prodImg]").attr("src","' + imageUrl + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] span[name=prodPrice]").text("' + price + '")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] span[name=prodQuantity]").text("' + quantity + '개")');
						
						// 클릭 이벤트 추가
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] a").unbind().bind( "click", function() { CurrentView.event.onclick_liProd(' + cats[i].goodsCd + ') } )');
						
						// 데이터 저장
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("ordersId","' + cats[i].ordersId +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("orderSeq","' + cats[i].orderSeq +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("status","' + status +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("imageUrl","' + imageUrl +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("catentryName","' + catentryName +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("addressId","' + cats[i].addressId +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("catentryId","' + cats[i].catentryId +'")');
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").data("commentWriteYn","' + cats[i].commentWriteYn +'")');
	
						// 웹접근성을 위한 title 추가
						eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + ']").find("button[name=btnChatting]").attr("title","' + cats[i].ordersId + '")');
						
						// 옵션 값 셋팅
						CurrentView.ui.set_orderList_attrs(cats[i].attrs, orderNum, catsCnt); // 옵션
					
						catsCnt++;
					}
				}
			},
			
			/** 옵션 표시 */
			set_orderList_attrs : function( attrs, orderNum, catsCnt ) {
				
				var attrvalDesc = "";
				if(Ns.Util.isNull(attrs)) {
	    			eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] div[name=divProdOpt]").hide()');
	    			return;
	    		}
				for (var i = 0; i < attrs.length; i++) {
					if(i > 0){
						attrvalDesc += ", ";
					}
					attrvalDesc += attrs[i].attrvalDesc;	// 옵션명
					
					eval('$("div[name=divOrderList_' + (((CurrentView.pageIdx - 1) * CurrentView.pageSize) + orderNum + 1) + '] li[name=liProd_' + (catsCnt+1) + '] dd[name=prodOpt]").text("' + Ns.Util.htmlDecode(attrvalDesc) + '")');
				}
				return attrvalDesc;
			},
			
			/** 날짜 디폴트는 1개월 전 오늘 ~ 오늘 */
			set_defaultDate : function(){
				var startDate = Ns.Date.calcDate('', 0,-1, 0, 0,'yyyy-MM-dd');
				var endDate = Ns.Date.calcDate('', 0, 0, 0, 0,'yyyy-MM-dd');
				var minDate = Ns.Date.calcDate('', -5, 0, 0, 0,'yyyy-MM-dd');

				// 처음 HTML이 로드된 후 default 날짜가 변경되지 않아서 html 다시 그려줌.
				var divStartDateHtml = $("#divStartDate").html();
				divStartDateHtml = divStartDateHtml.replace("3000", startDate.substring(0,4));
				divStartDateHtml = divStartDateHtml.replace("32", startDate.substring(5,7));
				divStartDateHtml = divStartDateHtml.replace("33", startDate.substring(8,10));
				var divEndDateHtml = $("#divEndDate").html();
				divEndDateHtml = divEndDateHtml.replace("3000", endDate.substring(0,4));
				divEndDateHtml = divEndDateHtml.replace("32", endDate.substring(5,7));
				divEndDateHtml = divEndDateHtml.replace("33", endDate.substring(8,10));
				$("#divStartDate").html(divStartDateHtml);
				$("#divEndDate").html(divEndDateHtml);
				$("#startDate").attr("min", minDate);
			}
			
		},
		//end ui function...
		
		/** 
		 * 이벤트 관련 함수를 정의한다.
		 * @namespace 
		 */
		event : {
			/**
			 * 주문상태 영역 클릭 이벤트
			 * (취소/교환/반품) 
			 */
			onclick_ulOrderStateArea : function() {	
				// 선택된 조건의 주문내역 조회 중, 다른 조건 선택 불가하도록 방지
				if(!CurrentView.clickBlocked){
					$("section[name=sectionOrderList]").remove();
					
					var id = $(this).attr('id');
					var status="";
					
					switch(id){
						case "liOrderCancel": //취소
							status="AX";
							break;
						case "liOrderExchanged": //교환
							status="BCE";
							break;
						case "liOrderRefund": //반품
							status="FUR";
							break;
						default:
							break;
					}
					$("#ulOrderStateArea").children(".current").removeClass("current");
					$(this).addClass("current");
					
					CurrentView.status = status;
					CurrentView.pageIdx = 1;
					
					CurrentView.data.call_MypageMainReal();
				}
			},
			
			/**
			 * 조회기간 버튼 영역 클릭 이벤트
			 * (1개월/3개월/6개월/기간설정)
			 */
			onclick_divSelectPeriodArea : function(){
				// 선택된 조건의 주문내역 조회 중, 다른 조건 선택 불가하도록 방지
				if(!CurrentView.clickBlocked){
					var clicked = $(this);
					var id = $(this).attr('id');
					
					if( id == "btnAmonths" ){
						CurrentView.periodMonth = 1;
						CurrentView.periodIdx = 3;
						CurrentView.pageIdx = 1;
						CurrentView.data.set_period(CurrentView.periodMonth);
						CurrentView.event.onremove_periodSettingArea(clicked);
						CurrentView.event.onremove_periodSelectArea(clicked);
						$("section[name=sectionOrderList]").remove();
						CurrentView.data.call_MypageMainReal();
						clicked.parent().addClass("select");
						clicked.attr("aria-checked", true);
					} else if( id == "btnThreemonths" ) {
						CurrentView.periodMonth = 3;
						CurrentView.periodIdx = 4;
						CurrentView.pageIdx = 1;
						CurrentView.data.set_period(CurrentView.periodMonth);
						$("section[name=sectionOrderList]").remove();
						CurrentView.event.onremove_periodSettingArea(clicked);
						CurrentView.event.onremove_periodSelectArea(clicked);
						CurrentView.data.call_MypageMainReal();
						clicked.parent().addClass("select");
						clicked.attr("aria-checked", true);
					} else if( id == "btnSixmonths" ) {
						CurrentView.periodMonth = 6;
						CurrentView.periodIdx = 5;
						CurrentView.pageIdx = 1;
						CurrentView.data.set_period(CurrentView.periodMonth);
						$("section[name=sectionOrderList]").remove();
						CurrentView.event.onremove_periodSettingArea(clicked);
						CurrentView.event.onremove_periodSelectArea(clicked);
						CurrentView.data.call_MypageMainReal();
						clicked.parent().addClass("select");
						clicked.attr("aria-checked", true);
					} else if( id == "btnPeriodSetting" ) {
						CurrentView.ui.set_defaultDate();
						CurrentView.event.ontoogle_periodSettingArea(clicked);
						CurrentView.event.onremove_periodSelectArea(clicked);
					} else {
						return false;
					}
				}
			},
			
			/**
			 * 기간설정 영역의 '조회' 버튼 클릭 이벤트
			 */
			onclick_divPeriodSetting : function() {
				// 선택된 조건의 주문내역 조회 중, 다른 조건 선택 불가하도록 방지
				if(!CurrentView.clickBlocked){
					if(!Ns.Date.checkPeriodMonth($("#startDate").val(), $("#endDate").val(), 6 )){
						Ns.Popup.alert( "조회가능한 기간은 최대 6개월입니다." );
						return;
					}
					
					$("section[name=sectionOrderList]").remove();
					CurrentView.periodMonth = 0; // 사용하지 않는 값으로 변경
					CurrentView.periodIdx = 0; // 사용하지 않는 값으로 변경
					CurrentView.pageIdx = 1;
					CurrentView.data.set_period( "", $("#startDate").val(), $("#endDate").val());
					CurrentView.data.call_MypageMainReal();
				}
			},
			
			/**
			 * 주문날짜/번호 영역 클릭 이벤트(ex. 2018.06.19 [주문번호:300008486013])
			 */
			onclick_orderDetailLink : function() {
				var ordersId = $(this).find('dd[name=orderId]').text();
				var param = {};
				param.ordersId = ordersId;
				param.monthly = CurrentView.periodMonth;
				param.pageidx = 1;
				param.hasCantTraceCardYn = "";
				
				var objNaviParam = {};
				objNaviParam.status = CurrentView.status;
				objNaviParam.periodIdx = CurrentView.periodIdx;
				objNaviParam.periodMonth = CurrentView.periodMonth;
				objNaviParam.startDate = CurrentView.startDate;
				objNaviParam.endDate = CurrentView.endDate;
				
				navi.setPageParam( objNaviParam );
				mainCtrl.navigate( "M_U1121600M", param );
			},
			
			/**
			 * 상품 영역 클릭 이벤트
			 * - 상품상세 페이지로 이동
			 */
			onclick_liProd : function(goodsCd) {
				var param = {
						partNumber : goodsCd
					};
				
				mainCtrl.gotoProductDetail(param);
			},
			
			/**
			 * 기간설정 영역 토글 이벤트
			 */
			ontoogle_periodSettingArea : function(clicked) {
				 var $periodSettingBtn = clicked;
			     var $parent = $periodSettingBtn.closest('.inquiry_search_wrap');
			     if( $parent.hasClass('hidden')){
			    	 $("#btnPeriodSetting").attr("aria-checked", true);
			     } else {
			    	 $("#btnPeriodSetting").attr("aria-checked", false);
			     }
			     $parent.toggleClass('hidden');
			},
			
			/**
			 * 기간설정 영역 삭제 이벤트
			 */
			onremove_periodSettingArea : function(clicked) {
				 var $periodSettingBtn = clicked;
			     var $parent = $periodSettingBtn.closest('.inquiry_search_wrap');
			     $("#btnPeriodSetting").attr("aria-checked", false);
			     $parent.addClass('hidden');
			},
			
			/**
			 * 1개월/3개월/6개월 영역 선택 클래스 삭제 이벤트
			 */
			onremove_periodSelectArea : function(clicked) {
				var $selected = clicked.parent().siblings(".select");
				$selected.children().attr("aria-checked", false);
			    $selected.removeClass('select');
			},
			
			/**
			 * 채팅상담 버튼 클릭 이벤트
			 */
			onclick_btnChatting : function() {
				var clicked = $(this).parents("li");
				var param = {};
				param.status = clicked.data("status");
				param.ordersId = clicked.data("ordersId");
				param.catentryName = clicked.data("catentryName");
				param.imageUrl = clicked.data("imageUrl");
				param.orderSeq = clicked.data("orderSeq");

				mainCtrl.navigate( "M_U1173000M", param );
			}
			
		}
		//end event function
};