
/* JavaScript content from js/mypage/M_U1121600M.js in folder common */
/**
 *	페이지 ID : M_U1121600M
 *	@file 주문/배송 조회 상세
 */

/** 
 * page 컨트롤 클래스 
 * @namespace
 */
CurrentView = {
		ordersId : null,
		tabIndex : null,  	//Tab Index  ("". 전체. 1. 일반상품 / 2. 상품권 / 3. NS정기배달 / 4. 서비스상품 /)
		monthly : null,	 	//month Tab index 1 ,3, 6
		pageidx : null,		//page no
		
		pageDataset : [],
		
		orgOrders : {},
		
		hasCantTraceCardYn : "",
		
		bDoubleBtn : false,	//버튼 중복 클릭 방지
		
		init : function( params ) {

			//일반회원, SNS회원
			if (USERINFO.logonType() == LOGON_TYPE.normal || USERINFO.logonType() == LOGON_TYPE.simple){ 
				if (!mainCtrl.checkLogonStatus()) {
					   mainCtrl.gotoLogin();
						return ;
				}	 			
				
			} else {
				//비회원이거나 해당 페이지로 바로 들어온 경우 해당 로직을 타게 됨
				//비회원 일 경우 checkLogonStatus()에서 체크가 안됨
				if (!params.GuestResultYn) {
					   mainCtrl.gotoLogin();
						return ;
				}
			}
			

			CurrentView.ordersId = params.ordersId;
			CurrentView.tabIndex = params.tabIndex;
			CurrentView.monthly = params.monthly;
			CurrentView.pageidx = params.pageidx;
			if (params.hasCantTraceCardYn != undefined){
				CurrentView.hasCantTraceCardYn = params.hasCantTraceCardYn;
			}
			this.initializeComponent();
			this.onLoad(params);
		},

		/** html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		이벤트 binding 등... */
		initializeComponent : function() {
			setTimeout(function(){
				var window_size = $(window).width();						
				if(window_size < 400){
					if($('.icon_wrap a').length == 3){
						$('.icon_wrap').css({
							'width':'93px',
							'position':'absolute',
							'right':0,
							'top':'3px'
							});
						$('.billing-table .data-table td').css('padding', '25px 98px 20px 0');
					} else {
						$('.icon_wrap').css('width','');
					}
				} else {
					$('.icon_wrap').css('width','');
				}
			},1000);
		},

		/** html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다. */
		onLoad : function() {
			this.data.getOrdersDetailInfo();
		},

		/** 
		 * 데이터 관련 함수를 정의한다.
		 * @namespace
		 */
		data : {
			/**
			 * 주문 상세 정보 조회
			 */
			getOrdersDetailInfo : function() {
				var param = {};
				param.ordsid  = CurrentView.ordersId;
				param.tidx  = CurrentView.tabIndex;
				param.channel = "mobile"; 
				param.vwtyp = USERINFO.logonType() == "" ? "g" : "";	// 비회원일 경우 g
				
				tran.callWCSJsonTran('NSMypageCmd', param, CurrentView.data.resultOrdersDetailInfo);
			},
			
			/**
			 * 주문 상세 정보 조회 콜백 함수
			 */
			resultOrdersDetailInfo : function( data ) {
				var orders = data.msg.root.orders[0];
				CurrentView.orgOrders = data.msg.root.orders;
		
				var userInfo = (data.msg.root.userInfo || {lastname:''});
				if ( orders == null || orders == "" ) {
					
					var html = mainCtrl.getNoResultDataHtml("주문 내역이 없습니다.");
  					$("#divOrderInfoArea").html( html );
					return false;
				}
				
				// 카카오 알림톡 랜딩 추가 - hasCantTraceCardYn은 상세 API에서 내려주므로 상세 API를 사용
				CurrentView.hasCantTraceCardYn = data.msg.root.orders[0].hasCantTraceCardYn;
				
				
				// 주문정보 조회결과 저장
				CurrentView.pageDataset = data.msg.root.orders;
				
				var actionHtml     = CurrentView.ui.makeHtmlOrderAction( orders.cats, orders.ordersId, orders, orders.timeplaced ,orders.lastupdateall, orders.latestOperationId); //교환, 반품 주문취소 등의 버튼 생성
				var ordersDate	   = CurrentView.ui.makeOrderDate( orders.ordersId, orders.cats );
				var cardPayHtml    = CurrentView.ui.makeHtmlCardPayHtml( orders.cats, orders.ordersId, orders );
				if ( ordersDate == "" || ordersDate == null ) {
					ordersDate = orders.timeplaced.replace(/[\.-]/g, ".");
				}
				
				var lastname = "";
				if ( userInfo.lastname == "" || userInfo.lastname == null) {
					if(orders.cats[0]){
						lastname = orders.cats[0].ship.lastname;
					}
				} else {
					lastname = userInfo.lastname;
				}
				CurrentView.ui.setOrderCommonInfo(orders.ordersId, ordersDate, orders.media, lastname ); //기본정보
				
				CurrentView.ui.setOrderPaymentInfo( orders, actionHtml ); //결제금액
				
				CurrentView.ui.setOrderItemInfo( orders.ordersId, orders.cats, orders ); //배송정보
				
				if ( CurrentView.tabIndex != 4) {
					$("#sectionPaymentMethodArea").show();
					CurrentView.ui.setPaymentMethodHtml( orders,  cardPayHtml); //결제수단별 결제금액
				} else {
					$("#sectionPaymentMethodArea").hide();
				}
			},

			/**
			 * 배송조회
			 */
			getDeliveryStatus : function( param, callback ) {
				var invokeParams = {
					"tasknm" : "alejandro",
					"var" : JSON.stringify(
							{
								"cnm" : "com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
								"mnm" : "getShipInfo",
								"args" : param
							}
					)
				};
				tran.callWCSJsonTran('NSMypageCommCmd', invokeParams, callback );
			}
			
		},

		/** 
		 * ui 관련 함수를 정의한다.
		 * @namespace
		 */
		ui : {
			/**
			 * 주문 일자
			 */
			makeOrderDate : function( ordersId, orderDate ) {
				var date ="";
				  
				for ( var i=0; i<orderDate.length; i++ ) {
					date = orderDate[i].createdate;
				}
				
				return date;
		  	},
		  	
		  	/**
		  	 * 주문 기본정보를 출력한다
		  	 */
			setOrderCommonInfo : function( ordersId, orderTime, media, lastname ) {
				$("#txtOrderer").html("주문자 : " + lastname + " <span class=\"date\" style=\"float:right;\">" + orderTime + " (" + media + ")</span>");
				$("#txtOrdersId").html( ordersId );
			},
			
			/**
			 * 결제금액 정보를 출력한다.
			 */
			setOrderPaymentInfo : function( data, actionHtml ) {
				var TOTAL_PRODUCT_AMT = Number(data.totalproduct);
				var SHIP_CHARGE = Number(data.totalshipping);
				var OFFER_AMT = Number(data.totaladjustment);
				var FINAL_PAYMENT_AMT = Number(data.totalpayment);
				
				$('#productTotalPrice').html( Ns.Util.insertCommas(TOTAL_PRODUCT_AMT) + '원' );		//상품합계금액
				$('#totalshipping').html( Ns.Util.insertCommas(SHIP_CHARGE) + '원' );				//배송비 합계금액
				$('#totaladjustment').html( Ns.Util.getMoneyFormat('(-)',OFFER_AMT) + '원' );		//할인금액
				$('#totalproduct').html( Ns.Util.insertCommas(FINAL_PAYMENT_AMT) + '원' );			//총 결제금액
				$("#certPriceArea").append( actionHtml ); //action 버튼 생성
				
				if (data.payms && data.payms.length > 0) {
					// 결제수단별 결제내역 sort
					data.payms.sort(function(a,b){
						return (Number(a.paySeq) - Number(b.paySeq));
					});

					// 적립금/예치금 등 사용금액 출력
					var html = '';
					var pointData = [{
						'displaytext' : '상품권 사용금액', payAmt : 0
					}, {
						'displaytext' : '적립금/포인트/예치금 사용금액', payAmt : 0
					}];
					var pointPaymentcodeList = ["500", "600", "700", "800", "900", "1000", "1100"]; // 포인트 관련 paymentcode
					for (var i = 0; i < data.payms.length; i++) {
						if (pointPaymentcodeList.contains(data.payms[i].paymentcode)) { // 포인트 관련 결제 내역만 출력
							if (data.payms[i].paymenttype == 'GIFTCARD') {
								pointData[0].payAmt += Number(data.payms[i].payAmt);
								continue;
							} else if (data.payms[i].paymenttype == 'POINT') {
								pointData[1].payAmt += Number(data.payms[i].payAmt);
								continue;
							}
							
							html += Ns.Util.stringFormat('\n'+
									'<tr>\n' +
									'	<th scope="row">{0}</th>\n'+
									'	<td><strong class="em rate-g">{1}원</strong></td>\n'+
									'</tr>',
								data.payms[i].displaytext,
								'(-)'+Ns.Util.insertCommas(data.payms[i].payAmt)
							);
						}
					}
					for (var j = 0; j < pointData.length; j++) {
						if (pointData[j].payAmt > 0) {
							html += Ns.Util.stringFormat('\n'+
									'<tr>\n' +
									'	<th scope="row">{0}</th>\n'+
									'	<td><strong class="em rate-g">{1}원</strong></td>\n'+
									'</tr>',
								pointData[j].displaytext,
								'(-)' + Ns.Util.insertCommas(pointData[j].payAmt)
							);
						}
					}
					for (var k=0; k<data.payms.length; k++){
						var pstAmt = data.payms[k].pstAmt;
						if ( pstAmt != "0" ){
							html += Ns.Util.stringFormat('\n'+
								'<tr>\n'+
								'	<th scope="row" style="padding-top:12px;">{0}</th>\n'+
								'	<td style="padding-top:12px;"><strong class="em rate-g">{1}원</strong></td>\n'+
								'</tr>',
								"환불예정금액",
								'(+)' + Ns.Util.insertCommas(pstAmt)
							);
						}
					}
					$('#sectionBillingInfoArea .order-table table tbody').append(html);
				}
			},
				
			/**
			 * 주문 상품들을 출력한다
			 */
			setOrderItemInfo : function( ordersId, cats, orders ) {
				if( cats == null || cats == "" ) {
					//카카오 알림톡 랜딩 추가 - 정보 없을 경우 처리 추가
				 	var html1 = mainCtrl.getNoResultDataHtml("주문 내역이 없습니다.");
  					$("#divOrderInfoArea").html( html1 );
					return;
				}
					
				var html2 = CurrentView.ui.makeHtmlCats( ordersId, cats, orders );
				$("#divOrderInfoArea").html( html2 );
			},
			
			/**
			 * 주문상품 상세 정보 출력
			 */
			makeHtmlCats : function( ordersId, items, orders ) {
				var html ="";
				
				for ( var i=0; i<items.length; i++ ) {
					var imageLink = Ns.Util.getImageUrl(String(items[i].goodsCd),"H");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_H.jpg';
					var brandName = Ns.Util.htmlDecode(items[i].brandName);
					var goodsName = items[i].catentryName;
					goodsName = ( !Ns.Util.isNull(brandName) && brandName != '미정의' ? "[" + brandName + "]" : "") + (goodsName || '');
					var partnumber =  items[i].goodsCd; 
					
					var optionsHtml = "";
					var options = CurrentView.ui.getOrdersAttributes( items[i].attrs ); //옵션 생성
					
					// 초이스, 팩, 사은품 상품 주문 옵션 표시
					if (items[i].subProducts.length > 0){
						for (var j = 0; items[i].subProducts.length > j; j++){
							if (items[i].subProducts[j].partgubun == "CHOICE"){	// 초이스 상품일 경우
								options += '<br /><span class="option">' + items[i].subProducts[j].name;
								if (items[i].subProducts[j].attrs.length > 0){
									options += ' ' + items[i].subProducts[j].attrs[0].value;
								}
								options += ' : ' + items[i].subProducts[j].quantity + '개</span>';
							} else { // PACK, GIFT 일 경우
								options += '<br /><span class="option">' + items[i].subProducts[j].name;
								if (items[i].subProducts[j].attrs.length > 0){
									options += ' ' + items[i].subProducts[j].attrs[0].value;
								}
								options += '</span>';
							}
						}
					}
					
					//NS정기배달 필요한 값 - ex) 30일 간격, 총 8회 배송
					var intrv = items[i].intrv;
					var cnveyNum = items[i].cnveyNum;
					
					if ( options != "" ) {
						optionsHtml += '<strong class="head">주문옵션</strong>';
						optionsHtml += '<span class="text">';
						optionsHtml += options;
						optionsHtml += '</span>';
					}
					
					if ( intrv != null && cnveyNum != null ) {						
						optionsHtml += Ns.Util.stringFormat('\n'+
								'<div class="option-delivery">\n'+
								'	<strong class="head">배송주기</strong>\n'+
								'	<span class="text">\n'+
								'		<span class="option">간격 : {0}일</span>\n'+
								'		<span class="option">배송 : {1}회</span>\n'+
								'	</span>\n'+
								'</div>',
								intrv,
								cnveyNum
						);
					}
					
					var orderStatus = {
						statusName : items[i].statusName,
						price : items[i].price,
						quantity : items[i].quantity,
						totalPrice : items[i].totalproduct
					};
					
					var shippingAddrHtml = "";
					if ( CurrentView.tabIndex != 4) {
						shippingAddrHtml = CurrentView.ui.getShippingDeliveryHtml(  items[i], orders, i );
					}
					
					var statusHtml = CurrentView.ui.getOrderStatusHtml( orderStatus ); //주문상태
					
					Ns.Util.viewConsoleLog("statusHtml:" + statusHtml);
					html += Ns.Util.stringFormat('\n'+
						'<section class="section delivery-info">\n'+
						'	{0}\n'+
						'	<ul class="item-display theme-a medium detail">\n'+
						'		<li class="items">\n'+
					    '		    <div class="wrap">\n'+
					    '			    <div class="thumbnail">\n'+
					    '					<a href="javascript:CurrentView.ui.gotoDetailGoods(\'{1}\', \'{8}\');"><img src="{2}" onerror="this.onerror=null;this.src=\'{3}\'" alt="상품 이미지" /></a>\n'+
					    '				</div>\n'+
					    '				<div class="field">\n'+
					    '					<p class="title"><a href="javascript:CurrentView.ui.gotoDetailGoods(\'{4}\', \'{8}\');"><strong>{5}</strong></a></p>\n'+
					    '					<p class="option-item">\n'+
						'						{6}\n'+
					    '					</p>\n'+
					    '				</div>\n'+
					    '			</div>\n'+
						'			{7}\n'+
						'		</li>\n'+
						'	</ul>\n'+
						'</section>', shippingAddrHtml, partnumber, imageLink, noImageUrl, partnumber, goodsName, optionsHtml, statusHtml, null == items[i].multiCd ? "" : items[i].multiCd );
				}
				
				return html;
		  	}, 
		  	
		  	/**
		  	 * 주문 옵션 정보
		  	 */
		  	getOrdersAttributes : function( attrs ) {
	    		var attrvalDesc = "";
	    		if ( attrs == null ) {
	    			return "";
	    		}
	    
	    		for ( var k=0; k<attrs.length; k++ ) 	{
	    			attrvalDesc += Ns.Util.stringFormat('<br /><span class="option">{0} : {1}</span>', attrs[k].attrDesc, attrs[k].attrvalDesc);
	    		}
	    
	    		return attrvalDesc;
	    	},

	    	makeHtmlOrderAction : function( cats, ordersId, orders, timeplaced, lastupdateall, latestOperationId ) {
	    		var html = "";
	    	  
	    		for ( var k=0; k<cats.length; k++ ) 	{
	    			html = CurrentView.ui.makeHtmlOrderBtnAction( cats, ordersId, orders, cats[k].btnctrls, timeplaced, lastupdateall, latestOperationId );
			    }
	    		return html;
	    	},
	    	
	    	/**
	    	 * 카드결제 버튼 생성
	    	 */
	    	makeHtmlCardPayHtml : function( cats, ordersId, orders ) {
	    		var html = "";
	    		var bOnlyPaymentcode200 = false;
	    		var bFalse100300400 = false; 
	    		for (var i = 0; orders.payms.length > i; i++){
	    			if (orders.payms[i].paymentcode == "200"){
	    				bOnlyPaymentcode200 = true;
	    			}
	    			
	    			if (orders.payms[i].paymentcode == "100" || orders.payms[i].paymentcode == "300" || orders.payms[i].paymentcode == "400"){
	    				bFalse100300400 = true;
	    			}
	    		}
	    		
	    		//입금대기(D)이고, 결제수단이 모두 무통장 입금인 경우
	    		if (orders.status == "D" && bOnlyPaymentcode200 && !bFalse100300400){
	    			html += Ns.Util.stringFormat('<a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_paymentChangeCard(\'{0}\', \'{1}\', \'{2}\');"><span>카드결제</span></a>', orders.ordersId, orders.storeentId, orders.timeplaced);
	    		}
	    		
	    		return html;
	    	},
	    	
	    	/**
	    	 * 반품/교환 버튼 생성
	    	 */
	    	makeHtmlOrderBtnAction : function( cats, ordersId, orders, ordersBtns, timeplaced , lastupdateall, latestOperationId) {
	    		var html = "";
	    		html += Ns.Util.stringFormat('<span class="group_button">');
	    		for ( var j=0; j<ordersBtns.length; j++ ) 	{
	    			var buttonAction = ordersBtns[j].btns;
	    			var buttonName = ordersBtns[j].btnnm;
	    			
	    			if(ordersBtns[j].btnnm == "반품신청")
						buttonName = "반품";
					else if(ordersBtns[j].btnnm == "교환신청")
						buttonName = "교환";
	    			
	    			if ( buttonAction == "CANCEL" ) {	// 취소
	    				html += Ns.Util.stringFormat('<a class="btn theme-a rate-a medium2" href="javascript:CurrentView.event.onclick_cancelOrder(\'{0}\', \'{1}\', \'{3}\', \'{4}\', \'{5}\', \'{6}\');"><span>{2}</span></a>', ordersId, buttonAction, buttonName, timeplaced, lastupdateall, latestOperationId, cats[0].memberId);
	    			} else if(buttonAction == "EXCHANGE"){ //교환신청
	    				html += Ns.Util.stringFormat('<a class="btn theme-a rate-a medium2" style="position:static;" href="javascript:CurrentView.event.onclick_exchangeOrder();"><span>{0}</span></a>', buttonName);
	    			} else if(buttonAction == "REFUND"){ //반품신청
	    				//반품불가 상품 체크 -> 불가상품이면 alert 띄움
	    				//(1.단일주문(1개상품코드,1개단품코드) 외, 2. 복합결제)
	    				if(orders.payms.length == 1 && orders.orderitems.length == 1){
	    					html += Ns.Util.stringFormat('<a class="btn theme-a rate-a medium2" style="position:static;" href="javascript:CurrentView.event.onclick_refundOrder(\'{0}\', \'{1}\', \'{3}\', \'{4}\');"><span>{2}</span></a>', ordersId, cats[0].memberId, buttonName, 0, timeplaced);	
		    			}else{
	    					html += Ns.Util.stringFormat('<a class="btn theme-a rate-a medium2" style="position:static;" href="javascript:CurrentView.event.onclick_refundOrderAlert();"><span>{0}</span></a>', buttonName);
	    				}
	    			}  
			    }
	    		html += Ns.Util.stringFormat('</span>');
	    		return html;
	    	},
	    	
	    	/**
	    	 * 주문 단계 표시 HTML 생성
	    	 */
	    	getOrderStatusHtml : function( data ) {
	    		var resHtml;
	    		var className;
	    		
	    		if ( data == null || data == '' ) {
	    			return "";
	    		}
	    		
	    		data.price = Ns.Util.insertCommas( data.price );
	    		data.totalPrice = Ns.Util.insertCommas( data.totalPrice );
	    		
	    		if ( data.statusName == "주문접수" || data.statusName == "결제대기") {
	    			className = "head step-a";
	    		} else if ( data.statusName == "결제완료" || data.statusName == "신청완료" ) {
	    			className = "head step-b";
	    		} else if ( data.statusName == "주문전달" ) {
	    			className = "head step-c";
	    		} else if ( data.statusName == "상품준비중" ) {
	    			className = "head step-d";
	    		} else if ( data.statusName == "배송중" ) {
	    			className = "head step-e";
	    		} else if ( data.statusName == "배송완료" ) {
	    			className = "head step-f";
	    		} else { // 주문취소, 취소완료, 반품완료, 교환신청 등
	    			className = "head step-g";
	    		}
	    		
		        if ( data.quantity == 0 ) {
		        	data.totalPrice = 0;
		        }
		        
	    		resHtml  = '<div class="more-data order-tracking">';
	    		resHtml += '<strong class="' + className + '">' + data.statusName + '</strong>';
	    		resHtml += '<span class="text">' + data.price + '<span class="unit">원</span> X ' + data.quantity + '<span class="unit">개</span></span>';
	    		resHtml += '<span class="text em rate-g"><strong>' + data.totalPrice + '</strong><span class="unit">원</span></span>';
	    		resHtml += '</div>';
	    		
	    		return resHtml;
	    	},
	    	
	    	/**
	    	 * 배송 정보 출력
	    	 */
	    	getShippingDeliveryHtml : function( items, orders, catsIndex ) {
	    		var bDISP_TYPE_CD_choice = items.dispTypeCd == "50" || items.dispTypeCd == "55" ? true : false;	// 기프티콘, 모바일 상품권 여부
	    		var ship = items.ship;
	    		var slctDay = Ns.Util.replaceAll(items.slctDay , ".", "-");
	    		
	    		if( slctDay == null){
	    			slctDay = "";
	    		}
	    		
	    		var html;
	    		if ( ship ==null || ship == "" ){
	    			return "";
	    		} else {
		    		var phone;
		    		var phone01 = "";
		    		var phone02 = "";
		    		var message;
		    		var cardmessage = "";
		    		
		    		if ( ship.phone11 != "" && ship.phone11!=null ) {
		    			phone01 = ship.phone11 + "-" +  ship.phone12 + "-" +  ship.phone13;
		    		}
		    		if ( ship.phone21 != "" && ship.phone21!=null ) {
		    			phone02 = ship.phone21 + "-" +  ship.phone22 + "-" +  ship.phone23;
		    		}
		    		
		    		if (bDISP_TYPE_CD_choice){	// 상품권, 기프티콘의 경우 처리 
		    			phone = phone01;
		    		} else {
		    			phone = phone01;
		    			
			    		if( phone != "" && !Ns.Util.isNull(phone02.replace(/-/gi, "")) ) 
			    			phone += " / " + phone02;
			    		else
			    			phone = phone01;
		    		}
		    		
	
		    		if ( ship.message != "" ) {
		    			if ( ship.message == null || ship.message == "null" ) {
		    				message = "없음";
		    			} else {
		    				message = ship.message;
		    			}
		    		} else {
		    			message = "없음";
		    		}
		    		
		    		if (ship.cardmessage != null && ship.cardmessage != undefined) {
		    			cardmessage = Ns.Util.stringFormat('\n'+
								'<tr>\n'+
								'	<th scope="row">메시지 카드</th>\n'+
								'	<td id="msgCard">{0}</td>\n'+
								'</tr>',
							ship.cardmessage.replace(/&lt;/g, "<").replace(/&gt;/g, ">")
						);
		    		}
		    		
		    		var strBtnHtml = "";
		    		var strDELIVERY_STATUShtml = "";
		    		
		    		for (var i = 0; items.btnctrls.length > i; i++){
		    			if (items.btnctrls[i].btns != "CANCEL" && items.btnctrls[i].btns != "EXCHANGE" && items.btnctrls[i].btns != "REFUND" && items.btnctrls[i].btns == "DELIVERY_STATUS"){
		    				strDELIVERY_STATUShtml += '<a class="btn theme-a rate-a medium2" style="position:static;" href="javascript:CurrentView.event.onclick_deliveryStatus(\'' +items.ordersId+ '\', \'' +items.stdOrderitemsId+ '\', \'' +items.addressId+ '\', \'' +items.catentryId+ '\', \'' +items.status+ '\');">';
		    				strDELIVERY_STATUShtml += '		<span>배송조회</span></a>';
		    			}
		    			
		    			if (items.btnctrls[i].btns != "CANCEL" && items.btnctrls[i].btns != "EXCHANGE" && items.btnctrls[i].btns != "REFUND" && items.btnctrls[i].btns == "DELIVERY_CONFIRM"){
		    				strBtnHtml += '<a class="btn theme-a rate-a medium2" style="position:static;" href="javascript:CurrentView.event.onclick_deliveryConfirm(\'' +items.ordersId+ '\', \'' +items.stdOrderitemsId+ '\', \'' +items.addressId+ '\', \'' +items.catentryId+ '\', \'' +items.status+ '\', \'' + items.commentWriteYn + '\');">';
		    				strBtnHtml += '		<span>수취확인</span></a>';
		    			}
		    			
		    			if (items.btnctrls[i].btns == "PRODUCT_COMMENT_WRITE"){
		    				strBtnHtml += '<a class="btn theme-a rate-a medium2" style="position:static;" href="javascript:CurrentView.event.onclick_productCommentWrite(\'' + items.commentWriteYn + '\');">';
		    				strBtnHtml += '		<span>상품평쓰기</span></a>';
		    			}
		    			
		    			if (items.btnctrls[i].btns == "PRODUCT_COMMENT_READ"){
		    				strBtnHtml += '<a class="btn theme-a rate-a medium2" style="position:static;" href="javascript:CurrentView.event.onclick_productCommentRead();">';
		    				strBtnHtml += '		<span>상품평보기</span></a>';
		    			}
		    		}
		    		
		    		// 입금대기(D), 입금확인(M)인 경우 배송지 변경 추가
			        if (items.status == "D" || items.status == "M"){
			        	strBtnHtml += '<a class="btn theme-a rate-a medium2" style="position:static;" href="javascript:CurrentView.event.onclick_addressChange(\'' + 0 + '\', \'' + catsIndex + '\');">';
	    				strBtnHtml += '		<span>배송지변경</span></a>';
		    		}
		    		
		    		strBtnHtml = strBtnHtml + strDELIVERY_STATUShtml;
		    		
		    		if (bDISP_TYPE_CD_choice){	// 상품권, 기프티콘의 경우 처리 
		    			html = Ns.Util.stringFormat('\n'+
				    			'<header class="section_header">\n'+
				    			'	<h1>배송정보</h1>\n'+
				    			'</header>\n'+
					    		'<table class="data-table theme-b content-left">\n'+
								'	<caption>결제정보 표</caption>\n'+
								'	<colgroup>\n'+
								'		<col style="width: 100px;" />\n'+
								'		<col />\n'+
								'	</colgroup>\n'+
								'	<tbody>\n'+
								'	<tr>\n'+
								'		<th scope="row">받으시는 분</th>\n'+
								'		<td>{0}</td>\n'+
								'	</tr>\n'+
								'	<tr>\n'+
								'		<th scope="row">받으시는분 연락처</th>\n'+
								'		<td>{1}</td>\n'+
								'	</tr>\n'+
								'	{2}\n'+
								'	</tbody>\n'+
								'</table>',
								Ns.Util.isNull(ship.lastname, ""),
								Ns.Util.isNull(phone, ""),
								Ns.Util.isNull(cardmessage, "")
						);
		    		}else if( slctDay != "" ){
		    			html = Ns.Util.stringFormat('\n'+
				    			'<header class="section_header">\n'+
				    			'	<h1>배송정보<span class="group_button">{8}</span></h1>\n'+
				    			'</header>\n'+
					    		'<table class="data-table theme-b content-left">\n'+
								'	<caption>결제정보 표</caption>\n'+
								'	<colgroup>\n'+
								'		<col style="width: 100px;" />\n'+
								'		<col />\n'+
								'	</colgroup>\n'+
								'	<tbody>\n'+
								'	<tr>\n'+
								'		<th scope="row">받으시는 분</th>\n'+
								'		<td>{0}</td>\n'+
								'	</tr>\n'+
								'	<tr>\n'+
								'		<th scope="row">연락처</th>\n'+
								'		<td>{1}</td>\n'+
								'	</tr>\n'+
								'	<tr>\n'+
								'		<th scope="row">배송지주소</th>\n'+
								'		<td>{2}<br />{4} {5}</td>\n'+
								'	</tr>\n'+
			    				'	<tr>\n'+
								'		<th scope="row">배송 지정일</th>\n'+
								'		<td>{9}</td>\n'+
								'	</tr>\n'+
								'	<tr>\n'+
								'		<th scope="row">남기신 말씀</th>\n'+
								'		<td>{6}</td>\n'+
								'	</tr>\n'+
				    			'	{7}\n'+
								'	</tbody>\n'+
								'</table>',
							Ns.Util.isNull(ship.lastname, ""),
							Ns.Util.isNull(phone, ""),
							(ship.zipcode || ''),
							(ship.zipcode2 || ''),
							(ship.address1 || ''),
							(ship.address2 || ''),
							Ns.Util.isNull(message, ""),
							Ns.Util.isNull(cardmessage, ""),
							strBtnHtml,
							slctDay
						);
		    		} else {
		    			html = Ns.Util.stringFormat('\n'+
				    			'<header class="section_header">\n'+
				    			'	<h1>배송정보<span class="group_button">{8}</span></h1>\n'+
				    			'</header>\n'+
					    		'<table class="data-table theme-b content-left">\n'+
								'	<caption>결제정보 표</caption>\n'+
								'	<colgroup>\n'+
								'		<col style="width: 100px;" />\n'+
								'		<col />\n'+
								'	</colgroup>\n'+
								'	<tbody>\n'+
								'	<tr>\n'+
								'		<th scope="row">받으시는 분</th>\n'+
								'		<td>{0}</td>\n'+
								'	</tr>\n'+
								'	<tr>\n'+
								'		<th scope="row">연락처</th>\n'+
								'		<td>{1}</td>\n'+
								'	</tr>\n'+
								'	<tr>\n'+
								'		<th scope="row">배송지주소</th>\n'+
								'		<td>{2}<br />{4} {5}</td>\n'+
								'	</tr>\n'+
								'	<tr>\n'+
								'		<th scope="row">남기신 말씀</th>\n'+
								'		<td>{6}</td>\n'+
								'	</tr>\n'+
				    			'	{7}\n'+
								'	</tbody>\n'+
								'</table>',
							Ns.Util.isNull(ship.lastname, ""),
							Ns.Util.isNull(phone, ""),
							(ship.zipcode || ''),
							(ship.zipcode2 || ''),
							(ship.address1 || ''),
							(ship.address2 || ''),
							Ns.Util.isNull(message, ""),
							Ns.Util.isNull(cardmessage, ""),
							strBtnHtml
						);
		    		}
		    		
		    		return html;
	    		}
	    	},
	    	
	    	/**
	    	 * 결제 수단별 결제 금액 설정
	    	 */
	    	setPaymentMethodHtml : function( data, cardPayHtml ) {
	    		if (data.payms && data.payms.length > 0) {
					var html = '';
					for (var i = 0; i < data.payms.length; i++) {
						if (data.payms[i].paymentcode == '100' && data.payms[i].paymdtls.length > 0) { // 신용카드
							var strInstmMmCnt = data.payms[i].paymdtls[0].instmMmCnt == '00' ? '일시불' : data.payms[i].paymdtls[0].instmMmCnt+'개월';
							html += Ns.Util.stringFormat('\	<li>[{0}] {1} : <strong class="em weight-d">{2}원</strong> ({3})<br />{4} 카드승인</li>',
								data.payms[i].paymentname,
								data.payms[i].paymdtls[0].relNm,
								Ns.Util.insertCommas(data.payms[i].payAmt),
								(data.payms[i].paymdtls[0].irFreeYn == 'Y' ? '무이자' + data.payms[i].paymdtls[0].irFreeInstmMmCnt + '개월' : strInstmMmCnt),
								data.payms[i].paymdtls[0].apprReqDt
							);
						} else if (data.payms[i].paymentcode == '200' && data.payms[i].paymdtls.length > 0) { // 무통장
							var strAcctHtml = "";
							
							// 은행명과 계좌가 모두 null이 아니면 해당 html 생성
							if (null != data.payms[i].paymdtls[0].dpstBankNm && null != data.payms[i].paymdtls[0].dpstAcctNum){
								strAcctHtml = data.payms[i].paymdtls[0].dpstBankNm + " 전용계좌 [" + data.payms[i].paymdtls[0].dpstAcctNum + "]<br />";
							}
							
							html += Ns.Util.stringFormat('\	<li>[{0}] <strong class="em weight-d">{1}원</strong><br />{2}(입금기한 : {3})</li>',
								data.payms[i].paymentname,
								Ns.Util.insertCommas(data.payms[i].payAmt),
								strAcctHtml,
								data.payms[i].paymdtls[0].finalRvisDt
							);
						} else if (data.payms[i].paymentcode == '300' && data.payms[i].paymdtls.length > 0) { // 실시간계좌이체
							html += Ns.Util.stringFormat('\	<li>[{0}] <strong class="em weight-d">{1}원</strong> <strong class="em weight-e">({2}은행)</strong></li>',
								data.payms[i].paymentname,
								Ns.Util.insertCommas(data.payms[i].payAmt),
								data.payms[i].paymdtls[0].payOrgNm
							);
						} else if ((data.payms[i].paymentcode == '1300' || data.payms[i].paymentcode == '1400') && data.payms[i].paymdtls.length > 0) { // kakaopay, Payco
							html += Ns.Util.stringFormat('\	<li>[{0}] : <strong class="em weight-d">{1}원</strong> ({2})<br /></li>',
									data.payms[i].paymentname,
									Ns.Util.insertCommas(data.payms[i].payAmt),
									data.payms[i].paymdtls[0].instmMmCnt == '00' ? '일시불' : data.payms[i].paymdtls[0].instmMmCnt+'개월'
								);
						} else { // 무통장(200), 휴대폰소액결제(400), PayPin(2000) 등
							html += Ns.Util.stringFormat('\	<li>[{0}] <strong class="em weight-d">{1}원</strong></li>',
								data.payms[i].paymentname,
								Ns.Util.insertCommas(data.payms[i].payAmt)
							);
						}
					}
					$('#sectionPaymentMethodArea ul').html(html);
					$('#certMethodArea').append(cardPayHtml);
					
	    		} 
	    	},
	    	
	    	/**
	    	 * 상품상세 페이지로 이동
	    	 */
	    	gotoDetailGoods : function( partNumber, multiCd ) {
	    		var param = {};
	    		param.partNumber = partNumber; 
	    		param.multiCd = multiCd;

	    		Ns.Popup.showLayerPage("M_G2600000M", param);
	    	}
	    	
		}, 

		/** 
		 * 이벤트 관련 함수를 정의한다.
		 * @namespace 
		 */
		event : {
			/**
			 * 상품평 쓰기 버튼 클릭 이벤트
			 */
			onclick_productCommentWrite : function(commentWriteYn){
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_주문상세내역',
						eventAction : '주문후활동',
						eventLabel : '상품평쓰기'
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "쇼핑정보",
						t3 : '주문내역/배송조회',
						t4 : '주문상세내역'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				if (commentWriteYn == "Y"){
					mainCtrl.navigate( "M_U1161100M");
				} else {
					Ns.Popup.alert( "상품평 작성 기한이 지났습니다." );
				}
			},
			
			/**
			 * 상품평 보기 버튼 클릭 이벤트
			 */
			onclick_productCommentRead : function(){
				mainCtrl.navigate( "M_U1161200M");
			},
			
			/**
			 * 배송조회 버튼 클릭 이벤트
			 */
			onclick_deliveryStatus : function( ordersId, orderitemsId, addressId, catentryId, status ) {
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_주문상세내역',
						eventAction : '주문후활동',
						eventLabel : '배송조회'
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "쇼핑정보",
						t3 : '주문내역/배송조회',
						t4 : '주문상세내역'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				CurrentView.data.getDeliveryStatus({
					'ordersId' : ordersId,
					'orderitemsId' : orderitemsId,
					'addressId' : addressId,
					'catentryId' : catentryId,
					'status' : status
				}, function(data) {
					if (data && data.list && data.list.url) {
						// 배송조회 팝업 호출
						Ns.Native.webView(1, data.list.url);
					} else {
						Ns.Popup.alert( "배송정보가 존재하지 않습니다." );
					}
				});
			},
			
			/**
			 * 수취확인 버튼 클릭 이벤트
			 */
			onclick_deliveryConfirm : function( ordersId, orderitemsId, addressId, catentryId, status, commentWriteYn) {
				Ns.Popup.confirm("상품을 실제로 수령하신 경우 수취확인을 통해 배송완료 상태로 직접 접수하실 수 있습니다.<br /><br />배송완료로 변경된 후에는 수정되지 않습니다. 이상품을 <strong>수취확인 하시겠습니까?</strong)", function(){
					var keys = {};
					keys.ordersId = ordersId;
					keys.addressId = addressId;
					keys.catentryId = catentryId;
					keys.status = status;
					
					var invokeParams = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify(
							{
								"cnm" : "com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
								"mnm" : "setConfirmReceipt",
								"args" : keys
							}
						)
					};
					
					tran.callWCSJsonTran('NSMypageCommCmd', invokeParams, function(data){
						if (!data.list || data.list.respCd != "S"){
							Ns.Popup.alert( "수취확인이 실패하였습니다." );
						} else {
							Ns.Popup.confirm("상품평을 바로 작성하시겠습니까?", 
								function(){
									CurrentView.event.onclick_productCommentWrite(commentWriteYn);
								},
								function(){
									$("#txtSubHeaderTitle").trigger("click");
								}
							);
						}
					});
				}, null, "수취확인", "취소", null, true);
			},
			
			/**
			 * 배송지 변경 버튼 클릭 이벤트
			 */
			onclick_addressChange : function(ordersIndex, catsIndex){
				var nCount = 0;
				for (var i = 0; CurrentView.orgOrders[ordersIndex].cats.length > i; i++){
					if (CurrentView.orgOrders[ordersIndex].cats[catsIndex].addressId == CurrentView.orgOrders[ordersIndex].cats[i].addressId){
						nCount++;
					}
				}
				
				var objParam = {};
				objParam.objOrder = CurrentView.orgOrders[ordersIndex];
				objParam.objCats = CurrentView.orgOrders[ordersIndex].cats[catsIndex];
				objParam.ordersId = CurrentView.orgOrders[ordersIndex].ordersId
				objParam.ordersDate = CurrentView.orgOrders[ordersIndex].timeplaced.replace(/[\.-]/g, ".");

				// hckim 2019.10.24 NSSR-28019 배송지 변경 후 주문 상세내역으로 이동 시 필요한 파라미터 설정				
				objParam.monthly = CurrentView.monthly;
				objParam.pageidx = CurrentView.pageidx;
				objParam.hasCantTraceCardYn = CurrentView.hasCantTraceCardYn;
				
				
				//주문변경시 주문 lock체크를 하지 않아 체크 로직 추가 hawoong 181129
				var inVal = 
				{
					"cnm":"com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
					"mnm":"checkOrderStatus",
					"args":
					{
						"ordersId": CurrentView.orgOrders[ordersIndex].ordersId
					},  
				};
				
				var invokeParams1 = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify(inVal)
				};
				var lastupdateall = CurrentView.orgOrders[ordersIndex].lastupdateall;
				var latestOperationId = CurrentView.orgOrders[ordersIndex].latestOperationId;
				var status = CurrentView.orgOrders[ordersIndex].status;
				tran.callWCSJsonTran( "NSMypageCommCmd", invokeParams1, function (data){
					if (data.list.lockedOrderYn == "Y"){	// 상담사 Lock 여부 (DB Transaction)
						Ns.Popup.alert( "선택하신 주문은 상담원이 처리중입니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.status = status;
							mainCtrl.navigate('M_U1121100M', param);
						});
						return;
					} else if (String(data.list.lastupdateall) != String(lastupdateall) 
							|| String(data.list.latestOperationId) != String(latestOperationId)){	//  주문 수정일자 & 임시 처리 순번 체크 (DB Transaction)
						Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.status = status;
							mainCtrl.navigate('M_U1121100M', param);
						} );
						
						return;
					}
				});
				
				inVal = 
				{
					"cnm":"com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
					"mnm":"chkRcOrderDtlStats",
					"args":
					{
						"ordersId":CurrentView.orgOrders[ordersIndex].ordersId,
						"memberId":USERINFO.userId()
					},  
				};
				
				var invokeParams2 = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify(inVal)
					}
				
				tran.callWCSJsonTran( "NSMypageCommCmd", invokeParams2, function (data){
					if (data.list.respCd != "S"){	// RC DB와 주문 상세가 다른 경우 (실시간 I/F)
						Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.status = status;		
							mainCtrl.navigate('M_U1121100M', param);
						} );
						return;
					}
				});
				
				
				if (nCount > 1){
					Ns.Popup.confirm("해당 배송지에 포함된 전체 " + nCount + "건의 상품 배송지가 변경됩니다. 배송지를 변경하시겠습니까?", function(){
						mainCtrl.navigate("M_U1121001M", objParam );
					}, null, "", "", null, true);
				} else {
					mainCtrl.navigate("M_U1121001M", objParam );
				}
			},
			
			/**
			 * 카드결제 버튼 클릭 이벤트(무통장입금 -> 카드결제)
			 */
			onclick_paymentChangeCard : function(ordersId, storeentId, timeplaced){
				var objParam = {};
				objParam.ordersId = ordersId;
				objParam.storeId = storeentId;
				objParam.timeplaced = timeplaced;
				objParam.reFn = "CurrentView.event.callback_paymentChangeCard";
				
				Ns.Popup.showPopup("M_U1121002P", objParam)
			},
			
			/**
			 * 카드결제 버튼 클릭 콜백 함수
			 */
			callback_paymentChangeCard : function(data){
				if ($("#certScript").length != 0){
					mainCtrl.hideCertView();
				}
				
				mainCtrl.navigate("M_U1121600M", {"ordersId":data ,"tabIndex":0,"monthly":1,"pageidx":1});
			},
			
			cancelOrderOrdersId : "",
			cancelOrderMemberId : "",
			
			/**
			 * 주문취소 버튼 클릭 이벤트
			 */
			onclick_cancelOrder : function(  ordersId, buttonAction, timeplaced, lastupdateall, latestOperationId, memberId ) {
				if (CurrentView.bDoubleBtn){	//kimjh 중복 클릭 방지
					mainCtrl.showLoadingImg();
					return ;
				}
				CurrentView.bDoubleBtn = true;
				
			
				//카카오 알림톡 랜딩 추가 - hasCantTraceCardYn은 상세 API에서 내려주므로 상세 API를 사용
				var hasCantTraceCardYn = CurrentView.hasCantTraceCardYn.toUpperCase();
				
				CurrentView.event.cancelOrderOrdersId = ordersId;
				CurrentView.event.cancelOrderMemberId = memberId;
				
				// 선택된 주문정보 상세
				var pageData = {};
				for (var i = 0; i < CurrentView.pageDataset.length; i++) {
					if (ordersId == CurrentView.pageDataset[i].ordersId) {
						pageData = CurrentView.pageDataset[i];
						break;
					}
				}
				
				//kimjh : 상담사 카드주문일 때 단일 상품이 아니며 무통장입금이 포함되어 있을 때 
				if (hasCantTraceCardYn == "Y") {
					if (pageData.cats.length > 1) {
						Ns.Popup.alert( "본 상품의 취소/반품은 상담원을 통해서 신청해 주시기 바랍니다." );
						CurrentView.bDoubleBtn = false;	//중복클릭 방지 해제
						return;
					}
					
					for (var j = 0; j < pageData.payms.length; j++) {
						if (pageData.payms[j].paymentcode == "200") {
							Ns.Popup.alert( "본 상품의 취소/반품은 상담원을 통해서 신청해 주시기 바랍니다." );
							CurrentView.bDoubleBtn = false;	//중복클릭 방지 해제
							return;
						}
					}
				}
				
				var param = {
					ordersId : ordersId,
					action : buttonAction,
					pageData : pageData,
					tabIndex : CurrentView.tabIndex,
					monthly : CurrentView.monthly,
					pageidx : CurrentView.pageidx,
					counselor : hasCantTraceCardYn //kimjh counselor 추가 (카드면서 상담사일 경우)
				};

				var invokeParams = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify({
							//"cnm" : "com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
							"cnm":"com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
							"mnm" : "checkOrderStatus",
							"args":	{ "ordersId":ordersId },   
						})
					};
					
					// 상담원 처리 유무 체크 통신
					tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
						if (data.list.lockedOrderYn == "Y"){	// 상담사 Lock 여부 (DB Transaction)
							Ns.Popup.alert( "선택하신 주문은 상담원이 처리중입니다.", function(){ 
								navi.setMovePointer(-1);
								navi.delNextAll();
								
								var param = {};
								param.tabIndex = 0;	
								param.monthly = "";
								param.pageidx = "";				
								mainCtrl.navigate('M_U1121100M', param);
							});
							return;
						} else if (String(data.list.lastupdateall) != String(lastupdateall) 
								|| String(data.list.latestOperationId) != String(latestOperationId)){	//  주문 수정일자 & 임시 처리 순번 체크 (DB Transaction)
							Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
								navi.setMovePointer(-1);
								navi.delNextAll();
								
								var param = {};
								param.tabIndex = 0;	
								param.monthly = "";
								param.pageidx = "";				
								mainCtrl.navigate('M_U1121100M', param);
							} );
							
							return;
						} else if (param.action == "CANCEL" && undefined != data.list.canYn && data.list.canYn == "N"){
							Ns.Popup.alert( "주문취소가 불가능한 상태입니다.<br />1:1 문의 또는 고객센터(1688-0770)로 문의주시기 바랍니다." , function(){
								navi.setMovePointer(-1);
								navi.delNextAll();
								
								var param = {};
								param.tabIndex = 0;
								param.monthly = "";
								param.pageidx = "";
								mainCtrl.navigate('M_U1121100M', param);
							});
							return;
						}

						
						var invokeParams = {
							"tasknm" : "alejandro",
							"var" : JSON.stringify({
								"cnm" : "com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
								"mnm" : "chkRcOrderDtlStats",
								"args":	{ "ordersId":CurrentView.event.cancelOrderOrdersId,
								     	  "memberId": CurrentView.event.cancelOrderMemberId }   
							})
						};
						
						// RC DB와 주문 상세가 다른 경우 체크 통신
						tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
							if (data.list.respCd != "S"){	// RC DB와 주문 상세가 다른 경우 (실시간 I/F)
								Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다.", function(){ 
									navi.setMovePointer(-1);
									navi.delNextAll();
									
									var param = {};
									param.tabIndex = 0;	
									param.monthly = "";
									param.pageidx = "";				
									mainCtrl.navigate('M_U1121100M', param);
								} );
								
								return;
							}
							
							mainCtrl.navigate("M_U1122600L", param );
						});
					});
			},
			
			/**
			 * 교환 버튼 클릭 이벤트
			 */
			onclick_exchangeOrder : function() {
				// 임시 처리 - 교환은 무조건 막는다.
				Ns.Popup.alert( "본 상품의 교환은 상담원을 통해서 신청해 주시기 바랍니다." );
			},
			
			/**
			 * 반품 버튼 클릭 이벤트
			 * - 반품신청 불가 상품
			 * 1.단일주문(1개상품코드,1개단품코드) 외, 2.복합결제
			 */
			onclick_refundOrderAlert : function() {		
				// 임시 처리 - 반품신청 불가 상품은 무조건 막는다
				Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다." );
			},
		
			/**
			 * 반품 버튼 클릭 이벤트
			 * - 반품가능 상품
			 * 1.단일주문(1개상품코드,1개단품코드)
			 */
			onclick_refundOrder : function(  ordersId,  memberId, index, timeplaced) {
		
				var invokeParams = {
						"tasknm" : "checkRefundItem",
						"var" : ordersId
					}
				tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
					if(data.list.resultCd == "Y"){
						var param = {};
						param.ordersId = ordersId;
						param.tabIndex = 0;	
						param.monthly = "";
						param.pageidx = "";	
						param.objOrder = CurrentView.orgOrders[index];
						param.objCats = CurrentView.orgOrders[index].cats[0];
						param.ordersDate = timeplaced.replace(/[\.-]/g, ".");
						
						mainCtrl.setCurrentPageParams( CurrentView.invokeParams );
						mainCtrl.navigate( "M_U1122101M", param );	
					}else{
						Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다." );
					}
				});
				
				return false;
			}
			
		} 
}; 