
/* JavaScript content from js/mypage/M_U1122100M.js in folder common */
/**
 * 		페이디 ID : M_U1122100M
 * 		교환/반품신청가능 상품리스트 조회 페이지
 */

CurrentView = {
		pageidx : 1,		//page no
		rowpage : 5, 		//paging size
		orgOrders : new Object(),
		
		init : function( params ) {
			$("#footer").show();
			
			// 로그인 여부 확인
			if (!mainCtrl.checkLogonStatus()) {
				mainCtrl.gotoLogin();
				return;
			}

			this.initializeComponent( params );
			this.onLoad();
		},
		
		initializeComponent : function( params ){

		},
		
		onLoad : function(){
			CurrentView.data.getRefundableOrderList( );
		},

		data : {
			getRefundableOrderList : function( pageidx ) {
				$("#divRefundableOrderListArea").html( "" );

				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장
				
				params.pageidx = pageidx;
				params.rowpage = CurrentView.rowpage;
				
				params.pagelmt  = 10;
				params.tidx = 0;
				var monthly = 1;
				params.tmtyp = 3;
				params.midx = "navi_13"; //Menu Index (1. Default / 2. 주문배송조회 / 3. 주문취소변경 / 4. 교환반품) 
				params.userId = USERINFO.userId();
				params.ordsid = ""; //상세조회할 대 값 설정
				params.odt1 = Ns.Date.calcDate('', 0,-monthly, 0, 0,'yyyy.MM.dd');
				params.odt2 = Ns.Date.calcDate('', 0, 0, 0, 0, 'yyyy.MM.dd');
				params.channel = "mobile";
				params.status = "";
				
				CurrentView.invokeParams = params;
				
				tran.callWCSJsonTran( "NSMypageCmd" , params, CurrentView.data.resultRefundableOrderInfo );
			},
			
			resultRefundableOrderInfo : function( data ) {

				var orders = data.msg.root.orders;

				CurrentView.orgOrders = JSON.parse(JSON.stringify(orders));
				
				if ( orders == null || orders.length == 0 ) {
				  	var html = "<strong>교환/반품 가능한 상품이 없습니다.</strong>";
  					$("#divNoResultArea").html( html );
  					return false;
				} 
				
				$("#divNoResultArea").hide();
				
				// 교환/반품가능한 주문정보 조회결과 저장
				CurrentView.pageDataset = data.msg.root.orders;
				
				var html = CurrentView.ui.makeHtmlRefundableOrders( orders );
				
				$("#divRefundableOrderListArea").html( html );
				
				var totalCount   = data.msg.root.totalcnt;	
				if (CurrentView.rowpage < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정
				}
				CurrentView.event.btnWidthChk();
			}
		},

		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.rowpage, "CurrentView.data.getRefundableOrderList");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			//반품가능상품 조회 결과값을 가지고 주문/배송 html을 생성한다
			makeHtmlRefundableOrders : function( orders ) {
				var html = "";
				
				for( var i=0; i<orders.length; i++ ) {
					var ordersId = orders[i].ordersId;

					var ordersDate	   = "";
					if ( ordersDate == "" || ordersDate == null ) {
						ordersDate = orders[i].timeplaced.replace(/[\.-]/g, ".");
					}
					
					var totalPrice	   = Ns.Util.insertCommas( orders[i].totalpayment );
					var catsHtml = CurrentView.ui.makeHtmlCats( ordersId, orders[i].cats, orders[i], i );
					var orderActBtn    = CurrentView.ui.makeHtmlRefundOrderAction( orders[i].cats, ordersId, orders[i], orders[i].lastupdateall, orders[i].latestOperationId, orders[i].timeplaced, i );
					var strMedia = orders[i].media;
					
					if ( catsHtml != "" ) {
						html +=	Ns.Util.stringFormat('\
							<div class="order-list">\
								<p class="order-meta">\
									<span class="order-number"><span class="head">주문번호</span><a href="javascript:CurrentView.event.onclick_detailOrderItem(\'{0}\',\'{6}\');"><strong class="text">{0}</strong></a></span>\
									<span class="order-date"><span class="head">주문날짜/매체구분</span><strong class="text meta_date">{1}({5})</strong></span>\
								</p>\
								<ul class="item-display theme-a medium detail">{2}</ul>\
								<div class="billing-table">\
									<table class="data-table theme-a content-justify">\
									<caption>결제정보 표</caption>\
									<colgroup>\
										<col style="width: 80px;"><col>\
									</colgroup>\
									<tbody>\
									<tr>\
										<th scope="row">\
											<strong class="em medium">총 결제금액</strong>\
										</th>\
										<td class="flex">\
											<strong class="em rate-g x-large">{3}원</strong>\
										</td>\
									</tr>\
									</tbody>\
									</table>\
									{4}\
								</div>\
							</div>',	ordersId, ordersDate, catsHtml, totalPrice, orderActBtn, strMedia );
					}	
				}
				return html;
			},
			
			//order items
			makeHtmlCats : function( ordersId, items, orders, ordersIndex) {
				var html ="";
				
				for ( var i=0; i<items.length; i++ ) {
					
					var imageLink = Ns.Util.getImageUrl(String(items[i].goodsCd),"H");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_H.jpg';
					var brandName = Ns.Util.htmlDecode(items[i].brandName);
					var goodsName = items[i].catentryName;
					goodsName = (!Ns.Util.isNull(brandName) && brandName != '미정의' ? "[" + brandName + "]" : "") + (goodsName || '');
					
					var optionsHtml = "";
					var options = CurrentView.ui.getRefundOrdersAttributes( items[i].attrs );
					
					if ( options != "" ) {
						optionsHtml += '<strong class="head">주문옵션</strong>';
						optionsHtml += '<span class="text">';
						optionsHtml += options;
						optionsHtml += '</span>';
					}
					
					var orderStatus = {
						statusName : items[i].statusName,
						price : items[i].price,
						quantity : items[i].quantity,
						totalPrice : items[i].totalproduct,
						status : items[i].status,
						commentWriteYn : items[i].commentWriteYn,
					};
					
					var statusHtml = CurrentView.ui.getRefundOrderStatusHtml( orderStatus, items[i], orders, ordersIndex, i);
					
					html += Ns.Util.stringFormat('\
							<li class="items">\
					    		   <div class="wrap">\
					    		    <div class="thumbnail">\
					    				<a href="javascript:CurrentView.event.onclick_detailOrderItem(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
					    			</div>\
					    			<div class="field">\
					    				<p class="title"><a href="javascript:CurrentView.event.onclick_detailOrderItem(\'{3}\');"><strong>{4}</strong></a></p>\
					    				<p class="option-item">\
											{5}\
					    				</p>\
					    			</div>\
					    		</div>\
				    			{6}\
				    		</li>',	ordersId, imageLink, noImageUrl, ordersId, goodsName, optionsHtml, statusHtml );
				}
				
				return html;
		  	},

		  	getRefundOrdersAttributes : function( attrs) {
	    		var attrvalDesc = "";
	    		if ( attrs == null ) return "";
	    
	    		for ( var k=0; k<attrs.length; k++ ) 	{
	    			attrvalDesc += Ns.Util.stringFormat('<br /><span class="option">{0} : {1}</span>', attrs[k].attrDesc, attrs[k].attrvalDesc);
	    		}
	    
	    		return attrvalDesc;
	    	},
	    	
		  	makeHtmlRefundOrderAction : function( cats, ordersId, orders, lastupdateall, latestOperationId, timeplaced, index ) {
	    		var html = "";

	    		for ( var k=0; k<cats.length; k++ ) 	{
	    			html = CurrentView.ui.makeHtmlRefundOrderBtnAction( cats, ordersId, orders, cats[k].btnctrls, lastupdateall, latestOperationId,  timeplaced, index  );
			    }
	    		
	    		if (html != ""){
	    			html = "<ul>" + html + "</ul>";
	    		}
	    		
	    		return html;
	    	},
	    	
	    	makeHtmlRefundOrderBtnAction : function( cats, ordersId, orders, ordersBtns, lastupdateall, latestOperationId, timeplaced, index  ) {
	    		var html = "";
	    		var count = 0;
	    		
	    		for ( var j=0; j<ordersBtns.length; j++ ) 	{
	    			if(ordersBtns[j].btns == "EXCHANGE"){ //교환신청
	    				html += Ns.Util.stringFormat('<li><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_exchangeOrder(\'{0}\', \'{1}\', \'{3}\', \'{4}\');"><span>{2}</span></a></li>', ordersId, cats[0].memberId, ordersBtns[j].btnnm, index, timeplaced);
	    			}else if(ordersBtns[j].btns == "REFUND"){ //반품신청
	    				//반품불가 상품 체크 -> 불가상품이면 alert 띄움
	    				//(1.단일주문(1개상품코드,1개단품코드) 외, 2. 복합결제)
	    				if(orders.payms.length == 1 && orders.orderitems.length == 1){
	    					html += Ns.Util.stringFormat('<li><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_refundOrder(\'{0}\', \'{1}\', \'{3}\', \'{4}\');"><span>{2}</span></a></li>', ordersId, cats[0].memberId, ordersBtns[j].btnnm, index, timeplaced);							
	    				}else{
	    					html += Ns.Util.stringFormat('<li><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_refundOrderAlert(\'{0}\', \'{1}\', \'{3}\', \'{4}\');"><span>{2}</span></a></li>', ordersId, cats[0].memberId, ordersBtns[j].btnnm, index, timeplaced);
	    				}
	    			}
	    		}
	    		return html;
	    	},
	    	
	    	getRefundOrderStatusHtml : function( data, item, orders, ordersIndex, catsIndex ) {
	    		
	    		var resHtml = "";
	    		var className = "";
	    		
	    		if ( data == null || data == '' ) return "";
	    		
	    		data.price = Ns.Util.insertCommas( data.price );
	    		data.totalPrice = Ns.Util.insertCommas( data.totalPrice );
	    		
	    		className = "head step-f";
	        
		        if ( data.quantity == 0 ) {
		        	data.totalPrice = 0;
		        }
		        
		        var strBtnArea = "";
		        var bREFUNDorEXCHANGE = false;
		        
		        var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
		        env = mainCtrl.VIEW_TYPE;
				

		        if (strBtnArea != ""){
		        	strBtnArea = '<div class="btm_btn">' + strBtnArea + '</div>';
		        }
	    		resHtml  = '<div class="more-data order-tracking">';
	    		resHtml += '<strong class="' + className + '">' + data.statusName + '</strong>';
	    		resHtml += '<span class="text">' + data.price + '<span class="unit">원</span> X ' + data.quantity + '<span class="unit">개</span></span>';
	    		resHtml += '<span class="text em rate-g"><strong>' + data.totalPrice + '</strong><span class="unit">원</span></span>';
	    		if( data.statusName == "주문접수" || data.statusName == "결제대기" ||data.statusName == "결제완료" || data.statusName == "신청완료" ||  data.statusName == "주문취소" || data.statusName == "취소완료" || data.statusName == "반품완료" || data.statusName == "교환신청" || data.statusName == "주문전달" || data.statusName == "상품준비중"){
	    			resHtml += '<div class="btm_btn">';
		    		var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
	 		        env = mainCtrl.VIEW_TYPE;
	 				if (env == "android" && version < 298){
						resHtml +=  "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
					}else if(env == "ios" && version < 298){
						resHtml +=  "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"></a>";
					}else{
						resHtml +=  "<a class=\"btn theme-a rate-a x-small\" href=\"javascript:CurrentView.event.onclick_Chetting('" + data.status + "'  , '" + item.ordersId + "'  , '" + item.catentryName + "'  , '" + item.imageUrl + "' , '" +  orders.cats[0].orderSeq + "');\"><span>채팅상담</span></a>";
					}
		    		resHtml += '</div>';
	    		}
	    		
	    		resHtml += strBtnArea

	    		resHtml += '</div>';
	    		
	    		return resHtml;
	    	}
		},

		event : {
			
			//상세 주문 페이지로 이동한다
			onclick_detailOrderItem : function( ordersId ) {
				var param = {};
				param.ordersId = ordersId;
				param.tabIndex = CurrentView.tabIndex;
				param.monthly = CurrentView.monthly;
				param.pageidx = CurrentView.pageidx;
				
				mainCtrl.setCurrentPageParams( CurrentView.invokeParams );
				mainCtrl.navigate( "M_U1121600M", param );	
				return false;
			},
			
			//교환신청 클릭 
			onclick_exchangeOrder : function(  ordersId,  memberId, index, timeplaced) {
				// 임시 처리 - 교환은 무조건 막는다.
				Ns.Popup.alert( "본 상품의 교환은 상담원을 통해서 신청해 주시기 바랍니다." );
			},
		
			//반품신청 불가 상품 
			//(1.단일주문(1개상품코드,1개단품코드) 외, 2. 복합결제)
			onclick_refundOrderAlert : function(  ordersId,  memberId, index, timeplaced) {		
				// 임시 처리 - 반품신청 불가 상품은 무조건 막는다
				Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다." );
			},
			
			//반품신청 페이지로 이동한다
			onclick_refundOrder : function(  ordersId,  memberId, index, timeplaced) {

				var invokeParams = {
						"tasknm" : "checkRefundItem",
						"var" : ordersId
					}
				tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
					if(data.list.resultCd == "Y"){
						var param = new Object();
						param.ordersId = ordersId;
						param.tabIndex = CurrentView.tabIndex;
						param.monthly = CurrentView.monthly;
						param.pageidx = CurrentView.pageidx;
						param.objOrder = CurrentView.orgOrders[index];
						param.objCats = CurrentView.orgOrders[index].cats[0];
						param.ordersDate = timeplaced.replace(/[\.-]/g, ".");
						
						mainCtrl.setCurrentPageParams( CurrentView.invokeParams );
						mainCtrl.navigate( "M_U1122101M", param );	
					}else{
						Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다." );
					}
				});
				
				return false;
			},
			
			btnWidthChk : function(){
				setTimeout(function(){
					var window_size = $(window).width();
					if(window_size < 400){
						var btnChk = $('.icon_wrap input');
						if(!Ns.Util.isNull(btnChk)){
							btnChk.parent().css({
								'width':'93px',
								'position':'absolute',
								'right':0,
								'top':'9px'
								});
							btnChk.parents('.billing-table .data-table td').css('padding-right', '98px');
						} else {
							$('.icon_wrap').css('width','');
						}
					} else {
						$('.icon_wrap').css('width','');
					}
				},1500);
			},
		}
};