
/* JavaScript content from js/mypage/M_U1122101M.js in folder common */
/**
 * 		페이디 ID : M_U1122101M
 * 		반품신청 페이지
 */

CurrentView = {
		ordersId : null,			// 넘어온 param(orderId)
		orgParams : new Object(),	// 넘어온 param
		objOrder : new Object(),
		
		objAddressRoot : new Object(),			//기본, 기존 배송지 정보
		objRecentAddressRoot : new Object(),	//최근배송지, 배송주소록 정보
		
		pickupInfoData : new Object(), 
		selectedAddressMethodType : null, //기본배송지"base",배송지주소"default",최근배송지"recent",배송주소록"recent", 직접입력"direct"
		
		executeBtnClicked: false, //execute버튼 이중클릭 방지
		
		init : function( params ) {
			$("#footer").show();

			this.initializeComponent( params );
			this.onLoad( params );
		},
		
		initializeComponent : function( params ){
			$("#refundSecondStepDiv").hide();
			$("#refundThirdStepDiv").hide();
			
			$("#refundFirstStepCancel").unbind().bind( "click", this.event.onclick_refundCancel );			//반품신청 취소
			$("#refundFirstStepNext").unbind().bind( "click", this.event.onclick_refundNextStep );			//반품신청 다음단계
			$("#refundSecondStepBefore").unbind().bind( "click", this.event.onclick_refundPreviousStep );	//반품신청 이전단계
			$("#refundSecondStepNext").unbind().bind( "click", this.event.onclick_refundNextStep );			//반품신청 다음단계
			$("#navigateToOrderList").unbind().bind( "click", this.event.onclick_navigateToOrderList );		//주문배송조회 페이지로
			
			// 우편번호 버튼 클릭시 이벤트 처리
			$("#zipSearch").off().on("click", function(){
				CurrentView.event.onclick_btnSearchPostCode();
			});
		},
		
		onLoad : function(params){
			CurrentView.ordersId = params.ordersId;
			CurrentView.objOrder = params.objOrder;
			CurrentView.orgParams = JSON.parse(JSON.stringify(params));
			
			//반품할 상품정보 조회
			this.data.getRefundOrderForm();				
		},
		
		data : {
			
			//반품할 상품정보 조회
			getRefundOrderForm : function() {
				var param = {};
				param.subTasknm = "form";
				param.tasknm = "RETURN";
				param.ordsid  = CurrentView.ordersId;
				param.channel = "mobile"; 
				param.counselorOrderCancel = "Y"; 
				param.objOrder = CurrentView.objOrder;	
				
				tran.callWCSJsonTran('NSChangeOrderCmd', param, CurrentView.data.responseRefundOrderFormChk);
			},
			
			//NSChangeOrderCmd 콜백function
			responseRefundOrderFormChk : function( data ) {

				if(!data.msg || !data.msg.root || !data.msg.root.orders || data.msg.root.orders.length == 0 || 
						data.msg.root.orders[0]== null || data.msg.root.orders[0]== ""){
					Ns.Popup.alert("본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다.", function() {
						navi.naviBack();
					},null,true );
				}else{				
					var orders = data.msg.root.orders[0];
					CurrentView.objOrder = data.msg.root.orders[0];
				
					CurrentView.ui.responseRefundOrderForm( orders.ordersId, orders.cats, orders );
				}
			},
			
			// 반품사유 리스트 조회
			getReason : function() {
				var invokeParams = {
					"tasknm" : "ordrsn",
					"var" : "RETURN"
				};
				tran.callWCSJsonTran('NSMypageCommCmd', invokeParams, CurrentView.data.responseCommnCode );
			},
			
			// 반품사유 리스트 조회 callback
			responseCommnCode : function( data ) {
				var html = "";
				html = '<option value="">반품사유 선택</option>';
				for ( var i = 0; i < data.list.length; i++) {
					if(data.list[i].LV1_NAME == "반품")
					html += '<option value="' + data.list[i].LV3_ID + '">' + data.list[i].LV3_NAME + '</option>';
				}

				$("#selectShippingMessage").each(function() {
					$(this).append(html);
				});
			},
			
			//수거지 목록 조회 및 화면 출력 처리
			callNSRefundOrderPickupAddress : function( ordersId, cats, orders ) {
	
					//배송지정보(기본+기존) 셋팅
					CurrentView.objAddressRoot = JSON.parse(JSON.stringify(cats[0]));					
					
					// 기존배송지를 위한 data 세팅	
					$("#selShippingAddress").data("data", cats[0].orgship);
							
					var bAddrList = false;
					var objAddr = null;

					// 기본 배송지
					if(CurrentView.objAddressRoot.selfAddress != null){
						if (CurrentView.orgParams.objCats.addressId == CurrentView.objAddressRoot.selfAddress.addressId){
							bAddrList = true;
							objAddr = CurrentView.objAddressRoot.selfAddress;
						}
					}
					
					// 기존 배송지
					if(CurrentView.objAddressRoot.orgship != null){
						if (bAddrList == false){
							if (CurrentView.orgParams.objCats.addressId == CurrentView.objAddressRoot.orgship.addressId){
									objAddr = CurrentView.objAddressRoot.orgship;
							}
							
						}
					}
					
					if (null == objAddr){
						CurrentView.event.onclick_btnNewShippingAddress();
					} else {
						if (bAddrList == true){
							CurrentView.ui.setBaseAddressLine(objAddr);
						} else {
							CurrentView.ui.setDefaultAddress(objAddr);
						}
					}
					
					var pickupHtml = "";
					pickupHtml += '<option value="">수거 메세지 선택</option>';	
					pickupHtml += '<option value="수거 전 연락바랍니다.">수거 전 연락바랍니다.</option>';
					pickupHtml += '<option value="경비실(관리실)에서 수거하여 주세요.">경비실(관리실)에서 수거하여 주세요.</option>';
					pickupHtml += '<option value="부재시 휴대폰으로 연락바랍니다.">부재시 휴대폰으로 연락바랍니다.</option>';
					$("#selectPickupMessage").html(pickupHtml);
					
					//최근배송지, 주소록 리스트 조회
					tran.callWCSJsonTran('NSOrderDeliveryModifyMobile', {userId : USERINFO.userId()}, function(data){
						CurrentView.objRecentAddressRoot = JSON.parse(JSON.stringify(data.msg.root));
					} );
					
			},
			
			
			//Go to환불정보 확인 단계
			callRefundSecondStepInfo : function() {
				
				if(CurrentView.selectedAddressMethodType == "direct"){
					if ($("#recipientName").val() == "") {
						Ns.Popup.alert( "신청고객명을 정확히 입력해 주세요." ); return false;
					}
					
					if ($("#phone11").val() == ""){
						Ns.Popup.alert( "휴대폰 번호를 정확히 입력해 주세요." ); return false;
					}
						
					if ($("#phone12").val() == "" || $("#phone12").val().length < 3){
						Ns.Popup.alert( "휴대폰 번호를 정확히 입력해 주세요." ); return false;
					}
						
					if ($("#phone13").val() == "" || $("#phone13").val().length < 4){
						Ns.Popup.alert( "휴대폰 번호를 정확히 입력해 주세요." ); return false;
					}					
					
					if ($("#postcode").val() == "" || $("#addr").val() == "") {
						Ns.Popup.alert( "주소를 정확히 입력해 주세요." ); return false;
					}
					
					if ($("#addrDetail").val() == "") {
						Ns.Popup.alert( "상세주소를 정확히 입력해 주세요." ); return false;
					}
					
					if ($("#textPickupMessage").val().length > 0 && Ns.Util.getBytes(Ns.Util.trimString($("#textPickupMessage").val())) > 120) {
						Ns.Popup.alert( "수거메시지는 120byte를 초과할 수 없습니다." ); return false;
					}
					
					var type = "1";
					if ($("#addrFlag").val() == "200") type = "2";
					else type = "1";
					
					CurrentView.objOrder.cats[0].pickupInfo = {
							"addressId" : "",
							"businesstitle" : "",		
							"conv_dt" : "",
							"conv_tel11" : "",
							"conv_tel12" : "",
							"conv_tel13" : "",
							"deliv_addr1" : $("#addr").val(),
							"deliv_addr2" : $("#addrDetail").val(),
							"deliv_lotnZipcode1" : $("#postcode").val(),  	//우편번호
							"deliv_lotnAddress1" : $("#addr").val(),    		//도로명주소
							"deliv_lotnAddress2" : $("#addrDetail").val(),  	//도로명주소
							"deliv_roadZipcode1" : $("#postcode").val(),
							"deliv_roadAddress1" : $("#addr").val(), 			//지번주소
							"deliv_roadAddress2" : $("#addrDetail").val(),  	//지번주소
							"deliv_message" : $("#textPickupMessage").val(),
							"deliv_name" : $("#recipientName").val(),
							"deliv_tel11" :$("#phone11").val(),
							"deliv_tel12" : $("#phone12").val(),
							"deliv_tel13" : $("#phone13").val(),
							"deliv_tel21" : $("#phone21").val(),
							"deliv_tel22" : $("#phone22").val(),
							"deliv_tel23" : $("#phone23").val(),
							"deliv_zipcd1" : "",
							"deliv_ziptype" : $("#addrFlag").val(),
							"ordersId" : CurrentView.ordersId,
							"type" : type
					};
					
					//데이터셋팅
					CurrentView.objOrder.orderitems[0].returnInfo = {
							"occurType" : "100",
							"ordersId" : CurrentView.ordersId,
							"phone11" : $("#phone11").val(),
							"phone12" : $("#phone12").val(),
							"phone13" : $("#phone13").val(),
							"rsn" : $("#selectShippingMessage").val(),
							"rsnDesc" : $("#selectShippingMessage option:selected").text(),
							"rsnDtl" : $("#textShippingMessage").val(),
							"orderitemsId" : CurrentView.objOrder.orderitems[0].orderitemsId
					};
					
					CurrentView.objOrder.cats[0].returnInfo = {
							"occurType" : "100",
							"ordersId" : CurrentView.ordersId,
							"phone11" : $("#phone11").val(),
							"phone12" : $("#phone12").val(),
							"phone13" : $("#phone13").val(),
							"rsn" : $("#selectShippingMessage").val(),
							"rsnDesc" : $("#selectShippingMessage option:selected").text(),
							"rsnDtl" : $("#textShippingMessage").val()
					};
					
					CurrentView.objOrder.cats[0].exchangeInfo = {
							"occurType" : "200",
							"ordersId" : CurrentView.ordersId
					};
					
					CurrentView.objOrder.cats[0].cancelInfo = {
							"occurType" : "600",
							"ordersId" : CurrentView.ordersId
					};
					
					CurrentView.objOrder.jobtype = "RETURN";
					CurrentView.objOrder.orderitems[0].returnQuantity = 1;
					CurrentView.objOrder.cats[0].returnQuantity = 1;
					CurrentView.objOrder.returnQuantity = 1;
					CurrentView.objOrder.cats[0].modQuantity  = 0; //반품할 수량
					CurrentView.objOrder.cats[0].custChargeYn  = "N"; //추가비용 여부
					
					var dataset = [];
					dataset[0] = new Object();					
					CurrentView.objOrder.newAddrs = dataset;

	    			
	    			//새주소 체크
	    			var tempOb = new Object();
	    			var tempArray = new Array();
	    			tempOb.ship = CurrentView.objOrder.cats[0].ship;
	    			tempOb.pickupInfo = CurrentView.objOrder.cats[0].pickupInfo;
	    			tempOb.ordersId = CurrentView.objOrder.cats[0].ordersId;
	    			tempArray.push(tempOb);
	    			tempOb = new Object();
	    			tempOb.cats = tempArray;
	    			tempOb.memberId = CurrentView.objOrder.memberId;
	    			var newAddrArray = new Array();
	    			tempOb.newAddrs = newAddrArray;
	    			tempArray = new Array();
	    			tempArray.push(tempOb);
	    			
					var params = {
							"tasknm" : "setNewAddressId",
							//"var" : JSON.stringify(pageDataset)
							"var" : JSON.stringify(tempArray)
					};
					
					//직접 입력 수거가능지역 여부 조회
					tran.callWCSJsonTran( "NSMypageCommCmd" , params, function (data){
						if( data != null && data.list != null && data.statusCode == 200 ){ 
							CurrentView.objOrder.cats[0].pickupInfo.addressId = data.list.orders[0].cats[0].pickupInfo.addressId;
							CurrentView.objOrder.newAddrs =data.list.orders[0].newAddrs;
							
							var dataset = [];
							dataset[0] = new Object();
							
							var pageDataset = [];
			    			pageDataset[0] = CurrentView.objOrder;
			    			
							var invokeParams = {
									"subTasknm" : "payment",
									"tasknm" : "RETURN",
									"ordsid" : CurrentView.ordersId,
									"channel" : "mobile",
									"counselorOrderCancel" : "Y",
									"pageData" : JSON.stringify(pageDataset)
								}
							
							//환불정보확인 단계 정보 조회
							tran.callWCSJsonTran('NSChangeOrderCmd', invokeParams, function(data){
								if(!data.msg || !data.msg.root || !data.msg.root.orders || data.msg.root.orders.length == 0 || 
										data.msg.root.orders[0]== null || data.msg.root.orders[0]== ""){
									Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다.", function() {
										navi.naviBack();
									},null,true );
								}else{								
									CurrentView.objOrder = data.msg.root.orders[0];
									CurrentView.ui.setRefundSecondStepInfo();
								}
							});
						}else{
							Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다.", function() {
								navi.naviBack();
							},null,true );
						}
					});
					
				}else{	
					if ($("#selectShippingMessage option:selected").text() == "반품사유 선택" || $("#selectShippingMessage option:selected").text() == "") {
						Ns.Popup.alert( "반품사유를 선택해주세요." ); 
						return false;
					}
					
					if ($("#textShippingMessage").val() == "") {
						Ns.Popup.alert( "반품 상세사유를 입력해주세요." ); 
						return false;
					}
					
					if ($("#textPickupMessage").val().length > 0 && Ns.Util.getBytes(Ns.Util.trimString($("#textPickupMessage").val())) > 120) {
						Ns.Popup.alert( "수거메시지는 120byte를 초과할 수 없습니다." ); 
						return false;
					}
					
					//데이터셋팅
					var data = CurrentView.pickupInfoData;
					
					
					var type = "1";
					if (data.ziptype == "200") type = "2";
					else type = "1";
					
					var addressID = null;
					var name = null;
					if (CurrentView.selectedAddressMethodType == "recent" ) {
						addressID = data.addressID;
						name = data.receiverName;
					} else {
						addressID = data.addressId;
						name = data.lastname;
					}
					
					CurrentView.objOrder.cats[0].pickupInfo = {
							"addressId" : addressID,
							"businesstitle" : "",		
							"conv_dt" : "",
							"conv_tel11" : "",
							"conv_tel12" : "",
							"conv_tel13" : "",
							"deliv_addr1" : data.address1,
							"deliv_addr2" : data.address2,
							"deliv_message" : $("#textPickupMessage").val(),
							"deliv_name" : name,
							"deliv_tel11" : Ns.Util.getPhoneNumber($.trim(data.phone1), "1"),
							"deliv_tel12" : Ns.Util.getPhoneNumber($.trim(data.phone1), "2"),
							"deliv_tel13" : Ns.Util.getPhoneNumber($.trim(data.phone1), "3"),
							"deliv_tel21" : Ns.Util.getPhoneNumber($.trim(data.phone2), "1"),
							"deliv_tel22" : Ns.Util.getPhoneNumber($.trim(data.phone2), "2"),
							"deliv_tel23" : Ns.Util.getPhoneNumber($.trim(data.phone2), "3"),
							"deliv_zipcd1" : "",
							"deliv_ziptype" : data.ziptype,
							"ordersId" : CurrentView.ordersId,
							"type" : type
					};

					CurrentView.objOrder.orderitems[0].returnInfo = {
							"occurType" : "100",
							"ordersId" : CurrentView.ordersId,
							"phone11" : Ns.Util.getPhoneNumber($.trim(data.phone1), "1"),
							"phone12" : Ns.Util.getPhoneNumber($.trim(data.phone1), "2"),
							"phone13" : Ns.Util.getPhoneNumber($.trim(data.phone1), "3"),
							"rsn" : $("#selectShippingMessage").val(),
							"rsnDesc" : $("#selectShippingMessage option:selected").text(),
							"rsnDtl" : $("#textShippingMessage").val(),
							"orderitemsId" : CurrentView.objOrder.orderitems[0].orderitemsId
					};
					
					CurrentView.objOrder.cats[0].returnInfo = {
							"occurType" : "100",
							"ordersId" : CurrentView.ordersId,
							"phone11" : Ns.Util.getPhoneNumber($.trim(data.phone1), "1"),
							"phone12" : Ns.Util.getPhoneNumber($.trim(data.phone1), "2"),
							"phone13" : Ns.Util.getPhoneNumber($.trim(data.phone1), "3"),
							"rsn" : $("#selectShippingMessage").val(),
							"rsnDesc" : $("#selectShippingMessage option:selected").text(),
							"rsnDtl" : $("#textShippingMessage").val()
					};
					
					CurrentView.objOrder.cats[0].exchangeInfo = {
							"occurType" : "200",
							"ordersId" : CurrentView.ordersId
					};
					
					CurrentView.objOrder.cats[0].cancelInfo = {
							"occurType" : "600",
							"ordersId" : CurrentView.ordersId
					};
					
					CurrentView.objOrder.cats[0].modQuantity  = 0; //반품할 수량
					CurrentView.objOrder.cats[0].custChargeYn  = "N"; //추가비용 여부
					
					var dataset = [];
					dataset[0] = new Object();
					
					CurrentView.objOrder.newAddrs = dataset;
					var pageDataset = [];
	    			pageDataset[0] = CurrentView.objOrder;
	    			
					var invokeParams = {
							"subTasknm" : "payment",
							"tasknm" : "RETURN",
							"ordsid" : CurrentView.ordersId,
							"channel" : "mobile",
							"counselorOrderCancel" : "Y",
							"pageData" : JSON.stringify(pageDataset)
						}
					//환불정보확인 단계 정보 조회
					tran.callWCSJsonTran('NSChangeOrderCmd', invokeParams, function(data){
						if(!data.msg || !data.msg.root || !data.msg.root.orders || data.msg.root.orders.length == 0 || 
								data.msg.root.orders[0]== null || data.msg.root.orders[0]== ""){
							Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다.", function() {
								navi.naviBack();
							},null,true );
						}else{
							CurrentView.objOrder = data.msg.root.orders[0];
							CurrentView.ui.setRefundSecondStepInfo();
						}
					});
				}
				
			},
				
			//Go to신청완료 단계
			callRefundLastStepInfo : function() {

				var lastRefundInfo = lastRefundInfo = {
                    "accntNo" : "",
                    "accntOwner" : "",
                    "bankCd" : "",
                    "bankNm" : "",
                    "newHistSeq" : CurrentView.objOrder.newHistSeq,
                    "ordersId" : CurrentView.ordersId,
                    "refundAmt" : CurrentView.objOrder.totalpayment,
                    "type" : refundType,
                    "typeDesc" : refundName
                };

				if(CurrentView.objOrder.refundActSum != null && CurrentView.objOrder.refundActSum != "" && CurrentView.objOrder.refundActSum != "0"){					
					var refundType = $('input:radio[name=refund_type]:checked').val();
					var refundName = "예치금";

					if (refundType == "1") {
						refundName = "예치금";
					} else {
						refundName = "계좌";
						
						if ($("#refund_bankCd option:selected").val() == "") {
							Ns.Popup.alert( "은행을 선택해주세요." ); return false;
						}
						
						if ($("#refund_accntOwner").val() == "") {
							Ns.Popup.alert( "예금주를 입력해주세요." ); return false;
						}
						
						if ($("#refund_accntNo").val() == "") {
							Ns.Popup.alert( "계좌번호를 입력해주세요." ); return false;
						}

                        lastRefundInfo = {
                        	"accntNo" : $("#refund_accntNo").val(),
                            "accntOwner" : $("#refund_accntOwner").val(),
                            "bankCd" : $("#refund_bankCd option:selected").val(),
                            "bankNm" : $("#refund_bankCd option:selected").text(),
                            "newHistSeq" : CurrentView.objOrder.newHistSeq,
                            "ordersId" : CurrentView.ordersId,
                            "refundAmt" : CurrentView.objOrder.totalpayment,
                            "type" : refundType,
                            "typeDesc" : refundName
                    	}
					}
				}

                CurrentView.objOrder.orderitems[0].refundInfo = lastRefundInfo;
                CurrentView.objOrder.refundInfo = lastRefundInfo;
				
				var dataset = [];
				dataset[0] = new Object();
				
				var pageDataset = [];
    			pageDataset[0] = CurrentView.objOrder;
				
				var invokeParams = {
						"subTasknm" : "execute",
						"tasknm" : "RETURN",
						"ordsid" : CurrentView.ordersId,
						"channel" : "mobile",
						"counselorOrderCancel" : "Y",
						"pageData" : JSON.stringify(pageDataset)
					}
				
				//신청완료 단계 정보 조회
				tran.callWCSJsonTran('NSChangeOrderCmd', invokeParams, function(data){
					if(!data.msg || !data.msg.root || !data.msg.root.orders || data.msg.root.orders.length == 0 || 
							data.msg.root.orders[0]== null || data.msg.root.orders[0]== ""){
						Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다.", function() {
							navi.naviBack();
						},null,true );
					}else{
						CurrentView.ui.setRefundLastStepInfo(data);
					}
				} );
			}

		},

		ui : {
			
			//반품할 상품정보 조회
			responseRefundOrderForm : function( ordersId, cats, orders ) {
				if( cats == null || cats == "" ) {
				 	var html = mainCtrl.getNoResultDataHtml("주문 내역이 없습니다.");
  					$("#refundOrderReason").html( html );
					return;
				}
				
				//반품할 상품정보 데이터셋팅
				CurrentView.ui.setRefundOrdersInfo( ordersId, cats, orders );
					
			},
			
			//반품할 상품정보 데이터셋팅
			setRefundOrdersInfo : function( ordersId, cats, orders ) {
				
				var html = '';
				html += CurrentView.ui.makeHtmlCats( ordersId, cats, orders );
				$("#refundOrderReason").html( html );
				
				if(html != null){
					// 배송지 출력출력
					CurrentView.data.callNSRefundOrderPickupAddress( ordersId, cats, orders );
				}
			},
			
			//반품할 상품정보 데이터셋팅(상품영역)
			makeHtmlCats : function( ordersId, items, orders ) {
				var html ="";
				
				for ( var i=0; i<items.length; i++ ) {
					//CurrentView.arrCatsItem[CurrentView.arrCatsItem.length] = items[i];
					var imageLink = Ns.Util.getImageUrl(String(items[i].goodsCd),"H");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_H.jpg';
					var brandName = Ns.Util.htmlDecode(items[i].brandName);
					var goodsName = items[i].catentryName;
					goodsName = ( !Ns.Util.isNull(brandName) && brandName != '미정의' ? "[" + brandName + "]" : "") + (goodsName || '');
					var partnumber =  items[i].goodsCd; 
					
					var optionsHtml = "";
					var options = CurrentView.ui.getOrdersAttributes( items[i].attrs ); //옵션 생성
					
					// 초이스, 팩, 사은품 상품 주문 옵션 표시
					if (items[i].subProducts.length > 0){
						for (var j = 0; items[i].subProducts.length > j; j++){
							if (items[i].subProducts[j].partgubun == "CHOICE"){	// 초이스 상품일 경우
								options += '<br /><span class="option">' + items[i].subProducts[j].name;
								if (items[i].subProducts[j].attrs.length > 0){
									options += ' ' + items[i].subProducts[j].attrs[0].value;
								}
								options += ' : ' + items[i].subProducts[j].quantity + '개</span>';
							} else { // PACK, GIFT 일 경우
								options += '<br /><span class="option">' + items[i].subProducts[j].name;
								if (items[i].subProducts[j].attrs.length > 0){
									options += ' ' + items[i].subProducts[j].attrs[0].value;
								}
								options += '</span>';
							}
						}
					}
					
					
					if ( options != "" ) {
						optionsHtml += '<strong class="head">주문옵션</strong>';
						optionsHtml += '<span class="text">';
						optionsHtml += options;
						optionsHtml += '</span>';
					}
			
					//반품사유 입력영역
					var refundTypeInputHtml = CurrentView.ui.makeHtmlRefundTypeInput(i, items[i]);
					
					html += Ns.Util.stringFormat('\
							<li class="items">\
								<div class="wrap">\
									<div class="thumbnail">\
										<a href=""><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
									</div>\
									<div class="field">\
										<p class="title">\
											<a href=""><strong>{4}</strong></a>\
										</p>\
										<p class="option-item">\
											{5}\
			    						</p>\
									</div>\
								</div>\
								{6}\
							</li>',	ordersId, imageLink, noImageUrl, ordersId, goodsName, optionsHtml, refundTypeInputHtml);
					
					// 반품사유 리스트 조회
					CurrentView.data.getReason();
				}
				
				return html;
			},
			
			//반품사유 입력영역
			makeHtmlRefundTypeInput : function( index, data ) {
				
				var html = Ns.Util.stringFormat('\
						<div class="block_full">\
						<select id="selectShippingMessage" name="selectShippingMessage" title="반품사유 선택" class="form theme-a medium-L no_bg">\
						</select>\
						<textarea id="textShippingMessage" name="textShippingMessage" cols="100" rows="10" title="상세사유 작성" placeholder="상세사유를 입력해주세요.(한글 50자 이내)" class="form theme-a medium normal"></textarea>\
					</div>'
				);
				
				return html;
			},
			
			getOrdersAttributes : function( attrs ) {
	    		var attrvalDesc = "";
	    		if ( attrs == null ) return "";
	    
	    		for ( var k=0; k<attrs.length; k++ ) 	{
	    			attrvalDesc += Ns.Util.stringFormat('<br /><span class="option">{0} : {1}</span>', attrs[k].attrDesc, attrs[k].attrvalDesc);
	    		}
	    
	    		return attrvalDesc;
	    	},
	    	
	    	//배송지선택탭 기본배송지를 통한 배송지화면 출력
	    	setBaseAddressLine : function(data){

	    		CurrentView.pickupInfoData = data;
	    		CurrentView.selectedAddressMethodType = "base";
	    		
	    		if (null != data.phone2 && undefined != data.phone2 && $.trim(data.phone2) != ""){
					$("#divAddPone").show();
				} else {
					$("#divAddPone").hide();
				}
	    		
				var zipcode = Ns.Util.onlyNumFormat(data.zipcode);

				$("#addrAliasSt").eq(0).html(data.nickname).show();
				$("#recipientSt").eq(0).html(data.lastname).show();
				$("#phone12St").eq(0).html(data.phone1).show();
				$("#phone22St").eq(0).html("");
				if (null != data.phone2 && undefined != data.phone2 && $.trim(data.phone2) != ""){
					$("#phone22St").eq(0).html(data.phone2).show();
				}
				$("#addrSt").eq(0).html(data.address1).show();
				$("#addrDetailSt").eq(0).html(data.address2).show();
				$("#postcode01St").eq(0).html(zipcode).show();
				
				$(".mark").eq(0).hide();
				
				
				$("#addrAlias").val(data.nickname).hide();
				$("#recipientName").val( $.trim(data.lastname) ).hide();
				$("#phone11").val( Ns.Util.getPhoneNumber($.trim(data.phone1), "1") ).hide();
				$("#phone12").val( Ns.Util.getPhoneNumber($.trim(data.phone1), "2") ).hide();
				$("#phone13").val( Ns.Util.getPhoneNumber($.trim(data.phone1), "3") ).hide();
				if (null != data.phone2 && undefined != data.phone2 && $.trim(data.phone2) != ""){
					$("#phone21").val( Ns.Util.getPhoneNumber($.trim(data.phone2), "1") ).hide();
					$("#phone22").val( Ns.Util.getPhoneNumber($.trim(data.phone2), "2") ).hide();
					$("#phone23").val( Ns.Util.getPhoneNumber($.trim(data.phone2), "3") ).hide();					
				}

				$("#addr").val( $.trim(data.address1) ).hide();
				$("#addrDetail").val( $.trim(data.address2) ).hide();

				$("#postcode").val( zipcode ).hide();
				$("#zipcode").val( data.zipcode );
				$("#addrFlag").val( data.FAX1 ); // 주소타입(100: 지번주소, 200: 도로명주소)
				$("#addrDetail").prop("readonly", true);
				$("#recipientName").prop("readonly", true);
				$("#phone11").prop("disabled", true);
				$("#phone12").prop("readonly", true);
				$("#phone13").prop("readonly", true);
				$("#phone21").prop("disabled", true);
				$("#phone22").prop("readonly", true);
				$("#phone23").prop("readonly", true);
				$("#zipcode").prop("readonly", true);
				
				$("#zipSearch").hide();

				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDestination").parent().addClass("active");
				$("#divRadioArea").css("display","block"); 
				$("#divContentArea").removeClass("mt20");

				//수거가능지역 여부 조회
				//CurrentView.ui.checkPickupAddress(USERINFO.userId(), data.addressId);
	    	},
	    	
	    	/**
	    	 * 배송지주소 클릭하면 상품이 배달된 주소정보(기존배송지) 출력
	    	 */
	    	setDefaultAddress : function (objData){

	    		CurrentView.pickupInfoData = objData;
	    		CurrentView.selectedAddressMethodType = "default";
	    		
				if (null != objData.phone2 && undefined != objData.phone2 && $.trim(objData.phone2) != ""){
					$("#divAddPone").show();
				} else {
					$("#divAddPone").hide();
				}

				$(":radio[name='radioDeliverySearch']").attr("checked", false) ; // radio button reset

				$("#addrAliasSt").eq(0).html(objData.nickname).show();
				$("#recipientSt").eq(0).html(objData.lastname).show();
				$("#phone12St").eq(0).html(objData.phone1).show();
				$("#phone22St").eq(0).html("");
				if(null != objData.phone2){
					$("#phone22St").eq(0).html(objData.phone2).show();
				}
				$("#addrSt").eq(0).html(objData.address1).show();
				$("#addrDetailSt").eq(0).html("");
				if(null != objData.address2){
					$("#addrDetailSt").eq(0).html(objData.address2).show();
				}
				$("#postcode01St").eq(0).html("").html(objData.zipcode).show();
				
				$("#phone11").eq(0).val( Ns.Util.getPhoneNumber($.trim(objData.phone1), "1") ).hide();
				$("#phone21").eq(0).val( Ns.Util.getPhoneNumber($.trim(objData.phone2), "1") ).hide();
				$(".mark").hide();
				
				$("#addrAlias").attr("readonly", true);	// 배송지명 readonly
				$("#addrDetail").attr("readonly", true);// 상세주소 readonly
				$("#zipSearch").hide();	// 우편번호 버튼 숨김
				
				$("#addrAlias").val(objData.nickname).hide();
				$("#recipientName").val(objData.receiverName).hide();
				
				$("#phone11").val(Ns.Util.getPhoneNumber(objData.phone1, "1")).hide();
				$("#phone12").val(Ns.Util.getPhoneNumber(objData.phone1, "2")).hide();
				$("#phone13").val(Ns.Util.getPhoneNumber(objData.phone1, "3")).hide();
				$("#phone21").val(Ns.Util.getPhoneNumber(objData.phone2, "1")).hide();
				$("#phone22").val(Ns.Util.getPhoneNumber(objData.phone2, "2")).hide();
				$("#phone23").val(Ns.Util.getPhoneNumber(objData.phone2, "3")).hide();
				$("#postcode").val(objData.zipcode).hide();
				$("#addr").val(objData.address1).hide();
				$("#addrDetail").val(objData.address2).hide();
				
				$("#zipcode").val(objData.zipcode).hide();
				
				$("#recipientName").prop("readonly", true);
				$("#phone11").prop("disabled", true);
				$("#phone12").prop("readonly", true);
				$("#phone13").prop("readonly", true);
				$("#phone21").prop("disabled", true);
				$("#phone22").prop("readonly", true);
				$("#phone23").prop("readonly", true);

				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDestination").parent().addClass("active");
				$("#divRadioArea").css("display","block");
				$("#divContentArea").removeClass("mt20");

				//수거가능지역 여부 조회
				//CurrentView.ui.checkPickupAddress(USERINFO.userId(), objData.addressId);
	    	},
	    	
	    	//최근배송지/배송주소록을 통한 배송지화면 출력(기존배송지)
	    	setRecentAddress : function (objData){

	    		CurrentView.pickupInfoData = objData;
	    		CurrentView.selectedAddressMethodType = "recent";
	    		
	    		var objInsertData = new Object();
	    		objInsertData.rowData = "recent";
				objInsertData.NICKNAME = "기존 배송지";
				objInsertData.ADDRESS_ID = objData.addressID;
				
				$("#selShippingAddress").val("기존 배송지").data("insertData", objInsertData);
				
				if (null != objData.phone2 && undefined != objData.phone2 && $.trim(objData.phone2) != ""){
					$("#divAddPone").show();
				} else {
					$("#divAddPone").hide();
				}

				var addressarray = objData.address1.split('&amp;:');

				$("#addrAliasSt").eq(0).html(objData.nickname).show();
				$("#recipientSt").eq(0).html(objData.receiverName).show();
				$("#phone12St").eq(0).html(objData.phone1).show();
				$("#phone22St").eq(0).html("");
				if(null != objData.phone2){
					$("#phone22St").eq(0).html(objData.phone2).show();
				}
				$("#addrSt").eq(0).html(addressarray[0]).show();
				$("#addrDetailSt").eq(0).html("");
				if(null != addressarray[1]){
					$("#addrDetailSt").eq(0).html(addressarray[1]).show();
				}
				$("#postcode01St").eq(0).html("").html(objData.zipCode).show();
				
				$("#phone11").eq(0).val( Ns.Util.getPhoneNumber($.trim(objData.phone1), "1") ).hide();
				$("#phone21").eq(0).val( Ns.Util.getPhoneNumber($.trim(objData.phone2), "1") ).hide();
				$(".mark").hide();
				
				$("#addrAlias").attr("readonly", true);	// 배송지명 readonly
				$("#addrDetail").attr("readonly", true);	// 상세주소 readonly
				$("#zipSearch").hide();	// 우편번호 버튼 숨김
				
				$("#addrAlias").val(objData.nickname).hide();
				$("#recipientName").val(objData.receiverName).hide();
				
				$("#phone11").val(Ns.Util.getPhoneNumber(objData.phone1, "1")).hide();
				$("#phone12").val(Ns.Util.getPhoneNumber(objData.phone1, "2")).hide();
				$("#phone13").val(Ns.Util.getPhoneNumber(objData.phone1, "3")).hide();
				$("#phone21").val(Ns.Util.getPhoneNumber(objData.phone2, "1")).hide();
				$("#phone22").val(Ns.Util.getPhoneNumber(objData.phone2, "2")).hide();
				$("#phone23").val(Ns.Util.getPhoneNumber(objData.phone2, "3")).hide();
				$("#postcode").val(objData.cst_postcode).hide();
				$("#addr").val(objData.cst_addr).hide();
				$("#addrDetail").val(objData.cst_addrDetail).hide();
				
				$("#zipcode").val(objData.zipCode).hide();
				$("#addrFlag").val(objData.fax1).hide();
				//배송지 text화 코드 기존 input text박스는 hide로 숨김 직접입력시에만 show를 사용해서 노출 처리
				
				$("#recipientName").prop("readonly", true);
				$("#phone11").prop("disabled", true);
				$("#phone12").prop("readonly", true);
				$("#phone13").prop("readonly", true);
				$("#phone21").prop("disabled", true);
				$("#phone22").prop("readonly", true);
				$("#phone23").prop("readonly", true);

				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDestination").parent().addClass("active");
				$("#divRadioArea").css("display","block"); 
				$("#divContentArea").removeClass("mt20");

				//수거가능지역 여부 조회
				CurrentView.ui.checkPickupAddress(USERINFO.userId(), objData.addressID);
	    	},
	    	
	    	//최근 배송지/배송주소록 팝업 콜백
			setNewRecentShipping : function(objData) {

				var tabIndex = objData.tabIndex; // radio 버튼 인덱스 
				var $fieldset_addr =  $("#fieldset_addr");
				
				// 넘어온 데이터 저장
				var strVal = objData.nickname;
				
				if (objData.ispriamry == 1){
					strVal += " [기본배송지]";
				}
				
				var objInsertData = new Object();
				objInsertData.rowData = objData;
				objInsertData.NICKNAME = strVal;
				objInsertData.ADDRESS_ID = objData.addressID;
				
				$("#selShippingAddress").val(strVal).data("insertData", objData);
				
				if (null != objData.phone2 && undefined != objData.phone2 && $.trim(objData.phone2) != ""){
					$fieldset_addr.find("[name=divAddPone]").show();
				} else {
					$fieldset_addr.find("[name=divAddPone]").hide();
				}
				
				// callback 이후 제어
				// 텝, 라디오 제어
				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDestination").parent().addClass("active");	
				$("#divRadioArea").show();
				$("#divContentArea").removeClass("mt20");
				if("1" == tabIndex){	// 최근배송지
					$fieldset_addr.find($('input:radio[name=radioDeliverySearch]:input[value=1]')).prop('checked', true); 
				} else if("2" == tabIndex){	// 배송주소록
					$fieldset_addr.find($('input:radio[name=radioDeliverySearch]:input[value=2]')).prop('checked', true); 
				}
				CurrentView.ui.setRecentAddress(objData);
			},	    	
	    	
	    	//수거가능지역 여부 조회
	    	checkPickupAddress : function(userId, addressId){
	    			
	    		var invokeParams = {
						"tasknm" : "checkPickupAddress",
						"var" : userId + "," + addressId + "," + CurrentView.ordersId
				};
				tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
					
					if(data.list.resultCd == "00"){ 
						//수거가능
					}else if(data.list.resultCd == "98"){
						Ns.Popup.alert( "해당 지역으로 수거가 불가합니다. 다른 수거지를 선택해주세요.");
						var objInsertData = new Object();
						objInsertData.rowData = "manual";
						objInsertData.NICKNAME = "직접 입력";
						objInsertData.ADDRESS_ID = "";
						
						$("#selShippingAddress").val("직접 입력").data("insertData", objInsertData);
						CurrentView.event.onclick_btnNewShippingAddress();
					}else{
						Ns.Popup.alert( "본 상품의 반품은 상담원을 통해서 신청해 주시기 바랍니다.", function() {
							navi.naviBack();
						},null,true );
					}

				});
	    	},
	    	
	    	//환불정보확인(2단계) 데이터 셋팅
	    	setRefundSecondStepInfo : function(){	    		
				var FINAL_PAYMENT_AMT = Number(CurrentView.objOrder.totalpayment);

				if (CurrentView.objOrder.payms && CurrentView.objOrder.payms.length > 0) {
					// 결제수단별 결제내역 sort
					CurrentView.objOrder.payms.sort(function(a,b){
						return (Number(a.paySeq) - Number(b.paySeq));
					});
								
					// 결제정보 영역 (결제수단별 결제금액)
					$('#div_grandTotal').html( Ns.Util.insertCommas(FINAL_PAYMENT_AMT) + '원' );				//총 결제금액
					var html = '';
					for (var i = 0; i < CurrentView.objOrder.payms.length; i++) {
						html += Ns.Util.stringFormat('\	<li  class="items items_child"><div class="dhead"><strong>{0}</strong></div><div class="field price"><em class="em">{1}원</em></div></li>',
								CurrentView.objOrder.payms[i].paymentname,
								Ns.Util.insertCommas(CurrentView.objOrder.payms[i].payAmt)
							);
					}
					$('#divPaymentMethodArea ul .items_child').html('');
					$('#divPaymentMethodArea ul').append(html);

					//반품정보 영역
					$('#div_refundRequestTotal').html( Ns.Util.getMoneyFormat('(-)',FINAL_PAYMENT_AMT) + '원' );	//반품신청금액
					$('#refundRequestReason').html( '반품사유 : ' +  CurrentView.objOrder.orderitems[0].returnInfo.rsnDesc + ' / ' + CurrentView.objOrder.orderitems[0].returnInfo.rsnDtl );		//반품사유
					
					// 환불정보 영역 (1단계이므로 결제수단별 결제금액과 동일)
					$('#div_refundGrandTotal').html( Ns.Util.insertCommas(FINAL_PAYMENT_AMT) + '원' );				//환불예정금액
					var html = '';
					for (var i = 0; i < CurrentView.objOrder.payms.length; i++) {
						html += Ns.Util.stringFormat('\	<li  class="items items_child"><div class="dhead"><strong>{0}</strong></div><div class="field price"><em class="em">{1}원</em></div></li>',
								CurrentView.objOrder.payms[i].paymentname,
								Ns.Util.insertCommas(CurrentView.objOrder.payms[i].payAmt)
							);
					}
					$('#divRefundMethodArea ul .items_child').html('');
					$('#divRefundMethodArea ul').append(html);
					
					
					//환불방법 영역 
					if(CurrentView.objOrder.refundActSum != null && CurrentView.objOrder.refundActSum != "" && CurrentView.objOrder.refundActSum != "0"){
						$("#sectionYourRefundArea").show();	
						//예치금인 경우 둘다 출력
						if (CurrentView.objOrder.payms[0].paymentcode == '500') {
							$("#refundType1").show();	
							$("#refundType2").show();	
						//무통장, 실시간, 휴대폰인 경우 계좌만 출력
						}else if((CurrentView.objOrder.payms[0].paymentcode == '200' && CurrentView.objOrder.payms[0].paymdtls.length > 0)
										|| CurrentView.objOrder.payms[0].paymentcode == '300' || CurrentView.objOrder.payms[0].paymentcode == '400') { 
							$("#refundType1").hide();	
							$("#refundType2").show();	
						}
					}else{//무통장, 실시간계좌이체, 휴대폰, 예치금이 아니면 hide(네티웰포인트 등)
						$("#sectionYourRefundArea").hide();	
					}
				}
			
				//환불계좌목록 조회
				//2018-07-05 서석준 환불계좌 목록 신규 개발 시작
				var refundAccntInfoList = CurrentView.objOrder.refundAccntList;

                if(refundAccntInfoList.length > 0){

                    $.each(refundAccntInfoList, function(key,value){

                        if(value.selected !== ""){
                            CurrentView.event.onclick_radioRefundType('2'); // 환불방법을 내계좌로환불로 셋팅
                            $('[name=refund_type]').eq(1).prop('checked', true);
                            $('#refund_accntOwner').val(value.accntOwner);
                            $('#refund_accntNo').val(value.accntNo);
                        }

                    });
                }else{
                    CurrentView.event.onclick_radioRefundType('2'); // 환불방법을 예치금으로환불로 셋팅
                    $('[name=refund_type]').eq(1).prop('checked', true);
                }

                // 환불계좌 영역 생성
                Ns.Util.getBankComCode(refundAccntInfoList, $('[name=refund_bankCd]'));
				
				$("#step2").addClass('on');
				$("#refundFirstStepDiv").hide();
				$("#refundSecondStepDiv").show();
				$(window).scrollTop(0);

	    	},
	    	
	    	//신청완료(3단계) 데이터 셋팅
	    	setRefundLastStepInfo : function(data){
	    		var FINAL_PAYMENT_AMT = Number(CurrentView.objOrder.totalpayment);
	    		
	    		var orders = data.msg.root.orders[0];

	    		//반품완료상품 정보 영역
	    		CurrentView.ui.responseRefundOrderFormLastStep( orders.ordersId, orders.cats, orders );
	    		
	    		//반품사유 영역
	    		$('#refundCompleteReason').html( orders.cats[0].returnInfo.rsnDesc); 
	    		$('#refundCompleteDetailReason').html( orders.cats[0].returnInfo.rsnDtl );
				
	    		//수거지정보 영역
	    		$('#refundCompleteRecipientName').html( orders.cats[0].pickupInfo.deliv_name); 	    		
	    		var homePhone ="";
	    		if(orders.cats[0].pickupInfo.deliv_tel21 != null && orders.cats[0].pickupInfo.deliv_tel22 != null && orders.cats[0].pickupInfo.deliv_tel23 != null &&
	    				orders.cats[0].pickupInfo.deliv_tel21 != "" && orders.cats[0].pickupInfo.deliv_tel22 != "" && orders.cats[0].pickupInfo.deliv_tel23 != ""){
	    			homePhone += orders.cats[0].pickupInfo.deliv_tel21 + "-" + orders.cats[0].pickupInfo.deliv_tel22 + "-" + orders.cats[0].pickupInfo.deliv_tel23;
	    		}
	    		$('#refundCompletePhone').html( orders.cats[0].pickupInfo.deliv_tel11 + "-" + orders.cats[0].pickupInfo.deliv_tel12 + "-" + orders.cats[0].pickupInfo.deliv_tel13 + homePhone); 
	    		$('#refundCompleteAddress').html( orders.cats[0].pickupInfo.deliv_addr1 + orders.cats[0].pickupInfo.deliv_addr2); 
	    		$('#refundCompletePickupMessage').html( orders.cats[0].pickupInfo.deliv_message); 
	    		
	    		
	    		// 환불정보 영역 (1단계이므로 결제수단별 결제금액과 동일)
				$('#refundCompleteGrandTotal').html( Ns.Util.insertCommas(FINAL_PAYMENT_AMT) + '원' );	
				
	    		$("#step3").addClass('on');
				$("#refundSecondStepDiv").hide();
				$("#refundThirdStepDiv").show();
				$(window).scrollTop(0);
				
				CurrentView.executeBtnClicked = false;//execute버튼 이중클릭 방지
				
	    	},
	    	
	    	//반품완료한 상품정보 조회
			responseRefundOrderFormLastStep : function( ordersId, cats, orders ) {

				//반품할 상품정보 데이터셋팅
				CurrentView.ui.setRefundOrdersInfoLastStep( ordersId, cats, orders );
					
			},
			
			//반품완료한 상품정보 데이터셋팅
			setRefundOrdersInfoLastStep : function( ordersId, cats, orders ) {
				
				var html = '';
				html += CurrentView.ui.makeHtmlCatsLastStep( ordersId, cats, orders );
				$("#refundOrderComplete").html( html );

			},
			
			//반품완료한 상품정보 데이터셋팅(상품영역)
			makeHtmlCatsLastStep : function( ordersId, items, orders ) {
				var html ="";
				
				for ( var i=0; i<items.length; i++ ) {
					//CurrentView.arrCatsItem[CurrentView.arrCatsItem.length] = items[i];
					var imageLink = Ns.Util.getImageUrl(String(items[i].goodsCd),"H");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_H.jpg';
					var brandName = Ns.Util.htmlDecode(items[i].brandName);
					var goodsName = items[i].catentryName;
					goodsName = ( !Ns.Util.isNull(brandName) && brandName != '미정의' ? "[" + brandName + "]" : "") + (goodsName || '');
					var partnumber =  items[i].goodsCd; 
					
					var optionsHtml = "";
					var options = CurrentView.ui.getOrdersAttributes( items[i].attrs ); //옵션 생성
					
					// 초이스, 팩, 사은품 상품 주문 옵션 표시
					if (items[i].subProducts.length > 0){
						for (var j = 0; items[i].subProducts.length > j; j++){
							if (items[i].subProducts[j].partgubun == "CHOICE"){	// 초이스 상품일 경우
								options += '<br /><span class="option">' + items[i].subProducts[j].name;
								if (items[i].subProducts[j].attrs.length > 0){
									options += ' ' + items[i].subProducts[j].attrs[0].value;
								}
								options += ' : ' + items[i].subProducts[j].quantity + '개</span>';
							} else { // PACK, GIFT 일 경우
								options += '<br /><span class="option">' + items[i].subProducts[j].name;
								if (items[i].subProducts[j].attrs.length > 0){
									options += ' ' + items[i].subProducts[j].attrs[0].value;
								}
								options += '</span>';
							}
						}
					}
					
					
					if ( options != "" ) {
						optionsHtml += '<strong class="head">주문옵션</strong>';
						optionsHtml += '<span class="text">';
						optionsHtml += options;
						optionsHtml += '</span>';
					}

					html += Ns.Util.stringFormat('\
							<li class="items">\
								<div class="wrap">\
									<div class="thumbnail">\
										<a href=""><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
									</div>\
									<div class="field">\
										<p class="title">\
											<a href=""><strong>{4}</strong></a>\
										</p>\
										<p class="option-item">\
											{5}\
			    						</p>\
									</div>\
								</div>\
							</li>',	ordersId, imageLink, noImageUrl, ordersId, goodsName, optionsHtml);
				}
				
				return html;
			}
			
		},

		//이벤트 관련 함수 정의
		event : {
			//반품신청 취소
			onclick_refundCancel: function() {
				Ns.Popup.confirm("반품신청을 취소하시겠습니까?", function() {
					navi.naviBack();
					
				}, null);
			},
		
			//반품신청 다음단계
			onclick_refundNextStep: function() {

				for(var i=1; i<4; i++){
					$("#step"+i).removeClass('on');
				}
				
				switch($(this).attr('id')){
				case "refundFirstStepNext":
					CurrentView.data.callRefundSecondStepInfo();
					break;
				case "refundSecondStepNext":
					if(CurrentView.executeBtnClicked == false){
						CurrentView.executeBtnClicked = true;
						CurrentView.data.callRefundLastStepInfo();
					}
					break;
				}
			},
			
			//반품신청 이전단계
			onclick_refundPreviousStep: function() {
				for(var i=1; i<4; i++){
					$("#step"+i).removeClass('on');
				}
				
				$("#step1").addClass('on');
				$("#refundFirstStepDiv").show();
				$("#refundSecondStepDiv").hide();
				$(window).scrollTop(0);
			},
			
			//주문배송조회 페이지로 
			onclick_navigateToOrderList: function() {
				var param = {};
				mainCtrl.navigate( "M_U1121100M", param );
			},
			
			// 수거메시지 셀렉트박스 변경시 이벤트
			onchange_selectPickupMessage : function (){
				$("#textPickupMessage").val($("#selectPickupMessage option:selected").text());
			},
			
			onclick_setDefaultAddress : function(_this){
				CurrentView.ui.setDefaultAddress(CurrentView.objAddressRoot.orgship);
			},
			
			
			//Tab click
			onclick_ulListTabArea : function(_this) {
				
				var id = $(_this).attr('id');
				$("#ulListTabArea").find("li").removeClass("active");
				$("#" + id).parent().addClass("active");

				//배송지선택
				if( id == "tabDestination") {
					CurrentView.ui.setDefaultAddress(CurrentView.objAddressRoot.orgship);	
				// 직접입력	
				} else if( id == "tabDirectInput" ) { 
					var objInsertData = new Object();
					objInsertData.rowData = "manual";
					objInsertData.NICKNAME = "직접 입력";
					objInsertData.ADDRESS_ID = "";
					
					$("#selShippingAddress").val("직접 입력").data("insertData", objInsertData);
					var tmpSelectShippingMessage = $("#selectShippingMessage").val();
					var tmpTextShippingMessage = $("#textShippingMessage").val();
					CurrentView.event.onclick_btnNewShippingAddress();
					$("#selectShippingMessage").val(tmpSelectShippingMessage);
					$("#textShippingMessage").val(tmpTextShippingMessage);
				}
			},	
			
			//직접 입력 탭 클릭시 처리
			onclick_btnNewShippingAddress : function(){
				
				CurrentView.selectedAddressMethodType = "direct";
				
				var objInsertData = new Object();
				objInsertData.rowData = "manual";
				objInsertData.NICKNAME = "직접 입력";
				objInsertData.ADDRESS_ID = "";
				
				$("#selShippingAddress").val('직접 입력').data("insertData", objInsertData);
				/*배송지수정 
				* 배송지 text화 코드 기존 input text박스는 hide로 숨김 직접입력시에만 show를 사용해서 노출 처리
				*/
				$("#divAddPone").hide();
				$("#addrAliasSt").eq(0).html("").hide();
				$("#recipientSt").eq(0).html("").hide();
				$("#phone12St").eq(0).html("").hide();
				$("#phone22St").eq(0).html("").hide();
				$("#addrSt").eq(0).html("").hide();
				$("#addrDetailSt").html("").hide();
				$("#postcode01St").html("").hide();
				$("#phone11").eq(0).show();
				$("#phone21").eq(0).show();
				$("#addrAlias").val('').prop("readonly", false).show();
				$("#recipientName").val('').prop("readonly", false).show();
				$("#phone11").val('').prop("disabled", false).show();
				$("#phone12").val('').prop("readonly", false).show();
				$("#phone13").val('').prop("readonly", false).show();
				$("#phone21").val('').prop("disabled", false).show();
				$("#phone22").val('').prop("readonly", false).show();
				$("#phone23").val('').prop("readonly", false).show();
				$("#zipcode").val("").show();
				$("#postcode").val("").show();
				$("#addr").val("").show();
				$("#addrDetail").val("").show();
				$("#zipSearch").show();
				$(".mark").show();
				$("#selectShippingMessage").val("").show();
				$("#textShippingMessage").val("").show();

				$("#ulListTabArea").find("li").removeClass("active");
				$("#tabDirectInput").parent().addClass("active");
				$("#divRadioArea").css("display","none");
				$("#divContentArea").removeClass("mt20").addClass("mt20");

			},
			
			// 배송지선택 팝업 - 최근배송지, 배송주소록 클릭시
			// onclick_recentShipping 참조 
			onclick_selectShippingPop : function (rtnObj){
				var radioIndex = $(rtnObj).val();

				try {
					if (radioIndex == '1' || radioIndex == '2') { // 최근배송지, 배송주소록
						var objParams = new Object();
						objParams.index = 0;
						objParams.tabIndex = radioIndex;
						objParams.RecentAddressList = CurrentView.objRecentAddressRoot.RecentAddressList; // 기존 주소록
						objParams.strCBfn = "CurrentView.ui.setNewRecentShipping";
						Ns.Popup.showPopup("M_B1310002P", objParams);		
					} else { // 기본 배송지 
						if(CurrentView.objAddressRoot.selfAddress != null) {
							CurrentView.ui.setBaseAddressLine(CurrentView.objAddressRoot.selfAddress);
						} else {
							Ns.Popup.alert("등록된 기본배송지가 없습니다.");
							$('input:radio[name=radioDeliverySearch]:input[value=0]').prop('checked', false);
							
						}
					}

				} catch (e) {
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(M_U1121001M_01)" + e , function (){
						navi.naviBack();
					});
					
					return ;
				}
			},
			
			//우편번호 버튼 클릭시 처리
			onclick_btnSearchPostCode : function(){
				mainCtrl.showPostCodeWindows( {callback : function(postinfo) {
					navi.naviBack();
					if ( postinfo == null ) {
						return false;
					}
										
					var fullpostinfo = postinfo.postList;
					
					$("#zipcode").data("data", postinfo.postList);
					$("#zipcode").val(postinfo.postno);
					$("#postcode").val(postinfo.postno);
					$("#addrFlag").val( (postinfo.addrFlag == 'L' ? '100' : '200') );

					$("#addr").val(postinfo.address);
					$("#addrDetail").val(postinfo.addrDetail);
					$("#SEC_ADDRESS1").val(postinfo.SEC_ADDRESS1);
					$("#SEC_ADDRESS2").val(postinfo.SEC_ADDRESS2);

				}} );
			},
			
			//수거메시지 입력시
			keyup_pickupMessage : function(_this, index) {
				Ns.Util.checkByteLength(_this, 120);
				var len = Ns.Util.getBytes(_this.value);
				
				$("#pickupMessage_Count").html( Ns.Util.stringFormat("수거 메시지 <br />({0}/{1} byte)", len, 120) );
			},
			
			// 환불방법 radio 선택
			onclick_radioRefundType : function( type ) {
				if (type == '1') { // 예치금으로 환불
					$('#refund_bankCd').prop('disabled', true);
					$('#refund_accntOwner').prop('disabled', true);
					$('#refund_accntNo').prop('disabled', true);
				} else if (type == '2') { // 내계좌로 환불
					$('#refund_bankCd').prop('disabled', false);
					$('#refund_accntOwner').prop('disabled', false);
					$('#refund_accntNo').prop('disabled', false);
				}
			},

            //2018-07-04 서석준 환불계좌 select Box 변경 이벤트 추가
            onchange_BanckInfo : function(){

                var selectAccntNo = $("[name=refund_bankCd] option:selected").attr("data-accntNo");
                var selectAccntOwner = $("[name=refund_bankCd] option:selected").attr("data-accntOwner");

                if(selectAccntNo !== ""){
                    $("[name=refund_accntNo]").val(selectAccntNo);
                    $("[name=refund_accntOwner]").val(selectAccntOwner);
                }else{
                    $("[name=refund_accntNo]").val("");
                    $("[name=refund_accntOwner]").val("");
                }
            }
		}
};