
/* JavaScript content from js/mypage/M_U1122600L.js in folder common */
/* 
 *	마이페이지 - 주문 취소, 교환 신청, 반품 신청
 *  ID : M_U1122600L

 *  1. 주문 취소, 교환 신청, 반품 신청
 *  
 *  (절차)
 *  	1) NSChangeOrderCmd, form 호출 - 입력(1단계)
 *  	2) 취소,교환,반품 수량 설정
 *  	3) NSChangeOrderCmd, payment 호출 - 확인(2단계)
 *  	4) 교환,반품 가능여부 체크
 *  	5) 취소,교환,반품,환불 정보 입력
 *  	6) NSChangeOrderCmd, execute 호출 - 실행(3단계)
 *  
 *  20150414 정헌태 수정 - 계정계 및 기획 변경으로 교환시 화면 진입하자마자 배송타입 체크하여 진행여부 물어보도록 수정
 */

//page 컨트롤 클래스
CurrentView = {
		m_inputParams     : null,
		m_outputDatas     : null,
		pageDataset : [],
		
		SELECT_TXT : {
			CANCEL : "취소사유를 선택하세요",
			EXCHANGE : "교환사유를 선택하세요",
			RETURN : "반품사유를 선택하세요"
		},
		ACTION_TXT : {
			CANCEL : "취소",
			EXCHANGE : "교환",
			RETURN : "반품"
		},
		
		action : "CANCEL", //default action is cacel order...
		ordsid : null, //주문번호.
		IS_REFUND : false,
		IS_REFUND_display : false,
		counselor : "N",	//kimjh : counselor
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			if (params.action == 'REFUND') {
				params.action = 'RETURN';
			}
			if (!params.tabIndex || Number(params.tabIndex) == 0) {
				params.tabIndex = 'N';
			}
			this.action = params.action;
			this.ordsid = params.ordersId;
			this.pageDataset.push( params.pageData || {} );
			this.counselor = params.counselor;	//kimjh. 상담사취소건
			
			this.ui.setHeaderTitle(params); //주문취소,교환신청,반품신청 등의 헤더 영역 타이틀 변경.
			this.ui.setNoticeInfo(params); // Notice정보 출력
			
			$("#btnCancelOrder").unbind().bind( "click", this.event.onclick_btnCancelOrder );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			CurrentView.m_inputParams = params || {};
			// 주문정보 조회
			this.data.getOrderForm();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			// 변경정보 입력 (1단계)
			getOrderForm : function() {
				delete CurrentView.pageDataset;
				CurrentView.pageDataset = [];

				// 변경정보 입력 (1단계)
				var invokeparams = {};
				CurrentView.data.formOrderForm( invokeparams, CurrentView.data.responseOrderFormChk);
			},
			
			/**
			 * 교환 진행 체크 펑션
			 */
			responseOrderFormChk : function (data){
				if (!data.msg || !data.msg.root || !data.msg.root.orders || data.msg.root.orders.length == 0) {
				  	var html = mainCtrl.getNoResultDataHtml("주문 내역이 없습니다.");
  					$("#divOrderListArea").html( html ).show();
  					return false;
				}
				
				CurrentView.pageDataset[0] = $.extend(true, {}, CurrentView.m_inputParams.pageData, data.msg.root.orders[0]);
				
				var strInventoryMsg = "";
				
				for (var i = 0; i < CurrentView.pageDataset[0].cats.length; i++) {
					if ( CurrentView.action == "EXCHANGE" ) { //교환신청
						var catsData = CurrentView.pageDataset[0].cats[i];
						var availQuantityType = CurrentView.pageDataset[0].cats[i].availQuantityType;
						var availQuantitySchdDate = CurrentView.pageDataset[0].cats[i].availQuantitySchdDate;
						
						if (availQuantityType == "30" || availQuantityType == "40"){
							if (strInventoryMsg != ""){	// 처음이 아닐경우 한줄 띄움
								strInventoryMsg += "<br />"
							}
							
							var strTitleNm = "";	// [브랜드명]상품명
							strTitleNm += (catsData.brandName && catsData.brandName != '미정의' ? "[" + catsData.brandName + "]" : "") + catsData.catentryName;
							
							strInventoryMsg += strTitleNm + " 상품은<br />"
							strInventoryMsg += availQuantitySchdDate.substring(4,6) + "월 "
							strInventoryMsg += availQuantitySchdDate.substring(6,8) + "일"
							
							if (availQuantityType == "30"){	// 순차배송일 경우
								strInventoryMsg += " 까지 배송됩니다.<br />"; 
							} else {	// 예약배송일 경우
								strInventoryMsg += "에 배송됩니다.<br />";
							}
						}
					}
				}
				
				// 초기화
				delete CurrentView.pageDataset;
				CurrentView.pageDataset = [];
				
				if (strInventoryMsg != ""){
					strInventoryMsg += "<br />교환을 진행하시겠습니까?";
				}
				
				// 메시지 변수에 값이 있으며 confirm 창 활성
				if (strInventoryMsg != ""){	
					Ns.Popup.confirm(strInventoryMsg,
						function (){	// 확인
							navi.setMovePointer(-1);
							CurrentView.data.responseOrderForm(data);
						},
						function (){	// 취소
							navi.naviBack();
						}, 
						"확인",
						"취소"
					);
					
					return;
				}
				
				CurrentView.data.responseOrderForm(data);
			},
			
			responseOrderForm : function(data) {
				if (!data.msg || !data.msg.root || !data.msg.root.orders || data.msg.root.orders.length == 0) {
				  	var html = mainCtrl.getNoResultDataHtml("주문 내역이 없습니다.");
  					$("#divOrderListArea").html( html ).show();
  					return false;
				}
				
				// 주문정보 조회결과 저장
				CurrentView.m_outputDatas = data;
				CurrentView.pageDataset[0] = $.extend(true, {}, CurrentView.m_inputParams.pageData, data.msg.root.orders[0]);
				
				// 주문정보 출력
				CurrentView.ui.setOrdersInfo( CurrentView.pageDataset[0] );
				CurrentView.ui.setPaymentInfo( CurrentView.pageDataset[0] );
				
				// cats
				for (var i = 0; i < CurrentView.pageDataset[0].cats.length; i++) {
					// 취소 수량 설정
					CurrentView.pageDataset[0].cats[i].modQuantity = '0';
					if ( CurrentView.action == "CANCEL" ) { //취소신청. 
						CurrentView.pageDataset[0].cats[i].cancelQuantity = CurrentView.pageDataset[0].cats[i].quantity;
					} else if ( CurrentView.action == "EXCHANGE" ) { //교환신청
						CurrentView.pageDataset[0].cats[i].exchangeQuantity = CurrentView.pageDataset[0].cats[i].quantity;
					} else if ( CurrentView.action == "RETURN" ) { //반품신청
						CurrentView.pageDataset[0].cats[i].returnQuantity = CurrentView.pageDataset[0].cats[i].quantity;
					}
					
					// 취소,교환,반품 사유 추가
					var info = {
							"ordersId" : CurrentView.pageDataset[0].cats[i].ordersId,
							"rsn" : '',
							"rsnDesc" : '',
							"phone11" : '',
							"phone12" : '',
							"phone13" : '',
							"rsnDtl" : ''
					};
					//취소신청.
					info["occurType"] = "600";
					CurrentView.pageDataset[0].cats[i].cancelInfo = info;
					//교환신청
					info["occurType"] = "200";
					CurrentView.pageDataset[0].cats[i].exchangeInfo = info;
					//반품신청
					info["occurType"] = "100";
					CurrentView.pageDataset[0].cats[i].returnInfo = info;
					
					// 수거정보 추가
					var pickupInfo = (CurrentView.pageDataset[0].cats[i].pickupInfo || {
						"ordersId" : CurrentView.pageDataset[0].cats[i].ordersId,
						"type" : "",
						"conv_dt" : "",
						"conv_tel11" : "",
						"conv_tel12" : "",
						"conv_tel13" : "",
						"addressId" : (CurrentView.pageDataset[0].cats[i].orgship && CurrentView.pageDataset[0].cats[i].orgship.addressId || ''),
						"deliv_name" : "",
						"deliv_tel11" : "",
						"deliv_tel12" : "",
						"deliv_tel13" : "",
						"deliv_tel21" : "",
						"deliv_tel22" : "",
						"deliv_tel23" : "",
						"deliv_ziptype" : "",
						"deliv_zipcd1" : "",
						"deliv_zipcd2" : "",
						"deliv_addr1" : "",
						"deliv_addr2" : ""
					});
					CurrentView.pageDataset[0].cats[i].pickupInfo = pickupInfo;
				}
				
				// orderitems
				for (var i = 0; i < CurrentView.pageDataset[0].orderitems.length; i++) {
					// 취소 수량 설정
					CurrentView.pageDataset[0].orderitems[i].modQuantity = '0';
					if ( CurrentView.action == "CANCEL" ) { //취소신청. 
						CurrentView.pageDataset[0].orderitems[i].cancelQuantity = CurrentView.pageDataset[0].orderitems[i].quantity;
					} else if ( CurrentView.action == "EXCHANGE" ) { //교환신청
						CurrentView.pageDataset[0].orderitems[i].exchangeQuantity = CurrentView.pageDataset[0].orderitems[i].quantity;
					} else if ( CurrentView.action == "RETURN" ) { //반품신청
						CurrentView.pageDataset[0].orderitems[i].returnQuantity = CurrentView.pageDataset[0].orderitems[i].quantity;
					}

					// 취소,교환,반품 사유 추가
					var info = {
						"ordersId" : CurrentView.pageDataset[0].orderitems[i].ordersId,
						"orderitemsId" : CurrentView.pageDataset[0].orderitems[i].orderitemsId,
						"rsn" : '',
						"rsnDesc" : '',
						"phone11" : '',
						"phone12" : '',
						"phone13" : '',
						"rsnDtl" : ''
					};
					//취소신청.
					info["occurType"] = "600";
					CurrentView.pageDataset[0].orderitems[i].cancelInfo = info;
					//교환신청
					info["occurType"] = "200";
					CurrentView.pageDataset[0].orderitems[i].exchangeInfo = info;
					//반품신청
					info["occurType"] = "100";
					CurrentView.pageDataset[0].orderitems[i].returnInfo = info;
				}
				/*
				if ( CurrentView.action == "CANCEL" ) { //취소신청.
					// 결제 취소정보
					var paymCncls = [];
					if (CurrentView.pageDataset[0].payms && CurrentView.pageDataset[0].payms.length > 0) {
						for (var i = 0; i < CurrentView.pageDataset[0].payms.length; i++) {
							paymCncls.push( {
								'ordersId' : CurrentView.pageDataset[0].ordersId,
								'newHistSeq' : CurrentView.pageDataset[0].newHistSeq,
								'cancelType' : CurrentView.pageDataset[0].payms[i].canceltype,
								'payType' : CurrentView.pageDataset[0].payms[i].paymentcode,
								'paySeq' : CurrentView.pageDataset[0].payms[i].paySeq,
								'requestCommand' : 'CancelPay',
								'payAmt' : CurrentView.pageDataset[0].payms[i].payAmt,
								'paySchdAmt' : CurrentView.pageDataset[0].payms[i].paySchdAmt
							} );
						}
					}
					CurrentView.pageDataset[0].paymCncls = paymCncls;
				}
				*/
				// 전체 주문아이템에 대한 환불정보. 
				CurrentView.pageDataset[0].refundInfo = {
					"ordersId" : CurrentView.pageDataset[0].ordersId,
					"newHistSeq" : CurrentView.pageDataset[0].newHistSeq,
					"type" : '',
					"typeDesc" : '',
					"bankCd" : '', //환불계좌은행코드
					"bankNm" : '',
					"accntOwner" : '', //계좌소유주
					"accntNo" : '', //계좌번호
					"refundAmt" : '0'
				};
				
				// 신규 주소 정보
				CurrentView.pageDataset[0].newAddrs = [];
				
				// 변경정보 확인 및 결제 준비 (2단계)
				CurrentView.data.getOrderPayment();
			},
			
			// 변경정보 확인 및 결제 준비 (2단계)
			getOrderPayment : function() {
				var invokeparams = {};
				invokeparams.pageData = JSON.stringify(CurrentView.pageDataset);
				CurrentView.data.paymentOrderForm( invokeparams, CurrentView.data.responseOrderPayment);
			},
			responseOrderPayment : function(data) {
				if (data.msg && data.msg.root && data.msg.root.errorMsg) {
					Ns.Popup.alert( data.msg.root.errorMsg );
					return false;
				} else if (!data.msg || !data.msg.root || !data.msg.root.orders || data.msg.root.orders.length == 0) {
				  	var html = mainCtrl.getNoResultDataHtml("주문 내역이 없습니다.");
  					$("#divOrderListArea").html( html ).show();
  					return false;
				}
				
				// 교환,반품이면서 (재결제정보가 필요한 경우), 환불 불가
				var addAmt = 0;
				for (var i = 0; i < data.msg.root.orders.length; i++) {
					if (undefined != data.msg.root.orders[i].totalshipping && "" != data.msg.root.orders[i].totalshipping){
						addAmt += Number(data.msg.root.orders[i].totalshipping);
					}
				}
				
				if ((CurrentView.action == "EXCHANGE" || CurrentView.action == "RETURN") && (addAmt > 0)) {
					CurrentView.ui.setRefundFail();
//					Ns.Popup.alert( "재결제 금액이 발생하는 경우 " + CurrentView.ACTION_TXT[CurrentView.action] + "신청이 불가능합니다.<br />콜센터로 연락하시기 바랍니다." );
					return false;
				}
				
				// 교환,반품이면서 (복수배송지인 경우), 환불 불가
				var multiDeliveryList = [];
				for (var i = 0; i < data.msg.root.orders[0].cats.length; i++) {
					multiDeliveryList.push( data.msg.root.orders[0].cats[i].orgship.dispAddressPlus );
				}
				multiDeliveryList = multiDeliveryList.removeDup();
				if ((CurrentView.action == "EXCHANGE" || CurrentView.action == "RETURN") && (multiDeliveryList.length > 1)) {
					CurrentView.ui.setRefundFail();
//					Ns.Popup.alert( "복수 배송지인 경우 " + CurrentView.ACTION_TXT[CurrentView.action] + " 신청이 불가능합니다." );
					return false;
				}
				// 교환,반품이면서 (복합결제인 경우), 환불 불가
				var multiPaymentCount = 0;
				for (var i = 0; i < data.msg.root.orders[0].payms.length; i++) {
					var paymentcodeList = ["100", "200", "300", "400"];
					multiPaymentCount += (paymentcodeList.contains(data.msg.root.orders[0].payms[i].paymentcode) ? 1 : 0);
				}
				if ((CurrentView.action == "EXCHANGE" || CurrentView.action == "RETURN") && (multiPaymentCount > 1)) {
					CurrentView.ui.setRefundFail();
//					Ns.Popup.alert( "복합 결제의 경우 " + CurrentView.ACTION_TXT[CurrentView.action] + " 신청이 불가능합니다." );
					return false;
				}
				// 교환이면서 (재고수량이 부족할 경우), 교환 불가
				var isAvailQty = true;
				for (var i = 0; i < data.msg.root.orders[0].cats.length; i++) {
					isAvailQty = (Number(data.msg.root.orders[0].cats[i].quantity) <= Number(data.msg.root.orders[0].cats[i].availQuantity));
				}
				if (CurrentView.action == "EXCHANGE" && !isAvailQty) {
					CurrentView.ui.setRefundFail();
//					Ns.Popup.alert( "재고 수량이 부족하여 " + CurrentView.ACTION_TXT[CurrentView.action] + " 신청이 불가능합니다." );
					return false;
				}
				
				// 교환이면서 (후 환불 상품인 경우), 교환 불가
				if(CurrentView.action == "EXCHANGE" && data.msg.root.orders[0].pstRefundAvailYn =="Y"){
					CurrentView.ui.setRefundFail();
//					Ns.Popup.alert( "후 환불 상품은 " + CurrentView.ACTION_TXT[CurrentView.action] + "신청이 불가능합니다.<br/> 반품 신청 후, 재 구매 또는 콜센터로 연락하시기 바랍니다." );
					return false;
				}
				
				// 배송유형이 자체배송 상품 / 식품,가전,가구,무형서비스 상품 / 제휴몰 상품은 인터넷으로 반품/교환 접수 및 선환불 상품/센터배송은 인터넷에서 반품/교환은 직접 처리 불가
				for (var i = 0; i < data.msg.root.orders.length; i++){
					if ((CurrentView.action == "EXCHANGE" || CurrentView.action == "RETURN") && data.msg.root.orders[i].rtnExcgNotAvailYn == "Y"){
						CurrentView.ui.setRefundFail();
						return false;
					}
				}
				
				//환불정보 Area 보여주기
				if(CurrentView.IS_REFUND){
					$("#sectionYourRefundArea").show();
				}
				
				// 주문정보 조회결과 저장
				CurrentView.m_outputDatas = data;
				CurrentView.pageDataset = data.msg.root.orders;

				//2018-07-04 서석준 환불 계좌 변경 시작
				var refundAccntInfoList = CurrentView.pageDataset[0].refundAccntList;

				if(refundAccntInfoList.length > 0){

                    $.each(refundAccntInfoList, function(key,value){

                    	if(value.selected !== ""){
                            CurrentView.event.onclick_radioRefundType('2'); // 환불방법을 내계좌로환불로 셋팅
                            $('#formCancelOrderInfo [name=refund_type]').eq(1).prop('checked', true);
                            $('#formCancelOrderInfo [name=refund_accntOwner]').val(value.accntOwner);
                            $('#formCancelOrderInfo [name=refund_accntNo]').val(value.accntNo);
						}

                    });
                }else{
                    CurrentView.event.onclick_radioRefundType('2'); // 환불방법을 예치금으로환불로 셋팅
					$('#formCancelOrderInfo [name=refund_type]').eq(1).prop('checked', true);
				}
				
				// 사유 정보 조회
				CurrentView.data.getReason();
				// 은행코드 조회
				Ns.Util.getBankComCode(refundAccntInfoList, $('#formCancelOrderInfo [name=refund_bankCd]'));
                //2018-07-04 서석준 환불 계좌 변경 끝


				// 주문정보를 화면에 표시
				$("#divOrderListArea").show();
				$("#sectionBillingInfoArea").show();
				$("#sectionPaymentMethodArea").show();
				$("#divButtonArea").show();
				$("#divNoticeInfoArea").show();
				
				if (CurrentView.action == "CANCEL"){
					var invokeParams = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify({
							"cnm":"com.ns.commerce.nsmypage.helper.NSPaymentCtrlJDBCHelper",
							"mnm" : "getPaymCnclDesc",
							"args":	{ "ordersId": data.ordsid[0] },   
						})
					};
					
					// 상담원 처리 유무 체크 통신
					tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (objData){
						if (undefined != objData.list.getPaymCnclDesc){
							Ns.Popup.alert( objData.list.getPaymCnclDesc + "<br />상담원을 통해서 신청해 주시기 바랍니다.", function() {
								navi.setMovePointer(-1);
								delete CurrentView.pageDataset;
								mainCtrl.navigate('M_U1121100M', CurrentView.m_inputParams);
							});
						}
					});
				}
			
			},
			
			// 취소사유,교환사유,반품사유 조회
			getReason : function() {
				var invokeParams = {
					"tasknm" : "ordrsn",
					"var" : CurrentView.action
				};
				tran.callWCSJsonTran('NSMypageCommCmd', invokeParams, CurrentView.data.responseCommnCode );
			},
			// 취소사유,교환사유,반품사유 조회 callback
			responseCommnCode : function( data ) {
				var html = "";
				html = '<option value="">' + CurrentView.SELECT_TXT[CurrentView.action] + '</option>';
				for ( var i = 0; i < data.list.length; i++) {
					html += '<option value="' + data.list[i].LV3_ID + '">' + data.list[i].LV3_NAME + '</option>';
				}

				$("#formCancelOrderInfo [name=rsn]").each(function() {
					$(this).append(html);
				});
			},
			
			//주문취소/교환/반품 요청.
			doModifyOrderCmd : function( invokeParams, callback ) {
				invokeParams = $.extend({
					userId : USERINFO.userId(),
					ordsid : CurrentView.ordsid,
					tidx : (CurrentView.m_inputParams.tabIndex || 'N'),
					channel : 'mobile'
				}, invokeParams);
				
				tran.callWCSJsonTran('NSChangeOrderCmd', invokeParams, callback);
			},
			
			// 변경정보 입력 (1단계)
			formOrderForm : function( invokeparams, callback ) {
				invokeparams.tasknm = CurrentView.action;
				invokeparams.subTasknm = 'form';
				invokeparams.counselorOrderCancel = CurrentView.counselor;	//kimjh 상담사 카드취소 추가
				CurrentView.data.doModifyOrderCmd( invokeparams, callback);
			},
			
			// 변경정보 확인 및 결제 준비 (2단계)
			paymentOrderForm : function( invokeparams, callback ) {
				invokeparams.tasknm = CurrentView.action;
				invokeparams.subTasknm = 'payment';
				invokeparams.counselorOrderCancel = CurrentView.counselor;	//kimjh 상담사 카드취소 추가
				CurrentView.data.doModifyOrderCmd( invokeparams, callback);
			},
			
			// 주문변경/취소 실행 (3단계)
			executeOrderAppr : function( invokeparams, callback ) {
				invokeparams.tasknm = CurrentView.action;
				invokeparams.subTasknm = 'execute';
				invokeparams.counselorOrderCancel = CurrentView.counselor;	//kimjh 상담사 카드취소 추가
				CurrentView.data.doModifyOrderCmd( invokeparams, callback);
			},
			
			/**
			 * 20180202 jihee : 제휴사 adbrix 정보 전달
			 * */
			adbrixRefound : function(dataset) {
				var product = new Object();
				var array = new Array();
				
				for (var i = 0 ; i < dataset.cats.length ; i++) {
					product.name = dataset.cats[i].catentryName;
					product.id = dataset.cats[i].goodsCd
					product.orderId = dataset.ordersId;
					product.del = dataset.totalshipping;
					product.attrs = dataset.cats[i].attrs[0].attrvalDesc;
					product.price = dataset.cats[i].price;
					product.quantity = dataset.cats[i].cancelQuantity;
					product.sale = dataset.totalstdamount - dataset.totalpayment;
					
					array.push(product);
					product = {};
				}
				
				var data = JSON.stringify(array);
				var invoke = {};
				invoke.category = "add_refound";
				invoke.action = data;
				targeting.sendLogging(invoke);
				
				invoke.category = "firstTimeExperience";
				invoke.action = "refund";
				Ns.Native.sendAdbrix( invoke );
				
				invoke.category = "Retention";
				invoke.action = "refund";
				Ns.Native.sendAdbrix( invoke );
				
				var paymentInfo = {};
				paymentInfo.ordersid = dataset.ordersId;
				paymentInfo.t1 = "마이페이지";
				paymentInfo.t2 = "쇼핑정보";
				paymentInfo.t3 = "주문내역/배송조회";
				paymentInfo.t4 = "주문취소";
				GA.sendEcommerceData(null, "10", paymentInfo);
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			// 헤더 정보 출력
			setHeaderTitle : function( params ) {
				var title = "";
				
				if( params.action == "RETURN" ) {
					title = CurrentView.ACTION_TXT[params.action] + "신청";
				} else if( params.action == "EXCHANGE" ) {
					title = CurrentView.ACTION_TXT[params.action] + "신청";
				} else if( params.action == "CANCEL" ) {
					$("#divCancelInformArea").show();
					return;
				}
				
				$("#btnCancelOrder span").html( title );
				mainCtrl.setHeaderTitle( false, title );
			},
			
			// Notice 정보 출력
			setNoticeInfo : function( params ) {
				var html = '';
				if( params.action == "RETURN" ) {
					html += '<li>상품에 따라서 추가 결제가 있을 수 있으며, 상품 배송지로 택배 기사가 방문 예정입니다.</li>';
				} else if( params.action == "EXCHANGE" ) {
					html += '<li>상품에 따라서 추가 결제가 있을 수 있으며, 상품 배송지로 택배 기사가 방문 예정입니다.</li>';
				} else if( params.action == "CANCEL" ) {
					html += '<li>주문 변경은 PC에서 이용이 가능합니다.</li>';
					html += '<li>상품에 따라서 추가 결제가 있을 수 있습니다.</li>';
				}
				html += '<li>모바일 주문 취소/변경/교환/반품에 대해 궁금하신 것이 있으시면 NS홈쇼핑 모바일 상담전화를 통해 문의하시기 바랍니다.</li>';
				$('#divNoticeInfoArea ul').append(html);
			},
			
			// 교환/반품 대상이 아닐 경우 출력
			setRefundFail : function() {
				var img = '<div class="info-board theme-a alertTxt"><img src="http://image.nsmall.com/ec_comimages/nsupload/espot/images/mobile/18_HUB_Common/common/bg_alertTxt.png"></div>';
				//var html = '모바일에서 교환/반품 신청이 안되는 상품입니다. PC나 상담전화를 통해 신청을 하시기 바랍니다.';
				//$("#divOrderListArea").html( mainCtrl.getNoResultDataHtml( html ) ).show();
				$("#divOrderListArea").html( img ).show();
				$('#divNoticeInfoArea ul').empty();
				$('#divNoticeInfoArea').show();
				$('#sectionYourRefundArea').hide();
			},
			
			//주문 정보를 출력한다. 이전 페이지에서 넘어온 주문 상품정보를 출력한다. 
			setOrdersInfo : function(data) {
				$('#txtOrdersId').html( data.ordersId );
				$('#txtOrdersDate').html( data.timeplaced );
				
				var html = '';
				if (data.cats && data.cats.length > 0) {
					for (var i = 0; i < data.cats.length; i++) {
						// 상품정보 출력
						html += CurrentView.ui.makeHtmlOrderItems(i, data.cats[i]);
						// 취소사유,교환사유,반품사유 입력정보 출력
						html += CurrentView.ui.makeHtmlCancelTypeInput(i, data.cats[i]);
					}
				}
				$("#divOrderListArea").append(html);
			},
			
			// 상품정보 출력
			makeHtmlOrderItems : function( index, data ) {
				// 상품 옵션 정보
				var setProductOption = function(attrs) {
					var html = '';
					var optionsHtml = '';
					if (attrs && attrs.length > 0) {
						for (var i = 0; i < attrs.length; i++) {
							html += Ns.Util.stringFormat('\n	<span class="option">{0}</span>', attrs[i].attrvalDesc);
						}
					}
					
					if ( html != "" ) {
						optionsHtml += '<strong class="head">주문옵션</strong>';
						optionsHtml += '<span class="text">';
						optionsHtml += html;
						optionsHtml += '</span>';
					}
					
					var intrv = data.intrv;
					var cnveyNum = data.cnveyNum;
					if ( intrv != null && cnveyNum != null ) {						
						optionsHtml += Ns.Util.stringFormat('\
								<div class="option-delivery">\
									<strong class="head">배송주기</strong>\
									<span class="text">\
										<span class="option">간격 : {0}일</span>\
										<span class="option">배송 : {1}회</span>\
									</span>\
								</div>',
								intrv,
								cnveyNum
						);
					}
					
					return optionsHtml;
				};
				
				// 상품 아이템 html 생성
				var html = Ns.Util.stringFormat('\
						<li class="items">\
							<div class="wrap">\
								<div class="thumbnail">\
									<img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'" alt="상품 이미지" />\
								</div>\
								<div class="field">\
									<p class="title"><strong>{2}</strong></p>\
									<p class="option-item">\
										{6}\
									</p>\
								</div>\
							</div>\
							<div class="more-data">\
								<span class="text">{3}<span class="unit">원</span> X {4}<span class="unit">개</span></span>\
								<span class="cost text em rate-g"><strong>{5}</strong><span class="unit">원</span></span>\
							</div>\
						</li>',
					Ns.Util.getImageUrl(String(data.goodsCd),"I"),
					Const.NO_IMAGE_URL +  'noimage_I.jpg',
					(data.brandName && data.brandName != '미정의' ? "[" + data.brandName + "]" : "") + data.catentryName,
					Ns.Util.insertCommas(data.price),
					Ns.Util.insertCommas(data.quantity),
					Ns.Util.insertCommas(data.totalproduct),
					setProductOption(data.attrs)
				);
				return html;
			},
			
			// 취소사유,교환사유,반품사유 입력정보 출력
			makeHtmlCancelTypeInput : function( index, data ) {

				var checkAllHtml = '';
				if (index > 0) {
					checkAllHtml = Ns.Util.stringFormat('\
							<div class="items">\
								<div class="wrap horizontal">\
									<div class="field">\
										<div class="rows content-fixed">\
											<span class="option-select vertical">\
												<span><label><input type="checkbox" name="chkUpmc_{0}" title="위 상품과 {1}사유가 동일 선택" class="form theme-a" onclick="CurrentView.event.onclick_checkboxCancelTypeCheckAll({0}, this);" /> 위 상품과 {1}사유가 동일 합니다.</label></span>\
											</span>\
										</div>\
									</div>\
								</div>\
							</div>',
						index,
						CurrentView.ACTION_TXT[CurrentView.action]
					);
				}
				
				var html = Ns.Util.stringFormat('\
						<fieldset class="fieldset theme-a">\
						<legend>입력서식</legend>\
						{0}\
						<div class="items">\
							<div class="wrap horizontal">\
								<p class="dhead">연락처</p>\
								<div class="field">\
									<div class="rows content-fixed">\
										<input type="tel" title="연락처 입력" name="phone1" value="{1}" class="form theme-a x-small" maxlength="14" oninput="Ns.Util.maxLengthCheck(this);" />\
									</div>\
								</div>\
							</div>\
						</div>\
						<div class="items">\
							<div class="wrap horizontal">\
								<p class="dhead">{2}사유</p>\
								<div class="field">\
									<div class="rows content-fixed">\
										<select class="form theme-a x-small" title="{2}사유 선택" name="rsn" onchange="CurrentView.event.onchange_rsn({3})"></select>\
									</div>\
								</div>\
							</div>\
						</div>\
						<div class="items">\
							<div class="wrap horizontal">\
								<div class="field">\
									<div class="rows">\
										<textarea cols="100" rows="10" name="rsnDtl" title="내용 작성" placeholder="{2}사유를 입력하세요. (한글 50자 이내)" class="form theme-a" onkeyup="Ns.Util.checkByteLength(this, 100);"></textarea>\
									</div>\
								</div>\
							</div>\
						</div>\
						</fieldset>',
					checkAllHtml,
					data.ship.phone1,
					CurrentView.ACTION_TXT[CurrentView.action],
					index
				);
				
				return html;
			},
			
			// 결제금액 출력
			setPaymentInfo : function( data ) {
				var TOTAL_PRODUCT_AMT = Number(data.totalproduct);
				var SHIP_CHARGE = Number(data.totalshipping);
				var OFFER_AMT = Number(data.totaladjustment);
				var FINAL_PAYMENT_AMT = Number(data.totalpayment);

				$('#div_totalProductPrice').html( Ns.Util.insertCommas(TOTAL_PRODUCT_AMT) + '원' );		//상품합계금액
				$('#div_totalShippingCharge').html( Ns.Util.insertCommas(SHIP_CHARGE) + '원' );			//배송비 합계금액
				$('#div_totalAdjustment').html( Ns.Util.getMoneyFormat('(-)',OFFER_AMT) + '원' );		//할인금액
				$('#div_grandTotal').html( Ns.Util.insertCommas(FINAL_PAYMENT_AMT) + '원' );			//총 결제금액
				
				if (data.payms && data.payms.length > 0) {
					// 결제수단별 결제내역 sort
					data.payms.sort(function(a,b){
						return (Number(a.paySeq) - Number(b.paySeq));
					});
					

					// 적립금/예치금 등 사용금액 출력
					var html = '';
					var pointData = [{
						'displaytext' : '상품권 사용금액', payAmt : 0
					}, {
						'displaytext' : '적립금/포인트/예치금 사용금액', payAmt : 0
					}];
					
					var pointPaymentcodeList = ["500", "600", "700", "800", "900", "1000", "1100"]; // 포인트 관련 paymentcode
					var bPoint500sum = false;	// 예치금 사용여부	
					
					for (var i = 0; i < data.payms.length; i++) {
						if (pointPaymentcodeList.contains(data.payms[i].paymentcode)) { // 포인트 관련 결제 내역만 출력
							if (data.payms[i].paymenttype == 'GIFTCARD') {
								pointData[0].payAmt += Number(data.payms[i].payAmt, 10);
								continue;
							}
							if (data.payms[i].paymenttype == 'POINT') {
								pointData[1].payAmt += Number(data.payms[i].payAmt, 10);
								
								if (data.payms[i].paymentcode == "500" && Number(data.payms[i].payAmt, 10) > 0){	// 예치금
									bPoint500sum = true;
								}
								
								continue;
							}
							html += Ns.Util.stringFormat('\
									<tr>\
										<th scope="row">{0}</th>\
										<td><strong class="em rate-g">{1}원</strong></td>\
									</tr>',
								data.payms[i].displaytext,
								'(-)'+Ns.Util.insertCommas(data.payms[i].payAmt)
							);
						}
					}
					for (var i = 0; i < pointData.length; i++) {
						if (pointData[i].payAmt > 0) {
							html += Ns.Util.stringFormat('\
									<tr>\
										<th scope="row">{0}</th>\
										<td><strong class="em rate-g">{1}원</strong></td>\
									</tr>',
								pointData[i].displaytext,
								'(-)'+Ns.Util.insertCommas(pointData[i].payAmt)
							);
						}
					}
					$('#sectionBillingInfoArea .order-table table tbody').append(html);
					
					// 결제수단별 결제금액 출력
					var html = '';
					var dispChk = false; //예치금 체크 변수
					for (var i = 0; i < data.payms.length; i++) {
						if (data.payms[i].paymentcode == '100' && data.payms[i].paymdtls.length > 0) { // 신용카드
							html += Ns.Util.stringFormat('\	<li>[{0}] {1} : <strong class="em weight-d">{2}원</strong> ({3})<br />{4} 카드승인</li>',
								data.payms[i].paymentname,
								data.payms[i].paymdtls[0].relNm,
								Ns.Util.insertCommas(data.payms[i].payAmt),
								(data.payms[i].paymdtls[0].irFreeYn == 'Y' ? '무이자'+data.payms[i].paymdtls[0].irFreeInstmMmCnt+'개월' : (data.payms[i].paymdtls[0].instmMmCnt == '00' ? '일시불' : data.payms[i].paymdtls[0].instmMmCnt+'개월')),
								data.payms[i].paymdtls[0].apprReqDt
							);
						} else if (data.payms[i].paymentcode == '200' && data.payms[i].paymdtls.length > 0) { // 무통장
							// 입금 대기중일경우는 가상계좌정보등 안보임
							if (data.status == "D"){
								html += Ns.Util.stringFormat('\	<li>[{0}] <strong class="em weight-d">{1}원</strong> <strong class="em weight-e">{2}</strong></li>',
										data.payms[i].paymentname,
										Ns.Util.insertCommas(data.payms[i].payAmt),
//											(Number(data.payms[i].payAmt) > 0 ? '입금완료' : '입금대기중'),
										data.status == "D" ? "(입금대기중)" : data.status == "M" ? "(입금완료)" : "", 
										data.payms[i].paymdtls[0].dpstBankNm,
										data.payms[i].paymdtls[0].dpstAcctNum,
										data.payms[i].paymdtls[0].finalRvisDt
									);
							} else {
								html += Ns.Util.stringFormat('\	<li>[{0}] <strong class="em weight-d">{1}원</strong> <strong class="em weight-e">{2}</strong><br />{3} 전용계좌 [{4}]<br />(입금기한 : {5})</li>',
										data.payms[i].paymentname,
										Ns.Util.insertCommas(data.payms[i].payAmt),
//											(Number(data.payms[i].payAmt) > 0 ? '입금완료' : '입금대기중'),
										data.status == "D" ? "(입금대기중)" : data.status == "M" ? "(입금완료)" : "", 
										data.payms[i].paymdtls[0].dpstBankNm,
										data.payms[i].paymdtls[0].dpstAcctNum,
										data.payms[i].paymdtls[0].finalRvisDt
									);
							}
							
							// 환불계좌 입력 란 보여줄지 여부 체크
							if (CurrentView.IS_REFUND_display == false && data.status != "D"){
								CurrentView.IS_REFUND_display = true;
							} else if (data.status == "D" && data.payms[i].paymentcode == '200' && bPoint500sum == true) {
								CurrentView.IS_REFUND_display = true;
							}
						} else if (data.payms[i].paymentcode == '200') { // 무통장
							html += Ns.Util.stringFormat('\	<li>[{0}] <strong class="em weight-d">{1}원</strong> <strong class="em weight-e">({2})</strong></li>',
									data.payms[i].paymentname,
									Ns.Util.insertCommas(data.payms[i].payAmt),
									'입금대기중'
							);
						} else if (data.payms[i].paymentcode == '300' && data.payms[i].paymdtls.length > 0) { // 실시간계좌이체
							html += Ns.Util.stringFormat('\	<li>[{0}] <strong class="em weight-d">{1}원</strong> <strong class="em weight-e">({2}은행)</strong><br />(승인번호 : {3})</li>',
								data.payms[i].paymentname,
								Ns.Util.insertCommas(data.payms[i].payAmt),
								data.payms[i].paymdtls[0].payOrgNm,
								data.payms[i].paymdtls[0].lgTelcTrstNum
							);
						} else if (data.payms[i].paymentcode == '400' && data.payms[i].paymdtls.length > 0) { // 휴대폰소액결제
							html += Ns.Util.stringFormat('\	<li>[{0}] <strong class="em weight-d">{1}원</strong></li>',
								data.payms[i].paymentname,
								Ns.Util.insertCommas(data.payms[i].payAmt)
							);
						//2016-05-23 Ssong 추가
						} else if (data.payms[i].paymentcode == '1400' && data.payms[i].paymdtls.length > 0) { // Payco
							html += Ns.Util.stringFormat('\	<li>[{0}] : <strong class="em weight-d">{1}원</strong> ({2})<br /></li>',
									data.payms[i].paymentname,
									Ns.Util.insertCommas(data.payms[i].payAmt),
									data.payms[i].paymdtls[0].instmMmCnt == '00' ? '일시불' : data.payms[i].paymdtls[0].instmMmCnt+'개월'
								);
							
						} else {
							html += Ns.Util.stringFormat('\	<li>[{0}] <strong class="em weight-d">{1}원</strong></li>',
								data.payms[i].paymentname,
								Ns.Util.insertCommas(data.payms[i].payAmt)
							);
						}
						if(data.payms[i].paymentcode == '500' && CurrentView.action != "EXCHANGE") dispChk = true;	//예치금 (교환은 예치금 환불 불가)
					}
					$('#sectionPaymentMethodArea ul').append(html);
					
					// 결제수단에 따른 환불방법선택 영역 표시 : 무통장(입금대기중), 실시간계좌이체, 예치금 결제일 경우에만 출력
					if ((CurrentView.pageDataset[0].payms[0].paymentcode == '200' && CurrentView.pageDataset[0].payms[0].paymdtls.length > 0)
							|| CurrentView.pageDataset[0].payms[0].paymentcode == '300'
							|| dispChk) {
						//$("#sectionYourRefundArea").show();
						
						// 무통장 입금이고 환불 계좌번호 입력란 보여줄지 여부 체크
						if (CurrentView.pageDataset[0].payms[0].paymentcode == "200" && CurrentView.IS_REFUND_display == false){
							CurrentView.IS_REFUND = false;
						} else {
							CurrentView.IS_REFUND = true;
						}

						// 회원,비회원 별로 환불정보 선택
						if (USERINFO.logonType() == '' || USERINFO.logonType() == LOGON_TYPE.nonmember) { //비회원
							$('#formCancelOrderInfo [name=refund_type]').eq(0).prop('disabled', true);
							$('#formCancelOrderInfo [name=refund_type]').eq(1).prop('checked', true);
						} else {
							$('#formCancelOrderInfo [name=refund_type]').eq(1).prop('checked', true);
						}
					}
				}
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			// 취소사유 셀렉트박스 변경시 이벤트
			onchange_rsn : function (nIndex){
				if (null == nIndex || undefined == nIndex){
					return;
				}
				
				var $chkUpmc = $("input[name=chkUpmc_" + nIndex + "]");
				var bChk = $chkUpmc.prop("checked");
				
				if (undefined == bChk){	// 체크박스가 없을 경우
					return;
				}
				
				if (bChk){	// 체크박스가 checked 인경우
					$chkUpmc.trigger("click");	// 이벤트 발생하여 체크 해제 처리들 실행
				}
			},
			
			//상품 상세보기 링크
			onclick_linkProductDetail : function( partNumber ) {
				var param = {
						partNumber : partNumber
				};
				mainCtrl.gotoProductDetail(param);
			},
			
			// 취소사유 동일 체크박스 선택
			onclick_checkboxCancelTypeCheckAll : function( index, _this ) {
				var frm = document.getElementById('formCancelOrderInfo');
				var isChecked = $(_this).is(':checked');
				if (isChecked) {
					$(frm.phone1[index]).val( $(frm.phone1[index - 1]).val() );
					$(frm.rsn[index]).val( $(frm.rsn[index - 1]).val() );
					$(frm.rsnDtl[index]).val( $(frm.rsnDtl[index - 1]).val() );
				}
				$(frm.phone1[index]).prop('readonly', isChecked);
				$(frm.rsn[index]).prop('readonly', isChecked);
				$(frm.rsnDtl[index]).prop('readonly', isChecked);
			},
			
			// 환불방법 radio 선택
			onclick_radioRefundType : function( type ) {
				if (type == '1') { // 예치금으로 환불
					$('#formCancelOrderInfo [name=refund_bankCd]').prop('disabled', true).val('');
					$('#formCancelOrderInfo [name=refund_accntOwner]').prop('disabled', true).val('');
					$('#formCancelOrderInfo [name=refund_accntNo]').prop('disabled', true).val('');
				} else if (type == '2') { // 내계좌로 환불
					$('#formCancelOrderInfo [name=refund_bankCd]').prop('disabled', false);
					$('#formCancelOrderInfo [name=refund_accntOwner]').prop('disabled', false);
					$('#formCancelOrderInfo [name=refund_accntNo]').prop('disabled', false);
				}
			},
			
			// 주문취소,교환,반품 신청 버튼
			onclick_btnCancelOrder : function() {
				if (CurrentView.action == "RETURN" || CurrentView.action == "EXCHANGE" ){
					Ns.Popup.alert( "본 상품의 교환/반품은 상담원을 통해서 신청해 주시기 바랍니다." );
					return;
				}
				
				var invokeParams = {
					"tasknm" : "alejandro",
					"var" : JSON.stringify({
//							"cnm" : "com.ns.commerce.nsmypage.helper.NSMypageCommJDBCHelper",
						"cnm":"com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
						"mnm" : "checkOrderStatus",
						"args":	{ "ordersId":CurrentView.pageDataset[0].ordersId },   
					})
				};
				
				// 상담원 처리 유무 체크 통신
				tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
					if (data.list.lockedOrderYn == "Y"){	// 상담사 Lock 여부 (DB Transaction)
						Ns.Popup.alert( "선택하신 주문은 상담원이 처리중입니다." , function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.tabIndex = 0;	
							param.monthly = "";
							param.pageidx = "";				
							mainCtrl.navigate('M_U1121100M', param);
						});
						return;
					} else if (String(data.list.lastupdateall) != String(CurrentView.pageDataset[0].lastupdateall) 
							|| String(data.list.latestOperationId) != String(CurrentView.pageDataset[0].latestOperationId)){	//  주문 수정일자 & 임시 처리 순번 체크 (DB Transaction)
						//Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />처리할 수 없습니다." );
						Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다." , function(){ 
							navi.setMovePointer(-1);
							navi.delNextAll();
							
							var param = {};
							param.tabIndex = 0;	
							param.monthly = "";
							param.pageidx = "";				
							mainCtrl.navigate('M_U1121100M', param);
						});
						return;
					} else if (CurrentView.action == "CANCEL"){
						if (undefined != data.list.canYn && data.list.canYn == "N"){
							Ns.Popup.alert( "주문취소가 불가능한 상태입니다.<br />1:1 문의 또는 고객센터(1688-0770)로 문의주시기 바랍니다." , function(){ 
								navi.setMovePointer(-1);
								navi.delNextAll();
								
								var param = {};
								param.tabIndex = 0;	
								param.monthly = "";
								param.pageidx = "";				
								mainCtrl.navigate('M_U1121100M', param);
							});
							return;
						}
					} 
					
					
					
//						mainCtrl.setCurrentPageParams( CurrentView.invokeParams );
//						mainCtrl.navigate("M_U1122600L", param );
					
					
					var invokeParams = {
						"tasknm" : "alejandro",
						"var" : JSON.stringify({
							"cnm" : "com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
							"mnm" : "chkRcOrderDtlStats",
							"args":	{ "ordersId":CurrentView.pageDataset[0].ordersId,
							     	  "memberId": CurrentView.pageDataset[0].memberId }   
						})
					};
					
					// RC DB와 주문 상세가 다른 경우 체크 통신
					tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
						if (data.list.respCd != "S"){	// RC DB와 주문 상세가 다른 경우 (실시간 I/F)
							Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다." , function(){ 
								navi.setMovePointer(-1);
								navi.delNextAll();
								
								var param = {};
								param.tabIndex = 0;	
								param.monthly = "";
								param.pageidx = "";				
								mainCtrl.navigate('M_U1121100M', param);
							});
							return;
						}
						
						
						var strOrdersInfo = "";
						for (var i = 0; i < CurrentView.pageDataset[0].cats.length; i++) {
							var objCats = CurrentView.pageDataset[0].cats[i];
							strOrdersInfo += objCats.ordersId + ":" + objCats.stdOrderitemsId + ":" + objCats.status + "^";
						}
						
						var invokeParams = {
							"tasknm" : "alejandro",
							"var" : JSON.stringify({
								"cnm" : "com.ns.commerce.nsmypage.util.NSAlejandroAdapter",
								"mnm" : "checkFinalOrderStatus",
								"args":	{ "ordersInfo":strOrdersInfo }   
							})
						};
						
						// 최종 주문상태 변경 체크
						tran.callWCSJsonTran( "NSMypageCommCmd" , invokeParams, function (data){
							if (data.list.modifyOrder == "Y"){
								Ns.Popup.alert( "주문상태가 변경 되었습니다.<br />1:1 문의 또는 고객센터(1800-0770)로 문의주시기 바랍니다." , function(){ 
									navi.setMovePointer(-1);
									navi.delNextAll();
									
									var param = {};
									param.tabIndex = 0;	
									param.monthly = "";
									param.pageidx = "";				
									mainCtrl.navigate('M_U1121100M', param);
								});
								return;
							} else {
								CurrentView.event.setOrder();	// 최종 처리 진행
							}
						});
					});
				});
			},
			
			/**
			 * 최종 처리 펑션
			 */
			setOrder : function(){
				var frm = document.getElementById('formCancelOrderInfo');
				
				// 입력값 validation
				for (var i = 0; i < CurrentView.pageDataset[0].cats.length; i++) {
					if ($(frm.phone1).eq(i).val() == '') {
						Ns.Popup.alert( "연락처 정보를 입력하세요." );
						return false;
					}
					if ($(frm.rsn).eq(i).val() == '' || $(frm.rsnDtl).eq(i).val() == '') {
						Ns.Popup.alert( "(" + CurrentView.pageDataset[0].cats[i].catentryName + ") 상품의 " + CurrentView.ACTION_TXT[CurrentView.action] + " 사유를 정확히 입력해 주세요." );
						return false;
					}
				}
				if (!CurrentView.IS_REFUND || $('#formCancelOrderInfo [name=refund_type]:checked').val() == '1') {
					$(frm.refund_bankCd).val('');
					$(frm.refund_accntOwner).val('');
					$(frm.refund_accntNo).val('');
				} else if ($('#formCancelOrderInfo [name=refund_type]:checked').val() == '2') {
					if ($(frm.refund_bankCd).val() == '' || $(frm.refund_accntOwner).val() == '' || $(frm.refund_accntNo).val() == '') {
						Ns.Popup.alert( "환불 계좌정보를 입력하세요." );
						return false;
					}
				}
								
				// cats
				for (var i = 0; i < CurrentView.pageDataset[0].cats.length; i++) {
					// 취소,교환,반품 사유 추가
					var info = {
						"ordersId" : CurrentView.pageDataset[0].cats[i].ordersId,
						"rsn" : $(frm.rsn).eq(i).find('option:selected').val(),
						"rsnDesc" : ($(frm.rsn).eq(i).find('option:selected').text() || ''),
						"phone11" : Ns.Util.getPhoneNumber($(frm.phone1).eq(i).val(), '1'),
						"phone12" : Ns.Util.getPhoneNumber($(frm.phone1).eq(i).val(), '2'),
						"phone13" : Ns.Util.getPhoneNumber($(frm.phone1).eq(i).val(), '3'),
						"rsnDtl" : $(frm.rsnDtl).eq(i).val()
					};
					if ( CurrentView.action == "CANCEL" ) { //취소신청.
						info["occurType"] = "600";
						CurrentView.pageDataset[0].cats[i].cancelInfo = info;
					} else if ( CurrentView.action == "EXCHANGE" ) { //교환신청
						info["occurType"] = "200";
						CurrentView.pageDataset[0].cats[i].exchangeInfo = info;
					} else if ( CurrentView.action == "RETURN" ) { //반품신청
						info["occurType"] = "100";
						CurrentView.pageDataset[0].cats[i].returnInfo = info;
					}
					
					// 교환,반품 일 경우, 수거정보 추가
					if ( CurrentView.action == "EXCHANGE" || CurrentView.action == "RETURN" ) {
						// 수거정보 추가
						CurrentView.pageDataset[0].cats[i].pickupInfo = {
							"ordersId" : CurrentView.pageDataset[0].cats[i].ordersId,
							"type" : "2",		// 2:택배수거
							"conv_dt" : "",
							"conv_tel11" : "",
							"conv_tel12" : "",
							"conv_tel13" : "",
							"addressId" : CurrentView.pageDataset[0].cats[i].orgship.addressId,
							"deliv_name" : CurrentView.pageDataset[0].cats[i].orgship.lastname,
							"deliv_tel11" : CurrentView.pageDataset[0].cats[i].orgship.phone11,
							"deliv_tel12" : CurrentView.pageDataset[0].cats[i].orgship.phone12,
							"deliv_tel13" : CurrentView.pageDataset[0].cats[i].orgship.phone13,
							"deliv_tel21" : CurrentView.pageDataset[0].cats[i].orgship.phone21,
							"deliv_tel22" : CurrentView.pageDataset[0].cats[i].orgship.phone22,
							"deliv_tel23" : CurrentView.pageDataset[0].cats[i].orgship.phone23,
							"deliv_ziptype" : CurrentView.pageDataset[0].cats[i].orgship.ziptype,
							"deliv_zipcd1" : CurrentView.pageDataset[0].cats[i].orgship.zipcode1,
							"deliv_zipcd2" : CurrentView.pageDataset[0].cats[i].orgship.zipcode2,
							"deliv_addr1" : CurrentView.pageDataset[0].cats[i].orgship.address1,
							"deliv_addr2" : CurrentView.pageDataset[0].cats[i].orgship.address2
						};
					}
				}
				
				// orderitems
				for (var i = 0; i < CurrentView.pageDataset[0].orderitems.length; i++) {
					var data = {};
					for (var j = 0; j < CurrentView.pageDataset[0].cats.length; j++) {
						if (CurrentView.pageDataset[0].orderitems[i].ordercatsKey == CurrentView.pageDataset[0].cats[j].ordercatsKey) {
							data = CurrentView.pageDataset[0].cats[j];
							break;
						}
					}
					
					// 취소,교환,반품 사유 추가
					if ( CurrentView.action == "CANCEL" ) { //취소신청.
						CurrentView.pageDataset[0].orderitems[i].cancelInfo = data.cancelInfo;
						CurrentView.pageDataset[0].orderitems[i].cancelInfo.orderitemsId = CurrentView.pageDataset[0].orderitems[i].orderitemsId;
					} else if ( CurrentView.action == "EXCHANGE" ) { //교환신청
						CurrentView.pageDataset[0].orderitems[i].exchangeInfo = data.exchangeInfo;
						CurrentView.pageDataset[0].orderitems[i].exchangeInfo.orderitemsId = CurrentView.pageDataset[0].orderitems[i].orderitemsId;
					} else if ( CurrentView.action == "RETURN" ) { //반품신청
						CurrentView.pageDataset[0].orderitems[i].returnInfo = data.returnInfo;
						CurrentView.pageDataset[0].orderitems[i].returnInfo.orderitemsId = CurrentView.pageDataset[0].orderitems[i].orderitemsId;
					}
				}
				
				if ( CurrentView.action == "CANCEL" ) { //취소신청.
					// 결제 취소정보
					var paymCncls = [];
					
					/*
					if (CurrentView.pageDataset[0].payms && CurrentView.pageDataset[0].payms.length > 0) {
						for (var i = 0; i < CurrentView.pageDataset[0].payms.length; i++) {
							paymCncls.push( {
								'ordersId' : CurrentView.pageDataset[0].ordersId,
								'newHistSeq' : CurrentView.pageDataset[0].newHistSeq,
								'cancelType' : 'ALL',
								'payType' : CurrentView.pageDataset[0].payms[i].paymentcode,
								'paySeq' : CurrentView.pageDataset[0].payms[i].paySeq,
								'requestCommand' : 'CancelPay',
								'payAmt' : CurrentView.pageDataset[0].payms[i].payAmt,
								'paySchdAmt' : CurrentView.pageDataset[0].payms[i].paySchdAmt
							} );
						}
					}
					*/
					
					if (CurrentView.pageDataset[0].paymCncls && CurrentView.pageDataset[0].paymCncls.length > 0) {
						for (var i = 0; i < CurrentView.pageDataset[0].paymCncls.length; i++) {
							paymCncls.push( CurrentView.pageDataset[0].paymCncls[i] );
							/*
							if (undefined == paymCncls[i].goodsCode){
								paymCncls[i].goodsCode = CurrentView.pageDataset[0].cancGoodsCd;
								paymCncls[i].productDesc = CurrentView.pageDataset[0].cancCatentryName;
							}
							*/
						}
					}
					
					CurrentView.pageDataset[0].paymCncls = paymCncls;
				}
				
				// 전체 주문아이템에 대한 환불정보. 
				var refundInfo = { //환불정보.
					"ordersId" : CurrentView.pageDataset[0].ordersId,
					"newHistSeq" : CurrentView.pageDataset[0].newHistSeq,
					"type" : $('#formCancelOrderInfo [name=refund_type]:checked').val(),
					"typeDesc" : ($('#formCancelOrderInfo [name=refund_type]:checked').val() == '1' ? 'NS예치금' : '계좌'),
					"bankCd" : $(frm.refund_bankCd).val(), //환불계좌은행코드
					"bankNm" : ($(frm.refund_bankCd).val() != '' ? $(frm.refund_bankCd).find('option:selected').text() : ''),
					"accntOwner" : $(frm.refund_accntOwner).val(), //계좌소유주
					"accntNo" : $(frm.refund_accntNo).val(), //계좌번호
					"refundAmt" : CurrentView.pageDataset[0].refundActSum
				};
				CurrentView.pageDataset[0].refundInfo = refundInfo;

				// 신규 주소 정보
				CurrentView.pageDataset[0].newAddrs = [];
				
				// 주문변경/취소 실행 (3단계)
				var invokeparams = {};
				invokeparams.pageData = JSON.stringify(CurrentView.pageDataset);
				CurrentView.data.executeOrderAppr( invokeparams, function(data){
					// success
					if (data.msg && data.msg.root && data.msg.root.orders) {
						// 취소,교환,반품 완료 정보
						if (data.paymentList && data.paymentList.paymentList && data.paymentList.paymentList.length > 0) {
							for (var i = 0; i < data.paymentList.paymentList.length; i++) {
								Ns.Util.viewConsoleLog("주문"+CurrentView.ACTION_TXT[CurrentView.action]+" 완료 paymentList = " + JSON.stringify(data.paymentList.paymentList[i]));
							}
						}
						
						// 취소완료 alert
						var alertText = '';
						if (CurrentView.action == 'EXCHANGE') {
							alertText = "교환이 정상적으로 신청되었습니다.";
						} else if (CurrentView.action == 'RETURN') {
							alertText = "반품이 정상적으로 신청되었습니다.";
						} else {
							alertText = "주문취소가 정상적으로 처리되었습니다.<br />취소상태는 주문내역/배송조회 화면에서 확인하실 수 있습니다.";
						}
						Ns.Popup.alert( alertText, function() {
							navi.setMovePointer(-1);
							delete CurrentView.pageDataset;
							mainCtrl.navigate('M_U1121100M', CurrentView.m_inputParams);
						} );
					} else if (data.msg.root.errorMsg) {
						Ns.Popup.alert( Ns.Util.replaceAll(data.msg.root.errorMsg, "java.lang.Exception:" , ""), null, "주문"+CurrentView.ACTION_TXT[CurrentView.action]+" 실패" );
					}
				} );
				
				//jihee : 제휴사 adbrix 정보 전달
				//if(mainCtrl.VIEW_TYPE == "android") {
					var data = CurrentView.pageDataset[0];
					CurrentView.data.adbrixRefound(data);
				//}
				
			},
			//2018-07-04 서석준 환불계좌 select Box 변경 이벤트 추가
			onchange_BanckInfo : function(){

				var selectAccntNo = $("[name=refund_bankCd] option:selected").attr("data-accntNo");
                var selectAccntOwner = $("[name=refund_bankCd] option:selected").attr("data-accntOwner");

				if(selectAccntNo !== ""){
					$("[name=refund_accntNo]").val(selectAccntNo);
                    $("[name=refund_accntOwner]").val(selectAccntOwner);
				}else{
                    $("[name=refund_accntNo]").val("");
                    $("[name=refund_accntOwner]").val("");
				}
			}
			
		}
}; 