
/* JavaScript content from js/mypage/M_U1141100M.js in folder common */
/* 
 *	마이페이지 
 *  ID : M_U1141100M

 *  1. 쿠폰 조회(사용 가능한 쿠폰조회) 
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		pageidx : 1,
		pageSize : 5,

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#txtUserName").html(USERINFO.userName());
			$("#divPagingArea").hide();
			$("#ulTabsArea li a").unbind().bind( "click",  this.event.onclick_ulTabsArea ); //탭 영역 (쿠폰, 상품권, 연간할인원)
			$("#btnRegisterCoupon").unbind().bind( "click",  this.event.onclick_btnRegisterCoupon );
//			$("#btnDownloadCoupon").unbind().bind( "click",  this.event.onclick_btnDownloadCoupon );
			
			//요건 변경으로 간편회원일 때 쿠폰 추가 : 상품권, 연간할인권은 숨김처리
			var isLogon = mainCtrl.checkLogonStatus();
			if ( isLogon ) { //Login 상태. 
				if ( USERINFO.logonType() == LOGON_TYPE.normal  ) { //일반회원.
					mainCtrl.setHeaderTitle( false, "쿠폰/상품권" );
					$("#liCoupon").show();
					$("#liGiftCard").show();
					$("#liAnnualCoupon").show();
				} else {
					mainCtrl.setHeaderTitle( false, "쿠폰" );
					$("#liCoupon").hide();
					$("#liGiftCard").hide();
					$("#liAnnualCoupon").hide();
				}
			}
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getCouponInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getCouponInfo : function( pageidx ) {
				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장
				
				params.pageNum = pageidx;
				params.pageSize = CurrentView.pageSize;
				
				tran.callWCSJsonTran('CpInfoReal', params, CurrentView.data.resultCouponInfo);
			},
			
			resultCouponInfo : function( data ) {
				var html = "";

				var common  = data.msg.root.Common;
//				$("#txtMyCouponCount").html( Ns.Util.insertCommas( common.cpCnt ) + '<span class="unit">장</span>'); //쿠폰 보유 개수.
				var nCpCnt = common.cpCnt;
				
				var cpList = data.msg.root.CpInfo;  //쿠폰보유개수
				if ( cpList == null || cpList.length == 0  ) {
					html = mainCtrl.getNoResultDataHtml( "사용 가능한 쿠폰이 없습니다." );
					$("#ulDataListArea").html(html);
					return;
				}

				//쿠폰 금액이 plus, minus일 경우 금액 css가 변경된다. 
				var plus   = "em rate-g";
				var minus = "em rate-i";
				var css_amt = plus;

				for( var i=0;i<cpList.length;i++ ) {
					var items = cpList[i];
					//쿠폰번호(cpNum),쿠폰명(cpName), 쿠폰사용기간(expiryDate),쿠폰사용조건(ratePerType), 할인율(rate), 쿠폰종류(cpType)
					
					var strRate = Ns.Util.replaceAll(items.rate, "%", "");
					strRate = Ns.Util.replaceAll(strRate, "원", "");
					
					
					if (Number(strRate, 10) != 0){	// 할인률이 0이 아닐 경우
						var _date = "";
						var num = items.expiryDate;
						if (num != "무제한" && num != null && num != "") {
							num = parseInt(num);
							var dateValue = Ns.Date.getAddDate('day',num);
							Ns.Date = new DateCtrl();
							Ns.Util = new Util();
							var month = dateValue.substr(4, 2);
							var day = dateValue.substr(6, 2);	
							_date = items.expiryDate + "(~" + month +"/"+ day + ")" ;
						} else {
							_date = items.expiryDate;
						}
						
						//css_amt = ( items.rate >= 0) ? plus : minus;
						
						html +=	Ns.Util.stringFormat('\
							<li class="items">\
								<div class="wrap">\
									<div class="field">\
										<div class="rows">\
											<div>[{3}]</div>\
											<div>유효기간 {1}</div>\
											<div class="em rate-g ellip">{2}</div>\
											<div>{4}</div>\
										</div>\
									</div>\
									<div class="coupon">\
										<span class="num {5}">{6}</span>\
										<span class="cate">{0}</span>\
									</div>\
								</div>\
							</li>', items.cpNum, _date, items.cpName, items.inMediaCd ,items.ratePerType, css_amt, items.rate);
					} else {
						nCpCnt = nCpCnt -1;
					}
				}
				
				$("#ulDataListArea").html(html);
				$("#txtMyCouponCount").html( Ns.Util.insertCommas( nCpCnt ) + '<span class="unit">장</span>'); //쿠폰 보유 개수.
				
				//if (CurrentView.pageSize < common.cpCnt) {
//					CurrentView.ui.setPaging( common.cpCnt ); //paging 설정.
				//}	
				CurrentView.ui.setPaging( nCpCnt ); //paging 설정.
					
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.pageSize, "CurrentView.data.getCouponInfo");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_ulTabsArea : function() {
				var pageId = "";
				var id = $(this).attr('id');

				//탭으로 이루어진 페이지의 경우 부모 페이지로 이동 시키기 위해 - 부모페이지로 Id 설정.
				mainCtrl.setCurrentPageId( { pageId : "M_U1111000M" });  				
				
				if( id == "tabCoupon" ) return false;
				else if( id == "tabGiftCard" ) pageId = "M_U1141200M"; //상품권
				else if( id == "tabAnnualCoupon" ) pageId = "M_U1141300M"; //연간할인권
				else return false;
				
				mainCtrl.navigate( pageId );
			},
			
			//쿠폰 등록. 
			onclick_btnRegisterCoupon : function() {
				//플랫폼 화면에서 기능 삭제(Scope Out)
				//var param = {};
				//Ns.Popup.couponRegPop(param);
			},
			
			//쿠폰 다운로드 페이지로 이동. 
//			onclick_btnDownloadCoupon : function() {
//				mainCtrl.navigate('M_U1139998L', null);
//			}

		}
}; 