
/* JavaScript content from js/mypage/M_U1141200L.js in folder common */

/* 
 *	상품권 - 상품권등록
 *  ID : M_U1141200L
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		callbackFunc      : null, //callback function..
		targetObj         : null, //layer div..	
		
		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnRegister").unbind().bind( "click", this.event.onclick_btnRegister ); //등록
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			checkEssentialInputValue : function() {
				var message = "상품권 번호를 입력하십시오.";

				var giftNo1 = $.trim( $("#giftNo1").val() );
				var giftNo2 = $.trim( $("#giftNo2").val() );
				var giftNo3 = $.trim( $("#giftNo3").val() );
				var giftNo4 = $.trim( $("#giftNo4").val() );

				if ( giftNo1 == '' || giftNo1.length < 4 ) {
					Ns.Popup.alert( message );
					$("#giftNo1").focus();
					return false;
				}
				
				if ( giftNo2 == '' || giftNo2.length < 4 ) {
					Ns.Popup.alert( message );
					$("#giftNo2").focus();
					return false;
				}
				
				if ( giftNo3 == '' || giftNo3.length < 4 ) {
					Ns.Popup.alert( message );
					$("#giftNo3").focus();
					return false;
				}
				
				if ( giftNo4 == '' || giftNo4.length < 4 ) {
					Ns.Popup.alert( message );
					$("#giftNo4").focus();
					return false;
				}

				return true;
			},
			
			//상품권 등록 Transaction...
			registerGiftCard : function() {
				var isTrue = CurrentPopup.data.checkEssentialInputValue();
				if( !isTrue ) return false;
				
				var callback = function() {
					// 부모창에 데이터 전송
					CurrentPopup.callbackFunc(params);
					Ns.Popup.close( CurrentPopup.targetObj );
				};
				
				var giftCardNo = $("#giftNo1").val() + $("#giftNo2").val() + $("#giftNo3").val() + $("#giftNo4").val();
				var params 	  = {};
				params.giftCardNo = giftCardNo;
				
				tran.callWCSJsonTran( 'GiftCardRegisterReal', params
				, function( data ) {
					//"resultCode":"S"
					//"resultMessage":"SUCCESS"
					//"successCode":"00"
					var resultCode = data.msg.root.result.resultCode;
					var resultMessage = data.msg.root.result.resultMessage;
					var successCode = data.msg.root.result.successCode;
					if ( resultCode == 'S' && resultMessage == 'SUCCESS' && successCode == '00' ) {
						callback();
					} else {
						Ns.Popup.alert( "상품권 번호가 잘못 입력 되었거나,<br />이미 등록 된 상품권 입니다.<br />다시 한번 번호를 확인해 주세요.");
						CurrentPopup.ui.setClearRegiGiftCard();
					}
				}, null, function() {
					Ns.Popup.alert( "상품권 번호가 잘못 입력 되었거나,<br />이미 등록 된 상품권 입니다.<br />다시 한번 번호를 확인해 주세요.");
				});
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			//상품등록 input값 clear
			setClearRegiGiftCard : function() {
				$("#giftNo1").val("");
				$("#giftNo2").val("");
				$("#giftNo3").val("");
				$("#giftNo4").val("");
			},
		}, // end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//취소 버튼
			onclick_btnCancel : function() {
				//CurrentPopup.callbackFunc(null);
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			//등록버튼 클릭 이벤트
			onclick_btnRegister : function() {
				CurrentPopup.data.registerGiftCard();
			}				
		} //end event
};