
/* JavaScript content from js/mypage/M_U1141200M.js in folder common */
/* 
 *	마이페이지 - 쿠폰, 상품권, 연간할인권. 
 *  ID : M_U1141200M
 *
 *  
 *  1. 상품권 사용 내역 조회
 *  2. 상품권 등록. 
 *  3. Paging 설정 안함. 
*/

//page 컨트롤 클래스
CurrentView = {
		terms : '1monthly',
		pageidx : 1,
		pageSize : 10,

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#txtUserName").html( USERINFO.userName() );
			$("#divPagingArea").hide();
			$("#ulTabsArea li a").unbind().bind( "click",  this.event.onclick_ulTabsArea ); //탭 영역 (쿠폰, 상품권, 연간할인권)
			$("#ulTabTermsArea li a").unbind().bind( "click",  this.event.onclick_ulTabTermsArea ); //기간 탭 영역
			$("#btnRegisterGiftCard").unbind().bind( "click",  this.event.onclick_btnRegisterGiftCard ); //상품권등록.
			
			$("#ulGiftCardListArea").off().on("click","[name=useDetail]" , this.event.onclick_useDetil); // 사용내역 상세보기
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getMyGiftCardList();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			//상품권 사용 내역을 조회한다.
			getMyGiftCardList : function( pageidx ) {
				$("#ulGiftCardListArea").html( "" );

				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장
				
				var terms = CurrentView.terms;
				var fromDate = "";
				var today = Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyyMMdd' ); 
				if ( terms == "weekly")
					fromDate = Ns.Date.calcDate( '', 0, 0, -1, 0, 'yyyyMMdd');
				else if ( terms == "1monthly")
					fromDate = Ns.Date.calcDate( '', 0, -1, 0, 0, 'yyyyMMdd' );
				else if ( terms == "3monthly")
					fromDate = Ns.Date.calcDate( '', 0, -3, 0, 0, 'yyyyMMdd' );
				else if ( terms == "6monthly")
					fromDate = Ns.Date.calcDate( '', 0, -6, 0, 0, 'yyyyMMdd' );
				else if ( terms == "all")
					fromDate = "20020101";
				else return false;

				params.fromDate = fromDate;
				params.toDate   = today;
				params.pageNum  = pageidx;
				params.pageSize = CurrentView.pageSize;
				
				
				// 
				/* 2018-04-02
				 * 상품권 신규 API
				 */
				tran.callWCSJsonTran('GiftCardInfoReal', params, CurrentView.data.resultGiftCardInfo);
				//tran.callWCSJsonTran('GiftCardAndUseInfoReal', params, CurrentView.data.resultGiftCardInfo);
			},
			
			//상품권 사용 내역 callback function..
			/*
			 * 2018-04-02 ssong
			 * 상품권 신규 API 반영
			 */
			resultGiftCardInfo : function( data ) {
				var html = "";
				
				var common = data.msg.root.common;
				$("#txtGiftCardCount").html(  Ns.Util.insertCommas(  common.giftCardBalance ) + '<span class="unit">원</span>'); //상품권 잔액.
				
				var giftcardList = data.msg.root.giftCardBalanceList;
				if ( giftcardList == null || giftcardList == "" || giftcardList.length==0  ) {
					//html = mainCtrl.getNoResultDataHtml( "상품권 사용내역이 존재하지 않습니다." );
					//html = mainCtrl.getNoResultDataHtml( "등록된 상품권이 없습니다" );
					html = mainCtrl.getNoResultDataHtml( "상품권 사용 이력이 없습니다." );
					$("#ulGiftCardListArea").html(html);
					return;
				}
				
				var totalCount = common.totalCount;

				for( var i=0; i<giftcardList.length; i++ ) {
					var item = giftcardList[i];
					var useList = item.giftUseList;
					
					// 상품권 리스트 
					html +=	Ns.Util.stringFormat('\
							<li>\
								<ul class="data-list theme-b">\
									<li>\
										<div class="wrap">\
											<div class="field">\
												<dl>\
										        	<dt><span class="giftcard">{0}</span>(<span class="giftcardNumber">{1}</span>)</dt>\
										        	<dd><div class="giftcard-validity">유효기간 : {2}~{3}<span class="txt_bar">|</span>등록일 : {4}</div></dd>\
										        </dl>\
										    </div>\
										    <div class="field">\
										        <strong class="giftcard-price">{5}</strong>\
											</div>\
										</div>\
									</li>\
								</ul>\
								<a href="javascript:;" class="btn-giftcard-more" name="useDetail">\
									<span class="blind">사용내역보기</span>\
								</a>\
								<div class="board-giftcard">\
									<table class="data-table giftcard">\
										<caption>상품권 표</caption>\
										<colgroup>\
											<col style="width: 75px;">\
											<col>\
											<col style="width: 75px;">\
										</colgroup>\
										<thead>\
											<tr>\
												<th>사용일</th>\
												<th>사용내역</th>\
												<th>사용금액</th>\
											</tr>\
										</thead>\
										<tbody>', item.giftCardName, item.giftCardId, item.gcStartDate, item.gcEndDate, item.gcRegDate, item.gcBalance);
							
					// 상품권 리스트 내 사용내역 
					for( var j=0; j< useList.length; j++ ) {
						var useItem = useList[j];
						
						var sign = useItem.sign;
						var price = useItem.price;
						var numPrice = Number(useItem.price.replace(/,/g, ""));
						
						if ( sign == "plus" ) {
							if ( numPrice > 0 ) {
								price = "+" + price;
							} 
						} else {
							price = "-" + price; 
						}
						
						html +=	Ns.Util.stringFormat('\
											<tr>\
												<td>{0}</td>\
												<td><span class="giftcard-td">{1}</span></td>\
												<td>{2}<span class="uni">원</span></td>\
											</tr>',useItem.gcDate, useItem.description , price );
					}
					// 사용내역 끝
					
					html +=	Ns.Util.stringFormat('\
										</tbody>\
									</table>\
								</div>\
							</li>');
				}
				
				$("#ulGiftCardListArea").html( html );
				if (CurrentView.pageSize < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				}
			},
			
			//상품권 등록 callback..
			resultRegiGiftCard : function (data) {
/*				var options = {
					title : '상품권 등록',
					content : '상품권을 등록하지 못했습니다.',
					bottomOK : '확인'
				};

				var giftCardNo = '상품권: ' + $("#giftNo1").val() + '-' + $("#giftNo2").val() + '-' + $("#giftNo3").val() + '-' + $("#giftNo4").val();

				if ( data.errorMessageKey == undefined ) {
					options.title = giftCardNo;
					alert("API 확인 필요(GiftCardRegisterReal).............");
					//options.content = data.msg.root.output.successFlag;
					//options.content = data.msg.root.output.resultMessage;
					//getGiftCardInfo();
				}
				//PUC.show(options);
*/				Ns.Popup.alert( "입력하신 상품권이 정상등록 되었습니다.");
				CurrentView.data.getMyGiftCardList( 1 );
			},
		}, //end data..
		
		//ui 관련 함수를 정의한다.
		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.pageSize, "CurrentView.data.getMyGiftCardList");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			//기간 Tab을 클릭했을 때 탭의 클래스 변경. 
			setTermsTabClass : function( tabId ) {
				var ulTabTermsArea = $("#ulTabTermsArea li");
				ulTabTermsArea.removeClass("active");
				$("#" + tabId).parent().addClass("active");
			},
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//쿠폰, 상품권, 연간할인권 탭 클릭. 
			onclick_ulTabsArea : function() {
				var pageId = "";
				var id = $(this).attr('id');
				
				//탭으로 이루어진 페이지의 경우 부모 페이지로 이동 시키기 위해 - 부모페이지로 Id 설정.
				mainCtrl.setCurrentPageId( { pageId : "M_U1111000M" });	
				
				if( id == "tabCoupon" ) pageId = "M_U1141100M"; //쿠폰
				else if( id == "tabGiftCard" ) return false; //상품권
				else if( id == "tabAnnualCoupon" ) pageId = "M_U1141300M"; //연간할인권
				else return false;
				
				mainCtrl.navigate( pageId );
			},
			
			//기간 선택(1주일, 1개월, 3개월, 6개월 , 전체)
			onclick_ulTabTermsArea : function() {
				// 페이징 부분 초기화
				$("#divPagingArea").hide();
				
				var id = $(this).attr('id');
				var terms = "weekly";
				if( id == "tabWeekly" ) terms = "weekly"; //1주일
				else if( id == "tab1Monthy" ) terms = "1monthly"; //1개월
				else if( id == "tab3Monthy" ) terms = "3monthly"; //3개월 이전부터 현재까지
				else if( id == "tab6Monthy" ) terms = "6monthly"; //6개월
				else if( id == "tabAll" ) 	  terms = "all"; // 전체
				else return false;
				
				if ( CurrentView.terms == terms ) return;
				
				CurrentView.terms = terms;
				CurrentView.ui.setTermsTabClass( id );
				CurrentView.data.getMyGiftCardList( 1 );
			},
			
			//상품권 등록 버튼 클릭 이벤트. 
			onclick_btnRegisterGiftCard : function() {
				//var param = {};
				//Ns.Popup.giftRegPop(param);
				//CurrentView.data.registerGiftCard();
				
				//$("#insertGiftcardCode").show();
				var param = {
					callback : CurrentView.data.resultRegiGiftCard
				};
				Ns.Popup.showLayer('M_U1141200L', param);
			},
			
			/*
			 * 2018-04-02 ssong
			 * 상품권 사용내역 상세
			 */
			onclick_useDetil : function(){
				  if($(this).hasClass('btn-giftcard-more')){
				    	$(this).addClass('btn-giftcard-close').removeClass('btn-giftcard-more');
				    	$(this).next().show();
				    }else if($(this).hasClass('btn-giftcard-close')){
				       $(this).addClass('btn-giftcard-more').removeClass('btn-giftcard-close');  
				    	$(this).next().hide();
				    }
			}
		}
}; 