
/* JavaScript content from js/mypage/M_U1141300M.js in folder common */
/* 
 *	마이페이지 
 *  ID : M_U1141300M

 *  1. 연간할인권
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		terms : 'weekly',
		pageidx : 1,
		pageSize : 10,

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#txtUserName").html( USERINFO.userName() );
			$("#divPagingArea").hide();
			$("#ulTabsArea li a").unbind().bind( "click",  this.event.onclick_ulTabsArea ); //탭 영역 (쿠폰, 상품권, 연간할인원)
			$("#ulTabTermsArea li a").unbind().bind( "click",  this.event.onclick_ulTabTermsArea ); //기간 탭 영역
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getMyAnnualCouponList();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			//상품권 사용 내역을 조회한다.
			getMyAnnualCouponList : function( pageidx ) {
				$("#ulAnnualCouponArea").html( "" );
				
				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장
				
				var terms = CurrentView.terms;
				var fromDate = "";
				var today = Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyyMMdd' ); 
				if ( terms == "weekly")
					fromDate = Ns.Date.calcDate( '', 0, 0, -1, 0, 'yyyyMMdd');
				else if ( terms == "1monthly")
					fromDate = Ns.Date.calcDate( '', 0, -1, 0, 0, 'yyyyMMdd' );
				else if ( terms == "3monthly")
					fromDate = Ns.Date.calcDate( '', 0, -3, 0, 0, 'yyyyMMdd' );
				else if ( terms == "6monthly")
					fromDate = Ns.Date.calcDate( '', 0, -6, 0, 0, 'yyyyMMdd' );
				else return false;

				params.fromDate = fromDate;
				params.toDate   = today;
				params.pageNum  = pageidx;
				params.pageSize = CurrentView.pageSize;
				
				tran.callWCSJsonTran('AnnualDiscountCpReal', params, CurrentView.data.resultAnnualCoupon);
			},
			
			//연간할인권 사용 내역 callback function..
			resultAnnualCoupon : function( data ) {
				var html = "";
				
				if ( data.msg.resultMsg != undefined  ) {
					Ns.Popup.alert( data.msg.resultMsg );
					return false;
				}
				
				var common = data.msg.root.common;
				$("#txtMyAnnualCount").html(  Ns.Util.insertCommas(  common.balance ) + '<span class="unit">원</span>'); //연간할인권 잔액.
				
				var yeargiftCard = data.msg.root.yeargiftCard;
				if ( yeargiftCard == null || yeargiftCard == "" || yeargiftCard.length==0  ) {
					html = mainCtrl.getNoResultDataHtml( "연간할인권 사용내역이 존재하지 않습니다." );
					$("#ulAnnualCouponArea").html(html);
					return;
				}
				
				var totalCount = common.totalCount;

				var css_rate = "";
				for( var i=0; i<yeargiftCard.length; i++ ) {
					var item = yeargiftCard[i];
					var sign = item.sign;
					var price = Number(item.price.replace(/,/g, ""));
					//css_rate = ( price >= 0) ? rate_g : rate_i;
					if ( sign == "plus" ) {
						if ( price > 0 ) {
							price = "+" + Ns.Util.insertCommas( price );
						} else {
							price = Ns.Util.insertCommas( price );
						}
						css_rate = "em rate-g";
					} else {
						price = "-" + Ns.Util.insertCommas( price );
						css_rate = "em rate-i";
					}
					
					//API 마다 ex)1000, 1,000로 값이 넘어오는 경우 존재 
					//var price = item.price.replace(/,/g, "");
					//css_rate = ( price >= 0) ? rate_g : rate_i;
					//price = Ns.Util.insertCommas( price );
					
					html +=	Ns.Util.stringFormat('\
						<li class="items">\
							<div class="wrap">\
								<div class="field">\
									<div class="rows">\
										<div class="em rate-b">{0} (주문번호 {1})</div>\
										<div class="em rate-d">{2}</div>\
									</div>\
								</div>\
								<div class="field">\
									<div class="rows"><strong class="{3}">{4}원</strong></div>\
								</div>\
							</div>\
						</li>', item.useDate, item.orderId, item.useage, css_rate, price );
				}
			
				$("#ulAnnualCouponArea").html( html );
				if (CurrentView.pageSize < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				}				
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.pageSize, "CurrentView.data.getMyAnnualCouponList");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			//기간 Tab을 클릭했을 때 탭의 클래스 변경. 
			setTermsTabClass : function( tabId ) {
				var ulTabTermsArea = $("#ulTabTermsArea li");
				ulTabTermsArea.removeClass("active");
				$("#" + tabId).parent().addClass("active");
			},
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//회원가입 페이지로 이동. 
			onclick_ulTabsArea : function() {
				var pageId = "";
				var id = $(this).attr('id');

				//탭으로 이루어진 페이지의 경우 부모 페이지로 이동 시키기 위해 - 부모페이지로 Id 설정.
				mainCtrl.setCurrentPageId( { pageId : "M_U1111000M" });	
				
				if( id == "tabCoupon" ) pageId = "M_U1141100M"; //쿠폰
				else if( id == "tabGiftCard" ) pageId = "M_U1141200M"; //상품권
				else if( id == "tabAnnualCoupon" ) return false; //연간할인권
				else return false;
				
				mainCtrl.navigate( pageId );
			},
			
			//기간 선택( 1주일, 1개월, 3개월, 6개월)
			onclick_ulTabTermsArea : function() {
				// 페이징 부분 초기화
				$("#divPagingArea").hide();
				
				var id = $(this).attr('id');
				var terms = "weekly";
				if( id == "tabWeekly" ) terms = "weekly"; //1주일
				else if( id == "tab1Monthy" ) terms = "1monthly"; //1개월
				else if( id == "tab3Monthy" ) terms = "3monthly"; //3개월 이전부터 현재까지
				else if( id == "tab6Monthy" ) terms = "6monthly"; //6개월
				else return false;
				
				if ( CurrentView.terms == terms ) return;
				
				CurrentView.terms = terms;
				CurrentView.ui.setTermsTabClass( id );
				CurrentView.data.getMyAnnualCouponList( 1 );
			}

		} //end event
}; 