
/* JavaScript content from js/mypage/M_U1142100M.js in folder common */
/* 
 *	마이페이지 - 톨포인트, 적립금, 예치금. 
 *  ID : M_U1142100M

 *  1. 톨포인트( tab 1)
 *  2. 적립금( tab 2)
 *  3. 예치금( tab 3)
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		tabIndex : -1, //메뉴 탭 인덱스
		terms : 'weekly', //기간 탭 인덱스. 
		pageidx : 1,
		pageSize : 10,
		tranId   : "",
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			if( params.tabIndex == null || params.tabIndex == "" ) 
				this.tabIndex = 0;
			else 
				this.tabIndex = params.tabIndex;
			
			$("#divPagingArea").hide();
			$("#ulTabMenuArea li a").unbind().bind( "click",  this.event.onclick_ulTabMenuArea ); //메뉴 탭
			$("#ulTabTermsArea li a").unbind().bind( "click",  this.event.onclick_ulTabTermsArea ); //기간 탭. 
			
			$("#btnLuckyroulette").unbind().bind( "click", this.event.onclick_btnLuckyroulette ); //행운의 룰렛
			$("#btnLuckyBox").unbind().bind( "click", this.event.onclick_btnLuckyBox ); //럭키박스
			
			/*요건 변경으로 간편회원일 때 예치금이 다시 추가 됨
			if ( USERINFO.userId() != "" ) { //Login 상태. 
				if ( USERINFO.logonType() == LOGON_TYPE.normal  ) { //일반회원.
					$("#liBalance").show();
				} else {
					$("#liBalance").hide();
				}
			}*/			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			$("#ulTabMenuArea li a").eq(this.tabIndex).click();
			//this.data.getMyInform(this.tabIndex, this.terms );
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getMyInform : function( pageidx ) {
				$("#ulDataListArea").html( "" );

				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장

				var tabIndex = CurrentView.tabIndex;

				if( tabIndex == 0 ) { //톨포인트 조회.
					tranId = "TolPointReal";
					CurrentView.tranId =  "TolPointReal";
				} else if( tabIndex == 1 ) { //적립금 조회
					tranId = "MileageReal";
					CurrentView.tranId = "MileageReal";
				} else if( tabIndex == 2 ) { //예치금 조회
					tranId = "AccumulatedMoneyReal";
					CurrentView.tranId = "AccumulatedMoneyReal";
				}

				var terms = CurrentView.terms;
				var fromDate = "";
				var today = Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyyMMdd' ); 
				if ( terms == "weekly"){
					fromDate = Ns.Date.calcDate( '', 0, 0, -1, 0, 'yyyyMMdd');
					if( tabIndex == 0 ){ params.schFlag = "W"; } 
				} else if ( terms == "1monthly"){
					fromDate = Ns.Date.calcDate( '', 0, -1, 0, 0, 'yyyyMMdd' );
					if( tabIndex == 0 ){ params.schFlag = "1M"; }
				} else if ( terms == "3monthly"){
					fromDate = Ns.Date.calcDate( '', 0, -3, 0, 0, 'yyyyMMdd' );
					if( tabIndex == 0 ){ params.schFlag = "3M"; }
				} else if ( terms == "6monthly"){
					fromDate = Ns.Date.calcDate( '', 0, -6, 0, 0, 'yyyyMMdd' );
					if( tabIndex == 0 ){ params.schFlag = "6M"; }
				} else {return false;}
				
				params.fromDate = fromDate;
				params.toDate	= today;
				params.pageNum  = pageidx;
				params.pageSize = CurrentView.pageSize;
				
				var tempDate = new Date();
				var year = String( tempDate.getFullYear() );
				var month = String( tempDate.getMonth()+1 );
				var day = String( tempDate.getDate() );
				
				if (month.length < 2){ month  = "0" + month; }
				if (day.length < 2){ day  = "0" + day; }
				
				if( undefined == params.fromDate || null == params.fromDate || "" == params.fromDate ){
					params.fromDate = year+month+day;
				}
				
				if( undefined == params.toDate || null == params.toDate || "" == params.toDate ){
					params.toDate =  year+month+day;
				}

				
				tran.callWCSJsonTran( tranId, params, CurrentView.data.resultResultInfo);
			},
			
			resultResultInfo : function( data ) {
				var message = "";
				
				if ( CurrentView.tabIndex == 0  ){
					message += "<div class=\"info-board theme-e\">";
					message += "<div class=\"mt32\">";
					message += "<p class=\"subject\">해당기간 톨포인트<br />적립/사용 내역이 없습니다.</p>";
					message += "<p class=\"guide\">출석체크와 상품평 작성을 통해<br />톨포인트를 차곡차곡 적립해보세요.</p>";
					message += "<div class=\"button-area content-fixed\">";
					message += "<span class=\"ct\">";
					message += "<a href=\"javascript:CurrentView.event.onclick_btnAttendance();\" class=\"btn point-box\"><span>출석체크</span></a>";
					message += "<a href=\"javascript:CurrentView.event.onclick_btnReviews()\" class=\"btn point-box\"><span>상품평쓰기</span></a>";
					message += "</span>";
					message += "</div>";
					message += "</div>";
					message += "</div>";
				}
				else if ( CurrentView.tabIndex == 1  ){
					message += "<div class=\"info-board theme-e\">";
					message += "<div class=\"mt48\">";
					message += "<p class=\"subject\">해당기간 적립금<br />적립/사용 내역이 없습니다.</p>";
					message += "<p class=\"guide\">적립금을 지급하는 상품을 구매하거나<br />적립금 이벤트 및 컨텐츠 참여 시 지급됩니다.</p>";
					message += "</div>";
					message += "</div>";
				}
				else if ( CurrentView.tabIndex == 2  ){
					message += "<div class=\"info-board theme-e\">";
					message += "<div class=\"mt68\">";
					message += "<p class=\"subject\">해당기간 예치금<br />보관/사용 내역이 없습니다.</p>";
					message += "</div>";
					message += "</div>";
				}
				else return;
				
				var html = '';
				
				var usageList = data.msg.root.usageList;
				var common	=  data.msg.root.common;
				
				var strValue = "";
				if ( CurrentView.tabIndex == 0  ) {
					$("#txtTolpoint").html( Ns.Util.insertCommas( common.amount ) + '<span class="unit">톨</span>');
					$("#txtDestroiedTolpoint").html( Ns.Util.insertCommas(  common.expiredAmt ) + '<span class="unit">톨</span>');
					strValue = "<span>톨</span>";
				} else if ( CurrentView.tabIndex == 1  ) {
					$("#txtMileage").html( Ns.Util.insertCommas(  common.amount ) + '<span class="unit">원</span>');
					$("#txtDestroiedMileage").html( Ns.Util.insertCommas(  common.expiredAmt ) + '<span class="unit">원</span>');
					strValue = "<span>원</span>";
				} else if ( CurrentView.tabIndex == 2  ) {
					$("#txtAccumulatedMoney").html( Ns.Util.insertCommas( common.amount ) + '<span class="unit">원</span>');
					strValue = "<span>원</span>";
				}
				
				if ( usageList == null || usageList == "" || usageList.length==0 ) 	{
					//html = mainCtrl.getNoResultDataHtml( message );
					$("#ulDataListArea").html(message);
					return;
				}

				var totalCount   = common.totalCount;
				
				var css_rate = "";
				for( var i=0; i<usageList.length; i++) {
					var item = usageList[i];
					var sign = item.sign;
					var usedAmt = "";
					var strDates = "";
					var expiryDate = "";
					//css_rate = ( usedAmt >= 0) ? rate_g : rate_i;
					//적립금 데이터가 이상할 경우 데이터 replace를 하지 않는다
					if(item.usedAmt != undefined || item.usedAmt != null){
						usedAmt = Number(item.usedAmt.replace(/,/g, ""));
						
						
						if ( sign == "plus" ) {
							if ( usedAmt > 0 ) {
								usedAmt = "+" + Ns.Util.insertCommas( usedAmt );
							} else {
								usedAmt = Ns.Util.insertCommas( usedAmt );
							}
							css_rate = "plus";
						} else {
							usedAmt = "-" + Ns.Util.insertCommas( usedAmt );
							css_rate = "minus";
						}
						
						if ( sign == "minus" && CurrentView.tranId == "MileageReal") {
							strDates = "사용일 : "+item.useDate.substring(2,10);
						}else if(sign == "minus"){
							strDates = item.useDate.substring(2,10);
						}
						
						if ( sign == "plus" && CurrentView.tranId == "MileageReal") {
							if (undefined != item.expiryDate && null != item.expiryDate &&  "" != item.expiryDate){
								strDates = "유효기간 : "+item.useDate.substring(2,10);
								expiryDate = item.expiryDate.substring(2,10);
								strDates += "&nbsp;~&nbsp;" + expiryDate;
							}
						}else if ( sign == "plus") {
							strDates = item.useDate.substring(2,10);
							if (undefined != item.expiryDate && null != item.expiryDate &&  "" != item.expiryDate){
								expiryDate = item.expiryDate.substring(2,10);
								strDates += "&nbsp;~&nbsp;" + expiryDate;
							}
						}
						
						//API 마다 ex)1000, 1,000로 값이 넘어오는 경우 존재 
						//var usedAmt = item.usedAmt.replace(/,/g, "");
						//css_rate = ( usedAmt >= 0) ? rate_g : rate_i;
						
						html +=	Ns.Util.stringFormat('\
							<li class="items">\
								<div class="wrap">\
									<div class="field">\
										<div class="rows">\
											<div class="txt">{1}</div>\
											<div class="em rate-p">{0}</div>\
										</div>\
									</div>\
									<div class="field">\
										<div class="rows"><strong class="{2}">{3}{4}</strong></div>\
									</div>\
								</div>\
							</li>', strDates, item.usage, css_rate, usedAmt, strValue);
					}
				}

				$("#ulDataListArea").html(html);
				if (CurrentView.pageSize < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				}				
			},
			
			
		}, //end data function
		
		//ui 관련 함수를 정의한다.
		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.pageSize, "CurrentView.data.getMyInform");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			//메뉴 Tab을 클릭했을 때 탭의 클래스 변경. 
			setMenuTabClass : function( tabId ) {
				var ulTabTermsArea = $("#ulTabMenuArea li");
				ulTabTermsArea.removeClass("active");
				$("#" + tabId).parent().addClass("active");
			},
			
			//기간 Tab을 클릭했을 때 탭의 클래스 변경. 
			setTermsTabClass : function( tabId ) {
				var ulTabTermsArea = $("#ulTabTermsArea li");
				ulTabTermsArea.removeClass("active");
				$("#" + tabId).parent().addClass("active");
			},
			
			showMyDataArea : function( tabIndex ) {
				var myDataArea = $("div.my-datatoll ul");
				myDataArea.each(function(index) {
					$(this).css("display", "none");
				});

				if ( tabIndex == null || tabIndex == "" ) tabIndex = CurrentView.tabIndex;
				myDataArea.eq( tabIndex ).css("display", "block");
			}
		}, //end ui function
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//메뉴 Tab click.
			onclick_ulTabMenuArea : function( ) {
				// 페이징 부분 초기화
				$("#divPagingArea").hide();
				
				var id = $(this).attr('id');
				var tabIndex = 0;

				if( id == "tabTollPoint" ) {
					tabIndex = 0; //톨포인트
					$("#tollpoint").show();
					$("#Reserves").hide();
					$("#Deposit").hide();
				} else if( id == "tabReserved" ) {
					tabIndex=1; //적립금.
					$("#tollpoint").hide();
					$("#Reserves").show();
					$("#Deposit").hide();
				} else if( id == "tabBalance" ) {
					tabIndex=2; //예치금
					$("#tollpoint").hide();
					$("#Reserves").hide();
					$("#Deposit").show();
				} else 
					return false;
				
				//if ( CurrentView.tabIndex == tabIndex ) return;
				CurrentView.terms = "weekly";
				CurrentView.ui.setTermsTabClass( "tabWeekly" );
				
				//$("#txtTitle").html( title );
				CurrentView.tabIndex = tabIndex;
				CurrentView.ui.showMyDataArea( tabIndex );
				CurrentView.ui.setMenuTabClass( id );
				CurrentView.data.getMyInform( 1 );
			},
			
			//기간 선택( 1주일, 1개월, 3개월, 6개월)
			onclick_ulTabTermsArea : function() {
				// 페이징 부분 초기화
				$("#divPagingArea").hide();
				
				var id = $(this).attr('id');
				var terms = "weekly";
				if( id == "tabWeekly" ) terms = "weekly"; //1주일
				else if( id == "tab1Monthy" ) terms = "1monthly"; //1개월
				else if( id == "tab3Monthy" ) terms = "3monthly"; //3개월 이전부터 현재까지
				else if( id == "tab6Monthy" ) terms = "6monthly"; //6개월
				else return false;
				
				if ( CurrentView.terms == terms ) return;
				
				CurrentView.terms = terms;
				CurrentView.ui.setTermsTabClass( id );
				CurrentView.data.getMyInform( 1 );
			},
			
			onclick_btnLuckyroulette : function() {
				mainCtrl.navigate( "M_G1100102M",{"offerIdfr" : "100000071690"});
			},
			
			onclick_btnLuckyBox : function() {
				mainCtrl.navigate( "M_G1100101M");
			},
			
			onclick_btnAttendance : function() {
				mainCtrl.navigate( "M_G1100500M");
			},
			
			onclick_btnReviews : function() {
				mainCtrl.navigate( "M_U1161100M");
			}
			
		} //end event  function
}; 