
/* JavaScript content from js/mypage/M_U1161100M.js in folder common */

/* 
 *	마이페이지 - 미등록 상품평
 *  ID : M_U1161100M

 *  1. 미등록 상품평
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		firstCall : true,
		pageIdx : 1,
		rowPerPage : 10,
		count : null,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
			$("#divPagingArea").hide();
			$("#ulTabsArea li a").unbind().bind( "click",  this.event.onclick_ulTabsArea );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getNoReviewList();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getNoReviewList : function( pageIdx ) {
				var params = {};
				if ( pageIdx == null || pageIdx == "" || pageIdx == 0 || pageIdx == undefined ) {
					pageIdx = CurrentView.pageIdx;
				}
				CurrentView.pageIdx = pageIdx;  // 현재 페이지 전역에 저장
				
				params.users_id = USERINFO.userId();
				params.pageIdx = pageIdx; //페이지 번호. 
				params.rowPerPage = CurrentView.rowPerPage; //페이지 사이즈. 

				//params.tabType = 1; //미작성/작성상품평 TAB 구분
				//params.termVal = 3; //sort (전체/최근3개월/최근6개월)
				
				tran.callWCSJsonTran("NotYetReviewedListReal", params, CurrentView.data.onResponseReviewList);
			},
			
			onResponseReviewList : function( data ) {
				var totalCount = data.msg.root.totalCount; //페이징을 위한 변수..
				CurrentView.count = totalCount;  // 작성한 상품평 화면 이동 할 대 필요한 param값
				
				$("#txtTotalCount").html( "(" + Ns.Util.insertCommas( totalCount )  + ")" );
				$("#txtTotalReviewCnt").html( Ns.Util.insertCommas( totalCount ) );
				
				var review = data.msg.root.NonReviewList;
				if( review == null || review == "" ) {
					//CurrentView.ui.nonDataArea();
					var html = mainCtrl.getNoResultDataHtml( "상품평을 작성하지 않은 <wbr />구매목록이 없습니다." );
					$("#divNonReviewArea").html(html);
					return;
				}
				
				CurrentView.ui.setMakeNotReviewListHtml( review );
				
				if (CurrentView.rowPerPage < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				}

				//상품평관리 처음으로 접근시 작성한 상품평 개수를 가져오기위해 call
				if(CurrentView.firstCall){
					CurrentView.firstCall = false;
					var params = {};
					params.users_id = USERINFO.userId();
					params.termVal = 180; //sort (전체/최근3개월/최근6개월)
					tran.callWCSJsonTran("ReviewListReal", params, function(data){
						$("#txtWriteTotalCount").html("("+data.msg.root.totalCount+")");	//작성한 상품평 개수 출력
					});
				}
			} 
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.rowPerPage, "CurrentView.data.getNoReviewList");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			//데이터 없을 경우.. 
			nonDataArea : function() {
				var html = "";
				html += '<div class="info-board theme-a alert">';
				html += '<p class="subject"><strong>상품평을 작성하지 않은 <wbr />구매목록이 없습니다.</strong></p>';
				html += '</div>';
				
				$("#divNonReviewArea").html( html );
			},
			
			//상품평 목록 출력. 
			setMakeNotReviewListHtml : function( noReviewList ) {
				var html = '<ul class="item-display theme-b detail">';
				
				for( var i=0; i<noReviewList.length; i++ ) {
					var items = noReviewList[i];
					//prt_catentry_id : 상품 상품번호, dan_catentry_id : 단품 상품번호
					//var imageUrl = Ns.Util.getImageUrl( "" + items.goodsId, "F");
					//var imageUrl = items.catPhotoPath;
					var imageLink = Ns.Util.getImageUrl(String(items.partnumber), "C");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_C.jpg';
					var brandName = items.brandNM;
					var goodsName = items.catentryNM;
					goodsName = (brandName && brandName != '미정의' ? "[" + brandName + "]" : "") + goodsName;
					
					var ord_price = Ns.Util.insertCommas( items.ord_price );
					
					html += Ns.Util.stringFormat('\
					<li class="items">\
						<div class="wrap">\
							<div class="thumbnail">\
								<a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지"></a>\
							</div>\
							<div class="field">\
								<p class="title"><a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{3}\');"><strong>{4}</strong></a></p>\
								<div class="data-info">\
									<p class="price">\
										<span class="price-selling"><strong class="head">판매가</strong> <ins class="text"><strong>{5}</strong><span class="unit">원</span></ins></span>\
									</p>\
								</div>\
							</div>\
						</div>\
						<div class="button-area content-fixed">\
							<span>\
								<a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_btnWriteReview(\'{6}\', \'{7}\', \'{8}\', \'{9}\', \'{10}\', \'{11}\');"><span>상품평 쓰기</span></a>\
							</span>\
						</div>\
					</li>', items.partnumber, imageLink, noImageUrl,
							items.partnumber, goodsName, 
							ord_price, items.prt_catentry_id, items.orders_id, items.dan_catentry_id, items.catGB, goodsName, items.partnumber );
					
				}
				//2015-06-28 임시로 상품평쓰기 버튼 막음
				//rate-a > rate-c
				
				html += '</ul>';
				
				$("#divNonReviewArea").html( html );					
			}, 
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_ulTabsArea : function() {
				var id = $(this).attr('id');
				
				//탭으로 이루어진 페이지의 경우 부모 페이지로 이동 시키기 위해 - 부모페이지로 Id 설정.
				mainCtrl.setCurrentPageId( { pageId : "M_U1111000M" });	
				
				if( id == "tabNonReview" ) {
					return false; //미작성 상품평
				} else if( id == "tabReview" ) {
					var param = {};
					param.count = CurrentView.count;
					mainCtrl.navigate( "M_U1161200M", param ); //작성 상품평
				} else {
					return false;
				}
			},
			
			//상품평 쓰기 버튼 클릭 이벤트.. 
			onclick_btnWriteReview : function( catentryId, ordersId, danCatentryId, catGB, productName, partNumber ) {
				//2015-06-28 임시로 접근 못하도록 막음
				//return false;
				
				var params = {};
				params.catentryId = catentryId;
				params.ordersId = ordersId;
				params.dan_catId = danCatentryId;
				params.catGb = catGB;
				
				params.productName = productName;				
				params.partNumber = partNumber;
							

				mainCtrl.navigate( "M_G261G000L", params ); 
			},
			
			//상품 이미지 및 상품명을 클릭했을 때 상품 상세 페이지로 이동. 
			onclick_btnGoodDetails : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;
				
//				mainCtrl.navigate( "M_G2600000M", param ); 
				Ns.Popup.showLayerPage("M_G2600000M", param);
			}
		}
}; 