
/* JavaScript content from js/mypage/M_U1161200M.js in folder common */
/* 
 *	마이페이지  - 작성 상품평
 *  ID : M_U1161200M

 *  1. 작성 상품평
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		toggleIndex : -1,
		
		pageIdx : 1,
		rowPerPage : 10,

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			/* GNB영역 숨김 */
			mainCtrl.hideGNB();
			
			$("#divPagingArea").hide();
			$("#ulTabsArea li a").unbind().bind( "click",  this.event.onclick_ulTabsArea );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			//미등록 상품평 개수 셋팅
			if (undefined != params){
				if (undefined != params.count){
					$("#txtTotalCount").html( "(" + Ns.Util.insertCommas( params.count )  + ")" );
				}
			}
			
			this.data.getReviewList();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getReviewList : function(pageIdx) {
				var params = {};
				if ( pageIdx == null || pageIdx == "" || pageIdx == 0 || pageIdx == undefined ) {
					pageIdx = CurrentView.pageIdx;
				}
				CurrentView.pageIdx = pageIdx;  // 현재 페이지 전역에 저장
				
				params.users_id = USERINFO.userId();
				params.pageIdx = pageIdx; //페이지 번호. 
				params.rowPerPage = CurrentView.rowPerPage; //페이지 사이즈.
				
				//params.tabType = 2; //미작성/작성상품평 TAB 구분
				params.termVal = 180; //sort (전체/최근3개월/최근6개월)
				
				tran.callWCSJsonTran("ReviewListReal", params, CurrentView.data.onResponseReviewList);
			},
			
			onResponseReviewList : function(data) {
				var totalCount = data.msg.root.totalCount; //페이징을 위한 변수..
				$("#txtWriteTotalCount").html("("+totalCount+")");	//작성한 상품평 개수 출력
				var review = data.msg.root.ReviewList;
				if( review == null || review == "" ) {
					//CurrentView.ui.nonDataArea();
					var html = mainCtrl.getNoResultDataHtml( "최근 6개월 동안 <wbr />작성한 상품평이 없습니다." );
					$("#divReviewArea").html(html);
					return;
				}

				CurrentView.ui.getMakeReviewListHtml( review );
				
				if (CurrentView.rowPerPage < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				}					
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.rowPerPage, "CurrentView.data.getReviewList");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			//데이터 없을 경우.. 
			nonDataArea : function() {
				var html = "";
				html += '<div class="info-board theme-a alert">';
				html += '<p class="subject"><strong>최근 6개월 동안 <wbr />작성한 상품평이 없습니다.</strong></p>';
				html += '</div>';
				
				$("#divReviewArea").html( html );
			}, 
			
			getScoreHtml : function( catGB, score1, score2, score3, score4, size, color ) {
				/*
				 * ex) 10, 20... <식품>
				 * 일반식품 코드 10 : (평가 항목 1: 배송, 평가 항목 2: 가격, 평가항목 3: 맛 , 평가 항목 4 : 신선도)
				 * 건강식품 코드 20 : (평가 항목 1: 배송, 평가 항목 2: 가격, 평가항목 3: 품질 , 평가 항목 4 : 신뢰도)
				 * <비식품(공산품)>
				 * (평가 항목 1: 배송, 평가 항목 2: 가격, 평가항목 3: 품질 , 평가 항목 4 : 디자인)
				 * 코드:30 의류, 슈즈 ( 사이즈 , 색상 평가 항목 추가 )
				 * 코드:31 패션 잡화, 침구류  (사이즈, 색상 평가 없음)
				 * 코드:39 기타  (사이즈, 색상 평가 없음)
				 */
				var scoreTxt = "";
				scoreTxt += "<div class='eval_list'>";
				scoreTxt += "	<table class='eval_table'>";
				scoreTxt += "		<colgroup>";
				scoreTxt += "			<col width='50%;'/>";
				scoreTxt += "			<col width='50%;'/>";
				scoreTxt += "		</colgroup>";
				
				var scoreInfo = [];
				//if( catGB != "10" && catGB != "20" ) {
					score1 = Number(score1)*20;
					score2 = Number(score2)*20;
					score3 = Number(score3)*20;
					score4 = Number(score4)*20;
				//}
				
				scoreInfo.push( {name:"배송", score: score1} );
				scoreInfo.push( {name:"가격", score: score2} );
							
				//scoreTxt += '<span class="rating"><span class="head">' + "배송" + '</span> <span class="text">' + score1 + '점<span class="value" style="width: ' + percent1 + '%;"></span></span></span>';
				if( catGB == "10") {
					scoreInfo.push( {name:"맛", score: score3} );
					scoreInfo.push( {name:"신선도", score: score4} );
				} else if( catGB == "20") {
					scoreInfo.push( {name:"품질", score: score3} );
					scoreInfo.push( {name:"신뢰도", score: score4} );
				} else {
					scoreInfo.push( {name:"품질", score: score3} );
					scoreInfo.push( {name:"디자인", score: score4} );
				}

				var tempTxt="";
				for ( var i=0; i<scoreInfo.length; i++) {
					var items = scoreInfo[i];
					tempTxt += Ns.Util.stringFormat('\
						<td>\
							<span class="rating">\
								<span class="head">{0}</span>\
								<span class="text">{1}점<span class="value" style="width:{2}%;"></span></span>\
							</span>\
						</td>', items.name, items.score, items.score);
					if((i+1) % 2 == 0){
						tempTxt = "<tr>" + tempTxt + "</tr>";
						scoreTxt += tempTxt;
						tempTxt ="";
					}
				}
				

				if (size != undefined ) {
				//if( catGB == "30") {	
					scoreTxt += '<tr><td><span class=""><span class="head">사이즈</span><span class="text"> '+size+'</span></span></td>';
					scoreTxt += '<td><span class=""><span class="head">색상</span><span class="text"> '+color+'</span></span></td></tr>';
				}
				scoreTxt +="</table></div>";
				scoreInfo.remove();				
				return scoreTxt;
			},
			
			getMakeReviewListHtml : function( reviewList ) {
				var html = '<ul class="item-display theme-b detail">';
				
				for( var i=0; i<reviewList.length; i++ ) {
					var items = reviewList[i];
					//var imageUrl = Ns.Util.getImageUrl( "" + items.goodsId, "F");
					//var imageUrl = items.catPhotoPath;
					var imageLink = Ns.Util.getImageUrl(String(items.partnumber), "C");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_C.jpg';
					
					var brandName = items.brand_nm;
					var goodsName = items.catentry_nm;
					goodsName = (brandName && brandName != '미정의' ? "[" + brandName + "]" : "") + goodsName;
					
					var catGB = items.catGB;
					var score1 = items.score1;
					var score2 = items.score2;
					var score3 = items.score3;
					var score4 = items.score4;

					var scoreHtml = "";
					if( catGB == "30" ) {
						scoreHtml = CurrentView.ui.getScoreHtml( catGB, score1, score2, score3, score4, items.sizeEvalVal, items.colorEvalVal );
					} else {
						scoreHtml = CurrentView.ui.getScoreHtml( catGB, score1, score2, score3, score4 );
					}
					
//					var photoHtml = '';
//					if ( items.photoYN == "Y" ) {
//						var noneImageUrl = Ns.Util.getNoneImageUrl();
//						var imageUrl = Const.WCS_IMAGE_CUST_SRV + items.photo1st_path;
//						photoHtml = '<img src="' + imageUrl + '" onerror="this.onerror=null;this.src=\''+noneImageUrl+ '\'" alt="상품이미지" />';
//					}
					
					var review_subject = items.review_subject;
					var review_contents = items.review_contents;
					
					html += Ns.Util.stringFormat('\
						<li class="items">\
							<div class="wrap">\
								<div class="thumbnail">\
									<a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지"></a>\
								</div>\
								<div class="field">\
									<p class="title"><a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{3}\');"><strong>{4}</strong></a></p>\
									<p class="meta-data">\
										<span class="date"><span class="head">등록일</span> <span class="text">{5}</span></span>\
									</p>\
								</div>\
							</div>\
							{6}\
							<div class="comment-items">\
								<div class="qusetion">\
									<a class="" href="javascript:CurrentView.event.onclick_reviewTitle(\'{7}\',\'{8}\');">{9}</a>\
								</div>\
								<div class="ask ui-base-target" id="uiBaseToggle{10}">\
									<p>\
										{11}\
									</p>\
								</div>\
							</div>\
						</li>', items.partnumber, imageLink, noImageUrl,
								items.partnumber, goodsName, items.written_dt, scoreHtml, 
								i, items.goodgrd_seq, review_subject,
								i,
								review_contents);
				}
				
				// 퍼블 html 주석처리 됨 - 04/28				
				/*<div class="button-area content-fixed">\
					<span>\
						<a class="btn theme-a status-a small" href="javascript:CurrentView.event.onclick_btnDetailReview(\'{items.reviewId}\');"><span>상품평 상세보기</span></a>\
					</span>\
				</div>\*/
			
				html += '</ul>';
				$("#divReviewArea").html( html );
			}, 
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_reviewTitle : function( idx , seq ) {
				if ( CurrentView.toggleIndex == idx ) {
					CurrentView.toggleIndex = -1;
					$("#uiBaseToggle" + idx).removeClass( "active" );
					return false;
				} else {
					$("#uiBaseToggle" + CurrentView.toggleIndex).removeClass( "active" );
				}					
				$("#uiBaseToggle" + idx).toggleClass( "active" );
				CurrentView.toggleIndex = idx;
				
				//var htmlTxt = '';
				//htmlTxt += "<p>"+content+"</p>";
				var invoke = {
						cmdType : 117,
						goodgrdSeq : seq
				};
				
				tran.callWCSJsonTran( "NSAjaxCustomerReview", invoke, function( data ) {
					var photoList = data.photoList.list;
					
/*					if ( Ns.Util.isNull(photoList) || photoList.length==0 ){
						$("#uiBaseToggle"+idx).html( htmlTxt );
						return false;
					}*/
					var htmlTxt='';
					var noneImageUrl = Ns.Util.getNoneImageUrl();
					for ( var k=0; k<photoList.length;k++ ) {
						var imageUrl = Const.WCS_IMAGE_CUST_SRV + photoList[k].filePath;
						htmlTxt += '<img src="' + imageUrl + '" onerror="this.onerror=null;this.src=\''+noneImageUrl+ '\'" alt="상품이미지" />';
					}
					$("#uiBaseToggle"+idx+" p").append( htmlTxt );
				});
				
			},
			
			onclick_ulTabsArea : function() {
				var id = $(this).attr('id');
				
				//탭으로 이루어진 페이지의 경우 부모 페이지로 이동 시키기 위해 - 부모페이지로 Id 설정.
				mainCtrl.setCurrentPageId( { pageId : "M_U1111000M" });
				
				if( id == "tabNonReview" ) mainCtrl.navigate( "M_U1161100M" ); //미작성 상품평
				else if( id == "tabReview" ) return false; //작성 상품평
				else return false;
			},
			
			//상품 이미지 및 상품명을 클릭했을 때 상품 상세 페이지로 이동. 
			onclick_btnGoodDetails : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;

//				mainCtrl.navigate( "M_G2600000M", param ); 
				Ns.Popup.showLayerPage("M_G2600000M", param);
			},
			
			//상품평 쓰기 버튼 클릭 이벤트.. => 상세 화면으로 구현됨 => 작업 필요 없음
			onclick_btnDetailReview : function( reviewId ) {
				var param = {};
				param.goodgrd_seq = reviewId;

				mainCtrl.navigate( "M_U1161210L", param ); 
			}			
		}
}; 