
/* JavaScript content from js/mypage/M_U1161210L.js in folder common */
/* 
 *	마이페이지  - 작성 상품평 - 상세보기
 *  ID : M_U1161210L

 *  1. 작성 상품평-상세보기
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#divTheMoreArea").hide();
			$("#btnTheMore").unbind().bind( "click",  this.event.onclick_btnTheMore );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			Ns.Popup.alert("설계안됨.");
			
			var html = CurrentView.ui.getMakeReviewListHtml( ); //상품 정보. 
			$("#divProductInfo").html( html );
			this.data.setDefaultReviewInfo(); //기본 상품평 정보. 
			
			this.data.getReviewComment(); //덧글 정보 가져오기..
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			setDefaultReviewInfo : function( data ) {
				$("#txtTitle").html("상품평 제목");
				$("#txtTitle").html("상품평 제목");
				
				var html   = '<p>상품평 상세.</p>';
				//이미지가 있으면 
					 html += '<p><img src="" alt=""></p>';
					
				$("#divReviewDetailArea").html( html );
			},
			
			//상품평에 대한 덧글 정보를 가져온다. 
			getReviewComment : function(pageIdx) {
				var param = {};
				
				//tran.callWCSJsonTran("ReviewListReal", param, CurrentView.data.onResponseReviewComment );
			},
			
			//덧글 조회 관련 callback function.. 
			onResponseReviewComment : function(data) {
				var review = data.msg.root.ReviewList;
				if( review == null || review == "" ) {
					$("#commentHeader").html( "" );
					return;
				}
				
				var html = "";
				for( var i=0; i<review.length; i++ ) {
					html += CurrentView.ui.getMakeCommentHtml( review[i] );
				}

				$("#commentHeader").After( html );
			}, 
			

		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			getMakeReviewListHtml : function( items ) {
				var imageUrl = Ns.Util.getImageUrl(items.goodsId, "F");
				var reviewInfo = items.reviewInfo;
				var reviewHtml = "";
				for ( var i=0; i<reviewInfo.length; i++ ) {
					var gradename = getReviewGradeName( reviewInfo[i].item );
					var star = reviewInfo[i].value;
					var percent = star * 20; //별점 총 5개 * 20은 100%
					reviewHtml += '<span class="rating"><span class="head">' + gradename + '</span> <span class="text">' + star + '점<span class="value" style="width: ' + percent + '%;"></span></span></span>';
				}
				
				return nsmall.util.string.format('\
						<li class="items">\
						<div class="wrap">\
							<div class="thumbnail">\
								<a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{0}\');"><img src="{1}" alt="상품 이미지"></a>\
							</div>\
							<div class="field">\
								<p class="title"><a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{2}\');"><strong>{3}</strong></a></p>\
									<p class="meta-data">\
										<span class="date"><span class="head">등록일</span> <span class="text">{4}</span></span>\
									</p>\
									<div class="rating-area">{5}</div>\
							</div>\
						</div>\
						<div class="comment-items">\
							<p>{6}</p>\
							<div class="button-area content-fixed m10">\
								<span>\
									<a class="btn theme-a rate-c medium more" href="javascript:CurrentView.event.onclick_btnDetailReview(\'{7}\');"><span>상품평 상세보기</span></a>\
								</span>\
							</div>\
						</div>\
					</li>', items.goodsId, imageUrl, items.goodsId, items.goodsName, items.regiDate, reviewHtml, items.review, items.reviewId );
			}, 
			
			//덧글 html....
			//$("#commentHeader").After( html );
			getMakeCommentHtml : function( items ) {
				var reviewer = "";
				var star = 2;
				var percent = star * 20; //별점 총 5개 * 20은 100%
				var regiDate = "0000/00/00";
				var comment = "";
				
				return nsmall.util.string.format('\
					<article class="items">\
						<div class="wrap">\
							<footer class="meta-data">\
								<span class="writer"><span class="head">작성자</span> <span class="text">{0}</span></span>\
								<span class="rating"><span class="head">평가</span> <span class="text">{1}점<span class="value" style="width: {2}%;"></span></span></span>	\
								<span class="date"><span class="head">등록일</span> <span class="text">{3}</span></span>\
							</footer>\
							<div class="data-body">\
								<p>{4}</p>\
							</div>\
						</div>\
					</article>',  reviewer, star, percent, regiDate, comment);
			}
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//더보기 버튼 클릭. 
			onclick_btnTheMore : function() {
				
			},
			
			//상품 이미지 및 상품명을 클릭했을 때 상품 상세 페이지로 이동. 
			onclick_btnGoodDetails : function( productNumber ) {
				var param = {};
				param.productNumber = productNumber;

//				mainCtrl.navigate( "M_G2600000M", param ); 
				Ns.Popup.showLayerPage("M_G2600000M", param);
			}
		}
}; 