
/* JavaScript content from js/mypage/M_U1162210M.js in folder common */
/* 
 *	마이페이지 - 상품 문의 목록
 *  ID : M_U1162210M

 *  1. 상품 문의 목록
*/

//page 컨트롤 클래스
CurrentView = {
		pageIdx : 1,
		rowPerPage : 10,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#divPagingArea").hide();
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getBoardInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getBoardInfo : function( pageIdx ) {
				var params = {};
				if ( pageIdx == null || pageIdx == "" || pageIdx == 0 || pageIdx == undefined ) {
					pageIdx = CurrentView.pageIdx;
				}
				CurrentView.pageIdx = pageIdx;  // 현재 페이지 전역에 저장

				var fromDate = Ns.Date.calcDate( '', 0, -6, 0, 0, 'yyyyMMdd' );
				var today = Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyyMMdd' ); 

				params.pageIdx = pageIdx; //페이지 번호. 
				params.rowPerPage = CurrentView.rowPerPage; //페이지 사이즈.
					
				params.startDt = fromDate;
				params.endDt   = today;
				
				tran.callWCSJsonTran('ItemQuestionListInfoReal', params, CurrentView.data.resultBoardInfo);
			},
		
			resultBoardInfo : function( data ) {
				var html = "";
				var totalCount = data.msg.root.totalCount; //페이징을 위한 변수..
				var boardList = data.msg.root.questionListInfo;  //상품문의 개수
				if ( boardList == null || boardList.length == 0  ) {
					html = mainCtrl.getNoResultDataHtml( "최근 6개월간 문의 하신 내용이 없습니다." );
					$("#ulBoardListArea").html(html);
					return false;
				}		
				
				//flag => Y - 답변완료, N - 답변중 : 사요안함
				//flag => 1 - 미답변 , 답변중으로 변경
				//flag => 2 - 답변중
				//flag => 3 - 답변완료   
				//label theme-a rate-c : 답변완료
				//label theme-a rate-b : 진행중, 미답변
				//label theme-a rate-a : 답변중
				
				var className = "";
				for( var i=0;i<boardList.length;i++ ) {
					var boards = boardList[i];
					var flag = boards.flag;
					if ( flag == "1" ) {
						flag = "답변중";
						//className = "label theme-a rate-b";
						className = "label theme-a rate-a";
					} else if ( flag == "3" ) {
						flag = "답변완료";
						className = "label theme-a rate-c";
					} else if ( flag == "2" ) {
						flag = "답변중";
						className = "label theme-a rate-a";
					}
					
					var goodsName = boards.goodsName;
					goodsName = goodsName.replace("'","");
					
					var noImage = Const.NO_IMAGE_URL + 'noimage_C.jpg';
					
					html +=	Ns.Util.stringFormat('\
						<li>\
							<div class="wrap">\
								<div class="field">\
									<p class="sort">[{0}]</p>\
									<div>\
										<ul class="item-display theme-b detail">\
											<li class="items" style="padding : 0px;">\
												<div class="wrap" style="padding-bottom: 15px;">\
													<div class="thumbnail">\
														<a href="javascript:CurrentView.event.onclick_boardDetailItem(\'{3}\');"><img src="{5}" onerror="this.error=null;this.src=\'{12}\'" alt="상품 이미지" /></a>\
													</div>\
													<div class="field">\
														<p class="title"><a href="javascript:CurrentView.event.onclick_boardDetailItem(\'{3}\');"><strong style="white-space: pre-wrap;">' + goodsName + '</strong></a></p>\
													</div>\
												</div>\
											</li>\
										</ul>\
									</div>\
									<p class="title"><strong class="{1}">{2}</strong> <a href="javascript:CurrentView.ui.detailBoardItem(\'' + goodsName + '\', \'{3}\', \'{4}\', \'{5}\', \'{6}\', \'{7}\', \'{8}\', \'{9}\');" class="txt"><strong style="white-space:normal;">{10}</strong></a></p>\
								</div>\
								<div class="meta-data">\
									<span class="date"><span class="head">등록일</span> <span class="text">{11}</span></span>\
								</div>\
							</div>\
						</li>', 
						boards.category, className, flag, boards.goodsId, boards.brandName, boards.imageURL, Ns.Util.htmlEncode(boards.question), boards.answer, boards.category, boards.uploadDate, boards.question, boards.uploadDate, noImage );				
				}
				$("#ulBoardListArea").html(html);
				
				if (CurrentView.rowPerPage < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				}
			}	
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.rowPerPage, "CurrentView.data.getBoardInfo");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			//상품문의 상세보기 화면 이동 
			detailBoardItem : function( goodsName, goodsId, brandName, imageURL, question, answer, category, uploadDate ) {
				var params = {
					goodsName  : goodsName,	
					goodsId    : goodsId,
					brandName  : brandName,
					imageURL   : imageURL,
					question   : question,
					answer     : answer,
					category   : category,
					uploadDate : uploadDate
				};		
				
				mainCtrl.navigate( "M_U1162220M", params );	
				return false;
			},
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			// 해당 상품의 상세보기 화면으로 이동
			onclick_boardDetailItem : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;

//				mainCtrl.navigate( "M_G2600000M", param ); 	
				Ns.Popup.showLayerPage("M_G2600000M", param);
			}
		}
}; 