
/* JavaScript content from js/mypage/M_U1162220M.js in folder common */
/* 
 *	마이페이지 - 상품 문의 상세
 *  ID : M_U1162220M

 *  1. 상품 문의 상세
*/

//page 컨트롤 클래스
CurrentView = {
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnQnaList").unbind().bind( "click", this.event.onclick_btnQnaList );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getBoardDetailInfo(params);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getBoardDetailInfo : function(params) {
				var html = "";
				var html_answer = "";
				
				this.goodsName  = params.goodsName;
				this.goodsId    = params.goodsId;
				this.brandName  = params.brandName;
				this.imageURL   = params.imageURL;
				this.question   = params.question;
				this.answer     = params.answer;
				this.category   = params.category;
				this.uploadDate = params.uploadDate;

				var answer = this.answer;
				if ( answer == null || answer == "" ) {
					answer = "현재 미답변 상태 입니다.";
				} 
				
				var imageLink = Ns.Util.getImageUrl(String(this.goodsId), "C");
				var noImageUrl = Const.NO_IMAGE_URL +  'noimage_C.jpg';
				
				html = Ns.Util.stringFormat('\
					<ul class="item-display theme-b detail">\
						<li class="items">\
							<div class="wrap">\
								<div class="thumbnail">\
									<a href="javascript:CurrentView.event.onclick_boardDetailItem(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
								</div>\
								<div class="field">\
									<p class="title"><a href="javascript:CurrentView.event.onclick_boardDetailItem(\'{3}\');"><strong>{4}</strong></a></p>\
								</div>\
							</div>\
						</li>\
					</ul>', 
					this.goodsId, imageLink, noImageUrl, this.goodsId, 
					(this.brandName && this.brandName != '미정의' ? "[" + this.brandName + "]" : "") + this.goodsName );
				
				$("#ulBoardDetailItem").html(html);
			
				html_answer = Ns.Util.stringFormat('\
					<ul class="board-list theme-a">\
						<li>\
							<div class="wrap">\
								<div class="field">\
									<p class="sort">[{0}]</p>\
									<p class="title mt10 tbold">{1}</p>\
								</div>\
								<div class="meta-data">\
									<span class="date"><span class="head">등록일</span> <span class="text">{2}</span></span>\
								</div>\
								<div class="answer_area2">\
									<p class="answer"><strong class="label comment type01"><span class="head">답변</span></strong> \{3}</p>\
								</div>\
							</div>\
						</li>\
					</ul>', this.category, this.question, this.uploadDate, answer );
				$("#ulBoardDetailAnswer").html(html_answer);
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//상품문의/답변 목록보기 버튼 클릭.
			onclick_btnQnaList : function() {
				var param = {};
				//mainCtrl.navigate("M_U1173100M", param );
				mainCtrl.navigate("M_U1162210M", param );
			},
			
			// 해당 상품의 상세보기 화면으로 이동
			onclick_boardDetailItem : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;

				mainCtrl.navigate( "M_G2600000M", param ); 				
			}			
		}
}; 