
/* JavaScript content from js/mypage/M_U1171100M.js in folder common */
/* 
 *	마이페이지 
 *  ID : M_U1171100M

 *  1. 배송지 관리.
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		SHIPPING_ADDR : null,
		m_addressList : null,
		totalAddress : -1,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnRegisterShippingAddress").unbind().bind( "click", this.event.onclick_btnRegisterShippingAddress );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			// 쿠키를 추출한다.
			var securityVerification = Ns.Cookie.getCookie("securityVerification");
	        
			if(securityVerification.trim() == "Y"){
				//쿠키 삭제
				Ns.Cookie.deleteCookie("securityVerification");
				this.data.getShippingAddressList();
			}else{
				var param = new Object();
				param.type = "shippingAddress";
				mainCtrl.navigate('M_U1171501M',param);
			}
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			//배송지 조회..
			getShippingAddressList : function() {
				var param = {};

				param.processFlag = "LIST";
				param.userId = USERINFO.userId();
				param.address_id = "";
				
				tran.callWCSJsonTran( 'NSShippingAddressAccessCmdReal', param, CurrentView.data.onReponseShippingAddressList );
			},
			
			onReponseShippingAddressList : function( data ) {
				CurrentView.SHIPPING_ADDR = null;
				$("#divShippingAddressListArea").html( "" );
				
				var addressList = data.msg.addressList;
				CurrentView.totalAddress = addressList.length;
				if( addressList == undefined || addressList == null || addressList == "" ) {
					CurrentView.ui.noResultDataHtml();
					return false;
				}
				$("#divShippingAddressListArea").show();
				
				CurrentView.SHIPPING_ADDR = addressList; //전역으로 저장. 
				CurrentView.m_addressList = addressList;
				CurrentView.ui.makeHtmlShippingAddrInfo( addressList );
			},
			
			//배송지 주소 삭제.. 
			removeShippingAddressInfo : function( params ) {
				Ns.Popup.confirm('선택한 배송지를 삭제하시겠습니까?', function(){
					//확인 버튼 : 삭제 프로세스 실행
					tran.callWCSJsonTran( 'NSShippingAddressAccessCmdReal', params, CurrentView.data.onReponseRemoveShippingAddress );
				}, null);
			},
			
			//배송지 삭제 callback function..
			onReponseRemoveShippingAddress : function( data ) {
				var message = data.msg.message;
				//var isSuccess = data.msg.isSuccess;
				
				Ns.Popup.alert( message, function() {
					navi.setMovePointer(-1);
					CurrentView.data.getShippingAddressList(); 
				} );
				
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			noResultDataHtml : function() {
				$("#divShippingAddressListArea").hide();
				$("#divNoShippingAddress").show();
			},
			
			makeHtmlShippingAddrInfo : function( addrList ) {
				var html = "";
				// inQkang 배송지선택 개편
				$('#delivery_text').text('현재 배송주소록에 주소가 ' + addrList.length + '개 있습니다.');
				for ( var i=0; i<addrList.length; i++ ) {
					var items = addrList[i];
					
					var primaryText = "";
					var address = "";
					var phone = "";
					var css = "";
					
					if ( items.isPrimary == 1 ) {
						// inQkang 배송지선택 개편
						//primaryText = '<strong class="em rate-h">[기본배송지]</strong>'; //기본 배송지.
						primaryText = '<span class="basic">[ 기본배송지 ]</span>';
						css = "default-delivery";
					} else {
						css = "add-delivery";
					}

					var zipType = items.zipType;
					
					var zip_code = parseInt(items.zip_code) || 0;
					if ( zip_code == 0) {
						zip_code = "";
					} else {
						zip_code = items.zip_code;
					}
					address = items.addressBas + " " + items.addressDtl;
					
					if ( items.phone2 != null && items.phone2 != "" ) {
						// inQkang 배송지선택 개편
						// phone = items.phone1 + " / " + items.phone2;
						phone = '<span class="num">' + items.phone1 + '</span><span class="num">' + items.phone2 + '</span>';
					} else {
						// inQkang 배송지선택 개편
						// phone = items.phone1;
						phone = '<span class="num">' + items.phone1 + '</span>';
					}
					
					// inQkang 배송지선택 개편
					if(items.isPrimary == 1){
						html +=  Ns.Util.stringFormat('\
								<li>\
								<div class="info">\
									<span class="name"><strong>{1}</strong> / {2} {3}</span>\
								</div>\
								<div class="addr">{4} ) {5}</div>\
								<div class="tel">\
									{6}\
								</div>\
								<div class="buttons">\
								    <a class="btn_modify" href="javascript:CurrentView.event.onclick_btnModifyAddress(\'{7}\',\'{8}\');"><span>수정</span></a>\
									<a class="btn_delete" href="javascript:CurrentView.event.onclick_btnModifyAddress(\'{9}\',\'{10}\');" value="{11}"><span>삭제</span></a>\
								</div>\
							</li>', css, items.nickName, items.lastName, primaryText, zip_code, address, phone, i, 'MODIFY',  i, 'DELETE' , items.isPrimary);
					}else{
						html +=  Ns.Util.stringFormat('\
								<li>\
								<div class="info">\
									<span class="name"><strong>{1}</strong> / {2} {3}</span>\
								</div>\
								<div class="addr">{4} ) {5}</div>\
								<div class="tel">\
									{6}\
								</div>\
								<div class="buttons">\
									<a class="btn_delete" href="javascript:CurrentView.event.onclick_btnBaseAddress(\'{12}\',\'{13}\');"><span>기본배송지등록</span></a>\
								    <a class="btn_modify" href="javascript:CurrentView.event.onclick_btnModifyAddress(\'{7}\',\'{8}\');"><span>수정</span></a>\
									<a class="btn_delete" href="javascript:CurrentView.event.onclick_btnModifyAddress(\'{9}\',\'{10}\');" value="{11}"><span>삭제</span></a>\
								</div>\
							</li>', css, items.nickName, items.lastName, primaryText, zip_code, address, phone, i, 'MODIFY',  i, 'DELETE' , items.isPrimary, i, 'MODIFY');
					}
					
 
				}
				$("#divShippingAddressListArea").html( html );
				$("span a[value=1]").hide();
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//배송지 추가 버튼 클릭.
			onclick_btnRegisterShippingAddress : function() {
				var param = {};
				param.processFlag= "INSERT";
				param.totalAddress = CurrentView.totalAddress;
				
				// inQkang 배송지선택 개편 start
				try{
					// 배송주소록 max size(30)을 넘는지 check
					tran.callWCSJsonTran( "NSMypageCommCmd", 						
						{
							"tasknm" : "maxCnt",
							"var" : USERINFO.userId()
						}, 
						function (data){
							if(data != null && data.list != null && "insert" == data.list.resultCd){  // 입력 가능 상태
								mainCtrl.navigate("M_U1171200L", param );
									
							} else {
									// 30개 이상 등록 불가 
								Ns.Popup.alert("배송지는 30개까지 등록하실 수 있습니다. 배송주소록을 관리하신 후 추가해 주세요.");
								return false;

							}
						}
					);					
				} catch (e) {
					// handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(M_B1310002P_11)" + e, function (){
						navi.naviBack();
					});
					
					return ;
				} // inQkang 배송지선택 개편 end 
				
			},
			
			//수정-삭제.. 버튼을 클릭했을 경우. 
			onclick_btnModifyAddress : function( idx, processFlag ) {
				var items = CurrentView.m_addressList[idx];
				
				var param = items;
				
				if(items.isPrimary == 1 && processFlag == "DELETE"){
					Ns.Popup.alert('기본 배송지는 변경만 가능합니다.');
				} else {
					param.processFlag= processFlag;
					param.userId = USERINFO.userId();
					param.address_id = param.address_id;
					
					if ( processFlag == "DELETE" ) {
						CurrentView.data.removeShippingAddressInfo( param );
					} else {
						mainCtrl.navigate("M_U1171200L", param );
					}
				}
			},
			
			//기본배송지로
			onclick_btnBaseAddress : function( idx, processFlag ) {
				var items = CurrentView.m_addressList[idx];
				
				var params = items;
				params.processFlag= processFlag;
				params.userId = USERINFO.userId();
				params.isPrimary = 1; //기본배송지 셋팅
				params.URL = "NSShippingAddressCmd";

				Ns.Popup.confirm('회원정보에 등록된 주소지를 변경된 기본 배송지 주소로 업데이트 하시겠습니까?', function(){
					//확인 버튼 : 배송지수정 프로세스 실행
					tran.callWCSJsonTran( 'NSShippingAddressAccessCmdReal', params, CurrentView.event.onReponseInsertShippingAddress );
				}, null);
 
			},
			
			//배송지 수정 callback function..
			onReponseInsertShippingAddress : function( data ) {
				var message = data.msg.message;
				var isSuccess = data.msg.isSuccess;
				
	 
				if ((null == message || undefined == message) && (null !=  data.msg.msg.message || undefined != data.msg.msg.message)) {
					message = data.msg.msg.message;
					isSuccess = data.msg.msg.isSuccess;
				}
				
				Ns.Popup.alert( message, function() {
					navi.setMovePointer(-1);
					CurrentView.data.getShippingAddressList(); 
				} );
 
			}
			
		}
}; 