
/* JavaScript content from js/mypage/M_U1171200L.js in folder common */
/* 
 *	마이페이지 - 배송지 관리 - 배송지 추가. 
 *  ID : M_U1171200L

 *  1. 배송지 추가
 *  Link 1. 우편번호 조회
 *  Link 2. 배송지 조회 화면(M_U1171100M);
*/

//page 컨트롤 클래스
CurrentView = {
		processFlag : null, //추가냐 수정이냐?
		address_id : "", //수정일 경우 address_id
		addrFlag : null, //주소정보가 도로명주소냐 새주소냐?
		totalAddress : 0, // 현재 주소록에 등록 된 총 배송지 수
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnPostCode").unbind().bind( "click", this.event.onclick_btnPostCode ); //우편번호 찾기 
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //배송지 등록 취소
			$("#btnOK").unbind().bind( "click", this.event.onclick_btnOK ); //배송지 등록
			$('input:checkbox[id="chkBasic"]').off().on("change",this.event.onchange_chkBasic); // 기본 배송지 등록 체크 박스
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.ui.setDefaultValue( params ); //processFlag가 MODIFY인 경우.. 
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			insertShippingAddress : function() {
				var isTrue = CurrentView.data.checkEssentialInputValues();
				if( !isTrue ) return false;
				
				var addrAlias = $( "#addrAlias" ).val();
				var chkBasic = $('input:checkbox[id="chkBasic"]:checked').val();
				if ( chkBasic != "Y" ) chkBasic = "N";
				
				var receiver = $.trim( $( "#receiver" ).val() );
//				var hpno = $.trim( $( "#hpno" ).val() );
				var hpno = $.trim($( "#hpno1" ).val()) + $.trim($( "#hpno2" ).val()) + $.trim($( "#hpno3" ).val());
				hpno = Ns.Util.insertSeparatorPhoneNumber(hpno, "-");
//				var telno = $.trim( $( "#telno" ).val() );
				var telno = $.trim($( "#telno1" ).val()) + $.trim($( "#telno2" ).val()) + $.trim($( "#telno3" ).val());
				telno = Ns.Util.insertSeparatorPhoneNumber(telno, "-");
				var postcode = $("#postcode").val();
				var addr = $.trim( $("#addr").val() );
				var addrDetail = $.trim( $( "#addrDetail" ).val() );
				var zipType = $("#addrFlag").val();

				var params = {};
				params.processFlag = CurrentView.processFlag;
				params.address_id = CurrentView.address_id;
				params.userId = USERINFO.userId();
				params.nickName = addrAlias;
				params.lastName = receiver;
				params.zip_code = postcode;
				params.zip_codeS = postcode;
				params.zipType = zipType;
				
				if( CurrentView.addrFlag == "N" ) { //도로명 주소이면. 
					params.zipType = "200";
				} else if( CurrentView.addrFlag == "L" ){
					params.zipType = "100";
				}
				params.addressBas = addr;
				params.addressDtl = addrDetail;
				// inQkang 배송지 개편 start
				params.addressBasS = $("#SEC_ADDRESS1").val();  
				params.addressDtlS = $("#SEC_ADDRESS2").val();  
				// inQkang 배송지 개편 end
				//일반= 'T', SK= 'S', KT= 'K', LG= 'L')
				params.isPrimary = ( chkBasic == "Y" ) ? "1" : "0";
				params.phone1 = hpno;
				params.URL = "NSShippingAddressCmd";
				if( telno.length > 0 ) {
					params.phone2 = telno;
				}
				
				if($('input:checkbox[id="chkBasic"]:checked').val() == "Y"){
					Ns.Popup.confirm('회원정보에 등록된 주소지를 변경된 기본 배송지 주소로 업데이트 하시겠습니까?', function(){
						navi.setMovePointer(-1);
						//확인 버튼 : 등록 프로세스 실행
						// app이 아닐경우 iframe 방식처리
						/*if (Const.IS_DEV_MODE){	// 개발환경
							if (location.hostname.indexOf(".nsmall.com") > -1){	// .nsmall.com 도메인일 경우 실행(로컬에서는 미실행 하기 위해)
								if (mainCtrl.isOsApp() == false && location.protocol.indexOf("https") == -1){
									CurrentView.data.sslTran_NSShippingAddressAccessCmdReal(params);
									return false;
								}
							}
						} else {	// 운영환경
							if (mainCtrl.isOsApp() == false && location.protocol.indexOf("https") == -1){
								CurrentView.data.sslTran_NSShippingAddressAccessCmdReal(params);
								return false;
							}
						}*/
						
						tran.callWCSJsonTran( 'NSShippingAddressAccessCmdReal', params, CurrentView.data.onReponseInsertShippingAddress );
					}, null);	
				} else {
					// app이 아닐경우 iframe 방식처리
					/*if (Const.IS_DEV_MODE){	// 개발환경
						if (location.hostname.indexOf(".nsmall.com") > -1){	// .nsmall.com 도메인일 경우 실행(로컬에서는 미실행 하기 위해)
							if (mainCtrl.isOsApp() == false && location.protocol.indexOf("https") == -1){
								CurrentView.data.sslTran_NSShippingAddressAccessCmdReal(params);
								return false;
							}
						}
					} else {	// 운영환경
						if (mainCtrl.isOsApp() == false && location.protocol.indexOf("https") == -1){
							CurrentView.data.sslTran_NSShippingAddressAccessCmdReal(params);
							return false;
						}
					}*/
					
					tran.callWCSJsonTran( 'NSShippingAddressAccessCmdReal', params, CurrentView.data.onReponseInsertShippingAddress );
				}
			},
			
			/**
			 * 배송지 수정 통신을 ssl로 통신을 처리한다.
			 */
			sslTran_NSShippingAddressAccessCmdReal : function (params){
				$("#iframe_link").remove();	// iframe 삭제
				$("#sslForm").remove();
				
				var src = "https://" + Const.MOBILE_NSMALL_PATH + "/mjsp/site/sslLink.jsp";
				$("body").append("<iframe id=\"iframe_link\" name=\"iframe_link\" style=\"display : none; width: 0px; height: 0px;\" ></iframe>");
				$("body").append('<form id="sslForm" target="iframe_link" action="' + src + '" method="post"></form>');
				$("#sslForm").append('<input type="hidden" id="sslForm_apiName" name="sslForm_apiName" value="" />');
				$("#sslForm").append('<input type="hidden" id="sslForm_linkType" name="sslForm_linkType" value="" />');
				$("#sslForm").append('<input type="hidden" id="sslForm_paramData" name="sslForm_paramData" value="" />');
				$("#sslForm").append('<input type="hidden" id="sslForm_callbackName" name="sslForm_callbackName" value="" />');
				
				$("#sslForm_apiName").val("NSShippingAddressAccessCmdReal");
				$("#sslForm_linkType").val("normal");
				$("#sslForm_paramData").val(JSON.stringify(params));
				$("#sslForm_callbackName").val("CurrentView.data.onReponseInsertShippingAddress");
				
				$("#sslForm").submit();
			},
			
			//배송지 추가 Callback function
			onReponseInsertShippingAddress : function( data ) {
				var message = data.msg.message;
				var isSuccess = data.msg.isSuccess;
				
				// 20160707 정헌태 수정 - api output이 개발과 운영이 상이하여 일단 별개 예외처리
				if (null == message || undefined == message){
					message = data.msg.msg.message;
					isSuccess = data.msg.msg.isSuccess;
				}
				
				Ns.Popup.alert( message, function() {
					navi.setMovePointer(-1);
					if( isSuccess == 1 ) {
						var param = {};
						mainCtrl.navigate("M_U1171100M", param);
					}
				});
			},
			
			//필수 입력 정보를 체크한다. 
			checkEssentialInputValues : function() {
				var addrAlias 	= $.trim( $( "#addrAlias" ).val() );
				var chkBasic 	= $('input:checkbox[id="chkBasic"]:checked').val();
				if ( chkBasic != "Y" ) chkBasic = "N";
				
				var receiver 	=  $.trim( $( "#receiver" ).val() );
//				var hpno 		= $.trim( $( "#hpno" ).val() );
				var hpno = $("#hpno1").val() + $("#hpno2").val() + $("#hpno3").val()
//				var telno 		= $.trim( $( "#telno" ).val() );
				var telno = $("#telno1").val() + $("#telno2").val() + $("#telno3").val()
				var postcode 	= $("#postcode").val();
				var addr 		=  $.trim( $("#addr").val() );
				var addrDetail 	=  $.trim( $( "#addrDetail" ).val() );
				
				if( addrAlias == "" ) {
					Ns.Popup.alert( "배송지명을 정확히 입력하세요." );
					return false;
				} else if( receiver == "" || receiver.length<2 ) {
					Ns.Popup.alert( "받으시는 분 이름을 정확히 입력하세요." );
					return false;
				} else if( hpno == "" || hpno.length<10 ) {
					Ns.Popup.alert( "휴대폰 연락처를 정확히 입력하세요." );
					return false;
				} else if( telno.length > 0 && telno.length < 9 ) {
					Ns.Popup.alert( "추가연락처 정보를 정확히 입력하세요." );
					return false;
				} else if( postcode == "" ) {
					Ns.Popup.alert( "우편번호를 검색하세요." );
					return false;
				} else if( addr == "" ) {
					Ns.Popup.alert( "주소를 입력하세요.." );
					return false;
				} else if( addrDetail == "" ) {
					Ns.Popup.alert( "상세 주소를 입력하세요.." );
					return false;
				}
				
				return true;
			},
			
			setPostCode : function( postinfo ) {
				mainCtrl.hidePostCodeWindows();
				if ( postinfo == null ) return false;
				$("#postcode").val( postinfo.postno );
				$("#addr").val( postinfo.address );
				$("#addrDetail").val( postinfo.addrDetail );  
				// inQkang 배송지 개편 START
				$("#zipcode").val( postinfo.zipcode );  
				$("#addrFlag").val( postinfo.addrFlag );  
				$("#SEC_ADDRESS1").val( postinfo.SEC_ADDRESS1 );  
				$("#SEC_ADDRESS2").val( postinfo.SEC_ADDRESS2 ); 
				// inQkang 배송지 개편 END
				
				CurrentView.addrFlag = postinfo.addrFlag;
			}
		}, // end data function area
		
		//ui 관련 함수를 정의한다.
		ui : {
			//배송지 관리 페이지에서 수정 버튼을 클릭했을 때 처리한다. 
			setDefaultValue : function( params ) {
				CurrentView.processFlag = params.processFlag;
				
				//2018-11-20 ssong 첫배송지 일때 기본배송지 셋팅
				CurrentView.totalAddress = params.totalAddress;
				if ( params.processFlag == "INSERT" ){
					if ( params.totalAddress == 0 ){
						$('input:checkbox[id="chkBasic"]').prop("checked",true);
					}					
					return false;
				}
				
				CurrentView.address_id = params.address_id;
				
				var zipType = params.zipType; //L590922

				var zip_code = parseInt(params.zip_code) || 0;
				if ( zip_code == 0) {
					$("#postcode").val( "" );
				} else {
					$("#postcode").val( params.zip_code );
				}
				
				$( "#addr" ).val( params.addressBas );
				$( "#addrDetail" ).val( params.addressDtl );
				
				$( "#addrAlias" ).val( params.nickName );
				$( "#receiver" ).val( params.lastName );
				
				var phone1 = params.phone1;
				var phone2 = params.phone2;
				
				if (null != phone2 && undefined != phone2 && $.trim(phone2) != ""){
					$("#divAddPone").show();
				} else {
					$("#divAddPone").hide();
				}
				
				$("#hpno1").val(Ns.Util.getPhoneNumber(phone1, "1"));
				$("#hpno2").val(Ns.Util.getPhoneNumber(phone1, "2"));
				$("#hpno3").val(Ns.Util.getPhoneNumber(phone1, "3"));
				
				$("#telno1").val(Ns.Util.getPhoneNumber(phone2, "1"));
				$("#telno2").val(Ns.Util.getPhoneNumber(phone2, "2"));
				$("#telno3").val(Ns.Util.getPhoneNumber(phone2, "3"));
				
//				$( "#hpno" ).val( phone1.replace(/-/gi,"") );
//				$( "#telno" ).val( phone2.replace(/-/gi,"") );

				if ( params.isPrimary == "1" ) {
					$('input:checkbox[id="chkBasic"]').attr("checked",true);
				}
				
				//지번주소 초기 셋팅
				$("#SEC_ADDRESS1").val(params.addressBasS);
				$("#SEC_ADDRESS2").val(params.addressDtlS);
				$("#zipcode").val( params.zip_code );
				$("#addrFlag").val( params.zipType );
			},
			
		}, // end ui function area
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//우편번호 찾기  버튼 클릭
			onclick_btnPostCode : function() {
				var param = {};
				param.callback = CurrentView.data.setPostCode;
				mainCtrl.showPostCodeWindows( param );
			},
			
			//배송지 등록 취소  버튼 클릭
			onclick_btnCancel : function() {
				//mainCtrl.onBackButtonPressed();
				mainCtrl.navigate( "M_U1171100M" );
			},
			
			//배송지 등록  버튼 클릭
			onclick_btnOK : function() {
				CurrentView.data.insertShippingAddress();
			},
			
			// 기본 배송지 등록 체크 박스
			onchange_chkBasic : function(){
				if( CurrentView.totalAddress == 0 ){
					Ns.Popup.alert( "최초 등록하시는 배송지는 기본배송지로 자동 설정됩니다.");
					$('input:checkbox[id="chkBasic"]').prop("checked",true);
				}
			}
		} //end event function area 
}; 