
/* JavaScript content from js/mypage/M_U1171500M.js in folder common */

/** 
* @Author SGM
 *	회원정보 변경 - 정보입력
 *  ID : M_U1171500M
 * 
 **/

//page 컨트롤 클래스
CurrentView = {
		authObj : null,
		phone : null,
		isCertCheck : false,
		
		// 비밀번호 조합 검사
		pwdGradeCode 	: "",
		pwdMsg		: "",
		
		PopupMsg : {
			
			MEMBER_REPWD_EMPTY		: "비밀번호 확인이 입력되지 않았습니다.",
			MEMBER_REPWD_MISSMATCH 	: "비밀번호가 일치하지 않습니다.",
			
			MEMBER_PHONE_EMPTY 		: "연락처를 정확히 입력해 주세요.",

			MEMBER_CERT_FIRST		: "인증번호 발송을 선택해 주세요.",
			MEMBER_CERT_DUPLECATE	: "이미 인증이 되었습니다.",
			MEMBER_CERT_LENGTH		: "올바른 인증번호를 입력해 주세요.",
			MEMBER_CERT_SUCCESS		: "인증 되었습니다.",
			MEMBER_CERT_FAIL		: "인증에 실패하였습니다.",
			
			MEMBER_ZIPCODE_STRING	: "숫자만 입력해 주세요",
			MEMBER_ZIPCODE_EMPTY	: "우편번호를 입력해 주세요",

			MEMBER_ADDR_EMPTY		: "배송지를 입력해 주세요",
				
			SYSTEM_ERROR			: "시스템 오류입니다. 고객분들께 불편을 드려 죄송합니다. 관리자에게 문의 바랍니다.",	
		},
		
		inputParams : null,
		outputParams : null,

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
		//회원정보 변경 버튼
			$("#btnChangePassword").unbind().bind( "click", CurrentView.event.onclick_btnChangePersonal );
			$("#btnPostCode").unbind().bind( "click", CurrentView.event.onclick_btnPostCode );
			$("#btnSendCertNumber").on("click", CurrentView.event.onclick_btnSendCertNumber );
			$("#btnChkCertNumber").on("click", CurrentView.event.onclick_btnChkCertNumber );
			$("#alarmSettingItems").hide();
			$("#btnNaverRelease").on("click", CurrentView.event.onclick_btnNaverRelease );
			$("#btnPaycoRelease").on("click", CurrentView.event.onclick_btnPaycoRelease );
			$("#btnKakaoRelease").on("click", CurrentView.event.onclick_btnKakaoRelease );
			
			if (mainCtrl.VIEW_TYPE == "ios") {
				$("#txtPassword").on("focusout", CurrentView.event.onfocusout_checkPassword);
			}else{
				$("#txtPassword").on("keyup", CurrentView.event.onkeyup_checkPassword);
			}
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			// 쿠키를 추출한다.
			var securityVerification = Ns.Cookie.getCookie("securityVerification");
	        
			if(securityVerification.trim() == "Y"){
				//쿠키 삭제
				Ns.Cookie.deleteCookie("securityVerification");
		        
				tran.callWCSJsonTran('MobilePersonalInfoManageCmdReal',{processFlag : "List"},CurrentView.data.initPersonInfo,null,null,null,false);
			}else{
				var param = new Object();
				param.type = "personal";
				mainCtrl.navigate('M_U1171501M',param);
			}
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			//초기 데이터 받기
			initPersonInfo : function(data){
				var info = data.msg.root;
				var name = info.PersonalInfo.lastName;
				
				//로그인 연동 유무 확인
				var contents = info.entInfoList.length;
				
				if (contents != null || contents != undefined || contents != ""){
					for (var i = 0; i < info.entInfoList.length; i++){
						if (info.entInfoList[i].entFlag == "NAVER"){
							$("#btnNaverRelease").show();
						} 
						
						if (info.entInfoList[i].entFlag == "PAYCO"){
							$("#btnPaycoRelease").show();
						} 
						
						if (info.entInfoList[i].entFlag == "KAKAO"){
							$("#btnKakaoRelease").show();
						} 
					}
				}
				
				var birth = Ns.Util.isNull(info.PersonalInfo.birth) ? "" : info.PersonalInfo.birth;
				var gender = Ns.Util.isNull(info.PersonalInfo.gender) ? "" : info.PersonalInfo.gender;

				if ( birth != "" && gender != "" ){
					name = name + " (" + birth + " / " + gender +")";
				} else if ( birth == "" && gender != ""){
					name = name + " ( " + gender + " )";
				} else if ( gender == "" && birth != ""){
					name = name + " ( " + birth + " )";
				}
				//회원 이름
				$("#txtName").html( name ); 
				//회원 이메일
				var email = info.PersonalInfo.logonId;
				$("#txtEmail").html( email );
				
				//통신사 선택
				switch(info.PersonalInfo.phoneType){
					case "10" : 
						$("#selCompany > option[value=10]").prop("selected",true);	
						break;
					case "20" : 
						$("#selCompany > option[value=20]").prop("selected",true);	
						break;
					case "30" : 
						$("#selCompany > option[value=30]").prop("selected",true);	
						break;
					case "70" : 
						$("#selCompany > option[value=70]").prop("selected",true);	
						break;
					default : 
						$("#selCompany > option[value='']").prop("selected",true);
				};
				
				//기존 핸드폰 번호
				if(!Ns.Util.isNull( info.PersonalInfo.phoneNum )){
					$("#txtHp").val(info.PersonalInfo.phoneNum);
				}
				
				//우편번호
				if(!Ns.Util.isNull(info.PersonalInfo.zipCode)){
					$("#zipCode").val( info.PersonalInfo.zipCode );
				}
				
				//주소
				if(!Ns.Util.isNull( info.PersonalInfo.zipType )){
					if( info.PersonalInfo.zipType == "200" ){
						var addr = info.PersonalInfo.address1.split('&amp;:');
						$("#txtAddress1").html( CurrentView.data.strNullCheck(addr[0]) );
						$("#txtAddress2").html( CurrentView.data.strNullCheck(addr[1]) );
					}
					else{
						$("#txtAddress1").html( CurrentView.data.strNullCheck(info.PersonalInfo.address2) );
						$("#txtAddress2").html( CurrentView.data.strNullCheck(info.PersonalInfo.address3) );
					}
				}
				
				//SMS수신동의
				if( info.PersonalInfo.smsYn == "Y") 
					$("#radioSmsAgree").prop("checked",true);
				else 
					$("#radioSmsDisAgree").prop("checked",true);
				
				//email수신동의
				if( info.PersonalInfo.emailYn == "Y") 
					$("#radioEmailAgree").prop("checked",true);
				else 
					$("#radioEmailDisAgree").prop("checked",true);

				//TM수신동의
				if( info.PersonalInfo.tmYn =="Y") 
					$("#radioTmAgree").prop("checked",true);
				else 
					$("#radioTmDisAgree").prop("checked",true);

				CurrentView.inputParams = info;
			},
			
			changePassCallback : function(data){
				var change_yn = data.msg.root.Searchresult.change_yn; 
				if(change_yn == 'Y' || change_yn == 'y'){
					// 2018.11.08 kimjh 구글 스마트락 비밀번호 변경시 다시 저장
					var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
					if(mainCtrl.VIEW_TYPE == "android" && version >= 2928){
						// 비밀번호가 있을 때만 저장 진행.
						var pw = $("#txtPassword").val();
						var id = USERINFO.logonId();
						if (!Ns.Util.isNull(pw)){
							NSCustom.SL_SaveCredential(id,pw);
						}
					}
					// kimjh 구글 스마트락 end
					return false;
				}else{
					Ns.Popup.alert("비밀번호 변경에 실패하였습니다.");
					return false;
				}
			},
			
			changePassNextCallback : function(data){
				var change_yn = data.msg.root.Searchresult.change_yn; 
				if(change_yn == 'Y' || change_yn == 'y'){
					mainCtrl.linkFrame("MobilePersonalInfoManageCmdReal", "normal", CurrentView.outputParams, "CurrentView.data.changePersonalCallback");
					return false;
				}else{
					Ns.Popup.alert("비밀번호 변경에 실패하였습니다.");
					return false;
				}
			},
			
			//수정될 개인정보 값을 입력
			PersnalValueInput : function(){
				var invokeParam={};
				
				invokeParam.processFlag = "Modify";														//프로세스 구분
				
				/*개인 정보*/
				if(!Ns.Util.isNull(CurrentView.inputParams.PersonalInfo.relBirth)){							//실제 생일
					if(CurrentView.inputParams.PersonalInfo.relBirth.length == 6)
						invokeParam.relBirth	= "19"+CurrentView.inputParams.PersonalInfo.relBirth;
					else
						invokeParam.relBirth	= CurrentView.inputParams.PersonalInfo.relBirth;
				}
				else
					invokeParam.relBirth	= "";

				
				invokeParam.birthLS = "Y";
				if (undefined != CurrentView.inputParams.PersonalInfo.relBirthType && null != CurrentView.inputParams.PersonalInfo.relBirthType){
					invokeParam.birthLS = CurrentView.inputParams.PersonalInfo.relBirthType;
				}
				
				invokeParam.newsagency	= $("#selCompany").val();											//휴대폰 통신사
				
				var txtHp = $.trim($("#txtHp").val());
				
				var hpFirst = txtHp.substring(0,3);
				var hpMid  =  txtHp.substring(3,7);
				var hpLast =  txtHp.substring(7,11);

				var phone = hpFirst + "-" + hpMid + "-" + hpLast;
				
				invokeParam.phone1		= phone;	//휴대폰 번호
				invokeParam.phone2		= Ns.Util.insertSeparatorPhoneNumber(CurrentView.inputParams.PersonalInfo.telNum,"-");	//휴대폰 번호
				
				invokeParam.zipCode		= $("#zipCode").val();	//우편번호
				invokeParam.zipType		= CurrentView.inputParams.PersonalInfo.zipType;	//주소 타입 (100=지번,200=도로명)

				invokeParam.address1	= $("#txtAddress1").html();
				invokeParam.address2	= $("#txtAddress2").html();
				
				invokeParam.email01		= CurrentView.data.strNullCheck(CurrentView.inputParams.PersonalInfo.email1);
				invokeParam.email02		= CurrentView.data.strNullCheck(CurrentView.inputParams.PersonalInfo.email2);

				invokeParam.smsYn		= $("input:radio[id='radioSmsAgree']").is(":checked") == true ? "Y" : "N";	//SMS수신동의 여부
				invokeParam.emailYn		= $("input:radio[id='radioEmailAgree']").is(":checked") == true ? "Y" : "N";//Email수신동의 여부
				invokeParam.TMYn		= $("input:radio[id='radioTmAgree']").is(":checked") == true ? "Y" : "N";	//tm수신동의 여부
				
				invokeParam.addressId	= CurrentView.inputParams.PersonalInfo.addressId;	//주소지번호 (필수 입력값)
				
				CurrentView.outputParams = invokeParam;
			},
			
			//개인정보 변경 callback
			changePersonalCallback : function(data){
				if (data.msg.root.successYn == "Y"){
					mainCtrl.setUserInfo('telNo', Util.prototype.insertSeparatorPhoneNumber($("#txtHp").val(), "-"));
					// AIQUA
					mainCtrl.userProfileToAIQUA(null, null, null, USERINFO.telNo());
				}
				
				var msg = data.msg.root.resultMsg;
				Ns.Popup.alert( msg, function(){
					navi.setMovePointer(-1);
					mainCtrl.gotoMypage();
					return false;
				});
			},
			
			//필수 입력값 체크. 
			checkEssentialInputValues : function() {
				var pwd 		= $("#txtPassword").val();
				var rePwd 		= $("#txtRePassword").val();
				var phone		= $("#txtHp").val();
				var zipCode		= $.trim($("#zipCode").val());
				var checkResult = function(selector){
					$('#'+selector).val('').focus();
				};
				
				//비밀번호 확인 체크(공백 & 비밀번호 매치)
				if (!Ns.Util.isNull(pwd)){
					if(rePwd == ""){
						Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_REPWD_EMPTY, function(){
							navi.setMovePointer(-1);
							checkResult('txtRePassword');});										
						return false;
					}
				}
				
				if ( pwd != rePwd){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_REPWD_MISSMATCH, function(){
						navi.setMovePointer(-1);
						checkResult('txtRePassword');});										
					return false;
				}
				
				if ($.trim($("#txtHp").val()) == ""){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_PHONE_EMPTY, function(){
						navi.setMovePointer(-1);
						checkResult('txtHp');});										
					return false;
				}
				
				
				//연락처 체크(공백 & 형식)
				if (phone == "" || Util.prototype.isHPNo(Util.prototype.insertSeparatorPhoneNumber(phone.replace(/ /gi, "").replace(/-/gi, ""), "-")) == false){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_PHONE_EMPTY, function(){
						navi.setMovePointer(-1);
						checkResult('txtHpNO1');});										
					return false;
				}
				
				//우편번호 체크
				if(zipCode == "" ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ZIPCODE_EMPTY, function(){
							navi.setMovePointer(-1);
							checkResult('zipCode');});
							return false;
				}
				if(!Ns.Util.isNumeric(zipCode)){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_ZIPCODE_STRING, function(){
							navi.setMovePointer(-1);
							checkResult('zipCode');});
							return false;
				}
				
				//휴대폰 인증 체크
				if( CurrentView.inputParams.PersonalInfo.phoneNum != phone ){
					if ( CurrentView.isCertCheck == false ){
						Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_CERT_FIRST );
						return false;
					}
				}
				
				return true;
			},
			
			// 문자 null 체크
			strNullCheck : function( str ){
				if(Ns.Util.isNull(str))
					return "";
				else
					return str;
			},
			
			//인증번호 전송 callback
			callbackCertNumber : function( data ){
				var msg = data.msg.root.processMsg.sucessMsg;
				
				Ns.Popup.alert( msg );
			},
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_btnChangePersonal : function(){
				if(!CurrentView.data.checkEssentialInputValues()){
					return false;
				}else{
					CurrentView.data.PersnalValueInput();
				}
				
				var callbackFunc = function() {
					
					// 비밀번호 유효성 체크
					if(CurrentView.pwdGradeCode == '99'){
						Ns.Popup.alert( CurrentView.pwdMsg );					
						return false;
					} 
					
					var userPwd =  $("#txtPassword").val();
					var userRePwd = $("#txtRePassword").val();
					
					//비밀번호 변경란에 문자가 있을 때만 확인 후 이동
					if(!Ns.Util.isNull(userPwd) && !Ns.Util.isNull(userRePwd)){
						var newPass={
							userId : USERINFO.userId()
						};
						newPass.userPwd = userPwd;
						tran.callWCSJsonTran('NSPWChangeMoblieCmdReal', newPass , CurrentView.data.changePassCallback);
						
					}
				
					//회원정보 수정
					tran.callWCSJsonTran('MobilePersonalInfoManageCmdReal', CurrentView.outputParams , CurrentView.data.changePersonalCallback);
				}
				
				// 비밀번호 조합 검증 API 호출
				CurrentView.event.call_ValidatePassword(callbackFunc);
				
			},

			//우편번호 찾기
			onclick_btnPostCode : function(){
				mainCtrl.navigate("M_U1171100M");
			},
			
			//인증번호 확인
			onclick_btnChkCertNumber : function(){
				var authnumber = $.trim($("#certNumer").val());
				
				//인증번호 필드에 아무 값이 없을 경우
				if ( Ns.Util.isNull(authnumber) ){
					Ns.Popup.alert( CurrentView.PopupMsg.MEMBER_CERT_FIRST );
				}
				
				var invoke = CurrentView.authObj;
				invoke.authNumber = authnumber;
				invoke.authUsage = "6";
				invoke.pMode = "C";
				
				tran.callWCSJsonTran('NSPhoneCheckMoblieCmdReal', invoke, function( data ){
					var result = data.msg.root.processMsg.processMsg;
					var msg = data.msg.root.processMsg.sucessMsg;
					
					if( result == "S" || result == "s"){
						CurrentView.isCertCheck = true;
						$("#selCompany").attr("disabled",true);
						$("#txtHpNO1").attr("disbled", true);
						$("#txtHpNO2").attr("disbled", true);
						$("#txtHpNO3").attr("disbled", true);
						$("#certNumer").attr("disabled",true);
						$("#btnChkCertNumber").off();
						$("#btnSendCertNumber").off();
					}
					
					Ns.Popup.alert( msg );
				});
				
			},
			
			//인증번호 발송
			onclick_btnSendCertNumber : function(){
				//인증번호 요청시마다 항상 초기화
				CurrentView.authObj = null;
				CurrentView.isCertCheck = false;
				
				//txtHp
				var txtHp = $.trim($("#txtHp").val());
				
				var hpFirst = txtHp.substring(0,3);
				var hpMid  =  txtHp.substring(3,7);
				var hpLast =  txtHp.substring(7,11);
				
				//핸드폰자리가 11자리 이하일 경우
				if ( txtHp.length < 11 ){
					var msg = "휴대폰번호를 정확히 입력해주세요.";
					Ns.Popup.alert(msg);
					return false;
				}
				
				var phone = hpFirst + "-" + hpMid + "-" + hpLast;

				var invoke = {};
				invoke.userId = USERINFO.userId(); 
				invoke.pMode = "K";
				invoke.authUsage = "6";
				invoke.Phone = phone;
				
				CurrentView.authObj = invoke;
				
				tran.callWCSJsonTran('NSPhoneCheckMoblieCmdReal', invoke, CurrentView.data.callbackCertNumber );
			},
			
			//네이버연동해제 step1
			onclick_btnNaverRelease : function(){
				
				var strInventoryMsg = "Naver 연동이 해제됩니다. 정말로 연동을 해제 하시겠습니까?";
				
				// 메시지 변수에 값이 있으면 confirm 창 활성
				if (strInventoryMsg != ""){	
					Ns.Popup.confirm(strInventoryMsg,
						function (){	// 확인
							CurrentView.event.NaverReleaseAction();
						},
						function (){	// 취소

						}, 
						"확인",
						"취소"
					);
					
					return;
				}

			},
			
			//네이버연동해제 step2
			NaverReleaseAction : function(){
				var invokeParam={
						processFlag  : "Unlink",
						userId : mainCtrl.getUserInfo("userid"),
						accptPath : Const.getAcceptPath(),
						entFlag   : "NAVER"
				};
				
				tran.callWCSJsonTran('MobilePersonalInfoManageCmdReal',invokeParam ,CurrentView.event.NaverReleaseActionCallback);
			},
			
			//네이버연동해제 step2
			NaverReleaseActionCallback : function( data ){
				if( data.msg.root.successYn != "Y"){
					var msg = "네이버 연동시 에러가 발생하였습니다.";
					Ns.Popup.alert(msg);
					return;
				}
				
				if( data.msg.root.successYn == "Y"){
					var msg = "정상적으로 연동이 해제되었습니다.";
					Ns.Popup.alert(msg);
					
					navi.setMovePointer(-1);
					$("#btnNaverRelease").hide();
				}
				
			},
			
			//페이코연동해제 step1
			onclick_btnPaycoRelease : function(){
				
				var strInventoryMsg = "Payco 연동이 해제됩니다. 정말로 연동을 해제 하시겠습니까?";
				
				// 메시지 변수에 값이 있으면 confirm 창 활성
				if (strInventoryMsg != ""){	
					Ns.Popup.confirm(strInventoryMsg,
						function (){	// 확인
							CurrentView.event.PaycoReleaseAction();
						},
						function (){	// 취소

						}, 
						"확인",
						"취소"
					);
					
					return;
				}

			},
			
			//페이코연동해제 step2
			PaycoReleaseAction : function(){
				var invokeParam={
						processFlag  : "Unlink",
						userId : mainCtrl.getUserInfo("userid"),
						accptPath : Const.getAcceptPath(),
						entFlag   : "PAYCO"
				};
				
				tran.callWCSJsonTran('MobilePersonalInfoManageCmdReal',invokeParam ,CurrentView.event.PaycoReleaseActionCallback);
			},
			
			//페이코연동해제 step2
			PaycoReleaseActionCallback : function( data ){
				if( data.msg.root.successYn != "Y"){
					var msg = "페이코 연동시 에러가 발생하였습니다.";
					Ns.Popup.alert(msg);
					return;
				}
				
				if( data.msg.root.successYn == "Y"){
					var msg = "정상적으로 연동이 해제되었습니다.";
					Ns.Popup.alert(msg);
					
					navi.setMovePointer(-1);
					$("#btnPaycoRelease").hide();
				}
				
			},
			
			//카카오연동해제 step1
			onclick_btnKakaoRelease : function(){
				var strInventoryMsg = "카카오 연동이 해제됩니다. 정말로 연동을 해제 하시겠습니까?";
				
				// 메시지 변수에 값이 있으면 confirm 창 활성
				if (strInventoryMsg != ""){
					Ns.Popup.confirm(strInventoryMsg,
						function (){	// 확인
							CurrentView.event.KakaoReleaseAction();
						},
						function (){	// 취소
						}, 
						"확인",
						"취소"
					);
					return;
				}

			},
			
			//카카오연동해제 step2
			KakaoReleaseAction : function(){
				var invokeParam={
						processFlag  : "Unlink",
						userId : mainCtrl.getUserInfo("userid"),
						accptPath : Const.getAcceptPath(),
						entFlag   : "KAKAO"
				};
				
				tran.callWCSJsonTran('MobilePersonalInfoManageCmdReal', invokeParam, CurrentView.event.KakaoReleaseActionCallback);
			},
			
			//카카오연동해제 step2
			KakaoReleaseActionCallback : function( data ){
				if( data.msg.root.successYn != "Y"){
					var msg = "카카오 연동시 에러가 발생하였습니다.";
					Ns.Popup.alert(msg);
					return;
				}
				
				if( data.msg.root.successYn == "Y"){
					var msg = "정상적으로 연동이 해제되었습니다.";
					Ns.Popup.alert(msg);
					
					navi.setMovePointer(-1);
					$("#btnKakaoRelease").hide();
				}
				
			},
			
			// 비밀번호 onfocusout 함수
			onfocusout_checkPassword : function(){
				// 비밀번호 조합 체크
				CurrentView.event.call_ValidatePassword();
			},
			 
			// 비밀번호 onkeyup 함수
			onkeyup_checkPassword : function(){
				// 비밀번호 조합 체크
				CurrentView.event.call_ValidatePassword();
			},
			
			// 비밀번호 onkeyup 함수
			onkeyup_checkPasswordConfirm : function(){
				// 비밀번호 확인 체크
				var pwd =  $("#txtPassword").val();
				var rePwd = $("#txtRePassword").val();
				
				if( pwd != rePwd && rePwd != "" ){
					$("#passwordConfirmMsg").show();
				} else {
					$("#passwordConfirmMsg").hide();
				}
			},
			
			StringFixEncodeURIComponent : function(params) {
				return encodeURIComponent(params).replace(/\-/g, "%2D").replace(/\_/g, "%5F").replace(/\./g, "%2E").replace(/\!/g, "%21").replace(/\~/g, "%7E").replace(/\*/g, "%2A").replace(/\'/g, "%27").replace(/\(/g, "%28").replace(/\)/g, "%29");
			},
			
			// 비밀번호 조합 체크 API 호출
			call_ValidatePassword : function(callbackFunc){
				
				// 입력된 password
				var password = $("#txtPassword").val();
				password = CurrentView.event.StringFixEncodeURIComponent(password);
				// 요청 param
				var invoke = {
					validatePwd : password
				};
				
				// 비밀번호 조합 체크 API 호출
				tran.callWCSJsonTran('ValidatePassword', invoke, function( data ){
					
					// 비밀번호 안전 등급
					var pwdGradeCode = data.msg.root.validStatus;
					
					// 비밀번호 유효성 검사 메시지
					var pwdMsg = data.msg.root.validMsg;
					
					// 비밀번호 안전 등급 정의
					var pwdGradeColor = {
							"00" : { grade : "안전", color : "danger_low" },
							"01" : { grade : "다소위험", color : "danger_mid" },
							"99" : { grade : "사용불가", color : "danger_high" },
					}
					
					// 회원가입 버튼 클릭 시 유효성 검사를 위해 전역변수에 저장
					CurrentView.pwdGradeCode = pwdGradeCode;
					CurrentView.pwdMsg = pwdMsg;
						
					// 안내문구 설정
					$("#safetyMsg").text(pwdMsg)
					$("#safetyMsg").removeClass('danger_low danger_mid danger_high');
					$("#safetyMsg").addClass(pwdGradeColor[pwdGradeCode].color);
					
					// 안전등급 설정
					$("#safetyGrade").text(pwdGradeColor[pwdGradeCode].grade);
					$("#safetyGrade").removeClass('danger_low danger_mid danger_high');
					$("#safetyGrade").addClass(pwdGradeColor[pwdGradeCode].color);
					
					if(password != ""){
						// 안내문구 노출
						$("#divSafetyMsg").show();
						// 안전등급 노출
						$("#safetyGrade").show();
					} else {
						// 안내문구 숨김
						$("#divSafetyMsg").hide();
						// 안전등급 숨김
						$("#safetyGrade").hide();
					}
					
					// 파라미터로 들어온 callback 함수가 있으면 추가적으로 실행해줌
					if(callbackFunc != undefined){
						callbackFunc();
					}
					
				});
			}
		}
};