
/* JavaScript content from js/mypage/M_U1173003M.js in folder common */
//page 컨트롤 클래스.
CurrentView = {
		customerId 	: "",
		win	   		: "",
		talkId 		: "",
		talkType 	: "",
		
		init : function( params ) {
			$("#footer").show();
			
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			
			$("#ulTabMenuArea li a").unbind().bind( "click", this.event.onclick_ulMemberArea ); //상단탭
			
			$(window).scroll(function(){
				if ($(window).scrollTop() == $(document).height() - $(window).height()) { 
					var params = {
				            func_name   : "addTalkList",
				            param : {}
				    };
					
					document.getElementById('chatHistoryView').contentWindow.postMessage(JSON.stringify(params) ,  "*" );
				}
			});
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			
			if(params.customerId != null || params.customerId != undefined){
				CurrentView.customerId = params.customerId;

			}else if(params.talkId != null && params.talkType == "PUSH" ){//PUSH로 들어오는 경우
				CurrentView.talkId = params.talkId;
				CurrentView.talkType = params.talkType;
			}

			CurrentView.ui.getChttingIframe();
			CurrentView.ui.resize();
			CurrentView.ui.removeiframe();

			window.removeEventListener("message", CurrentView.data.funcPostMsg, false);
			window.addEventListener("message", CurrentView.data.funcPostMsg, false);
			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			// 스펙트라 콜백 func
			funcPostMsg : function(e){

			    var vData;
			    
			    try
			    {
			        vData = JSON.parse(e.data);
			    }catch(e)
			    { 
			        return;
			    }

			    if(vData.func_name && typeof(window.CurrentView.event[vData.func_name]) === 'function')
			    {
			    	window.CurrentView.event[vData.func_name](vData.param);
			    }
			    
			},
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			removeiframe : function(){
				
				$("#chatWrap").remove();
				$("#chatHWrap").remove();
				
			},
			
			resize : function(iframe_height){
				
				var iframe = $("#chatHistoryView");
				var width = '100%';
				var height = "";
				
				if(iframe_height != undefined){
					iframe.width( width );
					iframe.height( iframe_height);
					iframe.css("border","0px");
					
					iframe = $("#chatHistoryView_C");
					
					iframe.width( width );
					iframe.height( iframe_height);
					iframe.css("border","0px");

				}else{
					height = $(document).height();
					
					iframe.width( width );
					iframe.height( height);
					iframe.css("border","0px");
					
				}
				
			},
			// 상담이력 보여주기
			getChttingIframe : function (){
				
				var url = "";
				
				var param = {
						customerId 	: CurrentView.customerId, //고객아이디
						appType 	: Const.getAcceptPath(), //유입경로
						type 		: "MYPAGE",
						ssl  		:  location.protocol.indexOf("https"),
						source_url 	: document.location.href,
				};
				
				
				if(CurrentView.talkId != null && CurrentView.talkType == "PUSH" ){
					
					var invokeParams = {
							cmdType	    : "getCustNum",
							usersId 	: USERINFO.userId(), //고객아이디  
							accptPathCd : Const.getAcceptPath()
					};
					
					tran.callWCSJsonTran( "InquiryCmdAjax" , invokeParams, function (data){
						param.customerId = data.custNum;
						CurrentView.customerId = data.custNum;
						
						var parameters = CurrentView.ui.objectToQueryString(param);
						
						var params = {
								page_name   : "TALKING",
								talk_id 	: CurrentView.talkId
						};

						if(location.protocol.indexOf("https") == -1){
							url = "http://talk.nsmall.com/app/jsp/talk/myList.jsp?"+parameters;
						}else{
							url = "https://talk.nsmall.com/app/jsp/talk/myList.jsp?"+parameters;
						}

						document.getElementById("chatHistoryView").src = url;
						
						CurrentView.event.pageCheck(params);
					});
					
				}else{

					var parameters = CurrentView.ui.objectToQueryString(param);

					if(location.protocol.indexOf("https") == -1){
						url = "http://talk.nsmall.com/app/jsp/talk/myList.jsp?"+parameters;
					}else{
						url = "https://talk.nsmall.com/app/jsp/talk/myList.jsp?"+parameters;
					}

					document.getElementById("chatHistoryView").src = url;
				}

				
			},
			
			objectToQueryString : function(params) {
				
				var data = [];
				if (typeof (params) == "object") {
					for (var att in params) {
						data.push( att + "=" + encodeURIComponent(params[att]) );
					}
				}
				return data.join('&');
				
			},
		}, // end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			// 로그인 확인
			loginCheck : function(data){
				
				if(CurrentView.customerId == data.customer_id){
		    		loginYN = true;

		    		if(CurrentView.win != undefined && CurrentView.win && CurrentView.win.close != undefined) {
		    			CurrentView.win.postMessage(loginYN , "*");
		    		}else{
		    			document.getElementById('chatHistoryView').contentWindow.postMessage(loginYN ,  "*" );
		    			
		    		}

 				}else if(CurrentView.customerId != data.customer_id){
 					mainCtrl.gotoMain();
 				}
			},
			
			//상담탭 이동하기
			onclick_ulMemberArea : function() {
				
				var id = $(this).attr('id');
				
				if( id == "tabCounselinghistory" ){
					return false; //상담내역
				}
				else if( id == "tabChatconsultation" ){
					
					window.removeEventListener("message", CurrentView.data.funcPostMsg, false);
					
					$("#chettinglist").remove();
					$("#chatHistoryView_C").remove();
					
					$("#M_U1173003M").remove();
					$("#chatHistoryView").remove();
					$("#M_U1173003MScript").remove();

					delete CurrentView;
					
					var param = {};
					param.tabIndex = 0;
					param.monthly = "";
					param.pageidx = "";

					mainCtrl.navigate( "M_U1173000M" ,param); //채팅상담
				}
				else {
					return false;
				}
				
			},
			
			//스펙트라 상담톡 CALLBACK
			pageCheck : function(data){
				
				var params = {
						customerId 		: CurrentView.customerId,   //고객아이디  
						customerName  	: USERINFO.userName(),		//고객이름
						marginTop 		: "40", 		 			//상단 height
						marginBottom 	: "", 						//하단 height
						talkId          : data.talk_id,             //talkid
						pageName        : data.page_name,           //pagename
						appType 		: Const.getAcceptPath(), 	//Push I/F 발송에 필요한 Key값들
						type 			: "TALKPAGE",
						requestUrl 		: Const.IS_SERVER_STATE, 	//운영 & 개발 구분
						deviceId   		: USERINFO.userId(), 		//플랫폼고객번호
				};

				var parameters = CurrentView.ui.objectToQueryString(params);
				
				var url = "";
				
				if(location.protocol.indexOf("https") == -1){
					url = "http://talk.nsmall.com/app/jsp/talk/talkPageCheck.jsp?"+parameters;
				}else{
					url = "https://talk.nsmall.com/app/jsp/talk/talkPageCheck.jsp?"+parameters;
				}

				if (Const.getAcceptPath() == "501" || Const.getAcceptPath() == "503") {
					CurrentView.win = undefined;
				    url = "https://talk.nsmall.com/app/jsp/talk/talkPageCheck.jsp?"+parameters; //앱인 경우 https로만 보내기
                    Ns.Native.enomixChatOpen(url, CurrentView.customerId);
				} else {
					CurrentView.win = window.open( url, "_hub", "location=no,zoom=no,hardwareback=no,clearsessioncache=no,clearcache=yes" );
	                
					if(!CurrentView.win){
						Ns.Popup.alert("단말기 설정에서 팝업 차단을 풀어주세요.");
						return false;
					}
				}
				
			},
			// 상담이력 리로딩
			pageMove : function(){
				if(CurrentView.win && CurrentView.win != undefined && CurrentView.win.close != undefined) {
					CurrentView.win.close();
				}
				var params = {
						customerName : USERINFO.userName(),
						customerId   : CurrentView.customerId
				};
				window.removeEventListener("message", CurrentView.data.funcPostMsg, false);
				mainCtrl.navigate( "M_U1173003M" ,params);

			},
			
			//스펙트라 상담톡 CALLBACK
			iframeResize : function(data){
				CurrentView.ui.resize(data.iframe_size);
			}
			
		} // end event 
};  