
/* JavaScript content from js/mypage/M_U1173100M.js in folder common */
/** 
 *	마이페이지 - 1:1문의내역.
 *  ID : M_U1173100M

 *  1. 1:1문의내역.
 *  2. Link - 문의내역상세 - M_U1173200M
*/

/** page 컨트롤 클래스 */
CurrentView = {
		pageidx : 1,
		pageSize : 10,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		/**
		 * html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		 * 이벤트 binding 등... 
		 */
		initializeComponent : function() {
			$("#divPagingArea").hide();
			$("#btnQuestion").unbind().bind( "click", CurrentView.event.onclick_btnQuestion );
			$("#btnQuestionNoData").unbind().bind( "click", CurrentView.event.onclick_btnQuestionNoData );
			
		},
		
		/**
		 * html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		 */
		onLoad : function(params) {
			this.data.getQnAList();
		},
		
		/** 
		 * 데이터 관련 함수를 정의한다.
		 */ 
		data : {
			getQnAList : function( pageidx ) {
				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  /** 현재 페이지 전역에 저장 */
				
				params.pageIdx = pageidx;
				params.pageSize = CurrentView.pageSize;
				
				tran.callWCSJsonTran('QnaListReal', params, CurrentView.data.resultQnaList);
			},
			
			resultQnaList : function( data ) {
				var html;
				var totalCount = data.msg.root.totalCount; /** 페이징을 위한 변수.. */
				var answered = data.msg.root.QnaListInfo.Answered;
				if ( answered == null || answered == "" ) {
					html = mainCtrl.getNoResultDataHtml("최근 6개월간 문의 하신 내용이 없습니다.");
					$("#ulQnaArea").html( html );
					$("#divQuestionNoData").show();					
					return false;
				}
				$("#divQuestion").show();
				CurrentView.ui.makeQnAListHtml( answered );
				
				if (CurrentView.pageSize < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				}
			}
		},
		
		/**
		 * ui 관련 함수를 정의한다.
		 */
		ui : {
			/** 총 페이지 사이즈 값을 기준으로 페이징을 설정한다. */ 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.pageSize, "CurrentView.data.getQnAList");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
			
			/** QnA 목록 HTML을 작성한다. */ 
			makeQnAListHtml : function( itemList ) {
				var html = "";
				var status;
				var statusname;
				
				/** 100:미답변, 200:답변중, 300:답변완료 */
				for( var i=0; i<itemList.length; i++) {
					var items = itemList[i];
					var ulTitle = String(items.title).replace(/&gt;/g, ">").replace(/&lt;/g, "<").replace(/&#39;/g,"'").replace(/&quot;/g,'"').replace(/&amp;/g,'&');
					
					if (items.flag == "300" || items.flag == "Y" || items.flag == "답변완료") { /** 답변완료 */
						status = "label theme-a rate-c";
						statusname = "답변완료";
					} else if(items.flag == "200") {
						status = "label theme-a rate-a";
						statusname = "답변중";
					} else {
						status = "label theme-a rate-a";
						statusname = "미답변";
					}
					
					html +=	Ns.Util.stringFormat('\
							<li>\
								<div class="wrap">\
									<div class="field">\
										<p class="sort">[{0}]</p>\
										<p class="title"><strong class="{1}">{2}</strong> <a href="javascript:CurrentView.event.onclick_DetailQnA(\'{3}\');" class="txt"><strong style="white-space:normal;">{4}</strong></a></p>\
									</div>\
									<div class="meta-data">\
										<span class="date"><span class="head">등록일</span> <span class="text">{5}</span></span>\
									</div>\
								</div>\
							</li>', items.category, status, statusname, items.seq, ulTitle, items.date );
				}
				
				$("#ulQnaArea").html(html);
			}
		},
		 
		/**
		 * 이벤트 관련 함수를 정의한다.
		 */
		event : {
			/** 1:1문의하기 버튼 클릭. */ 
			onclick_btnQuestion : function( ) {
				var param = {};
				param.prevPage = "M_U1173100M";
				mainCtrl.navigate( "M_C1142400L", param );
			},

			/** 1:1문의하기 버튼 클릭 - 데이터 없을 때 보이는 버튼. */ 
			onclick_btnQuestionNoData : function( ) {
				var param = {};
				param.prevPage = "M_U1173100M";
				mainCtrl.navigate( "M_C1142400L", param );
			},

			/** 1:1문의하기 상세페이지로 이동. */ 
			onclick_DetailQnA : function( seq ) {
				var param = {};
				param.seq = seq;
				
				mainCtrl.navigate( "M_U1173200M", param ); 
			}
		}
}; 