
/* JavaScript content from js/mypage/M_U1173200M.js in folder common */
/** 
 *	마이페이지 - 1:1문의내역 - 상세.
 *  ID : M_U1173200M

 *  1. 1:1문의내역 상세
*/

/**
 * page 컨트롤 클래스
 */
CurrentView = {
		seq : null,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		/**
		 * html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		 * 이벤트 binding 등... 
		 */
		initializeComponent : function() {
			$("#btnQnaList").unbind().bind( "click", this.event.onclick_btnQnaList );
		},
		
		/**
		 * html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		 * @param params
		 */
		onLoad : function(params) {
			CurrentView.seq = params.seq;
			this.data.getQnAListDetail( params );
		},
		
		/**
		 * 데이터 관련 함수를 정의한다.
		 */ 
		data : {
			getQnAListDetail : function( params ) {
				var params = {};
				params.userId = USERINFO.userId();
				params.seq = CurrentView.seq;

				tran.callWCSJsonTran('QnaDetailReal', params, CurrentView.data.resultQnAListDetail );
			},
			
			resultQnAListDetail : function( data ) {
				var html;
				var html_answer;

				var productInfo = data.msg.root[0].ProductInfo;
				var answerInfo = data.msg.root[0].AnswerInfo;
				
				if( Ns.Util.isNull(productInfo.goodsId) ){
					$("#ulQnADetailItem").hide();
				}
					
				if ( answerInfo == null || answerInfo == "" ) {
					return false;
				}
				
				var answer = answerInfo.answer;
				if(answerInfo.flag == "100"){
					answer = "현재 미답변 상태 입니다.";
				}else if(answerInfo.flag == "200"){
					answer = "현재 답변중 입니다.";
				}
				
				var ulTitle = answerInfo.title;
				var ulCtnt = answerInfo.question;
				
				/** 
				 * NSSR-31212 [ISMS]보안취약점 개선조치 요청의 건 
				 * 특수문자 코드 치환
				 * ulTitle : <iframe> 등 태그는 미적용(텍스트로 노출), <br/> 태그는 적용
				 * ulCtnt : <iframe> 등 태그는 미적용(텍스트로 노출), <br/> 태그는 적용
				 * answer : 그대로 노출(기존 동일)
				 * */
				answer = String(answer).replace(/&gt;/g, ">").replace(/&lt;/g, "<").replace(/&#39;/g,"'").replace(/&quot;/g,'"').replace(/&amp;/g,'&');
				ulTitle = String(ulTitle).replace(/&gt;/g, ">").replace(/&lt;/g, "<").replace(/&#39;/g,"'").replace(/&quot;/g,'"').replace(/&amp;/g,'&');
				ulCtnt = String(ulCtnt).replace(/&gt;/g, ">").replace(/&lt;/g, "<").replace(/&#39;/g,"'").replace(/&quot;/g,'"').replace(/&amp;/g,'&');
				
				var imageLink = Ns.Util.getImageUrl(String(productInfo.goodsId), "C");
				var noImageUrl = Const.NO_IMAGE_URL +  'noimage_C.jpg';
				var questionImg;
				if( Ns.Util.isNull(answerInfo.fileUrl) ) questionImg = "";
				else questionImg = answerInfo.fileUrl;
				
				var brandName = productInfo.brandName;
				var goodsName = productInfo.goodsName;
				goodsName = (brandName && brandName != '미정의' ? "[" + brandName + "]" : "") + goodsName;
				
				html = Ns.Util.stringFormat('\
					<ul class="item-display theme-b detail">\
						<li class="items">\
							<div class="wrap">\
								<div class="thumbnail">\
									<a href="javascript:CurrentView.event.onclick_qnaDetailItem(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지" /></a>\
								</div>\
								<div class="field">\
									<p class="title"><a href="javascript:CurrentView.event.onclick_qnaDetailItem(\'{3}\');"><strong>{4}</strong></a></p>\
								</div>\
							</div>\
						</li>\
					</ul>', productInfo.goodsId, imageLink, noImageUrl, productInfo.goodsId, goodsName );
				$("#ulQnADetailItem").html(html);
				
				html_answer = Ns.Util.stringFormat('\
					<ul class="board-list theme-a">\
						<li>\
							<div class="wrap">\
								<div class="field">\
									<p class="sort">[{0}]</p>\
									<p class="title mt10 tbold" id="ulTitle">{1}</p>\
								</div>\
								<div class="meta-data">\
									<span class="date"><span class="head">등록일</span> <span class="text">{2}</span></span>\
								</div>\
								<div class="question">\
									<p id="questionContents">{3}</p>\
									<div class="pic"><img src="{4}" id="img_questionContents" style="display:none;" alt=""></div>\
								</div>\
								<div class="answer_area2">\
									<p class="answer"><strong class="label comment type01"><span class="head">답변</span></strong>{5}</p>\
								</div>\
							</div>\
						</li>\
					</ul>', answerInfo.category, ulTitle, answerInfo.date, ulCtnt,
							questionImg , answer );
				$("#ulQnADetailAnswer").html(html_answer);
				
				if (questionImg != "" ){	// 이미지가 있을 경우 보임
					$("#img_questionContents").show();
				}
				
			},
		},
		 
		/** 
		 * 이벤트 관련 함수를 정의한다.
		 */
		event : {
			/** 1:1문의/답변 목록보기 버튼 클릭. */
			onclick_btnQnaList : function() {
				var param = {};

				mainCtrl.navigate("M_U1173100M", param );
			},
			
			/** 해당 상품의 상세보기 화면으로 이동 */
			onclick_qnaDetailItem : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;

				mainCtrl.navigate( "M_G2600000M", param ); 	
			}			
		}
}; 