
/* JavaScript content from js/mypage/M_U1174000M.js in folder common */

/* 
 *	마이페이지 
 *  ID : M_U1174000M

 *  1. 홈쇼핑 방송 알리미
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		pageidx : 1,
		pageSize : 5,
		currentCount : 0,

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#divPagingArea").hide();
			
			$("#btnModify").unbind().bind( "click",  this.event.onclick_btnModify );
			$("#btnDelete").unbind().bind( "click",  this.event.onclick_btnDelete );		
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getShowAlarmInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getShowAlarmInfo : function( pageidx ) {
				var params = {};
				if ( Ns.Util.isNull(pageidx) ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장

				params.userId = USERINFO.userId();
				params.pageNum = pageidx;
				params.pageSize = CurrentView.pageSize;
				
				tran.callWCSJsonTran('ShowAlarmReal', params, CurrentView.data.resultShowAlarmInfo);
			},
			
			resultShowAlarmInfo : function( data ) {
				var html = "";
				var totalCount = data.msg.root.totalCount; //페이징을 위한 변수..

				var shoppingAlarmList = data.msg.root.shoppingAlarmList;
				CurrentView.currentCount = shoppingAlarmList.length;
				if ( shoppingAlarmList == null || shoppingAlarmList.length == 0  ) {
					html = mainCtrl.getNoResultDataHtml( "신청하신 방송 알리미 내역이 없습니다." );
					$("#ulShowAlarmListArea").html(html);
					return false;
				}		
				
				CurrentView.ui.setMakeShoppingAlarmListHtml( shoppingAlarmList );
				if (CurrentView.pageSize < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				}else if( CurrentView.pageidx == 1){
					$("#divPagingArea").hide();
				}
			},
			
			setRemoveShoppingAlarm : function( infrId ) {
				var params = {};
				params.userId = USERINFO.userId();
				params.infrIdList = infrId;
				
				tran.callWCSJsonTran( 'DeleteAlarmReal', params
				, function( data ) {
					if (data.msg.root.resultKey == '1') {
						Ns.Popup.alert( "방송 알리미 삭제에 성공 하였습니다." );
						if(	--CurrentView.currentCount == 0){
							CurrentView.pageidx --;
						}
						CurrentView.data.getShowAlarmInfo();
					} else {
						Ns.Popup.alert( "방송 알리미 삭제에 실패 하였습니다.");
					}
				}, null, function() {
					Ns.Popup.alert( "방송 알리미 삭제에 실패 하였습니다.");
				});
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.pageSize, "CurrentView.data.getShowAlarmInfo");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			},
		
			//홈쇼핑 방송 알리미 목록 출력. 
			setMakeShoppingAlarmListHtml : function( shoppingAlarmList ) {
				var html = "";
				
				for( var i=0; i<shoppingAlarmList.length; i++ ) {
					var items = shoppingAlarmList[i];
					//var imageUrl = items.imageUrl;
					var imageLink = Ns.Util.getImageUrl(String(items.partNumber), "I");
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_I.jpg';
					
					var brandName = items.brandName;
					var goodsName = items.goodsName;
					goodsName = (brandName && brandName != '미정의' ? "[" + brandName + "]" : "") + goodsName;
					
					var mobileNum = items.mobileNum;
					mobileNum = Ns.Util.insertSeparatorPhoneNumber(mobileNum, "-");
					
					// 요건 변경 전화번호 삭제
					/*<span class="text">\
						<span class="info_tel">{10}</span>\
					</span>\*/
					html += Ns.Util.stringFormat('\
					<li class="items">\
						<div class="wrap">\
							<div class="thumbnail">\
								<a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{0}\');"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="상품 이미지"></a>\
							</div>\
							<div class="field">\
								<p class="title"><a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{3}\');"><strong>{4}</strong></a></p>\
								<div class="button-area content-right">\
									<span>\
										<a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_btnModify(\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><span>수정</span></a>\
										<a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_btnDelete(\'{9}\');"><span>삭제</span></a>\
									</span>\
								</div>\
							</div>\
						</div>\
						<div class="option-order2">\
							<span class="text info_receive">\
								<span class="info_date">수신기간 : {10} /</span>\
								<span class="info_num">수신횟수 : {11}</span>\
							</span>\
						</div>\
					</li>', items.partNumber, imageLink, noImageUrl, items.partNumber, goodsName,
							items.infrId, items.mobileNum, items.rcvPeriod, items.rcvCnt,
							items.infrId, items.rcvPeriod, items.rcvCnt );
				}
				$("#ulShowAlarmListArea").html( html );
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//상품 이미지 및 상품명을 클릭했을 때 상품 상세 페이지로 이동. 
			onclick_btnGoodDetails : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;

//				mainCtrl.navigate( "M_G2600000M", param ); 
				Ns.Popup.showLayerPage("M_G2600000M", param);
			},
			
			//홈쇼핑 방송 알리미 수정 - 알리미ID, 휴대폰번호, 수신주기, 수신횟수
			onclick_btnModify : function( infrId, mobileNum, rcvPeriod, rcvCnt ) {
				var params = {
					infrId : infrId,
					mobileNum : mobileNum,
					rcvPeriod : rcvPeriod,
					rcvCnt : rcvCnt,					
					callback : CurrentView.event.getShowAlarmCallback
				};
				Ns.Popup.showLayer('M_U1174000L', params);
			},
			
			//홈쇼핑 방송 알리미 삭제
			onclick_btnDelete : function( infrId ) {
				Ns.Popup.confirm('선택한 방송 알리미를 삭제하시겠습니까?', function(){
					navi.setMovePointer(-1);
					//확인 버튼 : 삭제 프로세스 실행
					CurrentView.data.setRemoveShoppingAlarm(infrId);
				}, null);
			},
				
			getShowAlarmCallback : function(data){
				//
				CurrentView.data.getShowAlarmInfo( CurrentView.pageidx );
			}
		}
}; 