
/* JavaScript content from js/mypage/M_U1181000M.js in folder common */
/* 
 *	마이페이지 - NS멤버쉽
 *  ID : M_U1181000M

 *  1. NS Membership
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		stdGrd : [],
		grdName : [],
		condition1 : [],
		condition2 : [],
		
		pageidx : 1,
		pageSize : 5,
		selIndex : -1,

		btnState : [],
		cssState : [],
		btnIndex : "",
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#txtUserName").html( USERINFO.userName() );
			
			//등급 이미지 관련 css 삭제.
			$("#lastGrade").removeClass();
			$("#currentGrade").removeClass();
			$("#nextGrade").removeClass();
			
			if(USERINFO.logonType() != 'normal'){
				$("#sale_couponArea").hide();
				$("#gradeArea").hide();
			}
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getMyMemberShip();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getMyMemberShip : function() {
				tran.callWCSJsonTran('NsMembershipReal', null, CurrentView.data.resultMyMembershipInfo);
			},
			
			resultMyMembershipInfo : function( data ) {
				var grdCondition = data.msg.root.GrdCondition;	//다음 승급 조건
				var purchaseGrd = data.msg.root.PurchaseGrd;	//나의 구매 등급 정보
				var conditionInfo = data.msg.root.CondtionInfo;//등급별 구매조건
				CurrentView.data.grdBenefit = data.msg.root.GrdBenefit; //등급별 이 달의 할인 쿠폰

				if ( grdCondition == null || grdCondition == "" || purchaseGrd == null || purchaseGrd == ""  ) {
					$("#sectionMyLevelArea").hide();
					Ns.Popup.alert( Messages.procedure_error );
					var param = new Object;
					param.ErrorCode = "PE";
					param.p_espotid = "NsMembershipReal";
					tran.callPageLogging("LoggingPage", param);
					return false;
				}

				//등급에 맞는 이미지 css 추가. 
				var grade_css = "";
				grade_css = CurrentView.ui.getStyleAtGrade( purchaseGrd.lastMonthGrd ); 
				$("#lastGrade").addClass( grade_css ); //지날달 등급
				grade_css = CurrentView.ui.getStyleAtGrade( purchaseGrd.currentGrd ); 
				$("#currentGrade").addClass( grade_css ); //이번달 등급
				grade_css = CurrentView.ui.getStyleAtGrade( purchaseGrd.nextGrd ); 
				$("#nextGrade").addClass( grade_css ); //다음번 등급

				if ( purchaseGrd.lastMonthGrdName == null || purchaseGrd.lastMonthGrdName == "" ) {
					$("#lastGrade").hide();
				}
				
				if ( CurrentView.ui.getGradeName(purchaseGrd.currentGrdName) == "S-VIP" ) {
					$("#nextGrade").hide();
				}
				
				$("#lastGrade strong").html( CurrentView.ui.getGradeName(purchaseGrd.lastMonthGrdName) ); //지날달 등급
				$("#currentGrade strong").html( CurrentView.ui.getGradeName(purchaseGrd.currentGrdName) ); //이번달 등급
				$("#nextGrade strong").html( CurrentView.ui.getGradeName(purchaseGrd.nextGrdName) ); //다음번 등급
				
				$("#txtUserGrade").html( CurrentView.ui.getGradeName(purchaseGrd.currentGrdName) );
				
				//다음 승급 조건
				$("#txtCurrentOrderCount").html( Ns.Util.insertCommas( grdCondition.orderCnt ) + "회" ); //현재 누적 주문건수
				$("#txtRequiredOrderCount").html( Ns.Util.insertCommas( grdCondition.requiredOrderCnt ) + "회" ); //필요 주문건수
				$("#txtCurrentOrderAmt").html( Ns.Util.insertCommas( grdCondition.orderAmt )+ "원" ); //현재 누적 주문금액
				$("#txtRequiredOrderAmt").html( Ns.Util.insertCommas( grdCondition.requiredOrderAmt ) + "원" ); //필요 주문금액

				// 등급상승 / 유지시 톨포인트 확인
                // 110 : SVIP, 111 : VIP, 112 : 엘리트, 113 : 스마트, 114 : 매니아, 115 : 패밀리, 116 : 새내기
                if (purchaseGrd.lastMonthGrd == purchaseGrd.currentGrd){	// 유지
                    CurrentView.data.grdBenefit.bonustolPoint = purchaseGrd.bonusTolPointHdg;
                    CurrentView.data.grdBenefit.tolPointCmdType = "05";
                } else if (purchaseGrd.lastMonthGrd > purchaseGrd.currentGrd){ // 상승
                    CurrentView.data.grdBenefit.bonustolPoint = purchaseGrd.bonusTolPointUpg;
                    CurrentView.data.grdBenefit.tolPointCmdType = "04";
                }

                // 등급에 맞는 쿠폰 스타일 적용
				$("#grade_coupon_area").addClass(CurrentView.ui.getCouponStyleByGrade(purchaseGrd.currentGrd));
				
				CurrentView.ui.getConditionInfoHtml( conditionInfo );
				CurrentView.ui.setGrdBenefit();
			},
			
			//쿠폰을 다운로드 한다. 
			requestDownloadCoupon : function(couponNo, cmdType) {
                CurrentView.data.grdBenefit.requestCnt++;
				tran.callWCSJsonTran('CpDownloadReal', {cpNum:couponNo, cmdType:cmdType}, function(result) {
                    CurrentView.data.grdBenefit.responseCnt++;
                    if (result.cmdType[0] == "N") {
                        CurrentView.data.grdBenefit.normalCpDownYn = result.msg.root.Output.successFlag;
                    } else if (result.cmdType[0] == "P") {
                        CurrentView.data.grdBenefit.plusCpDownYn = result.msg.root.Output.successFlag;
                    } else if (result.cmdType[0] == "L") {
                        CurrentView.data.grdBenefit.liveCpDownYn = result.msg.root.Output.successFlag;
                    }

                    CurrentView.data.resultDownloadAll();
                });
			},

			// 톨 포인드 다운로드 요청
			requestDownloadTolPoint : function(cmdType) {
                CurrentView.data.grdBenefit.requestCnt++;
                tran.callWCSJsonTran('AjaxMembershipView', {cmdType:cmdType}, function (data) {
                    CurrentView.data.grdBenefit.responseCnt++;
                	if(data.result) {
                		if (CurrentView.data.grdBenefit.upgPointGrantYn == "N") {
                            CurrentView.data.grdBenefit.upgPointGrantYn = "Y";
						} else if (CurrentView.data.grdBenefit.hdgPointGrantYn == "N") {
                            CurrentView.data.grdBenefit.hdgPointGrantYn = "Y";
						}
					}

                	CurrentView.data.resultDownloadAll();
                });
			},

			// 전체 다운로드 결과
			resultDownloadAll : function() {
                var grdBenefit = CurrentView.data.grdBenefit;
                if (grdBenefit.requestCnt == grdBenefit.responseCnt) {
                    if (grdBenefit.normalCpDownYn == "N" || grdBenefit.plusCpDownYn == "N" || grdBenefit.liveCpDownYn == "N" || grdBenefit.upgPointGrantYn == "N" || grdBenefit.hdgPointGrantYn == "N") {
                        Ns.Popup.alert( "다운로드에 실패하였습니다.");
                    } else {
                        Ns.Popup.alert( "정상적으로 다운로드 되었습니다.");
                    }
                }

                CurrentView.ui.setChangeButtonStatus();
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			/*
			 * 110 : SVIP
			 * 111 : VIP
			 * 112 : 엘리트
			 * 113 : 스마트
			 * 114 : 매니아
			 * 115 : 패밀리
			 * 116 : 새내기
			 */			
			getStyleAtGrade : function( grade ) {
				var css = "";

				if ( grade == "110" ) css = "items level-7";
				else if ( grade == "111" ) css = "items level-6";
				else if ( grade == "112" ) css = "items level-5";
				else if ( grade == "113" ) css = "items level-4";
				else if ( grade == "114" ) css = "items level-3";
				else if ( grade == "115" ) css = "items level-2";
				else if ( grade == "116" ) css = "items level-1";
				else css = "";
				
				return css;
			},

			getCouponStyleByGrade : function (grade) {
				if (grade == 110) return "svip";
				else if (grade == 111) return "vip";
				else if (grade == 112) return "elite";
				else if (grade == 113) return "smart";
				else if (grade == 114) return "mania";
				else if (grade == 115) return "family";
				else if (grade == 116) return "fresher";
            },

			getGradeName : function( grade ) {
				var gradename = "";
				if ( grade == "110" || grade == "SVIP" ) gradename = "S-VIP";
				else if ( grade == "111" || grade == "VIP" ) gradename = "VIP";
				else if ( grade == "112" || grade == "엘리트" ) gradename = "엘리트";
				else if ( grade == "113" || grade == "스마트" ) gradename = "스마트";
				else if ( grade == "114" || grade == "매니아" ) gradename = "매니아";
				else if ( grade == "115" || grade == "패밀리" ) gradename = "패밀리";
				else if ( grade == "116" || grade == "새내기" ) gradename = "새내기";
				else gradename = "";
				return gradename;
			},
			
			getConditionInfoHtml : function( conditionInfo ) {
				var html = "";

				for( var i=0; i<conditionInfo.length; i++ ) {
					var dataList = conditionInfo[i];
					CurrentView.stdGrd.push( dataList.stdGrd );
					CurrentView.grdName.push( dataList.grdName );
					CurrentView.condition1.push( dataList.condition1 );
					CurrentView.condition2.push( dataList.condition2 );
				}
				var stdGrd = CurrentView.stdGrd;
				var grdName = CurrentView.grdName;
				var condition1 = CurrentView.condition1;
				var condition2 = CurrentView.condition2;
				
				$("#title7").html( "우수고객" );
				$("#title5").html( grdName[2] );
				$("#title4").html( grdName[3] );
				$("#title3").html( grdName[4] );
				$("#title2").html( grdName[5] );
				$("#title1").html( grdName[6] );
				
				$("#liSvipTitle span strong").html( CurrentView.ui.getGradeName(grdName[0]) );
				$("#liVipTitle span strong").html( grdName[1] );
				$("#liEliteTitle span strong").html( grdName[2] );
				$("#liSmartTitle span strong").html( grdName[3] );
				$("#liManiaTitle span strong").html( grdName[4] );
				$("#liFamilyTitle span strong").html( grdName[5] );
				$("#liNewTitle span strong").html( grdName[6] );
				
				$("#liSvip").html( condition1[0] + " " + condition2[0] ); //우수고객 - svip
				$("#liVip").html( condition1[1] + " " + condition2[1]  ); //우수고객 - vip
				$("#liElite").html( condition1[2] + " " + condition2[2]  ); //앨리트
				$("#liSmart").html( condition1[3] + " " + condition2[3]  ); //스마트
				$("#liMania").html( condition1[4] + " " + condition2[4]  ); //매니아
				$("#liFamily").html( condition1[5] + " " + condition2[5]  ); //패밀리
				$("#liNew").html( condition1[6] + " " + condition2[6]  ); //새내기
			},

			// 혜택 정보 세팅
			setGrdBenefit : function(){

				var grdBenefit = CurrentView.data.grdBenefit;

				// 알뜰쿠폰
				if(grdBenefit.normalCpDownYn != "X"){
					$("#normalCoupon").html("<span class='sale_coupon'><em>" + Ns.Util.insertCommas(grdBenefit.nomarCpBnftVal) + "원</em><span>알뜰쿠폰</span></span>");
				}

				// 더할인 쿠폰
				if(grdBenefit.plusCpDownYn != "X"){
                    $("#plusCoupon").html("<span class='sale_coupon'><em>" + grdBenefit.plusCpBnftVal + "%</em><span>더할인쿠폰</span></span>");
				}

				// TV상품 쿠폰
				if(grdBenefit.liveCpDownYn != "X"){
                    $("#tvCoupon").html("<span class='sale_coupon'><em>" + grdBenefit.liveCpBnftVal + "%</em><span>TV상품쿠폰</span></span>");
				} else {
					$("#tvCoupon").addClass("coupon_empty");
                    $("#tvCoupon").html("<span class='sale_coupon'><em><span>쿠폰이 존재하지 않습니다.</span></em><span>TV상품쿠폰</span></span>");
				}

				// 등급상승/유지 톨 포인트
                if (grdBenefit.upgPointGrantYn != "X" || grdBenefit.hdgPointGrantYn != "X") {
                    $("#tolPoint").html("<span class='sale_coupon'><em>" + Ns.Util.insertCommas(grdBenefit.bonustolPoint) + "톨</em><span>톨포인트</span></span>");
                } else {
                    $("#tolPoint").addClass("coupon_empty");
                    $("#tolPoint").html("<span class='sale_coupon'><em><span>쿠폰이 존재하지 않습니다.</span></em><span>톨포인트</span></span>");
                }

                				CurrentView.ui.setChangeButtonStatus();
				$("#sale_couponArea").show();
			},

			// 버튼 상태 변경
			setChangeButtonStatus : function() {
                var grdBenefit = CurrentView.data.grdBenefit;
				if (grdBenefit.normalCpDownYn == "N" || grdBenefit.plusCpDownYn == "N" || grdBenefit.liveCpDownYn == "N" || grdBenefit.upgPointGrantYn == "N" || grdBenefit.hdgPointGrantYn == "N") {
                    $("#btnCouponAll").attr('disabled', false);
                    $("#btnCouponAll").html("<span>한번에 다운받기</span>");
                    $("#btnCouponAll").click(CurrentView.event.onClick_btnDownloadAll);
 				} else {
					$("#btnCouponAll").attr('disabled', true);
                    $("#btnCouponAll").html("<span>다운받기 완료</span>");
                    $("#btnCouponAll").off('click');
				}
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onClick_btnDownloadAll : function () {
                var grdBenefit = CurrentView.data.grdBenefit;
                grdBenefit.requestCnt = 0;
                grdBenefit.responseCnt = 0;

                if (grdBenefit.normalCpDownYn == "N") {
					CurrentView.data.requestDownloadCoupon(grdBenefit.normalCpIdfr, "N");
				}

				if (grdBenefit.plusCpDownYn == "N") {
					CurrentView.data.requestDownloadCoupon(grdBenefit.plusCpIdfr, "P");
				}

				if (grdBenefit.liveCpDownYn == "N") {
					CurrentView.data.requestDownloadCoupon(grdBenefit.liveCpIdfr, "L");
				}

				if (grdBenefit.upgPointGrantYn == "N" || grdBenefit.hdgPointGrantYn == "N") {
                    CurrentView.data.requestDownloadTolPoint(grdBenefit.tolPointCmdType);
                }
            }
		}
};