
/* JavaScript content from js/mypage/M_U1191000M.js in folder common */
/* 
 *	마이페이지 
 *  ID : M_U1191000M

 *  1. 나의 컬렉션 보드
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		pageidx : 1,
		pageSize : 12,
		
		boardListId : "",
		description : "",

		totalCollection : -1,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#divPagingArea").hide();
			$("#btnAddCollection").unbind().bind( "click", this.event.onclick_btnAddCollection );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getCollectionInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getCollectionInfo : function( pageidx ) {

				var params = {};
				if ( pageidx == null || pageidx == "" || pageidx == 0 || pageidx == undefined ) {
					pageidx = CurrentView.pageidx;
				}
				CurrentView.pageidx = pageidx;  // 현재 페이지 전역에 저장
				
				//params.pageNum = pageidx;
				//params.pageSize = CurrentView.pageSize;
				params.userId = USERINFO.userId();
				//params.processFlag = "List";

				params.cmdType = "101";
				params.rowPerPage = CurrentView.pageSize;
				params.pageIdx = pageidx;
				//tran.callWCSJsonTran( 'CollectionListReal', params, CurrentView.ui.resultCollectionInfo );
				tran.callWCSJsonTran( 'AjaxCollectionCmd', params, CurrentView.ui.resultCollectionInfo );
			},
			setRemoveCollection : function( boardListId, boardSeq ) {
				var params = {};
				params.userId = USERINFO.userId();
				params.cmdType = "214";
				params.boardListId = boardListId;
				params.boardSeq = boardSeq;
				
				tran.callWCSJsonTran( 'AjaxCollectionCmd', params
				, function( data ) {
					if (data.collectionBoard != '0') {
						Ns.Popup.alert( "컬렉션 보드 삭제에 성공 하였습니다." );
						CurrentView.data.getCollectionInfo();
					} else {
						Ns.Popup.alert( "컬렉션 보드 삭제에 실패 하였습니다.");
					}
				}, null, function() {
					Ns.Popup.alert( "컬렉션 보드 삭제에 실패 하였습니다.");
				});
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			resultCollectionInfo : function( data ) {
				var htmlTxt = "";

				var dataList = data.result;
				CurrentView.totalCollection = dataList.length;
				if ( dataList == null || dataList.length == 0  ) {
					var html = mainCtrl.getNoResultDataHtml( "컬렉션 정보가 없습니다." );
					$("#ulCollectionListArea").html( html );
					return false;
				}
				var totalCount = data.result[0].totalCnt;
				
				//var collectionId = "";
				//dataList에 서브 이미지 파일이 포함 되어 있기 때문에 collectionId로 구분 하여 html 셋팅 필요
				for( var i=0;i<dataList.length;i++ ) {
					var items = dataList[i];
					var productCnt = Ns.Util.insertCommas( items.productCnt );
					
					var imageLink = items.img;
					//// 2016-09-01 Ssong 성인상품 구분 추가
					if(USERINFO.adultAuthYN() != "Y" && items.adultItemFlag == "Y"){
						imageLink = Const.NO_IMAGE_URL+"19icon_I.jpg"
					}
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_I.jpg';
					
					htmlTxt +=	Ns.Util.stringFormat('\
					<li>\
						<div class="items_cate">\
							<a href="javascript:CurrentView.event.onclick_btnCollectionDetails(\'{0}\',\'{1}\');">\
								<span class="collect_title">{2}</span>\
								<span class="collect_num">{3}개의 상품</span>\
								<span class="thum_img"><img src="{4}" onerror="this.onerror=null;this.src=\'{5}\'" alt="컬렉션 이미지" /></span>\
							</a>\
							<span><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_btnDelCollection(\'{6}\',\'{7}\');"><span>삭제</span></a></span>\
						</div>\
					</li>', items.description, items.iitemlistId, items.description, 
							productCnt, imageLink, noImageUrl,
							items.iitemlistId, items.seq );				
				}	
			
				$("#ulCollectionListArea").html( htmlTxt );
				
			},
			
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageidx, CurrentView.pageSize, "CurrentView.data.getCollectionInfo");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			}			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_btnAddCollection : function() {
				var params ={};
				params.catentryId = CurrentView.boardListId;
				params.productName = CurrentView.description;
				params.callback = CurrentView.data.getCollectionInfo;
				
				if ( CurrentView.totalCollection == 12  ) {
					Ns.Popup.alert( "컬렉션 등록은 12개까지 가능합니다." );
				} else {
					//Ns.Popup.addCollection( params );
					Ns.Popup.showLayer('M_U1191000L', params);
				}				
			},
			
			//나의 컬렉션 보드 상세 페이지로 이동
			onclick_btnCollectionDetails : function(description, boardListId) {
				var params = {};
				params.description = description;
				params.boardListId = boardListId;				
				mainCtrl.navigate( "M_U1192000M", params ); 
			},
			
			//나의 컬렉션 보드 삭제
			onclick_btnDelCollection : function(boardListId, boardSeq) {
				Ns.Popup.confirm('선택한 컬렉션 보드를 삭제하시겠습니까?', function(){
					navi.setMovePointer(-1);
					//확인 버튼 : 삭제 프로세스 실행
					CurrentView.data.setRemoveCollection(boardListId, boardSeq);
				}, null);
			}		
		}
}; 