
/* JavaScript content from js/mypage/M_U1192000M.js in folder common */
/* 
 *	마이페이지 
 *  ID : M_U1192000M

 *  1. 나의 컬렉션 보드 상세
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		pageIdx : 1,
		rowPerPage : 4,
		
		boardListId : "",
		description : "",
		
		nFlagCount : "",  // 페이지에 하나의 상품을 삭제 하려 할 때 flag 이용
		
		OptionRepresentative : "", // 옵션대표가 출력 처리
		
		COLLECTION_PARAMs : {
			boardListId : null,
			description : null
		},
		
		init : function( params ) {
			this.COLLECTION_PARAMs = params;

			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#divPagingArea").hide();
			$("#btnAddCollection").unbind().bind( "click", this.event.onclick_btnAddCollection );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getCollectionDetailInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getCollectionDetailInfo : function( pageIdx ) {
				var params = {};
				if ( pageIdx == null || pageIdx == "" || pageIdx == 0 || pageIdx == undefined ) {
					pageIdx = CurrentView.pageIdx;
				}
				CurrentView.pageIdx = pageIdx;  // 현재 페이지 전역에 저장
				
				params.pageIdx = pageIdx; //페이지 번호. 
				params.rowPerPage = CurrentView.rowPerPage; //페이지 사이즈.
				
				params.userId = USERINFO.userId();
				params.cmdType = "208";
				params.boardListId = CurrentView.COLLECTION_PARAMs.boardListId;

				tran.callWCSJsonTran( 'AjaxCollectionCmd', params, CurrentView.ui.resultCollectionDetailInfo );
			},
			
			//컬렉션 등록 callback..
			resultRegiCollection : function (data) {
				//컬렉션 등록 callback.. 동작 필요 없음
			},

			setRemoveCollectionDetail : function( boardListId, catentryId ) {
				var params = {};
				params.userId = USERINFO.userId();
				params.cmdType = "211";
				params.boardListId = boardListId;
				params.catentryId = catentryId;
				
				tran.callWCSJsonTran( 'AjaxCollectionCmd', params
				, function( data ) {
					if (data.resultVal == '1') {
						if ( CurrentView.nFlagCount == 1) {
							CurrentView.pageIdx = 1;
						}						
						Ns.Popup.alert( "컬렉션 보드 상품 삭제에 성공 하였습니다." );
						CurrentView.data.getCollectionDetailInfo( CurrentView.pageIdx );
					} else {
						Ns.Popup.alert( "컬렉션 보드 상품 삭제에 실패 하였습니다.");
					}
				}, null, function() {
					Ns.Popup.alert( "컬렉션 보드 상품 삭제에 실패 하였습니다.");
				});
			}			
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			resultCollectionDetailInfo : function( data ) {
				var html = "";

				var totalCount = data.totalCnt;
				var dataList = data.collectionBoardItem;
				
				// 삭제 했을 때 예외처리를 위해 flag 값 선언 : 페이지에서 하나의 상품을 삭제 했을 때 발생 
				CurrentView.nFlagCount = totalCount % 4;
				
				// 나의 컬렉션 보드 상세 이름
				$("#divCollectionDetailName").html( '<h1>'+CurrentView.COLLECTION_PARAMs.description + " " + '<em>' + "(" + totalCount + ")" +'</em></h1>' );
				$("#divfield").html( data.exp );
				
				if( totalCount == null || totalCount == "") {
					var html = mainCtrl.getNoResultDataHtml( "컬렉션 상세 정보가 없습니다." );
					$("#ulCollectionDetailListArea").html( html );
					return false;
				}
					
				//dataList에 서브 이미지 파일이 포함 되어 있기 때문에 collectionId로 구분 하여 html 셋팅 필요
				for( var i=0;i<dataList.length;i++ ) {
					var items = dataList[i];
					var salePriceTag = "";
					var salePrice = Ns.Util.insertCommas( items.offPrice );
					var prcWaveDisp = "";
					if( items.prcWaveDisp != undefined){
						prcWaveDisp = items.prcWaveDisp;
					}
					
					//옵션대표가
					if( salePrice != null && salePrice != "" && items.offPrice > 0 ) 
						if( prcWaveDisp != "" ){
							salePriceTag = '<span class="price-selling"><strong class="head">알뜰할인가</strong><ins><strong>'+salePrice+'</strong>원 ~</ins></span>';
						}else{
							salePriceTag = '<span class="price-selling"><strong class="head">알뜰할인가</strong><ins><strong>'+salePrice+'</strong>원</ins></span>';
						}
					
					var offerPriceTag = "";
					var offerPrice = Ns.Util.insertCommas( items.price );
					if( salePrice != null && salePrice != "" && items.offPrice > 0 && offerPrice != salePrice)
						offerPriceTag = '<span><del>'+offerPrice+'원</del></span>';
					else if( offerPrice == salePrice )	
						offerPriceTag = '<span class="del_blank"></span>';
					else
						offerPriceTag = '<span class="price-selling"><strong class="head">판매가</strong><ins><strong>'+offerPrice+'</strong>원</ins></span>';
					
					var imageLink = Ns.Util.getImageUrl(String(items.partnumber), "I" , items.adultItemFlag); // 2016-09-01 Ssong 성인상품 구분 추가 
					var noImageUrl = Const.NO_IMAGE_URL +  'noimage_I.jpg';
					var brandName = items.brandNm;
					//var goodsName = items.shortdescription;
					var goodsName = items.name;
					goodsName = (brandName && brandName != '미정의' ? "[" + brandName + "]" : "") + goodsName;
					
					html +=	Ns.Util.stringFormat('\
						<li>\
							<div class="items_goods">\
								<a href="javascript:CurrentView.event.onclick_btnGoodDetails(\'{0}\');">\
									<span class="thum_img"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'" alt="컬렉션 이미지" /></span>\
									<span class="collect_title2">{3}</span>\
									{4}\
									{5}\
								</a>\
								<span><a class="btn theme-a rate-a x-small" href="javascript:CurrentView.event.onclick_btnDelCollection(\'{6}\',\'{7}\');"><span>삭제</span></a></span>\
							</div>\
						</li>', items.partnumber, imageLink, noImageUrl, 
						goodsName, offerPriceTag, salePriceTag,
						CurrentView.COLLECTION_PARAMs.boardListId, items.catentryId );			
				}	
				
				$("#ulCollectionDetailListArea").html( html );
				
				if (CurrentView.rowPerPage < totalCount) {
					CurrentView.ui.setPaging( totalCount ); //paging 설정.
				} else {
					$("#divPagingArea").hide();		
				}					
			},
			
			//총 페이지 사이즈 값을 기준으로 페이징을 설정한다. 
			setPaging : function( totalPageSize ) {
				var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.rowPerPage, "CurrentView.data.getCollectionDetailInfo");
				$("#divPagingArea").html(pageNavi);
				$("#divPagingArea").show();
			}			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_btnAddCollection : function() {
				var params ={};
				params.catentryId = CurrentView.boardListId;
				params.productName = CurrentView.description;
				params.callback = CurrentView.data.resultRegiCollection;
				//Ns.Popup.addCollection( params );
				Ns.Popup.showLayer('M_U1191000L', params);
			},

			//상품 이미지 및 상품명을 클릭했을 때 상품 상세 페이지로 이동. 
			onclick_btnGoodDetails : function( partNumber ) {
				var param = {};
				param.partNumber = partNumber;
//				mainCtrl.navigate( "M_G2600000M", param ); 
				Ns.Popup.showLayerPage("M_G2600000M", param);
			},
			
			//나의 컬렉션 보드 상세 삭제
			onclick_btnDelCollection : function( boardListId, catentryId ) {
				Ns.Popup.confirm('선택한 컬렉션 보드 상품을 삭제하시겠습니까?', function(){
					navi.setMovePointer(-1);
					//확인 버튼 : 삭제 프로세스 실행
					CurrentView.data.setRemoveCollectionDetail(boardListId, catentryId);
				}, null);
			}				
		}
}; 