
/* JavaScript content from js/mypage/M_U1193000M.js in folder common */
/* 
 *	마이페이지 
 *  ID : M_U1193000M

 *  1. 찜 리스트
 *  
*/

//page 컨트롤 클래스
CurrentView = {

		
		totalCnt : 0,
		pushFullEvent : false,
		
		init : function( params ) {

			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() { 
			this.event.initEvnet();
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			mainCtrl.hideGNB();
			CurrentView.data.getWishList();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
			//찜 상품 삭제
			// catentryIds : 삭제 할 상품번호 배열
			removeWishes : function(catentryIds){
				var okCb = function() {
					tran.callWCSJsonTran('RemoveWishes', {"catentryIds" : catentryIds} , function(data){
						if(data.msg && data.msg.isSuccess){
							CurrentView.ui.removeWishItem(catentryIds);
						} else {
							var eMsg = "일시적으로 오류가 발생했습니다. 잠시 후 다시 시도 하시기 바랍니다.";
							eMsg = data.msg ? data.msg.userMessage : eMsg;
							Ns.Popup.alert(eMsg);
						}
					});
				};
			
				var msg = "선택하신 상품을 삭제하시겠습니까?";
				Ns.Popup.confirm(msg, okCb, null , "확인", "취소");
			},
			
			// 찜 리스트 가져오기
			getWishList : function(){
				var params = {
					currentCnt : $("#items_list_wrapper").find("[name=chked_item]").length
				};

				tran.callWCSJsonTran('GetWishList', params , function(data){
					CurrentView.pushFullEvent = false;
					if(data.msg && data.msg.isSuccess){
						var resultData = data.msg.data;
						if(resultData.wishProductList.length > 0){
							var totalCnt = resultData.pageInfo.totalCnt;
							//총 카운트 표시
							$("#total_counter").text("총 " + totalCnt + " 개");
							CurrentView.totalCnt = totalCnt;
							//리스트 그리기
							$(".jjim_status_wrapper").show();
							CurrentView.ui.drawWishList(resultData.wishProductList);
						} else {
							//찜 없음 표시
							CurrentView.ui.drawNoWish();
						}
					} else {
						//에러
						var msg = "일시적으로 오류가 발생했습니다. 잠시 후 다시 시도 하시기 바랍니다.";
						msg = data.msg ? data.msg.userMessage : msg;
						Ns.Popup.alert(msg);
					}
					
					
				});
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			// 찜한 상품 없음
			drawNoWish : function(){
				var html = Ns.Util.stringFormat('\
						<div class="none_list">\
							<p class="info_text">\
								<span>찜한 상품이 없습니다.</span>\
							</p>\
						</div>');
				$(".jjim_status_wrapper").hide();
				$("#items_list_wrapper").html(html);
			},
			
			// 찜 리스트 그리기
			drawWishList : function(wishList){
				var objDrawData = JSON.parse(JSON.stringify(wishList));	// objtect 복사
				var noImgUrl = "http://image.nsmall.com/ec_comimages/itemimg/noimage_O.jpg";
				
				for (var i = 0; objDrawData.length > i; i++){
					
					if(objDrawData[i] == null){
						CurrentView.totalCnt -= 1;
						$("#total_counter").text("총 " + CurrentView.totalCnt + " 개");
						continue;
						
					}
					
					var adultProduct = objDrawData[i].adultProduct ? "Y" : "N";
					var tmpImageUrl = Ns.Util.getImageUrl( objDrawData[i].catentryId, "O", adultProduct );
					
					//판매 가능 상품리스트 템플릿
					var tempTarget = "item_list_temp";
					//판매 불가 상품리스트 템플릿
					if(!objDrawData[i].saleProduct){
						tempTarget = "soldout_item_list_temp";
					}
					
					
					//장바구니 버튼 노출 여부
					if(objDrawData[i].showCartBtn){
						
						//type : 이벤트 동작
						//		- cart   : 장바구니 담기
						//      - detail : 상품상세 이동
						objDrawData[i].type = "cart";
						
						// 유/무형 상품
						// true  : 유형상품 - 장바구니, 
						if(objDrawData[i].materialProduct){
							//장바구니 담기 가능 여부.. 불가 시 상세 이동
							if(!objDrawData[i].possibleAddCart){
								objDrawData[i].type = "detail";
							}
						// false : 무형상품 - 상담신청
						} else {
							objDrawData[i].btnName = "상담신청";
							objDrawData[i].type = "noMsgDetail";
						}
					} else {
						objDrawData[i].btn_jjim_wrap = Ns.Util.stringFormat('\
								<button type="button" class="jjim_del_btn" data-catentryid="{0}" onclick="CurrentView.event.onclick_jjim_del_btn(this);">\
							<span>삭제</span></button>', objDrawData[i].catentryId);
					}
					
					objDrawData[i].price_unit = objDrawData[i].price ? objDrawData[i].unit : "";
					// 상품 이미지
					objDrawData[i].productImg = Ns.Util.stringFormat('\
								<img src="{0}" onerror="this.src=\'{1}\'" alt="{2}" />'
							,tmpImageUrl , noImgUrl , objDrawData[i].itncatentrynm);
					
					Ns.UI.drawList([objDrawData[i]], "items_list_wrapper" , tempTarget, false , false );	// 화면 그리기
					mainCtrl.hideLoadingImg();
				}
			},
			
			// 삭제 된 찜 아이템 제거
			removeWishItem : function(catentryIds){
				var mCnt = 0;
				var $item = $("#items_list_wrapper > div.item");

				//상품 삭제
				$item.each(function(idx){
					if(catentryIds.indexOf($(this).data().data.catentryId) != -1){
						mCnt++;
						$(this).remove();
					}
					
					//마지막 인덱스 일때 찜아이템 갯수 체크 후 찜 상품 없을 시 처리 
					if($item.length == idx+1){
						CurrentView.totalCnt -= mCnt;
						$("#total_counter").text("총 " + CurrentView.totalCnt + " 개");
						if(CurrentView.totalCnt == 0){
							CurrentView.ui.drawNoWish();
						}
					}
				});
			},
		
			//체크 된 상품 카운트
			chkedItemCnt : function(){
				var retData = {cnt : 0 , catentryId : []}; // 체크된 상품 갯수 , 상품번호 배열
				var $chkedItem	= $("#item_list_area").find("[name=chked_item]");
				$chkedItem.each(function(){
					var $this = $(this);
					if($this.is(":checked")){
						retData.cnt++;
						retData.catentryId.push($this.data("catentryid"));
					}
				});
				
				return retData;
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			// 화면 이벤트 바인딩
			initEvnet : function(){
				// 전체 삭제
				$("#chked_all").off().on("click",CurrentView.event.onclick_chked_all);
				//각 상품별 체크박스
				$(".content-primary").off().on("click","[name=chked_item]", CurrentView.event.onclick_chked_item);
				// 선택 삭제
				$("#chked_del").off().on("click", CurrentView.event.onclick_chked_delete);
				// 장바구니 | 상담신청
				$("#item_list_area").off().on("click",".jjim_basket_btn", CurrentView.event.onclick_jjim_basket_btn);
				//공통 스크롤 페이징
				Ns.UI.startPushFullEvent( CurrentView.event.onscroll_pagingProcess );
			},
			
			//페이징 처리
			onscroll_pagingProcess : function(){
				var $itemCnt = $("#items_list_wrapper > div.item").length;
				CurrentView.pushFullEvent = true;
				if(CurrentView.totalCnt == $itemCnt){
					return false;
				} 
				mainCtrl.showLoadingImg();
				CurrentView.data.getWishList();
			},
			
			
			//전체 선택 버튼
			onclick_chked_all : function(){
				var $this = $(this);
				var $chkedItem	= $("#item_list_area").find("[name=chked_item]");
				
				if(!$this.hasClass("all")){
					$this.next().text("선택해제");
					$chkedItem.prop("checked","checked");
				} else {
					$this.next().text("전체선택");
					$chkedItem.prop("checked",null);
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_찜',
						eventAction : '일괄처리',
						eventLabel : '전체선택'
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "혜택정보",
						t3 : '찜'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				$this.toggleClass("all");
			},
			
			//개별 선택 체크박스
			onclick_chked_item : function(){
				var cnt = CurrentView.ui.chkedItemCnt().cnt;
				var $chkedAll	= $("#chked_all");
				
				if(CurrentView.totalCnt != cnt){
					$chkedAll.removeClass("all").next().text("전체선택");
				} else {
					$chkedAll.addClass("all").next().text("선택해제");
				}
			},
			
			//체크 된 상품 삭제
			onclick_chked_delete : function(){
				var chkedItem = CurrentView.ui.chkedItemCnt();
				if(!chkedItem.cnt){
					Ns.Popup.alert("삭제하실 상품을 선택해주세요.");
					return;
				}
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_찜',
						eventAction : '일괄처리',
						eventLabel : '선택삭제'
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "혜택정보",
						t3 : '찜'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				CurrentView.data.removeWishes(chkedItem.catentryId);
			},
		
			// 단건 삭제 
			onclick_jjim_del_btn : function(obj){
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_찜',
						eventAction : '개별처리',
						eventLabel : '개별삭제'
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "혜택정보",
						t3 : '찜'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				CurrentView.data.removeWishes([String($(obj).data("catentryid"))]);
			},
			
			// 장바구니 || 상담신청 버튼
			onclick_jjim_basket_btn: function(){
				var $this 		= $(this);
				var type 		= $this.data("type");
				var catentryId  = $this.data("catentryid");
				
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_찜',
						eventAction : '개별처리',
						eventLabel : '장바구니담기'
				};
				var subparam = {
						t1 : '마이페이지',
						t2 : "혜택정보",
						t3 : '찜'
				};
			
				GA.sendEventData(event_obj,subparam);
				
				//장바구니 담기
				if(type == "cart"){
					var prdInfo = $this.closest("div.item").data().data;
					CurrentView.move.addCart(prdInfo);
				//상품상세 이동
				} else if(type == "detail"){
					var msg = "상품 옵션을 선택하신 후 \n 장바구니에 담아주세요. \n\n 상품상세로 이동하시겠습니까?";
					CurrentView.move.gotoProdDetail(catentryId,msg);
				} else {
					CurrentView.move.gotoProdDetail(catentryId);
				}
				return false;
			},
			
			onclick_prd_link : function(obj){
				CurrentView.move.gotoProdDetail($(obj).data("catentryid"));
			}
			
		},
		
		move : {
			authAdult : function(){
				var cbFn = function(){
					var currentPage = navi.getPageId();
					var currentParam = navi.getPageParam();
					var param = {
						callback : function(cbData) {
							mainCtrl.navigate(currentPage, cbData);
						},
						adultItemFlag :	"Y",
						openerPageId  : currentPage,
						callbackPrams : currentParam
					};
					Ns.Popup.showPopup('M_B1214000P', param);
				};
				Ns.Popup.alert("성인 인증이 필요한 상품입니다.",cbFn);
				return false;
			},
			
			addCart : function(prdInfo){
				var catentryId = prdInfo.catentryId;
				tran.callWCSJsonTran('AddCart', {catentryId: prdInfo.catentryId} , function(data){
					if(data.msg && data.msg.isSuccess){
						var okCb = function() {
							mainCtrl.navigate( "M_B1111000M" ,null);
							return false;
						};
						var cancelCb = function() {
							mainCtrl.getCartCount();
							return false;
						};
						
						//GA360
						var product_array = [];
						product_array.push(
								{
									'id':prdInfo.catentryId,
									'name':prdInfo.itncatentrynm,
									'brand':"",
									'category':"찜",
									'dimension16':"e상품"
								}
						);
						var subparam = {
								t1:'마이페이지',
								t2:'혜택정보',
								t3:'찜'
						};
						GA.sendEcommerceData(product_array,"3", subparam);
						
						var msg = "해당 상품을 장바구니에 담았습니다.\n장바구니로 이동하시겠습니까?";
						Ns.Popup.confirm(msg, okCb, cancelCb , "확인", "취소");
					} else {
						var msg = "상품 옵션을 선택하신 후 \n 장바구니에 담아주세요. \n\n 상품상세로 이동하시겠습니까?";
						CurrentView.move.gotoProdDetail(catentryId,msg);
						
					}
			
				});
			},
			
			gotoProdDetail : function(catentryId , msg){
				if(msg){
					var okCb = function() {
						mainCtrl.gotoProductDetail( {partNumber : catentryId} );
						return false;
					};
					
					Ns.Popup.confirm(msg, okCb, null , "확인", "취소");
				} else {
					mainCtrl.gotoProductDetail( {partNumber : catentryId} );
				}
			}
		}
}; 