
/* JavaScript content from js/nsmobilehub.js in folder common */
/*
 * Licensed Materials - Property of IBM.
 * 5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/********** PC에서 모바일 화면 접속시 화면 리다이렉트 처리 시작 **********/
function chkViewTypeRedirect(){
	var strVIEW_TYPE = "";
	var strCheckRedirect = Ns.Cookie.getCookie('MOB_CHK');
	var env = WL.Client.getEnvironment();
	
	// 환경 체크 시작
	if (env == "android") { strVIEW_TYPE = env; }
	else if (env == "iphone" || env == "ipad") { strVIEW_TYPE = "ios"; }
	else if (env == "mobilewebapp" || env == "preview") {
		var uagent = navigator.userAgent.toLocaleLowerCase();

		if (uagent.search("android") > -1) { strVIEW_TYPE = "androidweb"; } 
		else if (uagent.search("iphone") > -1 || uagent.search("ipod") > -1 || uagent.search("ipad") > -1) {
			strVIEW_TYPE = "iosweb";
		} else { strVIEW_TYPE = "other"; }
	} else {
		strVIEW_TYPE = "other";
	}
	
	//위메프 원더쇼핑일 때 파라미터에서 co_cd 추출해서 세션스토리지에 저장 
	var aliasForCocd = location.hash;
	var co_cd = aliasForCocd.substring(aliasForCocd.indexOf('wonderY=')+8);

	if (typeof sessionStorage === 'object') {
	    try {
			if(sessionStorage.getItem("co_cd")!=null){
				sessionStorage.removeItem("co_cd");
			}
			if (co_cd != null && co_cd == "985"){
				sessionStorage.setItem("co_cd", co_cd);
			}
	    } catch (e) {
	    	// silently ignore when sessionStorage is unavailable. The most likely case is private browsing mode.
	    }
	} 
	
	// 화면 리다이렉트 처리 유무 판단 및 진행
	if( strVIEW_TYPE != "other" || Const.IS_DEV_REDIRECT || strCheckRedirect == "MOB"){
		// 별도 동작 하지 않음
	} else {	// 화면 리다이렉트 처리
		var alias = location.hash;
		var params = "";
		var bFromBeshow = false;
		
		if (alias) {
			if (alias.indexOf('?') > -1) {
				params = alias.substring(alias.indexOf('?'));
				alias = alias.substring(1, alias.indexOf('?'));
				bFromBeshow = (params.indexOf('beshow') > -1);
			} else {
				alias = alias.substring(1);
			}
		}
		if(!bFromBeshow) {
			if(alias == "ProductDisplay" || alias == "CategoryDisplay"){
				WL.App.openURL("http://" + Const.WCS_NSMALL_PATH + "/" + alias + params);
			}else{
				WL.App.openURL("http://" + Const.WCS_NSMALL_PATH);
			}
		}
	}
}

chkViewTypeRedirect();
/********** PC에서 모바일 화면 접속시 화면 리다이렉트 처리 종료 **********/


/**
 * 최초 실행 function
 */
function wlCommonInit(){	
	// Common initialization code goes here
	HUB_INIT.initLoadingImg();
	HUB_INIT.categoryPLPageInfo();	
}


function wlCommonInit_exc(){	
	// Common initialization code goes here
	HUB_INIT.initLoadingImg();

	// 환경이 ios,android, iosweb, androidweb인지 구분한다. 
	mainCtrl.checkEnvionment(); 
	
	// IP 셋팅
	Const.setIP();
	
	Ns.LocalStorage.del(STORAGE_KEY.LNB_LCATEID);			// 로컬스토리지의 LCATEID 값 삭제
 
	//자동로그인 개선 hawoong 딥링크로 들어왔을 경우 메인 팝업 뜨는 현상 해결 20170518
	var url = "";
	if (url.indexOf('.nsmall.com/') > -1)
		url = url.substring(url.indexOf('.com/')+5);
	
	var alias = (url ? "#" + url : location.hash);
	if (alias) {
		if (alias.indexOf('?') > -1) {
			alias = alias.substring(0, alias.indexOf('?'));
		} else {
			alias = alias.substring(1);
		}
	}
	var SubpageId = alias.substring(0, alias.indexOf('&'));
	
	if(alias == "" || SubpageId == "alert" || alias == "GNB"){
		if(mainCtrl.MainData == true){
			mainCtrl.MainData = false;
			mainCtrl.navigate(PAGE.main, null, null);
		}
	}else{
		mainCtrl.MainData = false;
		
		//adbrix 호출하는 부분이 홈화면 로딩 후에 있어서 alias로 실행될 경우 호출이 안되고 있었음. 
		if(mainCtrl.VIEW_TYPE == "android"){					
			//adbrix lazy-load 
			var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION"));
			if (version >= 2913) {
				HUB_INIT.initIgawCommon();
			} 					
		}
	}
	 
	//로그를 출력여부 설정
	HUB_INIT.setLogger();
	
	HUB_INIT.initLayoutEspot();

	//앱,웹별 메세지 수정
	HUB_INIT.setEnvMessage();

	//step 0. Layout 및 기본 UI 초기화 , Footer 설정.. 
	WL.App.overrideBackButton( mainCtrl.onBackButtonPressed );

	//step 1. import footer html, main tab bar controls.  
	HUB_INIT.setFooter();
	HUB_INIT.initHistotryTabImg();
	HUB_INIT.initializeMainTabCtrls();

	/**
	 * 2016-12-08 정승진 : 모바일 인트로 이미지를 hide 처리
	 * 2017-08-04 고정진 : 푸시 uuid 전달 시 오류로 인해 앞으로 이동. (기존 위치 : step 3. 외부 유입경로 체크 - Push, 제휴싸이트 등.) 
	 * */
	if (mainCtrl.isOsApp())
		mainCtrl.setSplash("splashHide");
	
	//step 1.1. 푸쉬 동의여부 체크
	if(mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "ios"){
		HUB_INIT.checkPushAgreeYn();
		Const.setAcceptPath(501);
	}else{
		Const.setAcceptPath(500);
	}

	//step 2. GNB 영역의 메뉴를 생성한다. 
	HUB_INIT.setGNBMenu();
	
	HUB_INIT.setMobileAcceptPath(); //accept path 설정. 
	//step 3. 외부 유입경로 체크 - Push, 제휴싸이트 등.
	HUB_INIT.checkInflowOutsideChannel(); //외부유입경로에 따른 cocd 설정. 
	
	// 앱 오픈 이벤트 발생 후 고객 데이터 확인
	HUB_INIT.checkCustomer();
	
	// 앱 최초 실행 시 앱 권한 동의 내용 고지
	HUB_INIT.checkAppAuthNoticePopup();

	//외부 유입경로 배너 체크
	HUB_INIT.setCocdBanner();

	//setp 7. 터치이벤트 등록
	HUB_INIT.setTouchEventListener();

	HUB_INIT.setMainTabbarShowAction();

	Kakao.init(Const.KAKAO_APP_KEY.web);	
	
}


function setLnbInfo(){	
	$("#divHarimStore").hide();		// hckim 임직원외 하림특가매장 미노출
	
	// hckim 사용자ID 기준 Benefit 정보 조회	
	getMyBenefit();
	
	// 매장정보 조회
	getLnbShop();
		
	// 로그온 상태 체크	
	if (mainCtrl.checkLogonStatus()) {
		$("#divLogonStatus").removeClass("logout");
		$("#spanGradeTitle").text("고객등급");
		$("#spanSaveMoneyTitle").text("적립금");
		$("#spanCouponTitle").text("쿠폰");			
		
		$("#spanGradeName").show();	// 등급
		$("#spanSaveMoney").show();	// 적립금
		$("#spanCouponCnt").show();	// 쿠폰건 수
		
		$(".divLogonTrue").show();		// 로그인 이후 영역
		$(".divLogonFalse").hide();		// 로그인 이전 영역
	}else{
		$("#lnbuserName").text("");
		$("#userNameTitle").text("");
		$("#divLogonStatus").addClass("logout");
		
		$("#spanGradeTitle").text("등급별 혜택안내");	
		
		$("#spanSaveMoneyTitle").text("적립금 신청하기");
		$("#spanCouponTitle").text("이벤트 쿠폰혜택");
		
		$("#spanGradeName").hide();		// 등급
		$("#spanSaveMoney").hide();		// 적립금
		$("#spanCouponCnt").hide();		// 쿠폰건 수
		
		// 로그인 이전 divLogonFalse show
		$(".divLogonTrue").hide();		// 로그인 이후 영역
		$(".divLogonFalse").show();		// 로그인 이전 영역
	}
	
	$("#aside").show();
	var $wrap = $("#wrap");
	var $sideWrap = $("#aside");
	var $container = $("#container");
	
	$sideWrap.removeClass('default').addClass('active');
    $wrap.addClass('category-active');
    $container.attr('aria-hidden', 'true');
    
    var $snbContents = $('.snb_contents_wrap');
    var contentsHeight = window.innerHeight - $('.user_control').innerHeight();
    $('.snb_contents_wrap').css({'height': contentsHeight});
    
    //  hckim 쇼핑알림(모바일 앱에서만 노출), 환경설정(모바일 앱/웹 노출)
	$('#asideAlarmBtn').hide(); // 2019.06.03 알람 버튼 숨기기
	
	// hckim 쇼핑알림(모바일 앱에서만 노출), 환경설정(모바일 앱/웹 노출) 이벤트 등록
	if (mainCtrl.isOsApp()) {
		$('#asideAlarmBtn').unbind().bind('click', Ns.UI.gotoPage);
	}
	$('#asideSettingBtn').unbind().bind('click', Ns.UI.gotoPage);

    if(HUB_INIT.snbIscroll != null){		
		HUB_INIT.snbIscroll.destroy();
		HUB_INIT.snbIscroll = null;
	}    
    
    // GA360
    var paramPageID = {
		pageId : ""
	};
	var paramObj = {
		params : paramPageID,
		category : "view_category"
	};
	GA.inIt(paramObj);
}

//category menu event
function cateResetFunc() {
  $(".tile")
    .parent()
    .css({paddingBottom: 0})
    .removeClass('active');
};

/*
 * LNB Close
 * */
function setLnbClose(e){
	if( e != undefined){
		e.preventDefault();
	}	
	$("#dimmedAll").removeClass("active").removeClass("bg");
	
	var $wrap = $('#wrap');
    var $sideWrap = $('#aside');
    var $container = $('#container');
	
	$sideWrap.removeClass('active').addClass('default');
    $wrap.removeClass('category-active');
    $container.attr('aria-hidden', 'false');
    
    if(HUB_INIT.todaySwiper != null){    	
		HUB_INIT.todaySwiper.destroy();		
		HUB_INIT.todaySwiper = null;		
	}       
}

/*
 * 사용자 ID 기준 Benefit 정보 조회
 * */
function getMyBenefit(){	
	var param = {
			userId : USERINFO.userId(),
			pageId : 1,
			pageSize : 1,			
	};		
	tran.callWCSJsonTran( 'LnbBenefit', param, function(data){
		// 고객정보 설정
		var gradeInfo = data.msg.root.GradeInfo;		
		var benefitInfo = data.msg.root.BenefitInfo;
		var _cardSalePromotion = data.msg.root._GNB_CARD_CONTENTS[0];
		var noticeList = data.msg.root.NoticeList;		// 공지사항

		if(!Ns.Util.isNull(gradeInfo) && mainCtrl.checkLogonStatus()){	
			// 고객등급 관련
			var customerInfo = {
					name 			: USERINFO.userName(),	// 고객명
					gradeName 		: gradeInfo.currentGrdName,	// 고객등급
					gradeImg		: getGradeImg(gradeInfo.currentGrd),	// 고객등급 아이콘
					isEmpMbr  		: gradeInfo.isEmpMbr,						// 그룹사 임직원여부(Y/N)
					userNameTitle 	: (gradeInfo.isEmpMbr=="Y")?" 님 (임직원)":" 님",		
					staffInfo		: gradeInfo.staffInfo	// NS 임직원 관련 정보
			};
			setLnbCustomerInfo(customerInfo);		// LNB 회원정보 Setting
			
			var customerBenefit = {
					coupon 		: benefitInfo.couponCnt, 	// 쿠폰
					saveMoney 	: benefitInfo.saveMoney,	// 적립금
					giftcard 	: benefitInfo.giftCard, 	// 상품권
					tolPoint 	: benefitInfo.tolPoint, 	// 톨포인트
					deposit 	: benefitInfo.balance, 	// 예치금				
			};
			setLnbCustomerBenefit(customerBenefit);		// LNB 회원 Benefit Setting
		}
		setLnbCardSalePromotion(_cardSalePromotion );		// LNB 카드 할인 정보 설정
		
		setLnbNotice(noticeList);	// LNB 공지사항 노출
		
	} );
}

/*
 * 시즌매장, 쇼핑카테고리, 금주의 테마샵, 공지사항 조회
 * */
function getLnbShop(){	
	var param = {
			userId : USERINFO.userId(),
			pageId : 1,
			pageSize : 1,			
	};
	tran.callWCSJsonTran( 'LnbShop', param, function(data){
		
		// 매장정보
		var seasonShopList = data.msg.root._MOB_LNB_SEASON;
		var categoryList = data.msg.root.CategoryList;		// 카테고리 리스트			
		var themeShopList = data.msg.root._MOB_LNB_THEMESHOP;	
		
		// 시즌매장
		setLnbSeasonShop(seasonShopList);
				
		// 쇼핑카테고리 설정
		setLnbCategoryList(categoryList);
		
		// 금주의 테마샵
		setLnbThemeShop(themeShopList);
			
	});	
}

/*
 * 등급별 아이콘 이미지 매핑
 * */
function getGradeImg(gradeCode){
	/*
	 * 등급별 아이콘 이미지를 매핑
	 * 110 : SVIP
	 * 111 : VIP
	 * 112 : 엘리트
	 * 113 : 스마트
	 * 114 : 매니아
	 * 115 : 패밀리
	 * 116 : 새내기
	 */	
	var imgClassName = "";
	
	if(gradeCode == "110"){
		imgClassName = "svip";
	}else if(gradeCode == "111"){
		imgClassName = "vip";		
	}else if(gradeCode == "112"){
		imgClassName = "elite";		
	}else if(gradeCode == "113"){
		imgClassName = "smart";		
	}else if(gradeCode == "114"){
		imgClassName = "mania";		
	}else if(gradeCode == "115"){
		imgClassName = "family";		
	}else if(gradeCode == "116"){
		imgClassName = "new";		
	}else {
		imgClassName = "new";		
	}	
	
	return imgClassName;		
}

// hckim LNB 고객 정보 설정
function setLnbCustomerInfo(customerInfo){	
	// 고객등급 이미지 (customerInfo.gradeImg)
	$("#gradeImage").removeClass("mania")							
							.addClass(customerInfo.gradeImg);	
		
	$("#lnbuserName").text(USERINFO.userName()); // 이름 가운데 글자를 마스킹 처리		
	$("#userNameTitle").text(customerInfo.userNameTitle);	// 호칭(고객님/ 임직원님)
	$("#gradeName").text(customerInfo.gradeName);			// 고객등급
	
	// 하림 특가매장은 임직원일경우에만 노출
	if(customerInfo.isEmpMbr == "Y"){
		$("#divHarimStore").show();
		//NS 사내판매 매장 버튼 노출
		var nsEmpTopCategoryId = customerInfo.staffInfo.nsEmpTopCategoryId;
		if(customerInfo.staffInfo && nsEmpTopCategoryId && PAGE_CONFIG[nsEmpTopCategoryId]) {
			$("#divNSstaffStore").show();
			$("#nsStaffStore").data("pageId",customerInfo.staffInfo.nsEmpTopCategoryId);
		}
	}else{
		$("#divHarimStore").hide();
		$("#divNSstaffStore").hide();
	}
}

/*
 * 문자열 마스킹 처리
 * @orgText : 문자열 (예:홍길동)
 * @len       : 마스킹처리할 문자열 길이(예:1)
 * return      : (예:홍*동)
 * */
function setMaskingStr(orgText, len )  {
	var getMaskingStr = function( len ) {
		var str = "";
		for ( var i=0; i<len; i++ ) {
			str += "*";
		}
		return str;
	}; 
	
	var masking = "";	
	var maxLen = orgText.length;
	
	if( maxLen > len ) {
		var lastStrLen = orgText.substring( 0, len ).length + len;
		masking =  orgText.substring( 0, len ) + getMaskingStr(len) + orgText.substring(lastStrLen);
	} else if ( maxLen <= len ) {
		var tmp = "";
		
		for ( var i=0; i<(maxLen - orgText.length); i++ ) {
			tmp += "*";
		}
		masking = orgText + tmp;
	}
	
	return masking;
}

//  hckim LNB 고객 Benefit 설정
function setLnbCustomerBenefit(customerBenefit){	
	$("#saveMoney").text(customerBenefit.saveMoney);	// 적립금
	$("#couponCnt").text(customerBenefit.coupon);		// 쿠폰건수
}

/*
 * card Sale Promotion
 * */
function setLnbCardSalePromotion(_cardSalePromotion){
	if(Ns.Util.isNull(_cardSalePromotion)){
		return;
	}
	// 마케팅Text 처리
	if(_cardSalePromotion.marketingText.indexOf(":") != -1){
		var marketingText = _cardSalePromotion.marketingText.split(":");		
		var cardPromotion = marketingText[1].split("|");
		var cardName = cardPromotion[0];
		var salePoint = cardPromotion[1];
		var arrSailUnit = cardPromotion[2].split("&lt;");
		var saleUnit = arrSailUnit[0];
		
		var espotId = _cardSalePromotion.espotId;
		var clickTarget = _cardSalePromotion.clickTarget;
		var clickCode = _cardSalePromotion.clickCode;
		var mdUrl = _cardSalePromotion.mdUrl;
		var contentsId = _cardSalePromotion.contentsId;			
		var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(_cardSalePromotion.mdUrl).split("?")[1]).catalogId;
		
		var spanCardTitle = "<span class='typo'>카드할인 "+cardName + " "+salePoint + ""+saleUnit+"</span>";
		
		if(mainCtrl.checkLogonStatus()){
			spanCardTitle = "<span class='typo'>카드할인</span><strong>"+cardName + " "+salePoint + ""+saleUnit+"</span>";
		}
		
		var promotionHtml = "";			
		promotionHtml += Ns.Util.stringFormat('\
				<a href="javascript:setLnbClose();Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{7}\',\'{8}\',\'{9}\');">{10}</a>',
				clickTarget, contentsId, clickCode, espotId, mdUrl,  '', '', null, null, catalogId, spanCardTitle );
		
		$("#divCardSalePromotion").html(promotionHtml);
		
	}
}

/*
 * 시즌매장 설정
 * */
function setLnbSeasonShop(seasonShopList){
	var divSeasonItems = "";
	
	// 시즌 매장은 최대 4건만 노출 함
	if(seasonShopList != null && seasonShopList.length > 0){	
		var limitCnt = 4;
		if(seasonShopList.length > 4){
			limitCnt = 4;
		}		
		for(var i=0; i < limitCnt; i++){			
			var seasonShop = seasonShopList[i];
			
			var espotId = seasonShop.espotId;
			var clickTarget = seasonShop.clickTarget;
			var clickCode = seasonShop.clickCode;
			var mdUrl = seasonShop.mdUrl;
			var contentsId = seasonShop.contentsId;			
			var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(seasonShop.mdUrl).split("?")[1]).catalogId;
			var imgUrl = HUB_INIT.protocol + seasonShop.imgUrl;			
			
			divSeasonItems += "<div class='user_items'>";
			divSeasonItems += Ns.Util.stringFormat('\
					<a href="javascript:setLnbClose();Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{7}\',\'{8}\',\'{9}\');"><img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt=""></a>',
					clickTarget, contentsId, clickCode, espotId, mdUrl,  imgUrl, '', null, null, catalogId );
			divSeasonItems += "</div>";	
		}
		
		$("#divSeasonItems").html(divSeasonItems);		
	}
}

/*
 * 쇼핑 카테고리 설정
 * */
function setLnbCategoryList(categoryList){
	var ulLcate = "";
	var localStorageLcateId = Ns.LocalStorage.get(STORAGE_KEY.LNB_LCATEID);
	var activeClass = "";
	var errorImg = "images/common/noimg_square_small.png";
		
	if(categoryList != null && categoryList.length > 0){
		
		for(var i=0; i < categoryList.length; i++){
			var category = categoryList[i];
			
			var catalogId = category.catalogId;			
			var lcateUrl = category.lcateUrl;
			var lcateId = category.lcateId;
			var lcateNm = category.lcateNm;
			
			// LNB의 쇼핑카테고리를 선택한게 있을 경우
			if(localStorageLcateId == lcateId){
				activeClass = "active";				
			}else{
				activeClass = "";
			}			
			var bannerList = category.lcateBannerList;
			
			if(bannerList != null && bannerList.length > 0){				
				for(var j=0; j < bannerList.length; j++){
					var lbannerImg = bannerList[j].lbannerImg;
					
					ulLcate += "<li class='cate_itmes "+activeClass+"' style='padding-bottom: 0px;'>";
					ulLcate += "	<a href='javascript:' class='tile' role='button' lcateId='"+lcateId+"' lcateUrl='"+lcateUrl+"'><span class='icon'><img src='"+lbannerImg+"' onerror='this.onerror=null;this.src="+errorImg+"' alt=''></span>"+lcateNm+"</a>";
					
					// 중카테고리 정보
					ulLcate += "	<ul class='wrap_midcate'>";					
					var mcateList = category.mcateList;	
					if(mcateList != null && mcateList.length > 0){
						for(var k=0; k < mcateList.length; k++){
							var mcate = mcateList[k];
							
							var mcateId = mcate.mcateId;
							var mcateNm = mcate.mcateNm;							
							var pageId = "M_G2160000M";	// 중분류 매장 페이지 정보
							
							ulLcate += "  		<li class='midcate_items'><a href='javascript:;' class='' name='gotoPage' catalog-id='"+catalogId+"' cate-id='"+mcateId+"' cate-nm='"+mcateNm+"' page-id='"+pageId+"' chain-id='' type='' catedepth='1' role='button'>"+mcateNm+"</a></li>";		
						}				
					}
					ulLcate += "	</ul>";
					
					ulLcate += "</li>";
				}				
			}	
		}		
		
		$("#ulLcate").html(ulLcate);
	}

	$('#ulLcate a[name=gotoPage]').unbind().bind('click', Ns.UI.gotoPage);
			
	$(".tile").off().on('click', function(e){
		e.preventDefault();
				
		mCateShowHideEvent(this);
	});
	
	
	// 쇼핑카테고리를 선택했을 경우 선택한 대카테고리의 중카테고리 사이즈 확인하여 노출	
	if(localStorageLcateId != null && localStorageLcateId != ""){
		var cateHeight = $("#ulLcate").find(".active").find(".wrap_midcate").outerHeight();
		var childleft = $("#ulLcate").find(".active").offset().left;		
		
		$("#ulLcate").find(".active").attr("style", "padding-bottom: "+cateHeight+"px");
	}
	
}

/*
 * 금주의 테마샵 설정
 * */
function setLnbThemeShop(themeShopList){	
	var divSwiperSlide = "";
	if(themeShopList != null && themeShopList.length > 0){
		for(var i=0; i < themeShopList.length; i++){
			var themeShop = themeShopList[i];			
			
			var espotId = themeShop.espotId;
			var clickTarget = themeShop.clickTarget;
			var clickCode = themeShop.clickCode;
			var mdUrl = themeShop.mdUrl;
			var contentsId = themeShop.contentsId;
			var catalogId = Ns.Util.getBroadCastParam("?"+Ns.Util.htmlDecode(themeShop.mdUrl).split("?")[1]).catalogId;
			var imgUrl = HUB_INIT.protocol + themeShop.imgUrl;
			
			divSwiperSlide += "<div class='swiper-slide'>";
			divSwiperSlide += Ns.Util.stringFormat('\
					<a href="javascript:;"><img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'" alt="" data-target="{2}" data-contentsid="{3}" data-clickcode="{4}"	data-espotid="{5}"	data-mdurl="{6}"	data-isflashsalefood="{7}"	data-kitchenid="{8}" data-catalogid="{9}"	data-sbcode="{10}"	data-sorttype="{11}"	data-eventsequence="{12}" ></a>',
					imgUrl, '', clickTarget, contentsId, clickCode, espotId, mdUrl, null, null, catalogId, null, null, null);			
			divSwiperSlide += "</div>";
		}

		$("#divSwiperSlide").html(divSwiperSlide)
		.promise().done(function(){
			var $snbContents = $('.snb_contents_wrap');
			// iscroll
	    	HUB_INIT.snbIscroll = new iScroll($snbContents[0], {
	    			vScroll: true,
	    		    vScrollbar: false,
	    		    bounce: false,   		    
	    		    onBeforeScrollStart: function(e) {
	    		    	var target = e.target;
	    		        while (target.nodeType !== 1) {
	    		        	target = target.parentNode;
	    		        }

	    		        if (target.tagName !== 'IMG') {
	    		        	e.preventDefault();
	    		        }
	    		    }
	    	});
	    	
	    	// swipe event
	    	HUB_INIT.todaySwiper = new Swiper('.today_thema', {
	    		slidesPerView: 'auto',
	    		spaceBetween: 15,
	            pagination : {        	
	            	clickable : true
	            },
	            scrollbar: {
	            	el: '#todayThema'
	            },
	            on : {
	          	  click : function(e){
	          		  var target = $(e.target).data("target");
	          		  var contentsId = $(e.target).data("contentsid");
	          		  var clickCode = $(e.target).data("clickcode");
	          		  var espotId = $(e.target).data("espotid");
	          		  var mdUrl = $(e.target).data("mdurl");
	          		  var isFlashSaleFood = $(e.target).data("isflashsalefood");
	          		  var kitchenId = $(e.target).data("kitchenid");
	          		  var catalogId = $(e.target).data("catalogid");
	          		  var sbCode = $(e.target).data("sbcode");
	          		  var sortType = $(e.target).data("sorttype");
	          		  var eventSequence = $(e.target).data("eventsequence");     		  
	          		  
	          		  //  LNB Close
	          		  $("#dimmedAll").removeClass("active").removeClass("bg");
	    	      		
	          		  var $wrap = $('#wrap');
	    	      	  var $sideWrap = $('#aside');
	    	      	  var $container = $('#container');
	    	      		
	    	      	  $sideWrap.removeClass('active').addClass('default');
	    	      	  $wrap.removeClass('category-active');
	    	      	  $container.attr('aria-hidden', 'false');	      	

	    	      	  // 페이지 이동
	    	      	  Ns.UI.espotClickEvent(target, contentsId, clickCode, espotId, mdUrl, isFlashSaleFood, kitchenId, catalogId, sbCode, sortType, eventSequence);
	    	      	  
	          	  },
	            }
	          });
		});
		
	}	
}

/*
 * 쇼핑카테고리 확장 이벤트 처리
 * */
function mCateShowHideEvent(obj){
	var childleft = $(obj).offset().left;
	var cateHeight = $(obj).parent().find('.wrap_midcate').outerHeight();
	var lcateId = $(obj).attr('lcateId');
	var lcateUrl = $(obj).attr('lcateUrl');
		
	if(lcateUrl != undefined && lcateUrl != ""){
		// LNB를 닫고 대분류 매장으로 이동
		setLnbClose();
		mainCtrl.navigate(lcateId,{});
	}
	
	Ns.LocalStorage.del(STORAGE_KEY.LNB_LCATEID);			// 로컬스토리지의 LCATEID 값 삭제
	
	if (!$(obj).parent().hasClass('active')) {		
		// lcateId를 선택했을 때 lcateId를 localStorage에 담는다.
		Ns.LocalStorage.set(STORAGE_KEY.LNB_LCATEID, lcateId);	// 로컬스토리지에 LCATEID값 저장
		
		cateResetFunc();
		$(obj)
	      .parent()
	      .css({paddingBottom: cateHeight +'px'})
	      .addClass('active');
	} else {
		cateResetFunc();
	}
	
	// iscroll refresh하여 iscroll 새로고침(높이 재계산)
	HUB_INIT.snbIscroll.refresh();
}

/**
 * LNB 공지사항
 */
function setLnbNotice(noticeList){
	var noticeHtml = "";
	if(noticeList == null || noticeList == ""){			
		noticeHtml = "공지사항이 없습니다.";	
	}else{								
		var items = noticeList[0];
		noticeHtml = items.subject;
		
		$("#noticeItem").attr("user-noticeId", items.noticeId);
		$("#noticeItem").attr("user-noticeNo", items.no);
	
	}		
	
	$("#noticeItem").text(noticeHtml);
}

var HUB_INIT = {
		protocol : document.location.protocol.indexOf('https') != -1 ? 'https:' : 'http:',
		snbIscroll : null,
		todaySwiper : null,	
		tabSwiper : null,
		//20170417 khkim82 - 속도 문제 worklight log 미사용 처리 start 
		setLogger : function(){
			var logger = {
					enabled: false,
					autoSendLogs: false
			};

			//로그를 출력여부 설정
			if(!Const.IS_DEV_LOG){
				logger.level = 'log';
				logger.nativeOptions= {capture: false};
			}else{
				logger.level = 'off';
				logger.nativeOptions= {capture: false};
			}
			//20170417 khkim82 - 속도 문제 worklight log 미사용 처리 end 
			WL.Logger.config(logger);
		},
		setEnvMessage : function(){
			if(mainCtrl.VIEW_TYPE != 'ios' && mainCtrl.VIEW_TYPE != 'android'){
				Messages.was_error = "서비스가 지연되고 있습니다.<br>잠시 후 다시 시도하시기 바랍니다.";
				Messages.request_timeout = "서버로부터 응답이 없습니다.<br>통신상태를 확인 하신 후 다시 시도해 주십시오.";
				Messages.procedure_error = "데이터를 불러오는 중 문제가 발생했습니다.<br>잠시 후 다시 시도해 주십시오..";
				Messages.unsupported_version = "지원하지 않는 버전입니다.<br>어플리케이션 업데이트 후 사용하십시오.";
				Messages.transaction_fail = "서비스가 지연되고 있습니다.<br>잠시 후  다시 시도하여 주십시오.";
				Messages.unexpected_error = "서버로부터 응답이 없습니다.<br>통신상태를 확인 하신 후 다시 시도해 주십시오.";
			}
		},

		checkAutoLogin : function(target){
			var autoInfo = Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO);
			if (autoInfo) {
				try {
					autoInfo = JSON.parse( autoInfo );
				} catch(e) {
					autoInfo = null;
				}
			}
			
			var saveYn = Ns.LocalStorage.get(STORAGE_KEY.SAVE_LOGONID) != null ? 'Y':'N';
			var version = Ns.Util.replaceAllDot(WL.Client.getAppProperty("APP_VERSION")); //2018.11.08 kimjh 구글 스마트락 분기처리때문에 추가
			
			if(autoInfo != null && autoInfo != undefined && typeof(autoInfo) == 'object') {
				var logonId = autoInfo.logonId;
				var password = autoInfo.password;
				
				//간편로그인시에도 자동로그인 가능
				var isSSORequest = password == "N" ? 'true':'';

				//자동로그인 개선 hawoong				
				if( !target ){
					target = "none";
				}

				//logonId, logonPassword, logonType, resAction, saveYn, autoYn, isAutoLoginCheck
				var params = {
						logonId : logonId,
						logonPassword : password,
						logonType : LOGON_TYPE.normal,
						resAction : target,
						saveYn : saveYn,
						autoYn : 'Y',
						isAutoLoginCheck : true,
						isSSORequest : isSSORequest
				};

				mainCtrl.userLogin( params );
			}
			else if(mainCtrl.VIEW_TYPE == "android" && version >= 2928 && !mainCtrl.checkLogonStatus()){ 
				
				// 2018.11.08 kimjh 구글 스마트락 추가
				var params_sl = {
						logonId : '',
						logonPassword : '',
						logonType : LOGON_TYPE.normal,
						resAction : target,
						saveYn : saveYn,
						autoYn : 'Y',
						isAutoLoginCheck : true,
						isSSORequest : isSSORequest
				};
				
				//params_sl을 보냄.
				NSCustom.SL_RequestCredentials(JSON.stringify(params_sl));
				// kimjh 구글 스마트락 end
			}
			else{
				mainCtrl.initializeNaviHistory();
				if ( !target ){
					// empty for purpose
				} else {
					mainCtrl.navigate(target.pageId, target.invoke);
				}
			}
			
		},

		//외부 유입경로 체크. 
		checkInflowOutsideChannel : function(url, isExec) {
			
			// NHN 유입추적 스크립트 처리
			if (mainCtrl.VIEW_TYPE == "iosweb" || mainCtrl.VIEW_TYPE == "androidweb" || mainCtrl.VIEW_TYPE == "other")
				mac30_sendInfo();
			
			// alias와 파라미터 판단
			// 1. http://~/nsmobilehub.html?paramStr#alias
			// 2. http://~/nsmobilehub.html#alias?paramStr
			// 3. http://~/alias?paramStr
			if (isExec == "" || isExec == undefined || isExec == null)
				isExec = false;
			else
				isExec = true;

			var alias = '';
			var param = location.search;
			if (url != null && url.indexOf('.nsmall.com/') > -1)
				url = url.substring(url.indexOf('.com/')+5);

			//url 값이 있을 경우 백업
			if( url != undefined ) {
				localStorage.setItem(STORAGE_KEY.PUSH_URL_BACKUP, url);
			}
			// 푸시 진입중 directupdate 된 후에 접근 했을 경우 체크
			var isPushDirectUpdate = localStorage.getItem(STORAGE_KEY.PUSH_DIRECT_UPDATE);
			if (!Ns.Util.isNull(isPushDirectUpdate)) {
				//url이 undefined일 때 push url backup 값이 있으면 받아옴
				if( url == undefined && mainCtrl.VIEW_TYPE == "ios"){
					url = localStorage.getItem(STORAGE_KEY.PUSH_URL_BACKUP);
					localStorage.removeItem(STORAGE_KEY.PUSH_URL_BACKUP);
				}else{
					url = isPushDirectUpdate.substr(isPushDirectUpdate.indexOf("#")+1);
				}
				localStorage.removeItem( STORAGE_KEY.PUSH_DIRECT_UPDATE );
			}

			alias = (url ? "#" + url : location.hash);
			
			//딥링크 랜딩시 앱권한동의화면 제공 후 페이지 이동 안되는 현상 방어로직
			if(mainCtrl.isOsApp() && alias != ''){
				Ns.LocalStorage.set("deeplinkURL",alias);
			}
			//e-mail 톨포인트 이벤트 처리 170822 hawoong
			var tolno = Ns.Cookie.getCookie("tolno");
			if(tolno == "") {
				tolno = "N";
			}
			if (tolno != "N"){
				var autoLoginCheck = Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO);
				
				var eventID = tolno;
				mainCtrl.tolNoInvoke = {
						flag : "03",
						mediaCd : "INT",
						eventIdfr :  eventID
				};
				if(autoLoginCheck){
					alias = "#MainView" + "?" + alias.substring(1);
				}else{
					alias = "#MemberLogin"+ "?" + alias.substring(1);
				}
			}
			
			if (alias) {
				if (alias.indexOf('?') > -1) {
					param = alias.substring(alias.indexOf('?'));
					alias = alias.substring(1, alias.indexOf('?'));
					//새로고침시 로드하지 못하는 경우 처리 - hawoong 20170518
				} else if(alias.indexOf('&') > -1){
					var SubpageId = alias.substring(1, alias.indexOf('&'));
					if(SubpageId == "alert") {
						alias = "MainView";
						}else {
							alias = PAGE_CONFIG[String(SubpageId)].alias;
						}
				}else {
					alias = alias.substring(1);
				}
				// 진입 예외처리
				if (alias == "TC") {	// TVPD로 들어올경우 처리
					alias = "ProductDisplay";
					param = Ns.Util.replaceAll(param, "id", "partNumber");
				}
			}
			
			var paramObj = Ns.Util.getBroadCastParam(param);
			
			if(alias == 'ProductDisplay' && paramObj.partNumber == null){
				var TempPartNumer = Ns.LocalStorage.get('SavePartNumber');
				paramObj.partNumber = TempPartNumer;
				if(TempPartNumer != ""){
					Ns.LocalStorage.del('SavePartNumber');
				}
			}
			
			//ga360
			var ga_referrer = paramObj.referrer;
			var ga_campaignSource = paramObj.utm_source; 
			var ga_campaignMedium = paramObj.utm_medium; 
			var ga_campaignName = paramObj.utm_campaign; 
			var ga_campaignContent = paramObj.utm_content; 
			var ga_campaignKeyword = paramObj.utm_term;
			var ga_native_url = (url ? "#" + url : location.hash);
			if(ga_referrer != undefined){
				Ns.LocalStorage.set("GA.ga_re", ga_referrer);
			}
			if(ga_campaignSource != undefined){
				Ns.LocalStorage.set("GA.utm_s", ga_campaignSource);
			}
			if(ga_campaignMedium != undefined){
				Ns.LocalStorage.set("GA.utm_m", ga_campaignMedium);
			}
			if(ga_campaignName != undefined){
				Ns.LocalStorage.set("GA.utm_ca", ga_campaignName);
			}
			if(ga_campaignContent != undefined){
				Ns.LocalStorage.set("GA.utm_co", ga_campaignContent);
			}
			if(ga_campaignKeyword != undefined){
				Ns.LocalStorage.set("GA.utm_t", ga_campaignKeyword);			
			}
			if(ga_campaignSource != undefined){
				Ns.LocalStorage.set("GA.ga_url", ga_native_url);
			}
			
			//kimjh vod
			if(alias == 'VodDetail' && paramObj.vodId == null){
				var TempVodId = Ns.LocalStorage.get('SaveVodId');
				paramObj.vodId = TempVodId;
				if(TempVodId != ""){
					Ns.LocalStorage.del('SaveVodId');
				}
			}
			
			// referrer 값 체크
			var rfr = Ns.Cookie.getCookie("co_rfr");
			if(!Ns.Util.isNull(rfr))
				Const.setReferrer(rfr);
			
			// cocd값 체크
			var cocd = Ns.Cookie.getCookie("co_cd");
			if (!Ns.Util.isNull(paramObj.co_cd))
				cocd = paramObj.co_cd;

			// 네이버광고쇼핑일 경우 co_cd값 134로 변경
			if (cocd != "") {
				Const.setCocd(cocd);
				if(paramObj.nv_ad == "pla"){
					Const.setCocd("134");
				}
			} else {
				// 기본 app web cocd값 구분
				default_cocd = Const.getWebAppDefaultCocd( mainCtrl.isOsApp() );
				// 기존에 cocd값이 있는 경우에는 유지, 없는 경우엔 기본값으로 설정
				if (Const.getCocd() == default_cocd)
					Const.setCocd(default_cocd);
				
				 // search.naver.com -> 주석 해제 hawoong12
				if (mainCtrl.isOsApp() == false) {
					if (document.referrer.indexOf("search.naver") != -1 && Const.getCocd() == "110")
						Const.setCocd("132");
				}
			}
			
			tran.cocdTimeCheck();
			
			//170718 pc쪽 url로 인입시 홈으로 랜딩되는 현상 수정 hawoong
			if (alias == 'NSTimesPrmtView'){
				paramObj.catgroupId = paramObj.cate1Code;
				alias = "NSExhibit";
			}else if (alias == 'sendSMSView'){
				mainCtrl.gotoAppMarket();
				alias = "MainView";
			}else if (alias == 'NSTimesCheckAttendance'){
				alias = 'NSPresent';
			}else if (alias == 'NSTimesView'){
				alias = 'NSTimesEventAll';
			}else if (alias == 'NSMypage'){
				alias = 'MypageMain';
			}else if (alias == 'NSHappyDealView'){
				alias = 'SuperHotMain';
			}else if (alias == 'NSThemeTempView'){
				if(paramObj.catgroupId == '671054'){
					alias = 'HouseGuest';
					paramObj = {};
				}else if(paramObj.catgroupId == '671055'){
					alias = 'LuckyBuy';
					paramObj = {};
				}else if(paramObj.catgroupId == '670554'){
					alias = 'FashionRoom';
					paramObj = {};
				}
			}else if (alias == 'NSTimesEventList'){
				alias = 'NSTimesEventAll';
			}
			
			// alias가 없으면 자동로그인 체크로 이동
			if(alias == "null"){
				alias = "MainView";
			}
			if (alias == '') {
				HUB_INIT.checkAutoLogin();
				return false;
			}
			var pageId = Ns.UI.getPageIdByAlias(alias);	
			if (pageId == null) {
				HUB_INIT.checkAutoLogin({pageId:PAGE.main});
				return false;
			}
			
			// hckim 2018.12.12 회원가입, 아이디찾기결과, 비밀번호찾기 결과 레이어 팝업에서 새로고침할 경우 메인 페이지로 이동(M_G1100000M)			
			if(alias.indexOf("MemberLoginPopup") > -1			// 회원가입 레이이 팝업
					|| alias.indexOf("FindResultPopup") > -1	// 아이디찾기 결과 레이어 팝업
					|| alias.indexOf("FindPwPopup") > -1){		// 비밀번호찾기 결과 레이어 팝업
				pageId=PAGE.main;
			}

			if (paramObj.hasOwnProperty('campainId'))
				Const.setCampaignId(paramObj['campainId']);
			
			// subLayer정리
			mainCtrl.clearSubLayers();

			//자동로그인 개선 hawoong
			var data = "";
			if(mainCtrl.isOsApp() == true){
				if(Const.getCocd() == "50000")
					data = Ns.LocalStorage.get(STORAGE_KEY.CURRENT_PAGE_HISTORY);
			}
			
			// 위젯 검색페이지만 별도 기능
			if (pageId == "M_S1100000M") {
				if (isExec) {
					$('.btn_topSearch').trigger('click');
					return false;
				} else {
					mainCtrl.gotoMain();
					setTimeout(function(){
						$('.btn_topSearch').trigger('click');
					},500);
					return false;
				}
			} else {
				//자동로그인 개선으로 인한 위치 변경 hawoong
				// 세션 오류로 refresh 되었을때 체크
				if (Ns.Util.isNull(pageId) && !Ns.Util.isNull(data)) {
					Ns.LocalStorage.del(STORAGE_KEY.CURRENT_PAGE_HISTORY);
					// 이동할 데이터 JSON parse
					data = JSON.parse(data);
					alias = PAGE_CONFIG[data.pageId].alias;
					if (data.params != undefined)
						paramObj = data.params;
					

					// 자동로그인 체크
					if (!Ns.Util.isNull(Ns.LocalStorage.get(STORAGE_KEY.AUTO_LOGIN_INFO))){
						HUB_INIT.checkAutoLogin(data);
					}else{
						mainCtrl.navigate( pageId, paramObj );
					}
				} else {
					var target = {
							pageId : pageId,
							invoke : paramObj
					};
					//170627 모바일 성능 개선(자동로그인) hawoong
					if((alias == "NSExhibit" && JSON.stringify(paramObj) == '{}') || (alias == "NSTimesPrmtView" && JSON.stringify(paramObj) == '{}') ){
						if(PAGE_CONFIG.mslotNickNameInfo["EXHIBITION"]){
							target.pageId = PAGE_CONFIG.mslotNickNameInfo["EXHIBITION"];
						} else {
							target.pageId = "M_G1100030M";
						}
					}
					if(alias == "NSTimesEvent" && JSON.stringify(paramObj) == '{}' ||
							alias == "ProductDpList" && JSON.stringify(paramObj) == '{}'
								|| PAGE_CONFIG[pageId].path == PAGE_PATH.order ) {
						target.pageId = PAGE.main;
					}
					//event page 예외 처리 - hawoong 170630
					if(alias.indexOf('EventAll') > -1) {
						target.pageId = "M_G1100020M";
					} else if(alias.indexOf('NSTVEvent') > -1) {
						target.pageId = "M_G1100400M";
					} else if(alias.indexOf('NSLuckyboxEvent') > -1) {
						target.pageId = "M_G1100101M";
					} else if(alias.indexOf('NSRouletteEvent') > -1) {
						target.pageId = "M_G1100102M";
					} else if(pageId == "M_G5710003M") {
						target.pageId = "M_G5710001M";
					}
					HUB_INIT.checkAutoLogin(target);
				}
			}
		}, 

		/**
		 * 2016-08-11 정승진 : 푸시 단말기 인증 확인
		 * */
		checkPushAgreeYn : function() {
			var succCb = function(data) {
				// ios json 파싱
				if (mainCtrl.VIEW_TYPE == 'ios')
					data = JSON.parse(data);
				if (data.code == '000') {
					// 푸시 메시지 목록(getPushMsgList)요청시 필요한 값을 저장		
					DEFAULT_PARAMs.deviceId 	= data.uuid;
					DEFAULT_PARAMs.maxUserMsgId = data.maxUserMsgId;
					// 푸시 수신동의 값 디폴트 값 설정
					if (mainCtrl.checkLogonStatus()) {
						var pushAgreeYn = Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN);
						if (pushAgreeYn == null || pushAgreeYn == '')
							Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_YN, 'N');
					} else {
						var popupState = Ns.LocalStorage.get(STORAGE_KEY.PUSH_POPUP_YN);
						if (popupState == null || popupState == '')
							Ns.LocalStorage.set(STORAGE_KEY.PUSH_POPUP_YN, 'N');
						var pushAgreeLogoutYn = Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN);
						if (pushAgreeLogoutYn == null || pushAgreeLogoutYn == '')
							Ns.LocalStorage.set(STORAGE_KEY.PUSH_AGREE_LOGOUT_YN, 'Y');
					}
				}
			};
			
			var failCb = function(data) {
				// empty for purpose
			};
			// 푸시 단말기 인증
			Ns.Native.pushDeviceCert(succCb, failCb);
		},
		
		//메인 Tab 영역 이벤트 설정. 
		initializeMainTabCtrls : function() {
			var csname = "active";

			//top버튼 이벤트 설정 
			$('#btnTop').off().on("click", function(){
				$("html, body").stop().animate({'scrollTop':0},50);
				$(this).hide();
			});
			
			// 상단 편성표 버튼
			$('#eTVschedule').unbind().bind('click', function(){
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_공통영역',
						eventAction : 'TV편성표',
						eventLabel : ''
					};
				
				var pageId = navi.getPageId();
				var subparam = {
					t1 : 'GNB',
					t2 : (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined"
				};
				GA.sendEventData(event_obj,subparam);
			
				var invoke = {};
				invoke.catalogId = Const.getMarketingCatalogId('tv');
				mainCtrl.navigate("M_G2222120M",invoke);
				return false;
			});

			// 상단 해더 장바구니 버튼
			$('#topCart').unbind().bind('click', function(){
				//ga360
				var event_obj = {
						eventCate : 'MOBILE_공통영역',
						eventAction : '장바구니',
						eventLabel : ''
					};
				var pageId = navi.getPageId();
				var subparam = {
					t1 : 'GNB',
					t2 : (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined"
				};
				GA.sendEventData(event_obj,subparam);
				Ns.UI.setTopBottomShow();
				
				mainCtrl.navigate('M_B1111000M');
				return false;
			});

			$('#tabBasicUtil').find('a').unbind().bind('click', function(e){
				var logParam = "";
				//히스토리 페이지일 경우
				if(mainCtrl.getCurrentPageId() === "M_G1100000L"){
					if(this.id !== "myquickMenu"){
						M_G1100000L.btnGubun = "F"; //하단네비게이션 값 추가 변경 X
						M_G1100000L.navigateTabId = this.id;
						M_G1100000L.buttonEvent = e;
						navi.naviBack();
					}else{
						return;
					}
				}else{
					HUB_INIT.navigateTabMenuEvent(this.id,e);
				}
				return false;
			});
			
			// hckim 햄버거 메뉴 클릭 시 LNB 활성화
			$('#skipAside').unbind().bind('click', function(e){
				HUB_INIT.navigateTabMenuEvent("skipAsideBottom",e);
			});						
						
			$("#divLogin").unbind().bind('click', function(){
				//  슬라이드 창을 닫고 로그인 페이지로 이동
				setLnbClose(); // LNB Close								
				mainCtrl.gotoLogin();
			});
			
			// hckim 마이쇼핑정보(나의등급/적립금/쿠폰) 클릭 이벤트 처리			
			$(".isOnlyUser").unbind().bind('click', function(){
				// hckim 로그인되어 있지 않을 경우에만 수행
				setLnbClose(); // LNB Close
				
				var id = $(this).attr('user-id');
				var pageId = "";				
				var invoke = null;
				
				if(id == "gradeTitle"){					// 고객등급 선택 시 로그인 후 페이지 이동
					pageId = "M_U1181000M";
				}else if(id == "saveMoneyTitle"){	// 적립금 선택 시 로그인 후 페이지 이동
					pageId = "M_U1142100M";
					invoke = {
							tabIndex : 1
					};
				}else if(id == "couponCntTitle"){	// 쿠폰 선택 시 로그인 후 페이지 이동
					pageId = "M_U1141100M";
				}else{
					pageId = "";
				}
								
				//로그인 체크
				if ( !mainCtrl.checkLogonStatus() ){					
					var param = {
							pageId		: pageId,
							invoke 		: invoke
					};					
					mainCtrl.gotoLogin(param);
					return false;					
				}else{
					mainCtrl.navigate(pageId, invoke);
				}				
			});						
						
			// hckim LNB 종료 버튼 클릭 시
			$("#divLnbClose").unbind().bind("click", function(e){
				
				setLnbClose(e); // LNB Close			    			    			    
			});
			
			//  hckim 공지사항 클릭 시
			$("#detailNotice").unbind().bind("click", function(e){
				var noticeId = "";
				var noticeNo = "";
				noticeId = $("#noticeItem").attr("user-noticeId");
				noticeNo = $("#noticeItem").attr("user-noticeNo");							
				
				// 공지사항 상세로 이동
				if(noticeId != undefined && noticeId != ""){
					setLnbClose(e); // LNB Close
					
					var invoke = {
							noticeId : noticeId,
							no	: noticeNo
					};

					mainCtrl.navigate( "M_H1113100M", invoke );						
				}
			});
			
			// hckim 하림 특가 매장 이동
			$("#harimStore, #nsStaffStore").unbind().bind("click", function(e){
				setLnbClose(e); // LNB Close
				
				var pageId = PAGE.groupMall[Const.IS_SERVER_STATE];
				if($(this).attr("id") == "nsStaffStore"){
					pageId = $(this).data("pageId");
				} 
				mainCtrl.navigate( pageId , {});				
			});
		},
		
		//하단 히스토리 탭 이미지 초기화
		initHistotryTabImg : function(){
			var cusHistoryObj = mainCtrl.getRecentlyViewedProducts() || [];
			var $hisTabImg = $("#myquickMenu");
			var hisPrdImgUrl = "";
			var hisPrdImgHtml = "";
			
			if(cusHistoryObj == null){
				hisPrdImgUrl = "./images/common/icons_myQuick.png";
			}else{
				var cusHistoryObjLen = cusHistoryObj.length;
				var defaultImgUrl = "./images/common/icons_myQuick.png";
				for(var i=0 ; i < cusHistoryObjLen; i++){
					if(cusHistoryObj[i].hisGubun === "P"){
						if(cusHistoryObj[i].adultItemFlag === "Y" && USERINFO.adultAuthYN() !== "Y"){
							hisPrdImgUrl = defaultImgUrl;
						}else{
							hisPrdImgUrl = Ns.Util.getImageUrl( cusHistoryObj[i].partNumber
									,"A"
									,cusHistoryObj[i].adultItemFlag );
							
						}
						break;
					}
				}
				
				hisPrdImgHtml = Ns.Util.stringFormat('\
								            			<img src="{0}"\
								            			onerror="this.src=\'{1}\'" alt="퀵메뉴"/>'
								    					, hisPrdImgUrl ,defaultImgUrl);
			}			
			$hisTabImg.html(hisPrdImgHtml);
		},
		
		// 로딩이미지 초기화
		initLoadingImg : function() {
						
			SpriteSpinner = function(el, options){
		        var self = this,
		            img = el.children[0];
		        this.interval = options.interval || 10;
		        this.diameter = options.diameter || img.width;
		        this.count = 0;
		        this.el = el;
		        img.setAttribute("style", "position:absolute");
		        el.style.width = this.diameter+"px";
		        el.style.height = this.diameter+"px";
		        return this;
		    };
		    
		    SpriteSpinner.prototype.start = function(){	
		    	if(loadingSpinner.status)
		    		return false;
		    	
		        var self = this,
		            count = 0,
		            img = this.el.children[0];
		        this.el.style.display = "block";
		        self.status = true;
		        self.loop = setInterval(function(){
		        	if(count == 16){
		                count = 0;
		            }
		            img.style.top = (-self.diameter*count)+"px";
		            count++;
		        }, this.interval);
		    };
		    
		    SpriteSpinner.prototype.stop = function(){
		    	if(!loadingSpinner.status)
		    		return false;
		    	clearInterval(this.loop);
		        this.status = false;
		        this.el.style.display = "none";
		    };
		    
		    SpriteSpinner.prototype.status = false;
		    
		    document.SpriteSpinner = SpriteSpinner;
			 
			
			$(".sprite-spinner").each(function(){
			      loadingSpinner = new SpriteSpinner(this, {
			        interval:50,
			        diameter:40
			      });			     
			 });			
		},

		//GNB 영역의 메뉴를 동적으로 정의한다. 
		setGNBMenu : function() {
			// TODO hckim 삭제대상
			//Ns.UI.initGNBMenu();

			$("#closeCocdBanner").on("click",function(){
				$("#cocdBannerImg").remove();
				$("#header").removeClass("type2");
				$("#pageHeader").removeClass("type2");
				$("#contents").removeClass("type2");
				$(this).parent().hide();
				var endDate = Ns.Date.getNowDate() + "23" + "59" + "59";
				Ns.LocalStorage.set("checkCocd_"+Const.getCocd(),endDate);
			});

			// TODO hckim 삭제대상 START
			// 사이드 메뉴 이벤트 처리
			$("#ulAsideMenuArea li a ").unbind().bind( "click", function() {
				var id = $(this).attr('id');
				$("#categoryList div").removeClass("active");

				if( id == "tabSnMallCategory"){
					$("#snMallCategory").addClass("active");
				} else if( id == "tabConceptShopCategory"){
					$("#conceptShopCategory").addClass("active");
				}else if( id == "tabShoppingBookCategory"){
					$("#shoppingBookCategory").addClass("active");
				}

				if ( oScroll != null ) {
					oScroll.refresh();
					oScroll.scrollTo(0, 0, 200);
				}
			} ); //GNB Menu 
			// TODO hckim 삭제대상 END

			// 상단 메뉴 출력 및 이벤트 커스텀과 swiper 처리
			HUB_INIT.eventCategoryChange();
			
			$('#btnPreview').unbind().bind('click', function(){ mainCtrl.onBackButtonPressed(); }); // navi 영역 back button
			$("#btnShowSearchView").unbind().bind('click', HUB_INIT.showSearchView ); // search button
			$("#btnVoiceSearch").unbind().bind('click', HUB_INIT.showVoiceSearch ); //2018-06-21 ssong 음성검색 버튼 분리
			$('#btnBack').unbind().bind('click', function(){ mainCtrl.onBackButtonPressed(); }); // navi 영역 back button hawoong12
		},

		// 모바일 AcceptPath 체크
		setMobileAcceptPath : function() {
			var acceptPath = "";
			if ( mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "android" ) {
				if ( mainCtrl.APP_NAME=="HUBAPP") {
					acceptPath = 501;
				} else if ( mainCtrl.APP_NAME=="SBOOK") {
					acceptPath = 502;
				} else if ( mainCtrl.APP_NAME=="PREMIUM") {
					acceptPath = 503;
				}
			} else if ( mainCtrl.VIEW_TYPE == "iosweb" || mainCtrl.VIEW_TYPE == "androidweb" ) {
				acceptPath = 500;
			} else {
				acceptPath = 500;
			}

			Const.setAcceptPath( acceptPath );
		},

		// 검색 레이어 영역 출력
		showSearchView: function() {
			if($("div#search_container").length <= 0)
				mainCtrl.showSearchView();
		},
		
		//2018-06-25 ssong 음성검색 버튼 
		showVoiceSearch : function(){
			if($("div#search_container").length <= 0)
				mainCtrl.showSearchView({"searchType" : "voice"});
		},
		
		// 푸터 영역 출력
		setFooter : function() {
			setTimeout(function(){
				var url = "html/common/footer.html";
				$("#footer").load(url, function() {
					FOOTER.init();
				});
			},5000);
		},
		
		//hawoong 180123 gnb renewal
		scrollHeader : function(){
			var $offsetTopSelecter = $('.category_contents');
			
			if ($('.tv_table_contents').length > 0) {
			      $('.page_header').addClass('fixed');
			}else{
				$('.page_header').removeClass('fixed');
			}

			if ($offsetTopSelecter.length > 0) {
				$(document).ready(function() {
					if ($(document).scrollTop() < $offsetTopSelecter.offset().top) {
						$('.category_wrapper').removeClass('fixed');
					}
				});
			}

			return $('.category_wrapper').each(function() {
				var $stickySelecter = $(this);
				if ($offsetTopSelecter.length < 1) {
					return;
				}

				$(window).on('scroll.header', function() {
					var tabOffsetTop = $offsetTopSelecter.offset().top;

					if (tabOffsetTop <= $(document).scrollTop()) {
						$stickySelecter.addClass('fixed');
					} else if (tabOffsetTop > $(document).scrollTop()) {
						$stickySelecter.removeClass('fixed');
					}
				});
			});
		},

		// touchmove 이벤트 처리(스크롤 이벤트)
		preventBehavior : function(e) {
			
			$(document).on('focus', 'input, textarea, select', function() {
				e.preventDefault();
			});
			// alert,confirm 공통 레이어팝업이 열려있으면
			if ( $("section.layer-popup").is('.active') && (typeof(CurrentCommonPopup) == 'object' ) ) {
				e.preventDefault();
			}
			
			//스크롤 이동시 체크
			$(window).scroll(function(){
				
				var nowScrollPoint = $(document).scrollTop();
				
				if(nowScrollPoint >= 10)
					//top버튼 활성화
					$('#btnTop').show();
				else
					$('#btnTop').hide();
				
				// 상품상세페이지일 경우 
				if(mainCtrl.getCurrentPageId() == 'M_G2600000M') {
					if(nowScrollPoint < M_G2600000M.zoomStartH) {
						M_G2600000M.zoomRangeChk = 1;
					}
					if( M_G2600000M.zoomStartH <= nowScrollPoint && nowScrollPoint <= M_G2600000M.zoomEndH ) {
						if(M_G2600000M.zoomRangeChk == 1)
							M_G2600000M.event.fade_zoomClose();
						
						M_G2600000M.zoomRangeChk = 2;
					}
					if(nowScrollPoint > M_G2600000M.zoomEndH) {
						M_G2600000M.zoomRangeChk = 3;
					}					
					
					if((nowScrollPoint >= M_G2600000M.zoomStartH && nowScrollPoint <= M_G2600000M.zoomEndH) 
							&& $('#moreInfo').hasClass("active")){
						$('#btnZoom').show();
					}
					else{
						$('#btnZoom').hide();
					}
				}
			});
		},

		// 하단 Util 영역 표시여부 설정
		setMainTabbarShowAction : function() {
			var hideFunc = function() {
				if ($(this).is("[type=radio], [type=checkbox]")) {
					return false;
				}

				// 포커스 위치 저장
				mainCtrl.FOCUS_LAYER_ID = $('*:focus');
			};
			var showFunc = function() {
				if ($(this).is("[type=radio], [type=checkbox]")) {
					return false;
				}
				// 레이어팝업이 열려있으면
				if ( $("section.layer-popup").is('.active') ) {
					return false;
				}

				// 하단 Util 영역 표시

				// 저장된 포커스로 이동
				if (mainCtrl.FOCUS_LAYER_ID != null) {
					$(mainCtrl.FOCUS_LAYER_ID).focus();
					mainCtrl.FOCUS_LAYER_ID = null;
				}
			};

			$(document).on('focusin', 'input, textarea, select', hideFunc);
			$(document).on('focusout', 'input, textarea, select', showFunc);
			$(document).on('mouseup ', 'select', showFunc);
		},

		// 하단 Util 영역의 위치 조정
		/*
		updateOrientation : function() {
			var footerHeight = $('#util').height();
			var headerHeight = $('#header').height();
			var minHeight = 0;

			var w = window,
			d = document,
			e = d.documentElement,
			g = d.getElementsByTagName('body')[0],
			cx = w.innerWidth || e.clientWidth || g.clientWidth,
			cy = w.innerHeight|| e.clientHeight|| g.clientHeight;

			minHeight = cy - ( headerHeight + footerHeight );
			$('div#contents').css('min-height', minHeight/2 + 'px');

			if ( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb" ) {
				$('#util').css({'position':'fixed', 'top':(cy - footerHeight)+'px'});
			} else {
				$('#util').css({'position':'fixed', 'bottom':'0px'});
			}
		},
		*/

		setTouchEventListener : function(){
			$(document).on("touchmove", HUB_INIT.preventBehavior );			//touchmove 이벤트
			$(document).on("touchend", HUB_INIT.preventBehaviorEnd );		//일반 touchend 이벤트
			$(document).on("touchcancel", HUB_INIT.preventBehaviorEnd );	//ios용 touchend 이벤트

		},

		setCocdBanner : function(){
			mainCtrl.viewCocdBanner();
		},

		initFacebook : function(){
			var e = document.createElement('script');
			e.async = true;
			e.src = document.location.protocal + '//connect.facebook.net/ko_KR/all.js'; 
			document.getElementById('fb-root').appendChild(e);
		},
		
		/**
		 * 2017-08-02 김경한 :adbrix init
		 * */
		initIgawCommon : function(){			
			NSCustom.initIgawCommon();
		},

		/**
		 * 2016-12-21 정승진 : 상단 메뉴 GNB (e-spot 방식으로 변경)
		 * */
		eventCategoryChange : function( ) {
			
			var strSubCategoryListHtml = "";
			var invoke = new Object;
			invoke.espotInfo="MOB_GNB_RENEWAL|Content";
			tran.callWCSJsonTran( 'NSEspotCommon', invoke,  function(data) {
				try {
					// 데이터 유효성 체크
					if (Ns.Util.isNull(data) || data.msg.root == undefined)
						return;
					// GNB 메뉴 변수 초기화
					gnbPos = [];
					gnbList = [];
					// GNB 메뉴 UI를 구성
					var voSize = data.msg.root._MOB_GNB_RENEWAL.length;
					
					for (var i=0; i < voSize; i++) {
						
						var voList = data.msg.root._MOB_GNB_RENEWAL;
						
						var vo = voList[i].marketingText.replace(/ /g, '') .split("|");
						var gnbPageId = vo[2];
														
						var array = new Array();
						//페이지 명이 home일경우 현재 설정된 홈 page를 세팅 해준다
						if(gnbPageId === "home"){
							gnbPageId = PAGE.main;
						}
						
						if(!PAGE_CONFIG[gnbPageId]){
							continue;
						}
						
						gnbList.push(gnbPageId);
						//e-spot 데이터로 타이틀 변경
						PAGE_CONFIG[gnbPageId].title = Ns.Util.isSpecialChar(vo[0]) ? Ns.Util.htmlDecode(vo[0]) : vo[0];
						//subpage 설정
						PAGE.subCategoryPage[gnbPageId] = gnbPageId;
																	
						//n아이콘 추가 구분 vo[3] 'new'일 경우 n아이콘 추가
						var newMarkupStr = (vo[1]) ? " " + vo[1] : "";
						strSubCategoryListHtml += "<li class='cat " + newMarkupStr+"' role='presentation'>";
						strSubCategoryListHtml += "<a href='javascript:;' role='tab' aria-selected='false' id='" + gnbPageId + "'>";
						strSubCategoryListHtml += Ns.Util.isSpecialChar(vo[0]) ? Ns.Util.htmlDecode(vo[0]) : vo[0];
						strSubCategoryListHtml += "</a>";
						strSubCategoryListHtml += "</li>";
						
					}
					
					// GNB 메뉴 목록
					$("#subCategoryList").html(strSubCategoryListHtml);
					
					// GNB 메뉴 클릭 이벤트 리스너
					$("#subCategory li a ").unbind().bind( "click", function() {
						var id = $(this).attr('id');
						var pageName = $(this);
						var invoke = {};
						//ga360
						var event_obj = {
								eventCate : 'MOBILE_공통영역',
								eventAction : '매장이동',
								eventLabel : pageName.text()
							};
						var pageId = navi.getPageId();
						var subparam = {
							t1 : 'GNB',
							t2 : (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined"
						};
						GA.sendEventData(event_obj,subparam);
						
								
						// 2017.01.11 dhlee 선택 된 GNB 메뉴를 저장 
						gnbPos.push(id);									
						Ns.Util.viewConsoleLog("test-[SubCategoryItem] >> " + "id :: " + id + " | id :: " + id);
						
						// 페이지를 이동
						if (!Ns.Util.isNull(id))
							mainCtrl.navigate(id, invoke, pageName.text());
					});
					mainCtrl.isSubCategoryPage(PAGE.main);
				}catch(e) {
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'eventCategoryChange' + "\" -> " + e + " ))");
				}
			});
		},
		
		initLayoutEspot : function (){
			
			var espotList = Object.keys(pageLayoutComm.ESPOT_PATH);
			var espotLength = espotList.length;
			
			for(var i = 0 ; i < espotLength; i++){
				var espotNm = espotList[i];
				
				var espotConfig = pageLayoutComm.ESPOT_CONFIG(espotNm);
				pageLayoutComm.getEspotHtml(espotNm, espotConfig);
			}
			
		},
		
		//2017-10-20 서석준 몰에서 사용하는 레이아웃 정보 페이지 정보 불러오는 함수
		categoryPLPageInfo : function(cnFn){
			
			var invoke = new Object();
			invoke.layoutAppGubun = "HUB";
			tran.callWCSJsonTran( 'NSmobilePLCategoryInfo', invoke,  function(data) {
								
				try{
					// 데이터 없으면 후단 function 바로 호출
					if (Ns.Util.isNull(data) || data.msg == undefined){
						wlCommonInit_exc();
						return;
					}
					
					PAGE_CONFIG.mslotNickNameInfo = {};
					
					var layoutData = data.msg;
					var dataLength = layoutData.length;
					
					for(var i = 0 ; i < dataLength ; i++){
						var	layoutDataInfo 		= layoutData[i]
						,	layoutViewName		= layoutDataInfo.layoutViewName
						,	layoutPageCateId	= layoutDataInfo.categoryId
						,	layoutPageNick		= layoutDataInfo.mslotNickName
						,	insertPageInfo 		= {
							 	path		:	PAGE_CONFIG[layoutViewName].path
							 ,	title		:	Ns.Util.isSpecialChar(layoutDataInfo.cateName) ? Ns.Util.htmlDecode(layoutDataInfo.cateName) : layoutDataInfo.cateName
							 ,	isLogin		:	PAGE_CONFIG[layoutViewName].isLogin
							 ,	cssfile		:	PAGE_CONFIG[layoutViewName].cssfile
							 ,	alias		:	layoutPageCateId
							 ,	layoutUse	:	"Y"
							 ,	classname	:	""
							 ,	robots		:	true
							 ,	catalogId	:	layoutPageCateId
							 ,	pageSize	:	PAGE_CONFIG[layoutViewName].pageSize
							 ,	layoutViewName	:	layoutViewName
						};
						
						if(layoutDataInfo.mslotNickName){
							PAGE_CONFIG.mslotNickNameInfo[layoutPageNick] = layoutPageCateId;
							insertPageInfo.mslotNickName = layoutPageNick
							
							if(layoutPageNick == "HOME"){
								PAGE.main = layoutPageCateId;
							}
						} 
						
						PAGE_CONFIG[layoutPageCateId] = insertPageInfo;
					}
					
				}catch(e){
					Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'categoryPLPageInfo' + "\" -> " + e + " ))");
				}finally {
					wlCommonInit_exc();
				}
			},null,null,{'progress' : false});
		},
		
		/**
		 * checkAppAuthNoticePopup : 앱 권한 팝업 최초 노출(앱 최초 실행) 여부 확인
		 * */
		checkAppAuthNoticePopup : function() {
			if (mainCtrl.isOsApp()) {
				var noticePopupAppAuth = Ns.LocalStorage.get(STORAGE_KEY.NOTICE_POPUP_APPAUTH);
				if (noticePopupAppAuth == null || noticePopupAppAuth == '') {
					Ns.Popup.showLayer("notice_app_auth_popup");
					Ns.LocalStorage.set(STORAGE_KEY.NOTICE_POPUP_APPAUTH, 'Y');
				}
			}
		},
		
		/**
		 * linkView : khkim82 20180607  앱 Link 화면 호출  
		 * */
		linkView : function(likUrl) {
	
			if(mainCtrl.VIEW_TYPE == "android"){
				Ns.Native.webView(1, likUrl);
			}else if(mainCtrl.VIEW_TYPE == "ios"){
				Ns.Native.linkView(2, likUrl);
			}else{								
				window.open(likUrl, '엔에스쇼핑');								
			}
		},
 
		/**
		 * doNsTimesEvent : smlee0220 쿠폰다운로드 호출 + 응모고객수 
		 * */
		doNsTimesEvent : function(offerid) {

			if ( Ns.Util.isNull(offerid) || offerid.length==0 ){
				return false;
			}
			
			var invokeParams = {
					eventIdfr : offerid,
					flag : "01",       
					mediaCd : "MOBIL", 
					eventDtlYn : "Y"
			};
				
			//로그인 체크
			if ( !mainCtrl.checkLogonStatus() ){
				mainCtrl.gotoLogin();
				return false;
			}
	
			var userId = mainCtrl.getUserInfo("userId");
			invokeParams.userId = userId;
			
			tran.callWCSJsonTran( "NSTimesPrmtEventCmd", invokeParams, HUB_INIT.resultCallback );
		},
		
		/**
		 * doNsTimesPushEvent : muto806 푸쉬수신 동의 쿠폰 다운로드
		 * */
		doNsTimesPushEvent : function(offerid) {

			if ( Ns.Util.isNull(offerid) || offerid.length==0 ){
				return false;
			}
			
			if (mainCtrl.isOsApp()) {
				var isLogon = mainCtrl.checkLogonStatus();
				if (isLogon) {
					var isPushAgreeYn = Ns.LocalStorage.get(STORAGE_KEY.PUSH_AGREE_YN);
					if (isPushAgreeYn == "Y") {
						// 응모하기 데이터 설정
						var transId = "NSTimesPrmtEventCmd";
						var invoke = {};
						invoke.userId = mainCtrl.getUserInfo("userId");
						invoke.mediaCd = "MOBIL";
						invoke.flag = "01";
						invoke.eventIdfr = offerid;
						
						
						// 이벤트 응모하기
						tran.callWCSJsonTran(transId, invoke, HUB_INIT.resultCallback);
						
					} else {
						Ns.Popup.alert("쇼핑알림 설정이 'ON' 상태이어야 참여 가능합니다.", function() {
							mainCtrl.navigate('M_F1190000M');
						});
						return;
					}
				} else {
					Ns.Popup.alert("로그인 후 이용하실 수 있습니다.", function() {
						mainCtrl.gotoLogin();
					});
					return;
				}
			} else {
				Ns.Popup.alert("앱에서만 참여 가능합니다.</br>앱 다운후 응모해주세요!");
			}
		},
		
		resultCallback : function(data){			
			var msg = data.msg.root.rtnMsg;
			Ns.Popup.alert( msg );
		},
		
		/**
		 * 이벤트 팝업 클릭 시 쿠폰다운로드 
		 * @parma couponid : 쿠폰번호
		 */
		doDownNsCoupon : function(couponid) {
			
			// 클릭 시 팝업을 hide시킨다 
			$('#popupBtnEventClose').trigger('click');
			
			// 쿠폰번호
			var coupon = couponid ;
			if ( Ns.Util.isNull(coupon) || coupon.length==0 ){
				return false;
			}
			
			// 쿠폰 정보
			var invokeParams = {
					mediaCd 	: "MOBIL",
					flag 		: "02",     // (02 : 적립 쿠폰일 경우)
					eventIdfr 	: coupon, 	// 쿠폰 번호
					co_cd 		: coupon,   // 쿠폰 번호
			};
			
			// 상품 상세 페이지에서만 사용
			if(mainCtrl.getCurrentPageId() == "M_G2600000M" || mainCtrl.getCurrentPageId() == "M_G2260000M"){
				invokeParams.isShowPopUp = false  // 통제쿠폰을 보여줄지 여부
			}
			
			// 로그인 여부 
			if (!mainCtrl.checkLogonStatus()) {
				// 현재페이지의 parameter들을 추가함(로그인 후 다시 돌아오기 위해)
				$.extend(invokeParams, mainCtrl.getCurrentPageParams());
				
				// 로그인 후 현재페이지로 다시 돌아오기 위한 정보
				var nextParams = {
						tranId : "",
						invoke : invokeParams,
						pageId : mainCtrl.getCurrentPageId(),
						isOnlyUser : true // 비회원주문 가능여부 (true : 회원만주문가능, false : 비회원주문가능)
				}; 
					
			   mainCtrl.gotoLogin( nextParams );
			   return false;
			}
			
			// 로그인이 되어있을 경우 고객번호
			var userId = mainCtrl.getUserInfo("userId");
			invokeParams.userId = userId;
			
			tran.callWCSJsonTran( "NSTimesPrmtEventCmd", invokeParams, HUB_INIT.resultCallback );
		},
		
		/**
		 * 모바일 웹 최상단 앱 다운로드 바 init
		 * - 메인화면에서만 노출될 수 있도록 다른 페이지로 이동시 노출되지 않게 처리 class추가 Banner
		 */ 
		initAttractAppDownLoad : function(){
			//홈쇼핑앱으로 NSMALL 유입 시, 배너 숨김
			// hckim 2019.03.19 NSSR-22075 NSMALL 앱 유입 시 앱 다운로드 배너 숨김처리(125, 130, 133, 134, 497, 850 - 네이버 오늘의 핫딜, 네이버 가격비교, 네이버 쇼핑핫딜, 네이버 쇼핑검색 광고, m_네이버키워드, 네이버키워드)
			var arrCocd = ["580", "479",  "170",  "481", "513", "511", "514", "522", "536", "476", "483", "477", "475", "508", "125", "130", "133", "134", "497", "850"];			
						
			if(!mainCtrl.isOsApp() && arrCocd.indexOf(Const.getCocd()) == -1){
				var bannberCloseYN = sessionStorage.getItem("ATTRACT_APP_DOWN_BANNER");
				if(bannberCloseYN != "Y"){
					$("#AttractAppDownLoad").show();
					$("#contents").addClass("Banner");
					setTimeout(function(){
						$("#AttractAppDownLoadclose").trigger("click");
					},10000);
					Ns.LocalStorage.set(STORAGE_KEY.ATTRACT_APP_DOWN_BANNER, 'Y');
				}
				
			} else {				
				Ns.LocalStorage.set(STORAGE_KEY.ATTRACT_APP_DOWN_BANNER, 'N');
			}
			
			// 닫기 버튼 클릭 이벤트
			$("#AttractAppDownLoadclose").unbind().bind("click", function() {
				$("#AttractAppDownLoad").hide();
				$("#contents").removeClass("Banner");
				Ns.LocalStorage.set(STORAGE_KEY.ATTRACT_APP_DOWN_BANNER, 'N');
				sessionStorage.setItem("ATTRACT_APP_DOWN_BANNER","Y");
			});
			
			$("#AttractAppDownLoadConnect").unbind().bind("click", function() {
				mainCtrl.gotoAppMarket();
			});
		},
		
		/**
		 * 앱 오픈 이벤트 발생 후 고객 데이터 확인
		 * 값 설정 : 고객 로그인 여부 , 고객 디바이스 기준 푸시 수신동의 여부 
		 */
		checkCustomer : function(){
			var loginState = mainCtrl.checkLogonStatus() ? 'Y' : 'N';
			var pushAgree = mainCtrl.checkDevicePushAgree();
			
			// AIQUA
			mainCtrl.userProfileToAIQUA(null, null, null, null, null, null, loginState, pushAgree);
			mainCtrl.userEventToAIQUA("app_open");
		},
		
		
		getQueryStringObject : function() {
		    var a = window.location.search.substr(1).split('&');
		    if (a == "") return {};
		    var b = {};
		    for (var i = 0; i < a.length; ++i) {
		        var p = a[i].split('=', 2);
		        if (p.length == 1)
		            b[p[0]] = "";
		        else
		            b[p[0]] = decodeURIComponent(p[1].replace(/\+/g, " "));
		    }
		    return b;
		},
		/**
		 * 하단탭 네비게이션 숨김처리 여부
		 * */
		navigationEvnet : function() {
            var $navigation = $('#bottomBtnArea');

            var prevScrollTop = 0;
            var nowScrollTop = 0;
            
            var timer;
            
            if(mainCtrl.VIEW_TYPE !== "ios"){ 
            	if($('.tv_table_contents').length <= 0){
	            	$(document).on("scroll.tabUtil", function () {
	            		nowScrollTop = $(document).scrollTop();
	            		if (nowScrollTop > prevScrollTop) {
	            			$navigation.addClass('top');
	            		} else if (nowScrollTop < prevScrollTop) {
	            			$navigation.removeClass('top');
	            		}
	            		
	            		prevScrollTop = nowScrollTop;
	            		
	            		clearTimeout(timer);
	            		timer = setTimeout(function() {
	            			$navigation.removeClass('top');
	            		}, 200);
	            	});
            	}
            }            
		},
		
		navigateTabMenuEvent : function(id,event){
			switch(id){
			case "tabHome" 	: {
					logParam = {categoryId : "ft_tabHome"};
					tran.callPageLogging("LoggingPage", logParam);
					
					//adbirx 송신용 파라미터
					if( mainCtrl.isOsApp() ){
						var invoke = {
								category : "Retention",
								action : "category_home"
						};
						Ns.Native.sendAdbrix( invoke );
					}
					// 하단 홈 화면 선택시 LNB 중분류 열어놓은 상태 초기화
					Ns.LocalStorage.del(STORAGE_KEY.LNB_LCATEID);			// 로컬스토리지의 LCATEID 값 삭제
					
					// adbrix
					var invoke = {};
					invoke.category = "add_viewhome";
					invoke.action = "add_viewhome";
					Ns.Native.sendAdbrix( invoke );

					var invoke2 = {};
                    invoke2.category = "firstTimeExperience";
                    invoke2.action = "view_home";
                    Ns.Native.sendAdbrix( invoke2 );

                    var invoke3 = {};
                    invoke3.category = "Retention";
                    invoke3.action = "view_home";
                    Ns.Native.sendAdbrix( invoke3 );
					
					setTimeout(function(){
						targeting.sendLogging(invoke);
					}, 1000);
					
					//ga360
					var event_obj = {
							eventCate : 'MOBILE_공통영역',
							eventAction : 'GNB',
							eventLabel : '홈'
						};
					var pageId = navi.getPageId();
					var subparam = {
						t1 : 'GNB',
						t2 : (pageId in PAGE_CONFIG) ? PAGE_CONFIG[pageId].title : "undefined"
					};
					GA.sendEventData(event_obj,subparam);
					
					mainCtrl.navigate( PAGE.main, null );
					break;
				}
				case "tabMypage" 	: { 
					logParam = {categoryId : "ft_tabMypage"};
					tran.callPageLogging("LoggingPage", logParam);
					
					//ga360
					var event_obj1 = {
							eventCate : 'MOBILE_공통영역',
							eventAction : 'GNB',
							eventLabel : '마이페이지'
						};
					var pageId1 = navi.getPageId();
					var subparam1 = {
						t1 : 'GNB',
						t2 : (pageId1 in PAGE_CONFIG) ? PAGE_CONFIG[pageId1].title : "undefined"
					};
					GA.sendEventData(event_obj1,subparam1);
					
					mainCtrl.gotoMypage();
					break;
				}
				case "myquickMenu" : {
					//ga360
					var event_obj2 = {
							eventCate : 'MOBILE_공통영역',
							eventAction : 'GNB',
							eventLabel : '퀵메뉴'
						};
					var pageId2 = navi.getPageId();
					var subparam2 = {
						t1 : 'GNB',
						t2 : (pageId2 in PAGE_CONFIG) ? PAGE_CONFIG[pageId2].title : "undefined"
					};
					GA.sendEventData(event_obj2,subparam2);
					
					Ns.Popup.showFooterNavigateLayerPage('M_G1100000L');
					break;
				}
				case "skipAsideBottom" : {
					event.preventDefault();				
					
					if(HUB_INIT.todaySwiper != null){
						HUB_INIT.todaySwiper.destroy(); 
						HUB_INIT.todaySwiper = null;
					}
					
					setLnbInfo();
					break;
				}
			}
		}, 
};

/* JavaScript content from js/nsmobilehub.js in folder android */
/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2011, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

// This method is invoked after loading the main HTML and successful initialization of the Worklight runtime.
function wlEnvInit(){
    wlCommonInit();
    // Environment initialization code goes here
}