
/* JavaScript content from js/order/M_B1150000L.js in folder common */

/* 
 *	장바구니-디지털상품권 옵션/수량 수정
 *  ID : M_B1150000L
 */

//popup 컨트롤 클래스
CurrentPopup = {
		m_inputParams     : null,
		m_outputDatas     : null,
		callbackFunc : null, //callback function..
		targetObj : null, //layer div..

		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(target, params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnOk").unbind().bind( "click", this.event.onclick_btnOk ); //확인
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(target, params) {
			CurrentPopup.m_inputParams = params || {};
			this.data.getBasketOptionInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			// 옵션 조회
			getBasketOptionInfo : function() {
				var param = {
					userId : CurrentPopup.m_inputParams.userId,
					orderItemsId : CurrentPopup.m_inputParams.orderItemsId
				};
				tran.callWCSJsonTran('NSBasketOptionICmdReal', param, CurrentPopup.data.resultBasketOptionInfo);
			},
			
			// 옵션 조회 결과
			resultBasketOptionInfo : function( data ) {
				if (data == null) {
					Ns.Popup.alert( Messages.procedure_error, function(){
						navi.setMovePointer(-1);
						Ns.Popup.close( CurrentPopup.targetObj );
					} );
					var param = new Object;
					param.ErrorCode = "PE";
					param.p_espotid = "NSBasketOptionICmdReal";
					tran.callPageLogging("LoggingPage", param);
					return false;
				}
				data.goods = CurrentPopup.m_inputParams.goods || {};
				data.gift = {};
				var arrGiftCatentryId = [];
				
				if (data.msg != null) {
					//상품권 옵션 레이어 표시
					$('#formBasketOptionInfo fieldset').children('div').show();
					
					// 레이어 숨김/표시 처리
					if (data.msg.optionType == '300') { // 이메일
						$('#formBasketOptionInfo [name=extCardSendType]').eq(0).prop('checked', true);
						$('#divEmailArea').show();
						$('#divMobileNoArea').hide();
					} else if (data.msg.optionType == '200') { // 문자
						$('#formBasketOptionInfo [name=extCardSendType]').eq(1).prop('checked', true);
						$('#divEmailArea').hide();
						$('#divMobileNoArea').show();
					}
					
					// 옵션 값 셋팅
					var emails = data.msg.email.split('@');
					if (emails.length > 1) {
						$('#formBasketOptionInfo [name=txtEmail_id]').val( emails[0] );
						$('#formBasketOptionInfo [name=txtEmail_domain]').val( emails[1] );
					}
					if (data.msg.emailServer && data.msg.emailServer.length > 1) {
						for (var i = 0; i < data.msg.emailServer.length; i++) {
							$('#formBasketOptionInfo [name=emailDomain]').append(
								Ns.Util.stringFormat('<option value="{0}">{1}</option>', data.msg.emailServer[i].id, data.msg.emailServer[i].val)
							);
						}
					}
					$('#formBasketOptionInfo [name=sbMobile]').val( data.msg.mobileNo1 + data.msg.mobileNo2 + data.msg.mobileNo3 );
					$('#formBasketOptionInfo [name=extCardMessage]').val( data.msg.cardMessage );
					
					// 옵션 select box를 화면에 출력
					CurrentPopup.ui.setGiftList(data.msg);
					
					// 옵션 선택된 값을 json에 임시 저장
					if (data.msg.selectedGift != null && data.msg.selectedGift.length > 0) { // 사은품 선택값 저장
						for (var i = 0; i < data.msg.selectedGift.length; i++) {
							data.gift[ data.msg.selectedGift[i].attr_id ] = data.msg.selectedGift[i].attrval_id;
							arrGiftCatentryId.push( data.msg.selectedGift[i].attrval_id );
						}
					}
				} else {
					//상품권 옵션 레이어 숨김
					$('#formBasketOptionInfo fieldset').children('div').hide();
				}
				
				// 옵션조회 결과 저장
				CurrentPopup.m_outputDatas = data;
				
				// 기존의 catEntryId, 구매가능수량을 임시 저장
				CurrentPopup.m_outputDatas.CATENTRY_ID = CurrentPopup.m_inputParams.goods.catentryId;
				CurrentPopup.m_outputDatas.INVENTORY_QUANTITY = CurrentPopup.m_inputParams.goods.maxItemCountOnOnce;
				CurrentPopup.m_inputParams.GIFT_CATENTRY_ID = arrGiftCatentryId.join(',');
				CurrentPopup.m_outputDatas.GIFT_CATENTRY_ID = CurrentPopup.m_inputParams.GIFT_CATENTRY_ID;
				
				// 수량 input box를 화면에 출력
				CurrentPopup.ui.setQuantity(data);
			},
			
			// 옵션 변경
			updateOption : function( param, callback ) {
				$.extend(param, {
					userId : CurrentPopup.m_inputParams.userId,
					orderId : CurrentPopup.m_inputParams.orderId // 주문번호
				});
				tran.callWCSJsonTran('AjaxNSXorderItemAdd4Worklight', param, callback);
			},
			
			// 최대 주문가능 수량
			getMaxOrdQty : function() {
				var inventoryQty = Number(CurrentPopup.m_outputDatas.INVENTORY_QUANTITY);
				var onceMaxQty = Number(CurrentPopup.m_inputParams.goods.maxItemCountOnOnce);
				return (onceMaxQty < inventoryQty ? onceMaxQty : inventoryQty);
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			// 전체 사은품 목록 출력
			setGiftList : function( data ) {
				var html = '';
				if (data.selectedGift != null && data.selectedGift.length > 0) {
					for (var i = 0; i < data.selectedGift.length; i++) {
						// 사은품 항목에 해당하는 select options 목록을 구한다.
						var selectGiftObj = {};
						for (var j = 0; j < data.selectGift.length; j++) {
							if (data.selectGift[j].giftOfferIdfr == data.selectedGift[i].attr_id) {
								selectGiftObj = data.selectGift[j];
								break;
							}
						}
						
						html += Ns.Util.stringFormat(
								'<div class="items">'+
									'<div class="wrap horizontal">'+
										'<label class="dhead">{0}</label>'+
										'<div class="field">'+
											'<div class="rows content-fixed">'+
												'<select name="GiftAttrValue" title="{0} 선택" class="form theme-a x-small" onchange="CurrentPopup.event.onchange_selGifts(this);">'+
												'{1}'+
												'</select>'+
											'</div>'+
										'</div>'+
									'</div>'+
								'</div>',
								giftList[0].giftTitle,
								this.getSelectGifts(selectGiftObj, data.selectedGift[i].attrval_id)
						);
					}
				}
				$(CurrentPopup.targetObj).find('.layer-content fieldset').append(html);
			},
			
			// 사은품의 select option 목록 출력
			getSelectGifts : function( selectGiftObj, selected_val_id ) {
				if (selectGiftObj == null || selectGiftObj.giftOfferIdfr == null) {
					return;
				}
				var html = '';
				for (var i = 0; i < selectGiftObj.selectSubGift.length; i++) {
					html += Ns.Util.stringFormat('<option value="{0}" {1} >{2}</option>',
							Ns.Util.htmlEncode( JSON.stringify({
								'giftOfferIdfr' : selectGiftObj.giftOfferIdfr,
								'giftSeq' : selectGiftObj.giftSeq,
								'name' : selectGiftObj.selectSubGift[i].name,
								'val_id' : selectGiftObj.selectSubGift[i].val_id
							}) ),
							(selectGiftObj.selectSubGift[i].val_id == selected_val_id ? 'selected' : ''),
							selectGiftObj.selectSubGift[i].name
					);
				}
				return html;
			},
			
			// 주문 수량 출력
			setQuantity : function( data ) {
				var html = '';
				html += 
					'<div class="items">'+
					'<div class="wrap horizontal">'+
						'<label class="dhead">주문수량</label>'+
						'<div class="field">'+
							'<div class="rows content-fixed">'+
								'<span class="form-number theme-a x-small">';
				if ((CurrentPopup.m_inputParams.goods.maxItemCountOnOnce * 1) > 1) {
					html += Ns.Util.stringFormat(
									'<button class="btn minus" class="button" type="button" onclick="CurrentPopup.event.onclick_btnPlusMinus(\'quantity\',\'-\');">-</button>'+
									'<input type="number" name="quantity" title="수량 입력" pattern="[0-9]*" value="{0}" maxlength="10" oninput="Ns.Util.maxLengthCheck(this);" />'+
									'<button class="btn plus" class="button" type="button" onclick="CurrentPopup.event.onclick_btnPlusMinus(\'quantity\',\'+\');">+</button>',
						data.goods.quantity);
				} else {
					html += Ns.Util.stringFormat(
									'<input type="number" name="quantity" title="수량 입력" pattern="[0-9]*" value="{0}" readonly="readonly" />',
						data.goods.quantity);
				}
				html += Ns.Util.stringFormat(
									'</span>'+
								'</div>'+
								'<div class="rows"><p class="em theme-a">주문가능수량 : <span id="spanMaxItemCountOnOnce">{0}개</span></p></div>'+
							'</div>'+
						'</div>'+
					'</div>',
					CurrentPopup.data.getMaxOrdQty()
				);
				$(CurrentPopup.targetObj).find('.layer-content fieldset').append(html);
			}
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			/**
			 * 구분 radio 선택
			 */
			onclick_radioCardSendType : function(v) {
				// 레이어 숨김/표시 처리
				if (v == '300') { // 이메일
					$('#divEmailArea').show();
					$('#divMobileNoArea').hide();
				} else if (v == '200') { // 문자
					$('#divEmailArea').hide();
					$('#divMobileNoArea').show();
				}
			},
			
			/**
			 * 이메일 서버 select onchange
			 */
			onchange_emailDomain : function(_this) {
				var frm = document.getElementById('formBasketOptionInfo');
				var emailAddr = $(frm).find('[name=emailDomain]').val();
				$(frm).find('[name=txtEmail_domain]').val(emailAddr);
			},
			
			/**
			 * 사은품 select onchange
			 */
			onchange_selGifts : function(_this) {
				// select option 선택값에서 catEntryId를 구한다.
				var arrGiftCatentryId = [];
				$.each($('#formBasketOptionInfo [name=GiftAttrValue]'), function(i, elem) {
					var data = eval('(' + $(elem).val() + ')');
					arrGiftCatentryId.push( data.val_id );
				});
				CurrentPopup.m_outputDatas.GIFT_CATENTRY_ID = arrGiftCatentryId.join(',');
			},
			
			/**
			 * 수량 항목의 +, - 버튼
			 */
			onclick_btnPlusMinus : function(objName, flag) {
				var frm = document.getElementById('formBasketOptionInfo');
				var $obj = $(frm).find('input[name=' + objName + ']');
				var quantity = parseInt(Ns.Util.onlyNumFormat($obj.val()), 10);
				if (flag == '+') {
					quantity++;
				} else if (flag == '-' && quantity > 1) {
					quantity--;
				}
				// 1회당최대주문가능수량 체크
				if (quantity > CurrentPopup.m_inputParams.goods.maxItemCountOnOnce) {
					Ns.Popup.alert( '주문 1회당 최대주문가능 수량을 초과하였습니다.' );
					quantity = CurrentPopup.m_inputParams.goods.maxItemCountOnOnce;
					return false;
				}
				$obj.val(quantity);
			},
			
			/**
			 * 취소 버튼
			 */
			onclick_btnCancel : function() {
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			/**
			 * 확인 버튼
			 */
			onclick_btnOk : function() {
				var $quantity = $('#formBasketOptionInfo [name=quantity]');
				if (!Ns.Util.isNumeric($quantity.val())) {
					Ns.Popup.alert( "수량은 숫자만 입력 가능합니다." );
					return false;
				}
				var quantity = Number($quantity.val());
				var mobile = $('#formBasketOptionInfo [name=sbMobile]').val();
				var email = '';
				if ($('#formBasketOptionInfo [name=txtEmail_id]').val().length > 0) {
					email = $('#formBasketOptionInfo [name=txtEmail_id]').val() + '@' + $('#formBasketOptionInfo [name=txtEmail_domain]').val();
				}
				
				// 구매 가능한 수량보다 입력한 수량이 크거나 1개 이하일 경우, 에러 처리
				if (quantity < 1) {
					Ns.Popup.alert( '수량은 최소 1개 이상이어야 합니다.' );
					$quantity.val( 1 );
					return false;
				} else if (quantity > CurrentPopup.data.getMaxOrdQty()) {
					Ns.Popup.alert( '주문 1회당 최대주문가능 수량을 초과하였습니다.' );
					$quantity.val( CurrentPopup.data.getMaxOrdQty() );
					return false;
				}
				
				var param = {
					orderItemId_1 : CurrentPopup.m_inputParams.orderItemsId, // 선택한 아이템 번호
					catEntryId_1 : CurrentPopup.m_outputDatas.CATENTRY_ID,
					oldGiftCatentryItems_1 : CurrentPopup.m_inputParams.GIFT_CATENTRY_ID,
					newGiftCatentryItems_1 : CurrentPopup.m_outputDatas.GIFT_CATENTRY_ID,
					extCardSendType_1 : $('#formBasketOptionInfo [name=extCardSendType]:checked').val(),
					extCardMessage_1 : $('#formBasketOptionInfo [name=extCardMessage]').val(),
					itemReceiverMobile_1 : mobile,
					itemReceiverEmail_1 : email,
					quantity_1 : quantity,
					extCatalogId_1 : Const.getDefaultCatalogId(),
					extPtncd_1 : Const.getCocd() //외부유입경로 코드(제휴사코드)
				};
				
				// 주문 옵션 정보 수정
				CurrentPopup.data.updateOption(param, function(data){
					// 수정 성공
					CurrentPopup.callbackFunc(data);
					Ns.Popup.close( CurrentPopup.targetObj );
				});
			}
		} // end event
};