
/* JavaScript content from js/order/M_B1310001P.js in folder common */

/* 
 *	주문서작성-복수 배송 상품 선택
 *  ID : M_B1310001P
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		m_inputParams     : null,
		m_outputDatas     : null,
		callbackFunc : null, //callback function..
		firstCheck : true,

		init : function( params ) {
			this.callbackFunc = params.callback;
			
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnOk").unbind().bind( "click", this.event.onclick_btnOk ); //확인
			// 돌아가기 버튼 이벤트 처리
			$("#btnNoItemCancel").off().on("click", function (){
				$("#btnCancel").trigger("click");	// 취소버튼 click 이벤트 발생
			});
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			CurrentPopup.m_inputParams = params || {};
			// 상품정보 출력
			this.data.setData();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			setData : function() {
				var parseJSON = function(key, value) {
					if (value == null || value.length == 0) {
						return [];
					}
					var values = eval('(' + value + ')');
					return values[key];
				};
				
				// 파라미터 json 파싱
				CurrentPopup.m_inputParams.productList = parseJSON('productList', CurrentPopup.m_inputParams.productList);
				CurrentPopup.m_inputParams.deliveryList = parseJSON('deliveryList', CurrentPopup.m_inputParams.deliveryList);
				
				// 상품 아이템 출력
				CurrentPopup.ui.setShippingProductInfo();
			},
			
			// 배송상품에 선택되지 않은 아이템 수량
			getMaxItemQuantity : function(data) {
				var quantity = 0;
				for (var i = 0; i < CurrentPopup.m_inputParams.deliveryList.length; i++) {
					if (CurrentPopup.m_inputParams.deliveryList[i].ITEMS && CurrentPopup.m_inputParams.deliveryList[i].ITEMS.length > 0) {
						for (var j = 0; j < CurrentPopup.m_inputParams.deliveryList[i].ITEMS.length; j++) {
							if (CurrentPopup.m_inputParams.deliveryList[i].ITEMS[j].ORDERITEMS_ID == data.ORDERITEMS_ID) {
								quantity += Number(CurrentPopup.m_inputParams.deliveryList[i].ITEMS[j].QUANTITY);
							}
						}
					}
				}
				return Number(data.QUANTITY) - quantity;
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			setShippingProductInfo : function() {
				if (CurrentPopup.m_inputParams.productList == null || CurrentPopup.m_inputParams.productList.length == 0) {
					return false;
				}
				
				var nCount = 0;	// 화면에 표시할 것이 있는 지 판다
				for (var i = 0; i < CurrentPopup.m_inputParams.productList.length; i++) {
					var data = CurrentPopup.m_inputParams.productList[i];
					
					// 아이템의 선택 가능한 최대 수량
					var maxQuantity = CurrentPopup.data.getMaxItemQuantity(data);
					if (maxQuantity > 0) {
						nCount = nCount + maxQuantity;
						break;
					}
				}
				
				if (nCount <= 0){	// 화면에 표시할 data가 없는경우
					/*
					Ns.Popup.alert( "더 이상 적용 가능한 상품이 없습니다.<br />배송지별 상품 수량을 다시 확인해주세요.", function() {
						$("#btnCancel").trigger("click");
					}, null, true);
					*/
					$("#headerTitle").hide();	// 몇번째 배송지 숨김
					$("#btnOk").hide();	// 확인 버튼 숨김
					$("#btnCancel").hide();	// 취소 버튼 숨김
					
					$("#divNoItem").show();	// 선탁할 상품 없을경우 메시지 활성
					$("#btnNoItemCancel").show();	// 돌아가기 버튼 활성
					return;
				}
				
				//제목 표시
				$('#POPUPVIEW .section_title h1').html(Ns.Util.stringFormat('{0}번째 배송지로 배송하실 상품', Ns.Util.getStepNumberString(CurrentPopup.m_inputParams.index)));
				
				//상품 출력.
				for (var i = 0; i < CurrentPopup.m_inputParams.productList.length; i++) {
					var data = CurrentPopup.m_inputParams.productList[i];
					this.setProductItem( i, data );
				}
			},

			// 상품 아이템 출력
			setProductItem : function( index, data ) {
				var imageLink = '', titleLink = '', selectHtml = '';
				var isDisabled = 'disabled', isChecked = '';
				imageLink = Ns.Util.stringFormat('<img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'" alt="상품 이미지" />',
						data.IMG,
						Const.NO_IMAGE_URL +  'noimage_I.jpg'
				);
				titleLink = Ns.Util.stringFormat('<strong>{0}{1}</strong>',
						(data.BRAND_KOR_NM && data.BRAND_KOR_NM != '미정의' ? "[" + data.BRAND_KOR_NM + "]" : ""),
						data.PRODUCT_NAME
				);
				
				// 아이템의 선택 가능한 최대 수량
				var maxQuantity = CurrentPopup.data.getMaxItemQuantity(data);
				if (maxQuantity == 0) {
					return false;
				}
				
				if(CurrentPopup.firstCheck){
					isDisabled = '';
					isChecked = 'checked';
					CurrentPopup.firstCheck = false;
				}
				
				// 수량선택 select 생성
				selectHtml += Ns.Util.stringFormat('<select title="수량 선택" {1} class="form multi_sel" name="productItem'+index+'" data-json="{0}">',
						Ns.Util.htmlEncode( JSON.stringify(data) ), isDisabled
					);
//				selectHtml += '<option value="0">0개</option>';
				selectHtml += '<option value="0" selected="selected">수량선택</option>';
				
				for (var i = 1; i <= maxQuantity; i++) {
//					selectHtml += Ns.Util.stringFormat('<option value="{0}" {1} >{0}개</option>', i, (i == maxQuantity ? 'selected="selected"' : '') );
					selectHtml += Ns.Util.stringFormat('<option value="{0}">{0}개</option>', i);
				}
				selectHtml += '</select>';
				
				var html = Ns.Util.stringFormat('\
					<li class="items">\
						<div class="wrap">\
							<label><input type="checkbox" name="chkItem{8}" {9} title="상품 선택" class="form multi_check" onclick="CurrentPopup.event.onclick_chkItem({8});"></label>\
							<div class="thumbnail">\
								{0}\
							</div>\
							<div class="field">\
								<p class="title">{1}</p>\
								<div class="data-info">\
									<p class="price">\
										<span class="price-default"><strong class="head">판매금액</strong><del class="text">{2}<span class="unit">원</span></del></span>\
										<span class="price-selling"><strong class="head">할인적용금액</strong><ins class="text">{3}<span class="unit">원</span></ins></span>\
									</p>\
									<div class="option-order">\
										<strong class="head">옵션/수량</strong>\
										{6}\
										<span class="option">총수량 {5}개</span>\
										<span class="option">{4}</span>\
									</div>\
									<div class="option-select">\
										{7}\
									</div>\
								</div>\
							</div>\
						</div>\
					</li>',
					imageLink,
					titleLink,
					Ns.Util.insertCommas(data.PRICE * data.QUANTITY),
					Ns.Util.insertCommas(data.DCPRICE * data.QUANTITY),
					((data.SHIPCHARGE*1) > 0 ? '배송비 ' + Ns.Util.insertCommas(data.SHIPCHARGE) + '원' : '무료배송'),
					data.QUANTITY,
					this.setProductOption(data),
//					this.setProductOptionDelivery(data),
					selectHtml,
					index,
					isChecked
				);

				$("#ulItems").append(html);
			},
			
			// 상품 아이템의 옵션/수량 출력
			setProductOption : function( data ) {
				var html = '';
				if (data.DISP_TYPE_CD == '55') { //카드(상품권)
					if (data.CARDSENDTYPE == '300') { // 이메일
						html += Ns.Util.stringFormat('\n	<p class="text">{0}</p>', data.ITEM_RECEIVER_EMAIL);
					} else if (data.CARDSENDTYPE == '200') { // 문자
						html += Ns.Util.stringFormat('\n	<p class="text">{0}</p>', Ns.Util.insertSeparatorPhoneNumber(data.RECEIVER_MOBILE,"-"));
					}
					html +=     Ns.Util.stringFormat('\n	<p class="text">{0}</p>', (data.CARDMESSAGE || ''));
				} else if (data.STYLE_MNG_YN == 'Y' && data.ATTRIBUTES != null && data.ATTRIBUTES.length > 0) {
					for (var i = 0; i < data.ATTRIBUTES.length; i++) {
						html += Ns.Util.stringFormat('\n	<p class="text">{0}</p>', (data.ATTRIBUTES[i].VALUE || data.ATTRIBUTES[i].NAME));
					}
				}
				return html;
			},
			
			// 상품 아이템의 배송주기 출력
			setProductOptionDelivery : function( data ) {
				var html = '';
				if ( data.DISP_TYPE_CD == '30') { //정기배달
					html += Ns.Util.stringFormat('\
							<div class="option-order">\
								<strong class="head">배송주기</strong>\
								<span class="text">\
									<span class="option">간격 : {0}일</span>\
									<span class="option">배송 : {1}회</span>\
								</span>\
							</div>',
						data.INTRV,
						data.CNVEY_NUM
					);
				}
				return html;
			}
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//취소 버튼
			onclick_btnCancel : function() {
				//Ns.Popup.hidePopup();
				navi.naviBack();
			},
			
			//확인 버튼
			onclick_btnOk : function() {
				var len = CurrentPopup.m_inputParams.productList.length;
				
				// 선택된 주문아이템으로 return 데이터 json 생성
				var data = {};
				data.index = CurrentPopup.m_inputParams.index;
//				data.ITEMS = $('#formMultiShippingProduct [name=productItem]').map(function() {
//					if (Number($(this).val()) > 0) {
//						var item = eval('(' + $(this).attr('data-json') + ')');
//						item.QUANTITY = this.value;
//						return item;
//					} else {
//						return null;
//					}
//				}).get();
				var itemArr = new Array();
				
				for(var i = 0; i < len; i++){
					var obj = $('[name=productItem'+i+']');
					
					if (Number($(obj).val()) > 0) {
						var item = eval('(' + $(obj).attr('data-json') + ')');
						item.QUANTITY = $(obj).val();
						itemArr.push(item);
					}
				}				
				
				data.ITEMS = itemArr;
				
				if (data.ITEMS.length == 0) {
					Ns.Popup.alert( '선택된 상품이 없습니다.' );
					return false;
				}
				
				CurrentPopup.callbackFunc(data);
				//Ns.Popup.hidePopup();
				navi.naviBack();
			},
			
			onclick_chkItem : function(idx){
//				$("[name='productItem']").each(function() {
//					if(this.idx == idx){
//						if($("input:checkbox[name='chkItem"+idx+"']").is(":checked") == true){
//							this.disabled = false;
//						}
//						else{
//							this.disabled = true;
//						}
//					}
//				});
				
				if($("input:checkbox[name='chkItem"+idx+"']").is(":checked") == true){
					$("[name='productItem"+idx+"']").removeAttr("disabled");
				} 
				else {
					$("[name='productItem"+idx+"']").attr("disabled", "disabled");
					$("[name='productItem"+idx+"']").val("0");
				}
			}
		} // end event
};