
/* JavaScript content from js/order/M_B1310002P.js in folder common */

/* 
 *	최근 배송지 / 배송주소록 팝업
 *  ID : M_B1310002P
 *  
*/

//page 컨트롤 클래스
CurrentPopup = {
		m_outputParams     : 
		{
			LatelyOrderList : "", 
			ShipAddrList : ""
		},
		strCallbackFn : "",
		nIndex : "",		// n개의 배송지의 경우 n값
		index : "", 		// parent에서 선택된 radio index
		activeTabIndex : "",
		
//		Ns.Popup.hidePopup();
		init : function( params ) {
			this.onLoad(params);
			this.initializeComponent();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			
			$("#ulDestinationTabArea li a").unbind().bind( "click", this.event.onclick_ulListTabArea ); // 배송수단 탭 
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			strCallbackFn = params.strCBfn;
			nIndex = params.index;
			index = params.tabIndex;
			// data 가져오기
			if("1" == index) {
				CurrentPopup.data.getLatelyOrderList();
			} else {
				CurrentPopup.data.getShipAddrList();
			}
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			// 최근 1년 데이 조회
			getLatelyOrderList : function() {
				try{
					var _item = $("#divData"+index).data("data");
					tran.callWCSJsonTran( "NSMypageCommCmd", 						
					{
						"tasknm" : "LatelyOrderList",
						"var" : USERINFO.userId() + "," + Ns.Date.getNowDate()
					}, 
					function (data){
						CurrentPopup.m_outputParams.LatelyOrderList = data.LatelyOrderList;
						CurrentPopup.ui.drawTabIndex("1");
					});					
				} catch (e) {
					// handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(M_B1310002P_01)" + e, function (){
						navi.naviBack();
					});
					
					return ;
				}					
			},
			// 배송주소록 조회
			getShipAddrList : function() {
				try{
					var _item = $("#divData"+index).data("data");
					tran.callWCSJsonTran( "NSMypageCommCmd", 						
					{
						"tasknm" : "ShipAddrList",
						"var" : USERINFO.userId()
					}, 
					function (data){
						CurrentPopup.m_outputParams.ShipAddrList = data.ShipAddrList;
						CurrentPopup.ui.drawTabIndex("2");
					});					
				} catch (e) {
					// handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(M_B1310002P_02)" + e, function (){
						navi.naviBack();
					});
					
					return ;
				}					
			},			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {

			// 최근배송지 html  
			htmlLatelyDest : function(index){
				var _html = Ns.Util.stringFormat('\
						<li>\
							<div class="info" id="divData{0}">\
								<span class="name" id="receiverName_{0}"></span>\
								<a href="javascript:;" class="btn_select" onclick="CurrentPopup.event.onclick_btnParentSendData({0})"><span>선택</span></a>\
							</div>\
							<div class="addr" id="receiveAddress_{0}"></div>\
							<div class="tel">\
								<span class="num" id="receivePhone_{0}"></span>\
							</div>\
							<div class="buttons">\
								<a href="javascript:;" class="btn_addr" onclick="CurrentPopup.event.onclick_btnSetAddress({0})"><span>배송주소록</span></a>\
							</div>\
						</li>',
						index
				);
				
				return _html;
			},
			// 배송주소록 html
			htmlDestAddress : function(index){
				var _html = Ns.Util.stringFormat('\
						<li>\
							<div class="info" id="divData{0}">\
								<span class="name" id="receiverName1_{0}"></span>\
								<a href="javascript:;" class="btn_select" onclick="CurrentPopup.event.onclick_btnParentSendData({0})"><span>선택</span></a>\
							</div>\
							<div class="addr" id="receiveAddress1_{0}"></div>\
							<div class="tel">\
								<span class="num" id="receivePhone1_{0}"></span>\
							</div>\
						</li>',
						index
				);
				
				return _html;
			},
			// 최근배송지, 배송주소록 Tab Draw
			drawTabIndex : function(index){
				// append 초기화
				$('#divDestinationAddressArea ul').children().remove();
				$('#divLatestDestinationArea ul').children().remove();
				var liListTabArea = $("#ulDestinationTabArea li");
				liListTabArea.removeClass("active");
				if( "1" == index ) {
					$("#tabLatestDestination").parent().addClass("active");
					$("#divDestinationAddressArea").css("display","none");
					$("#divLatestDestinationArea").css("display","block");
					CurrentPopup.ui.drawTabLatelyDestArea();
				} else if( "2" == index) {
					$("#tabDestinationAddress").parent().addClass("active");
					$("#divLatestDestinationArea").css("display","none");
					$("#divDestinationAddressArea").css("display","block");
					CurrentPopup.ui.drawTabDestAddressArea();
				}
			},			
			// 최근배송지 draw html & Value mapping
			drawTabLatelyDestArea : function(){
				// 선택된 tab index 저장
				CurrentPopup.activeTabIndex = "1";//최근배송지"
				
				$.each(CurrentPopup.m_outputParams.LatelyOrderList, function(index, item) {
					
					$('#divLatestDestinationArea').find('ul').append(CurrentPopup.ui.htmlLatelyDest(index));
					$('#receiverName_'+index).html('<strong>'+item.nickname+'</strong> / '+item.receiverName+'&nbsp;');
					var addrHtml = item.zipCode + "&nbsp;)&nbsp;";
					addrHtml += item.address1.split("&amp;:")[0] + "&nbsp;";
					addrHtml += item.address1.split("&amp;:")[1];
					$('#receiveAddress_'+index).append(addrHtml);
					
					$('#receivePhone_'+index).append(item.phone1);
					if (null != item.phone2 && undefined != item.phone2 && $.trim(item.phone2) != ""){
						$('#receivePhone_'+index).parent().append('<span class="num">'+item.phone2+'</span>');
					}
					// callBack Data Setting
					var objDataFilds = item;
					objDataFilds.cst_zipcode = item.zipCode;
					objDataFilds.cst_addr = item.address1.split("&amp;:")[0];
					objDataFilds.cst_addrDetail = item.address1.split("&amp;:")[1];
					objDataFilds.cst_postcode = item.zipCode;
					$("#divData"+index).data("data", objDataFilds);
					
                });
			},
			// 배송주소록 draw html & Value mapping
			drawTabDestAddressArea : function(){
				// 선택된 tab index 저장
				CurrentPopup.activeTabIndex = "2";//배송주소록"
				$.each(CurrentPopup.m_outputParams.ShipAddrList, function(index, item) {
					
					$('#divDestinationAddressArea').find('ul').append(CurrentPopup.ui.htmlDestAddress(index));
					$('#receiverName1_'+index).html('<strong>'+item.nickname+'</strong> / '+item.receiverName+'&nbsp;');
	
					if("1" == item.ispriamry) {
						//$('#receiverName1_'+index).empty();
						$('#receiverName1_'+index).append('<span class="basic">[ 기본배송지 ]</span>');
					}
					
					var addrHtml = item.zipCode + "&nbsp;)&nbsp;";
					addrHtml += item.address1.split("&amp;:")[0] + "&nbsp;";
					addrHtml += item.address1.split("&amp;:")[1];
					$('#receiveAddress1_'+index).append(addrHtml);
					
					$('#receivePhone1_'+index).append(item.phone1);
					if (null != item.phone2 && undefined != item.phone2 && $.trim(item.phone2) != ""){
						$('#receivePhone1_'+index).parent().append('<span class="num">'+item.phone2+'</span>');
					}
					// callBack Data Setting
					var objDataFilds = item;
					objDataFilds.cst_zipCode = item.zipCode;
					objDataFilds.cst_addr = item.address1.split("&amp;:")[0];
					objDataFilds.cst_addrDetail = item.address1.split("&amp;:")[1];
					objDataFilds.cst_postcode = item.zipCode;
					$("#divData"+index).data("data", objDataFilds);
	            });
			}
		},		
		//이벤트 관련 함수를 정의한다.
		event : {
			// Tab 클릭 이벤트
			onclick_ulListTabArea : function() {
				
				var id = $(this).attr('id');
				
				if( id == "tabLatestDestination" ) {
					CurrentPopup.data.getLatelyOrderList();
				} else if( id == "tabDestinationAddress" ) {
					CurrentPopup.data.getShipAddrList();
					
				}
			},	
			
			// 부모창으로 선택한 데이터 선택한 배송지정보 전송
			onclick_btnParentSendData : function(index) {
				var objReturnParam = $('#divData'+index).data("data");
				objReturnParam.nIndex = nIndex;
				$.extend(objReturnParam, {'tabIndex':CurrentPopup.activeTabIndex});
				eval(strCallbackFn + "(objReturnParam)");
				Ns.Popup.hidePopup("M_B1310002P");
				//navi.naviBack();
			},
			
			// 배송주소록 추가 step 1 :Max 30건 조회 
			onclick_btnSetAddress : function(index) {
				try{
					// 배송주소록 max size(30)을 넘는지 check
					tran.callWCSJsonTran( "NSMypageCommCmd", 						
						{
							"tasknm" : "maxCnt",
							"var" : USERINFO.userId()
						}, 
						function (data){
							if(data != null && data.list != null && "insert" == data.list.resultCd){  // 입력 가능 상태
								CurrentPopup.event.addAddressBook(index);
									
							} else {
									// 30개 이상 등록 불가 
								Ns.Popup.alert("배송지는 30개까지 등록하실 수 있습니다. 배송주소록을 관리하신 후 추가해 주세요.");
								return false;

							}
						}
					);					
				} catch (e) {
					// handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(M_B1310002P_11)" + e, function (){
						navi.naviBack();
					});
					
					return ;
				}

			},
			// 배송주소록 추가
			addAddressBook : function(index) {
				try{
					var _item = $("#divData"+index).data("data");
					tran.callWCSJsonTran( "NSMypageCommCmd", 						
					{
						"tasknm" : "shipAddrIn",
						"var" : USERINFO.userId() + ","
								+ _item.addressID + "," 
								+ _item.nickname 
					}, 
					function (data){
						if(data != null && data.isSuccessful){  // 입력 가능 상태
							Ns.Popup.alert("배송주소록에 추가되었습니다.");
						}
					});					
				} catch (e) {
					// handle exception
					Ns.Popup.alert( "일시적인 서비스 장애로 인하여 서비스 이용이 원활하지 않습니다.<br />(M_B1310002P_12)" + e, function (){
						navi.naviBack();
					});
					
					return ;
				}					

			}
		}
}; 