
/* JavaScript content from js/order/M_B1339700L.js in folder common */

/* 
 *	주문서작성-주문하시는 분 수정
 *  ID : M_B1339700L
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		m_inputParams     : null,
		callbackFunc      : null, //callback function..
		targetObj         : null, //layer div..

		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(target, params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnOk").unbind().bind( "click", this.event.onclick_btnOk ); //확인
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(target, params) {
			CurrentPopup.m_inputParams = params || {};
			this.data.setData(params);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			setData : function( data ) {
				//데이터 기본값 출력
				var frm = document.getElementById('formChangePurchaser');
				$(frm.ordererName).val( data.ordererName );
				$(frm.ordererHpNo).val( data.ordererHpNo );
				$(frm.ordererEmail).val( data.ordererEmail );
				
				if (USERINFO && USERINFO.logonType() && USERINFO.logonType() != LOGON_TYPE.nonmember) { // 비회원이 아니면
					$('#divUpdateInfoCheck').show();
				}
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//취소 버튼
			onclick_btnCancel : function() {
				CurrentPopup.callbackFunc(null);
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			//확인 버튼
			onclick_btnOk : function() {
				var frm = document.getElementById('formChangePurchaser');

				if (0 >= Ns.Util.getBytes(frm.ordererName.value) && Ns.Util.getBytes(frm.ordererName.value) > 10) {
					Ns.Util.alert( "주문하시는분을 정확히 입력 해 주세요.<br />한글 5자까지 입력 가능합니다." );
					return false;
				}
				if (frm.ordererHpNo.value.length > 0 || frm.ordererEmail.value.length > 0) {
					if (frm.ordererHpNo.value.length > 0 && !Ns.Util.isHPNo(Ns.Util.insertSeparatorPhoneNumber(frm.ordererHpNo.value,"-"))) {
						Ns.Popup.alert( "연락처를 정확히 입력 해 주세요." );
						return false;
					}
					if (frm.ordererEmail.value.length > 0 && !Ns.Util.isEmail(frm.ordererEmail.value)) {
						Ns.Popup.alert( "이메일주소를 정확히 입력 해 주세요." );
						return false;
					}
				} else {
					Ns.Popup.alert( "연락처와 이메일주소 중 하나는 반드시 입력하셔야 합니다." );
					return false;
				}

				var param = {
						ordererName : $(frm.ordererName).val(),
						ordererHpNo : Ns.Util.insertSeparatorPhoneNumber($(frm.ordererHpNo).val(), "-"),
						ordererEmail : $(frm.ordererEmail).val()
				};
				var callback = function() {
					// 부모창에 데이터 전송
					CurrentPopup.callbackFunc(param);
					Ns.Popup.close( CurrentPopup.targetObj );
				};
				
				if (frm.updateInfoCheck.checked) { //회원정보 변경
					// 주문하시는분 수정, 회원정보 변경 적용
					tran.callWCSJsonTran('NSOrderModifyCmd', {
						custNum : CurrentPopup.m_inputParams.custNum,
						order_name : param.ordererName,
						mobileNo : param.ordererHpNo,
						email : param.ordererEmail,
						selfAddressUpdateYN : 'Y'
					}, function(data) {
						if (data && data.msg && data.msg.result == 'success') {
							mainCtrl.setUserInfo('email', data.email[0]);
							mainCtrl.setUserInfo('hpNo', data.mobileNo[0]);
							
							callback();
						} else {
							Ns.Popup.alert( "회원정보 변경에 실패하였습니다." );
						}
					}, null, function() {
						Ns.Popup.alert( "회원정보 변경에 실패하였습니다." );
					});
				} else {
					callback();
				}
			}
		} // end event
};