
/* JavaScript content from js/order/M_B1339800L.js in folder common */

/* 
 *	주문서작성-메세지 카드
 *  ID : M_B1339800L
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		m_inputParams : null,
		callbackFunc : null, //callback function..
		targetObj : null, //layer div..
		
		MAX_MESSAGE_CARD_LENGTH : 120,	// 메세지카드 입력 최대값

		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(target, params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnOk").unbind().bind( "click", this.event.onclick_btnOk ); //확인
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(target, params) {
			CurrentPopup.m_inputParams = params;
			this.data.setData(params);
			
			//ga360 hawoong
			var paramPageID = {
				pageId : "M_B1339800L"
			};
			var paramObj = {
				params : paramPageID,
				category : "add_suborder"
			};
			GA.inIt(paramObj);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			setData : function( data ) {
				//데이터 기본값 출력
				var frm = document.getElementById('formMessageCard');
				$(frm.msgRecipients).val( data.MESSAGE_CARD_RECEIVER_NAME );
				$(frm.msgRcontent).val( data.MESSAGE_CARD );
				$(frm.msgSender).val( data.MESSAGE_CARD_ORDER_NAME );
				//메세지의 글자수 체크
				CurrentPopup.event.keyup_msgRcontent(frm.msgRcontent);
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//메세지 입력시
			keyup_msgRcontent : function(_this) {
				Ns.Util.checkByteLength(_this, CurrentPopup.MAX_MESSAGE_CARD_LENGTH);
				var len = Ns.Util.getBytes(_this.value);
				$("#msgRcontent_Count").html( Ns.Util.stringFormat("({0}/{1} bytes)", len, CurrentPopup.MAX_MESSAGE_CARD_LENGTH) );
			},
			
			//취소 버튼
			onclick_btnCancel : function() {
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			//확인 버튼
			onclick_btnOk : function() {
				var frm = document.getElementById('formMessageCard');

				// 메세지카드 입력값 Validation
				if (frm.msgRcontent.value.length > 0) {
					if (Ns.Util.trimString(frm.msgRecipients.value).length == 0) {
						Ns.Popup.alert("받는사람을 정확히 입력해 주세요.");
						return false;
					}
					if (Ns.Util.trimString(frm.msgRcontent.value).length == 0) {
						Ns.Popup.alert("메세지를 정확히 입력해 주세요.");
						return false;
					}
					if (Ns.Util.getBytes(Ns.Util.trimString(frm.msgRcontent.value)) > CurrentPopup.MAX_MESSAGE_CARD_LENGTH) {
						Ns.Popup.alert("메세지의 글자수는 " + CurrentPopup.MAX_MESSAGE_CARD_LENGTH + " bytes를 초과할 수 없습니다.");
						return false;
					}
					if (Ns.Util.trimString(frm.msgSender.value).length == 0) {
						Ns.Popup.alert("보내는사람을 정확히 입력해 주세요.");
						return false;
					}
				}

				var param = {
						index : CurrentPopup.m_inputParams.index,
						MESSAGE_CARD_RECEIVER_NAME : $(frm.msgRecipients).val(),
						MESSAGE_CARD : $(frm.msgRcontent).val(),
						MESSAGE_CARD_ORDER_NAME : $(frm.msgSender).val()
				};
				CurrentPopup.callbackFunc(param);
				Ns.Popup.close( CurrentPopup.targetObj );
			}
		} // end event
};