
/* JavaScript content from js/order/M_B1341000L.js in folder common */

/* 
 *	주문서작성-OKCashbag 포인트 조회
 *  ID : M_B1341000L
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		m_inputParams : null,
		callbackFunc : null, //callback function..
		targetObj : null, //layer div..

		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(target, params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnPointInquiry").unbind().bind( "click", this.event.onclick_btnPointInquiry ); //포인트조회
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(target, params) {
			CurrentPopup.m_inputParams = params;
			this.data.setData(params);
			
			//ga360 hawoong
			var paramPageID = {
				pageId : "M_B1341000L"
			};
			var paramObj = {
				params : paramPageID,
				category : "add_suborder"
			};
			GA.inIt(paramObj);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			setData : function( data ) {
			},
			
			// 암호화
			getEncrypt : function( s ) {
				// base64 인코딩
//				s = $.encodeBase64(s);
				return s;
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//취소 버튼
			onclick_btnCancel : function() {
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			//포인트조회 버튼
			onclick_btnPointInquiry : function() {
				var frm = document.getElementById('formPointInquiry');
				frm.identity.value = frm.identity_1.value + frm.identity_2.value + frm.identity_3.value + frm.identity_4.value;

				if (frm.identity.value.length < 16) {
					Ns.Popup.alert( "OKCashbag 카드번호를 정확히 입력 해 주세요." );
					return false;
				}
				if (frm.passwd.value.length < 4) {
					Ns.Popup.alert( "OKCashbag 온라인 비밀번호를 정확히 입력 해 주세요." );
					return false;
				}

				// 카드번호,비밀번호 암호화
				frm.enc_identity.value = CurrentPopup.data.getEncrypt(frm.identity.value);
				frm.enc_passwd.value = CurrentPopup.data.getEncrypt(frm.passwd.value);
				frm.enc_nidno.value = CurrentPopup.data.getEncrypt(frm.nidno.value);
				
				var param = {
					'payType' : '800',
					'requestCommand' : 'AuthMember',
					'payAmt' : '0',
					'userId' : CurrentPopup.m_inputParams.UserInfo.USERS_ID,
					'loginId' : CurrentPopup.m_inputParams.UserInfo.CUSTOM_NUMBER,
					'enc_identity' : frm.enc_identity.value,
					'enc_passwd' : frm.enc_passwd.value,
					'enc_nidno' : frm.enc_nidno.value,
					'channel' : 'mobile',
					'srch_cond' : '3', // 검색조건 : 1(회원ID로 조회), 2(회원구분1번호로 조회), 3(카드번호로 조회)
					'mbr_fg' : '1', // 회원구분 : 1(일반), 2(법인), 3(개인사업자), 4(패밀리), 5(단체)
					'ordersId' : CurrentPopup.m_inputParams.ordersId
				};

				// 포인트 조회
				CurrentView.data.doPaymentApprovalRequest({
					orderCompleteYn : 'N',
					paymentList : JSON.stringify({"paymentList" : [ param ]})
				}, function(data){
					if (data.msg && data.msg.result == 'success') {
//						if (data.msg.use_abl_yn == 'Y' && $.trim(data.msg.avl_pnt_1) != '') {
						if (data.msg.resultCode == '0' && $.trim(data.msg.AccPoint) != '') {
							CurrentPopup.callbackFunc( $.extend(true, {}, data, param) );
							Ns.Popup.close( CurrentPopup.targetObj );
						} else {
							Ns.Popup.alert( data.msg.msg2 );
						}
					} else {
						Ns.Popup.alert( data.msg.resultMessage );
					}
				});
			},
			
			onkeyup_nextInput : function( obj ){ 
				if ( obj.value.length >= obj.maxLength ){
					obj.nextElementSibling.nextElementSibling.focus();
				}
			}
			
		} // end event
};