
/* JavaScript content from js/order/M_B1342000L.js in folder common */

/* 
 *	주문서작성-네티웰 조회
 *  ID : M_B1342000L
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		m_inputParams : null,
		callbackFunc : null, //callback function..
		targetObj : null, //layer div..

		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(target, params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnPointInquiry").unbind().bind( "click", this.event.onclick_btnPointInquiry ); //포인트조회
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(target, params) {
			CurrentPopup.m_inputParams = params;
			this.data.setData(params);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			setData : function( data ) {
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
			
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//취소 버튼
			onclick_btnCancel : function() {
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			//포인트조회 버튼
			onclick_btnPointInquiry : function() {
				var frm = document.getElementById('formPointInquiry');
				
				if (frm.netiId.value.length == 0) {
					Ns.Popup.alert( "네티웰 회원아이디를 정확히 입력 해 주세요." );
					return false;
				}
				if (frm.netiPw.value.length == 0) {
					Ns.Popup.alert( "네티웰 비밀번호를 정확히 입력 해 주세요." );
					return false;
				}

				var param = {
					'payType' : '900',
					'requestCommand' : 'SearchPoint',
					'payAmt' : '0',
					'userId' : CurrentPopup.m_inputParams.UserInfo.USERS_ID,
					'loginId' : CurrentPopup.m_inputParams.UserInfo.CUSTOM_NUMBER,
					'netiId' : frm.netiId.value,
					'netiPw' : frm.netiPw.value
				};

				// 포인트 조회
				CurrentView.data.doPaymentApprovalRequest({
					orderCompleteYn : 'N',
					paymentList : JSON.stringify({"paymentList" : [ param ]})
				}, function(data){
					if (data.msg && data.msg.result == 'success') {
						if (data.msg.resultCd == 'OK') {
							// resultCd  네티웰 결과코드
							// custId    고객 ID
							// pointAmt  보유 포인트 금액
							CurrentPopup.callbackFunc( $.extend(true, {}, data, param) );
							Ns.Popup.close( CurrentPopup.targetObj );
						} else {
							Ns.Popup.alert( data.msg.pointAmt );
						}
					} else {
						Ns.Popup.alert( data.msg.resultMessage );
					}
				});
			}
			
		} // end event
};