
/* JavaScript content from js/order/M_B1344000L.js in folder common */

/* 
 *	주문서작성-NS상품권 등록
 *  ID : M_B1344000L
 *  
*/

//popup 컨트롤 클래스
CurrentPopup = {
		m_inputParams : null,
		callbackFunc : null, //callback function..
		targetObj : null, //layer div..

		init : function( target, params ) {
			this.callbackFunc = params.callback;
			this.targetObj = target;
			
			this.initializeComponent();
			this.onLoad(target, params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnCancel").unbind().bind( "click", this.event.onclick_btnCancel ); //취소
			$("#btnOk").unbind().bind( "click", this.event.onclick_btnOk ); //등록
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(target, params) {
			CurrentPopup.m_inputParams = params;
			this.data.setData(params);
			
			//ga360 hawoong
			var paramPageID = {
				pageId : "M_B1344000L"
			};
			var paramObj = {
				params : paramPageID,
				category : "add_suborder"
			};
			GA.inIt(paramObj);
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			setData : function( data ) {
			}
		}, //end data
		
		//ui 관련 함수를 정의한다.
		ui : {
		}, //end ui
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//취소 버튼
			onclick_btnCancel : function() {
				Ns.Popup.close( CurrentPopup.targetObj );
			},
			
			//등록 버튼
			onclick_btnOk : function() {
				var frm = document.getElementById('formPointInquiry');
				var giftCardNo = frm.giftCardNo_1.value + frm.giftCardNo_2.value + frm.giftCardNo_3.value + frm.giftCardNo_4.value;
				
				if (giftCardNo.length < 16) {
					Ns.Popup.alert( "NS상품권 번호를 정확히 입력 해 주세요." );
					return false;
				}

				var param = {
					'payType' : '700',
					'requestCommand' : 'RegistGiftCard',
					'payAmt' : '0',
					'giftCardNo' : giftCardNo,	// NS상품권 번호
					'userId' : CurrentPopup.m_inputParams.UserInfo.USERS_ID,
					'loginId' : CurrentPopup.m_inputParams.UserInfo.CUSTOM_NUMBER,
					'authKey' : ''	// 인증키(7로 시작 하면, PP카드 상품권, 8로 시작하면 모바일 상품권)
				};

				// 상품권 등록
				CurrentView.data.doPaymentApprovalRequest({
					orderCompleteYn : 'N',
					paymentList : JSON.stringify({"paymentList" : [ param ]})
				}, function(data){
					if (data.msg && data.msg.result == 'success' && data.msg.resultCd == 'S') {
						// GIFTCARD_BALANCE 등록금액
						CurrentPopup.callbackFunc( data );
						Ns.Popup.close( CurrentPopup.targetObj );
					} else {
						Ns.Popup.alert( "상품권 번호가 잘못 입력 되었거나, 이미 등록 된 상품권 입니다.<br />다시 한번 번호를 확인해 주세요.", null, "NS상품권 등록 확인" );
					}
				});
			}
			
		} // end event
};