
/* JavaScript content from js/order/M_B13G0000M.js in folder common */


/* 
 *	주문완료
 *  ID : M_B13G0000M
 *  
 *  20150205 정헌태 수정 - multiCd 관련 추가
 *  
*/

//page 컨트롤 클래스
var dl_conv_id = 11;

CurrentView = {
		m_inputParams     : null,
		m_outputDatas     : null,
		AdBrixParams	  : null,
		PaymentData       : null,		// 주문정보 저장 공간
		bDiscount33selected : false,	// 청구할인 카드 선택 여부
		bDiscount33product : false,	// 청구할인 상품 여부

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
			//GA처리를 위한 결제완료  이벤트 호출
			$("#GA").triggerHandler("completePurchase");
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			$("#btnContinueShopping").unbind().bind( "click", this.event.onclick_btnContinueShopping ); //계속 쇼핑하기 버튼 클릭
			
			if (USERINFO.logonType() == '' || USERINFO.logonType() == LOGON_TYPE.nonmember){
				// 비회원일 경우 로그인 click 처리
				$("#btnOrdersList").unbind().bind( "click", function(){
					$("#fLogin").trigger("click");	
				});
			} else {
				$("#btnOrdersList").unbind().bind( "click", this.event.onclick_btnOrdersList ); //주문내역조회 버튼 클릭
			}
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			CurrentView.m_inputParams = params || {};
			
			//해피딜쿠폰 이벤트
			if(CurrentView.m_inputParams.busChnId == "TV" || CurrentView.m_inputParams.busChnId == "TCOMM" || CurrentView.m_inputParams.busChnId == "CTCOM"){
				this.data.getHappyDealCouponEvent();
			}
							
			// 입력 파라미터 초기화
			this.data.setPaymentData();
			this.data.sendAiqua();
			// 청구 할인 정보 별도 저장
			CurrentView.bDiscount33selected = params.bDiscount33selected;	// 청구할인 카드 사용 여부 
			CurrentView.bDiscount33product = params.bDiscount33product;	// 청구할인 상품 여부
			
			// 제휴사 실적 전송 처리
			
			if(!mainCtrl.isOsApp()){
				//adbirx 송신
				this.data.sendAdbrix();
				this.data.setPartnership();
				this.data.sendNhn();	// NHN 유입 추적 처리 시작				
			}
			// 주문결과 출력
			this.ui.setPaymentResult();
			
			//jihee : 제휴사 adbrix 실적 정보 전달
			this.data.adbrixPurchase();
			
			if(!mainCtrl.isOsApp()) {		//kimjh : 홈쇼핑모아 정보 전달
				this.data.hsmoaPurchase();
			}
			
			
			//Wapers 2017.12.27 주문내역 조회 페이지 문의의 건
			
			var logonType = USERINFO.logonType();
			
			if(logonType=="nonmember"){
				this.data.NSAjaxLogOutCmd(params.msg.userId);	// 쇼핑몰API 정보 로그아웃 처리
			}
			
			//facebook 픽셀 삽입
			var lastPrice = 0;
			for (var i = 0; CurrentView.PaymentData.productList.length > i; i++){
				lastPrice += Number(CurrentView.PaymentData.productList[i].PRICE, 10) * Number(CurrentView.PaymentData.productList[i].QUANTITY, 10) - Number(CurrentView.PaymentData.productList[i].DiscountPrice, 10) + Number(CurrentView.PaymentData.productList[i].SHIPCHARGE, 10);
			}
			!function(f,b,e,v,n,t,s)
			{
				if(f.fbq)
					return;
				n=f.fbq=function(){n.callMethod?
						n.callMethod.apply(n,arguments):n.queue.push(arguments)};
				if(!f._fbq)
					f._fbq=n;
				n.push=n;
				n.loaded=!0;
				n.version='2.0';
				n.queue=[];
				t=b.createElement(e);
				t.async=!0;
				t.src=v;
				s=b.getElementsByTagName(e)[0];
				s.parentNode.insertBefore(t,s)
			}(window, document,'script', 'https://connect.facebook.net/en_US/fbevents.js');
			fbq('init', '1164815017046073');
			fbq('track', 'PageView');
 			fbq('track', 'Purchase', {value: lastPrice, currency: 'KRW'});
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			
			//해피딜쿠폰 이벤트
			getHappyDealCouponEvent : function(  ) {
				var invoke = {
						espotInfo : "MOB_ORDER_BANNERLIST|Content"	
					};
					tran.callWCSJsonTran( 'NSEspotCommon', invoke, CurrentView.ui.setHappyDealCouponEvent, null, function(){}, true);
			},
			
			//쇼핑몰API 정보 로그아웃 처리
			NSAjaxLogOutCmd : function(userId) {
				tran.callWCSJsonTran('NSAjaxLogOutCmd', {userId: userId}, function(){});
			},
			
			//입력 파라미터의 주문,결제 정보를 Object로 변환한다.
			setPaymentData : function() {
				var parseJSON = function(key, value) {
					if (value == null || value.length == 0) {
						return [];
					}
					var values = eval('(' + value + ')');
					return values[key];
				};
				
				// 결제정보를 저장할 공간 초기화
				CurrentView.PaymentData = {};
				CurrentView.PaymentData.productList = parseJSON('productList', CurrentView.m_inputParams.productList);
				CurrentView.PaymentData.deliveryList = parseJSON('deliveryList', CurrentView.m_inputParams.deliveryList);
				CurrentView.PaymentData.discountList = parseJSON('discountList', CurrentView.m_inputParams.discountList);
				CurrentView.PaymentData.paymentList = parseJSON('paymentList', CurrentView.m_inputParams.paymentList);
				CurrentView.PaymentData.partnershipList = parseJSON('partnershipList', CurrentView.m_inputParams.partnershipList);
				CurrentView.PaymentData.orderUserInfo = parseJSON('orderUserInfo', CurrentView.m_inputParams.orderUserInfo);
				
				CurrentView.m_outputDatas = {};
				CurrentView.m_outputDatas.msg = {};
				CurrentView.m_outputDatas.msg.paymentList = parseJSON('paymentList', CurrentView.m_inputParams.msg.paymentList);
			},
			
			
			/**
			 * NHN 유입 경로 체크 처리
			 */
			sendNhn : function(){
				var objNHN = {};
				objNHN.CN = "wjVwcZP1Bzs=";	// 컨버전 ID
				objNHN.CK = CurrentView.m_inputParams.ordersId;	// 컨버전 전환 번호(주문번호, 예약번호 등등 유일 번호)
				objNHN.CA = CurrentView.m_inputParams.orderTotalAmt;	// 전체 매출액
				objNHN.CDN = "";	// 판매된 상품이름 (복수일 경우 ; 로 구분)
				objNHN.CDE = "";	// 각 판매된 상품의 수량 (복수일 경우 ; 로 구분)
				objNHN.CDC = "";	// 각 판매된 상품의 단가 (복수일 경우 ; 로 구분)
				objNHN.CDT = "";	// 각 판매된 상품의 그룹
				objNHN.ETC1 = "";	// 기타 부가 정보
				
				var productList = JSON.parse(CurrentView.m_inputParams.msg.productList).productList;
				for( var i = 0; i < productList.length; i++){
					if( i >= 1){
						objNHN.CDN += ";" + productList[i].PRODUCT_NAME;
						objNHN.CDE += ";" + CurrentView.m_inputParams.orderItemQuantitys[i];
						objNHN.CDC += ";" + CurrentView.m_inputParams.orderItemAmount[i];
					} else {
						objNHN.CDN += productList[i].PRODUCT_NAME;
						objNHN.CDE += CurrentView.m_inputParams.orderItemQuantitys[i];
						objNHN.CDC += CurrentView.m_inputParams.orderItemAmount[i];
					}
				}
				
				if (USERINFO.birthday() != ""){
					objNHN.ETC1 = "나이=" + (Ns.Date.getAgeInFull(USERINFO.birthday()) + 1);
				}
				
				NHNSend(objNHN);	// NHN 유입추적 스크립트 펑션 호출
			},
			
			/*
			 * aiqua push
			 * */
			sendAiqua : function(){
				
				var tempk =0;
				
				for (var k = 0; k < CurrentView.PaymentData.productList.length; k++) {
									/* beshow 스크립트 */
					mainCtrl.excuteBeshowScript(2, CurrentView.PaymentData.productList[k]);
					// AIQUA
					var invokeParams2 = {};				
					
					invokeParams2.rcmdGbn = "PRODUCT";
					invokeParams2.rcmdValue = CurrentView.PaymentData.productList[k].GOODSPARTNUMBER;
					
					tran.callWCSJsonTran('NSRcmdCmd', invokeParams2,function( data ){
					    
						
						var eventParameter1 = {};
					
						eventParameter1.md_name =data.msg.empNm;
						eventParameter1.md_team_name =data.msg.orgNm;
						eventParameter1.product_id = CurrentView.PaymentData.productList[tempk].GOODSPARTNUMBER;
						eventParameter1.product_name = CurrentView.PaymentData.productList[tempk].PRODUCT_NAME;
						eventParameter1.product_image_url = CurrentView.PaymentData.productList[tempk].IMG;
						eventParameter1.product_price = CurrentView.PaymentData.productList[tempk].BasePrice;
						eventParameter1.product_channel = CurrentView.PaymentData.productList[tempk].BUSCHN_ID;
						eventParameter1.happydeal_product = CurrentView.m_inputParams.isFlashSaleNew[tempk];
						try {
							eventParameter1.category_name = eval("Ns.Util.htmlDecode(CurrentView.m_inputParams.productCategoryName.partNum_" + eventParameter1.product_id + ".cate1Nm)");
						} catch (e) {
							// 별도 동작 하지 않음
						}
						mainCtrl.userEventToAIQUA('product_purchased', eventParameter1);
						tempk++;
					});
					
				}		
		
				mainCtrl.excuteBeshowScript(3);
			},
			
			/**
			 * Adbrix 유입추적 스크립트 처리
			 */
			sendAdbrix : function(){
				var productList = JSON.parse(CurrentView.m_inputParams.msg.productList).productList;
				CurrentView.AdBrixParams = new Array();
				
				for( var i = 0; i < productList.length; i++){
					var bCategory = false;
					
					try {
						bCategory = eval("CurrentView.m_inputParams.productCategoryName.partNum_" + productList[i].GOODSPARTNUMBER + ".success");
					} catch (e) {
						// 별도 동작 하지 않음
					}
					
					var invoke = {};
					invoke.orderId = CurrentView.m_inputParams.ordersId;
					invoke.productName = productList[i].PRODUCT_NAME;
					invoke.productId = productList[i].GOODSPARTNUMBER;
					invoke.quantity = CurrentView.m_inputParams.orderItemQuantitys[i];
					invoke.price = CurrentView.m_inputParams.orderItemAmount[i];
					invoke.currency = "KRW";
					invoke.category = bCategory == true ? Ns.Util.replaceAll(eval("CurrentView.m_inputParams.productCategoryName.partNum_" + productList[i].GOODSPARTNUMBER + ".cateNmFull"), "@/", ".") : "";
					
					CurrentView.AdBrixParams.push( invoke );
				}
				
				//jihee 회원가입 후 첫구매 판단
				var limittime = new Date().getTime() - 86400000;
				if(localStorage.getItem(STORAGE_KEY.JOIN_TIME) && localStorage.getItem(STORAGE_KEY.JOIN_TIME) >= limittime) {
					invoke.category = "firstTimeExperience";
					invoke.action = "NewOrder";
					Ns.Native.sendAdbrix( invoke );
					
					invoke.category = "Retention";
					Ns.Native.sendAdbrix( invoke );
					
					localStorage.removeItem(STORAGE_KEY.JOIN_TIME);
				}
				
			},
			
			/**
			 * jihee : 제휴사 adbrix 실적 정보 전달
			 */
			adbrixPurchase : function(){
				var productList = JSON.parse(CurrentView.m_inputParams.msg.productList).productList;
				CurrentView.AdBrixParams = new Array();
				var array = new Array();
 
				var lastPrice = 0;
				var totalPrice = 0;
				var orderId = 0;
				for (var i = 0; CurrentView.PaymentData.productList.length > i; i++){			 
					lastPrice += Number(CurrentView.PaymentData.productList[i].PRICE, 10) * Number(CurrentView.PaymentData.productList[i].QUANTITY, 10) - Number(CurrentView.PaymentData.productList[i].DiscountPrice, 10) + Number(CurrentView.PaymentData.productList[i].SHIPCHARGE, 10);
				}

				var bCategory = false;
				for( var i = 0; i < productList.length; i++){
					bCategory = false;
					
					try {
						bCategory = eval("CurrentView.m_inputParams.productCategoryName.partNum_" + productList[i].GOODSPARTNUMBER + ".success");
					} catch (e) {
						// 별도 동작 하지 않음
					}
					
					var invoke = {};
					invoke.orderId = CurrentView.m_inputParams.ordersId;
					orderId = invoke.orderId;
					invoke.productName = productList[i].PRODUCT_NAME;
					invoke.productId = productList[i].GOODSPARTNUMBER;
					invoke.price = CurrentView.m_inputParams.orderItemAmount[i];
					totalPrice +=  Number(invoke.price, 10);
					invoke.quantity = productList[i].QUANTITY;
					invoke.discount = productList[i].adjustment;
					invoke.del = CurrentView.m_inputParams.orderPrice.SHIP_CHARGE;
					if(productList[i].ATTRIBUTES[0] != undefined && productList[i].ATTRIBUTES[0].NAME != undefined){
						invoke.attrs = productList[i].ATTRIBUTES[0].NAME;
					}			
					else{
						invoke.attrs = '';
					}
					array.push(invoke);
				}
				
				var data = JSON.stringify(array);
				var invoke2 = {};
				invoke2.category = "add_purchase";
				invoke2.action = data;
				invoke2.lastPrice = lastPrice;
				invoke2.totalPrice = totalPrice;
				invoke2.orderId = orderId;
				targeting.sendLogging(invoke2);
				
				invoke2.category = "firstTimeExperience";
				invoke2.action = "order_complete";
				Ns.Native.sendAdbrix( invoke2 );
				
				invoke.category = "Retention";
				Ns.Native.sendAdbrix( invoke2 );
				
				var limittime = new Date().getTime() - 86400000;
				if(localStorage.getItem(STORAGE_KEY.JOIN_TIME) && localStorage.getItem(STORAGE_KEY.JOIN_TIME) >= limittime) {
					invoke2.category = "firstTimeExperience";
					invoke2.action = "NewOrder";
					Ns.Native.sendAdbrix( invoke2 );
					
					invoke2.category = "Retention";
					Ns.Native.sendAdbrix( invoke2 );
					
					localStorage.removeItem(STORAGE_KEY.JOIN_TIME);
				}
				
				//GA360
				var product_array = []; 
				var type = "";
				var type2 = "";
				var couponid = "";
				var purchaseInfo = {};
				var discount1 = 0;  //카드일시불할인
				var discountcard = 0; //카드선할인
				var OKcashbag = 0;
				var nsgift = 0;
				var cash1 = 0;
				var cash2 = 0;
				var brdctDate = "";
				var formStartDttm = "";
				var formEndDttm = "";
				var promotioncoupon = "";
				
				for(var k = 0; k < CurrentView.PaymentData.discountList.length; k++){
					if(CurrentView.PaymentData.discountList[k].couponList.length != 0){
						for(var p = 0; p < CurrentView.PaymentData.discountList[0].couponList; p++){
							if(CurrentView.PaymentData.discountList[k].couponList[p].ListName == "LSP"){
								discount1 = Number(CurrentView.PaymentData.discountList[k].couponList[p].DiscountPrice);
							}else if(CurrentView.PaymentData.discountList[k].couponList[p].ListName == "cardPreDc"){
								discountcard = Number(CurrentView.PaymentData.discountList[k].couponList[p].DiscountPrice);
							}else if(CurrentView.PaymentData.discountList[k].couponList[p].ListName != "1"){
								if(CurrentView.PaymentData.discountList[v].couponList[p].WWW_AMT == "0"){
									couponid = "상품"+CurrentView.PaymentData.Discount.discountList[v].couponList[p].WWW_RATE+"%할인";
								}else{
									couponid = "상품"+CurrentView.PaymentData.Discount.discountList[v].couponList[p].WWW_AMT+"원할인";
								}
							}else if(CurrentView.PaymentData.discountList[k].couponList[p].ListName != "3"){
								if(CurrentView.PaymentData.discountList[v].couponList[p].WWW_AMT == "0"){
									promotioncoupon = "상품"+CurrentView.PaymentData.Discount.discountList[v].couponList[p].WWW_RATE+"%할인";
								}else{
									promotioncoupon = "상품"+CurrentView.PaymentData.Discount.discountList[v].couponList[p].WWW_AMT+"원할인";
								}
							}
						}
					}
				}
				
				for(var j = 0; j < productList.length; j++){
					if(productList[j].BUSCHN_ID == "INT"){
						type = "e상품";
					}else if(productList[j].BUSCHN_ID == "CTCOM"){
						type = "SHOP+";
						type2 = "NSSHOP+";
					}else if(productList[j].BUSCHN_ID == "TV"){
						type = "eTV";
						type2 = "TVLIVE";
					}
					var varient = "";
					if(productList[j].ATTRIBUTES.length > 1){
						for(var w = 0; w <productList[j].ATTRIBUTES.length; w++){
							if(w == 0){
								varient = productList[j].ATTRIBUTES[w].VALUE;
							}else{
								varient = varient + "_" + productList[j].ATTRIBUTES[w].VALUE;
							}
						}
					}else{
						varient = (productList[j].ATTRIBUTES[0].VALUE != "") ? productList[j].ATTRIBUTES[0].VALUE : productList[j].ATTRIBUTES[0].NAME;
					}
					
					if(typeof M_G2600000M != 'undefined'){
						if(!Ns.Util.isNull(M_G2600000M.productInfo) && !Ns.Util.isNull(M_G2600000M.productInfo.partNumber) 
								&& productList[j].partNumber == M_G2600000M.productInfo.partNumber){
							if(M_G2600000M.productInfo.busChnId == "TV"){
								brdctDate = M_G2600000M.productInfo.tvList[0].brdctDate;
								formEndDttm = M_G2600000M.productInfo.tvList[0].formEndDttm;
								formStartDttm = M_G2600000M.productInfo.tvList[0].formStartDttm;
							}else if(M_G2600000M.productInfo.busChnId == "CTCOM"){
								brdctDate = M_G2600000M.productInfo.ctcomTvList[0].brdctDate;
								formEndDttm = M_G2600000M.productInfo.ctcomTvList[0].formEndDttm;
								formStartDttm = M_G2600000M.productInfo.ctcomTvList[0].formStartDttm;
							}
						}
					}
					
					var gaCate = "";
					if(CurrentView.m_inputParams.productCategoryName != undefined){
						gaCate = CurrentView.m_inputParams.productCategoryName["partNum_"+productList[j].GOODSPARTNUMBER].cate1Nm;
					}
					
					product_array.push(
							{
								'id':productList[j].GOODSPARTNUMBER,
								'name':productList[j].PRODUCT_NAME,
								'brand':productList[j].BRAND_KOR_NM,
								'category':gaCate,
								'price':CurrentView.m_inputParams.orderItemAmount[j],
								'quantity':productList[j].QUANTITY,
								'variant':varient,
								'coupon':couponid,
								'dimension15':promotioncoupon,
								'dimension16':type,
								'dimension17':brdctDate,
								'dimension18':formStartDttm.substring(0,16),
								'dimension19':formEndDttm.substring(0,16),
								'dimension20':type2
							}
					);
				}

				
				var payTypeInfo = {
						"1100" : { 'name' : 'annualCoupons',	'title' : '연간할인권'	},
						"800"  : { 'name' : 'okCashback',		'title' : 'OK캐쉬백'	},
						"900"  : { 'name' : 'netiWell',			'title' : '네티웰'		},
						"1000" : { 'name' : 'happyMoney',		'title' : '해피머니'	},
						"600"  : { 'name' : 'reservedAmt',		'title' : '적립금'		},
						"500"  : { 'name' : 'depositAmount',	'title' : '예치금'		},
						"700"  : { 'name' : 'giftCardAmount',	'title' : 'NS상품권'	}
				};
				for (var j = 0; j < CurrentView.m_outputDatas.msg.paymentList.length; j++) {
					if (payTypeInfo.hasOwnProperty(CurrentView.m_outputDatas.msg.paymentList[j].payType) && CurrentView.m_outputDatas.msg.paymentList[j].payAmt > 0) {
						if(CurrentView.m_outputDatas.msg.paymentList[j].payType == "800"){
							OKcashbag = CurrentView.m_outputDatas.msg.paymentList[j].payAmt;
						}else if(CurrentView.m_outputDatas.msg.paymentList[j].payType == "700"){
							nsgift = CurrentView.m_outputDatas.msg.paymentList[j].payAmt;
						}else if(CurrentView.m_outputDatas.msg.paymentList[j].payType == "500"){
							cash1 = CurrentView.m_outputDatas.msg.paymentList[j].payAmt;
						}else if(CurrentView.m_outputDatas.msg.paymentList[j].payType == "600"){
							cash2 = CurrentView.m_outputDatas.msg.paymentList[j].payAmt;
						}
					}
				}
				var detailName = '';

				if(CurrentView.m_outputDatas.msg.paymentList[0].payType == "100"){
					if(CurrentView.m_outputDatas.msg.paymentList[0].EP_card_cd == '016' && CurrentView.m_outputDatas.msg.paymentList[0].KvpCardCode.substring(6,8) == '90'){
						detailName = '카카오뱅크';
					}else{
						detailName = Ns.Util.getCreditCardCodeName( CurrentView.m_outputDatas.msg.paymentList[0].EP_card_cd );
					}
				}else if(CurrentView.m_outputDatas.msg.paymentList[0].payType == "200"){
					detailName = (CurrentView.m_outputDatas.msg.paymentList[0].DP_bankName).replace(" ", "");
				}
				purchaseInfo.ordersid = CurrentView.m_inputParams.ordersId;
				purchaseInfo.totalprice = String(totalPrice);
				purchaseInfo.coupon = couponid;
				purchaseInfo.deliveryprice = String(CurrentView.m_inputParams.orderPrice.SHIP_CHARGE);
				purchaseInfo.typedetail = CurrentView.m_outputDatas.msg.paymentList[0].payType;
				purchaseInfo.totaldiscount = String((( array[0].TOTAL_PRODUCT_AMT == undefined ) ? 0 : array[0].TOTAL_PRODUCT_AMT) - ( array[0].TOTAL_PRODUCT_AMT == undefined ) ? 0 : array[0].TOTAL_PRODUCT_AMT);
				purchaseInfo.OKcashbag = String(OKcashbag);
				purchaseInfo.nsgift = String(nsgift);
				purchaseInfo.cash1 = String(cash1);
				purchaseInfo.cash2 = String(cash2);
				purchaseInfo.savecash = String(CurrentView.m_inputParams.expectAccmAmt);
				purchaseInfo.discountdelivery = String(( array[0].freeShippingDcAmt == undefined ) ? 0 : array[0].freeShippingDcAmt);
				purchaseInfo.discountprice = String(( array[0].OFFER_AMT == undefined ) ? 0 : array[0].OFFER_AMT);
				purchaseInfo.discountcoupon = String((( array[0].couponDcAmt == undefined ) ? 0 : array[0].couponDcAmt) - ( array[0].freeShippingDcAmt == undefined ) ? 0 : array[0].freeShippingDcAmt);
				purchaseInfo.discount1 = String(discount1);
				purchaseInfo.discountcard = String(discountcard);
				purchaseInfo.detailName = detailName;
				purchaseInfo.t1 = "주문/결제";
				purchaseInfo.t2 = "주문완료";
				GA.sendEcommerceData(product_array,"9", purchaseInfo);
				
			},
			
			/**
			 * kimjh : 홈쇼핑모아 정보 전달
			 * */
			hsmoaPurchase : function() {
				var productList = JSON.parse(CurrentView.m_inputParams.msg.productList).productList;
				CurrentView.AdBrixParams = new Array();
				var array = new Array();
				
				for( var i = 0; i < productList.length; i++){
					var bCategory = false;
					
					try {
						bCategory = eval("CurrentView.m_inputParams.productCategoryName.partNum_" + productList[i].GOODSPARTNUMBER + ".success");
					} catch (e) {
						// 별도 동작 하지 않음
					}
					
					var proid = {};
					proid.id = productList[i].GOODSPARTNUMBER + "";
					array.push(proid);
				}
				
				var invoke = {}
				invoke.co_cd = Const.getCocd();
				invoke.action = array;
				invoke.category = 'purchase';
				
				if(typeof targeting == 'undefined'){
					mainCtrl.callTargetingScript();
				}
				setTimeout(function(){
					targeting.sendHsmoa(invoke);
				}, 5500);
				
			},
			
			/**
			 * 제휴사 실적 전송 처리
			 */
			setPartnership : function(){
				if (Const.getCocd() == "340"){	// 아이라이크클릭
					for (var i = 0; CurrentView.PaymentData.productList.length > i; i++){
						var sendUrl = "http://www.ilikeclick.com/tracking/sale/v1_Sale.php";
						
						var MID = "nsseshop";	// ILIKECLICK.COM 회원 아이디
						var BUYNO = CurrentView.m_inputParams.ordersId;	// 구매번호 또는 주문번호 (고유한 값)
						var CCODE = CurrentView.m_inputParams.catalogId[0];	// 상품 카테고리 번호
						var PCODE = CurrentView.PaymentData.productList[i].GOODSPARTNUMBER;	// 상품코드
						var PNAME = CurrentView.PaymentData.productList[i].PRODUCT_NAME;	// 상품명
						var PNUM = CurrentView.PaymentData.productList[i].QUANTITY;	// 상품수량
						var POPT = "";	// 상품 옵션(동일 주문번호일 경우 순차적으로 생성 ex)1,2,3…)
						
						for (var j = 0; CurrentView.PaymentData.productList[i].ATTRIBUTES.length > j; j++){
							POPT += POPT == "" ? CurrentView.PaymentData.productList[i].ATTRIBUTES[j].SUBSEQ : "/" + CurrentView.PaymentData.productList[i].ATTRIBUTES[j].SUBSEQ;
						}
						
						var PRICE = Number(CurrentView.PaymentData.productList[i].PRICE, 10) * Number(CurrentView.PaymentData.productList[i].QUANTITY, 10) - Number(CurrentView.PaymentData.productList[i].DiscountPrice, 10) + Number(CurrentView.PaymentData.productList[i].SHIPCHARGE, 10);
						var BUYTYPE = "M";	// 사용자가 결정한 대금 결제 방식(C:카드결재, O:온라인입금, T:휴대폰결재, A:ARS결재, X:기타) * 모바일에서 결제 될 경우 M
						// 20150326 정헌태 수정 - ibm 윤하리 선생님 요청으로 MEMBER_ID의 값을 고객번호에서 로그인아이디로 수정
						var MEMBER_ID = CurrentView.m_inputParams.loginId[0];	// 상품 구매자 ID
						var USERNAME  = CurrentView.m_inputParams.orderName;	// 상품 구매자 이름
						var ValueFromClick = Ns.Cookie.getCookie("co_key");	// ILIKECLICK 에서 전달 받는 쿠키값

						var strPartnership = "";
						strPartnership += sendUrl;
						strPartnership += "?MID=" + MID;
						strPartnership += "&BUYNO=" + BUYNO;
						strPartnership += "&CCODE=" + CCODE;
						strPartnership += "&PCODE=" + PCODE;
						strPartnership += "&PNAME=" + PNAME;
						strPartnership += "&PNUM=" + PNUM;
						strPartnership += "&POPT=" + POPT;
						strPartnership += "&PRICE=" + PRICE;
						strPartnership += "&BUYTYPE=" + BUYTYPE;
						strPartnership += "&MEMBER_ID=" + MEMBER_ID;
						strPartnership += "&USERNAME=" + USERNAME;
						strPartnership += "&ValueFromClick=" + ValueFromClick;
						
						$("#contents").append("<script src='" + strPartnership + "'></script>");
					}
				} else if (Const.getCocd() == "630"){	// 링크프라이스, 구분자: ||
					var sendUrl = "http://service.linkprice.com/lppurchase.php";
					var a_id = Ns.Cookie.getCookie("co_key");	// LPINFO 쿠키 값을 그대로 넣어줍니다.
					var m_id = "nsseshop";	// 링크프라이스에 등록된 머천트 아이디입니다. ( 메일에 기재하여 보내드립니다. )
					// 20150326 정헌태 수정 - ibm 윤하리 선생님 요청으로 mbr_id의 값을 고객번호에서 로그인아이디(고객명)으로 수정 
					var mbr_id = CurrentView.m_inputParams.loginId[0] + "(" + CurrentView.m_inputParams.userNm[0] + ")"; // 실적을 발생시키는 사용자입니다. ( USER ID 입니다.)
					var o_cd = CurrentView.m_inputParams.ordersId;	// 발생한 실적을 uniqe 하게 구분 짓는 값입니다.  ( 주문번호 입니다. )
					var p_cd = "";	// 발생한 실적의 상품코드 입니다. ( 유저가 구입한 상품의 상품코드 입니다.)
					var it_cnt = "";	// 발생한 실적의 개수입니다. ( 유저가 구입한 물건의 개수 입니다. )
					var sales = "";	// 발생한 실적의 금액입니다. ( 물건의 가격  *  it_cnt(물건의 개수)  )
					var c_cd = "mobile";	// 카테고리코드입니다. (이 코드는 각 카테고리별로 커미션이 다를 때 사용됩니다.)
					var p_nm = "";	// 발생한 실적의 상품이름 입니다. ( 유저가 구입한 물건의 이름입니다. )
					
					for (var k = 0; CurrentView.PaymentData.productList.length > k; k++){
						p_cd += p_cd == "" ? CurrentView.PaymentData.productList[k].GOODSPARTNUMBER : "||" + CurrentView.PaymentData.productList[k].GOODSPARTNUMBER;
						it_cnt += it_cnt == "" ? CurrentView.PaymentData.productList[k].QUANTITY : "||" + CurrentView.PaymentData.productList[k].QUANTITY;
						var nSales = Number(CurrentView.PaymentData.productList[k].PRICE, 10) * Number(CurrentView.PaymentData.productList[k].QUANTITY, 10) - Number(CurrentView.PaymentData.productList[k].DiscountPrice, 10) + Number(CurrentView.PaymentData.productList[k].SHIPCHARGE, 10);
						sales += sales == "" ? nSales : "||" + nSales;
						p_nm += p_nm == "" ? CurrentView.PaymentData.productList[k].PRODUCT_NAME : "||" + CurrentView.PaymentData.productList[k].PRODUCT_NAME;
					}
					
					var strPartnership = "";
					strPartnership += sendUrl;
					strPartnership += "?a_id=" + a_id;
					strPartnership += "&m_id=" + m_id;
					strPartnership += "&mbr_id=" + mbr_id;
					strPartnership += "&o_cd=" + o_cd;
					strPartnership += "&p_cd=" + p_cd;
					strPartnership += "&it_cnt=" + it_cnt;
					strPartnership += "&sales=" + sales;
					strPartnership += "&c_cd=" + c_cd;
					strPartnership += "&p_nm=" + p_nm;
					
					$("#contents").append("<script src='" + strPartnership + "'></script>");
				}
			},
			
			/**
			 * 결제유형코드를 받아 결제수단명을 리턴한다.
			 * 
			 * @param {Number} payType 결제유형코드
			 * @returns {String}
			 */
			getPayType : function(payType){
				if(payType == "100"){
					return "신용카드";
				}
				else if(payType == "200"){
					return "무통장입금";
				}
				else if(payType == "300"){
					return "실시간계좌이체";
				}
				else if(payType == "400"){
					return "휴대폰";
				}
				else if(payType == "1400"){
					return "페이코";
				}
				else if(payType == "1500"){
					return "네이버페이";
				}
				else if(payType == "1600"){
					return "NSPay";
				}
				else{
					return "기타";
				}
			}
			
		},
		
		
		
		//ui 관련 함수를 정의한다.
		ui : {
			
			setHappyDealCouponEvent : function( data ) {
				var contents = data.msg.root._MOB_ORDER_BANNERLIST;
				var msg = "진행중인 이벤트가 없습니다";
				var eventList = $("#happyDealCouponEventArea");
				var htmlTxt = "";
				
				if( contents == null || contents == "" ) {
					htmlTxt = "";
					eventList.html( htmlTxt );
					return false;
				}
				
				for( var k=0; k<contents.length; k++ ) {
					var items = contents[k];
			
					if ( Ns.Util.isNull(items.clickTarget) ){
						continue;
					}
					
					var protocol = "http:";
					var imgUrl = protocol + items.imgUrl;
					var replaceUrl = Const.NO_IMAGE_URL + "noimage_P.jpg";
					
					$.preLoadImages( imgUrl, replaceUrl );
					
					htmlTxt += Ns.Util.stringFormat(''+
							'<a class="link_banner" href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',null,null,null);"><img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="기획전이미지"></a>',
							items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl,  imgUrl, replaceUrl);
				}
				
				eventList.append( htmlTxt );
				
				if(typeof wcs == 'undefined'){
					setTimeout(function(){
						Fn_WcsNaver(1);
					}, 5000);
				}else{
					Fn_WcsNaver(1);
				}
				
			},
		
			//주문결과 출력
			setPaymentResult : function() {
				if ( CurrentView.m_outputDatas.msg.paymentList == null || CurrentView.m_outputDatas.msg.paymentList.length == 0 ) {
					Ns.Popup.alert( Messages.procedure_error );
					var param = {};
					param.ErrorCode = "PE";
					param.p_espotid = "PaymentApprovalRequestCmd";
					tran.callPageLogging("LoggingPage", param);
					return false;
				}
				
				// 주문번호
				$('#divOrderId').html( CurrentView.m_inputParams.ordersId );
				$('#spanOrderName').html( CurrentView.m_inputParams.orderName );
				$('#spanOrderMail').html( "(" + CurrentView.m_inputParams.orderMail + ")" );
				$('#spanContactNum').html( "(" + Ns.Util.insertSeparatorPhoneNumber(CurrentView.m_inputParams.contactNum,"-") + ")" );
				
				/*********네이버 프리미엄 로그 분석 시작**********/
				var ObjCartNaver = {};
				ObjCartNaver.StrTranSoft = "1";
				ObjCartNaver.StrTranValue = "";
				ObjCartNaver.StrTranValue = CurrentView.m_inputParams.orderPrice.FINAL_PAYMENT_AMT;
				Fn_WcsNaver(4,ObjCartNaver);
				
				
				// UI 설정
				this.setShippingInfo();			// 배송정보
				this.setPaymentInfo();			// 결제정보
				this.setPaymentApprovalInfo();	// 결제요청 정보
				
				
			},
			
			//배송정보 출력
			setShippingInfo : function() {
				if (CurrentView.PaymentData.deliveryList && CurrentView.PaymentData.deliveryList.length > 0) {
					for (var i = 0; i < CurrentView.PaymentData.deliveryList.length; i++) {
						var data = CurrentView.PaymentData.deliveryList[i];

						var html = Ns.Util.stringFormat(''+
								'<div class="order_infow">'+
									'<fieldset class="fieldset theme-d">'+
										'<h2>{0}번째 배송지</h2>'+
										'<legend>입력서식</legend>',
							Ns.Util.getStepNumberString(i)
						);
						// 복수 배송 정보
						html += this.setDeliveryInfo(data);
						// 지정일 배송 정보
						if( CurrentView.m_inputParams.slctDayVal != ""){
							html += this.setdeliveryProductInfo(CurrentView.m_inputParams.slctDayVal);
						}
						// 배송 상품
						html += this.setShippingProductInfo(data);
						html += ''+
								'</fieldset>'+
							'</div>';
							
						$('.shipping-info').append(html);
					}
				}
			},
			
			// 복수배송 배송지 정보
			setDeliveryInfo : function(data) {
				var html = '';
				var bDISP_TYPE_CD_choice = CurrentView.PaymentData.productList[0].DISP_TYPE_CD == "50" || CurrentView.PaymentData.productList[0].DISP_TYPE_CD == "55" ? true : false;
				
				//기프티콘일 경우 ui 변경
				if( bDISP_TYPE_CD_choice ){
					html += Ns.Util.stringFormat(''+
							'<div class="items">'+
								'<div class="wrap horizontal">'+
									'<p class="dhead">보내시는 분</p>'+
									'<div class="field">'+
										'<div class="rows">'+
											'<p>{0} ({1})</p>'+
										'</div>'+
									'</div>'+
								'</div>'+
								'<div class="wrap horizontal">'+
									'<p class="dhead">받으시는 분</p>'+
									'<div class="field">'+
										'<div class="rows">'+
											'<p>{2}</p>'+
										'</div>'+
									'</div>'+
								'</div>'+
							'</div>',
							Ns.Util.isNull(data.LASTNAME, ""),
							Ns.Util.isNull(data.GIFTSENDERPHONE, ""),
							Ns.Util.isNull((data.PHONE2 && data.PHONE2 != '--' ? Ns.Util.insertSeparatorPhoneNumber(data.PHONE2,'-') : '') + (data.email == "" ? "" : "<br />" + data.email), "")
					);
				}else{
					html += Ns.Util.stringFormat(''+
							'<div class="items">'+
								'<div class="wrap horizontal">'+
									'<p class="dhead">받으시는 분</p>'+
									'<div class="field">'+
										'<div class="rows">'+
											'<p>{0}</p>'+
											'<p>({1}{2})</p>'+
											'<p>{3} {4}</p>'+
										'</div>'+
									'</div>'+
								'</div>'+
							'</div>',
							Ns.Util.isNull(data.LASTNAME, ""),
							Ns.Util.isNull(Ns.Util.insertSeparatorPhoneNumber(data.PHONE1,'-'), ""),
							Ns.Util.isNull((data.PHONE2 && data.PHONE2 != '--' ? '/' + Ns.Util.insertSeparatorPhoneNumber(data.PHONE2,'-') : ''), ""),
							Ns.Util.isNull(data.ADDRESS1, ""),
							Ns.Util.isNull(data.ADDRESS2 , "")
					);
				}
				
				// 배송 메시지 - 기프티콘이 아니고, 내용이 있는 경우만 출력
				if( (data.ITEMS[0].DISP_TYPE_CD != '50' || data.ITEMS[0].DISP_TYPE_CD != '55') && data.DLVY_MESSAGE != ""){
					html += Ns.Util.stringFormat(''+
							'<div class="items">'+
								'<div class="wrap horizontal">'+
									'<p class="dhead">배송 메시지</p>'+
									'<div class="field">'+
										'<div class="field">'+
											'<div class="rows">{0}</div>'+
										'</div>'+
									'</div>'+
								'</div>'+
							'</div>',
						data.DLVY_MESSAGE
					);
				}
				if (data.MESSAGE_CARD && data.MESSAGE_CARD.length > 0) {
					// 메세지카드 표시내용 확인
					// <div class="rows">TO. {0}님<br />{1}<br />FROM. {2}님</div>
					html += Ns.Util.stringFormat(''+
							'<div class="items">'+
								'<div class="wrap horizontal">'+
									'<p class="dhead">메세지카드</p>'+
									'<div class="field">'+
										'<div class="field">'+
											'<div class="rows">{1}</div>'+
										'</div>'+
									'</div>'+
								'</div>'+
							'</div>',
						data.MESSAGE_CARD_RECEIVER_NAME,
						data.MESSAGE_CARD.replace(/\n/gi, "<br />"),
						data.MESSAGE_CARD_ORDER_NAME);
				}
				
				return html;
			},
			
			//주문상품정보 출력
			setShippingProductInfo : function(data) {
				var html = '';
				html += ''+
					'<div class="items">'+
						'<div class="delivery_goods mt10">'+
							'<ul class="item-display theme-b detail">';
				
				for (var i = 0; i < data.ITEMS.length; i++) {
					html += this.setProductItem( i, data.ITEMS[i] );
				}
				
				html += ''+
							'</ul>'+
						'</div>'+
					'</div>';

				return html;
			},
			
			//지정일 정보 출력
			setdeliveryProductInfo : function(data) {
				var html = '';
				html += Ns.Util.stringFormat(''+
						'<div class="items">'+
							'<div class="wrap horizontal">'+
								'<p class="dhead">배송지정일</p>'+
								'<div class="field">'+
									'<div class="field">'+
										'<div class="rows">{0}</div>'+
									'</div>'+
								'</div>'+
							'</div>'+
						'</div>',
						data);

				return html;
			},
			
			
			// 상품 아이템 출력
			setProductItem : function( index, data ) {
				
				var imageLink = '', titleLink = '';
				imageLink = Ns.Util.stringFormat('<a href="javascript:;" onclick="CurrentView.event.onclick_linkProductDetail(\'{2}\', \'{3}\');"><img src="{0}" onerror="this.onerror=null;this.src=\'{1}\'" alt="상품 이미지" /></a>',
						data.IMG,
						Const.NO_IMAGE_URL +  'noimage_E.jpg',
						data.GOODSPARTNUMBER,
						data.multiCd
				);
				titleLink = Ns.Util.stringFormat('<a href="javascript:;" onclick="CurrentView.event.onclick_linkProductDetail(\'{2}\', \'{3}\');"><strong>{0}{1}</strong></a>',
						(!Ns.Util.isNull(data.BRAND_KOR_NM) && data.BRAND_KOR_NM != '미정의' ? "[" + data.BRAND_KOR_NM + "]" : ""),
						data.PRODUCT_NAME,
						data.GOODSPARTNUMBER,
						data.multiCd
				);
				
				var html = Ns.Util.stringFormat(''+
					'<li class="items">'+
						'<div class="wrap">'+
							'<div class="thumbnail">'+
								'{0}'+
							'</div>'+
							'<div class="field">'+
								'<p class="title">{1}</p>'+
								'<div class="data-info">'+
									'<p class="price">'+
										'<span class="price-selling"><strong class="head">판매금액</strong> <del class="text"><strong>{2}</strong><span class="unit">원</span></del></span>'+
									'</p>'+
									'{5}'+
									'{10}'+
									'<div class="option-order" style="{11}">'+
										'<strong class="head">옵션/수량</strong>'+
										'<span class="text">'+
											'<span class="option">수량 {7}개</span>'+
											'{6}'+
											'<span class="option">배송비 {8}</span>'+
										'</span>'+
									'</div>'+
									'{9}'+
								'</div>'+
							'</div>'+
						'</div>'+
					'</li>',
					imageLink,	// 0
					titleLink,	// 1
					Ns.Util.insertCommas(data.BASEPRICE * data.QUANTITY),	// 2
					Ns.Util.insertCommas(data.DCPRICE * data.QUANTITY),	// 3
					(data.DISP_TYPE_CD == '30' ? '정기배송가' : '할인적용금액'),	// 4
					this.setProductGift(data),	// 5
					this.setProductOption(data),	// 6
					data.QUANTITY,	// 7
					(Number(data.SHIPCHARGE) > 0 ? Ns.Util.insertCommas(data.SHIPCHARGE) + '원' : '무료배송'),	// 8
					this.setProductOptionDelivery(data),	// 9
					data.DISP_TYPE_CD == "25" || data.DISP_TYPE_CD == "20" ? this.setChoiceHtml(data) : "",	// 10
					data.DISP_TYPE_CD == "25" || data.DISP_TYPE_CD == "20" ? "display:none;" : ""	// 11
				);
				
				return html;
			},
			
			// 초이스 or 팩 상품 옵션/수량 출력
			setChoiceHtml :function (data){
				var objSelectData = null;
				
				if (data.DISP_TYPE_CD == "25"){	// 초이스 상품
					objSelectData = data.selectChoice;
				} else if (data.DISP_TYPE_CD == "20"){	// 팩 상품
					objSelectData = data.selectPack;
				}
				
				var strChoiceHtml = "";
				strChoiceHtml += "<div class=\"option-order\">";
				strChoiceHtml += "	<strong class=\"head\">옵션/수량</strong>";
				strChoiceHtml += "</div>";
				
				for (var i = 0; objSelectData.length > i; i++){
					strChoiceHtml += "<div class=\"option-order\">";
					strChoiceHtml += "	<span class=\"text\" style=\"margin-left:15px;\">";
					strChoiceHtml += objSelectData[i].name + " ";
					strChoiceHtml += undefined == objSelectData[i].value ? "" : objSelectData[i].value;
					strChoiceHtml += undefined == objSelectData[i].quantity ? "" : " / <span class=\"option\">" + objSelectData[i].quantity + "개</span>";
					strChoiceHtml += "	</span>";
					strChoiceHtml += "</div>";
				}
				
				strChoiceHtml += "<div class=\"option-order\">";
				strChoiceHtml += "	<span class=\"text\">";
				
				if (data.DISP_TYPE_CD == "20"){	
					strChoiceHtml += "		<span class=\"option\">수량 " + data.QUANTITY + "개</span>";
				}
				
				strChoiceHtml += "		<span class=\"option\">배송비 " + (Number(data.SHIPCHARGE) > 0 ? Ns.Util.insertCommas(data.SHIPCHARGE) + '원' : '무료배송') + "</span>";
				strChoiceHtml += "	</span>";
				strChoiceHtml += "</div>";
				
				return strChoiceHtml;
			},
			
			// 상품 아이템의 옵션/수량 출력
			setProductOption : function( data ) {
				var html = '';
				if (data.DISP_TYPE_CD == '55') { //카드(상품권)
					
				} else if (data.STYLE_MNG_YN == 'Y' && data.ATTRIBUTES != null && data.ATTRIBUTES.length > 0) {
					for (var i = 0; i < data.ATTRIBUTES.length; i++) {
						html += Ns.Util.stringFormat('\n	<span class="option">{0}</span>', (data.ATTRIBUTES[i].VALUE || data.ATTRIBUTES[i].NAME));
					}
				}
				return html;
			},

			// 상품 아이템의 사은품 출력
			setProductGift : function( data ) {
				var html = '';
				// 사은품이 존재하면 출력
				if (data.GIFT_YN == 'Y' && data.GIFT && data.GIFT.length > 0) {
					html += '\n		<div class="option-order">';
					html += '\n			<strong class="head">사은품</strong>';
					html += '\n			<span class="text">';
					for (var i = 0; i < data.GIFT.length; i++) {
						html += Ns.Util.stringFormat('\n	<span class="option">{0}</span>', data.GIFT[i].value);
					}
					html += '\n			</span>';
					html += '\n		</div>';
				}
				return html;
			},
			
			// 상품 아이템의 배송주기 출력
			setProductOptionDelivery : function( data ) {
				var html = '';
				if ( data.DISP_TYPE_CD == '30') { //정기배달
					html += Ns.Util.stringFormat(''+
							'<div class="option-order">'+
								'<strong class="head">배송주기</strong>'+
								'<span class="text">'+
									'<span class="option">간격 : {0}일</span>'+
									'<span class="option">배송 : {1}회</span>'+
								'</span>'+
							'</div>',
						data.INTRV,
						data.CNVEY_NUM
					);
				}
				return html;
			},
			
			//결제정보 출력
			setPaymentInfo : function() {
				
				var data = CurrentView.m_inputParams.orderPrice;
				//주문금액 출력
				$('#spanOrderItemTotalPrice').html( Ns.Util.insertCommas(data.TOTAL_PRODUCT_AMT) );				//주문하실상품 총주문금액
				$('#div_totalProductPrice').html( Ns.Util.insertCommas(data.TOTAL_PRODUCT_AMT) + '원' );		//총 주문금액
				$('#div_totalShippingCharge').html( Ns.Util.getMoneyFormat('(+)',data.SHIP_CHARGE) + '원' );	//배송비
				$('#div_totalFreeShippingCharge').html( Ns.Util.getMoneyFormat('(-)',data.freeShippingDcAmt) + '원' );	// 배송비쿠폰할인
				$('#div_totalAdjustment').html( Ns.Util.getMoneyFormat('(-)',data.OFFER_AMT) + '원' );			//가격할인
				$('#div_totalAdjustmentCoupon').html( Ns.Util.getMoneyFormat('(-)', Number(data.couponDcAmt, 10) - Number(data.freeShippingDcAmt, 10)) + '원' );	//쿠폰할인
				$('#div_totalAdjustmentCard').html( Ns.Util.getMoneyFormat('(-)',data.cardDcAmt) + '원' );		//카드할인
				$('#div_grandTotal').html( Ns.Util.insertCommas(data.FINAL_PAYMENT_AMT) + '원' );				//총 결제금액
				$('#div_forecastReservedAmount').html( Ns.Util.insertCommas(CurrentView.m_inputParams.expectAccmAmt) + '원' );	//예상 적립금
				
				// 배송비 할인이 있을 경우만 보임
				if ("0" != data.freeShippingDcAmt){
					$("#div_totalFreeShippingCharge").parent().show();
				}
				
				// 할인 정보 출력
				var payTypeInfo = {
						"1100" : { 'name' : 'annualCoupons',	'title' : '연간할인권'	},
						"800"  : { 'name' : 'okCashback',		'title' : 'OK캐쉬백'	},
						"900"  : { 'name' : 'netiWell',			'title' : '네티웰'		},
						"1000" : { 'name' : 'happyMoney',		'title' : '해피머니'	},
						"600"  : { 'name' : 'reservedAmt',		'title' : '적립금'		},
						"500"  : { 'name' : 'depositAmount',	'title' : '예치금'		},
						"700"  : { 'name' : 'giftCardAmount',	'title' : 'NS상품권'	}
				};
				for (var i = 0; i < CurrentView.m_outputDatas.msg.paymentList.length; i++) {
					if (payTypeInfo.hasOwnProperty(CurrentView.m_outputDatas.msg.paymentList[i].payType) && CurrentView.m_outputDatas.msg.paymentList[i].payAmt > 0) {
						var html = Ns.Util.stringFormat(''+
								'<tr>'+
									'<th scope="row">{0}</th>'+
									'<td id="div_{1}">{2}원</td>'+
								'</tr>',
							payTypeInfo[CurrentView.m_outputDatas.msg.paymentList[i].payType].title,
							payTypeInfo[CurrentView.m_outputDatas.msg.paymentList[i].payType].name,
							Ns.Util.getMoneyFormat('(-)',CurrentView.m_outputDatas.msg.paymentList[i].payAmt)
						);
						$('#tblBillingInfo tbody').append(html);
					}
				}

			},
			
			//결제요청정보 출력
			setPaymentApprovalInfo : function() {
				var data = CurrentView.m_outputDatas.msg.paymentList[0];
				var payType = (data.payType || '');
				var html = '';
				var cardName = '';
				
				if (payType == "100") { // 신용카드
					var b33Flag = false;	// 청구할인 여부
					var str33Html = "";	// 추가 html
					var str33Html1 = "";	// 추가 html
					var n33Price = 0;	// 청구할인 금액
					var prifixExceptionYn = "Y";	// 청구할인 카드 미사용 여부 - Y:미사용, N:사용
					// 170620 카카오뱅크 카드 추가로 인한 국민카드와 별개로 분기 처리 hawoong
					var CreditCardName = '';
					if(data.EP_card_cd == '016' && data.KvpCardCode.substring(6,8) == '90'){
						CreditCardName = '카카오뱅크';
					}else{
						CreditCardName = Ns.Util.getCreditCardCodeName( data.EP_card_cd );
					}
					// AIQUA
					cardName = CreditCardName;
					
					// 청구할인 체크 및 청구할인 금액 합산
					for (var i = 0; CurrentView.PaymentData.discountList.length > i; i++){
						for (var j = 0; CurrentView.PaymentData.discountList[i].couponList.length > j; j++){
							var objDis = CurrentView.PaymentData.discountList[i].couponList[j];
							
							if (objDis.OFFER_BRCH == "33"){
								n33Price += Number(objDis.DiscountPrice, 10) + Number(objDis.DIFF_AMT, 10);
								b33Flag = true;
							}
							
							// 청구 할인 카드 사용 여부
							if (prifixExceptionYn == "Y" && (objDis.DC_TYPE_CD == "610" || objDis.DC_TYPE_CD == "630")){
								if (CurrentView.bDiscount33selected){
									prifixExceptionYn = "N";
								}
							}
						}
					}
					
					str33Html = "";
					str33Html1 = '';
					
					html = Ns.Util.stringFormat(''+
						'<table class="data-table theme-a content-justify">'+
							'<caption>신용카드 결제정보</caption>'+
							'<colgroup>'+
								'<col style="width:110px;">'+
								'<col>'+
							'</colgroup>'+
							'<tbody>'+
								'<tr>'+
									'<th colspan="2"><strong class="em rate-d">신용카드 결제</strong></th>'+
								'</tr>'+
								'<tr><th colspan="2"><hr></th></tr>'+
								'<tr>'+
									'<th scope="row">결제금액</th>'+
									'<td><strong class="em rate-d">{0} 원</strong></td>'+
								'</tr>'+
								'{4}'+
								'<tr>'+
									'<th scope="row">카드번호</th>'+
									'<td>{1}</td>'+
								'</tr>'+
								'<tr>'+
									'<th scope="row">납부방식</th>'+
									'<td>{2}({3})</td>'+
								'</tr>'+
								'{5}'+
							'</tbody>'+
						'</table>',
						Ns.Util.insertCommas( data.payAmt ),
						Ns.Util.formatCardNoWithAsterisk( data.EP_card_no ),
						CreditCardName,
						(data.EP_noinst_flag == 'Y' ? (data.EP_noinst_term + '개월 무이자') : (data.EP_quota == '00' ? '일시불' : data.EP_quota + '개월 할부')),
						str33Html,
						str33Html1
					);
				}
				else if (payType == "200") { // 무통장
					html = Ns.Util.stringFormat(''+
						'<table class="data-table theme-a content-justify">'+
							'<caption>무통장입금 결제정보</caption>'+
							'<colgroup>'+
								'<col style="width:110px;">'+
								'<col>'+
							'</colgroup>'+
							'<tbody>'+
								'<tr>'+
									'<th colspan="2"><strong class="em rate-d">무통장입금</strong></th>'+
								'</tr>'+
								'<tr><th colspan="2"><hr></th></tr>'+
								'<tr>'+
									'<th scope="row">입금하실 금액</th>'+
									'<td><strong class="em rate-d">{0} 원</strong></td>'+
								'</tr>'+
								'<tr>'+
									'<th scope="row">입금은행</th>'+
									'<td>{1}</td>'+
								'</tr>'+
								'<tr>'+
									'<th scope="row">입금계좌번호</th>'+
									'<td>{2}</td>'+
								'</tr>'+
								'<tr>'+
									'<th scope="row">입금마감일</th>'+
									'<td>{3}<p>(마감일까지 입금하지 않으시면 주문이 취소됩니다.)</p></td>'+
								'</tr>'+
							'</tbody>'+
						'</table>',
						Ns.Util.insertCommas( data.payAmt ),
						data.DP_bankName,
						data.DP_depositAccountNo,
						Ns.Util.insertHangulFormDate( Ns.Util.onlyNumFormat( data.DP_payDate ) )
					);
					
					// 무통장의 경우 title 변경
					$('.subject strong').html('주문이 정상적으로 접수되었습니다.');
				}
				else if (payType == "300") { // 실시간계좌이체
					html = Ns.Util.stringFormat(''+
							'<table class="data-table theme-a content-justify">'+
							'<caption>실시간계좌이체 결제정보</caption>'+
							'<colgroup>'+
								'<col style="width:110px;">'+
								'<col>'+
							'</colgroup>'+
							'<tbody>'+
								'<tr>'+
									'<th colspan="2"><strong class="em rate-d">실시간계좌이체</strong></th>'+
								'</tr>'+
								'<tr><th colspan="2"><hr></th></tr>'+
								'<tr>'+
									'<th scope="row">결제금액</th>'+
									'<td><strong class="em rate-d">{0} 원</strong></td>'+
								'</tr>'+
								'<tr>'+
									'<th scope="row">이체은행</th>'+
									'<td>{1}은행</td>'+
								'</tr>'+
							'</tbody>'+
						'</table>',
						Ns.Util.insertCommas( data.payAmt ),
						data.LGD_FINANCENAME
					);
				}
				else if (payType == "400") { // 휴대폰 소액결제
					html = Ns.Util.stringFormat(''+
						'<table class="data-table theme-a content-justify">'+
							'<caption>휴대폰 결제정보</caption>'+
							'<colgroup>'+
								'<col style="width:110px;">'+
								'<col>'+
							'</colgroup>'+
							'<tbody>'+
								'<tr>'+
									'<th colspan="2"><strong class="em rate-d">휴대폰결제</strong></th>'+
								'</tr>'+
								'<tr><th colspan="2"><hr></th></tr>'+
								'<tr>'+
									'<th scope="row">결제금액</th>'+
									'<td><strong class="em rate-d">{0} 원</strong></td>'+
								'</tr>'+
								'<tr>'+
									'<th scope="row">이동통신사</th>'+
									'<td>{1}</td>'+
								'</tr>'+
								'<tr>'+
									'<th scope="row">휴대폰번호</th>'+
									'<td>{2}</td>'+
								'</tr>'+
								'<tr>'+
									'<th scope="row">거래번호</th>'+
									'<td>{3}</td>'+
								'</tr>'+
							'</tbody>'+
						'</table>',
						Ns.Util.insertCommas( data.payAmt ),
						data.Commid,
						Ns.Util.insertSeparatorPhoneNumber(data.No, "-"),
						data.Mobilid
					);
				}
				else if (payType == "1400") { // 페이코
					var cnt = data.paymentDetails.length-1;
					var paymentDetails = data.paymentDetails[cnt]; 
					
					html = Ns.Util.stringFormat(''+
						'<table class="data-table theme-a content-justify">'+
							'<caption>페이코 결제정보</caption>'+
							'<colgroup>'+
								'<col style="width:110px;">'+
								'<col>'+
							'</colgroup>'+
							'<tbody>'+
								'<tr>'+
									'<th colspan="2"><strong class="em rate-d">PAYCO 결제</strong></th>'+
								'</tr>'+
								'<tr><th colspan="2"><hr></th></tr>'+
								'<tr>'+
									'<th scope="row">결제금액</th>'+
									'<td><strong class="em rate-d">{0} 원</strong></td>'+
								'</tr>'+
								'<tr>'+
									'<th scope="row">납부방식</th>'+
									'<td>{1}({2})</td>'+
								'</tr>'+
							'</tbody>'+
						'</table>',
						Ns.Util.insertCommas( data.payAmt ),
						paymentDetails.CARD_NM,
						(paymentDetails.IR_FREE_YN == 'Y' ? (paymentDetails.INSTM_MM_CNT + '개월 무이자') : (paymentDetails.INSTM_MM_CNT == '00' ? '일시불' : paymentDetails.INSTM_MM_CNT + '개월 할부'))
					);
				}
				else { // 결제수단이 없을 경우
					$('#divPaymentMethodArea').hide();
				}
				
				$('#divPaymentMethodArea').html(html);
				
				// 상품 개수 만큼 실행
				for (var k = 0; k < CurrentView.PaymentData.productList.length; k++) {
					/* beshow 스크립트 */
					mainCtrl.excuteBeshowScript(2, CurrentView.PaymentData.productList[k]);
					
					// AIQUA
					var eventParameter1 = {};
					eventParameter1.product_id = CurrentView.PaymentData.productList[k].GOODSPARTNUMBER;
					eventParameter1.product_name = CurrentView.PaymentData.productList[k].PRODUCT_NAME;
					eventParameter1.product_image_url = CurrentView.PaymentData.productList[k].IMG;
					eventParameter1.product_price = CurrentView.PaymentData.productList[k].BasePrice;
					eventParameter1.product_channel = CurrentView.PaymentData.productList[k].BUSCHN_ID;
					eventParameter1.happydeal_product = CurrentView.m_inputParams.isFlashSaleNew[k];
					try {
						eventParameter1.category_name = eval("Ns.Util.htmlDecode(CurrentView.m_inputParams.productCategoryName.partNum_" + eventParameter1.product_id + ".cate1Nm)");
					} catch (e) {
						// 별도 동작 하지 않음
					}
					mainCtrl.userEventToAIQUA('product_purchased', eventParameter1);
				}				
				/* beshow 스크립트 */
				mainCtrl.excuteBeshowScript(3);
				
				// AIQUA
				var eventParameter2 = {};
				var eventParameter3 = {};
				eventParameter2.order_id = CurrentView.m_inputParams.orderId;
				eventParameter2.order_amount = Number(CurrentView.m_inputParams.orderPrice.TOTAL_PRODUCT_AMT);
				eventParameter2.payment_method = CurrentView.data.getPayType(payType);
				eventParameter3.payment_method = CurrentView.data.getPayType(payType);
				eventParameter2.coupon_used = data.couponDcAmt;
				eventParameter2.number_of_products = 0;
				eventParameter2.point_used = 0;
				eventParameter2.media = mainCtrl.VIEW_TYPE;
				eventParameter2.co_cd = Const.getCocd();
				for(var l = 0; l < CurrentView.m_inputParams.orderItemQuantitys.length; l++){ // 상품의 총 주문 개수 전송
					eventParameter2.number_of_products += Number(CurrentView.m_inputParams.orderItemQuantitys[l]);
				}
				for (var m = 0; m < CurrentView.m_outputDatas.msg.paymentList.length; m++) {
					if (CurrentView.m_outputDatas.msg.paymentList[m].payType == "600") { // 적립금 사용금액 전송
						eventParameter2.point_used = CurrentView.m_outputDatas.msg.paymentList[m].payAmt;
					}
				}
				if(payType == '100'){ // 신용카드면 카드 이름 보냄.
					eventParameter2.payment_card = cardName;
					eventParameter3.payment_card = cardName;
				}
				
				mainCtrl.userEventToAIQUA('checkout_completed', eventParameter2);
				if(CurrentView.m_inputParams.msg.check_pay == "Y"){
					mainCtrl.userProfileToAIQUA(CurrentView.m_inputParams.custNum, null, CurrentView.m_inputParams.loginId, CurrentView.m_inputParams.contactNum);
					mainCtrl.userEventToAIQUA('payment_info_added', eventParameter3);
				}
				
				
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//상품 상세보기 링크
			onclick_linkProductDetail : function( partNumber, multiCd ) {
				var param = {
						partNumber : partNumber,
						multiCd : multiCd
				};
				mainCtrl.gotoProductDetail(param);
			},
			
			//계속 쇼핑하기 버튼 클릭. 
			onclick_btnContinueShopping : function() {
				mainCtrl.gotoMain();
			},
			
			//주문내역조회 버튼 클릭.
			onclick_btnOrdersList : function() {
				var param = {};
				param.tabIndex = 0;	
				param.monthly = "";
				param.pageidx = "";				
				mainCtrl.navigate('M_U1121100M', param);
			}
		}

};