
/* JavaScript content from js/order/M_G261C000L.js in folder common */

/* 
 *	주문서작성-컬렉션 담기
 *  ID : M_G261C000L
 */

CurrentPopup = {
	isCollectionAreaOpened : false,
	catentryId : null,
	collectionListCount : 0,

	init : function( params ){	
		this.initializeComponent( params );
		this.onLoad( params );
	},
	
	initializeComponent : function( params ){
		CurrentPopup.catentryId=params.catentryId;
		
		$("#txtCollectionProductName").html(params.productName);

		$("#btnCancel").unbind().bind( "click",  this.event.onclick_btnCancel );
		$("#btnAddCollection").unbind().bind( "click",  this.event.onclick_btnAddCollection );
		$("#btnShowCollectionInputArea").unbind().bind( "click",  this.event.onclick_btnShowCollectionInputArea );
		$("#selCollectionBoard").unbind().bind( "change",  this.event.onchange_selCollectionBoard );
		$("#txtCollectionMemo").unbind().bind( "onkeyup",  this.event.onkeyup_txtCollectionMemo );

	},
	
	onLoad : function(params){
		this.data.getCollectionList();
	},
	
	data : {
		getCollectionList : function() {
			var invokeParams = {
				cmdType : 201,
				regItem : "Y"
			};
			
			tran.callWCSJsonTran( 'AjaxCollectionCmd', invokeParams, CurrentPopup.ui.setCollectionList );
		},
		
		addCollection : function() {
			if( $("#selCollectionBoard").val() == "" ) {
				Ns.Popup.alert("컬렉션 보드를 선택하세요.");
				return false;
			}

			var callback_addCollection = function( data ) {
				var result = data.processResult;
				
				if ( result == 2 ) {
					Ns.Popup.alert("컬렉션 상품 등록은 60개까지만 가능합니다.");
					return false;
				} else if ( result == 0 ) {
					Ns.Popup.alert("이미 등록된 상품입니다.");
					return false;
				}  else if ( result == 1 ) {
					Ns.Popup.alert("등록하였습니다.");
					//Ns.Popup.hidePopup();
					navi.naviBack();
				}
			};
			
			//field1 :  "1", //이메일 승인여부
			var invokeParams = {
				cmdType : 202,
				usersId : USERINFO.userId(),
				catentryId : CurrentPopup.catentryId,
				boardListId : $("#selCollectionBoard").val(),
				//boardNm : $("#txtBoardName").val(),
				field3 : $("#txtCollectionMemo").val()
			};
			
			tran.callWCSJsonTran( 'AjaxCollectionCmd', invokeParams, callback_addCollection );
		},
		
		//신규 컬렉션 보드명 등록 - 신규등록 + 상품 담기 가능 하도록 수정. 
		addCollectionBoard : function() {
			var callback_addCollectionBoard = function( data ) {
				var result = data.processResult;
				
/*				if ( result == 2 ) {
					Ns.Popup.alert( "컬렉션 등록은 12개까지 가능합니다." ); 
					return false;
				} else if ( result == 0 ) {
					Ns.Popup.alert( "컬렉션 보드명 등록에 실패하였습니다." ); 
					return false;
				} else if ( result == 1 ) {
					Ns.Popup.alert( "컬렉션 보드명을 등록하였습니다." ); 
					Ns.Popup.hidePopup();
				}*/
				
				if ( result == 2 ) {
					Ns.Popup.alert("컬렉션 상품 등록은 60개까지만 가능합니다.");
					return false;
				} else if ( result == 0 ) {
					Ns.Popup.alert( "이미 등록된 상품입니다." ); 
					return false;
				} else if ( result == 1 ) {
					Ns.Popup.alert("등록하였습니다.");
					navi.naviBack();
					/*
					Ns.Popup.hidePopup();
					// 상품 상세를 가정하고 css 원복
					mainCtrl.loadCSSFile(PAGE_CONFIG["M_G2600000M"].cssfile, "SUBSTYLE");
					CSS_PROPs.current_file = PAGE_CONFIG["M_G2600000M"].cssfile;
					$("#wrap").removeClass();
					$("#wrap").addClass("goods-detail");
					navi.setMovePointer(-1);
					mainCtrl.setHeaderTitle(false, PAGE_CONFIG["M_G2600000M"].title, PAGE_CONFIG["M_G2600000M"].path);
					*/
				} else if ( result == 3 ) {
					Ns.Popup.alert( "컬렉션 등록은 12개까지 가능합니다." );
				}			
			};

			var txtBoardName = $.trim($("#txtBoardName").val() );
			if ( txtBoardName == "" ) {
				Ns.Popup.alert( "컬렉션 보드명을 입력하세요." ); 
				return false;
			}
			
			$("input:checkbox[id='mChoice']").is(":checked");
			
			//var isPublish	= $(':radio[name="radioPublish"]:checked').val();
			var isPublish	= 'N';
			//var isPrimary = $("input:checkbox[id='chkPrimary']").is(":checked") == true ? "Y" : "N";
			
			//primeYN : isPrimary, //기본 컬렉션 삭제됨
/*			var invokeParams = {
				cmdType : 203,
				publicYN : isPublish,
				usersId : USERINFO.userId(),
				boardDesc : $("#txtBoardName").val(),
				listExplain : $("#txtIntroCollection").val()
			};*/

			var invokeParams = {
				cmdType : 202,
				usersId : USERINFO.userId(),
				catentryId : CurrentPopup.catentryId,
				//boardListId : $("#selCollectionBoard").val(),
				boardNm : $("#txtBoardName").val(),
				listExplain : $("#txtIntroCollection").val(),
				field3 : $("#txtCollectionMemo").val(),
				publicYN : isPublish
			};
			
			tran.callWCSJsonTran( 'AjaxCollectionCmd', invokeParams, callback_addCollectionBoard );
		},
		
		
	},
	
	ui : {
		setCollectionList : function( data ) {
			var collectionBoard = data.collectionBoard;
			if( collectionBoard == null || collectionBoard == "") {
				CurrentPopup.collectionListCount = 0;
				//$("input:checkbox[id='chkPrimary']").attr("checked", "checked");
				
				return false;
			}
			
			CurrentPopup.collectionListCount = collectionBoard.length;
			
			var optionTxt = ""; 
			for ( var k=0; k<collectionBoard.length; k++) {
				var items = collectionBoard[k];
				
				optionTxt += '<option value="'+items.listId+'">'+items.listDesc+'</option>';
			}
			
			$("#selCollectionBoard").append( optionTxt );
		}
	},
	
	//이벤트 관련 함수를 정의한다.
	event : {
		onclick_btnCancel : function() {
			/*
			Ns.Popup.hidePopup();
			// 상품 상세를 가정하고 css 원복
			mainCtrl.loadCSSFile(PAGE_CONFIG["M_G2600000M"].cssfile, "SUBSTYLE");
			CSS_PROPs.current_file = PAGE_CONFIG["M_G2600000M"].cssfile;
			$("#wrap").removeClass();
			$("#wrap").addClass("goods-detail");
			navi.setMovePointer(-1);
			mainCtrl.setHeaderTitle(false, PAGE_CONFIG["M_G2600000M"].title, PAGE_CONFIG["M_G2600000M"].path);
			*/
			navi.naviBack();
		},
		
		onclick_btnAddCollection : function() {
			if ( CurrentPopup.isCollectionAreaOpened )
				CurrentPopup.data.addCollectionBoard();
			else
				CurrentPopup.data.addCollection();
		},
		
		onclick_btnShowCollectionInputArea : function() {
			if (  $("#selCollectionBoard").val() != "" ) { 
				$("a#btnShowCollectionInputArea").removeClass( "active" );
				return false;
			}
			
			var isActive = $("#btnShowCollectionInputArea").hasClass( "active" );
			if( isActive ) {
				$("a#btnShowCollectionInputArea").removeClass( "active" );
				$("#accordion2").removeClass( "active" );
				CurrentPopup.isCollectionAreaOpened = false;
			} else {
				$("a#btnShowCollectionInputArea").addClass( "active" );
				$("#accordion2").addClass( "active" );
				CurrentPopup.isCollectionAreaOpened = true;
			}
		},
		
		onchange_selCollectionBoard : function() {
			$("a#btnShowCollectionInputArea").removeClass( "active" );
			$("#accordion2").removeClass( "active" );
			
			$("#txtBoardName").val( "" );
			CurrentPopup.isCollectionAreaOpened = false;
		},	
		
		onkeyup_txtCollectionMemo : function() {
	 		var ari_max = 160; // limit 제한 글자수(여기서는 1000)
	 		var ls_str = $(this).val(); // 이벤트가 일어난 컨트롤의 value 값 
	 		var li_str_len = ls_str.length; // 전체길이 
	 
	 		// 변수초기화 
	 		var li_max = ari_max; // 제한할 글자수 크기 
	 		var i = 0;     // for문에 사용 
	 		var li_byte = 0;  // 한글일경우는 2 그밗에는 1을 더함 
	 		var li_len = 0;  // substring하기 위해서 사용 
	 		var ls_one_char = ""; // 한글자씩 검사한다 
			var ls_str2 = ""; // 글자수를 초과하면 제한할수 글자전까지만 보여준다. 
	 
	 		for(i=0; i< li_str_len; i++){ 
	  			// 한글자추출 
	  			ls_one_char = ls_str.charAt(i); 
	  
	  			// 한글이면 2를 더한다. 
	   			if (escape(ls_one_char).length > 4) { 
	     			li_byte += 2; 
	   			}else{   // 그밗의 경우는 1을 더한다. 
	     			li_byte++; 
	   			} 
	   			// 전체 크기가 li_max를 넘지않으면 
	   			if(li_byte <= li_max){ 
	     			li_len = i + 1; 
	   			} 
	 		} 
	 
	 		// 전체길이를 초과하면 
	 		if(li_byte > li_max){ 
	   			Ns.popup.alert(ari_max/2+"글자를 초과 입력할 수 없습니다.<br/>초과된 내용은 자동으로 삭제됩니다. "); 
	   			ls_str2 = ls_str.substr(0, li_len); 
	   			$(this).val( ls_str2 ); 
	 		}
		}
		
	}	

};