
/* JavaScript content from js/order/nspaySlider.js in folder common */
NSPaySlider = {
	
	target : null,			//slider 타겟  div
	targetReceipt : null,	//현금영수증 타겟  div
	slider : null, 			//bxSlider
	payinfoList : null, 	//결제수단 리스트
	paymentAmt : null, 		//최종 결제금액
	focusSlide : null, 	//화면 로딩 후 포커싱 될 슬라이드 번호
	noIntCardList : null, 	//카드사 무이자 할부 정보 리스트.
	minInstallCnt : null, 	//최대 무이자 할부 개월 수.
	mappedCodeList : null,	//신용카드 기존코드와 이니시스코드 매핑 리스트
	cardBnftList : null, 	//NSPAY 신용카드 청구할인 적용대상 코드 리스트
	NSPayMileage : null,	//적립금 정보. 
	payMethod: null,
	termsCheck: [],
	lastCashReceipt : [],		//최종 현금 영수증 신청 정보
	
		
	//initialrize override
	init : function(target, targetReceipt,  minInstallCnt, paymentAmt) {
		this.initVariable(target, targetReceipt, minInstallCnt, paymentAmt);
		
		if(NSPaySlider.paymentAmt >= 50000){
			tran.callWCSJsonTran('AjaxNSWPay',
				{cmdType : "noIntInfo"},
				function(data){ //무이자 할부 리스트를 조회한다. 
					if(data!=null && data.nointInfo != null)
						NSPaySlider.noIntCardList = data.nointInfo;
					
					tran.callWCSJsonTran('AjaxNSWPay', {cmdType : "payInfoAll"}, NSPaySlider.setPayInfo);
				},
				CurrentView.m_inputParams.catalogId,
				function(){ //Exception시에도 slider는 그린다. 
					tran.callWCSJsonTran('AjaxNSWPay', {cmdType : "payInfoAll"}, NSPaySlider.setPayInfo);
				}
			);
		} else {
			tran.callWCSJsonTran('AjaxNSWPay', {cmdType : "payInfoAll"}, NSPaySlider.setPayInfo);
		}
	},

	reInit : function(){
		this.initVariable(this.target, this.targetReceipt, this.minInstallCnt, this.paymentAmt);

		if(NSPaySlider.paymentAmt >= 50000){
			tran.callWCSJsonTran('AjaxNSWPay',
				{cmdType : "noIntInfo"},
				function(data){ //무이자 할부 리스트를 조회한다. 
					if(data!=null && data.nointInfo != null)
						NSPaySlider.noIntCardList = data.nointInfo;
					
					tran.callWCSJsonTran('AjaxNSWPay', {cmdType : "payInfoAll"}, NSPaySlider.setPayInfo);
				},
				CurrentView.m_inputParams.catalogId,
				function(){ //Exception시에도 slider는 그린다. 
					tran.callWCSJsonTran('AjaxNSWPay', {cmdType : "payInfoAll"}, NSPaySlider.setPayInfo);
				}
			);
		} else {
			tran.callWCSJsonTran('AjaxNSWPay', {cmdType : "payInfoAll"}, NSPaySlider.setPayInfo);
		}
	},
	
	//데이터 초기화
	initVariable : function(target, targetReceipt, minInstallCnt, paymentAmt) {
		this.target = $(target); 									//slider 타겟  div
		this.targetReceipt = $(targetReceipt); 						//현금영수증 타겟  div
		this.slider = null; 										//bxSlider
		this.payinfoList = null; 									//결제수단 리스트
		this.paymentAmt	= paymentAmt > 0 ? paymentAmt : 0;			//최종 결제금액
		this.focusSlide = 0; 									//화면 로딩 후 포커싱 될 슬라이드 번호
		this.noIntCardList = null; 									//카드사 무이자 할부 정보 리스트.
		this.minInstallCnt = minInstallCnt > 0 ? minInstallCnt : 0;	//최대 무이자 할부 개월 수.
		this.mappedCodeList = null;									//신용카드 기존코드와 이니시스코드 매핑 리스트
		this.NSPayMileage = null;									//적립금 정보. 
		this.setBnftList();											//NSPAY 신용카드 청구할인 적용대상 코드 리스트
	},
	
	//AJax 통신후 데이터 처리. 
	setPayInfo : function(data){		
		CurrentView.buttonArea.style.visibility = "visible";
		
		if(data != null && data.payInfo != null) 
			NSPaySlider.payinfoList = data.payInfo;	
				
		if(data != null && data.mappedCodeList != null)
			NSPaySlider.mappedCodeList = data.mappedCodeList;
		
		if(data != null && data.mileage != null)
			NSPaySlider.NSPayMileage = data.mileage;
				
		NSPaySlider.makePayList();
	},
		
	setBnftList : function(){
		this.cardBnftList = new Array;
		for (var i = 0; i < CurrentView.m_outputDatas.msg.OrderGoodList.length; i++) {
			var cardPreDcList = CurrentView.m_outputDatas.msg.OrderGoodList[i].itemDetailInfo.cardBnftList;
			if (cardPreDcList && cardPreDcList.length > 0) {			
				for (var j = 0; j < cardPreDcList.length; j++) {
					if(cardPreDcList[j].bnftType == '35'){
						var str =  {
							"cardBnftSpr" : cardPreDcList[j].cardBnftSpr,
							"cardBnftVal" : cardPreDcList[j].cardBnftVal
						};
						
						this.cardBnftList[cardPreDcList[j].cardCoCd] = str;
					}
				}
			}
		}
	},
		
	//결제수단 목록 그리기. 
	makePayList : function(){		
		this.target.empty();
		
		var htmlSlideDiv = '<div class="row-slide-card"><div class="slide-box"></div></div>';
		this.target.append(htmlSlideDiv);
		
		var htmlPaymentAddDiv = '<div class="slide"><div class="card-account-add">';
		if(this.payinfoList != null && this.payinfoList != '') {
        	htmlPaymentAddDiv += '<a href="#" class="btn-ty2 w-40" onclick="NSPaySlider.memUnReg()">해지</a>';
        }
		htmlPaymentAddDiv += '<ul class="list-add">'
						+'<li><a href="javascript:void(0);" onclick="NSPaySlider.addPayment(\'16\');" class="btn-add">계좌추가</a></li>'
						+'<li><a href="javascript:void(0);" onclick="NSPaySlider.addPayment(\'01\');"  class="btn-add">카드추가</a></li>'
						+'</ul></div></div>';
		
		$(this.target.find('.slide-box')).append(htmlPaymentAddDiv);
						
		if(this.payinfoList != null && this.payinfoList != '') {
			if (this.payinfoList.payListCnt > 0) {
				var payList = this.sortPayList(this.payinfoList.payList);
				var payListCnt = this.payinfoList.payListCnt;
				
				for(var i = payListCnt-1; i >= 0; i--){
					if(payList[i].payMethod == '01')
						this.addCardSlide(payList[i],  i);
					if(payList[i].payMethod == '16')
						this.addAcctSlide(payList[i], i);
				}
			}					
		}
		NSPaySlider.addCashReceipt();
		NSPaySlider.initBxSlide();
	},
	
	//결제 수단 정렬
	sortPayList : function(payList){
		//실시간 계좌이체를 앞으로 처리
		payList.sort(function(a, b) {
			var typeCard = '01';
			var typeAcct = '16';

			if (a.payMethod==typeCard && b.payMethod==typeAcct) {
			    return 1;
		  	}
		  	if (a.payMethod==typeAcct && b.payMethod==typeCard) {
			    return -1;
	  		}
		  	return 0;
		});

		//즐겨찾기를 앞으로 처리
		payList.sort(function(a, b) {
			if (a.majYn=='N' && b.majYn=='Y') {
			    return 1;
		  	}
		  	if (a.majYn=='Y' && b.majYn=='N') {
			    return -1;
	  		}
		  	return 0;
		});	
		return payList;
	},
	
	//신용카드 슬라이드 추가.
	addCardSlide : function(payInfo, slideNum){
		var nsCoCd; 
		var cardBnft;
		if(payInfo.bankCardCode != null)
			nsCoCd = this.mappedCodeList[payInfo.bankCardCode];
		if(nsCoCd != null)
			cardBnft = this.cardBnftList[nsCoCd];
		var html = '<div class="slide">';
			html += '<div class="card '+NSPaySlider.CardCiList().getCode(payInfo.bankCardCode)+'">';
			html += '<h2 class="logo">'+decodeURIComponent(payInfo.cardName)+'</h2>';
			html += '<p class="card-num">'+payInfo.bankCardNo+'</p>';
			html += '<div class="combo-box">';
			html += '<label for="cardQuota" class="blind">할부 단위를 선택해 주세요</label>';
			html += '<select id="cardQuota" class="select" onchange="NSPaySlider.changeQuota();" disabled>';
			html += '<option selected="selected" value="00" >일시불</option>';
			html += '</select>';
			html += '</div>';
			html += '<div class="point-box">';
			if(cardBnft != null && cardBnft.cardBnftVal != null && parseInt(cardBnft.cardBnftVal) > 0){				
				html += '<input id="nsCoCd" type="hidden" value="'+nsCoCd+'">';
			}
			html += '</div>';
			if(payInfo.majYn == 'Y')
				html += "<button type='button' class='btn-favorite on' onclick='NSPaySlider.delMajorPayInfo("+JSON.stringify(payInfo)+")'>즐겨찾기</button>";
			else				
				html += "<button type='button' class='btn-favorite' onclick='NSPaySlider.setMajorPayInfo("+JSON.stringify(payInfo)+")'>즐겨찾기</button>";
			html += "<button type='button' class='btn-delete' onclick='NSPaySlider.delPayInfo("+JSON.stringify(payInfo)+")'>삭제</button>";
			html += '</div>';
			html += '<input id="wpToken" type="hidden" value="'+payInfo.wpayToken+'">';
			html += '<input id="cardCode" type="hidden" value="'+payInfo.bankCardCode+'">';	
			html += '</div>';
		$(this.target.find('.slide-box')).prepend(html);
	},
	
	addCardQuota : function(element){
		var cardQuota = $(element).find('#cardQuota');
		cardQuota.removeAttr("disabled")
		
		if(this.paymentAmt >= 50000){

			var nsNoInt = new Array;
			var inisisNoInt = new Array;
			var slideCCD = $(element).find('#cardCode')[0].value;
			var nsCardCode;
			
			for(var x = 0; x < this.noIntCardList.length; x++){
				if(this.noIntCardList[x].cardCode == slideCCD){
					var cardEventList = this.noIntCardList[x].cardEventList;
					nsCardCode = this.noIntCardList[x].nsCardCode;
					cardEventList.sort(function (a,b){ //제이높은 금액부터 처리 하기 위한 amount 역순sort
						if(a.amount > b.amount)
							return -1;
						if(b.amount > a.amount)
							return 1;
						return 0;
					});

					for(var i = 0; i < cardEventList.length; i ++){
						if(this.paymentAmt >= Number(cardEventList[i].amount*10000)){
							inisisNoInt = cardEventList[i].month;
							break;
						}
					}
				}
			}
			var minInstSize = (this.minInstallCnt > 12) ? 10 : (this.minInstallCnt-2);			
			for(var i =0; i <= minInstSize ; i++){
				nsNoInt[i] = String(i+2);
			}
			if(this.minInstallCnt > 12)//이니시스에서 내려온 할부 정보가 최대 무이자 개월 수 보다 작을 경우 NS쪽 설정을 받아온다.
				nsNoInt = nsCardInstInfo(nsCardCode, nsNoInt);
			
			
			nsNoInt = nsNoInt.concat(inisisNoInt);//NS 무이자 개월 과 이니시스 무이자 개월을 합친다.
			nsNoInt = nsNoInt.slice().sort(function(a,b){ //중복값을 제거한다.
						return a - b
					  }).reduce(function(a,b){
						if (a.slice(-1)[0] !== b) a.push(b);return a;
					  },[]);
			//기본 할부개월 처리 (12개월)
			for(var i = 2; i <= 12; i ++){
				var index = -1;
				for(var j = 0; j < nsNoInt.length ; j++){
					if(String(nsNoInt[j]) == String(i)) {						
						index = j;
						break;
					}
					
				}
				if(index > -1){
					if(i < 10)
						cardQuota.append(new Option('0'+i+'개월 무이자', '0'+i))
					else
						cardQuota.append(new Option(i+'개월 무이자', ''+i));
					nsNoInt.splice(index,1);
						
				} else {
					if(i < 10)
						cardQuota.append(new Option('0'+i+'개월', '0'+i))
					else
						cardQuota.append(new Option(i+'개월', ''+i))
				}
			}
			//12개월 이상 처리
			if(nsNoInt.length > 0){							
				for(var i = 0; i < nsNoInt.length; i ++){
					cardQuota.append(new Option(nsNoInt[i]+'개월 무이자', String(i)));
				}
			} 
		}
	},
	
	//계좌이체 슬라이드 추가.
	addAcctSlide : function(payInfo, slideNum){
		
		var html = '<div class="slide">';
		//payInfo.bankCardCode = "";
		if(payInfo == null || payInfo.bankCardCode == ""){
			html += '<div class="account b0">';
		}else{
			if(payInfo.bankCardCode == "002" || payInfo.bankCardCode == "003" ||
					payInfo.bankCardCode == "004" || payInfo.bankCardCode == "005" || payInfo.bankCardCode == "007" || payInfo.bankCardCode == "011" ||
					payInfo.bankCardCode == "020" || payInfo.bankCardCode == "023" || payInfo.bankCardCode == "027" || payInfo.bankCardCode == "031" ||
					payInfo.bankCardCode == "032" || payInfo.bankCardCode == "034" || payInfo.bankCardCode == "035" || payInfo.bankCardCode == "037" ||
					payInfo.bankCardCode == "039" || payInfo.bankCardCode == "045" || payInfo.bankCardCode == "048" || payInfo.bankCardCode == "071" || 
					payInfo.bankCardCode == "088") {
				html += '<div class="account '+NSPaySlider.AcctCiList().getCode(payInfo.bankCardCode)+'">';
			}else{
				html += '<div class="account b0">';
			}
		}	
		html += '<h2 class="logo">'+decodeURIComponent(payInfo.cardName)+'</h2>';
		html += '<p class="card-num">'+payInfo.bankCardNo+'</p>';
		if(this.NSPayMileage && typeof this.NSPayMileage.rate != 'undefined') {
			html += '<div class="point-box">';
			html += '<span class="txt">적립금 '+this.NSPayMileage.rate+'%</span>';
			html += '</div>';
		}
		if(payInfo.majYn == 'Y')
			html += "<button type='button' class='btn-favorite on' onclick='NSPaySlider.delMajorPayInfo("+JSON.stringify(payInfo)+")'>즐겨찾기</button>";
		else				
			html += "<button type='button' class='btn-favorite' onclick='NSPaySlider.setMajorPayInfo("+JSON.stringify(payInfo)+")'>즐겨찾기</button>";
		html += "<button type='button' class='btn-delete' onclick='NSPaySlider.delPayInfo("+JSON.stringify(payInfo)+")'>삭제</button>";
		html += '<input id="wpToken" type="hidden" value="'+payInfo.wpayToken+'">';
		html += '<input id="wpBankCode" type="hidden" value="'+payInfo.bankCardCode+'">';
		html += '<input id="wpCardNo" type="hidden" value="'+payInfo.bankCardNo+'">';
		html += '<input id="wpRegDttm" type="hidden" value="'+payInfo.acntRegDttm+'">';
		html += '</div>';
		
		
		//첫 화면 로딩시 주 결제 수단 일 경우 해당 슬라이드로 포커싱 해준다. 
		if(payInfo.majYn == 'Y'){
			NSPaySlider.focusSlide = slideNum;
		}		
		
		$(this.target.find('.slide-box')).prepend(html);
	},

	//현금영수증 정보 추가. 
	addCashReceipt : function(){
		var htmlCashReceiptDiv = '<div id="cashReceipt" class="row-payment" style="display:none;">';
		htmlCashReceiptDiv +=	'<div class="point-box">';
		htmlCashReceiptDiv +=	'<input type="checkbox" class="checkbox-np ty1" id="isCashReceipt" checked="checked">';
		htmlCashReceiptDiv +=	'<label for="isCashReceipt">현금영수증 신청 <span class="co-2"></span></label>';
		htmlCashReceiptDiv +=	'<a href="javascript:NSPaySlider.changeReceipt();" class="btn-ty2 w-65" id="btnChangeReceipt">변경</a>';
		htmlCashReceiptDiv +=	'<input type="hidden" id="isChangeReceipt" name="RECEIPT_CHANGE" value="N">';
		htmlCashReceiptDiv +=	'</div>';
		htmlCashReceiptDiv +=	'<div class="cash-receipt-box" id="cashReceiptDtl" style="display:none;">';
		htmlCashReceiptDiv +=	'<ul class="radio-form">';
		htmlCashReceiptDiv +=	'<li class="radio-label">';
		htmlCashReceiptDiv +=	'<input type="radio" class="radio-np ty1" checked="checked" id="receipt0" name="receipt" value="P" onchange="NSPaySlider.setReceiptType(\'P\')">';
		htmlCashReceiptDiv +=	'<label for="receipt0">개인소득공제</label>';
		htmlCashReceiptDiv +=	'</li>';
		htmlCashReceiptDiv +=	'<li class="radio-label">';
		htmlCashReceiptDiv +=	'<input type="radio" class="radio-np ty1" id="receipt1" name="receipt" value="B" onchange="NSPaySlider.setReceiptType(\'B\')">';
		htmlCashReceiptDiv +=	'<label for="receipt1">사업자증빙</label>';
		htmlCashReceiptDiv +=	'</li>';
		htmlCashReceiptDiv +=	'</ul>';
		htmlCashReceiptDiv +=	'<div class="select-form">';
		htmlCashReceiptDiv +=	'<span>';
		htmlCashReceiptDiv +=	'<label for="hp-input" class="blind">휴대폰 번호 -없이 입력</label>';
		htmlCashReceiptDiv +=	'<input type="number" pattern="\d*" id="hp-input" class="text-np" maxlength="11" autocomplete="off" onkeyup="Ns.Util.onKeyUpOnlyNumber(this, 12, true)">';
		htmlCashReceiptDiv +=	'</span>';
		htmlCashReceiptDiv +=	'</div>';
		htmlCashReceiptDiv +=	'<div class="mgt-10">';
		htmlCashReceiptDiv +=	'<input type="checkbox" class="checkbox-np ty1" id="isSaveReceipt">';
		htmlCashReceiptDiv +=	'<label for="isSaveReceipt">다음에도 동일한 번호로 신청합니다.</label>';
		htmlCashReceiptDiv +=	'</div></div></div>';
			
		this.targetReceipt.append(htmlCashReceiptDiv);
	},

	initBxSlide : function(){
		if(this.slide == null) {
			/* 스와이프 */
			this.slider = $(this.target.find('.slide-box')).bxSlider({
				controls : false,
				infiniteLoop : false,
				captions: true,
				onSlideAfter : function($slideElement, oldIndex, newIndex){
					var oldElement = $slideElement.prevObject[oldIndex];
					if($(oldElement).find('#cardQuota')[0]){
						$(oldElement).find('#cardQuota').children('option:not(:first)').remove();
						$(oldElement).find('#cardQuota').prop('disabled',true)
					}					
					NSPaySlider.setWPayParams($($slideElement[0]));		 		
				}
			});
			
			var length = $(this.target.find('.slide-pager-item')).length;
			$(this.target.find('.slide-pager')).css('margin-left', - (length * 16) / 2);
			
			/* 아코디언 */ 
			$(this.target.find('.btn-collapse')).on('click', function(e) {
			  self = $(this);
			  e.stopPropagation();
			  e.preventDefault();
			
			  if (e.currentTarget.tagName.toLowerCase() === 'a') {
				target = $(self.attr('href'));
			  } else {
				target = self.next();
			  }
			  
			  self.toggleClass('in');
			  target.toggle();
			});
			
			if(this.slider.getCurrentSlide() == NSPaySlider.focusSlide){
				var element = this.slider.getCurrentSlideElement()[0];
				this.setWPayParams(element);			
				if($(element).find('.account').length > 0)
					$(this.targetReceipt.find('#cashReceipt')).show();
				else
					$(this.targetReceipt.find('#cashReceipt')).hide();
			}
			
			this.slider.goToSlide(NSPaySlider.focusSlide);
		} else {
			this.slider.reloadSlider();
		}
	},
	
	setWPayParams : function(element){
		var ulNSPay = $('#ulPaymentNSPayArea');
		var checkWpay = true;
		if(ulNSPay.length > 0) {
			checkWpay = $(ulNSPay.find('li')[0]).hasClass('on');
		}
		if(!checkWpay) return;
		
		if($(element).find('.card').length >0){	
		
			var cardQuota = $(element).find('#cardQuota')[0].value;
			var cardInterest = $(element).find('#cardQuota option:selected').text().indexOf('무이자') >= 0 ? 'Y' : 'N';
			
			CurrentView.paymentMethod = 1600;
			//카드 결제 정보 초기화. 
			CurrentView.paymentMethodInitData['1600'] = {
				'payType' 			: '1600',
				'requestCommand' 	: 'RequestInfo',
				'mid' 				: '',	// 필수값: 가맹점 ID 
				'wpayUserKey' 		: '',  	// 필수값: 이니시스에서 발행한 사용자 key 
				'wtid' 				: '',  	// 필수값: WPAY 트랜잭션ID 
				'wpayToken' 		: $(element).find('#wpToken')[0].value,  	// 필수값: 이니시스에서 발행한 토큰 
				'ci' 				: '', 
				'bankCardCode' 		: $(element).find('#cardCode')[0].value, 
				'oid' 				: '',  	// 필수값: 주문번호 
				'goodsName' 		: CurrentView.m_outputDatas.msg.OrderGoodList[0].itemDetailInfo.productName, 	// 필수값: 상품명 
				'goodsPrice' 		: CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT, 	// 필수값: 결제금액 
				'buyerName' 		: CurrentView.PaymentData.OrderUserInfo.getItem().LASTNAME,  	// 필수값: 구매자명 
				'buyerTel' 			: CurrentView.PaymentData.OrderUserInfo.getItem().PHONE1,  	// 필수값: 구매자연락처
				'buyerEmail' 		: '',  
				'cardQuota' 		: cardQuota, 	// 필수값: 할부개월수
				'cardInterest' 		: cardInterest, 		// 무이자 여부
				'bankCardNo' 		: $(element).find('.card-num')[0].innerText, 
				'acntRegDttm' 		: '',
				'flagPin'  			: '',
				'flagPinMsg' 		: '', 
				'returnUrl'  		: 'https://' + Const.WCS_NSMALL_PATH + '/nsmall/mobile/wpay/wpay_mob_result.jsp?payType=1600', 	// 필수값: 결과전달URL
				//'returnUrl'  		: 'http://' + Const.WCS_NSMALL_PATH + '/nsmall/mobile/wpay/wpay_mob_err.jsp?payType=1600', 	// 필수값: 결과전달URL
				'signature'   		: '',	// 필수값: hash
				'PHONE_NUM'  		: '',	// 현금영수증 전화번호
				'BIZ_REG_NUM'  		: '',	// 현금영수증 사업자번호
				'RECEIPT_TYPE'  	: '',	// 현금영수증 타입(P:개인, B:사업자)
				'EP_card_prefix'  	: '',	// 카드 prefix 6자리 
				'EP_card_no'  		: '', 	// 카드번호 마스킹 되어있어서 6자리만 처리 
				'usedcard_code' 	: '', 	// 기존 카드사 코드 
				'cardName'			: $(element).find('.logo').text(),   // 카드사이름 				
			}
			this.addCardQuota(element);
			this.setCardQuota(cardQuota, cardInterest);
						
			$(this.targetReceipt.find('#cashReceipt')).hide();
			
			this.dispCardDcCoupon($(element));
			this.checkQuoataDiscount();
							
		} else if($(element).find('.account').length >0){
			
			if ($("#chkSinglePaymentDiscount").length > 0 ) {
				if (!$('#chkSinglePaymentDiscount').is(':checked')) {
					$('#chkSinglePaymentDiscount').prop('checked', true);						
					CurrentView.event.onchange_singlePaymentDiscount($('#chkSinglePaymentDiscount'));
				}
			}
 
			CurrentView.paymentMethod = 1700;
			CurrentView.paymentMethodInitData['1700'] = {
				'payType' 			: '1700',
				'requestCommand' 	: 'RequestInfo',
				'mid' 				: '',	// 필수값: 가맹점 ID 
				'wpayUserKey' 		: '',  	// 필수값: 이니시스에서 발행한 사용자 key 
				'wtid' 				: '',  	// 필수값: WPAY 트랜잭션ID 
				'wpayToken' 		: $(element).find('#wpToken')[0].value,  	// 필수값: 이니시스에서 발행한 토큰 
				'ci' 				: '', 
				'bankCardCode' 		: $(element).find('#wpBankCode')[0].value, 
				'oid' 				: '',  	// 필수값: 주문번호 
				'goodsName' 		: CurrentView.m_outputDatas.msg.OrderGoodList[0].itemDetailInfo.productName, 	// 필수값: 상품명 
				'goodsPrice' 		: CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT, 	// 필수값: 결제금액 
				'buyerName' 		: CurrentView.PaymentData.OrderUserInfo.getItem().LASTNAME,  	// 필수값: 구매자명 
				'buyerTel' 			: CurrentView.PaymentData.OrderUserInfo.getItem().PHONE1,  	// 필수값: 구매자연락처
				'buyerEmail' 		: '',  
				'cardQuota' 		: cardQuota, 	// 필수값: 할부개월수
				'cardInterest' 		: cardInterest, 		// 무이자 여부
				'bankCardNo' 		: $(element).find('.card-num')[0].innerText, 
				'acntRegDttm' 		: $(element).find('#wpRegDttm')[0].value,
				'flagPin'  			: '',
				'flagPinMsg' 		: '', 
				'returnUrl'  		: 'https://' + Const.WCS_NSMALL_PATH + '/nsmall/mobile/wpay/wpay_mob_result.jsp?payType=1700', 	// 필수값: 결과전달URL
				//'returnUrl'  		: 'http://' + Const.WCS_NSMALL_PATH + '/nsmall/mobile/wpay/wpay_mob_err.jsp?payType=1700', 	// 필수값: 결과전달URL
				'signature'   		: '',	// 필수값: hash
				'PHONE_NUM'  		: '',	// 현금영수증 전화번호
				'BIZ_REG_NUM'  		: '',	// 현금영수증 사업자번호
				'RECEIPT_TYPE'  	: '',	// 현금영수증 타입(P:개인, B:사업자)
				'EP_card_prefix'  	: '',	// 카드 prefix 6자리 
				'EP_card_no'  		: '', 	// 카드번호 마스킹 되어있어서 6자리만 처리 
				'usedcard_code' 	: '', 	// 기존 카드사 코드 
				'cardName'			: $(element).find('.logo').text(),   // 은행이름 
			};
			this.setReceiptInfo();
			this.setMileage();
						
			$(this.targetReceipt.find('#cashReceipt')).show();
			
		} else {
			CurrentView.paymentMethod = 0;

			$(this.targetReceipt.find('#cashReceipt')).hide();
			if($('#NSPayMileage').length>0)
				$('#NSPayMileage').hide();
		}
	},
	
	setCardQuota : function(cardQuota, cardInterest){		
		CurrentView.paymentMethodInitData['1600'].cardQuota = cardQuota;
		CurrentView.paymentMethodInitData['1600'].cardInterest = cardInterest;
		if ($('#chkSinglePaymentDiscount').is(':checked') && cardQuota != '00') {
			//Ns.Popup.alert('일시불 할인이 해제됩니다.');
			$('#chkSinglePaymentDiscount').prop('checked', false);
			CurrentView.event.onchange_singlePaymentDiscount($('#chkSinglePaymentDiscount'));
			if(CurrentView.ui.setFullMileage)
				CurrentView.ui.setFullMileage();
		} else if(cardQuota == '00' && !$('#chkSinglePaymentDiscount').is(':checked')) {
			// 카드일시불할인 항목 사용가능여부 체크
			var totalLspRate = 0;
			for (var i = 0; i < CurrentView.m_outputDatas.msg.OrderGoodList.length; i++) {
				var vImdtDcCpAmt = CurrentView.m_outputDatas.msg.ImdtDcCpAmtList[CurrentView.m_outputDatas.msg.OrderGoodList[i].goodsDetail.ORDERITEMS_ID]; // 매가할인 리스트
				totalLspRate += Number(vImdtDcCpAmt.PROM_VAL_LSP_RATE);
			}
						
			if (totalLspRate != 0 && CurrentView.m_outputDatas.msg.OrderGoodList[0].itemDetailInfo.lumpsumdcExcptYn != "Y") {				
				$('#chkSinglePaymentDiscount').prop('checked', true);
				CurrentView.event.onchange_singlePaymentDiscount($('#chkSinglePaymentDiscount'));
				if(CurrentView.ui.setFullMileage)
					CurrentView.ui.setFullMileage();
			} 
		}
	},
	
	dispCardDcCoupon : function(element){
		var tCardVal = ""
		if($(element).find('#nsCoCd')[0])
			tCardVal = $(element).find('#nsCoCd')[0].value;
		
		var cardNum = "" 
		if($(element).find('.card-num')[0])
			cardNum = $(element).find('.card-num')[0].textContent;
		
		cardNum = cardNum.replace(/-/g,'').replace(/\*/g,'').substring(0,6);
		
		var cardName = ""
		if($(element).find('.logo')[0])
			$(element).find('.logo')[0].textContent;
				
		for (var k = 0; k < CurrentView.PaymentData.Discount.size(); k++) {
			CurrentView.PaymentData.Discount.removeCouponItem(k, CurrentView.Const.DISCOUNT_CARD_PRE_DC_INDEX); // 카드청구할인 삭제
		}
		
		for (var i = 0; i < CurrentView.m_outputDatas.msg.OrderGoodList.length; i++) {
			
			var itemBaseData = CurrentView.m_outputDatas.msg.OrderGoodList[i].itemBaseData;
			var cardPreDcList = CurrentView.m_outputDatas.msg.OrderGoodList[i].itemDetailInfo.cardBnftList;

			if (cardPreDcList && cardPreDcList.length > 0) {			
				for (var j = 0; j < cardPreDcList.length; j++) {					
					if (cardPreDcList[j].cardCoCd == tCardVal && cardPreDcList[j].bnftType == '35') {
						// 할인가 계산
						var aBasePrice = CurrentView.PaymentData.Payment.paymentList[0].FINAL_PAYMENT_AMT;
						if(aBasePrice >= cardPreDcList[j].amtStartVal) {
							if (cardPreDcList[j].cardBnftSpr == "2"){	// 정률	
								$('#NSPayMileage').show();
								$('#NSPayMileage em').text(cardName+" 최대 " +cardPreDcList[j].cardBnftVal+"% 청구할인  ");
								$('#NSPayMileage span').text("");
								break;
							} else {
								$('#NSPayMileage').hide();
								$('#NSPayMileage em').text("");
								$('#NSPayMileage span').text("");
							}
						}
					} else {
						$('#NSPayMileage').hide();
						$('#NSPayMileage em').text("");
						$('#NSPayMileage span').text("");
					}
				}
			} else {
				$('#NSPayMileage').hide();
				$('#NSPayMileage em').text("");
				$('#NSPayMileage span').text("");
			}
		}
		this.setCardDcCoupon(element);
	},
	
	setCardDcCoupon : function(element){
		var tCardVal = ""
		if($(element).find('#nsCoCd')[0])
			tCardVal = $(element).find('#nsCoCd')[0].value;
		
		var cardNum = ""
		if($(element).find('.card-num')[0])
			cardNum = $(element).find('.card-num')[0].textContent;
		
		cardNum = cardNum.replace(/-/g,'').replace(/\*/g,'').substring(0,6);
					
		for (var k = 0; k < CurrentView.PaymentData.Discount.size(); k++) {
			CurrentView.PaymentData.Discount.removeCouponItem(k, CurrentView.Const.DISCOUNT_CARD_PRE_DC_INDEX); // 카드청구할인 삭제
		}
		
		for (var i = 0; i < CurrentView.m_outputDatas.msg.OrderGoodList.length; i++) {
			
			var itemBaseData = CurrentView.m_outputDatas.msg.OrderGoodList[i].itemBaseData;
			var cardPreDcList = CurrentView.m_outputDatas.msg.OrderGoodList[i].itemDetailInfo.cardBnftList;
			
			if (cardPreDcList && cardPreDcList.length > 0) {			
				for (var j = 0; j < cardPreDcList.length; j++) {		
					if (cardPreDcList[j].cardCoCd == tCardVal && cardPreDcList[j].bnftType == '35') {
						// 할인가 계산
						var aBasePrice = CurrentView.PaymentData.Payment.paymentList[0].FINAL_PAYMENT_AMT;
						var tDiscountPrice = cardPreDcList[j].cardBnftSpr == "1" ? Number(cardPreDcList[j].cardBnftVal, 10) : Number(cardPreDcList[j].cardBnftVal, 10) / 100 * aBasePrice;
						tDiscountPrice = Math.ceil(Math.round(tDiscountPrice) / 10) * 10;
						
						if(aBasePrice >= cardPreDcList[j].amtStartVal) {
							if (cardPreDcList[j].cardBnftSpr == "1"){	// 정액
								// 절산된 전체 할인될 금액 - 절산된 개별(정액 / 갯수) 할인될 금액 * 갯수
								nSingDiscountPrice = (Math.ceil(Math.round(Number(cardPreDcList[j].cardBnftVal, 10) / itemBaseData.QTY) / 10) * 10);
								nDIFF_AMT = tDiscountPrice - (nSingDiscountPrice * itemBaseData.QTY);
							} else {	// 정률
								// 절산된 전체 할인될 금액 - 절산된 개별 할인될 금액 * 갯수
								nSingDiscountPrice = (Math.ceil(Math.round((aBasePrice / itemBaseData.QTY) * (Number(cardPreDcList[j].cardBnftVal, 10) / 100)) / 10) * 10);
								nDIFF_AMT = tDiscountPrice - (nSingDiscountPrice * itemBaseData.QTY);
							}
							if (cardPreDcList[j].maxBnftLimit != "" && cardPreDcList[j].maxBnftLimit != "0"){
								if (cardPreDcList[j].cardBnftSpr == "2" && cardPreDcList[j].maxBnftLimit){
									if (tDiscountPrice > Number(cardPreDcList[j].maxBnftLimit, 10)) {
										tDiscountPrice = Number(cardPreDcList[j].maxBnftLimit, 10);
									}
								}
							}
							
							var nDIFF_AMT = "";
							var nSingDiscountPrice = 0;
							if (cardPreDcList[j].cardBnftSpr == "1"){	// 정액
								// 절산된 전체 할인될 금액 - 절산된 개별(정액 / 갯수) 할인될 금액 * 갯수
								nSingDiscountPrice = (Math.ceil(Math.round(Number(cardPreDcList[j].cardBnftVal, 10) / itemBaseData.QTY) / 10) * 10);
								nDIFF_AMT = tDiscountPrice - (nSingDiscountPrice * itemBaseData.QTY);
							} else {	// 정률
								// 절산된 전체 할인될 금액 - 절산된 개별 할인될 금액 * 갯수
								nSingDiscountPrice = (Math.ceil(Math.round((aBasePrice / itemBaseData.QTY) * (Number(cardPreDcList[j].cardBnftVal, 10) / 100)) / 10) * 10);
								nDIFF_AMT = tDiscountPrice - (nSingDiscountPrice * itemBaseData.QTY);
							}
							
							
							var index = i;
							var index_dc = CurrentView.Const.DISCOUNT_CARD_PRE_DC_INDEX;
							
							var couponList = new Object();
							
							CurrentView.PaymentData.Discount.setItem(index, {
								"orderItemId" : CurrentView.m_outputDatas.msg.OrderGoodList[i].goodsDetail.ORDERITEMS_ID,
								"CATENTRY_ID" : CurrentView.m_outputDatas.msg.OrderGoodList[i].goodsDetail.CATENTRY_ID_CHILD
							});
						
							couponList = {
								"ListName" : "cardPreDc_35",
								"ImdtDcCpAmt" : String(nSingDiscountPrice),
								"DiscountPrice" : String(nSingDiscountPrice * itemBaseData.QTY),
								"PRMT_TYPE_CD" : CurrentView.PaymentData.Discount.getDefineValue("PRMT_TYPE_CD", "cardPreDc"), // 프로모션타입코드
								"DC_TYPE_CD" : "610", // 할인타입코드
								"WWW_RATE" : cardPreDcList[j].cardBnftSpr == "2" ? String(cardPreDcList[j].cardBnftVal) : "0",
								"WWW_AMT" : cardPreDcList[j].cardBnftSpr == "1" ? String(cardPreDcList[j].cardBnftVal) : "0",
								"MAX_USE_NUM" : String(itemBaseData.QTY),
								"CP_IDFR" : cardPreDcList[j].offerIdfr,
								"CP_NM" : cardPreDcList[j].offerNm,
								"USED_COUPON_QTY" : String(itemBaseData.QTY),
								"USED_COUPON" : String(itemBaseData.QTY),
								"OFFER_BRCH" : cardPreDcList[j].bnftType,
								"DIFF_AMT" : String(nDIFF_AMT)
							};
							
							CurrentView.paymentMethodInitData['1600'].EP_card_prefix = cardNum;  // 카드 prefix 6자리
							CurrentView.paymentMethodInitData['1600'].EP_card_no = cardNum; // 카드번호 마스킹 되어있어서 6자리만 처리 
							CurrentView.paymentMethodInitData['1600'].usedcard_code = tCardVal; // 기존 카드사 코드 
							CurrentView.PaymentData.Discount.setCouponItem(index, index_dc, couponList);
						}
					}
				}
			}
		}
	},

	setReceiptType : function(type){
		if(type == 'P'){
			CurrentView.paymentMethodInitData['1700'].RECEIPT_TYPE=type;			
			this.targetReceipt.find('#hp-input').attr('placeholder','휴대폰 번호를 입력해주세요');
		}
		
		if(type == 'B'){
			CurrentView.paymentMethodInitData['1700'].RECEIPT_TYPE=type;
			this.targetReceipt.find('#hp-input').attr('placeholder','사업자등록번호를 입력해주세요');
		}
	},
	
	setReceiptInfo : function(){
		if(CurrentView.lastCashReceipt != null && CurrentView.lastCashReceipt != "" && CurrentView.lastCashReceipt.REGI_NUM != null ){
			if(CurrentView.lastCashReceipt.RCPT_PBLS_CD == 100){
				var regExp =  /^(\d{3})(\d{3,4})(\d{4})$/;		 

				var result='';
				var match = regExp.exec(CurrentView.lastCashReceipt.REGI_NUM);
				if(match) {
					if(match[2].length == 3)
						result = match[1]+'***'+match[3];
					else
						result = match[1]+'****'+match[3];
				} 
				this.targetReceipt.find('#cashReceipt .co-2')[0].innerText = result;
				
				this.setReceiptType('P');
				this.targetReceipt.find('input[name=receipt]')[0].checked = true;
			} else if (CurrentView.lastCashReceipt.RCPT_PBLS_CD == 200) {
				var regExp =  /^(\d{2})(\d{3})(\d{5})$/;		 

				var result='';
				var match = regExp.exec(CurrentView.lastCashReceipt.REGI_NUM);				
				if(match) {
					result = match[1]+'****'+match[3];
				} 
				this.targetReceipt.find('#cashReceipt .co-2')[0].innerText = result;
				this.setReceiptType('B');
				this.targetReceipt.find('input[name=receipt]')[1].checked = true
			}			
		} else {
			var custPhone = CurrentView.PaymentData.OrderUserInfo.getItem().PHONE1.replace(/-/g,'');
			var creditNum = '';
			
			var regExp =  /^(\d{3})(\d{3,4})(\d{4})$/;		 

			var result='';
			var match = regExp.exec(custPhone);
			if(match) {
				if(match[2].length == 3)
					result = match[1]+'***'+match[3];
				else
					result = match[1]+'****'+match[3];
			} 
			$(this.targetReceipt.find('#cashReceipt .co-2'))[0].innerText = result;
			//TODO:마지막 사용 현금영수증 정보 처리
			this.setReceiptType('P');
			//this.targetReceipt.find('#hp-input')[0].value = custPhone;
			this.targetReceipt.find('input[name=receipt]')[0].checked = true;
		}
	},

	changeQuota : function(){
		var element = this.slider.getCurrentSlideElement()[0];
		var _this = this;
		
		if($(element).find('.card').length >0){	
			if(!($("#discountCard").css("display") == "none" || $("#discountCard").css("display") == undefined)){
				if ($('#chkSinglePaymentDiscount').is(':checked') && $(element).find('#cardQuota')[0].value != '00') {
					
					//20181130 khkim82 (NSSR-19278 주문결제페이지 내 일시불할인 자동적용) - 일시불할인 체크박스 적용상태에서, NS페이 할부 선택
					var strConfirmMsg = '할부를 선택하셔서 일시불 할인 ' + '-' + Ns.Util.insertCommas(CurrentView.PaymentData.Payment.getItem(0).cardDcAmt) + '원' +'이 취소됩니다. 할부결제를 하시겠습니까?';								 
					Ns.Popup.confirm(strConfirmMsg, function() {
						//확인 - 신용카드 할부 + 일시불할인 미적용  	
						$('#chkSinglePaymentDiscount').prop('checked', false);
						CurrentView.event.onchange_singlePaymentDiscount($('#chkSinglePaymentDiscount'));

						var cardQuota = $(element).find('#cardQuota')[0].value;
						var cardInterest = $(element).find('#cardQuota option:selected').text().indexOf('무이자') >= 0 ? 'Y' : 'N';

						_this.setCardQuota(cardQuota, cardInterest);
						
					}, function() { 
						//취소 - 신용카드 일시불 + 일시불할인 적용
						$(element).find('#cardQuota')[0].value = '00';
					}, "확인", "취소");			
				} else if(!$('#chkSinglePaymentDiscount').is(':checked') && $(element).find('#cardQuota')[0].value == '00') {
			 
					$(element).find('#cardQuota')[0].value = '00';
					var cardQuota = $(element).find('#cardQuota')[0].value;
					var cardInterest = $(element).find('#cardQuota option:selected').text().indexOf('무이자') >= 0 ? 'Y' : 'N';

					_this.setCardQuota(cardQuota, cardInterest);
				}				
			} else {
				var cardQuota = $(element).find('#cardQuota')[0].value;
				var cardInterest = $(element).find('#cardQuota option:selected').text().indexOf('무이자') >= 0 ? 'Y' : 'N';

				_this.setCardQuota(cardQuota, cardInterest);						
			}
		}
	},
	
	nsCardInstInfo : function(tCardVal, nsNoInt){
		if(tCardVal == 'SH') 
			tCardVal = 'LG';

		tran.callWCSJsonTran( "NSMypageCommCmd", 				
			{	
				"tasknm" : "instmMmsList",
				"var" : tCardVal
			}, function(data) {
				if(data.list) {
        			data.list.some(function(i) {
						if(i >= 10) {
							nsNoInt.push(String(i));
						}
					});
				} else {
					nsNoInt = nsCardInstInfo_extra(tCardVal, nsNoInt);
				}
			}
		);
				
		return nsNoInt;
	},
	
	nsCardInstInfo_extra : function(tCardVal, nsNoInt){
		var minInstSize = (this.minInstallCnt > 24) ? 24 : this.minInstallCnt;
		// 현대 무이자 : 2~12,24,36
		if(tCardVal == 'DN'){
			if(minInstallCnt >= 24)
				nsNoInt.push('24');
			if(minInstallCnt >= 36)
				nsNoInt.push('36');
			return nsNoInt;
		}

		if(tCardVal == 'KM' || tCardVal == 'SS' || tCardVal == 'SH'){
			// 국민,삼성,신한 무이자 : 2~24, 36
			for(var i = 13; i <= minInstSize; i ++){
				nsNoInt.push(String(i));
			}
			
			if(minInstallCnt >= 36)
				nsNoInt.push('36');
			
			return nsNoInt;			
		}		

		// 롯데 무이자 : 2~24
		if(tCardVal == 'AM'){
			// 국민,삼성,신한 무이자 : 2~24, 36
			for(var i = 13; i <= minInstSize; i ++){
				nsNoInt.push(String(i));
			}
			return nsNoInt;
		}		

		return nsNoInt;
	},	
	
	changeReceipt : function(){
		var isChangeReceipt = $(this.targetReceipt.find('#isChangeReceipt'))[0].value;		
		if(isChangeReceipt == 'N'){
			$(this.targetReceipt.find('#cashReceiptDtl')).show();
			$(this.targetReceipt.find('#isChangeReceipt'))[0].value = 'Y';
			$(this.targetReceipt.find('#btnChangeReceipt'))[0].innerText = '변경취소';
			this.targetReceipt.find('input[name=receipt]')[0].checked = true;
			this.targetReceipt.find('#hp-input')[0].value = '';
			this.targetReceipt.find('#isSaveReceipt')[0].checked = false;
		}
		else { 
			$(this.targetReceipt.find('#cashReceiptDtl')).hide();
			$(this.targetReceipt.find('#isChangeReceipt'))[0].value = 'N';
			$(this.targetReceipt.find('#btnChangeReceipt'))[0].innerText = '변경';
			if(CurrentView.lastCashReceipt != null && CurrentView.lastCashReceipt != "" && CurrentView.lastCashReceipt.REGI_NUM != null ){
				this.targetReceipt.find('#hp-input')[0].value = CurrentView.lastCashReceipt.REGI_NUM;
				if(CurrentView.lastCashReceipt.RCPT_PBLS_CD == 200){
					this.targetReceipt.find('input[name=receipt]')[1].checked = true;
				} else {
					this.targetReceipt.find('input[name=receipt]')[0].checked = true;
				}
			}else{
				var custPhone = CurrentView.PaymentData.OrderUserInfo.getItem().PHONE1.replace(/-/g,'');
				this.targetReceipt.find('#hp-input')[0].value = custPhone;
				this.targetReceipt.find('input[name=receipt]')[0].checked = true;
			}
			this.targetReceipt.find('#isSaveReceipt')[0].checked = false;
		}
		
	},
	
	setCashReceiptToParam : function(){
		if(NSPaySlider.targetReceipt.find('#isCashReceipt')[0].checked){
			var isChangeReceipt = $(NSPaySlider.targetReceipt.find('#isChangeReceipt'))[0].value;
			var receiptNum 		= $(NSPaySlider.targetReceipt.find('#hp-input'))[0].value;
			
			if(isChangeReceipt == 'Y') {				
				var receiptType = CurrentView.paymentMethodInitData['1700'].RECEIPT_TYPE;
				if(receiptType == null || receiptType == '')
					receiptType = $(NSPaySlider.targetReceipt.find('input[name=receipt] :checked'))[0].value;
								
				if(receiptType == 'P'){
					var regPhone = /^01([0|1|6|7|8|9]?)([0-9]{3,4})([0-9]{4})$/;
					if(receiptNum == null || receiptNum == "" || !regPhone.test(receiptNum)){
						Ns.Popup.alert( "현금영수증 신청 정보를 확인해 주세요.");
						return false;
					}						
					CurrentView.paymentMethodInitData['1700'].PHONE_NUM		= receiptNum;
					CurrentView.PaymentData.Payment.setItem(0, {
						'receipt_MobileNo' : receiptNum,
						'PHONE_NUM' : receiptNum,
						'RECEIPT_TYPE' : receiptType
					});
				} else if(receiptType == 'B') {
					
					var checkID = new Array(1, 3, 7, 1, 3, 7, 1, 3, 5, 1);
					var tmpBizID, i, chkSum=0, c2, remander;
					bizID = receiptNum;
					
					for (i=0; i<=7; i++) {chkSum += checkID[i] * bizID.charAt(i);}
					c2 = "0" + (checkID[8] * bizID.charAt(8));
					c2 = c2.substring(c2.length - 2, c2.length);
					chkSum += Math.floor(c2.charAt(0)) + Math.floor(c2.charAt(1));
					remander = (10 - (chkSum % 10)) % 10 ;
					 
					if (Math.floor(bizID.charAt(9)) != remander) {
						Ns.Popup.alert('현금영수증 신청 정보를 확인해 주세요.');
						return false;
					}
					if(receiptNum == null || receiptNum == ""){
						Ns.Popup.alert('현금영수증 신청 정보를 확인해 주세요.');
						return false;
					}
					CurrentView.paymentMethodInitData['1700'].BIZ_REG_NUM	= receiptNum;
					CurrentView.PaymentData.Payment.setItem(0, {
						'receipt_BusinessNo' : receiptNum,
						'BIZ_REG_NUM' : receiptNum,
						'RECEIPT_TYPE' : receiptType
					});
				} else {
					Ns.Popup.alert( "현금영수증 신청 정보를 확인해 주세요.");
					return false;
				}
				CurrentView.paymentMethodInitData['1700'].RECEIPT_TYPE 		= receiptType;
				CurrentView.paymentMethodInitData['1700'].RECEIPT_SAVE 		= NSPaySlider.targetReceipt.find('#isSaveReceipt')[0].checked;
				
				return true;
			} else {
				//TODO : 기존 현금 영수증 정보로 처리.
				CurrentView.paymentMethodInitData['1700'].RECEIPT_TYPE 	= "P";
				CurrentView.paymentMethodInitData['1700'].PHONE_NUM		= CurrentView.PaymentData.OrderUserInfo.getItem().PHONE1;
				CurrentView.paymentMethodInitData['1700'].RECEIPT_SAVE 	= false;
				return true;
			}
		} else {
			CurrentView.paymentMethodInitData['1700'].RECEIPT_TYPE=""; //현금영수증 신청X
			return true;
		}		
	},
	
	setMileage : function() {
		if (this.NSPayMileage) {
			CurrentView.paymentMethodInitData['1700'].mileageRate = this.NSPayMileage.rate;
			CurrentView.paymentMethodInitData['1700'].mileageMaxAmt = this.NSPayMileage.maxAmt;
			CurrentView.paymentMethodInitData['1700'].mileageOfferId = this.NSPayMileage.offerId;
		}
		
		if($('#NSPayMileage').length > 0){
			var payAmt = CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT;
			var mileageMaxAmt = this.NSPayMileage.maxAmt;
			var mileageRate = this.NSPayMileage.rate * 0.01;
			
			var mileageAmt = payAmt * mileageRate;
			
			var forecastReservedAmt = (mileageAmt > mileageMaxAmt) ? mileageMaxAmt : mileageAmt;
			
			if(this.NSPayMileage.rate !=null && this.NSPayMileage.rate > -1){
				if(this.NSPayMileage.maxAmt != null && this.NSPayMileage.maxAmt > 0)				
					$('#NSPayMileage em').text("간편계좌 적립금 " + this.NSPayMileage.rate + "%" + " (최대 "+this.NSPayMileage.maxAmt+"원)");
				else 
					$('#NSPayMileage em').text("간편계좌 적립금 " + this.NSPayMileage.rate + "%");
				$('#NSPayMileage span').text( Ns.Util.insertCommas(forecastReservedAmt) + "원");
				$('#NSPayMileage').show();
			} else {
				$('#NSPayMileage span').text( "");
				$('#NSPayMileage').hide();
			}
		}
	},
	
	getMileage : function() {
		this.NSPayMileage;
	},

	delPayInfo : function(payInfo) {
				
		var msg = "해당 결제정보를 삭제하시겠습니까?"; 
		
		var okFuc = function() {
			tran.callWCSJsonTran( "AjaxNSWPay", 				
				{
					"cmdType" : "delPayInfo",
					"payMethod" : payInfo.payMethod,
					"wpayToken" : payInfo.wpayToken,
					"bankCardCode" : payInfo.bankCardCode,
					"bankCardNo" : payInfo.bankCardNo,
					"acntRegDttm" : payInfo.acntRegDttm
				}, function(data){
					NSPaySlider.reInit();
				}
			);
		};
		
		var cancelFuc = function() {
			return false;
		};
		
		Ns.Popup.confirm( msg, okFuc, cancelFuc, "예", "취소");
	},

	setMajorPayInfo : function(payInfo) {
		tran.callWCSJsonTran( "AjaxNSWPay", 				
			{
				"cmdType" : "setMajorPayInfo",
				"payMethod" : payInfo.payMethod,
				"wpayToken" : payInfo.wpayToken,
				"bankCardCode" : payInfo.bankCardCode,
				"bankCardNo" : payInfo.bankCardNo,
				"acntRegDttm" : payInfo.acntRegDttm
			}, function(data){
				NSPaySlider.reInit();
			}
		);
	},
	
	delMajorPayInfo : function(payInfo) {
		tran.callWCSJsonTran( "AjaxNSWPay", 				
			{
				"cmdType" : "delMajorPayInfo",
				"payMethod" : payInfo.payMethod,
				"wpayToken" : payInfo.wpayToken,
				"bankCardCode" : payInfo.bankCardCode,
				"bankCardNo" : payInfo.bankCardNo,
				"acntRegDttm" : payInfo.acntRegDttm
			}, function(data){
				NSPaySlider.reInit();
			}
		);
	},

	memUnReg : function() {
		var msg = "모든 정보 및 등록하신 결제수단이 삭제됩니다.\n관련 법률에 의거, 거래 기록은 최대 5년간 보관 후 삭제됩니다.\n서비스 해지를 진행하시겠습니까?"; 
		
		var okFuc = function() {
			tran.callWCSJsonTran( "AjaxNSWPay", 				
				{
					"cmdType" : "memUnReg"
				}, function(data){
					Ns.Popup.alert("이용 해지 처리가 완료되었습니다.");
					NSPaySlider.reInit();
				}
			);
		};
		
		var cancelFuc = function() {
			return false;
		};
		
		Ns.Popup.confirm( msg, okFuc, cancelFuc, "예", "취소");
	},
	
	//계좌 / 카드 추가버튼
	addPayment : function(payMethod){
		var isLogon = mainCtrl.checkLogonStatus();
		if(!isLogon){
			var params =  mainCtrl.getCurrentPageParams();
			
			mainCtrl.gotoLogin(params.chkLoginData);
			return false;
		} else {
		
			Ns.Util.viewConsoleLog('### payMethod : ', payMethod);
			
			var params = [];
			params['successFunc'] = 'CurrentView.event.callbackTermsResult';
			params['failFunc'] = 'CurrentView.event.callbackPaymentFail';
			params['targetType'] = 'payment';
			params['payMethod'] = payMethod;
			params['userId'] = CurrentView.m_outputDatas.msg.UserInfo.USERS_ID;
			
			Ns.Native.showTermsWindows(params);
		}
	},
		
	checkQuoataDiscount : function(){		
		if(CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT < 50000 && NSPaySlider.slider != null){
			var element = NSPaySlider.slider.getCurrentSlideElement()[0];
			if($(element).find('.card').length > 0){
				var cardQuota = $(element).find('#cardQuota');
				cardQuota.val('00');
				cardQuota.prop('disabled',true);
			}
		} else if (CurrentView.PaymentData.Payment.getItem(0).FINAL_PAYMENT_AMT > 50000 && NSPaySlider.slider != null) {
			var element = NSPaySlider.slider.getCurrentSlideElement()[0];
			if($(element).find('.card').length > 0){
				var cardQuota = $(element).find('#cardQuota');
				cardQuota.removeAttr('disabled');
			}
		}
	},
	
	complete: function() {
		document.getElementById('txtSubHeaderTitle').click();
	}
};


NSPaySlider.CardCiList = function(){
	//카드 CI 목록
	var cardCi = new Map();
		cardCi.set("01","c6");//하나(외환)카드 
		cardCi.set("03","c7");//롯데카드
		cardCi.set("04","c4");//현대카드
		cardCi.set("06","c2");//국민카드 
		cardCi.set("11","c3");//BC카드 
		cardCi.set("12","c5");//삼성카드
		cardCi.set("14","c1");//신한카드
		cardCi.set("16","c8");//NH카드
		cardCi.set("17","c6");//하나(외환)카드 
	
	var cardCiList = {
		cardCiList : cardCi,
		getCode : function(code){
			return this.cardCiList.get(code);
		}
	}
	
	return cardCiList;
};

NSPaySlider.AcctCiList = function(){
	//계좌 이체 CI 목록
	var acctCi = new Map();
		acctCi.set("002","b7"); //산업
		acctCi.set("003","b6"); //기업
		acctCi.set("004","b2"); //국민
		acctCi.set("005","b5"); //하나
		acctCi.set("007","b9"); //수협
		acctCi.set("011","b1"); //농협
		acctCi.set("020","b3"); //우리
		acctCi.set("023","b8"); //SC 
		acctCi.set("027","b11"); //시티
		acctCi.set("031","b15"); //대구
		acctCi.set("032","b16"); //부산
		acctCi.set("034","b17"); //광주
		acctCi.set("035","b12"); //제주
		acctCi.set("037","b10"); //전북
		acctCi.set("039","b18"); //경남
		acctCi.set("045","b13"); //새마을
		acctCi.set("048","b14"); //신협
		acctCi.set("071","b19");//우체국 
		acctCi.set("088","b4"); //신한
	
	var acctCiList = {
		acctCiList : acctCi,
		getCode : function(code){
			return this.acctCiList.get(code);
		}
	}
	
	return acctCiList;
};	