
/* JavaScript content from js/popup/select_popup.js in folder common */

/**
 *   select Popup페이지
 * 
 **/

CurrentPopup = {
		lScroll : null,
		listData : null,	// 배송지 전체 리스트 data
		strSelectedAddId : "manual",	// 기선택된 배송지 id
		objInsertData : null,	// 기선택된 배송지 data
		strReFn : "CurrentView.event.onchange_selectLayer",	// 리턴 콜백 펑션
		nIndex : 0,	// 기 선택된 배송지 index
		
		init : function( target, params ){			
			this.onLoad( target, params );
		},
		
		onLoad : function( target, params ){
			CurrentPopup.listData = $(params.elem).data("data");	// 전체 리스트 data 추출
			CurrentPopup.objInsertData = $(params.elem).data("insertData");	// 기선택된 data 추출
			CurrentPopup.nIndex = params.index;	// 몇번째 배송지인지 index 추출
			
			// return callback function 세팅
			if (undefined == params.reFn || params.reFn == ""){
				// 별도 동작없음.
			} else {
				CurrentPopup.strReFn = params.reFn;
			}
			
			// 화면에 표시할 data가 있을 경우
			if (CurrentPopup.listData.length > 0){
				if (CurrentPopup.objInsertData.rowData == "manual"){
					// 별도 처리 없음
				} else {
					CurrentPopup.strSelectedAddId = CurrentPopup.objInsertData.ADDRESS_ID; // 기선택된 배송지 id 세팅
				}
			}
			
			CurrentPopup.ui.setList();	// 화면에 배송지 리스트 출력
			
		},
		
		ui : {
			/**
			 * 화면 사이즈 조절
			 */
			setResize : function(){
				var nListSize = Number(Ns.Util.replaceAll($("#divList").css("height"), "px", ""));
				var nPopSize = Number(Ns.Util.replaceAll($("#select_popup").css("height"), "px", ""));
				var bScroll = true;
				
				if (nListSize < nPopSize -5){
					$("#select_popup").css("height", (nListSize + 10) + "px");
					Ns.Popup.resize($("#select_popup"));
					bScroll = false;
				}
				
				if (bScroll == true){
					CurrentPopup.lScroll = new iScroll('select_popup', {
						checkDOMChanges: true,
						useTransform: false,
						hideScrollbar:false,
						hScroll : false,
						onBeforeScrollStart: function (e) {
							var target = e.target;
				            while (target.nodeType != 1) target = target.parentNode;
				            if (target.tagName != 'SELECT' && target.tagName != 'INPUT' && target.tagName != 'TEXTAREA')
				            	e.preventDefault();
						}
					});
					
				    document.addEventListener('DOMContentLoaded', function () { setTimeout(loaded, 200); }, false);
				}
			},
			
			/**
			 * 화면에 배송지 리스트 출력
			 */
			setList : function(){
				var $divList = $("#divList");
				
				// 배송지 리스트 내용 출력
				for (var i = 0; i < CurrentPopup.listData.length; i++){
					var objData = CurrentPopup.listData[i];
					var tagUl = $("<ul></ul>");
					var strPrimary = objData.ISPRIMARY == "1" ? " [기본배송지]" : "";
					
					var stInHtml = ""; 
					stInHtml += "<li class=\"name\">";
					stInHtml += "<span class=\"em rate-d medium\">" + objData.NICKNAME + strPrimary + "</span>";
					stInHtml += "<input type=\"radio\" name=\"radio-0100\" class=\"form theme-a\" " + (CurrentPopup.strSelectedAddId == objData.ADDRESS_ID ? "checked=\"checked\"" : "") + " />"; 
					stInHtml += "</li>"; 
					stInHtml += "<li class=\"em rate-c small\">";
					stInHtml += objData.ADDRESS1.substring(0, objData.ADDRESS1.indexOf("&amp;:"));
					stInHtml += "</li>";
					
					$(tagUl).html(stInHtml);	// ul tag에 테그적재
					$(tagUl).data("data", objData);	// data적재
					
					$divList.append(tagUl);	// 화면 출력
					
				}
				
				// 직접 입력 내용 출력
				var tagUl = $("<ul></ul>");
				var stInHtml = ""; 
				stInHtml += "<li class=\"name\" style=\"border-bottom: 0px;\">";
				stInHtml += "<span class=\"em rate-d medium\">직접 입력</span>";
				stInHtml += "<input type=\"radio\" name=\"radio-0100\" class=\"form theme-a\" " + (CurrentPopup.strSelectedAddId == "manual" ? "checked=\"checked\"" : "") + " />"; 
				stInHtml += "</li>"; 
				
				$(tagUl).html(stInHtml);	// ul tag에 테그적재
				$(tagUl).data("data", "manual");	// data적재
				
				$divList.append(tagUl);	// 화면 출력
				
				
				// 배송지 클릭 이벤트 처리
				$("#divList").find("ul").off().on("click", function(){
					CurrentPopup.event.onclick_listItem(this);
				});
				
				// radio 버튼 이벤트 처리
				$("input[name=radio-0100]").off().on("click", function(){
					CurrentPopup.event.onclick_listItem(this.parentElement.parentElement);
				});
				CurrentPopup.ui.setResize();	// 화면 리사이징
			}
		},
		
		data : {
			
			
		},
		
		event :{
			/**
			 * 배송지 클릭 이벤트 처리 function
			 */
			onclick_listItem : function(objThis){
				var objData = $(objThis).data("data");	// 선택 배송지 data추출
				
				eval(CurrentPopup.strReFn + "(" + CurrentPopup.nIndex + ", objData)");	// 리턴콜백 펑션 호출
				navi.setMovePointer(-1);	// 포인트 백
				
				if (null != CurrentPopup.lScroll){
					CurrentPopup.lScroll.destroy();
					CurrentPopup.lScroll = null;
				}
				
				Ns.Popup.close($("#select_popup"));	// 팝업 닫기
			}
		}
		
	};

