
/* JavaScript content from js/push/M_H1111000M.js in folder common */
/*
 *	푸시 알림 - 알림 목록 -푸시
 *  ID : M_H1111000M
 *
*/

//page 컨트롤 클래스
CurrentView = {

	pageIdx : 0,

	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},

	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function() {
		$("#ulNoticeTabArea li a").unbind().bind( "click", this.event.onclick_ulNoticeTabArea );
	},

	//전달된 NOTI 가 없을때
    empty : function() {
        var msg = "";
        msg =  '<div class="empty_event"><strong>쇼핑알림 정보가 없습니다.</strong></div>';
        $('#pushArea').html(msg);
    },

	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
	    var version = WL.Client.getAppProperty("APP_VERSION").replace(/\./gi,"");
        if ((mainCtrl.VIEW_TYPE == "ios" && parseInt(version) < 2937) || (mainCtrl.VIEW_TYPE == "android" && parseInt(version) < 2944)) {
            CurrentView.empty();
        } else {
            CurrentView.data.PushMsgListInfo();
        }

	    $('#footer').removeAttr('style');
	},

	//데이터 관련 함수를 정의한다.
	data : {
		PushMsgListInfo : function() {
            var succCb = function(data) {
	                if(data.notificationsList.length == 0){
	                     CurrentView.empty();
	                } else {
                        var resHtml = [];
                        var i = 0;

                        for(var k=0; k < data.notificationsList.length; k++){
                            var title	= data.notificationsList[k].title;
                            var message = data.notificationsList[k].message;
                            var deepLink = data.notificationsList[k].deepLink;
                            var regDate = data.notificationsList[k].qgTimestamp.substring(0, 10);
                            var img = data.notificationsList[k].bigImageUrl;

                            resHtml[i++] =  '<li id="ulPushMsgListArea"  idx="' + k + '">';
                            resHtml[i++] = 	 '<div class="wrap">';
                            resHtml[i++] = 		 '<a href="javascript:;" id="btnMsgDetail">';
                            resHtml[i++] = 			 '<span class="field">';
                            if( mainCtrl.VIEW_TYPE == "android" ) {
                                resHtml[i++] = 				 '<span class="date"><span class="head">등록일</span> <span class="text">' + regDate + '</span></span><br/>';
                            }
                            resHtml[i++] = 				 '<span class="title">';
                            resHtml[i++] = 					 '<strong>' + title + '</strong>';
                            resHtml[i++] = 				 '</span>';
                            resHtml[i++] = 				 '<span class="title">';
                            resHtml[i++] = 					 '<strong>' + message + '</strong>';
                            resHtml[i++] = 				 '</span>';
                            resHtml[i++] = 			 '</span>';
                            resHtml[i++] = 		 '</a>';
                            resHtml[i++] = 	 '</div>';
                            resHtml[i++] =  '</li>';
                        }

                        $('#pushArea').append(resHtml.join(''));
                        // 상세보기 링크 이벤트 추가
                        $('#ulPushMsgListArea ').unbind().bind('click', function() {
                            var idx = $(this).attr('idx');
                            var params = data.notificationsList[idx];
                            mainCtrl.navigate("M_H1111100M", params);
                        });
                }
            };

            var failCb = function() {
                CurrentView.empty();
                return false;
            };
            // 쇼핑알림 리스트
            Ns.Native.sendToAIQUANotiList(succCb, failCb);
        }
	},
//		//ui 관련 함수를 정의한다.
    	ui : {

    	},

	//이벤트 관련 함수를 정의한다.
	event : {
		onclick_ulNoticeTabArea : function() {
			var id = $(this).attr('id');
			var pageId = "";
			
			if( id == "tabNotice" )
				pageId = "M_H1113000M";
			else if( id == "tabAnnouncement" )
				pageId = "M_H1112000M";
			else if( id == "tabParticipation" )
				pageId = "M_H1115000M";
			else if( id == "tabPush" ) 
				pageId = "M_H1111000M";
			else 
				return false;

			if( pageId == "M_H1111000M" ) {
				return false;
			}
			mainCtrl.navigate( pageId, null );
		},
	}
};