
/* JavaScript content from js/push/M_H1112000M.js in folder common */

/* 
 *	알림 목록 -당첨자 발표
 *  ID : M_H1112000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		m_inputParams     : null,
		m_outputDatas     : null,

		pageIdx : 1,
		rowPerPage : 10,
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			//네이티브가 아닐 경우 쇼핑알림 탭 숨김
			if(mainCtrl.VIEW_TYPE != 'android' && mainCtrl.VIEW_TYPE != 'ios'){	$('#tabPush').parent().hide();}
			$("#ulNoticeTabArea li a").unbind().bind( "click", this.event.onclick_ulNoticeTabArea );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			CurrentView.m_inputParams = params || {};
			this.data.getNoticeListMobile();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getNoticeListMobile : function( pageIdx ) {
				var invoke = {};
				if ( pageIdx == null || pageIdx == "" || pageIdx == 0 || pageIdx == undefined ) {
					pageIdx = CurrentView.pageIdx;
				}
				CurrentView.pageIdx = pageIdx;  // 현재 페이지 전역에 저장
				
				invoke = {
					cmdType : 101,
					tab_gubun : 3, //1-이벤트 발표및 공지 , 2-이벤트 목록"
					sel_gubun : 'AL', //AL'-전체, CL-진행중, FL-종료
					imgType : 'BANNIMGIDSEQ1',
					userId : USERINFO.userId(),
					rowPerPage : CurrentView.rowPerPage,
					pageIdx : pageIdx
				};
				
				tran.callWCSJsonTran( 'NSAjaxMTimesEventCmd', invoke, CurrentView.ui.setNoticeListMobile, null, function() {}, true );
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			setNoticeListMobile : function( data ) {
				if( data.msg == null ) {
					Ns.Popup.alert( Messages.procedure_error );
					return false;
				}
				CurrentView.m_outputDatas = data;
				
				var htmlTxt = "";
				var eventList = data.msg.eventList;
				if( eventList == undefined || eventList.length==0 ) {
					htmlTxt =  '<div class="empty_event"><strong>당첨자 발표 게시물이 없습니다.</strong></div>';
					$("#ulNoticeArea").html( htmlTxt );
					return false;
				}
				
				for ( var i = 0; i < eventList.length; i++) {
					var items = eventList[i];
					
					var winnerFlagHtml = '';
					if (items.eventState == '진행중') {
						winnerFlagHtml = '<strong class="label theme-a rate-b">진행중</strong>';
					} else if (items.eventState == '종료') {
						winnerFlagHtml = '<strong class="label theme-a rate-c">종료</strong>';
					}
					
					var newTag = '';
					if (Ns.Date.getAddDate('day',-7) <= Ns.Util.onlyNumFormat(items.initRegiDttm)) {
						newTag = '<span class="new_notice">새글</span>';
					}
					
					htmlTxt += Ns.Util.stringFormat('\
							<li class="wrap">\
								<a href="javascript:;" onclick="CurrentView.event.onclick_detailNotice(\'{3}\',\'{4}\',\'{7}\',\'{9}\');return false;">\
								<h2 class="info_tit">{0}</h2>\
									<div class="info_txt">\
										<p class="con"><strong>이벤트기간 : </strong><span>{1} - {2}</span></p>\
										<p class="con"><strong>당첨발표일 : </strong><span>{8}</span></p>\
									</div>\
								</a>\
							</li>',
						items.title,
						items.startDt,
						items.endDt,
						items.eventState,
						items.offerIdfr,
						newTag,
						winnerFlagHtml,
						Ns.Util.htmlEncode( JSON.stringify(items) ),
						items.wnrDt,
						items.artclNum
					);
				}
				$("#ulNoticeArea").html( htmlTxt );
				
				var totalCount = data.msg.totCnt;
				CurrentView.ui.setPaging( totalCount );
			},
			
			setPaging : function( totalPageSize ) {
				if (CurrentView.pageSize >= totalPageSize ) return false;

			    var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.rowPerPage, "CurrentView.data.getNoticeListMobile");
			    $("#divPagingArea").html(pageNavi);
			    $("#divPagingArea").show();
			}
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_ulNoticeTabArea : function() {
				var id = $(this).attr('id');
				var pageId = "";
				
				if( id == "tabNotice" )
					pageId = "M_H1113000M";
				else if( id == "tabAnnouncement" )
					pageId = "M_H1112000M";
				else if( id == "tabParticipation" )
					pageId = "M_H1115000M";
				else if( id == "tabPush" ) 
					pageId = "M_H1111000M";
				else 
					return false;
				
				if( pageId == "M_H1112000M" ) return false;
				mainCtrl.navigate( pageId, null );
			},
			
			// 상세
			onclick_detailNotice : function( eventState, offerIdfr, itemData, artclNum ) {
				var param = {};
				param.eventState = eventState;
				param.offerIdfr = offerIdfr;
				param.itemData = JSON.parse(itemData);
				param.artclNum = artclNum;
				
				mainCtrl.navigate( "M_H1112100M", param );
			}
		}
};