
/* JavaScript content from js/push/M_H1112100M.js in folder common */

/* 
 *	알림 목록 -당첨자 발표 상세 
 *  ID : M_H1112100M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		m_inputParams     : null,
		m_outputDatas     : null,
			
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			//네이티브가 아닐 경우 쇼핑알림 탭 숨김
			if(mainCtrl.VIEW_TYPE != 'android' && mainCtrl.VIEW_TYPE != 'ios'){	$('#tabPush').parent().hide();}
			$("#ulNoticeTabArea li a").unbind().bind( "click", this.event.onclick_ulNoticeTabArea );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			CurrentView.m_inputParams = params || {};
			
			this.data.getEventWinningInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			// 당첨자발표 상세
			getEventWinningInfo : function() {
				var invoke = {};
				invoke = {
					cmdType : 102,
					offerIdfr : CurrentView.m_inputParams.offerIdfr, //'1,2,3,4',
					artclNum  : CurrentView.m_inputParams.artclNum, 
					winConfirmYn : "Y"
				};				
				tran.callWCSJsonTran( 'NSAjaxMTimesEventCmd', invoke, CurrentView.data.responseEventWinningInfo );
			},
			
			// 당첨자발표 상세 callback
			responseEventWinningInfo : function(data) {
				if( data.msg == null ) {
					Ns.Popup.alert( Messages.procedure_error );
					return false;
				}
				CurrentView.m_outputDatas = data;

				// 상세 타이틀 영역 출력
				CurrentView.data.setItemTitleInfo();
				
				// 상세 내용 출력
				var htmlTxt = "";	
				var eventDetail = data.msg.eventDetail;
				var eventWinDetail = data.msg.eventWinDetail;
				
				if( eventWinDetail == undefined || eventWinDetail == null || Object.keys(eventWinDetail).length == 0 ) {
					htmlTxt = '<div class="empty_event"><strong>당첨자 상세 데이터가 없습니다.</strong></div>';
					$("#divEventDetail").html(htmlTxt);
					return;
				}
				if (eventWinDetail.content !="") {
					var contentTxt =  $('#divTmpArea').html( eventWinDetail.content ).text();
					htmlTxt += Ns.Util.stringFormat('<p>{0}</p>', contentTxt);
				}

				$("#divEventDetail").html(htmlTxt);
			},
			
			// 이벤트 상세 타이틀 영역 출력
			setItemTitleInfo : function() {
				var items = CurrentView.m_inputParams.itemData;

				var winnerFlagHtml = '';
				if (items.eventState == '진행중') {
					winnerFlagHtml = '<strong class="label theme-a rate-b">진행중</strong>';
				} else if (items.eventState == '진행중') {
					winnerFlagHtml = '<strong class="label theme-a rate-c">종료</strong>';
				}
				
				var newTag = '';
				if (Ns.Date.getAddDate('day',-7) <= Ns.Util.onlyNumFormat(items.initRegiDttm)) {
					newTag = '<span class="new_notice">새글</span>';
				}
				
				var html = Ns.Util.stringFormat('\
						<div class="wrap">\
							<a href="javascript:;" onclick="CurrentView.event.onclick_detailNotice(\'{3}\',\'{4}\',\'{7}\');return false;">\
							<h2 class="info_tit">{0}</h2>\
								<div class="info_txt">\
									<p class="con"><strong>이벤트기간 : </strong><span>{1} ~ {2}</span></p>\
									<p class="con"><strong>당첨발표일 : </strong><span>{8}</span></p>\
								</div>\
							</a>\
						</div>',
					items.title,
					items.startDt,
					items.endDt,
					items.eventState,
					items.offerIdfr,
					newTag,
					winnerFlagHtml,
					Ns.Util.htmlEncode( JSON.stringify(items) ),
					items.wnrDt
				);
				$('#divItemTitleInfo').html(html);
			}
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
		
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_ulNoticeTabArea : function() {
				var id = $(this).attr('id');
				var pageId = "";
				
				if( id == "tabNotice" )
					pageId = "M_H1113000M";
				else if( id == "tabAnnouncement" )
					pageId = "M_H1112000M";
				else if( id == "tabParticipation" )
					pageId = "M_H1115000M";
				else if( id == "tabPush" ) 
					pageId = "M_H1111000M";
				else 
					return false;
	
				mainCtrl.navigate( pageId, null );
			}
		}
};