
/* JavaScript content from js/push/M_H1113000M.js in folder common */

/* 
 *	푸시 알림 - 알림 목록 -공지사항
 *  ID : M_H1113000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
	pageIdx : 1,
	pageSize : 10,

	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function() {
		//네이티브가 아닐 경우 쇼핑알림 탭 숨김
		if(mainCtrl.VIEW_TYPE != 'android' && mainCtrl.VIEW_TYPE != 'ios'){	$('#tabPush').parent().hide();}
		$("#ulNoticeTabArea li a").unbind().bind( "click", this.event.onclick_ulNoticeTabArea );
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		this.data.getNoticeListMobile();
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		getNoticeListMobile : function( pageIdx ) {
			if ( pageIdx == undefined && pageIdx == null ) 
				pageIdx = CurrentView.pageIdx;
			else 
				CurrentView.pageIdx = pageIdx;
			
			var invoke = {
				pageId : pageIdx,
				pageSize	: CurrentView.pageSize,
				tab_gubun : 	1,
				cmd_gubun : 'NL'
			};

			tran.callWCSJsonTran( "FooterNoticeListMobileReal", invoke, CurrentView.ui.setNoticeListMobile );
		}
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		setNoticeListMobile : function( data ) {
			var htmlTxt = "";
			
			var noticeList = data.msg.root.NoticeList;
			if( noticeList == null || noticeList == ""  ) {
				htmlTxt =  '<div class="empty_event"><strong>공지사항이 없습니다.</strong></div>';
				$("#ulNoticeArea").html( htmlTxt );
				return false;
			}

			var htmlTxt = "";
			for( var k=0; k<noticeList.length; k++) {
				var items = noticeList[k];
				
				var newTag = '<span class="new_notice">새글</span>';
				if( items.newPostYn =="N" ) newTag = "";
				
				var titleIndex = "";
				if(items.notiGb == "1")
					titleIndex = '<span class="impor_notice">중요</span>';
				
				htmlTxt += Ns.Util.stringFormat('\
					<li>\
						<div class="wrap">\
							<a href="javascript:CurrentView.event.onclick_detailNotice(\'{0}\', \'{1}\');">\
								<span class="field">\
									<span class="num">No.{2}</span>\
									<span class="date"><span class="head">등록일</span> <span class="text">{3}</span></span>\
									<span class="title">{4}<strong>{5}</strong>{6}</span>\
								</span>\
							</a>\
						</div>\
					</li>', 
					items.noticeId, items.no, items.no, items.date, titleIndex, items.subject, newTag);
			}
			
			$("#ulNoticeArea").html( htmlTxt );
			
			var totalCount = data.msg.root.TotalCount;
			CurrentView.ui.setPaging( totalCount );
		},
		
		setPaging : function( totalPageSize ) {
			if (CurrentView.pageSize >= totalPageSize ) return false;

		    var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.pageSize, "CurrentView.data.getNoticeListMobile");
		    $("#divPagingArea").html(pageNavi);
		    $("#divPagingArea").show();
		}
	},
	 
	//이벤트 관련 함수를 정의한다.
	event : {
		onclick_ulNoticeTabArea : function() {
			var id = $(this).attr('id');
			var pageId = "";
			
			if( id == "tabNotice" )
				pageId = "M_H1113000M";
			else if( id == "tabAnnouncement" )
				pageId = "M_H1112000M";
			else if( id == "tabParticipation" )
				pageId = "M_H1115000M";
			else if( id == "tabPush" ) 
				pageId = "M_H1111000M";
			else 
				return false;
			
			if( pageId == "M_H1113000M" ) return false;
			mainCtrl.navigate( pageId, null );
		},
		
		onclick_detailNotice : function( noticeId, no ) {
			var invoke = {
				noticeId : noticeId,
				no	: no
			};

			mainCtrl.navigate( "M_H1113100M", invoke );
		}
		
	}
};