
/* JavaScript content from js/push/M_H1113100M.js in folder common */

/* 
 *	푸시 알림 - 알림 목록 -공지사항 상세 보기
 *  ID : M_H1113100M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		
	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function() {
		if(mainCtrl.VIEW_TYPE != 'android' && mainCtrl.VIEW_TYPE != 'ios'){	$('#tabPush').parent().hide();}
		$("#ulNoticeTabArea li a").unbind().bind( "click", this.event.onclick_ulNoticeTabArea );
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		this.data.getNoticeViewMobile( params );
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		getNoticeViewMobile : function( params ) {
			var invoke = {
				artclNum : params.noticeId,
				tab_gubun : 	1,
				cmd_gubun : 'ND'
			};

			tran.callWCSJsonTran( "FooterNoticeViewMobileReal", invoke, CurrentView.ui.setNoticeViewMobile );
		}
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		setNoticeViewMobile : function( data ) {
			var htmlTxt = "";
			var appendFileTxt = "";
			
			var noticeView = data.msg.root.NoticeView;
			if( noticeView == null || noticeView == ""  ) {
				htmlTxt =  '<div class="empty_event"><strong>공지사항이 없습니다.</strong></div>';
				$("#ulNoticeArea").html( htmlTxt );
				return false;
			}
			
			var newTag = '<span class="new_notice">새글</span>';
			if( noticeView.newPostYn =="N" ) newTag = "";
			
			var titleIndex = "";
			if(noticeView.notiGb == "1")
				titleIndex = '<span class="impor_notice">중요</span>';
			
			var contentTxt =  $('#divTmpArea').html( noticeView.content ).text();
			
			htmlTxt += Ns.Util.stringFormat('\
				<li>\
					<div class="wrap">\
						<a href="javascript:;">\
							<span class="field">\
								<span class="num"></span>\
								<span class="date"><span class="head">등록일</span> <span class="text">{1}</span></span>\
								<span class="title">{2}<strong>{3}</strong>{4}</span>\
							</span>\
						</a>\
					</div>\
					<div class="src" id="contentsDetail">{5}</div>\
				</li>', 
				noticeView.no, noticeView.date, titleIndex, noticeView.subject, newTag, contentTxt );
			
			$("#ulNoticeViewArea").html( htmlTxt );
			
			setTimeout(function(){
				var contentWidth = $("#contentsDetail").find('img').width();
				var width = $(window).width();
				if(contentWidth >= width){
					$("#contentsDetail").find('img').css("width","100%");
				}
			},300);
			
			var file = noticeView.file;
			if( file == null || file == "" ) {
				$("#divAppendFile").hide();
			} else {
				for ( var k=0; k<file.length; k++ ) {
					var items = file[k];
					appendFileTxt += Ns.Util.stringFormat('<p class="file"><a href="javascript:CurrentView.event.onclick_appendFile(\'{0}\');">{1}</a></p>', items.fileUrl, items.fileName );
				}
				
				$("#divAppendFile").append( appendFileTxt );
			}
		}
	},
	 
	//이벤트 관련 함수를 정의한다.
	event : {
		onclick_ulNoticeTabArea : function() {
			var id = $(this).attr('id');
			var pageId = "";
			
			if( id == "tabNotice" )
				pageId = "M_H1113000M";
			else if( id == "tabAnnouncement" )
				pageId = "M_H1112000M";
			else if( id == "tabParticipation" )
				pageId = "M_H1115000M";
			else if( id == "tabPush" )
				pageId = "M_H1111000M";
			else
				return false;

			mainCtrl.navigate( pageId, null );
		},
		
		onclick_appendFile : function( url ) {
			WL.App.openURL( url, '', ''); 
		}
	}
};