
/* JavaScript content from js/push/M_H1115000M.js in folder common */

/* 
 *  ID : M_H1115000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
	pageIdx : 1,
	pageSize : 10,

	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function() {
		//네이티브가 아닐 경우 쇼핑알림 탭 숨김
		if(mainCtrl.VIEW_TYPE != 'android' && mainCtrl.VIEW_TYPE != 'ios'){	$('#tabPush').parent().hide();}
		$("#ulNoticeTabArea li a").unbind().bind( "click", this.event.onclick_ulNoticeTabArea );
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		this.data.getNoticeListMobile();
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		getNoticeListMobile : function( pageIdx ) {
			var invoke = {};
			if ( pageIdx == null || pageIdx == "" || pageIdx == 0 || pageIdx == undefined ) {
				pageIdx = CurrentView.pageIdx;
			}
			CurrentView.pageIdx = pageIdx;  // 현재 페이지 전역에 저장
			
			invoke = {
				cmdType : 103,
				userId : USERINFO.userId(),
				rowPerPage : CurrentView.rowPerPage,
				pageIdx : pageIdx
			};
			
			tran.callWCSJsonTran( 'NSAjaxMTimesEventCmd', invoke, CurrentView.ui.setNoticeListMobile, null, function() {}, true );
		}
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		setNoticeListMobile : function( data ) {
			var htmlTxt = "";
			
			var eventList = data.msg.eventList;
			if( eventList == null || eventList == ""  ) {
				htmlTxt = '<div class="empty_event"><strong>참여내역이 없습니다.</strong></div>';
				$("#ulNoticeArea").html( htmlTxt );
				return false;
			}

			var htmlTxt = "";
			for( var k=0; k<eventList.length; k++) {
				var items = eventList[k];
				
				var newTag = '<span class="new_notice">새글</span>';
				if( items.newPostYn =="N" ) newTag = "";
				
				var titleIndex = "";
				if(items.notiGb == "1")
					titleIndex = '<span class="impor_notice">중요</span>';
				
				var winDttm = "-";
				if(items.notiGb != "")
					winDttm = items.winDttm;
				
				
				/*htmlTxt += Ns.Util.stringFormat('\
					<li>\
						<div class="wrap">\
							<a href="javascript:CurrentView.event.onclick_detailNotice(\'{0}\', \'{1}\');">\
								<span class="field">\
									<span class="num">No.{2}</span>\
									<span class="date"><span class="head">등록일</span> <span class="text">{3}</span></span>\
									<span class="title">{4}<strong>{5}</strong>{6}</span>\
								</span>\
							</a>\
						</div>\
					</li>', 
					items.noticeId, items.no, items.no, items.date, titleIndex, items.subject, newTag);*/
				htmlTxt += Ns.Util.stringFormat('\
						<li class="wrap">\
							<a href="javascript:CurrentView.event.onclick_detailNotice(\'{11}\', \'{12}\');">\
								<h2 class="info_tit">{3}</h2>\
								<div class="info_txt">\
									<p class="con"><strong>이벤트기간 : </strong><span>{7} ~ {8}</span></p>\
									<p class="con"><strong>당첨발표일 : </strong><span>{9}(응모일:{10})</span></p>\
								</div>\
							</a>\
						</li>', 
						items.noticeId, items.no, items.no, items.offerNm, titleIndex, items.subject, newTag, items.startDt, items.endDt, winDttm, items.init_regi_dttm, items.offerIdfr, 
						Ns.Util.htmlEncode( JSON.stringify(items) ));
			}
			
/*			<li class="wrap">
				<a href="javascript:;">
					<h2 class="info_tit">2/27 13:30 아이나비블랙박스 2부</h2>
					<div class="info_txt">
						<p class="con"><strong>이벤트기간 : </strong><span>2017.02.21 ~ 2017.02.26</span></p>
						<p class="con"><strong>당첨발표일 : </strong><span>2017.02.27(응모일:2017.02.25)</span></p>
						<p class="con"><strong>당첨여부 : </strong><span>Y</span></p>
					</div>
				</a>
			</li>*/
			$("#ulNoticeArea").html( htmlTxt );
			
			var totalCount = data.msg.totCnt;
			CurrentView.ui.setPaging( totalCount );
		},
		
		setPaging : function( totalPageSize ) {
			if (CurrentView.pageSize >= totalPageSize ) return false;

		    var pageNavi = Ns.UI.getPageNavigation( totalPageSize, CurrentView.pageIdx, CurrentView.pageSize, "CurrentView.data.getNoticeListMobile");
		    $("#divPagingArea").html(pageNavi);
		    $("#divPagingArea").show();
		}
	},
	 
	//이벤트 관련 함수를 정의한다.
	event : {
		onclick_ulNoticeTabArea : function() {
			var id = $(this).attr('id');
			var pageId = "";
			
			if( id == "tabNotice" )
				pageId = "M_H1113000M";
			else if( id == "tabAnnouncement" )
				pageId = "M_H1112000M";
			else if( id == "tabParticipation" )
				pageId = "M_H1115000M";
			else if( id == "tabPush" ) 
				pageId = "M_H1111000M";
			else 
				return false;
			
			if( pageId == "M_H1115000M" ) return false;
			mainCtrl.navigate( pageId, null );
		},
		
		onclick_detailNotice : function( offerIdfr, itemData ) {
			var param = {};
			param.offerIdfr = offerIdfr;
			param.itemData = JSON.parse(itemData);
			
			mainCtrl.navigate( "M_H1115100M", param );
		}
		
	}
};