
/* JavaScript content from js/sbook/M_G2310000M.js in folder common */

/* 
 *	쇼핑북
 *  ID : M_G2310000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
	catalogId : Const.getSpecialMallId("sbook"),
	sbCode : null,
	
	EspotName : {
		eventBanner : ["MOB_EVENT_BANNERLIST"],
		specialCategory : ["MOB_SBOOK_SPECIAL_CATEGORY"],
		sbookCategory   : ["MOB_SBOOK_CATEGORY"]
	},	
		
	init : function( params ) {
		this.initializeComponent(params);
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function(params) {
		$("#btnAllEvent").unbind().bind( "click", this.event.onclick_btnAllEvent );
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		CurrentView.data.getSbookMainInfo();
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		getSbookMainInfo : function(){
			var seperator = "$";
			
			var espotInfo = "MOB_SBOOK_SPECIAL_CATEGORY|Content"+ seperator + 
							    "MOB_SBOOK_CATEGORY|Content"; 
			
			tran.callWCSJsonTran( 'NSEspotCommon', { espotInfo : "MOB_EVENT_BANNERLIST|Content$MOB_EVENT_BANNERLIST1|Content$MOB_EVENT_BANNERLIST2|Content$MOB_EVENT_BANNERLIST3|Content$MOB_EVENT_BANNERLIST4|Content$MOB_EVENT_BANNERLIST5|Content$MOB_EVENT_BANNERLIST6|Content$MOB_EVENT_BANNERLIST7|Content$MOB_EVENT_BANNERLIST8|Content" }, CurrentView.ui.setMobileEvents );
			tran.callWCSJsonTran("ShoppingBookReal", {espotInfo : espotInfo}, CurrentView.data.resultSbookMainInfo);
		},
		
		resultSbookMainInfo : function( data ){
			if ( !data.isSuccessful ) return false;
			
			CurrentView.sbCode = data.msg.sbCode; 

			var specialCat = data.msg._MOB_SBOOK_SPECIAL_CATEGORY;
			var sbookCat = data.msg._MOB_SBOOK_CATEGORY;
			
			if ( !Ns.Util.isNull(specialCat) && specialCat.length != 0 ) {
				CurrentView.ui.setCategoryContents( "#sectionSpecial .bigsale-events", specialCat );
			} else {
				$( "#sectionSpecial" ).hide();
			}
			
			if ( !Ns.Util.isNull(sbookCat) && sbookCat.length != 0 )  {
				CurrentView.ui.setCategoryContents( "#sectionCategory .category-events", sbookCat );
			} else {
				$( "#sectionCategory" ).hide();
			}
			
		},
		
		getEventBannerHtml : function( items ){
			var htmlTxt = "";
		    var dispCheck = items.marketingText.split(",");
		    
		    if(dispCheck[dispCheck.length-1] != "NO-DISPLAY"){
			    var protocol = "http:";
			    var imgUrl = protocol + items.imgUrl;
//				var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
				var replaceUrl = protocol + items.imgUrl;
				
				htmlTxt += 	Ns.Util.stringFormat('<div><div class="bnn-img"><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');"><img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="" /></a></div></div>',
			    		   		items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl,  imgUrl, replaceUrl );
			}
		    
		    return htmlTxt;
		}
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		
		setCategoryContents : function( targetSel, data ){		
			var htmlTxt =''; 
			
			for(var k=0; k<data.length; k++){
				var items = data[k];
				
				var protocol = "http:";
				var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
				var replaceUrl = protocol + items.imgUrl;
				
				$.preLoadImages( imgUrl, replaceUrl );
				
				htmlTxt += Ns.Util.stringFormat('<li class="swiper-slide"><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\');"><img src="{9}" onerror="this.onerror=null;this.src=\'{10}\'" alt="상품이미지"></a></li>', 
						items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl, null, null, CurrentView.catalogId, CurrentView.sbCode, imgUrl, replaceUrl );
			}
			
			$( targetSel ).find('.swiper-wrapper').html( htmlTxt );	

			var pagination = targetSel.split(' ')[0] + " .pagination";
			// TODO hckim 2019.05.15 swiper lib update(2.5->4.5.0)
			/*
			new Swiper( targetSel, {
				paginationClickable: true,
				pagination : pagination,
				loop:true,
				centeredSlides: true,
				slidesPerView: 'auto'
			});
			*/
			new Swiper( targetSel, {
				pagination : {
					el : pagination,
					clickable : true,
				},				
				loop:true,
				centeredSlides: true,
				slidesPerView: 'auto'
			});
		},
		
		setMobileEvents : function( data ) {
			if ( !data.isSuccessful ) return false;
			
			var event = data.msg.root._MOB_EVENT_BANNERLIST;
			var addEvent = [];
			
			//Espot 5개 고정 추가
			for ( var i=0; i<8; i++){
				var item = eval("data.msg.root._MOB_EVENT_BANNERLIST" + (i+1) );
				if ( !Ns.Util.isNull(item) ){
					//각 Espot별 내부 전부 추출
					for( var j=0; j<item.length; j++ ){
						addEvent.push(item[j]);
					}
				}
			}
			
			if ( event == undefined || event.length == 0 ) {
				$( "#sectionEvent" ).hide();
			} else {
				var htmlTxt = "";
				if( !Ns.Util.isNull(addEvent) ){
					for ( var i=0; i<addEvent.length; i++ ){
						htmlTxt += CurrentView.data.getEventBannerHtml( addEvent[i] );
					}
				}
				
				for (var i=0; i<event.length; i++) {
					htmlTxt += CurrentView.data.getEventBannerHtml( event[i] );
				}
				
				if ( htmlTxt == '' ) {
					$( "#sectionEvent" ).hide();
				} else {
					$("#divSbookEventList").html(htmlTxt);
					Ns.UI.swipeSetTypeAnimation("#sectionEvent .swipe-mainimg", ".bnn-img");
					
					$("#sectionEvent .ico_dot").css( "margin-top", "0px" );
					$("#sectionEvent .ico_dot").css( "margin-right", "0px" );
					$("#sectionEvent .ico_dot").css( "margin-bottom", "0px" );
					$("#sectionEvent .ico_dot").css( "margin-left", "0px" );
				}
			}
		},
	},
	 
	//이벤트 관련 함수를 정의한다.
	event : {		
		initEspotAreaEvent : function(){
			$("a#btnEspot").on("click", function(){
			//EspotBanner Event
				var espotId 	= $(this).attr("espot-id");
				var clickTarget = $(this).attr("click-target");
				var clickCode = $(this).attr("click-code");
				var mdUrl = $(this).attr("md-url");
				var sbCode  = $(this).attr("sb-code");
				
				if(clickTarget == "Product"){
					var params = {
							catalogId  : CurrentView.catalogId,
							//categoryId : categoryId,
							partNumber : clickCode, 
							p_espotid  : espotId,
							busChnId   : "INT"
					};
					
					Ns.Util.viewConsoleLog("[상품상세 파라미터 정보] >> " + JSON.stringify(params));
					mainCtrl.gotoProductDetail( params );
					
				}else if(clickTarget == "Category"){
					var params = {
							categoryId : clickCode, 
							catalogId  : CurrentView.catalogId,
							sbCode		: sbCode
							
					};
					Ns.Util.viewConsoleLog("[상품리스트 파라미터 정보] >> " + JSON.stringify(params));
					mainCtrl.navigate("M_G2130000M", params);
				}else if(clickTarget == "External"){
					WL.App.openURL("https://" + Const.WCS_NSMALL_PATH + "/" + mdUrl);
				}else{
					alert("[" + clickTarget + "]은 처리할 수 없습니다.");
					return; 
				}
			
			});
		},
		
		//이벤트 전체보기...
		onclick_btnAllEvent : function() {
			mainCtrl.navigate( 'M_G1100020M', null );
		}
	}
	
};