
/* JavaScript content from js/sbook/M_G2310001M.js in folder common */

/* 
 *	쇼핑북-기획화보
 *  ID : M_G2310001M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
	catalogId : Const.getSpecialMallId("sbook"), 
	sbCode : "",
	SHOP_EXs : [],
	selIdx : 0,
	productSwiper : null,
	
	init : function( params ) {
		this.initializeComponent();
		this.onLoad(params);
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function() {
		if ( CurrentView.productSwiper == null ) {
			CurrentView.productSwiper = new Swiper('.swipe-thumbnail', {
				pagination : {
					clickable : true,
				},				
				slidesPerView: 'auto'
			});
		}
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		this.data.getSbookPlanInfo();
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		getSbookPlanInfo : function(){
			tran.callWCSJsonTran("ShoppingBookReal", {espotInfo : 'MOB_SBOOK_SPECIAL_CONTENTS|Content'}, CurrentView.ui.setMainContentArea);
		},
		
		getShoppingBookProducts : function( idx ) {
			CurrentView.selIdx = idx;
			
			if ( CurrentView.productSwiper.slides.length > 0  ) {
				CurrentView.productSwiper.removeAllSlides();
			}
			
			if ( CurrentView.SHOP_EXs[idx].clickTarget == "Category" ) {
				var invoke = {
						pageSize : 5,
						//catalogId : CurrentView.catalogId,
						//sbCode : CurrentView.sbCode,
						searchType : "search",
						sortCriteria : "",
						categoryId : CurrentView.SHOP_EXs[idx].clickCode
					};
					
					tran.callWCSJsonTran( 'NSSearchCategoryWrapper', invoke, CurrentView.ui.setShoppingBookProducts,  null, function() {}, true );
			} else if  ( CurrentView.SHOP_EXs[idx].clickTarget == "Product" ) {
				Ns.Popup.alert("기획화보의 경우, Espot의 ClickTarget이 Product인 경우는 지원하지 않습니다.");
			} else {
				return false;
			}
		},
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		setMainContentArea : function(data){
			if ( !data.isSuccessful ) return false;
			if ( data.msg == undefined ) return false;
			
			CurrentView.sbCode = data.msg.sbCode;
			var contents = data.msg._MOB_SBOOK_SPECIAL_CONTENTS;
			
			if ( Ns.Util.isNull(contents)) return false;
			
			var htmlTxt = '';
			for(var k=0; k<contents.length; k++){
				var items = contents[k];
				var title = items.marketingText.split(";");
				
				var protocol = "http:";
				var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
				var replaceUrl = protocol + items.imgUrl;
				
				$.preLoadImages( imgUrl, replaceUrl );
				
				CurrentView.SHOP_EXs.push( { p_bannerid:  items.contentsId, p_espotid: items.espotId, clickCode:items.clickCode, clickTarget: items.clickTarget} );
				
				htmlTxt += Ns.Util.stringFormat('\
					<div class="noname">\
						<div class="bnn-img"><a href="javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',\'{8}\',\'{9}\');"><img src="{10}" onerror="this.onerror=null;this.src=\'{11}\'" alt="상품이미지"></a></div>\
						<div class="bnn-img_src"><span>{0}</span></div>\
					</div>', 
					title, items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl, null, null, null, CurrentView.sbCode, imgUrl, replaceUrl );
			}
			
			$("#mainContent").html( htmlTxt );
			Ns.UI.swipeSetTypeAnimation( '.swipe-mainimg', '.noname', CurrentView.data.getShoppingBookProducts );
			
			CurrentView.data.getShoppingBookProducts( 0 );
		},
		
		setShoppingBookProducts : function( data ) {
			if ( !data.isSuccessful ) return false;
			if ( data.msg.root == undefined ) return false;
			
			var productList = data.msg.root.ProductList;
			if( productList == undefined || productList.length==0 ) {
				$("#ulProductList").html("");
				return false;
			}
			
			var htmlTxt = '';
			
			for(var k=0; k<productList.length; k++){
				var items = productList[k];

				var partNumber = items.partNumber; 
				var imgUrl = Ns.Util.getImageUrl(partNumber, "E"); 
				var noimgUrl = Const.NO_IMAGE_URL +  'noimage_E.jpg';
				var multiCd = items.multiCd;
				
				htmlTxt = Ns.Util.stringFormat('<li class="swiper-slide swiper-slide-duplicate"><a href="javascript:CurrentView.event.gotoProductDetail({0}, {1});" ><img src="{2}" onerror="this.onerror=null;this.src=\'{3}\'" alt="상품이미지"></a></li>',
							  partNumber, multiCd, imgUrl, noimgUrl );
				
				CurrentView.productSwiper.appendSlide( htmlTxt );
			}
			
			//CurrentView.productSwiper.setWrapperTranslate(0,0,0);
			CurrentView.productSwiper.setTranslate(0);			
		}
		

	},
	 
	//이벤트 관련 함수를 정의한다.
	event : {
		gotoProductDetail : function( partNumber, multiCd ) {
			var invoke = {
				partNumber : partNumber,
				multiCd : multiCd,
				catalogId : CurrentView.catalogId,
				p_bannerid : CurrentView.SHOP_EXs[CurrentView.selIdx].p_bannerid,
				p_espotid : CurrentView.SHOP_EXs[CurrentView.selIdx].p_espotid,
			};
			
			mainCtrl.gotoProductDetail( invoke );
		}
	}
};