
/* JavaScript content from js/search/M_S1100000M.js in folder common */

/* JavaScript content from js/search/M_S1100000M.js in folder common */
/* 
 *	검색 영역 .
 *  ID : M_S1100000M
 *  
*/
/* 음성검색 마이크 버튼 추가 */
var $voiceSerachLayer = $('.voice_serach_wrapper');
var $voiceLayerWrapper = $voiceSerachLayer.find('.voice_layer_wrapper');
var $infoText = $voiceLayerWrapper.find('.info_text');

//음성검색시작: current / 인식중: recognizing / 재검색: again
var classes = 'current recognizing again';

//page 컨트롤 클래스
var SEARCHVIEW = {
		compKeyword : null,
		autoKeyword : null,	//자동완성 키워드 파라미터 (임시)
		keyupTimer : null,
		keywordSlider : null,
		searchOScroll : null,
		isLogon : mainCtrl.checkLogonStatus(),
		
		init : function(params) {
			if(params != undefined && !Ns.Util.isNull(params.searchTerm)){
				$("#txtSearch").val(params.searchTerm);
			}
			this.initializeComponent();
			
			if(params != undefined && !Ns.Util.isNull(params.searchType)){
				this.onLoad(params);
			} else {
				this.onLoad();
			}
		},
		
		//이벤트 binding 등...
		initializeComponent : function() {
			
			$("input#txtSearch").off().on( "keyup", SEARCHVIEW.data.repeatCallAutocomplete )
			.on( "focus", SEARCHVIEW.event.focusInSearchInput ).on("keypress", function (){
				if(event.keyCode == 13){
					SEARCHVIEW.event.onclick_btnSearch(); 
			    }
			}).on("blur", SEARCHVIEW.event.onIosBulrEvent);
			
			$('#searchBtnReset').unbind().bind('click', function() { $("#txtSearch").val(""); $("#txtSearch").focus(); }); //재설정 버튼.
			$('#btnSearch').unbind().bind('click', SEARCHVIEW.event.onclick_btnSearch );
			
			//음성인식 추가 2018-04-13 J.S.KIM 시작
			$('#btnVoiceSearch').off().on('click', function(){
				if(mainCtrl.getCurrentPageId() !== "M_S1100000M"){
					mainCtrl.showSearchView({"searchType" : "voice"});
				}else{
					SEARCHVIEW.event.onclick_btnVoice();
				}
			});
			$('#btnVoiceClose').unbind().bind('click', this.event.onclick_btnVoiceClose);
			$('#btnVoiceReSearch').unbind().bind('click', this.event.onclick_btnVoiceReSearch);
			//음성인식 추가 2018-04-13 J.S.KIM 종료
						
			$("#btnCloseSearch").unbind().bind( "click", SEARCHVIEW.event.onclick_btnCloseSearch );
			$("#btnRemoveHistory").unbind().bind( "click", SEARCHVIEW.event.onclick_btnRemoveHistory );
			// 탭 이동 관련 - 최근검색어
			$("#recentlyBtn").unbind().bind( "click", SEARCHVIEW.event.onclick_lastSearch );
			
			// 탭 이동 관련 - 인기검색어
			$("#popularBtn").unbind().bind( "click", SEARCHVIEW.event.onclick_populatorSearch );
			
			//PROMOTION TEXT 노출
			SEARCHVIEW.data.getPromotionText();
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			
			$("#pageHeader").addClass("search_layer");
			$("#search_container").removeClass("hidden");
			
			this.ui.createiScroll();
			this.ui.keywordSwiperEvent();
			
			//음성검색 마이크를 누른경우 입력키 안도이도록 포커스 변경
			if(params != undefined && !Ns.Util.isNull(params.searchType)){
				if (params.searchType == "CLOVA" ) {
					SEARCHVIEW.event.onclick_btnSearch();
					
				//2018-06-25 ssong 음성검색 바로 진입
				} else if(params && params.searchType == "voice"){
					SEARCHVIEW.event.focusInSearchInput();
					
					$('#btnVoiceSearch').show().trigger("click");
				} 
			} else {
				$("input#txtSearch").focus();
			} 
				
			//2018-06-25 ssong 음성검색 활성화 여부 
			if(!mainCtrl.chkVoiceSearchVer()){
				$('#btnVoice').hide();		// 마이크 숨기기
			}
			
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			repeatCallAutocomplete : function(){
				if (undefined == SEARCHVIEW || null == SEARCHVIEW){
					return;
				}
				
				var keyword = $("#txtSearch").val();
				
				//연관검색어 영역 출력
				if( keyword != "" ){
					SEARCHVIEW.ui.setSearchAreaController("R");
					if( keyword == SEARCHVIEW.compKeyword ) return false; 
					SEARCHVIEW.autoKeyword = keyword;
					SEARCHVIEW.compKeyword = keyword;
					var params = {
						searchType : "auto",
						searchTerm : keyword
					};
					
					tran.callWCSJsonTran( 'NSSearchMobile', params, 
						function (data){
							try{	// keyup 트렌젝션중 엔터등 이벤트로 페이지가 이동되어 SEARCHVIEW를 찾지 못하는 문제로 인해 예외처리 
								SEARCHVIEW.ui.setRelateSearchWordArea(data);
							} catch (e) {
								// TODO: handle exception
							}
						}
						, null, function(){}, {'progress':false},null,function(){});			
				}  else {
					
					if( SEARCHVIEW.isLogon ) { //최근검색어 영역 출력
						if(SEARCHVIEW.tabIndex == undefined){
							
							var latelySearchWordList = Ns.LocalStorage.get( STORAGE_KEY.SEARCH_WORD_LIST );
							
							SEARCHVIEW.ui.setLatelySearchWordArea( latelySearchWordList );
						}
						SEARCHVIEW.ui.setSearchAreaController("L");
						
						
					} else {	//인기검색어 영역 출력
						//$("#recentlyBtn").hide();
						SEARCHVIEW.ui.setSearchAreaController("I");
						
						var len = $("#popularDiv li").length;
						if( len>0 ) return;

						tran.callWCSJsonTran( 'NSSearchMobile', {searchType : "top"},
							function(data){
								try{	// keyup 트렌젝션중 엔터등 이벤트로 페이지가 이동되어 SEARCHVIEW를 찾지 못하는 문제로 인해 예외처리
									SEARCHVIEW.ui.setInterestSearchWordTabArea(data);
								} catch (e) {
									// TODO: handle exception
								}
							}
							/*SEARCHVIEW.ui.setInterestSearchWordArea*/, null, function(){}, {'progress':false},null,function(){});
					}
				}
			},
			//promotion text
			getPromotionText : function(){
				tran.callWCSJsonTran( 'NSEspotCommon', {espotInfo : "GNB_PROMOTION_TEXT_MOB|Text"},function(data){
					try{
						if (Ns.Util.isNull(data) || data.msg.root == undefined){
							$("#txtSearch").attr("placeholder","검색어를 입력해주세요");
							return;
						}else{
							if(!Ns.Util.isNull(data.msg.root._GNB_PROMOTION_TEXT_MOB)){
								var voList = data.msg.root._GNB_PROMOTION_TEXT_MOB;
								if(voList != undefined && voList.length > 0){
									//random 처리
									var val = Math.round( Math.random() * (voList.length-1) );
									$("#txtSearch").attr("placeholder",voList[val].marketingText);
								}else{
									$("#txtSearch").attr("placeholder","검색어를 입력해주세요");
								}
							}
						}
					} catch (e) {
						Ns.Util.viewConsoleLog("(( Caught exception at \"" + 'getPromotionText' + "\" -> " + e + " ))");
					}
				});
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			createiScroll : function(){
				
				if ( SEARCHVIEW.searchOScroll != null ) SEARCHVIEW.searchOScroll=null;
				
				var $pageHeader = $('#pageHeader');
			    var $searchWrapper = $('#search_container');
			    $searchWrapper.height(window.innerHeight - $pageHeader.innerHeight());
				
			    SEARCHVIEW.searchOScroll = new iScroll($searchWrapper[0], {
					vScroll: true,
			        vScrollbar: false,
			        onBeforeScrollStart : null
				});
			},
			//연관검색어
			setRelateSearchWordArea : function( data ) {
				var totalCount = data.totalCount || 0;
				if(totalCount <= 0 ) {
					$("#relateSearchWordArea ul").html( '' );
					return;
				}
				
				var resultList = data.autoResultList; 
				var wordHtml  = ""; 
				
				for(var k=0; k<resultList.length; k++){
					var keyword = resultList[k].keyword;
					var keyType = resultList[k].keyType; 
					var planId = resultList[k].planId;
					
					var regExWord = eval("/" + SEARCHVIEW.autoKeyword + "/g");
					var reformWord = keyword.replace(regExWord,"<mark>" + SEARCHVIEW.autoKeyword + "</mark>");			
					
					if(k > 20) continue;
					wordHtml += '<li><a href="javascript:;" onclick="SEARCHVIEW.event.onclick_wordListArea(\'' + keyword + '\',\'' + planId + '\')"><span class="word">' + reformWord + '</span></a></li>';
				}
				
				$("#relateSearchWordArea ul").html( wordHtml );
				
				SEARCHVIEW.ui.setSearchAreaController("R");
			},
			
			//최근검색어
			setLatelySearchWordArea : function( data ){
				var resHtml = []; 
				var i=0;		 
				var $recentlyDiv = $("#recentlyDiv");
				
				if(data == null || data.length == 0 && !$("#recentlyDiv > div").hasClass('no_recently')){
					
					 var $noSearch = $('<div/>', {
					      'class': 'no_recently',
					      'html': '<p>최근 검색어가 없습니다.</p>'
					 });
					
					 $recentlyDiv.find('.listwrap').remove();
					 $recentlyDiv.append($noSearch);
					 
					return; 
				}
				
				if($("#recentlyDiv > div").hasClass('listWarp') == undefined){
					var recentlyDivHtml = "";
					recentlyDivHtml += "<div class=\"listwrap\">";
					recentlyDivHtml += "<ul>";
					recentlyDivHtml += "</ul>";
					recentlyDivHtml += "<button type=\"button\" class=\"list_delete_btn\" id=\"btnRemoveHistory\">";
					recentlyDivHtml +=    "<span>전체삭제</span>";
					recentlyDivHtml += "</button>";
					recentlyDivHtml +="</div>";
					
					$("#recentlyDiv ul").html(recentlyDivHtml);
				}
				
				for(var k=data.length-1; k>=0; k--){
					var keyword = data[k].keyword;
					var keywordInputDate = (data[k].date) ? data[k].date : "";
					var recentlyHtml = "";

					recentlyHtml +=    "<li data-keyword=\"" + keyword + "\">";
					recentlyHtml +=    "<a href=\"javascript:;\" >";
					recentlyHtml +=        "<span class=\"word\">" + keyword + "</span>";
					recentlyHtml +=        "<span class=\"date\">" + keywordInputDate + "</span>";
					recentlyHtml +=    "</a>";
					recentlyHtml +=    "<button type=\"button\" class=\"word_delete_btn\">";
					recentlyHtml +=        "<span>검색어삭제</span>";
					recentlyHtml +=    "</button>";
					recentlyHtml +=    "</li>";
		            
		            resHtml[i++] = recentlyHtml;
				}
				
				$("#recentlyDiv ul").html( resHtml.join('') );
			},			
			
			// 로그인시 탭 인기검색어 - 공통업무
			setInterestSearchWordTabArea : function( data ){
				var resHtml = []; 
				var i=0;		
				var topResultList = data.topResultList || null; 
				var $popularDiv = $("#popularDiv");
				
				if(topResultList == null || topResultList.length <= 0 && !$("#popularDiv > div").hasClass('no_recently')) {
					
					var $noPopularSearch = $('<div/>', {
					      'class': 'no_recently',
					      'html': '<p>인기검색어를 찾지 못했습니다.</p>'
					 });
					
					$popularDiv.find('.listwrap').remove();
					$popularDiv.append($noPopularSearch);
					return; 
				}
				
				if($("#popularDiv > div").hasClass('listWarp') == undefined){
					var popularDivHtml = "";
					popularDivHtml += "<div class=\"listwrap\">";
					popularDivHtml += "<ul>";
					popularDivHtml += "</ul>";
					popularDivHtml += "</div>";
					
					$("#popularDiv ul").html(popularDivHtml);
				}
				
				
				for(var k=0; k<10; k++){
					if(k > topResultList.length - 1)break;
					var keyword = topResultList[k].keyword;
					var planId = "";
					var popularHtml = "";
					
					if( !Ns.Util.isNull(topResultList[k].planId) ){
						planId = topResultList[k].planId;
					}
					
					popularHtml +=    "<li data-keyword=\"" + keyword +"\" data-planId=\"" + planId + "\">";
					popularHtml +=    "<a href=\"javascript:;\" >";
					popularHtml +=        "<span class=\"word\">" + keyword + "</span>";
					popularHtml +=    "</a>";
					popularHtml +=    "</li>";
					
					resHtml[i++] = popularHtml;
				}			
				
				$("#popularDiv ul").html( resHtml.join('') );
			},
			
			// 공통업무
			setSearchAreaController : function( searchType ){
				switch(searchType){
					//최근검색어
					case "L" :{
						$("#search_container").removeClass("keywordInput");
						$("#recentlyBtn").addClass("current");
						$("#popularBtn").removeClass("current");
						SEARCHVIEW.keywordSlider.slideTo(0);
						break;
					}
					
					//인기검색어
					case "I" :{
						$("#search_container").removeClass("keywordInput");
						$("#popularBtn").addClass("current");
						$("#recentlyBtn").removeClass("current");
						if(SEARCHVIEW.isLogon){
							SEARCHVIEW.keywordSlider.slideTo(1);
						}
						break;
					}
					
					//연관검색어
					case "R" :{
						$("#search_container").addClass("keywordInput");
						$("#popularBtn").removeClass("current");
						$("#recentlyBtn").removeClass("current");
						break;	
					}
					
					//searchArea active
					case "O" :{
						$("#search_container").removeClass("keywordInput");
						if(!$("#popularBtn").hasClass("current")){
							$("#recentlyBtn").addClass("current");
							if(SEARCHVIEW.isLogon){
								SEARCHVIEW.keywordSlider.slideTo(0);
							}
						}
						break;
					}
					
					//searchArea noneActive
					default : {
						
						if($("#pageHeader").hasClass("search_layer")){
							$("#pageHeader").removeClass("search_layer");
						}
					}
				} //end switch
			},
			
			keywordSwiperEvent : function() {
				var $searchWrapper = $('.search_wrapper');
				var $sortingListWrap = $searchWrapper.find('.keyword_contents');
				var $populaKeywordLi = null;
				
				if( SEARCHVIEW.isLogon ){ //로그인시 swiper 연동 비로그인시 인기검색어만 연동
					SEARCHVIEW.keywordSlider = new Swiper($sortingListWrap, {
					wrapperClass: 'keyword_list_contents',
						slideClass: 'keyword_list',
						autoHeight: true,
						on: {
							//swipe 이벤트 진행시 클릭 이벤트 중복으로 인한 최근/인기 검색어 영역 클릭이벤트 바인딩
							click : function(e){
								if(this.activeIndex > 0){ //인기 검색어
									$populaKeywordLi = $(e.target).closest("li");
									SEARCHVIEW.event.onclick_wordListArea($populaKeywordLi.data("keyword"),$populaKeywordLi.data("planId"));
								}else{ //최근검색어
									var recentlyClickArea = e.target.nodeName;
									var $recentlyDataKeyword = $(e.target).closest("li").data("keyword");
									if(recentlyClickArea === "A" || recentlyClickArea === "SPAN"){
										SEARCHVIEW.event.onclick_wordListArea($recentlyDataKeyword);
									}else if(recentlyClickArea === "BUTTON"){
										SEARCHVIEW.event.onclick_wordListDel($recentlyDataKeyword);
									}
								}
							},
							//swipe 종료 시점 index로 최근 / 인기 검색어 영역 그리기
							slideChange : function(){
								if(this.activeIndex > 0){ //인기검색어
									//인기 검색어가 이미 열려있는 경우 함수 호출 X
									if(!$("#popularBtn").hasClass("current")){
										SEARCHVIEW.event.onclick_populatorSearch();
									}
								}else{
									//최근 검색어가 활성화 되어있으면 함수 호출 X
									if(!$("#recentlyBtn").hasClass("current")){
										SEARCHVIEW.event.onclick_lastSearch();
									}
								}
							}
					    },
					});
				}else{
					$("#recentlyDiv").remove();
					$("#recentlyBtn").remove();
					
					$("#popularDiv").off().on("click", function(e){
						$populaKeywordLi = $(e.target).closest("li");
						SEARCHVIEW.event.onclick_wordListArea($populaKeywordLi.data("keyword"),$populaKeywordLi.data("planId"));
					});
				}
			},
		},
		
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_btnSearch : function() {
	
				var promotionText = $("#txtSearch").attr("placeholder");
				var searchKeyword = SEARCHVIEW.util.toHTML($("#txtSearch").val());
				if(searchKeyword == ""){
					Ns.Popup.alert("검색어를 입력해 주세요.");
				} else {
					//네트워크 체크
					//tran.callWCSJsonTran( 'NSPasswordIdentifyAjaxCmd');
					tran.callWCSJsonTran( 'NSPasswordIdentifyAjaxCmd', null, null, null, null, {'progress':false}, null, function(){
						alert(Messages.unresponse_host);
						var param = new Object;
						param.ErrorCode = "UH";
						param.p_espotid = "NSPasswordIdentifyAjaxCmd";
						tran.callPageLogging("LoggingPage", param);
						return false;
					});
					
					SEARCHVIEW.event.initWordArea();
					Ns.LocalStorage.set(STORAGE_KEY.SEARCH_WORD_LIST, {keyword : searchKeyword , date : DateCtrl.prototype.calcDate("", "", "", "", "", "MM.dd")}, 10);
					$("#txtSearch").val('');
					mainCtrl.hideSearchView(); 
					
					// AIQUA
					mainCtrl.userEventToAIQUA('searched', {searched_keyword : searchKeyword});
					
//				Ns.Popup.showLayerPage("M_S1110000M", {searchTerm : searchKeyword});
					mainCtrl.navigate("M_S1110000M",{searchTerm : searchKeyword, promotionText : promotionText});
				}			
			},
			
			// 음성검색 추가 2018-04-13 J.S.KIM 시작
			//음성 검색 시작
			onclick_btnVoice : function() {

				//음성검색시작: current / 인식중: recognizing / 재검색: again
				if (!($voiceSerachLayer.hasClass('visible'))) {
					$voiceSerachLayer.addClass('visible');
				} 
				$voiceLayerWrapper.removeClass(classes).addClass('current');
				var messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
				$infoText.text(messageState);
				
				var actionName = "START"
				Ns.Native.clova(actionName);
			},
			
			//음성 검색 레이어 닫기
			onclick_btnVoiceClose : function() { 
				var actionName = "KILL"
				Ns.Native.clova(actionName);
			},
			
			voiceClose : function() {
				
				if (($voiceSerachLayer.hasClass('visible'))) {
					$voiceSerachLayer.removeClass('visible');
				}
				
				$('input#txtSearch').focus();
			},
			
			//음성 재검색
			onclick_btnVoiceReSearch : function() {
				
				if (!($voiceSerachLayer.hasClass('visible'))) {
					$voiceSerachLayer.addClass('visible');
				}
				
				$voiceLayerWrapper.removeClass(classes).addClass('current');
				var messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
				$infoText.text(messageState);
				
				var actionName = "START"
				Ns.Native.clova(actionName);
					
			},
			
			//음성결과 데이터를 받아서 검색창에 입력
			voiceSearch : function(data){

				$("#txtSearch").val( data );
				
				$voiceSerachLayer.removeClass('visible');
				SEARCHVIEW.event.onclick_btnSearch();
				
			},
			
			//음성결과 데이터를 받아서 검색창에 입력
			clovaResult : function(stat, data){

				var $voice_keyword = $voiceLayerWrapper.find('.voice_keyword');
				var messageState ="";
				
				//인식되는 음성 바로 표시
				$voice_keyword.val(data);	
				
				if ( stat == 'KILL' ) {
					SEARCHVIEW.event.voiceClose();
				} else if  ( stat == 'STOP' ) {
					messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
					$voiceLayerWrapper.removeClass(classes).addClass('again');
					$infoText.text(messageState);					
				} else if  ( stat == 'PARTIAL_RESULT' ) {
					messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
					$voiceLayerWrapper.removeClass(classes).addClass('recognizing');
					$infoText.text(messageState);					
				} else if  ( stat == 'RESULT' ) {
					if( data == undefined || data == null ||  data.length < 1 ) {
						messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
						$voiceLayerWrapper.removeClass(classes).addClass('again');
						$infoText.text('음성을 인식할 수 없습니다.');						
					} else {
						messageState = $voiceLayerWrapper.hasClass('current') ? '음성을 인식하고 있습니다.' : '음성을 인식할 수 없습니다.';
						$voiceLayerWrapper.removeClass(classes).addClass('recognizing');
						$infoText.text(data);
						
						SEARCHVIEW.event.voiceSearch(data);
					}								
				}
				
			},
			
			focusInSearchInput : function() {
				SEARCHVIEW.event.onIosFocusEvent();
				SEARCHVIEW.ui.setSearchAreaController("O");
				SEARCHVIEW.data.repeatCallAutocomplete();
			},
			
			focusOutSearchInput : function() {
				SEARCHVIEW.compKeyword = "";
			},
			
			initWordArea : function(){
//				clearInterval( SEARCHVIEW.keyupTimer );
//				SEARCHVIEW.keyupTimer = null; 
				SEARCHVIEW.ui.setSearchAreaController();
			},
			
			// 공통업무
			onclick_wordListArea : function( searchWord, planId ){
				//연관, 인기 검색어 선택시 기획전 구분
				if( Ns.Util.isNull(planId) ){
					$("#txtSearch").val( searchWord );
					SEARCHVIEW.event.onclick_btnSearch();
				}else{
					SEARCHVIEW.event.initWordArea();
					Ns.LocalStorage.set(STORAGE_KEY.SEARCH_WORD_LIST, {keyword : searchWord , date : DateCtrl.prototype.calcDate("", "", "", "", "", "MM.dd")}, 10);
					$("#txtSearch").val('');
					mainCtrl.hideSearchView();
					
					tran.callWCSJsonTran('NSTimesPrmtAjax', {
						processFlag : "mobileType",
						catgroupId : planId
					}, function(data) {
						if (data.msg.TitleInfoMap.TEMPLETTYPECD == 'F')
							mainCtrl.navigate("M_G1100032M", { catgroupId : planId } ); // 초이스 기획전
						else
							mainCtrl.navigate("M_G1100031M", { catgroupId : planId, processFlag : data.msg.TitleInfoMap.TEMPLETTYPECD } ); // 일반 기획전
					});
				}
			},
			
			removeViewData : function() {
				SEARCHVIEW.event.focusOutSearchInput();
				SEARCHVIEW.event.initWordArea();
				
				$('#content div#wrap').removeClass('search-item-active');
				
			    var pageId = mainCtrl.getCurrentPageId();
		        var pageConf = PAGE_CONFIG[pageId];
		        $('#content div#wrap').addClass( pageConf.classname );
			},
			
			//닫기버튼 이벤트.. 
			onclick_btnCloseSearch : function() {
				SEARCHVIEW.event.focusOutSearchInput();
				if (SEARCHVIEW.searchOScroll) {
					SEARCHVIEW.searchOScroll.destroy();
					SEARCHVIEW.searchOScroll = null;
				}
				
				if (SEARCHVIEW.keywordSlider) {
					SEARCHVIEW.keywordSlider.destroy();
				}
				
				mainCtrl.hideSearchView();
			}, 
			
			//검색기록 삭제 버튼 이벤트. 
			onclick_btnRemoveHistory : function() {
				Ns.LocalStorage.del(STORAGE_KEY.SEARCH_WORD_LIST);
				SEARCHVIEW.ui.setLatelySearchWordArea(Ns.LocalStorage.get(STORAGE_KEY.SEARCH_WORD_LIST));
			},
			
			onclick_wordListDel : function(delKeyword){
				var data = Ns.LocalStorage.get(STORAGE_KEY.SEARCH_WORD_LIST);
				Ns.LocalStorage.del(STORAGE_KEY.SEARCH_WORD_LIST);
				
				var resHtml = []; 
				var i = 0;
				
				for(var k = data.length - 1; k >= 0; k--){
					var searchKeyword = data[k].keyword;
					if(searchKeyword != delKeyword){
						Ns.LocalStorage.set(STORAGE_KEY.SEARCH_WORD_LIST, {keyword : searchKeyword, date : DateCtrl.prototype.calcDate("", "", "", "", "", "MM.dd")}, 10);
					}
				}
				
				SEARCHVIEW.ui.setLatelySearchWordArea(Ns.LocalStorage.get(STORAGE_KEY.SEARCH_WORD_LIST));
				
			},
			
			// 인기검색어 탭 이벤트 - 공통업무
			onclick_populatorSearch : function() {			
				SEARCHVIEW.tabIndex = "2";
				
				SEARCHVIEW.ui.setSearchAreaController("I");
				if(SEARCHVIEW.isLogon){
					SEARCHVIEW.keywordSlider.slideTo(1);
				}
				
				var len = $("#popularDiv li").length;
				if( len>0 ) return;
				
				tran.callWCSJsonTran( 'NSSearchMobile', {searchType : "top"}, 
					function (data){
						try{	// keyup 트렌젝션중 엔터등 이벤트로 페이지가 이동되어 SEARCHVIEW를 찾지 못하는 문제로 인해 예외처리
							SEARCHVIEW.ui.setInterestSearchWordTabArea(data);
						} catch (e) {
							// TODO: handle exception
						}
					}
					, null, function(){}, {'progress':false},null,function(){});
			},
			
			// 최근검색어 탭 이벤트 - 공통업무
			onclick_lastSearch : function() {
				SEARCHVIEW.tabIndex = "1";
				SEARCHVIEW.ui.setSearchAreaController("L");
				SEARCHVIEW.keywordSlider.slideTo(0);
				var latelySearchWordList = Ns.LocalStorage.get( STORAGE_KEY.SEARCH_WORD_LIST );
				
				SEARCHVIEW.ui.setLatelySearchWordArea( latelySearchWordList );				
			},
			
			//ios 키패드 올라올때 헤더 등 고정 함수
			onIosFocusEvent : function(){
				if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
					setTimeout(function(){
						$("#pageHeader > .inner_wrap").css("position" , "absolute");
						$("#search_container").css("position" , "absolute");
						if($("#searchHeader").is(":visible")){
							$("#searchHeader").css("position" , "absolute");
						}
					},500);
				}
			},
			//ios 검색창 닫거나 이동시 css값 수정
			onIosBulrEvent : function(){
				if(mainCtrl.VIEW_TYPE == "ios" || mainCtrl.VIEW_TYPE == "iosweb"){
					setTimeout(function(){
						$("#pageHeader > .inner_wrap").css("position" , "");
						$("#search_container").css("position" , "");
						if($("#searchHeader").is(":visible")){
							$("#searchHeader").css("position" , "fixed");
						}
					},500);
				}
			}
		},
		
		util : {
			toHTML : function(str) {
				str = str.replace(/\&/g, "");
				str = str.replace(/</g, "");
				str = str.replace(/>/g, "");
				str = str.replace(/\"/g, "");
				str = str.replace(/\'/g, "");
							  
				return str;
			}
		}
};