
/* JavaScript content from js/talk/M_G3000000M.js in folder common */
/* 
 *	모바일 eTV
 *  ID : M_G3000000M
 *  
 */

//page 컨트롤 클래스
CurrentView = {
	REMAINING_TIME : null,
	
	VIDEO_WIDTH : 0,
	VIDEO_HEIGHT : 0,
	VIDEO_Before : 0,
	VIDEO_After : 0,
	intervalId : 0,
	isPlay     : true, //동영상 재생중 여부
	
	PARTNUMBER : null,
	MULTICD : null,
	BUSCHNID : null,
	ISTALK_SOCKET : false,
	
	init : function(params) {
		this.initializeComponent(params);
		this.onLoad(params);
		uiBase._layerPopup();
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function( params ) {
		var mWidth = $('#mainItem').outerWidth();
		var divided = mWidth / 16;
		CurrentView.VIDEO_WIDTH = mWidth;
		CurrentView.VIDEO_HEIGHT  = divided * 8;
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		//상단 하단 네비게이션 영역 숨김 
		CurrentView.ui.setTopBottomHide();
		//방송 불러오기..
		CurrentView.data.call_NSTvLive();
		//Talk 관련 UI 셋팅
		CurrentView.ui.setNsTalkView();
		
		// 타이틀 클릭시 이벤트 처리
		$("#txtNsTalkTitle").unbind().bind('click',function(){
			mainCtrl.navigate(mainCtrl.getCurrentPageId(), mainCtrl.getCurrentPageParams());
		});
	
		// 채팅방 최초 실행 함수(sypark) =====================
		CurrentView.data.getTalkUserInfo(USERINFO.userId()); //고객 번호
		
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		call_NSTvLive : function() {
			// 방송상품 영역
			var invoke = new Object;
			invoke.espotInfo="";
			//방송데이타 호출
			tran.callWCSJsonTran( 'NSMobNsTalkMainCmd', invoke, CurrentView.ui.setOnAirArea );
		},
		/**
		 * 인증 API 호출
		 */
		getTalkUserInfo : function(userId){
			//넘어온 userId와 세션에 있는 userId가 같으면 API를 호출하고 틀리면 팅긴다.
			
			if(userId == null || userId.length < 1 ) {
				Ns.Popup.alert("유효하지 않은 사용자 입니다.", function(){
					CurrentView.ui.setTopBottomShow();
					navi.naviBack(); //이전으로 돌아가기
				});
			}
			
			if( userId != USERINFO.userId() ) {
				Ns.Popup.alert("유효하지 않은 사용자 입니다.", function(){
					CurrentView.ui.setTopBottomShow();
					navi.naviBack(); //이전으로 돌아가기
				});
			}
			
			var invoke = new Object;
			invoke.espotInfo="";
			tran.callWCSJsonTran( 'NSMobNsTalkForInfoBankCmd', invoke, CurrentView.ui.setETVForInfoBank );
			
		},
		call_NSTalkViewLive : function() { //새로운 방송 조회
			var invokeParams = {};
			tran.callWCSJsonTran( 'NSMobNsTalkMainCmd', invokeParams, CurrentView.ui.setONAIRarea);
		},
		//현재 방송중인 아이템을 가져온다. 
		getCurrentLiveItem : function( data ) {
			try{
				//방송시간 노출 
				var idx = -1;
				var msecPerMinute = 1000 * 60;
				var msecPerHour = msecPerMinute * 60;
				var currentTime = Ns.Date.getDateParse( Ns.Date.calcDate( '', 0, 0, 0, 0, 'yyyy-MM-dd HH:mm:ss' ) );
	
				for( var i=0; i<data.length; i++ ) {
	
					var etime = Ns.Date.getDateParse02( data[i].endDttm );
	
					idx = i;
	
					var interval = ( etime.getTime() - currentTime.getTime() );
					var hours = Math.floor( interval / msecPerHour );
	
					interval = interval - (hours * msecPerHour );
					var minutes = Math.floor(interval / msecPerMinute );
					
					try{
//						if(mainCtrl.VIEW_TYPE == "android")
						Ns.Native.transText(data[0].goodsName);
					} catch (e) {
						// TODO: handle exception
						//console.log("ETVPluginBridge.setTitle Error==================================================");
					}
	
					interval = interval - (minutes * msecPerMinute );
					var seconds = Math.floor(interval / 1000 );
					var today = new Date();
	
					CurrentView.REMAINING_TIME = new Date( today.getFullYear(), today.getMonth(), today.getDay(), hours,  minutes,  seconds );
					break; //현재 방송 중인 아이템
				}
			}
			catch(e){
				CurrentView.event.regErrlog('getCurrentLiveItem', e);
				idx = -1;
			}

			return idx;
		}
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		setETVLiveTime : function( ) {
			mainCtrl.checkTimerObject();
			mainCtrl.m_timer = setInterval(CurrentView.ui.sOnTimer, 1000);
		},
		sOnTimer : function() {
			var addZero = function(number){
				return parseInt(number, 10) < 10 ? "0" + number : number;
			};

			CurrentView.REMAINING_TIME.setSeconds( CurrentView.REMAINING_TIME.getSeconds() - 1 );

			var hour = addZero( CurrentView.REMAINING_TIME.getHours() );
			var min = addZero( CurrentView.REMAINING_TIME.getMinutes() );
			var second = addZero( CurrentView.REMAINING_TIME.getSeconds() );

			if ( hour == 23 && min == 59 && second == 59 ) {
				CurrentView.event.gotoMainPage(); //이전페이지 돌아가기
				/*$("#liveTimer").html( '' );
				mainCtrl.checkTimerObject(); // destroy timer
				CurrentView.data.call_NSTalkViewLive(); //새로운 방송 조회
*/			} else {
				$("#liveTimer").html( hour + ':'+ min +':'+ second );
			}
		},
		/**
		 * TV(동영상 영역 셋팅)
		 */
		setOnAirArea : function(data){
			
			try{
				var tvlist =data.msg.TotalOrgan;
				
				if( tvlist == undefined || tvlist.length == 0 ) {
					CurrentView.event.gotoMainPage(); //방종알림
					return false;
				}
				
				var idx = CurrentView.data.getCurrentLiveItem( tvlist );
				
				if ( idx < 0 ) {
					CurrentView.event.gotoMainPage(); //방종알림
					return false;
				}
				
				var info = tvlist[idx];
				var disp = info.dispTypeCd;
				var imageUrl = Ns.Util.getImageUrl( info.partNumber, "X6" );
				
				//상품번호가 undefined로 들어오는 경우 이미지 호출할때 이미지 오류 관련 방어로직
				if(info.partNumber == "undefined"){
					imageUrl = "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg";
				}
				
				//방송상품 이미지 세팅
				$("#livePrcImg").attr("imgType", "X6");
				$("#livePrcImg").attr("src", imageUrl);
				$('#livePrcImg').off().on('error', function(){
						$(this).attr("src", "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg");
				});
				//방송상품 상품명 세팅
				var productName = "";
				$("#liveProductName").html(info.goodsName);
				
				//방송상품 판매가 세팅
				if ( info.dispTypeCd=='57' || info.dispTypeCd =='45' ) {
					$("#liveOfferPrice").html(Ns.Util.insertCommas( info.mmRntalPrc ));
				} else {
					$("#liveOfferPrice").html(Ns.Util.insertCommas( info.priceofferprice ));
				}
				
				// 방송상품 이미지 클릭 이벤트 
				$("#liveGoProduct").off().on("click", function(){
					CurrentView.event.onclick_btnGotoProductDisplay();
				})
				
				// 플레이 버튼 클릭 이벤트
				$("#btnShowLive").off().on("click", function(){
					CurrentView.event.onclick_btnShowLive();
				})
				
				//방송 남은 시간 설정.
				CurrentView.ui.setETVLiveTime();
				
				CurrentView.PARTNUMBER = info.partNumber; //상품코드 info.partNumber
				CurrentView.MULTICD = info.multiCd; //
				CurrentView.BUSCHNID = info.busChnId; //
				
			} catch(e){
				CurrentView.util.regErrlog('setLiveTVShopping', e);
				CurrentView.event.gotoMainPage();
				return false;
			}
		},
		/**
		 * 인증 API 값을 받아서 세팅 
		 */
		setETVForInfoBank : function (data){
			
			var perInfo = data.msg.PersonalInfo;
			if( perInfo == undefined || perInfo.length == 0 ) {
				return false;
			}
			
			var user_id = perInfo.user_id;
			var user_tel = perInfo.user_tel;
			
			var prdInfo =data.msg.OnAirPrdInfo;
			if( prdInfo == undefined || prdInfo.length == 0 ) {
				return false;
			}
						
			var info = prdInfo[0];
			var product_code = info.product_code;
			var product_name = info.product_name;
			
			
			var chatInfo = new Object();
			chatInfo.user_id = user_id;
			chatInfo.user_tel = user_tel;
			chatInfo.product_code = product_code;
			chatInfo.product_name = product_name;
			
			CurrentView.ISTALK_SOCKET = true;
			_INFOBANK_NSTALK_MAIN.init(chatInfo); //사용자 정보 넘겨준다. 
		},
		setTopBottomShow : function(){
			Ns.UI.setTopBottomShow();
		},
		/*
		 * 상단 하단 네비게이션 영역 숨김 
		 */
		setTopBottomHide : function() {
			Ns.UI.setTopBottomHide();
		},
		setNsTalkView : function() {
			$('.sort_select').mousedown(function() {
				$(this).addClass('active');
			});
			$('.sort_select li a').click(function() {
				var sort = $(this).text();
					$('.sort_select .btn_select > span').text(sort);
					$('.sort_select').removeClass('active');
				});
			
				
			$(document).mouseup(function(e) {
				var sort = $('.sort_select ul');
				if(sort.has(e.target).length===0)
					sort.parent().removeClass('active');
			});
			
			
			//-- ios app 버전 구분 --
			if ( mainCtrl.VIEW_TYPE == "ios" ) {
				
				var elW = document.getElementById('tailkWrite');
				var elC = document.getElementById('container');
				var elL = $('.nstalk_listwrap'); 
				
				elW.onfocus = function() {
					var chat_area = $('#wrap').height()-$('.nstalk_live_wrap').height();
					chat_area = chat_area - 80;
					elL.css('min-height',chat_area+'px');
					
					elC.setAttribute('data-focus', 'true');
					$("#pageHeader").attr('data-focus', 'true');
					$('.nstalk_list_sort').css('marginTop','-12%');
					$(".nstalk_input").css({
						'position': 'absolute',
						'bottom': 0
					});
				};
				
				elW.onblur = function() {
			        elL.css('min-height','auto');
					elC.setAttribute('data-focus', 'false');
					$("#pageHeader").attr('data-focus', 'false');
					$('.nstalk_list_sort').css('marginTop','0');
					$(".nstalk_input").removeAttr('style');
				};
				
			} else {
				//-- 키패드 제어 --
				$('#tailkWrite').bind('blur',function(){
					$(".nstalk_live_wrap").show();
					$("#nsTalkSendBtn").focus(); //talk sendBtn 제어
					$('.nstalk_cont_wrap').removeClass('top');
					$('.nstalk_list_sort').removeClass('top');
				});
				
				////-- 키패드 제어 -- 입력창 터치
				$('#tailkWrite').bind('focus',function(){
					$(".nstalk_live_wrap").hide();
					$('.nstalk_cont_wrap').addClass('top');
					$('.nstalk_list_sort').addClass('top');
					$("html,body").animate({scrollTop:$(document).height()}, 100);
				});
			}
	
		}
	},

	//이벤트 관련 함수를 정의한다.
	event : {
		gotoMainPage : function() { //방송종료시 메인 이동
			_INFOBANK_NSTALK_MAIN.moveOtherPage();
			Ns.Popup.alert("해당 방송이  종료되었습니다.", function(){
				CurrentView.ui.setTopBottomShow();
				//navi.naviBack();
				mainCtrl.navigate(PAGE.main, null);
			});
			
		},
		// 채팅방 종료에 따른 이전페이지 이동 실행
		gotoBackPage : function(msg) {
			_INFOBANK_NSTALK_MAIN.moveOtherPage();
			Ns.Popup.alert(msg, function(){
				CurrentView.ui.setTopBottomShow();
				mainCtrl.navigate(PAGE.main, null);
			});
		},
		
		//상품 상세 바로가기
		onclick_btnGotoProductDisplay : function() {
			var params={
					partNumber : CurrentView.PARTNUMBER,
					multiCd : CurrentView.MULTICD,
					busChnId : CurrentView.BUSCHNID
				}
			//상세 페이지 이동
			CurrentView.ui.setTopBottomShow();
			mainCtrl.navigate( "M_G2600000M", params );
		},
		/*
		 * ====================================================
		 *  영상 재생 관련 event function  
		 * ====================================================
		 * */
		video_play : function() {
			var html = '';
			html += '<div class="pause_layer" style="display: none;">';
			html += '<p class="pauseclose_btn"><img onclick="CurrentView.event.click_cancle();" src="./images/common/pauseclose_btn.png" alt=""></p>';
			html += '   <ul>';
			html += '    <li class="fullsc_btn"><img onclick="CurrentView.event.click_fullView(this);" src="./images/common/fullscreen_btn.png" alt=""></li>';
			html += '    <li class="pause_btn"><img id="pnp_btn" onclick="CurrentView.event.click_VideoToggle();" src="./images/common/pause_btn.png" alt=""></li>';
			html += '    <li class="viewitem_btn"><img onclick="CurrentView.event.onclick_btnGotoProductDisplay();" src="./images/common/go_btn.png" alt=""></li>';
			html += '   </ul>';
			html += '  </div>';
			//click_cancle
			if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
				html += '	<video id="vid" onclick="CurrentView.event.click_fade()" autoplay  poster="./images/back.png" preload="true" webkit-playsinline style="transform: scaleX(1.35);-webkit-transform: scaleX(1.35);width:100%;">';
			}else{//아이폰
				// dhlee 2017.04.10 이미지 경로 수정
				html += '	<video id="vid" onclick="CurrentView.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline>';
			}
			//운영
			html += '		<source src="http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8" type="video/mp4" >';
			//개발
//			html += '		<source src="http://shoppstream.nsmall.com/IPHONE/mobile.m3u8" type="video/mp4" >';		
//			html += '		<source src="http://221.140.53.53/IPHONE/mobile.m3u8" type="video/mp4" >';		
//			html += '		<source src="http://192.168.13.87/IPHONE/mobile.m3u8" type="video/mp4" >';		
			html += '		Your browser does not support the video tag.';					
			html += '	</video>';
			
			$('#mainItem').html(html);
			
			$('#mainItem').css('background-image', '');
			$('#mainItem').css('padding', '0px');
			$('#vid').css('height', CurrentView.VIDEO_HEIGHT );
			
			if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
			}
			else{
				$('#vid').css('height', CurrentView.VIDEO_HEIGHT );
			}
			
			document.getElementById('vid').play();
			mainCtrl.bVideoplay = true;
		},
		//영상 영역 -영상 닫기
		click_cancle : function(){
			document.getElementById('vid').pause();
			mainCtrl.bVideoplay = false;
			var html = '';
			html += '<p class="onair"><span class="broad_timer" id="liveTimer"></span></p>';
			html += '<p class="mov_btn" id="btnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
			html += '<a href="javascript:;" class="go_item" id="liveGoProduct">상품상세로 바로가기</a>';
			html += '<div>';
			html += '	<img id="livePrcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
			html += '</div>';
			
			$('#mainItem').html(html);
			CurrentView.data.call_NSTvLive();
		},
		click_fade : function(){
			$('.video').fadeIn();
			$('.pause_layer').fadeIn();
			setTimeout( function(){
				//일시정지일 때는 항상 버튼 레이어 노출
				if(CurrentView.isPlay){
					$('.video').fadeOut();
					$('.pause_layer').fadeOut();
				}
			}
			,2000 );
		},
		/**
		 * 안드로이드 영상재생 콜백함수
		 * */
		playToggle : function(isplay) {
			CurrentView.isPlay = isplay;
			CurrentView.event.click_VideoToggleBtn();
		},
		click_VideoToggle : function(){
			CurrentView.isPlay = document.getElementById('vid').paused;
			mainCtrl.bVideoplay = false;
			CurrentView.event.click_VideoToggleBtn();
		},
		click_VideoToggleBtn : function(){
			//일시정지
			if(!CurrentView.isPlay){
				$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
			}
			else{ //제셍
				$("#pnp_btn").attr("src", "./images/common/pause_btn.png");
				document.getElementById('vid').play();
				mainCtrl.bVideoplay = true;
				//재생할 경우 버튼 레이어 제거
				$('.video').fadeOut(); 
				$('.pause_layer').fadeOut();
			}
		},
		click_fullView : function(obj){ //전체보기
			var item = $(obj).siblings().last();
			if(CurrentView.isPlay){ //플레이중
				$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
			}
			Ns.Native.nsShopTvHomeShoppingViewDirect( "LIVE", "http://livestream.nsmall.com:1935/IPHONE/nsmallMobile.m3u8", null, CurrentView.isPlay);
		},
		onclick_btnShowLive : function(data) { // 생방송보기
			
			var msg = "3G/LTE 환경에서 이용시 요금제에 따라 데이터 요금이 부가될 수 있습니다.<br/>시청하시겠습니까?";
			
			var okFuc = function() {
				//navi.setMovePointer(-1);
				navi.delNextAll();
				CurrentView.event.video_play();
				return false;
			};
			var cancelFuc = function() {
				//navi.setMovePointer(-1);
				navi.delNextAll();
				return false;
			};
			
			Ns.Popup.confirm( msg, okFuc, cancelFuc, "예", "아니오", null, null, null);
		}
	},
	
	util : {
		regErrlog : function(funcNm, e){
			Ns.Util.viewConsoleLog("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
		},
		/**
		 * 공통 Interval clear 처리를 위한 intervalArray에 적재하는 function
		 */
		regRemoveIntervalTimer : function(data) {
			navi.arrInteval.push(data);
		},
		/**
		 * 소켓 통신 종료 함수 외부에서 호출
		 */
		endConnectTalkSocket : function() {
		  _INFOBANK_NSTALK_MAIN.moveOtherPage(); //NS talk에서 제공하는 종료처리 function
		  $(document).scrollTop(0);
		}
	}
};