
/* JavaScript content from js/talk/M_G3100000M.js in folder common */
/* 
 *	띵 라이브 톡
 *  ID : M_G3100000M
 *  
 */

//page 컨트롤 클래스
CurrentView = {
	REMAINING_TIME : null,
	
	VIDEO_WIDTH : 0,
	VIDEO_HEIGHT : 0,
	VIDEO_Before : 0,
	VIDEO_After : 0,
	intervalId : 0,
	isPlay     : false, //동영상 재생중 여부
	
	vodUrl : null,
	vodPlayGubun : null,
	VOD_LIVE_ID : null,
	PARTNUMBER : null,
	MULTICD : null,
	BUSCHNID : null,
	ISTALK_SOCKET : false,
	playYn : false,
	
	init : function(params) {
		this.initializeComponent(params);
		this.onLoad(params);
		uiBase._layerPopup();
	},
	
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function( params ) {
		var mWidth = $('#mainItem').outerWidth();
		var divided = mWidth / 16;
		CurrentView.VIDEO_WIDTH = mWidth;
		CurrentView.VIDEO_HEIGHT  = divided * 8;
		CurrentView.playYn = params.playYn;
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function(params) {
		
		//상단 하단 네비게이션 영역 숨김 
		Ns.UI.setTopBottomHide();
		//방송 불러오기..
		CurrentView.data.getLiveInfo();
		//Talk 관련 UI 셋팅
		CurrentView.ui.setNsTalkView();
		
		CurrentView.util.initEvent();
		
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		getLiveInfo : function(params) {
			// 방송상품 영역
			var invokeParams = {};
			invokeParams.viewGubun = "VODLIVE";
			invokeParams.memberId = USERINFO.custNum();
			invokeParams.gubun =  "0";

			tran.callWCSJsonTran('NSMobVodPlayCmd',invokeParams, CurrentView.ui.uiDraw);
		},
		
		getUserCount : function(vodCmmtYn){
			if(vodCmmtYn == "Y"){
				var getUserCountAjax = function(){
					$.ajax({
						url    	: "http://" + Const.SHOPPLAY_TALK_PATH + "/api/users/count",
						type	: "POST",
						data	: {},
						success : function(data){
							if(data && data.code == 0){
								$(".chat_opt.parting").show();
								$("#userCount").text(data.users_count);
							}
						},
						error: function (error) {
							CurrentView.util.regErrlog("getUserCount", error);
						}
					});
				};
				getUserCountAjax();
				mainCtrl.checkNsTalkTimerObject();
				mainCtrl.nsTalk_timer = setInterval(getUserCountAjax, 10000); //10초 간격으로 호출
				navi.arrInteval.push(mainCtrl.nsTalk_timer); 
			} else {
				$(".chat_opt.parting").hide();
			}
			
		}
	},
	
	//ui 관련 함수를 정의한다.
	ui : {
		uiDraw : function(params){
			if(!params && !params.msg){
				Ns.Popup.alert("잘못된 경로 입니다.", function(){
					Ns.UI.setTopBottomShow();
					navi.naviBack(); //이전으로 돌아가기
				});
				return false;
			}
			
			var data 		= params.msg.root
			,	vodMainPrd	= data._vod_main_product
			,	vodRelPrd	= data._vod_relation_product;
			
			// 방송 상품 영역
			CurrentView.ui.setVodLiveArea(data);
			
			//메인 상품
			if(vodMainPrd.length > 0){
				CurrentView.ui.drawProdArea(vodMainPrd,"main");
			}
			
			//연관 상품
			if(vodRelPrd.length > 0){
				CurrentView.ui.drawProdArea(vodRelPrd,"rel");
			}
			
			$("#prdCount").text(vodMainPrd.length + vodRelPrd.length);
			
		},
		
		setVodLiveArea : function(data){
				
				var	vodLiveStartDttm	= data.vodLiveStartDttm			//라이브동영상 시작일시분초 (ex.20190228163000) startDttm
				,	vodLiveEndDttm		= data.vodLiveEndDttm			//라이브동영상 종료일시분초
				,	vodLiveGoodsNm		= data.vodLiveGoodsNm			//라이브편성명
				,	vodLiveId			= data.vodLiveId				//라이브편성코드
				,	vodLiveImg			= data.vodLiveImg				//라이브 이미지
				,	vodNstalkYn			= data.vodNstalkYn				//NSTALK 사용 여부 Y/N
				,	vodPlayGubun		= data.vodPlayGubun				//PLAY_GUBUN : 'VIDEO':예고, 'LIVE':라이브
				,	vodVideoStartDttm	= data.vodVideoStartDttm		//예고동영상 시작일시분초 (ex.20190228163000) startDttm
				,	vodVideoEndDttm		= data.vodVideoEndDttm			//예고동영상 종료일시분초
				,	vodVideoUrl			= data.vodVideoUrl				//예고동영상 URL
				,	vodLiveMdNm			= data.vodLiveMdNm				//MD명
				,	vodLivePdNm			= data.vodLivePdNm				//SH명
				,	vodLiveShNm			= data.vodLiveShNm;				//PD명
				
				CurrentView.VOD_LIVE_ID = vodLiveId;
				CurrentView.vodPlayGubun = vodPlayGubun;
				
				if(vodPlayGubun == "LIVE"){
					CurrentView.vodUrl		   = Const.LIVE.url.shopPlay;
					CurrentView.REMAINING_TIME = vodLiveEndDttm;
				} else {
					CurrentView.vodUrl		   = vodVideoUrl
					CurrentView.REMAINING_TIME = vodLiveStartDttm;
				}
									
				//방송 남은 시간 설정
				CurrentView.ui.setVodLiveTime();
					
				$("#livePrcImg").attr("src", vodLiveImg);
				$('#livePrcImg').off().on('error', function(){
					if ($(this).attr("imgType") == "X6"){
						$(this).addClass("thumbanil_small");
						$(this).attr("imgType", "H");
						$(this).attr("src", Ns.Util.getImageUrl( info.partNumber, "H" ));
					} else if ($(this).attr("imgType") == "H"){
						$(this).removeClass("thumbanil_small");
						$(this).attr("imgType", "NO");
						$(this).attr("src", "http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg");
					}			
				});
				
				var triggerIndex = 0;
				if(vodNstalkYn == "Y" && data.PersonalInfo){
					CurrentView.ui.initTalk({
							type			: "shopPlay"
							, user_id 		: data.PersonalInfo.user_id
							, user_tel 		: data.PersonalInfo.user_tel
							, product_code	: vodLiveId
							, product_name 	: vodLiveGoodsNm
							, vodCmmtYn		: data.vodCmmtYn
					});
				} else {
					triggerIndex = 1;
					$('.thinglive_tab .button').eq(0).hide();
				}
				
				$('.thinglive_tab .button').eq(triggerIndex).trigger("click");
				
				if(CurrentView.playYn){
					CurrentView.event.video_play();
				}
				
				var invokeParams = {};
				invokeParams.vodLiveId 	= vodLiveId;
				invokeParams.viewGubun 	= "VODLIVE";
				invokeParams.memberId 	= USERINFO.custNum();
				invokeParams.gubun 		=  "0";
				tran.callPageLogging( "M_G3100000M" , invokeParams );
		},
		
		
		drawProdArea : function(prdList , type){
			var listId = (type == "main" ? "ulMainPrdtList" : "ulRelPrdtList");
			$("#" + listId).html("");
			
			for ( var k = 0; k < prdList.length; k++ ) {
				var info = prdList[k].productDetail;
				if(!info) continue;
			
				// 상품  이미지
				var noImageUrl = Const.NO_IMAGE_URL + 'noimage_H.jpg';
				var imageUrl = Ns.Util.getImageUrl( info.partnumber, "H" );
				
				// 상품명
				var productName = Ns.UI.getProductName( info.brandCd, info.brand_kor_nm, info.itncatentrynm );
				
				//판매가
				var offerPrice = "";
				offerPrice = Ns.Util.insertCommas( info.priceofferprice );

				var func = "CurrentView.event.onclick_btnGotoProductDisplay";
				
				// multiCd
				var tmp_multiCd = null;
				if(info.multiCd != "") tmp_multiCd = info.multiCd;
            	
				// 옵션대표가 flag
				var optRepYn = "";
				if(info.prcWaveDisp){
					optRepYn = info.prcWaveDisp;							
				}
				
				// 연관상품 영역 셋팅
            	var prcHtml = Ns.Util.stringFormat('\
            			<li class="list_wrap">\
    					<a href="javascript:{0}({1},{2},\'{3}\');" class="vod_thumb_item">\
    						<div class="img_thumb">\
    							<img src="{4}" onerror="this.src=\'{5}\';" alt="상품 이미지">\
    						</div>\
    						<div class="info">\
    							<div class="txt_wrap">\
    		                		<p class="txt">{6}</p>\
    		                		<span class="price">{7}</span>{8}\
    		              		</div>\
    		            	</div>\
    		          	</a>\
    		        </li>',func,info.partnumber, tmp_multiCd, info.busChnId,imageUrl,noImageUrl,productName,offerPrice,optRepYn);
			
            	$("#" + listId).append(prcHtml);
			}
			CurrentView.ui.resizeTab();
		},
		
		setVodLiveTime : function( ) {
			mainCtrl.checkTimerObject();
			mainCtrl.m_timer = setInterval(CurrentView.ui.sOnTimer, 1000);
		},
		
		sOnTimer : function() {
			var timeLimit = Ns.Date.getPeriodDate( CurrentView.REMAINING_TIME, "json" );
			var day = timeLimit.day;
			var hour = Number(timeLimit.hour) + (day * 24);
			var min = timeLimit.minute;
			var second = timeLimit.second;
			
			if ( timeLimit.hour == 23 && timeLimit.minute == 59 && timeLimit.second >= 30 ) {
				CurrentView.REMAINING_TIME = null;
				mainCtrl.checkTimerObject(); //destory timer	
				mainCtrl.checkNsTalkTimerObject(); // 접속자 체크 타이머 제거
				
				_INFOBANK_NSTALK_MAIN.stopInterval();
		        _INFOBANK_NSTALK_MAIN.closeWebSocket();
				INFOBANK_NSTALK_WEB_SOCKET = null;
				
				var objAlertParam = new Object();
				if(CurrentView.vodPlayGubun != "LIVE"){
					objAlertParam.aletType 	= "nAlert";
					objAlertParam.position 	= "center";
					objAlertParam.msg 		= "해당 방송이 시작되었습니다.";
					setTimeout(function(){
						if(CurrentView.isPlay){
							document.getElementById('vid').pause();
						}
						CurrentView.data.getLiveInfo();
					},3000);
				} else {
					objAlertParam.aletType	= "bAlert";
					objAlertParam.position 	= "bottom";
					objAlertParam.msg 		= "해당 방송이  종료되었습니다.";
					objAlertParam.btn1Nm 	= "나가기";
					objAlertParam.btn1fn 	= CurrentView.event.gotoMainPage;
					objAlertParam.btn2Nm	= "머무르기"
					objAlertParam.bAutoHide = false;
					
					$("#nsTalkSendBtn").attr("disabled",true);
				}
				Ns.Popup.cAlert(objAlertParam);
			}
		},

		/**
		 * 인증 API 값을 받아서 세팅 
		 */
		initTalk : function (chatInfo){
			var hideChat = function(){
				var $tab = $('.thinglive_tab .button');
				$tab.eq(0).hide();
				$tab.eq(1).trigger("click");
			}
			
			$.ajax({
					url         	: "http://" + Const.SHOPPLAY_TALK_PATH + "/api/messages",
					data        	: {code : chatInfo.product_code},
					crossDomain		: true,
					type        	: 'POST',
					dataType   		: 'json',
					success     	: function(data){
						if (data.code == "0"){
							if (data.talk_enable) {
								CurrentView.ISTALK_SOCKET = true;
								_INFOBANK_NSTALK_MAIN.init(chatInfo); //사용자 정보 넘겨준다.
								CurrentView.data.getUserCount(chatInfo.vodCmmtYn);
							} else {
								hideChat();
							}
						}else{
							hideChat();
						}
					},
					error: function(data) {
						hideChat();
					}
			});
		},
		
		setNsTalkView : function() {
			$('.sort_select').mousedown(function() {
				$(this).addClass('active');
			});
			$('.sort_select li a').click(function() {
				var sort = $(this).text();
					$('.sort_select .btn_select > span').text(sort);
					$('.sort_select').removeClass('active');
				});
			
				
			$(document).mouseup(function(e) {
				var sort = $('.sort_select ul');
				if(sort.has(e.target).length===0)
					sort.parent().removeClass('active');
			});
			
			
			//-- ios app 버전 구분 --
			if ( mainCtrl.VIEW_TYPE == "ios") {
				
				var elW = document.getElementById('tailkWrite');
				var elC = document.getElementById('container');
				var elL = $('.nstalk_listwrap'); 
				
				elW.onfocus = function() {
					var chat_area = $('#wrap').height()-$('.thinglive_wrap').height();
					chat_area = chat_area - 80;
					elL.css('min-height',chat_area+'px');
					
					elC.setAttribute('data-focus', 'true');
					$("#pageHeader").attr('data-focus', 'true');
					$('.nstalk_list_sort').css("top", 0);
					$(".nstalk_input").css({
						'position': 'absolute',
						'bottom': 0
					});
					
				};
				
				elW.onblur = function() {
					elL.css('min-height','auto');
					elC.setAttribute('data-focus', 'false');
					$("#pageHeader").attr('data-focus', 'false');
					$(".nstalk_input").removeAttr('style');
					CurrentView.ui.resizeTab();
				};
				
			} else {
				//-- 키패드 제어 --
				$('#tailkWrite').bind('blur',function(){
					$(".thinglive_wrap").show();
					$("#nsTalkSendBtn").focus(); //talk sendBtn 제어
					$('.nstalk_cont_wrap').removeClass('top');
					$('.nstalk_list_sort').removeClass('top');
					CurrentView.ui.resizeTab();
				});
				
				////-- 키패드 제어 -- 입력창 터치
				$('#tailkWrite').bind('focus',function(){
					$(".thinglive_wrap").hide();
					$('.nstalk_cont_wrap').addClass('top');
					$('.nstalk_list_sort').addClass('top').removeAttr("style");
					$("html,body").animate({scrollTop:$(document).height()}, 100);
				});
			}
		},
		
		resizeTab : function(index){
			var headerHeight = $("#pageHeader").innerHeight()
			var defaultConHeight = $('.thinglive_wrap').height();
			
			$('.jsheight_target').css({
				'padding-top': defaultConHeight + 'px'
			});
		    $('.nstalk_list_sort').css({
		        'top': (headerHeight + defaultConHeight) + 'px'
		    });
		    
			if (index && index == 1) {
				$(document).scrollTop(0);
			} else {
				$(document).scrollTop($(document).height());
			}
		    
		}
	},

	//이벤트 관련 함수를 정의한다.
	event : {
		onclick_thinglive_tab : function(){
			var $this = $(this);
			var $thingButton = $('.thinglive_tab .button');
			var $thingContainer = $('.tab_container');
									
			$thingButton.removeClass("on");
			$this.addClass("on");
			
			$thingContainer.removeClass("on")
							.eq($this.index()).addClass("on");
			
			if ($this.index() == 1) {
				$('.nstalk_tip').hide();
				var invokeParams = {};
				invokeParams.memberId 	= USERINFO.custNum();
				invokeParams.viewGubun 	= "VODLIVE";
				invokeParams.vodLiveId 	= CurrentView.VOD_LIVE_ID;
				invokeParams.gubun 		= "9";
				tran.callPageLogging( "M_G3100000M", invokeParams );
			} else {
				$('.nstalk_tip').show();
			}
			
			CurrentView.ui.resizeTab($this.index());
		},
		
		gotoMainPage : function() { //방송종료시 메인 이동
			Ns.UI.setTopBottomShow();
			mainCtrl.navigate(PAGE.main, null);
			
		},
			
		//상품 상세 바로가기
		onclick_btnGotoProductDisplay : function(partNumber,multiCd,busChnId) {
			var params={
					partNumber 	: partNumber,
					multiCd 	: multiCd,
					busChnId 	: busChnId
				}
			//상세 페이지 이동
			Ns.UI.setTopBottomShow();
			mainCtrl.navigate( "M_G2600000M", params );
		},
		/*
		 * ====================================================
		 *  영상 재생 관련 event function  
		 * ====================================================
		 * */
		video_play : function() {
			var html = '';
			html += '<div class="pause_layer" style="display: none;">';
			html += '	<p class="pauseclose_btn"><img onclick="CurrentView.event.click_cancle();" src="./images/common/pauseclose_btn.png" alt=""></p>';
			html += '   <ul>';
			html += '    	<li class="fullsc_btn"><img onclick="CurrentView.event.click_fullView(this);" src="./images/common/fullscreen_btn.png" alt=""></li>';
			html += '    	<li class="pause_btn"><img id="pnp_btn" onclick="CurrentView.event.click_VideoToggle();" src="./images/common/pause_btn.png" alt=""></li>';
			html += '    	<li class="viewitem_btn"><img onclick="$(\'.thinglive_tab .button\').eq(1).trigger(\'click\');" src="./images/common/go_btn.png" alt=""></li>';
			html += '	</ul>';
			html += '</div>';
			//click_cancle
			if( mainCtrl.VIEW_TYPE == "android" || mainCtrl.VIEW_TYPE == "androidweb"){//안드로이드
				html += '<video id="vid" onclick="CurrentView.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" webkit-playsinline >';
			}else{//아이폰
				html += '<video id="vid" onclick="CurrentView.event.click_fade()" autoplay style="width:100%;object-fit:fill" poster="./images/back.png" preload="true" playsinline>';
			}
			//운영
			html += '		<source src="' + CurrentView.vodUrl +'" type="video/mp4" >';
			html += '		Your browser does not support the video tag.';					
			html += '	</video>';
			
			$('#mainItem').html(html);
			
			$('#mainItem').css('background-image', '').css('padding', '0px');
			$('#vid').css('height', CurrentView.VIDEO_HEIGHT );
			
			//ios
			if( mainCtrl.VIEW_TYPE != "android" && mainCtrl.VIEW_TYPE != "androidweb"){
				$('#vid').css('height', CurrentView.VIDEO_HEIGHT );
			}
						
			document.getElementById('vid').play();
			CurrentView.ui.resizeTab();
			mainCtrl.bVideoplay = true;
			CurrentView.isPlay = true;
			
			var invokeParams = {};
			invokeParams.vodLiveId 	= CurrentView.VOD_LIVE_ID;
			invokeParams.viewGubun 	= "VODLIVE";
			invokeParams.memberId 	= USERINFO.custNum();
			invokeParams.gubun 		= CurrentView.vodPlayGubun == "LIVE" ? "2" : "1" 

			tran.callWCSJsonTran('NSMobVodPlayCmd', invokeParams,null);
			tran.callPageLogging( "M_G3100000M", invokeParams );
			
		},
		//영상 영역 -영상 닫기
		click_cancle : function(){
			document.getElementById('vid').pause();
			mainCtrl.bVideoplay = false;
			CurrentView.isPlay = false;
			
			var html = '';
			html += '<p class="mov_btn" id="btnShowLive"><img src="./images/common/play_btn.png" alt=""></p>';
			html += '<div>';
			html += '	<img id="livePrcImg" rep="0" src="http://image.nsmall.com/ec_comimages/itemimg/noimage_X6.jpg" alt="상품 이미지">';
			html += '</div>';
			
			$('#mainItem').html(html);
			CurrentView.data.getLiveInfo();
		},
		click_fade : function(){
			$('.video').fadeIn();
			$('.pause_layer').fadeIn();
			setTimeout( function(){
				//일시정지일 때는 항상 버튼 레이어 노출
				if(CurrentView.isPlay){
					$('.video').fadeOut();
					$('.pause_layer').fadeOut();
				}
			}
			,2000 );
		},
		/**
		 * 안드로이드 영상재생 콜백함수
		 * */
		playToggle : function(isplay) {
			CurrentView.isPlay = isplay;
			CurrentView.event.click_VideoToggleBtn();
		},
		click_VideoToggle : function(){
			CurrentView.isPlay = document.getElementById('vid').paused;
			CurrentView.event.click_VideoToggleBtn();
		},
		click_VideoToggleBtn : function(){
			//일시정지
			if(!CurrentView.isPlay){
				$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
			}
			else{ //재생
				$("#pnp_btn").attr("src", "./images/common/pause_btn.png");
				document.getElementById('vid').play();
				mainCtrl.bVideoplay = true;
				//재생할 경우 버튼 레이어 제거
				$('.video').fadeOut(); 
				$('.pause_layer').fadeOut();
			}
		},
		click_fullView : function(obj){ //전체보기
			var item = $(obj).siblings().last();
			if(CurrentView.isPlay){ //플레이중
				$("#pnp_btn").attr("src", "./images/common/play_btn02.png");
				document.getElementById('vid').pause();
				mainCtrl.bVideoplay = false;
			}
			
			//TODO URL 변경
			Ns.Native.openShopplusFullVOD( "shopPlay", CurrentView.vodUrl , null, CurrentView.isPlay);
		},
		onclick_btnShowLive : function() { // 영상 보기
			/*var msg = "3G/LTE 환경에서 이용시 요금제에 따라 데이터 요금이 부가될 수 있습니다.<br/>시청하시겠습니까?";
			
			var okFuc = function() {
				//navi.setMovePointer(-1);
				//navi.delNextAll();
				CurrentView.event.video_play();
				return false;
			};
			var cancelFuc = function() {
				//navi.setMovePointer(-1);
				//navi.delNextAll();
				return false;
			};
			
			var targetId = "mainItem";
			Ns.Popup.confirmLayer( msg, okFuc, cancelFuc, "예", "아니오", targetId);
			*/
			CurrentView.event.video_play();
		}, 
		
		gotoBackPage : function(msg) {
			
		}
	},
	
	util : {
		regErrlog : function(funcNm, e){
			Ns.Util.viewConsoleLog("(( Caught exception at \"" + funcNm + "\" -> " + e + " ))");
		},
		/**
		 * 공통 Interval clear 처리를 위한 intervalArray에 적재하는 function
		 */
		regRemoveIntervalTimer : function(data) {
			navi.arrInteval.push(data);
		},
		/**
		 * 소켓 통신 종료 함수 외부에서 호출
		 */
		endConnectTalkSocket : function() {
		  _INFOBANK_NSTALK_MAIN.moveOtherPage(); //NS talk에서 제공하는 종료처리 function
		  $(document).scrollTop(0);
		},
		
		initEvent : function(){
			// 타이틀 클릭시 이벤트 처리
			$("#txtNsTalkTitle").unbind().bind('click',function(){
				mainCtrl.navigate(mainCtrl.getCurrentPageId());
			});
			
			//홈화면 이동 버튼셋팅
			$('#gotoTalkHome').unbind().bind('click', function(){ 
				Ns.UI.setTopBottomShow(); //상단 하단 네비게이션 영역 숨김 해제
				mainCtrl.navigate(PAGE.main, null);
			});
			
			$("#btnPreview, #btnBack").off("click.shopPlay").on("click.shopPlay",function(){
				if(CurrentView.isPlay){
					document.getElementById('vid').pause();
					mainCtrl.bVideoplay = false;
				}
				Ns.UI.setTopBottomShow(); //상단 하단 네비게이션 영역 숨김 해제
				$("#btnPreview, #btnBack").off("click.shopPlay");
			});
			
			$("#mainItem").off().on("click", "#btnShowLive", function(){
				CurrentView.event.onclick_btnShowLive();
			});
			
			$(".thinglive_tab .button").off().on("click", CurrentView.event.onclick_thinglive_tab);
		}
		
	}
}