
/* JavaScript content from js/talk/nstalk.js in folder common */
/**
 * Created by lucia8918 on 2017-07-28.
 */


// GLOBAL VARIABLE
var INFOBANK_NSTALK_WEB_SOCKET = null;              // NSTalk WebSocket
var INFOBANK_NSTALK_WEB_SOCKET_RETRY_COUNT = 3;     // WS 연결 재시도 횟수
var INFOBANK_NSTALK_SEND_FLAG = 0;                  // 참여글 입력 유무 체크
var INFOBANK_NSTALK_SORT_FLAG = 0;                  // 정렬 유무 체크
var INFOBANK_NSTALK_INTERVAL_TIMER;                 // Interval Timer
var INFOBANK_NSTALK_OTHER_PAGE_GO_CASE = 0;         // 외부 페이지 이동 시, 호출 유무
var INFOBANK_NSTALK_CHAT_PROGRAM_ID = 0;            // 최초 인입시 가지고 있는 program_id
var INFOBANK_NSTALK_CHAT_JOIN_FLAG = 0;                  // 최초 인입 체크

/* console.log() 숨기는 함수 */
// console.log = function() {}

var _INFOBANK_NSTALK_MAIN = {
    
    /* NSTalk WebSocket HOST */
    // WS_URL : 'ws://localhost:9000/ws',               // LOCAL
    //WS_URL : 'ws://stnstalk.mand.co.kr:2199/ws',        // 개발계
    // WS_URL : 'ws://nstalk.mand.co.kr:2189/ws',       // 사용계
		
    //WS_URL : Const.IS_DEV_MODE == true ? ''ws://stnstalk.mand.co.kr:2199/ws' : 'ws://nstalk.mand.co.kr:2189/ws',
    WS_URL : 'ws://' + Const.NSTALK_NSMALL_PATH + '/ws', 

    // chatting room information
    chatInfo: {"user_id": "", "user_tel": "", "product_code": "", "product_name": ""},

    // Ping Format
    pingMsg: {"type": "ping"},

    // Message Format
    userMsg: {"type": "message", "method": "put", "properties": {"msg": ""}},

    top: function () {
        return _INFOBANK_NSTALK_MAIN;
    },
    // Init Function
    init: function (chatInfo) {
        // Define User Information
    	if(chatInfo.type == "shopPlay"){
    		_INFOBANK_NSTALK_MAIN.WS_URL = 'ws://' + Const.SHOPPLAY_TALK_PATH + '/ws';
    	}
        _INFOBANK_NSTALK_MAIN.chatInfo.user_id = chatInfo.user_id;
        _INFOBANK_NSTALK_MAIN.chatInfo.user_tel = chatInfo.user_tel;
        _INFOBANK_NSTALK_MAIN.chatInfo.product_code = chatInfo.product_code;
        _INFOBANK_NSTALK_MAIN.chatInfo.product_name = chatInfo.product_name;

        // Make WebSocket URL
        var WebSocketURL = _INFOBANK_NSTALK_MAIN.WS_URL + "/" + _INFOBANK_NSTALK_MAIN.chatInfo.product_code + "/" + _INFOBANK_NSTALK_MAIN.chatInfo.user_id + "/" + _INFOBANK_NSTALK_MAIN.chatInfo.user_tel;

        // WebSocket Create
        _INFOBANK_NSTALK_MAIN.WebSocket(WebSocketURL);

        // Button Action Create
        _INFOBANK_NSTALK_MAIN.btn();

    },
    // Btn Action Create Function
    btn: function () {
        var sendData = "";

        // '등록' 버튼 액션
        $("#nsTalkSendBtn").unbind("click").click(function () {
            sendData = $("#tailkWrite").val();

            // HTML tag 제거 - 2017.9.1. Lucas
            sendData = sendData.replace(/<(\/)?([a-zA-Z]*)(\s[a-zA-Z]*=[^>]*)?(\s)*(\/)?>/ig, "");
            sendData = sendData.replace(/(<([^>]+)>)/gi, "");

            // trim 제거 - 2017.08.31. Lucas
            sendData = sendData.trim();

            // Valid Check
            if (sendData == "" || sendData == null) {
                alert("내용을 입력해 주세요.");
                return;
            } else {
                _INFOBANK_NSTALK_MAIN.userMsg.properties.msg = sendData;
                INFOBANK_NSTALK_SEND_FLAG = 1;
                //console.log("## Send Data(Attend Msg).... " + JSON.stringify(_INFOBANK_NSTALK_MAIN.userMsg));
                INFOBANK_NSTALK_WEB_SOCKET.send(JSON.stringify(_INFOBANK_NSTALK_MAIN.userMsg));
            }
        });

        // '새로고침' 버튼 액션
        $("#btnReset").unbind("click").click(function () {
            _INFOBANK_NSTALK_MAIN.sendMsg(_INFOBANK_NSTALK_MAIN.pingMsg);
        });

    },
    // WebSocket Close Function
    closeWebSocket: function () {
        INFOBANK_NSTALK_WEB_SOCKET_RETRY_COUNT = 0;             // 재시도 횟수 0으로 설정. 2017.8.24 Lucas
        if(INFOBANK_NSTALK_WEB_SOCKET){
        	INFOBANK_NSTALK_WEB_SOCKET.close();
        }
    },
    // Interval STOP
    stopInterval: function () {
        clearInterval(INFOBANK_NSTALK_INTERVAL_TIMER);   // Interval Clear
    },
    /* TODO : 채팅 창에서 다른 페이지 이동 시, NS 공통 함수내에서 해당 호출 하시면, interval, WS 종료 처리 됩니다.*/
    // 다른 페이지 이동 시 호출 함수. 인터벌+웹소켓 종료 처리
    moveOtherPage: function () {

        // 외부 호출 Flag On
        INFOBANK_NSTALK_OTHER_PAGE_GO_CASE = 1;

        // Interval Clear
        _INFOBANK_NSTALK_MAIN.stopInterval();

        // WS CLOSE 함수 호출
        _INFOBANK_NSTALK_MAIN.closeWebSocket();
    },
    // WebSocket 연결 재시도 함수
    retryWebSocketCreate: function (WebSocketURL) {
        setTimeout(function () {
            _INFOBANK_NSTALK_MAIN.WebSocket(WebSocketURL);
        }, 500);
    },
    // Sleep 함수
    sleepFunc: function (num) {
        var now = new Date();
        var stop = now.getTime() + num;

        while (true) {
            now = new Date();
            if (now.getTime() > stop)return;
        }
    },
    /*
     채팅방 타입별 처리 함수
     parameter : msg_type
     0 >> 전체톡
     1 >> 나의톡
     3 >> 당첨톡
     4 >> 공지톡
     */
    changeChatType: function (msg_type, moveScrollYN) {
        setTimeout(function () {

            // console.log(">> moveScrollYN : " + moveScrollYN);

            // 메세지 타입별 체크
            // 전체톡 케이스
            if (msg_type == "0") {
                $("#talk_list > li").each(function () {
                    $(this).show();
                });
                // 나의톡 케이스
            } else if (msg_type == "1") {
                $("#talk_list > li").each(function () {
                    $(this).show();
                    if ($(this).attr("my_chat_yn") != "1") {
                        $(this).hide();
                    }
                });
                // 당첨톡 케이스
            } else if (msg_type == "3") {
                $("#talk_list > li").each(function () {
                    $(this).show();
                    if ($(this).attr("msg_type") != "3") {
                        $(this).hide();
                    }
                });
                // 공지톡 케이스
            } else if (msg_type == "4") {
                $("#talk_list > li").each(function () {
                    $(this).show();
                    if ($(this).attr("msg_type") != "4") {
                        $(this).hide();
                    }
                });
            }

            // confirm_yn, broadcast_yn CHECK 8918
            $("#talk_list > li").each(function () {
                $(this).find(".talk_box > #broad_strong_txt").hide();
                $(this).find(".talk_box > #event_strong_txt").hide();

                // 참여글인 경우
                if ($(this).attr("msg_type") == "1") {

                    if ($(this).attr("broadcast_yn") == "1") {
                        $(this).find(".talk_box #broad_strong_txt").show();
                    } else {
                        $(this).find(".talk_box #broad_strong_txt").hide();
                    }

                    if ($(this).attr("event_yn") == "1") {
                        $(this).find(".talk_box #event_strong_txt").show();
                    } else {
                        $(this).find(".talk_box #event_strong_txt").hide();
                    }
                }

                // 답글인 경우
                else if ($(this).attr("msg_type") == "2") {

                    if ($(this).attr("broadcast_yn") == "1") {
                        $(this).find(".talk_box #broad_strong_txt").show();
                    } else {
                        $(this).find(".talk_box #broad_strong_txt").hide();
                    }

                    if ($(this).attr("event_yn") == "1") {
                        $(this).find(".talk_box #event_strong_txt").show();
                    } else {
                        $(this).find(".talk_box #event_strong_txt").hide();
                    }
                }

                // 이벤트 당첨글인 경우
                else if ($(this).attr("msg_type") == "3") {

                    if ($(this).attr("broadcast_yn") == "1") {
                        $(this).find(".talk_box #broad_strong_txt").show();
                    } else {
                        $(this).find(".talk_box #broad_strong_txt").hide();
                    }

                    if ($(this).attr("event_yn") == "1") {
                        $(this).find(".talk_box #event_strong_txt").show();
                    } else {
                        $(this).find(".talk_box #event_strong_txt").hide();
                    }
                }
            });

            // 방타입에 따른 처리 로직
            $("#talk_list > li").each(function () {
                // 전체글 채팅방 타입
                if (msg_type == "0") {
                    if ($(this).attr("confirm_yn") == "0") {
                        // 나의 글인 경우 무조건 노출
                        if ($(this).attr("my_chat_yn") == "1") {
                            $(this).show();
                        } else {
                            $(this).hide();
                        }
                    } else {
                        $(this).show();
                    }
                }

                // 나의글 채팅방 타입
                else if (msg_type == "1") {
                    // 나의 글인 경우 무조건 노출
                    if ($(this).attr("my_chat_yn") == "1") {
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                }

                // 당첨글 채팅방 타입
                else if (msg_type == "3") {
                    if ($(this).attr("event_yn") == "0") {
                        $(this).hide();
                    } else if ($(this).attr("msg_type") != "1") {
                        $(this).hide();
                    } else {
                        if ($(this).attr("confirm_yn") == "0") {
                            // 나의 글인 경우 무조건 노출
                            if ($(this).attr("my_chat_yn") == "1") {
                                $(this).show();
                            } else {
                                $(this).hide();
                            }
                        } else {
                            $(this).show();
                        }
                    }
                }

                // 공지글 채팅방 타입
                else if (msg_type == "4") {
                    if ($(this).attr("msg_type") == "4") {
                        $(this).show();
                    } else {
                        $(this).hide();
                    }
                }
            });

            // 채팅방 정렬(msg_date asc) 호출
            _INFOBANK_NSTALK_MAIN.sortChat();

            // 채팅의 셀렉트 박스를 통해서 타입이 변경된 경우, 맨마지막 글 위치로 이동
            /*if (moveScrollYN != 0) {
                $("html,body").animate({scrollTop: $(document).height()}, 100);
            }*/
            
            $("html,body").animate({scrollTop: $(document).height()}, 100);
        }, 100);
    },
    // 해당 msg_key에 따른 채팅 검색
    searchChat: function (msg_key) {
        var isExist = 0;
        $("#talk_list > li").each(function () {
            if ($(this).attr("msg_key") == msg_key) {
                isExist = 1;
            }
        });
        return isExist;
    },
    // 해당 msg_key에 따른 채팅 삭제
    removeChat: function (msg_key) {
        //console.log("removeChat().............");
        $("#talk_list > li[msg_key=" + msg_key + "]").remove();
    },
    // 해당 msg_key에 따른 채팅 검색 후 삭제
    searchAndRemoveChat: function (msg_key) {
        $("#talk_list > li").each(function () {
            if ($(this).attr("msg_key") == msg_key) {
                _INFOBANK_NSTALK_MAIN.removeChat(msg_key);
            }
        });
    },
    // 채팅창 정렬(msg_date asc)
    sortChat: function () {
        setTimeout(function () {

            var mylist = $("#talk_list");
            var listitems = mylist.children('li').get();
            listitems.sort(function (a, b) {
                return $(a).attr("msg_date").toUpperCase().localeCompare($(b).attr("msg_date").toUpperCase());
            });
            $.each(listitems, function (idx, itm) {
                mylist.append(itm);
            });
        }, 200);
    },
    // 메세지 발송 함수
    sendMsg: function (sendData) {
        sendData = JSON.stringify(sendData);
        //console.log("## Send Data(PING/PONG).... " + sendData);
        INFOBANK_NSTALK_WEB_SOCKET.send(sendData);
    },
    // 웹소켓 함수
    WebSocket: function (WebSocketURL) {
        setTimeout(function () {

            INFOBANK_NSTALK_WEB_SOCKET = new WebSocket(WebSocketURL);

            // WebSocket onopen
            INFOBANK_NSTALK_WEB_SOCKET.onopen = function () {
                //console.log("## onopen....");

                // 성공시 리트라이 횟수 재 설정
                INFOBANK_NSTALK_WEB_SOCKET_RETRY_COUNT = 3;

                // Ping Pong Action, 30 Sec
                INFOBANK_NSTALK_INTERVAL_TIMER = setInterval("_INFOBANK_NSTALK_MAIN.sendMsg(_INFOBANK_NSTALK_MAIN.pingMsg)", 30000);
                //NS홈쇼핑 페이지 이동시 지울 timer값 -- sypark
                CurrentView.util.regRemoveIntervalTimer(INFOBANK_NSTALK_INTERVAL_TIMER);
            };
            // WebSocket onmessage
            INFOBANK_NSTALK_WEB_SOCKET.onmessage = function (event) {
                //console.log("## onmessage....");

                var rtnJsonResult = event.data;
                
                _INFOBANK_NSTALK_MAIN.MakeChat(rtnJsonResult);
                //console.log(rtnJsonResult);

                if (INFOBANK_NSTALK_SEND_FLAG == 1) {
                    $("#tailkWrite").val("");
                    $("#nsTalkSendBtn").focus();       // 모바일 환경에서 키패드 노출 제거를 위해 버튼으로 포커싱 처리. 2017.8.24 Lucas
                    INFOBANK_NSTALK_SEND_FLAG = 0;
                }
            };
            // WebSocket onclose
            INFOBANK_NSTALK_WEB_SOCKET.onclose = function () {
                // WebSocket is closed.

                // Exception Logic
                // 3회 시도
                if (INFOBANK_NSTALK_WEB_SOCKET_RETRY_COUNT > 0) {

                    // 1초 sleep
                    // _INFOBANK_NSTALK_MAIN.sleepFunc(1000);

                    // Retry WebSocket Create...
                    _INFOBANK_NSTALK_MAIN.retryWebSocketCreate(WebSocketURL);
                    //console.log("## webSocket - CONNECTION_Try ... (" + INFOBANK_NSTALK_WEB_SOCKET_RETRY_COUNT + ")");

                    // Try 카운트 --
                    INFOBANK_NSTALK_WEB_SOCKET_RETRY_COUNT--;
                } else {

                    // STOP Interval
                    _INFOBANK_NSTALK_MAIN.stopInterval();

                    /*
                     소켓 연결 3회 시도 실패한 경우 만, 페이지 이동 함수 호출 처리 로직.
                     뒤로가기, 페이지 이동, 홈버튼 눌렀을때 (페이지이동)의 액션은 없음.
                     즉, moveOtherPage() 함수를 호출 한 경우에는 인터벌+웹소켓만 종료하며, 페이지 이동 함수는 호출 되지 않음
                     */
                    if (INFOBANK_NSTALK_OTHER_PAGE_GO_CASE == 0) {
                        /* CurrentView.event.gotoBackPage("서버와의 연결에 실패하였습니다. 다시 시도해 주세요."); */
                        CurrentView.event.gotoBackPage("서버와의 연결에 실패하였습니다. 다시 시도해 주세요.");
                    }
                }
            };
            // WebSocket onerror
            INFOBANK_NSTALK_WEB_SOCKET.onerror = function () {
                //console.log("## onerror - ERR_CONNECTION_REFUSED CASE... 그리고 onclose 함수 호출됨.");
            };
        }, 200);
    },
    // 채팅풍선 만드는 함수
    MakeChat: function (rtnJsonResult) {
        setTimeout(function () {

            // String to Json Object
            rtnJsonResult = jQuery.parseJSON(rtnJsonResult);

            var appendHTML = "";

            // ERROR CASE
            if (rtnJsonResult.code == "1") {
                //console.log(rtnJsonResult);
                //console.log("## ERROR : " + rtnJsonResult.errors[0].msg);
                /*
                 에러가 발생 되었으므로, 뒤로가기 실행 CurrentView.event.gotoBackPage(rtnJsonResult.errors[0].msg); 이부분은 서버에서 내려주는 에러이기 때문에 해당 값을 그대로 노출시키면 됩니다. 현재는 return 으로 되어 있지만, 함수 적용시 제거 필요
                 */
                CurrentView.event.gotoBackPage(rtnJsonResult.errors[0].msg);
            } else if (rtnJsonResult.type == "program") {
                //console.log("## PROGRAM info receive!");
                //console.log(rtnJsonResult.program.id);
                if (INFOBANK_NSTALK_CHAT_JOIN_FLAG == 0) {
                    // console.log("## INIT PROGRAM");
                    // 최초 진입 시, 프로그램ID 정의
                    INFOBANK_NSTALK_CHAT_PROGRAM_ID = rtnJsonResult.program.id;

                    // 최초 진입 플레그 변경
                    INFOBANK_NSTALK_CHAT_JOIN_FLAG = 1;
                } else if (INFOBANK_NSTALK_CHAT_PROGRAM_ID != rtnJsonResult.program.id) {
                    /* 채팅방이 변경 되었으므로, 뒤로가기 실행 CurrentView.event.gotoBackPage("채팅방이 종료 되었습니다."); */
                    CurrentView.event.gotoBackPage("채팅방이 종료 되었습니다.");
                } else {
                    // console.log("## SAME PROGRAM");
                }
            }
            // Check Message Type. Pong Case Skip...
            else if (rtnJsonResult.type == "message") {
            	
            	// 만약에 뒤로가기 함수를 호출할경우, 이부분에서 풍선 그리는 기능 처리 X
            	if(INFOBANK_NSTALK_OTHER_PAGE_GO_CASE == 1) {
                	return;
                }
            	
                // 1초 sleep
                //_INFOBANK_NSTALK_MAIN.sleepFunc(500);

                var arrMessages;
                var eachMessage;

                if (rtnJsonResult.messages != null) {
                    arrMessages = rtnJsonResult.messages;
                } else {
                    arrMessages = [];
                }

                for (var idx = 0; idx < arrMessages.length; idx++) {
                    eachMessage = arrMessages[idx];

                    // Date Format
                    var originalDate = eachMessage.msg_date;

                    // hh:mm
                    var convertMsgDate = originalDate.slice(8, 10) + ":" + originalDate.slice(10, 12);

                    // 입력글 케이스
                    if (eachMessage.type == "1") {

                        // 현재 키값의 글이 존재 하지 않으면 추가
                        if (_INFOBANK_NSTALK_MAIN.searchChat(eachMessage.msg_key) == 0) {

                            appendHTML = TEMPLATE_CHAT_MSG;
                            appendHTML = appendHTML.replace("__MSG__", eachMessage.msg.replace(/\n/g, "<br/>"));
                            appendHTML = appendHTML.replace("__MSG_DATE__", eachMessage.msg_date);
                            appendHTML = appendHTML.replace("__CONVERT_MSG_DATE__", convertMsgDate);
                            appendHTML = appendHTML.replace("__USER_TEL__", eachMessage.user_tel);
                            appendHTML = appendHTML.replace("__MSG_TYPE__", eachMessage.type);
                            appendHTML = appendHTML.replace("__MSG_KEY__", eachMessage.msg_key);

                            // 내글 체크
                            if (eachMessage.user_id == _INFOBANK_NSTALK_MAIN.chatInfo.user_id) {
                                appendHTML = appendHTML.replace("__MY_MSG_YN__", "pd");
                                appendHTML = appendHTML.replace("__MY_CHAT_YN__", "1");
                            } else {
                                appendHTML = appendHTML.replace("__MY_MSG_YN__", "");
                                appendHTML = appendHTML.replace("__MY_CHAT_YN__", "0");
                            }

                            appendHTML = appendHTML.replace("__MSG_DATE__", "");

                            $("#talk_list").append(appendHTML);
                        }

                        // confirm_yn, broadcast_yn UPDATE 8918
                        $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("confirm_yn", eachMessage.confirm_yn);
                        $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("broadcast_yn", eachMessage.broadcast_yn);

                        var beforeEventFalg = $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("before_event_yn");
                        if (beforeEventFalg == 1) {
                            $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("event_yn", "0");
                            $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("before_event_yn", "0");
                        }
                    }

                    // 답글 케이스
                    else if (eachMessage.type == "2") {


                        // 같은 msg_key의 답변이 있는지 체크 후, 있으면 삭제
                        _INFOBANK_NSTALK_MAIN.searchAndRemoveChat(eachMessage.msg_key);

                        if (_INFOBANK_NSTALK_MAIN.searchChat(eachMessage.msg_key) == 0) {
                            appendHTML = TEMPLATE_REPLY_MSG;
                            appendHTML = appendHTML.replace("__MSG__", eachMessage.msg.replace(/\n/g, "<br/>"));                // 답글 내용
                            appendHTML = appendHTML.replace("__MSG_DATE__", eachMessage.msg_date);      // 작성일
                            appendHTML = appendHTML.replace("__CONVERT_MSG_DATE__", convertMsgDate);
                            appendHTML = appendHTML.replace("__O_USER_TEL__", eachMessage.o_user_tel);  // 원글 사용자
                            appendHTML = appendHTML.replace("__O_MSG__", eachMessage.o_msg);            // 원글 내용

                            appendHTML = appendHTML.replace("__USER_TEL__", eachMessage.user_id);

                            appendHTML = appendHTML.replace("__MSG_TYPE__", eachMessage.type);
                            appendHTML = appendHTML.replace("__MSG_KEY__", eachMessage.msg_key);

                            // 내글 체크
                            if (eachMessage.o_user_id == _INFOBANK_NSTALK_MAIN.chatInfo.user_id) {
                                appendHTML = appendHTML.replace("__MY_MSG_YN__", "pd");
                                appendHTML = appendHTML.replace("__MY_CHAT_YN__", "1");
                            } else {
                                appendHTML = appendHTML.replace("__MY_MSG_YN__", "");
                                appendHTML = appendHTML.replace("__MY_CHAT_YN__", "0");
                            }
                            $("#talk_list").append(appendHTML);
                        }

                        // confirm_yn, broadcast_yn UPDATE 8918
                        $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("confirm_yn", eachMessage.confirm_yn);
                        $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("broadcast_yn", eachMessage.broadcast_yn);

                        var beforeEventFalg = $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("before_event_yn");
                        if (beforeEventFalg == 1) {
                            $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("event_yn", "0");
                            $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("before_event_yn", "0");
                        }
                    }

                    // 당첨글 케이스
                    else if (eachMessage.type == "3") {
                        if (_INFOBANK_NSTALK_MAIN.searchChat(eachMessage.msg_key) == 0) {
                            appendHTML = TEMPLATE_WINNING_MSG;
                            appendHTML = appendHTML.replace("__MSG__", eachMessage.msg.replace(/\n/g, "<br/>"));
                            appendHTML = appendHTML.replace("__MSG_DATE__", eachMessage.msg_date);
                            appendHTML = appendHTML.replace("__CONVERT_MSG_DATE__", convertMsgDate);
                            appendHTML = appendHTML.replace("__USER_TEL__", eachMessage.user_tel);
                            appendHTML = appendHTML.replace("__MSG_TYPE__", "1");
                            appendHTML = appendHTML.replace("__MSG_KEY__", eachMessage.msg_key);

                            // 내글 체크
                            if (eachMessage.user_id == _INFOBANK_NSTALK_MAIN.chatInfo.user_id) {
                                appendHTML = appendHTML.replace("__MY_MSG_YN__", "pd");
                                appendHTML = appendHTML.replace("__MY_CHAT_YN__", "1");
                            } else {
                                appendHTML = appendHTML.replace("__MY_MSG_YN__", "");
                                appendHTML = appendHTML.replace("__MY_CHAT_YN__", "0");
                            }

                            $("#talk_list").append(appendHTML);
                        }
                        $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("event_yn", "1");
                        $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("confirm_yn", eachMessage.confirm_yn);
                        $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("broadcast_yn", eachMessage.broadcast_yn);
                        $("#talk_list > li[msg_key=" + eachMessage.msg_key + "]").attr("before_event_yn", "1");

                    }

                    // 공지글 케이스
                    else if (eachMessage.type == "4") {
                        if (_INFOBANK_NSTALK_MAIN.searchChat(eachMessage.msg_key) == 0) {
                            appendHTML = TEMPLATE_NOTIFICATION_MSG;
                            appendHTML = appendHTML.replace("__MSG__", eachMessage.msg.replace(/\n/g, "<br/>"));
                            appendHTML = appendHTML.replace("__MSG_DATE__", eachMessage.msg_date);
                            appendHTML = appendHTML.replace("__CONVERT_MSG_DATE__", convertMsgDate);

                            appendHTML = appendHTML.replace("__USER_TEL__", eachMessage.user_id);
                            // appendHTML = appendHTML.replace("__USER_TEL__", "민지PD");

                            appendHTML = appendHTML.replace("__MSG_TYPE__", eachMessage.type);
                            appendHTML = appendHTML.replace("__MSG_KEY__", eachMessage.msg_key);

                            // 내글 체크
                            if (eachMessage.user_id == _INFOBANK_NSTALK_MAIN.chatInfo.user_id) {
                                appendHTML = appendHTML.replace("__MY_MSG_YN__", "pd");
                                appendHTML = appendHTML.replace("__MY_CHAT_YN__", "1");
                            } else {
                                appendHTML = appendHTML.replace("__MY_MSG_YN__", "");
                                appendHTML = appendHTML.replace("__MY_CHAT_YN__", "0");
                            }

                            // 현재 키값의 글이 존재 하지 않으면 추가
                            $("#talk_list").append(appendHTML);
                        }
                    }   // message if END

                    // Move Scroll
                    /* TODO : 현재는 모든 액션 및 글이 입력된 경우, 하단으로 이동. 추후 현업간의 정책 확인 필요, */
                    // $("html,body").animate({scrollTop: $(document).height()}, 100);

                    // 신규 메세지가 들어 왔을때, Sorting
                    INFOBANK_NSTALK_SORT_FLAG = 1;

                }

                // sort chat by msg_date asc
                if (INFOBANK_NSTALK_SORT_FLAG == 1) {
                    //_INFOBANK_NSTALK_MAIN.sortChat();
                    INFOBANK_NSTALK_SORT_FLAG = 0;
                }

                // 현재의 채팅방 타입(전체톡, 나의톡, 당첨톡, 공지톡)에 따라 SHOW/HIDE 처리
                var currentChatType = $("#infobankContainer > div.nstalk_list_sort > span > a > span").html();
                if (currentChatType == "전체톡") {
                    _INFOBANK_NSTALK_MAIN.changeChatType(0, 0);
                } else if (currentChatType == "나의톡") {
                    _INFOBANK_NSTALK_MAIN.changeChatType(1, 0);
                } else if (currentChatType == "당첨톡") {
                    _INFOBANK_NSTALK_MAIN.changeChatType(3, 0);
                } else if (currentChatType == "공지톡") {
                    _INFOBANK_NSTALK_MAIN.changeChatType(4, 0);
                }
            } else {
                // Ping or another type case
                // console.log("type is not message");
            }
        }, 200);
    }
};

