
/* JavaScript content from js/theme/M_G4111000M.js in folder common */

/* 
 *	디자이너스  - 메인
 *  ID : M_G4111000M
 *  1. 디자이너스
 *  
 */

//page 컨트롤 클래스
CurrentView = {
	catalogId : Const.getSpecialMallId('designers'),
	DESIGNER_PRODS : [],
	designerSwiper : null,
	
	init : function( params ) {		
		this.initializeComponent();
		this.onLoad();
	},
		
	//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
	//이벤트 binding 등...
	initializeComponent : function() {
		
		if ( CurrentView.designerSwiper == null ) {
			CurrentView.designerSwiper = new Swiper('.swipe-thumbnail', {
//				paginationClickable: true,
//				loop : true,
				slidesPerView: 'auto'
			});
		}
	},
	
	//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
	onLoad : function() {
		this.data.getDesignersMain();
		this.data.getDesignersCategories();
	},
	
	//데이터 관련 함수를 정의한다. 
	data : {
		getDesignersCategories : function() {
			var invoke = {
				catalogId : CurrentView.catalogId,
				gubun : 20
			};
			
			tran.callWCSJsonTran('RetrieveCat2ListReal', invoke, CurrentView.data.getSpecialCategory );
		},
		
		getSpecialCategory : function( data ) {
			if ( !data.isSuccessful || data.msg == undefined ) return false;
			
			var subCategories = data.msg.root.SubCategories;
			var invoke = {
					searchType : 'search',
					pageSize : 3, 
					currentPage : 1,
					sortCriteria : 'best',
					catalogId : CurrentView.catalogId
				};
			
			for ( var k=0; k<subCategories.length; k++ ) {
				var items = subCategories[k];
				if ( items.categoryId == "143801" ) continue;
				
				invoke.categoryId = items.categoryId;
				invoke.categoryName = items.categoryName;
				
				tran.callWCSJsonTran('NSSearchSpecialWrapper', invoke, CurrentView.ui.setBestProducts );
			}
		},
		
		getDesignersMain : function(){
			var invoke = {
//				channelCode : Const.getBusChannelId(),
				catalogId : CurrentView.catalogId
			};
			tran.callWCSJsonTran('DesignersAll', invoke, CurrentView.ui.setDesignersMain );
//			tran.callWCSJsonTran('NSDesignersInfoReal', invoke, CurrentView.ui.setDesignersMain );
		},
		
	}, //end data functions
	
	//ui 관련 함수를 정의한다.
	ui : {
		setDesignersMain : function( data ){
			if ( !data.isSuccessful || data.msg == undefined) return false;
			
			$("#designersMainArea").show();
		
			var designersInfo = data.msg.root.DesignerList;
//			var designersInfo = data.msg.root.Degisner;
			
			var monthlyDesignersInfo = data.msg.root.MonthlyDesigner;
			var monthlyDesignersSeq = data.msg.root.designerId;
			
			if( !Ns.Util.isNull ( designersInfo ) && designersInfo.length !=0 ) CurrentView.ui.setDesignersBox( designersInfo );
			if( !Ns.Util.isNull ( monthlyDesignersInfo )) CurrentView.ui.setMonthlyDesigners( monthlyDesignersInfo,  monthlyDesignersSeq );
		},
		
		setDesignersBox : function( data ){
			var htmlTxt = ''; 
			
			for(var k=0; k<data.length; k++){
				var items = data[k];

				var imgUrl = "";
				var errorImg = "";
				
				if ( items.imageUrl.indexOf("http:") > -1){
					imgUrl = Ns.UI.getEspotBannerImgUrl( items.imageUrl );
					errorImg = items.imageUrl;
				} else {
					imgUrl = Ns.UI.getEspotBannerImgUrl( "http:" + items.imageUrl );
					errorImg = "http:" + items.imageUrl;
				}
				var noImage = Const.NO_IMAGE_URL + 'noimage_F.jpg';
				
				$.preLoadImages( imgUrl, errorImg );
				
				var designerId = items.designerId; 
//				var designerStory = items.story; 
//				var productList = items.productList; 
				
//				if(productList.length == 0) continue;
				
//				var story = Ns.Util.htmlDecode( designerStory );
//				$("#divTmp").html( story ); story = $("#divTmp").text();
				
//				htmlTxt += Ns.Util.stringFormat('\
//					<div>\
//						<div class="story-area">\
//							<div class="story-view">\
//								<p>{0}</p>\
//							</div>\
//							<a href="javascript:" class="btn" id="btnOpenStory"> open/close 버튼</a>\
//						</div>\
//						<div class="bnn-img"><a href="javascript:;" id="btnDesignerDetail" designer-id="{1}"><img src="{2}" onerror="this.error=null;this.src=\'{3}\'" alt="" /></a></div>\
//					</div>', story, designerId, imgUrl, errorImg );
				htmlTxt += Ns.Util.stringFormat('\
						<div>\
							<div class="bnn-img"><a href="javascript:;" id="btnDesignerDetail" designer-id="{0}"><img src="{1}" onerror="this.error=null;this.src=\'{2}\'" alt="" /></a></div>\
						</div>', designerId, imgUrl, errorImg );
				
//				CurrentView.DESIGNER_PRODS.push( { designerId : designerId, prods: CurrentView.ui.getDesignerProducts( productList ) } );
			}
			
			$('#designersArea').html( htmlTxt );

			Ns.UI.swipeSetTypeAnimation(".swipe-mainimg",".bnn-img" );
//			Ns.UI.swipeSetTypeAnimation(".swipe-mainimg",".story-area", CurrentView.ui.setDesignersProducts);
			CurrentView.event.initDesignerAreaEvent();
//			CurrentView.ui.setDesignersProducts(0);
		},
		
		getDesignerProducts : function( data ) {
			var products = [];
			for(var k=0; k<data.length; k++){
				products.push( data[k].partNumber );
			}
			
			return products;
		},
		
		setDesignersProducts : function( idx ){
			var htmlTxt = ""; 
			var noImage = Const.NO_IMAGE_URL+'noimage_F.jpg';
			
			var info = CurrentView.DESIGNER_PRODS[idx];
			var prods = info.prods;
			
			if ( CurrentView.designerSwiper.slides.length > 0  ) {
				CurrentView.designerSwiper.removeAllSlides();
			}
			
			for(var k=0; k<prods.length; k++){
				var partNumber = prods[k];
				var imageUrl = Ns.Util.getImageUrl( partNumber, "I" );
				
				htmlTxt = Ns.Util.stringFormat('<li class="swiper-slide swiper-slide-duplicate"><a href="javascript:CurrentView.event.onclick_ProductDetail({0});"><img src="{1}" onerror="this.onerror=null;this.src=\'{2}\'"  alt="">', 
						partNumber, imageUrl, noImage );
				
				CurrentView.designerSwiper.appendSlide( htmlTxt );
			}
			
			//CurrentView.designerSwiper.setWrapperTranslate(0,0,0);
			CurrentView.designerSwiper.setTranslate(0);
		},
		
		setMonthlyDesigners : function( data, designerSeq ){
			
			$('#btnMonthly').unbind().bind('click', function(){
				var params = {
					designerSeq : designerSeq,
					catalogId   : CurrentView.catalogId
				};
				mainCtrl.navigate("M_G4111011M", params);
			});
			
			$('#monthlyDesignersArea').unbind().bind('click', function(){
				var params = {
					designerSeq : designerSeq,
					catalogId   : CurrentView.catalogId
				};
				mainCtrl.navigate("M_G4111011M", params);
			});
			
			if ( data == null ) return false;
			var htmlTxt = Ns.Util.htmlDecode(data);
			
			if ( htmlTxt != '' ) {
				$("#sectionMonthlyDesigner").show();
				
				htmlTxt = $(htmlTxt).attr("useMap","");
				
				var imgcx = Number( $(htmlTxt).attr("width") );
				var width = $("#sectionMonthlyDesigner").width();
				
				if( imgcx > width ){
					 htmlTxt = $(htmlTxt).attr( 'width', width );
				 }
				
				$("#monthlyDesignersArea").html( htmlTxt );
			}
			
			if ( htmlTxt != '' ) {
//				var iframe = $('<iframe frameborder="0" marginwidth="0" width="100%" marginheight="0" scrolling="no"  />').appendTo('#monthlyDesignersArea').on('load',function(){
//				});
				
//				iframe.contents().find('body').html( htmlTxt  );
				$("#monthlyDesignersArea").html( htmlTxt );
				$("#sectionMonthlyDesigner").show();

				setTimeout( function(){
					var width = $("#sectionMonthlyDesigner").width();
					var imgcx = $("#monthlyDesignersArea img").width();
					$("#monthlyDesignersArea img").removeAttr("height");
					$("#monthlyDesignersArea img").attr("height","");
					$("#monthlyDesignersArea img table").removeAttr("height");
					$("#monthlyDesignersArea img table").attr("height","");
					if( imgcx > width ){
						$("#monthlyDesignersArea img").css( 'width', width );
					 }
				},200);
//				setTimeout( function() {
//					iframe.contents().find('body').find('img').each(function(){
//						var imgcx = $(this).width();
//						 if( imgcx > width ){
//							 $(this).css( 'width', width );
//						 }
//					 });
//					
//					iframe.contents().find('body').html( iframe.contents().find('body').html() ); //이미지 가로 사이즈 재조정 후 아래 영역 여백 남는 부분 없애기 위함.
//					iframe.css("height", iframe.contents().find('body').height() );
//				}, 200);
			} // end if...
		},
		
		//베스트상품영역(타이틀은 무조건 이미지)
		setBestProducts : function( data ){
			var htmlTxt = "";
			
			if ( !data.isSuccessful || data.msg == undefined  ) return false;
			
			var categoryName = data.categoryName;
			var categoryId = data.categoryId;
			var productList = data.msg.root.ProductList;
			
			if ( productList == null || productList.length == 0 ) return false;
			
			var productHtmlTxt = Ns.UI.productList( productList, CurrentView.catalogId, categoryId );
			htmlTxt += Ns.Util.stringFormat('\
				<div class="subsection_header">\
					<h2>{0}</h2>\
					<span><a class="btn theme-a rate-a x-small" href="javascript:;" catalog-id="{1}" category-id="{2}" category-nm="{3}"  id="btnDesignerList"><span>상품전체보기</span></a></span>\
				</div>\
				<ul class="item-display theme-a simple">{4}</ul>', 
				categoryName, CurrentView.catalogId, categoryId, categoryName, productHtmlTxt );
			
			$("#bestProductArea").append( htmlTxt );
			Ns.UI.productListAreaEventInit("#bestProductArea");
			
			$("#sectionBestProduct").show();
		}
		
		
	}, //end ui functions
	 
	//이벤트 관련 함수를 정의한다.
	event : {
		initDesignerAreaEvent : function(){
			$('#designersArea a').unbind().bind("click", function(){
				if(this.id == "btnDesignerDetail"){
					var params = {
						designerSeq : $(this).attr("designer-id"),
						catalogId	: CurrentView.catalogId
					};
					mainCtrl.navigate("M_G4111011M", params); 
				} else if(this.id == "btnOpenStory"){
					$('.story-area').toggleClass('active');
					return false;
				} 					
			});
		},
		
		onclick_ProductDetail : function( partNumber ) {
			var param = {};
			param.partNumber = partNumber;
			mainCtrl.gotoProductDetail( param );
		}, 
		
		gotoProductList : function( categoryId, categoryNm ) {
			var invoke = {
				categoryId : categoryId, 
				catalogId : CurrentView.catalogId,
				categoryNm : categoryNm
			};
			
			mainCtrl.navigate("M_G2130000M", invoke );
		}
		
	} //end event functions
}; 