
/* JavaScript content from js/theme/M_G4111001M.js in folder common */

/* 
 *	디자이너스 - 디자이너 리스트
 *  ID : M_G4111001M

 *  1. 디자이너 리스트
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		catalgoId : Const.getSpecialMallId('designers'), 
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getDesigners();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getDesigners : function() {
				tran.callWCSJsonTran('DesignersAll', {catalogId:CurrentView.catalogId}, CurrentView.ui.setDesigners );
			}
		}, //end data functions
		
		//ui 관련 함수를 정의한다.
		ui : {
			setDesigners : function(data){
				if ( !data.isSuccessful || data.msg == undefined) {
					$("#sectionMonthly").hide();
					return false;
				}
				
				var monthlyDesigner = data.msg.root.MonthlyDesigner; 
				var monthlyDesignerSeq = data.msg.root.designerId;
				var designerList = data.msg.root.DesignerList; 
				
				if ( !Ns.Util.isNull( monthlyDesigner ) ) {
					var htmlTxt = Ns.Util.htmlDecode(monthlyDesigner);
					
					if ( htmlTxt != '' ) {
						var iframe = $('<iframe frameborder="0" marginwidth="0" id="ifrmMonthly" width="100%" height="120px;" marginheight="0" scrolling="no"  />').appendTo('#monthlyArea').on('load',function(){
						});
		
						iframe.contents().find('body').html( htmlTxt );
	
						var width = $("#monthlyArea").width();
						
						setTimeout( function() {
							iframe.contents().find('img').each(function(){					
								 if($(this).width() > width ){
									 $(this).css( 'width', width );
								 }
							 });
							
							iframe.contents().find('body').html( iframe.contents().find('body').html()  ); //이미지 가로 사이즈 재조정 후 아래 영역 여백 남는 부분 없애기 위함. 
							iframe.css("height", iframe.contents().find('body').height() );
						}, 200 );
					}
					
					$('#btnMonthly').unbind().bind('click',function(){
						var params = {
							designerSeq : monthlyDesignerSeq,
							catalogId   : CurrentView.catalogId
						};
						
						mainCtrl.navigate("M_G4111011M", params);
					});
				} else {
					$("#sectionMonthly").hide();
				}// end if
				
				CurrentView.ui.setDesignerList(designerList); //drawing designer list
			},
			
			setDesignerList : function(data){
				if ( Ns.Util.isNull( data ) ) return false;
				
				var htmlTxt = "";
				for(var k=0; k<data.length; k++){
					var items = data[k];
					var designerId 	= items.designerId;
					var imageUrl = 'http:' + items.imageUrl;
					
					htmlTxt += Ns.Util.stringFormat('\
						 <li class="designer_logo">\
						 	<a href="javascript:CurrentView.event.onclick_btnDesignerDetail(\'{0}\');">\
						 		<img src="{1}" alt="상품이미지">\
						 		</a>\
						 </li>', designerId, imageUrl);
				}
				
				$('#sectionDesigners ul').html( htmlTxt );
				$('#sectionDesigners').show();
			}
		}, //end ui functions
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_btnDesignerDetail : function( designerId ){
				var params = {
					designerSeq : designerId,
					catalogId   : CurrentView.catalogId
				};
				
				mainCtrl.navigate("M_G4111011M", params);
			}
			
		} //end event functions
}; 