
/* JavaScript content from js/theme/M_G4111011M.js in folder common */

/* 
 *	디자이너스 - 디자이너 상세
 *  ID : M_G4111011M
 *  1. 디자이너 상세
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		catalogId : Const.getSpecialMallId('designers'),
		categoryId : '',
		
		designerSeq : '',
		designerName : '',
		sortCriteria : '',
		
		pushFullEvent : true,
		totalCount : 0,
		pageIdx : 1,
		pageSize : 10,
		currentPage : 1,
		invokeParams : null,

		init : function( params ) {
			Ns.UI.startPushFullEvent( this.data.getProductListInfo ); // push full event 설정. 
			
			this.initializeComponent( params );
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			this.designerSeq = Ns.Util.isNull(params.designerSeq) ? params.designerCode : params.designerSeq;			 
			if ( !Ns.Util.isNull(params.currentPage) ) CurrentView.currentPage = params.currentPage;

			if( CurrentView.currentPage != 1 ){
				CurrentView.pageSize = CurrentView.currentPage * CurrentView.pageSize;
			}
			
			$("#divPagingArea").hide();
			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").unbind().bind( "click", this.event.onclick_btnChangeView );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getDesignerDetailInfo();
//			for(var i=0; i < CurrentView.currentPage; i++)
			this.data.getProductListInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getDesignerDetailInfo : function(){
				tran.callWCSJsonTran( 'DesignersDetail', {catalogId: CurrentView.catalogId, designerSeq : CurrentView.designerSeq }, CurrentView.ui.setDesignerInfo );				
			},
			
			getProductListInfo : function(){
				var invoke = {
					searchType : 'search',
					catalogId : CurrentView.catalogId,
					//channelCode : Const.getBusChannelId(),
					pageSize : CurrentView.pageSize,
					currentPage : CurrentView.pageIdx,
					designerCode : CurrentView.designerSeq, 
					sortCriteria : CurrentView.sortCriteria	
				};

				if ( CurrentView.pageSize > 10){
					CurrentView.pageIdx = CurrentView.pageSize / 10; 
					CurrentView.pageSize = 10;
				}
				
				CurrentView.invokeParams = invoke;
				tran.callWCSJsonTran( 'NSSearchSpecialWrapper', invoke, CurrentView.ui.setProductList );
//				if( CurrentView.pageIdx != CurrentView.currentPage )
//					CurrentView.pageIdx ++;
			},
			
		}, // end data functions.
		
		//ui 관련 함수를 정의한다.
		ui : {
			setDesignerInfo : function( data ){
				CurrentView.designerName = data.msg.DesignersInfo.designerName;
				if(CurrentView.designerName != '') mainCtrl.setHeaderTitle( false, CurrentView.designerName );

				var designerStory 	= data.msg.DesignersInfo.story;
				$("#divTmp").html( Ns.Util.htmlDecode(designerStory) );
				$('#divDesignersArea div.story-view p').html( $("#divTmp").text() );
				
				var protocol = "http:";
				var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl( data.msg.DesignersInfo.info );
				var replaceUrl = protocol + data.msg.DesignersInfo.info;
				
				$.preLoadImages( imgUrl, replaceUrl );
				
				var logoHtml = '<a href="javascript:;"><img src="' + imgUrl + '" onerror="this.onerror=null;this.src=\'' + replaceUrl + '\'" alt="상품이미지"></a>';
				$('div.bnn-img').html( logoHtml );

				if(imgUrl.src != null || imgUrl.src != ''){
					$('#btnOpenStory').on('click',function() {						
						$('.story-area').toggleClass('active');
						return false;
					});
				}
			},
			
			//디자이너스 상품 목록.. 
			setProductList : function( data ){
				var productList = data.msg.root.ProductList; 
				CurrentView.totalCount = data.msg.root.TotalCount;
				
				$("#txtSortName").html( Ns.Util.getSortCriteriaName( data.msg.root.SortType ) );
				$(".item-panel").show();
				
				if( Ns.Util.isNull( productList ) || productList.length == 0 ) {
					if(CurrentView.pageIdx == 1 ) {
						var msg = ''; 
						if (CurrentView.designerName != '') {
							msg = CurrentView.designerName + '에 속한 상품이 없습니다.';
						} else {
							msg = '상품이 없습니다.'; 
						}
						
						var resHtml = mainCtrl.getNoResultDataHtml(msg);
						$("#productList").html( resHtml );
					}
					
					return false;
				}
				
				CurrentView.pushFullEvent = false;
				mainCtrl.setPageHistoryUpdate( CurrentView.invokeParams );
				$("#productList").append( Ns.UI.productList(productList, CurrentView.catalogId, '') );
				Ns.UI.productListAreaEventInit("#productList");
			}
			
		}, //end ui functions.
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			//상품 목록 디스플레이 형태(리스트형, 이미지형) 선택
			onclick_btnChangeView : function(){
				if ( $("#btnChangeView").hasClass("simple")) {
					$("#btnChangeView").removeClass("simple").addClass("detail");
					$("#productList").removeClass("detail").addClass("simple");
					/*$("#productList .display_type_list").hide();
					$("#productList .display_type_img").show();*/
				} else {
					$("#btnChangeView").removeClass("detail").addClass("simple");
					$("#productList").removeClass("simple").addClass("detail");
					/*$("#productList .display_type_img").hide();
					$("#productList .display_type_list").show();*/
				}
			},
			
			//조회 방법 선택. 
			onclick_itemClass : function() {
				var type = $(this).attr("sort-code");
				$("#itemClass").removeClass( "active" );
				$(".item-sort a").removeClass( "active" );
				if( CurrentView.sortCriteria == type ) return;
				
				CurrentView.sortCriteria = type;
				CurrentView.pageIdx = 1;
				CurrentView.pushFullEvent = true;
				CurrentView.totalCount = 0;
				
				$("#productList").html( "" );
				$("#txtSortName").html( $(this).text() );
				
				CurrentView.data.getProductListInfo(); //상품목록 조회..
			}
			
		} // end event functions. 
};