
/* JavaScript content from js/theme/M_G4121000M.js in folder common */

/* 
 *	The Kitchen
 *  ID : M_G4121000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		catalogId : Const.getSpecialMallId('kitchen'), 
		EspotName : {
			brandBanner : [
			               //|Content
			               "124801_BRAND1_CONTENTS",
						   "124801_BRAND2_CONTENTS",
						   "124801_BRAND3_CONTENTS",
						   "124801_BRAND4_CONTENTS"
						 ],
			brandProducts:[
			               //|Product
			               "124801_BRAND1_PRODUCTS",
			               "124801_BRAND2_PRODUCTS",
			               "124801_BRAND3_PRODUCTS",
			               "124801_BRAND4_PRODUCTS",
			               ],			 
			bCategory : ["124801_MD_CATEGORY"],//|Category
			exhibition : ["124801_EXHIBITION_CONTENTS"]//|Content
		},
		
		noImageUrl : Const.NO_IMAGE_URL +  'noimage_P.jpg',
		
		init : function( params ) {	
			this.initializeComponent();
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function() {
			
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			this.data.getKitchenMain();
			this.data.getBrandBannerProducts();
			this.data.getBestCategory();
			this.data.getExhibition();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getKitchenMain : function(){
				tran.callWCSJsonTran("TheKitchenMainReal", { catalogId : CurrentView.catalogId }, CurrentView.ui.setKitchenMain );				
			},
			
			getBrandBannerProducts : function() {
				var invoke = {};
				invoke.espotInfo = Ns.UI.createEspotReqInput(CurrentView.EspotName.brandBanner, "|Content") +"$" + Ns.UI.createEspotReqInput(CurrentView.EspotName.brandProducts, "|Product");
				invoke.command = "brand";
				tran.callWCSJsonTran("NSEspotCommon", invoke, CurrentView.ui.setData );		
			},

			getBestCategory : function() {
				var invoke = {};
				invoke.espotInfo = Ns.UI.createEspotReqInput(CurrentView.EspotName.bCategory, "|Content");
				invoke.command = "category";
				tran.callWCSJsonTran("NSEspotCommon", invoke, CurrentView.ui.setData );	
			},
			
			getExhibition : function() {
				var invoke = {};
				invoke.espotInfo = Ns.UI.createEspotReqInput(CurrentView.EspotName.exhibition, "|Content");
				invoke.command = "exhibition";
				tran.callWCSJsonTran("NSEspotCommon", invoke, CurrentView.ui.setData );	
			}
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			setData : function(data) {
				if ( !data.isSuccessful || data.msg == undefined ) return false;
				
				if ( data.command == "brand" ) CurrentView.ui.setBrandBannerProducts(data);
				else if ( data.command == "category" ) CurrentView.ui.setBestCategory(data);
				else if ( data.command == "exhibition" ) CurrentView.ui.setExhibition(data);
			},
			
			setKitchenMain : function( data ) {
				if ( !data.isSuccessful || data.msg == undefined ) return false;
				
				var theme = data.msg.root.Theme;
				if( theme == undefined || theme.length==0 ) {
					return false;
				}
				
				var themeInfo = [];
				
				var setProductList = function( themeObj ) {
					var productList = [];
					var theme = {};
					
					if ( themeObj.ProductList == undefined || themeObj.ProductList.length==0 ) return;
					
					for ( var k=0; k<themeObj.ProductList.length; k++ ) {
						var items = themeObj.ProductList[k];
						if ( items == undefined || items == null ) continue;
						
						productList.push( { partNumber : items.partNumber } );
					}
					
					theme.clickTarget = "Category";
					theme.themeId = themeObj.themeId;
					theme.contentsId = "";
					theme.espotId = "";
					theme.mdUrl = "";
					theme.clickCode = themeObj.themeId;
					
					var imgUrl = Ns.UI.getEspotBannerImgUrl(items.image_url);
					if ( imgUrl == "(m)" ){
						if ( themeObj.btnImage == "" ){
							imgUrl = Const.NO_IMAGE_URL + "noimage_I.jpg";
						}else{
							imgUrl = "http:" + themeObj.btnImage;
						}
					}
					theme.imgUrl = imgUrl;
					theme.errorImg = themeObj.btnImage;
					theme.productList = productList;
					theme.sortCriteria = themeObj.SortType;
					themeInfo.push( theme );
				};
				
				for ( var k=0; k<theme.length; k++) {
					setProductList(  theme[k] );
				}
				
				if ( themeInfo.length==0 ) {
					$("#sectionTheme").hide();
					return false;
				}
				var htmlTxt = CurrentView.ui.makeThemeOrBrandProductHtmlTxt( themeInfo, 'theme' );

				$("#sectionTheme .swiper-wrapper").html( htmlTxt );
				$("#sectionTheme").show();
				
				new Swiper('.theme_goods',{
					pagination: '.pagination_theme',
					paginationClickable: true,
					loop:true,
				});
			},
			
			setBrandBannerProducts : function( data ) {
				var brandInfo = CurrentView.ui.reformBrandData(data);
				if( brandInfo.length == 0 ) {
					$("#sectionBrand").hide();
					return false;
				}
				
				var htmlTxt = CurrentView.ui.makeThemeOrBrandProductHtmlTxt( brandInfo, '' );
				$("#sectionBrand .swiper-wrapper").html( htmlTxt );
				$("#sectionBrand").show();
				
				new Swiper('.brand_goods',{
					pagination: '.pagination_brand',
					paginationClickable: true,
					loop:true,
				});
			},
			
			setBestCategory : function( data ) {
				if ( !data.isSuccessful ) {
					$("#sectionBestCategory").hide();
					return false;
				}
				
				var categories = data.msg.root._124801_MD_CATEGORY;
				if ( categories == undefined || categories.length == 0 ) {
					$("#sectionBestCategory").hide();
					return false;
				} 
				
				//var clickTarget = "Category";
				var getTDHtmlTxt = function( items, isColSpan ) {
					isColSpan = isColSpan || false;

					var imgUrl = Ns.UI.getEspotBannerImgUrl(items.imgUrl);
					var errorImg = items.imgUrl;
					imgUrl = imgUrl.indexOf("http:") > -1 ? imgUrl : "http:" + imgUrl;
					errorImg = errorImg.indexOf("http:") > -1 ? errorImg : "http:" + errorImg;
					
					var tag = ( isColSpan ) ? '<td colspan="2">' : '<td>';

					return Ns.Util.stringFormat('{0}<a href="javascript:javascript:Ns.UI.espotClickEvent(\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',\'{7}\',{8});"><img src="{9}" onerror="this.onerror=null;this.src=\'{10}\'" alt=""></a></td>',
							tag, items.clickTarget, items.contentsId, items.categoryId, items.espotId, "", "", "", CurrentView.catalogId, imgUrl, errorImg );//CurrentView.noImageUrl ); 
				};
				
				var len = categories.length;
				var htmlTxt = '<tr>';
				
				htmlTxt += getTDHtmlTxt( categories[0] );
				
				if ( len > 1 ) htmlTxt += getTDHtmlTxt( categories[1] );
				if ( len > 2 ) htmlTxt += getTDHtmlTxt( categories[2] );
				
				htmlTxt += '</tr>';
				
				if ( len > 3 ) {
					htmlTxt += '<tr>';
					htmlTxt += getTDHtmlTxt( categories[3], true );
				}
				if ( len > 4 ) htmlTxt += getTDHtmlTxt( categories[4] );
				if ( len > 3 ) htmlTxt += '</tr>';
				
				if ( len > 5 ) {
					htmlTxt += '<tr>';
					htmlTxt += getTDHtmlTxt( categories[5] );
				}
				
				if ( len > 6 ) htmlTxt += getTDHtmlTxt( categories[6] );
				if ( len > 7 ) htmlTxt += getTDHtmlTxt( categories[7] );
				
				if ( len > 5 ) htmlTxt += '</tr>';
				
				//alert("best category - image url에 http 포함되어 온다.");
				$('#sectionBestCategory tbody').html( htmlTxt );
				$('#sectionBestCategory').show();
			},
			
			setExhibition : function( data ) {
				var exhibition = data.msg.root._124801_EXHIBITION_CONTENTS;
				if ( exhibition == undefined || exhibition.length == 0 ) {
					$("#sectionExhibition").hide();
					return false;
				} 

				var htmlTxt = "";
				for(var i=0; i<exhibition.length; i++) {
				    var items = exhibition[i];
				    
				    if ( items.clickCode == "" ) continue;
				    
				    var protocol = "http:";
					var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
					var errorImg = "";
					
					if ( items.imgUrl.indexOf("http:") > -1 ){
						errorImg = items.imgUrl; 
					} else {
						errorImg = "http:" + items.imgUrl;
					}
					
					
					htmlTxt += Ns.Util.stringFormat('<li><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',{7});"><img src="{8}" onerror="this.error=null;this.src=\'{9}\'" alt="" /></a></li>', 
				    		   items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl, "", "", CurrentView.catalogId, imgUrl, errorImg );
				}
				
				$(".exhibition_banner").html(htmlTxt);
				$("#sectionExhibition").show();
			},
			
			reformBrandData : function(data){
				var brand1 = data.msg.root._124801_BRAND1_CONTENTS;
				var brand2 = data.msg.root._124801_BRAND2_CONTENTS;
				var brand3 = data.msg.root._124801_BRAND3_CONTENTS;
				var brand4 = data.msg.root._124801_BRAND4_CONTENTS;
				
				var product1 = data.msg.root._124801_BRAND1_PRODUCTS;
				var product2 = data.msg.root._124801_BRAND2_PRODUCTS;
				var product3 = data.msg.root._124801_BRAND3_PRODUCTS;
				var product4 = data.msg.root._124801_BRAND4_PRODUCTS;
				
				var brandProductList = [];
				var setProductList = function( brandObj, product ) {
					if ( brandObj == undefined || brandObj.length == 0 || product == undefined || product1.length == 0  ) return false;
					
					var brand = brandObj[0];
					var productList = [];
					for ( var i=0; i<product.length; i++ ) {
						var items = product[i].productDetail;
						if ( items == undefined || items == null ) continue;
						productList.push( { partNumber : items.partNumber } );
					}
					
					brand.productList = productList;
					brandProductList.push( brand );
				};
				
				setProductList( brand1, product1 );
				setProductList( brand2, product2 );
				setProductList( brand3, product3 );
				setProductList( brand4, product4 );
				
				return brandProductList;
			},
			
			getTDHtmlTxt : function( idx, items, partNumber, isBrand, isColspan, themeId ) {
				isBrand = isBrand || false;
				isBrand = isBrand || false;
				themeId = themeId || '';

				var imgUrl = null;
				var errorImg = null;
				
				if ( !isBrand ) {
					items.clickTarget = "Product";
					items.clickCode = partNumber;
					
					var imgType = "I";
					if  ( idx == 1 ) imgType = "P";

					CurrentView.noImageUrl = Const.NO_IMAGE_URL +  'noimage_' +imgType+ '.jpg';
					imgUrl = Ns.UI.getEspotBannerImgUrl( Ns.Util.getImageUrl( partNumber, imgType ) );
					errorImg = Ns.Util.getImageUrl( partNumber, imgType );
				} else {
					imgUrl = Ns.UI.getEspotBannerImgUrl( "http:"+items.imgUrl ); //brand image
					if ( items.imgUrl.indexOf("http:") < 0 ){
						errorImg = "http:" + items.imgUrl;
					} else {
						errorImg = items.imgUrl;
					}
				}
				
				var tdTag = '<td>'; 
				if ( isBrand ) tdTag = '<td colspan="2" class="title_banner">'; 
				if ( isColspan ) tdTag = '<td class="big_banner" colspan="2" rowspan="2">';
				
				return Ns.Util.stringFormat('{0}<a href="javascript:javascript:Ns.UI.espotClickEvent(\
											\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\
											\'{6}\',\'{7}\',{8},\'{9}\',\'{10}\');">\
											<img src="{11}" onerror="this.onerror=null;this.src=\'{12}\'" alt=""></a></td>',
						tdTag,
						items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl,
						"", themeId, CurrentView.catalogId, "", items.sortCriteria,
						imgUrl, errorImg ); 
			},
			
			makeThemeOrBrandProductHtmlTxt : function( info, gubun, targetId ) {
				var htmlTxt ="";
				
				for(var k=0; k<info.length; k++){
					var items = info[k];
					var prodList = items.productList;
					var len = prodList.length;
					var themeId = '';
					
					if ( gubun == 'theme' ) themeId = items.themeId;
					
//					var empty = '<td><a href="javascript:;"><img src="./images/theme/thumimg_blank.png" onerror="this.onerror=null;this.src=\''+CurrentView.noImageUrl+'\'" alt=""></a></td>';
					var empty = '<td><a href="javascript:;"><img src="'+CurrentView.noImageUrl+'" onerror="this.onerror=null;this.src=\''+CurrentView.noImageUrl+'\'" alt=""></a></td>';
					var emptySpan = '<td colspan="2" rowspan="2"><a href="javascript:;"><img src="./images/theme/thumimg_blank.png" onerror="this.onerror=null;this.src=\''+CurrentView.noImageUrl+'\'" alt=""></a></td>';
					
					var count = 0;
					var tag01 = CurrentView.ui.getTDHtmlTxt( 0, items, null, true, false, themeId );
					var tag02 = empty; if ( len > 0 ) tag02 = CurrentView.ui.getTDHtmlTxt( count++, items, prodList[0].partNumber ); 
					var tag03 = emptySpan; if ( len > 1 ) tag03 = CurrentView.ui.getTDHtmlTxt( count++, items, prodList[1].partNumber, false, true );
					var tag04 = empty; if ( len > 2 ) tag04 = CurrentView.ui.getTDHtmlTxt( count++, items, prodList[2].partNumber );
					var tag05 = empty; if ( len > 3 ) tag05= CurrentView.ui.getTDHtmlTxt( count++, items, prodList[3].partNumber );
					var tag06 = empty; if ( len > 4 ) tag06 = CurrentView.ui.getTDHtmlTxt( count++, items, prodList[4].partNumber );
					var tag07 = empty; if ( len > 5 ) tag07 = CurrentView.ui.getTDHtmlTxt( count++, items, prodList[5].partNumber );
					var tag08 = empty; if ( len > 6 ) tag08 = CurrentView.ui.getTDHtmlTxt( count++, items, prodList[6].partNumber );
					var tag09 = empty; if ( len > 7 ) tag09 = CurrentView.ui.getTDHtmlTxt( count++, items, prodList[7].partNumber );
					var tag10 =empty; if ( len > 8 ) tag10 = CurrentView.ui.getTDHtmlTxt( count++, items, prodList[8].partNumber );
					var tag11 = empty; if ( len > 9 ) tag11 = CurrentView.ui.getTDHtmlTxt( count++, items, prodList[9].partNumber );
						
					htmlTxt += Ns.Util.stringFormat('\
						<li class="swiper-slide">\
							<table class="thum_area">\
								<colgroup>\
									<col width="33%"/>\
									<col width="34%"/>\
									<col />\
								</colgroup>\
								<tbody>\
									<tr>{0}{1}</tr>\
									<tr>{2}{3}</tr>\
									<tr>{4}</tr>\
									<tr>{5}{6}{7}</tr>\
									<tr>{8}{9}{10}</tr>\
								</tbody>\
							</table>\
						</li>',  tag01, tag02, tag03, tag04, tag05, tag06, tag07, tag08, tag09, tag10, tag11 );
					
				} // end for loop
				
				return htmlTxt;
			},
			
			
		},
		 
		//이벤트 관련 함수를 정의한다.
		event : {			
			
		}
};