
/* JavaScript content from js/theme/M_G4131000M.js in folder common */
/* 
 *	THE BABY  - 메인
 *  ID : M_G41431000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		catalogId : Const.getSpecialMallId('baby'), 
		categoryId : null, 
		espot : {
			main : ["86920_MAIN_CONTENTS"],
			month : [
	            "86920_PREMOM_CONTENTS",
	            "86920_0MONTH_CONTENTS",
	            "86920_6MONTHS_CONTENTS",
	        ],
	        year01 : [
                "86920_1YEAR_CONTENTS",
	            "86920_2YEARS_CONTENTS",
	            "86920_3YEARS_CONTENTS",
	        ],
			year02 : [
	            "86920_4YEARS_CONTENTS",
	            "86920_5YEARS_CONTENTS",
	            "86920_6YEARS_CONTENTS",
	            "86920_7YEARS_CONTENTS"
	        ],     			           
		},
		
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function(params) {
			//$(".toggle-list ul li div.content").hide();
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getBabyMainInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getBabyMainInfo : function(){
				var type = "|Content";
				
				var main = Ns.UI.createEspotReqInput(CurrentView.espot.main, type);
				var month = Ns.UI.createEspotReqInput(CurrentView.espot.month, type);
				var year01 = Ns.UI.createEspotReqInput(CurrentView.espot.year01, type);
				var year02 = Ns.UI.createEspotReqInput(CurrentView.espot.year02, type);
				
				tran.callWCSJsonTran( "TheBabyMainReal", { catalogId:CurrentView.catalogId, espotInfo: main }, CurrentView.data.babyMainResult );
				tran.callWCSJsonTran( "TheBabyMainReal", { catalogId:CurrentView.catalogId, espotInfo: month }, CurrentView.data.babyMainResult );
				tran.callWCSJsonTran( "TheBabyMainReal", { catalogId:CurrentView.catalogId, espotInfo: year01 }, CurrentView.data.babyMainResult );
				tran.callWCSJsonTran( "TheBabyMainReal", { catalogId:CurrentView.catalogId, espotInfo: year02 }, CurrentView.data.babyMainResult );
			},
			
			babyMainResult : function(data){	
				if ( !data.isSuccessful ) return false;
				
				var mainContent = data.msg.root["_"+CurrentView.espot.main[0]]; 
				
				var preMom = data.msg.root["_"+CurrentView.espot.month[0]]; 
				var month_0 = data.msg.root["_"+CurrentView.espot.month[1]]; 
				var month_6 = data.msg.root["_"+CurrentView.espot.month[2]];
				
				var year_1 = data.msg.root["_"+CurrentView.espot.year01[0]];
				var year_2 = data.msg.root["_"+CurrentView.espot.year01[1]];
				var year_3 = data.msg.root["_"+CurrentView.espot.year01[2]];
				
				var year_4 = data.msg.root["_"+CurrentView.espot.year02[0]];
				var year_5 = data.msg.root["_"+CurrentView.espot.year02[1]];
				var year_6 = data.msg.root["_"+CurrentView.espot.year02[2]];
				var year_7 = data.msg.root["_"+CurrentView.espot.year02[3]];
				
				if( !Ns.Util.isNull(mainContent) && mainContent.length != 0 ) CurrentView.ui.makeBanner( mainContent );
					
				if( !Ns.Util.isNull(preMom) && preMom.length != 0 ) CurrentView.ui.makeMonthList("#preMom", preMom ) ;
				if( !Ns.Util.isNull(month_0) && month_0.length != 0 ) CurrentView.ui.makeMonthList("#month_0",  month_0 );
				if( !Ns.Util.isNull(month_6) && month_6.length != 0 ) CurrentView.ui.makeMonthList("#month_6", month_6 );
				if( !Ns.Util.isNull(year_1) && year_1.length != 0 ) CurrentView.ui.makeMonthList("#year_1", year_1 );
				if( !Ns.Util.isNull(year_2) && year_2.length != 0 ) CurrentView.ui.makeMonthList("#year_2", year_2 );
				if( !Ns.Util.isNull(year_3) && year_3.length != 0 ) CurrentView.ui.makeMonthList("#year_3", year_3 );
				if( !Ns.Util.isNull(year_4) && year_4.length != 0 ) CurrentView.ui.makeMonthList("#year_4", year_4 );
				if( !Ns.Util.isNull(year_5) && year_5.length != 0 ) CurrentView.ui.makeMonthList("#year_5", year_5 );
				if( !Ns.Util.isNull(year_6) && year_6.length != 0 ) CurrentView.ui.makeMonthList("#year_6 ", year_6 );
				if( !Ns.Util.isNull(year_7) && year_7.length != 0 ) CurrentView.ui.makeMonthList("#year_7", year_7 );
				
				Ns.UI.swipeSetTypeAnimation(".swipe-mainimg",".bnn-img");
				//CurrentView.event.initTabEvent();
			}

		}, //end data functions
		
		//ui 관련 함수를 정의한다.
		ui : {
			makeBanner : function(data){				
				$("#mainContentArea").html(Ns.UI.espotMainContentType( data, CurrentView.catalogId ));
				Ns.UI.espotAreaEventInit("#mainContentArea", CurrentView.catalogId, CurrentView.categoryId); 
				$('#sectionContent').show();
			},
			
			makeMonthList : function( targetId, data ){					
				var htmlArea = $(targetId).find('.thum_banner_list ul');
				$(htmlArea).html(Ns.UI.espotExhibitionType( data , CurrentView.catalogId ));				
				Ns.UI.espotAreaEventInit(targetId, CurrentView.catalogId, CurrentView.categoryId);
				$(targetId).show();
			}
			
		}, //end ui functions
		//이벤트 관련 함수를 정의한다.
		event : {
			initTabEvent : function(){
				$(".toggle-list .ui-base-toggle").unbind().bind("click", function(){
					var id = $(this).attr("href");
					$(id).toggle();
				});
			}
		} //end event functions
}; 