
/* JavaScript content from js/theme/M_G4141001M.js in folder common */

/* 
 *	프리미엄장보기  - 프리미엄 스토리
 *  ID : M_G4141001M

 *  1.  프리미엄 스토리
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		partNumber : null,
		
		init : function( params ) {
			this.initializeComponent( params );
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function(params) {
			CurrentView.partNumber = params.partNumber;
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			this.data.getPremiumStory();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getPremiumStory : function() { 
				tran.callWCSJsonTran('PremiumStory', { catentryId : CurrentView.partNumber, gubun: 'storyyn' }, CurrentView.ui.setStory);
			}
		}, //end data functions
		
		//ui 관련 함수를 정의한다.
		ui : {
			setStory : function(data) {
				if ( !data.isSuccessful ) return false;
				
				var story = data.msg.root.premiumStory;
				if ( Ns.Util.isNull( story ) ) return;

				var htmlTxt = Ns.Util.htmlDecode(story);
				var sectionStory = $('#sectionStory')
				sectionStory.html( htmlTxt );

				setTimeout(function(){
					var width = $(window).width();
					if(sectionStory.contents().find('img').width() >= width)
						sectionStory.contents().find('img').css('width',"100%");
				},300);
			}
			
		}, //end ui functions
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
		} //end event functions
}; 