
/* JavaScript content from js/theme/M_G4141100M.js in folder common */


/* 
 *	프리미엄장보기  - 상품전체보기
 *  ID : M_G4141100M
*/

//page 컨트롤 클래스
CurrentView = {
		catalogId :  Const.getSpecialMallId('premium'), 
		categoryId : '', 
		
		type : null,
		searchType : 'search',
		pushFullEvent : true,
		totalCount : 0,
		pageSize 	: 10,
		pageIdx : 1,
		sortCriteria : '',
		categoryNm : null,
		
		init : function( params ) {
			this.initializeComponent(params);
			this.onLoad();
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function(params) {
			CurrentView.categoryId = params.categoryId; 
			CurrentView.type = Ns.Util.isNull( params.type ) ? "" : params.type ;
			CurrentView.categoryNm = Ns.Util.isNull( params.categoryNm ) ? "" : params.categoryNm ;
			
			if(CurrentView.categoryId == null || CurrentView.categoryId == ''){
				alert('categoryId가 존재하지 않습니다.');				
			}
			
			CurrentView.ui.setHeaderTitle();
			CurrentView.ui.setTabArea();

			$("#itemClass li a").unbind().bind( "click", this.event.onclick_itemClass );
			$("#btnChangeView").on("click",this.event.onclick_btnChangeView);
			$("#btnShowAllEvent").on("click", CurrentView.event.onclick_btnShowAllEvent);
			
			Ns.UI.startPushFullEvent( this.data.getPremiumProducts ); // push full event 설정. 
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function() {
			this.data.getMobileEvent();
			this.data.getPremiumProducts();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getMobileEvent: function(){
				var espotInfo = 'MOB_EVENT_BANNERLIST|Content$MOB_EVENT_BANNERLIST1|Content$MOB_EVENT_BANNERLIST2|Content$MOB_EVENT_BANNERLIST3|Content$MOB_EVENT_BANNERLIST4|Content$MOB_EVENT_BANNERLIST5|Content$MOB_EVENT_BANNERLIST6|Content$MOB_EVENT_BANNERLIST7|Content$MOB_EVENT_BANNERLIST8|Content';
				tran.callWCSJsonTran('NSEspotCommon', {espotInfo : espotInfo}, CurrentView.ui.setMobileEvents);
			},

			getPremiumProducts : function(){
				var invoke = {
					catalogId : CurrentView.catalogId,
					categoryId : CurrentView.categoryId,
					searchType : CurrentView.searchType,
					sortCriteria : CurrentView.sortCriteria,
					pageSize : CurrentView.pageSize,
					currentPage : CurrentView.pageIdx
				};

				tran.callWCSJsonTran( 'NSSearchPremiumWrapper', invoke, CurrentView.ui.setProductList );
			},
			
			getEventBannerHtml : function( items ){
				var htmlTxt = "";
			    var dispCheck = items.marketingText.split(",");
			    
			    if(dispCheck[dispCheck.length-1] != "NO-DISPLAY"){
				    var protocol = "http:";
				    var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
					var replaceUrl = protocol + items.imgUrl;
					
					htmlTxt += 	Ns.Util.stringFormat('<div><div class="bnn-img"><a href="javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\');"><img src="{5}" onerror="this.onerror=null;this.src=\'{6}\'" alt="" /></a></div></div>',
		    		   		items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl,  imgUrl, replaceUrl );
				}
			    
			    return htmlTxt;
			}
			
		}, //end data functions
		
		//ui 관련 함수를 정의한다.
		ui : {
			setMobileEvents : function( data ) {
				var event = data.msg.root._MOB_EVENT_BANNERLIST;
				var addEvent = [];
				
				//Espot 5개 고정 추가
				for ( var i=0; i<8; i++){
					var item = eval("data.msg.root._MOB_EVENT_BANNERLIST" + (i+1) );
					if ( !Ns.Util.isNull(item) ){
						//각 Espot별 내부 전부 추출
						for( var j=0; j<item.length; j++ ){
							addEvent.push(item[j]);
						}
					}
				}
				
				if ( event == undefined || event.length == 0 ) {
					$( "#bannerArea" ).hide();
				} else {
					var htmlTxt = "";
					if( !Ns.Util.isNull(addEvent) ){
						for ( var i=0; i<addEvent.length; i++ ){
							htmlTxt += CurrentView.data.getEventBannerHtml( addEvent[i] );
						}
					}
					
					for (var i=0; i<event.length; i++) {
						htmlTxt += CurrentView.data.getEventBannerHtml( event[i] );
					}
					
					if ( htmlTxt == '' ) {
						$( "#sectionEventArea" ).hide();
					} else {
						$("#ulEventList").html(htmlTxt);
						Ns.UI.swipeSetTypeAnimation("#bannerArea .swipe-mainimg",".bnn-img");
					}
				}
			},
			
			setHeaderTitle : function(){
				switch( CurrentView.type ){
					case "PREMIUM_FOOD" : { mainCtrl.setHeaderTitle(false, "Premium Food"); break; }
					case "DAILY_PRODUCT" : { mainCtrl.setHeaderTitle(false, "Daily Product"); break; }
					case "PERIODICAL_DELIVERY" : { mainCtrl.setHeaderTitle(false, "NS 정기배달"); break; }
					default  : { mainCtrl.setHeaderTitle(false, CurrentView.categoryNm); break; }
				}
			},
			
			setTabArea : function(){
				var resHtml = '';
				
				if ( Ns.Util.isNull( CurrentView.type ) ) {
					$("#tabArea").hide();
					return false;
				} 
				
//				if ( CurrentView.type =="PREMIUM_FOOD" ) {
//					resHtml += '<li class="dp icon_pre"><a href="javascript:;" id="tabDailyProduct"><span>Daily Products</span></a></li>';
//					resHtml += '<li class="pf box-flex"><a href="javascript:;"><span>Premium Food</span></a></li>';
//					resHtml += '<li class="de icon_next"><a href="javascript:;" id="tabSubDelivery"><span>정기배달</span></a></li>';
//				} else if( CurrentView.type == "DAILY_PRODUCT" ) {
//					resHtml += '<li class="de icon_pre"><a href="javascript:;" id="tabSubDelivery"><span>정기배달</span></a></li>';
//					resHtml += '<li class="dp box-flex"><a href="javascript:;"><span>Daily Products</span></a></li>';
//					resHtml += '<li class="pf icon_next"><a href="javascript:;" id="tabPremiumFood"><span>Premium Food</span></a></li>';
//				} else if ( CurrentView.type == "PERIODICAL_DELIVERY") { //정기배달
//					resHtml += '<li class="pf icon_pre"><a href="javascript:;" id="tabPremiumFood"><span>Premium Food</span></a></li>';
//					resHtml += '<li class="de box-flex"><a href="javascript:;"><span>정기배달</span></a></li>';
//					resHtml += '<li class="dp icon_next"><a href="javascript:;" id="tabDailyProduct"><span>Daily Products</span></a></li>';
//				}
				
				//임시로 정기배달 삭제
				if( CurrentView.type =="PREMIUM_FOOD" ){
					resHtml += '<li class="dp icon_pre"><a href="javascript:;" id="tabDailyProduct"><span>Daily Products</span></a></li>';
					resHtml += '<li class="pf box-flex"><a href="javascript:;"><span>Premium Food</span></a></li>';
					resHtml += '<li class="dp icon_next"><a href="javascript:;" id="tabDailyProduct"><span>Daily Products</span></a></li>';
				}else {
					resHtml += '<li class="pf icon_pre"><a href="javascript:;" id="tabPremiumFood"><span>Premium Food</span></a></li>';
					resHtml += '<li class="dp box-flex"><a href="javascript:;"><span>Daily Products</span></a></li>';
					resHtml += '<li class="pf icon_next"><a href="javascript:;" id="tabPremiumFood"><span>Premium Food</span></a></li>';
				}
				
				$("#tabArea").html(resHtml);
				$("#tabArea li").on("click", function(){
					var id = $(this).find("a").attr("id");
					
					switch( id ){
						case "tabPremiumFood" : { mainCtrl.navigate("M_G4141100M", { type:"PREMIUM_FOOD", categoryId : PREMIUM_CAT_IDs.PREMIUM_FOOD, catalogId : CurrentView.catalogId}); break;}
						case "tabDailyProduct" :   { mainCtrl.navigate("M_G4141100M", { type:"DAILY_PRODUCT", categoryId : PREMIUM_CAT_IDs.DAILY_PRODUCT, catalogId : CurrentView.catalogId}); break;}
						case "tabSubDelivery" :    { mainCtrl.navigate("M_G4141100M", { type:"PERIODICAL_DELIVERY", categoryId : PREMIUM_CAT_IDs.PERIODICAL_DELIVERY, catalogId : CurrentView.catalogId}); break;}
					}
				});
			},

			setProductList : function(data){
				var htmlTxt = '';
				if ( !data.isSuccessful ) {
					htmlTxt = CurrentView.ui.getFirstNoneMsg();
					if ( htmlTxt != '' ) $("#productList").html( htmlTxt );					
					return false;
				}
				
				$(".item-panel").show();
				var sortType = data.msg.root.SortType;
				if ( !Ns.Util.isNull(sortType) ) {
					CurrentView.sortCriteria = sortType;
					$('#txtSortName').text( Ns.Util.getSortCriteriaName(sortType) );
				}
				
				var productList = data.msg.root.ProductList;
				if ( Ns.Util.isNull(productList) || productList.length==0 ) {
					htmlTxt = CurrentView.ui.getFirstNoneMsg();
					if ( htmlTxt != '' ) $("#productList").html( htmlTxt );					
					return false;
				}
				
				//var sortType = data.msg.root.SortType;
				CurrentView.totalCount = data.msg.root.TotalCount;
				
				htmlTxt = Ns.UI.premiumProductList( productList, CurrentView.catalogId, CurrentView.categoryId );
				$("#productList").append( htmlTxt );
				
				Ns.UI.productListAreaEventInit("#productList");
				CurrentView.pushFullEvent = false;
			},
			
			getFirstNoneMsg : function() {
				var htmlTxt = '';
				
				if ( CurrentView.pageIdx == 1 ) {
					var typeName = '';
					if ( CurrentView.type == 'PREMIUM_FOOD' ) typeName = 'Premium Food';
					else if ( CurrentView.type == 'DAILY_PRODUCT' )  typeName = 'Daily Product';
					else if ( CurrentView.type == 'PERIODICAL_DELIVERY' )  typeName = '정기배달';
					
					if ( typeName == '' ) typeName = CurrentView.categoryNm;
					var msg = typeName + '에 속한 상품이 없습니다.';
					htmlTxt = mainCtrl.getNoResultDataHtml( msg );
				} 
				
				return htmlTxt;
			}
		}, //end ui functions
		 
		//이벤트 관련 함수를 정의한다.
		event : {
			
			onclick_btnChangeView : function(){
				if ( $("#btnChangeView").hasClass("simple")) {
					$("#btnChangeView").removeClass("simple").addClass("detail");
					$("#productList").removeClass("detail").addClass("simple");
					/*$("#productList .display_type_list").hide();
					$("#productList .display_type_img").show();*/
				} else {
					$("#btnChangeView").removeClass("detail").addClass("simple");
					$("#productList").removeClass("simple").addClass("detail");
					/*$("#productList .display_type_img").hide();
					$("#productList .display_type_list").show();*/
				}
			},

			//조회 방법 선택. 
			onclick_itemClass : function() {
				var type = $(this).attr("sort-code");
				$("#itemClass").removeClass( "active" );
				$(".item-sort a").removeClass( "active" );
				
				if( CurrentView.sortCriteria == type ) return;
				
				$("#productList").html( "" );
				
				CurrentView.pushFullEvent = true;
				CurrentView.sortCriteria = type;
				CurrentView.pageIdx = 1;
				CurrentView.totalCount = 0;
				
				CurrentView.data.getPremiumProducts(); //상품목록 조회..
			},
			
			//이벤트 전체보기 
			onclick_btnShowAllEvent : function() {    
				mainCtrl.navigate( 'M_G1100020M', null );
			},
		} //end event functions
}; 