
/* JavaScript content from js/theme/M_G4211000M.js in folder common */

/* 
 *	명품아울렛  - 메인
 *  ID : M_G4211000M
 *  
 */

//page 컨트롤 클래스
CurrentView = {
		catalogId : Const.getSpecialMallId('luxury'), 
		categoryId : '', 
		
		EspotName : {
		    mainContent 	: ['86923_MAIN_CONTENTS'],
		    exhibitionA 	: ['86923_EXHIBITIONA_CONTENTS'],
		    cateTitle1 		: ['86923_CATE1_TITLE'],
		    cateProduct1 	: ['86923_CATE1_PRODUCTS'],
		    cateTitle2 		: ['86923_CATE2_TITLE'],
		    cateProduct2	: ['86923_CATE2_PRODUCTS'],
		    luxuryTitle 	: ['86923_LUXURY_TITLE'],
		    sectionLuxuryLife 	: ['86923_LUXURY_CONTENTS'],
		    luxuryThumnail 	: ['86923_LUXURYTHUMB_CONTENTS'],
		    exhibitionB 	: ['86923_EXHIBITIONB_CONTENTS']
		},
		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 적업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function(params) {
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getLuxuryMainInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getLuxuryMainInfo : function(){
				var main = CurrentView.EspotName.mainContent[0]+"|Content$" + CurrentView.EspotName.exhibitionA[0] + "|Content";
				var cate1 = CurrentView.EspotName.cateTitle1[0]+"|Content$" + CurrentView.EspotName.cateProduct1[0]+"|Product";
				var cate2 = CurrentView.EspotName.cateTitle2[0]+"|Content$" + CurrentView.EspotName.cateProduct2[0]+"|Product";
				
				var luxuryLife = CurrentView.EspotName.sectionLuxuryLife[0] +"|Content$" +  CurrentView.EspotName.luxuryThumnail[0] + "|Content";
				var exhibition = CurrentView.EspotName.exhibitionB[0] + "|Content"; 
			
				tran.callWCSJsonTran('NSTheLuxuryMainReal', { espotInfo : main , command : "mainCotent", catalogId : CurrentView.catalogId }, CurrentView.data.luxuryMainInfoResult );	
				tran.callWCSJsonTran('NSTheLuxuryMainReal', { espotInfo : cate1 , command : "cate1", catalogId : CurrentView.catalogId }, CurrentView.data.luxuryMainInfoResult );	
				tran.callWCSJsonTran('NSTheLuxuryMainReal', { espotInfo : cate2 , command : "cate2", catalogId : CurrentView.catalogId }, CurrentView.data.luxuryMainInfoResult );	
				tran.callWCSJsonTran('NSTheLuxuryMainReal', { espotInfo : luxuryLife , command : "luxuryLife", catalogId : CurrentView.catalogId }, CurrentView.data.luxuryMainInfoResult );	
				tran.callWCSJsonTran('NSTheLuxuryMainReal', { espotInfo : exhibition , command : "exhibition", catalogId : CurrentView.catalogId }, CurrentView.data.luxuryMainInfoResult );	
			},
			
			luxuryMainInfoResult : function( data ){
				if ( !data.isSuccessful ) return;
				
				var cmd = data.command;
				
				if(cmd == "mainCotent"){
					var mainContent = data.msg.root["_"+ CurrentView.EspotName.mainContent[0]];
					var mainContentProduct = data.msg.root["_"+ CurrentView.EspotName.exhibitionA[0]];
					
					CurrentView.ui.setMainContentArea( mainContent );
					CurrentView.ui.setMainContentProducts( mainContentProduct );
				} else if(cmd == "cate1") {
					var title = data.msg.root["_"+ CurrentView.EspotName.cateProduct1[0]];
					var products = Ns.UI.getEspotProductList(data, CurrentView.EspotName.cateProduct1);
					
					CurrentView.ui.setEspotTitleDisplay("#sectionManProduct", title );
					CurrentView.ui.setRecommendProducts( title, products, "#sectionManProduct", "#ulManProducts" );
				}else if(cmd == "cate2"){
					var title = data.msg.root["_"+ CurrentView.EspotName.cateProduct2[0]];
					var products = Ns.UI.getEspotProductList( data, CurrentView.EspotName.cateProduct2 );
					
					CurrentView.ui.setEspotTitleDisplay("#sectionWomenProduct", title );
					CurrentView.ui.setRecommendProducts( title, products, "#sectionWomenProduct", "#ulWomenProducts" );					
				}else if(cmd == "luxuryLife"){
					var title = data.msg.root["_"+ CurrentView.EspotName.sectionLuxuryLife[0]]; 
					var luxuryBigImg = data.msg.root["_"+ CurrentView.EspotName.sectionLuxuryLife[0]]; 
					var luxuryThumnailImg = data.msg.root["_"+ CurrentView.EspotName.luxuryThumnail[0]]; 
					
					CurrentView.ui.setEspotTitleDisplay("#sectionLuxuryLife", title );
					CurrentView.ui.setLuxuryLifeContentArea( luxuryBigImg );
					CurrentView.ui.setLuxuryLifeThumnailArea( luxuryThumnailImg );
				}else if(cmd == "exhibition"){
					var luxuryExhibition = data.msg.root["_"+ CurrentView.EspotName.exhibitionB[0]]; 
					
					CurrentView.ui.setExbihition( luxuryExhibition );
				}
			}
		}, //end data functions
		
		//ui 관련 함수를 정의한다.
		ui : {
			setMainContentArea : function( data ){	
				if ( Ns.Util.isNull( data ) || data.length==0 ) {
					$( "#sectionMainContent" ).hide();
					return false;
				} 
				
				$( "#sectionMainContent" ).show();
				var htmlTxt = Ns.UI.getLuxuryHtmlTxt (data, "div" );
				$("#sectionMainContent .swipeimg-wrap").html(htmlTxt);
				
				Ns.UI.swipeSetTypeAnimation("#sectionMainContent .swipe-mainimg", ".bnn-img");
			},
			
			setMainContentProducts : function( data ) {
				if ( Ns.Util.isNull( data ) || data.length==0 ) {
					$( "#sectionMainContentProduct" ).hide();
					return false;
				} 
				
				var htmlTxt = Ns.UI.getLuxuryHtmlTxt ( data );
				$("#mainContentProductArea").html(htmlTxt);
				
				new Swiper( '.luxury-events', {
					paginationClickable: true,
					loop:true,
					centeredSlides: true,
					slidesPerView: 'auto'
				});
			},
			
			
			//Man, Women 상품영역 타이틀 설정. 
			setEspotTitleDisplay : function( parentId, title ){
				if ( title.length == 0 ) return;

				var items = title[0];
				var textTitle = items.espotTitleText; 
						
				var protocol = "http:";
				var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.espotTitleImgPath);
				var replaceUrl = protocol + items.espotTitleImgPath;
				
				$.preLoadImages( imgUrl, replaceUrl );
				
				var type = "text"; 
				if( !Ns.Util.isNull(items.espotTitleImgPath) ) 
					type = "img"; 
				
//				var type = "img";
//				if( !Ns.Util.isNull(items.espotTitleText) )
//					type="text";
				
				
				if (type == "text"){
					$(parentId).find('#textTitle').html( Ns.Util.htmlDecode(textTitle) );
					$(parentId).find('#textTitle').html( $(parentId).find('#textTitle').text() );
					$(parentId).find('#textTitle').show();
				} else{
					var resHtml = '<img src="' + imgUrl + '" onerror="this.onerror=null;this.src=\''+ replaceUrl +'\'" alt="" >';
					$(parentId).find('#imgTitle').html( resHtml );
					$(parentId).find('#imgTitle').show();
				}
			},
			
			setRecommendProducts : function( title, data, targetArea, targetId ){
				if ( Ns.Util.isNull( data ) || data.length==0 ) {
					return false;
				} 

				var noImage = Const.NO_IMAGE_URL+'noimage_F.jpg';
				
				var htmlTxt = '';
				for(var k=0; k<data.length; k++){
					var items = data[k];
					
					var espotId =items.espotId; 
					var partNumber	= items.partNumber;
					var bannerId = Ns.Util.isNull(items.contentsId) ? "" : items.contentsId;
					
					var imgUrl = Ns.Util.getImageUrl(items.partNumber, "K");	
					var productName = items.itncatentrynm;
					var price = CurrentView.ui.insertCommasHtml( items.pricedcprice );
					
					htmlTxt += Ns.Util.stringFormat('\
						<li class="swiper-slide">\
							<a href="javascript:;"  id="btnDetail"  espot-id="{0}" part-number="{1}" banner-id="{6}" catalog-id="{7}">\
								<span class="product_name">{2}</span>\
								<span class="product_img"><img src="{3}" onerror="this.onerror=null;this.src=\'{4}\'" /></span>\
								<span class="product_cost">\
									{5}\
								</span>\
							</a>\
						</li>', espotId, partNumber, productName, imgUrl, noImage, price, bannerId, CurrentView.catalogId );
				}
				
				$( targetId ).html( htmlTxt );
				$( targetArea ).show();
				
				if ( targetId == "#ulManProducts" )
					CurrentView.event.initManProductAreaEvent();
				else 
					CurrentView.event.initWomenProductAreaEvent();
			},
			
			insertCommasHtml : function( numStr ) {
				numStr = numStr.toString();
				var result = '';
				for(var i = 0; i < numStr.length; i++){
					var tmp = numStr.length-(i+1);
					if(i%3==0 && i!=0){
						result = ',' + result;
					}
					result = '<span>' + numStr.charAt(tmp) + '</span>' + result;
				}
				
				return result + '원';
			},
			
			setLuxuryLifeContentArea : function( data ){
				if ( Ns.Util.isNull( data ) || data.length==0 ) {
					return false;
				} 
				
				var htmlTxt = Ns.UI.getLuxuryHtmlTxt (data, "div" );
				$("#luxuryBigImgArea").html( htmlTxt );
				$("#sectionLuxuryLife").show();
				Ns.Util.viewConsoleLog(htmlTxt);
				Ns.UI.swipeSetTypeAnimation(".swipe-mainimg.life", ".bnn-img");
			},
			
			//ThumnailSize 75*75
			setLuxuryLifeThumnailArea : function( data ){
				if ( Ns.Util.isNull( data ) || data.length==0 ) {
					return false;
				} 
				
				var htmlTxt = Ns.UI.getLuxuryHtmlTxt ( data );

				$("#luxuryThumnailArea").html( htmlTxt );
				$("#sectionLuxuryThumnail").show();
				
				new Swiper('.swipe-thumbnail',{
					//paginationClickable: true,
					slidesPerView: 'auto'
				});
			},
			
			setExbihition : function( data ){
				if ( Ns.Util.isNull( data ) || data.length==0 ) {
					return false;
				} 
				
				var htmlTxt = Ns.UI.getLuxuryHtmlTxt ( data, "notslide" );
				$("#exhibitionArea").html(htmlTxt);
				$("#sectionExhibition").show();
			}
			
		}, //end ui functions
		 
		//이벤트 관련 함수를 정의한다.
		event : {

			initWomenProductAreaEvent : function(){
				new Swiper('.luxury-recommend.women',{
					//paginationClickable: true,
					centeredSlides: true,
					loop:true,
					slidesPerView: 'auto'
				});

				Ns.UI.productListAreaEventInit("#sectionWomenProduct");				
			},
			
			initManProductAreaEvent : function(){				
				new Swiper('.luxury-recommend.man',{
					//paginationClickable: true,
					centeredSlides: true,
					loop:true,
					slidesPerView: 'auto'
				});

				Ns.UI.productListAreaEventInit("#sectionManProduct");
			}
			
		} //end event functions
}; 