
/* JavaScript content from js/theme/M_G4221000M.js in folder common */

/* 
 *	MadamShop Main
 *  ID : M_G4221000M
 *  
*/

//page 컨트롤 클래스
CurrentView = {
		catalogId : Const.getSpecialMallId('madam'), 
		categoryId : "", 
		
		brandAreaData : [],
		brandIndex : 0,
		
		espot_brandProduct : [
			"86925_THEME_PRODUCTS1",
			"86925_THEME_PRODUCTS2",
			"86925_THEME_PRODUCTS3",
			"86925_THEME_PRODUCTS4"
        ],

		init : function( params ) {
			this.initializeComponent();
			this.onLoad(params);
		},
		
		//html 페이지 로딩 후 초기화해야 할 작업들을 정의한다.
		//이벤트 binding 등...
		initializeComponent : function( params ) {
			$("#brandTabArea li").unbind().bind( "click", this.event.onclick_brandTabArea );
		},
		
		//html 페이지가 로딩된 후 기본적으로 처리해야 할 작업들을 정의한다.
		onLoad : function(params) {
			this.data.getMadameShopMainInfo();
		},
		
		//데이터 관련 함수를 정의한다. 
		data : {
			getMadameShopMainInfo : function(){
				var brandAreaReq = "86925_THEME_CONTENTS|Content" + "$"+ Ns.UI.createEspotReqInput( CurrentView.espot_brandProduct, "|Product" );

				tran.callWCSJsonTran('MadameShopMainReal', {espotInfo : "86925_MAIN_CONTENTS|Content", command : "main", catalogId: CurrentView.catalogId }, CurrentView.data.madameShopMainCbFunc );
				tran.callWCSJsonTran('MadameShopMainReal', {espotInfo : brandAreaReq, command : "brand", catalogId: CurrentView.catalogId }, CurrentView.data.madameShopMainCbFunc );
				tran.callWCSJsonTran('MadameShopMainReal', {espotInfo : "86925_EXHIBITIONB_CONTENTS|Content", command : "exhibition", catalogId: CurrentView.catalogId }, CurrentView.data.madameShopMainCbFunc );
				
				//best, new 상품 - NSSearchSpecialWrapper 
				CurrentView.data.getSearchProduct('new',  '#newProductListArea');
				CurrentView.data.getSearchProduct('best',  '#bestProductListArea');
			},
			
			madameShopMainCbFunc : function( data ){
				var cmd = data.command[0]; 
				if ( cmd == 'main' ) CurrentView.ui.setMainContents( data );
				else if ( cmd == 'brand' ) CurrentView.ui.setBrandProducts( data );
				else if ( cmd == 'exhibition' ) CurrentView.ui.setExhibition( data );
			},
			
			getSearchProduct : function(type, targetId){			
				var params ={
					catalogId : CurrentView.catalogId,
					//channelCode : 'INT',
					searchType : 'search',
					pageSize : 8,
					currentPage : 1,
					sortCriteria : type,										
				};
				
				tran.callWCSJsonTran( 'NSSearchSpecialWrapper', params, CurrentView.ui.setSpecialData );
			}
			
		},
		
		//ui 관련 함수를 정의한다.
		ui : {
			setMainContents : function( data ) {
				if ( !data.isSuccessful ) return false;
				var contentAreaData  = data.msg.root._86925_MAIN_CONTENTS;
				
				if ( Ns.Util.isNull( contentAreaData ) || contentAreaData.length==0 ) {
					$("#sectionContentArea").hide();
					return;
				}
				
				var htmlTxt = '';
				for(var k=0; k<contentAreaData.length; k++){
					var items = contentAreaData[k];
					
					var protocol = "http:";
					var imgUrl = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
					var errorImg = protocol + items.imgUrl;
										
					if ( ( items.clickTarget=="Product" || items.clickTarget=="Category" ) &&  Ns.Util.isNull( items.clickCode ) ) continue;
					
					//target, contentsId, clickCode, espotId, mdUrl, isFlashSaleFood, kitchenId, catalogId
					htmlTxt += Ns.Util.stringFormat('\
						<div>\
							<div class="bnn-img">\
								<a href="javascript:javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',{7});"><img src="{8}" onerror="this.error=null;this.src=\'{9}\'" alt=""></a>\
							</div>\
						</div>', items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl, null, null, null, imgUrl, errorImg );
				}
				
				$("#divContentList").html( htmlTxt );
				$("#sectionContentArea").show();
				Ns.UI.swipeSetTypeAnimation('.swipe-mainimg',".bnn-img");
			},
			
			setBrandProducts : function( data ) {
				
				var getProductList = function(dataList, espotName){
					var retItems = new Array();		
					var productList = dataList.msg.root["_" + espotName] || null;
					if(productList == null || productList.length==0 ) return null;
					
					for(var k=0; k<productList.length; k++){
						if(productList[k].productDetail == null) continue;
					
						var productItem = productList[k].productDetail;
						productItem.espotId = productList[k].espotId;
						retItems.push(productItem);
					}
					
					return retItems;
				};
				
				if ( !data.isSuccessful ) return false;
				
				var titleList = data.msg.root._86925_THEME_CONTENTS;
				if ( Ns.Util.isNull( titleList ) || titleList.length==0 ) {
					return null;
				}
				
				var resArr = [];
				for(var i=0; i<titleList.length; i++){
					var items = titleList[i];
					
					var productList = getProductList( data, CurrentView.espot_brandProduct[i] );
					if( productList == null || productList.length == 0) continue;
					
					var resObj = {};
					resObj.title = Ns.Util.htmlDecode( items.marketingText );
					resObj.productList = productList;
					
					resArr.push(resObj);
				}
				
				if (resArr.length == 0 ) return;
				
				CurrentView.brandAreaData = resArr;
				CurrentView.ui.setSelectBrandProducts( CurrentView.brandIndex );
			},
			
			setSelectBrandProducts : function( idx ) {
				var title = CurrentView.brandAreaData[idx].title;
				var productList = CurrentView.brandAreaData[idx].productList;
				
				$("#displayTitleArea").html( title );
				$("#displayTitleArea").html( $("#displayTitleArea").text() );
				
				var resHtml = Ns.UI.productList( productList, CurrentView.catalogId, CurrentView.categoryId);
				
				if ( resHtml != '' ) {
					$("#ulBrandProductList").html( resHtml );
					$("#sectionBrandList").show();
					 
					Ns.UI.productListAreaEventInit("#ulBrandProductList");
				}
			},
			
			setExhibition : function(data) {
				if ( !data.isSuccessful ) return false;
				var exhibition = data.msg.root._86925_EXHIBITIONB_CONTENTS;
				
				if ( Ns.Util.isNull( exhibition ) || exhibition.length==0 ) {
					$("#sectionExhibition").hide();
					return;
				}
				
				var htmlTxt = '';
				for(var k=0; k<exhibition.length; k++){
					var items = exhibition[k];
					
					var protocol   = "http:";
					var imgUrl 	  = protocol + Ns.UI.getEspotBannerImgUrl(items.imgUrl);
					var replaceUrl = protocol + items.imgUrl; 
					
					if ( ( items.clickTarget=="Product" || items.clickTarget=="Category" ) &&  Ns.Util.isNull( items.clickCode ) ) continue;
					
					htmlTxt += Ns.Util.stringFormat('\
						<li>\
							<a href="javascript:javascript:Ns.UI.espotClickEvent(\'{0}\',\'{1}\',\'{2}\',\'{3}\',\'{4}\',\'{5}\',\'{6}\',{7});"><img src="{8}" onerror="this.onerror=null;this.src=\'{9}\'" alt=""></a>\
						</li>', items.clickTarget, items.contentsId, items.clickCode, items.espotId, items.mdUrl, null, null, null, imgUrl, replaceUrl );
				}
				
				$("#sectionExhibition ul").html( htmlTxt );
				$("#sectionExhibition").show();
			},
			
			//마답샵. 베스트 또는 new 상품 출력. 
			setSpecialData : function( data ) {
				if ( !data.isSuccessful ) return false;
				
				var productList = data.msg.root.ProductList;
				if ( Ns.Util.isNull( productList ) || productList.length==0 ) {
					return;
				}
				
				var sortCriteria = data.msg.root.SortType;
				var htmlTxt = Ns.UI.productList(productList, CurrentView.catalogId, CurrentView.categoryId );
				
				if ( sortCriteria == 'new' ) {
					$("#ulNewProductList").html( htmlTxt );
					Ns.UI.productListAreaEventInit("#ulNewProductList");
					$("#newProductListArea").show();
				} else if ( sortCriteria == 'best' ) {
					$("#ulBestProductList").html( htmlTxt );
					Ns.UI.productListAreaEventInit("#ulBestProductList");
					$("#bestProductListArea").show();
				}
			}

		},

		//이벤트 관련 함수를 정의한다.
		event : {
			onclick_brandTabArea : function(){
				var id = $(this).find("a").attr("id");
				var maxIndex = CurrentView.brandAreaData.length-1;
				
				if ( id == 'tabNext' ) {
					CurrentView.brandIndex++;
					if(CurrentView.brandIndex > maxIndex ) CurrentView.brandIndex = 0;
				} else if ( id == 'tabPrev' ) {
					CurrentView.brandIndex--;
					if(CurrentView.brandIndex < 0) CurrentView.brandIndex = maxIndex; 
				} else {
					return false;
				}
				
				$("#ulBrandProductList").html("");
				CurrentView.ui.setSelectBrandProducts(CurrentView.brandIndex);
			}
		}
};